import { createTheme } from "../../../_mixins/index.mjs";
import { commonLight } from "../../../_styles/common/index.mjs";
import { colors } from "../../../_styles/common/_baseColors.mjs";
import { emptyLight } from "../../../empty/styles/index.mjs";
import { scrollbarLight } from "../../scrollbar/styles/index.mjs";
import commonVariables from "./_common.mjs";
export function self(vars) {
  const {
    popoverColor,
    textColor3,
    dividerColor,
    textColor2,
    primaryColorPressed,
    textColorDisabled,
    opacityDisabled,
    hoverColor,
    fontSizeTiny,
    fontSizeSmall,
    fontSizeMedium,
    fontSizeLarge,
    fontSizeHuge
  } = vars;
  return Object.assign(Object.assign({}, commonVariables), {
    optionFontSizeTiny: fontSizeTiny,
    optionFontSizeSmall: fontSizeSmall,
    optionFontSizeMedium: fontSizeMedium,
    optionFontSizeLarge: fontSizeLarge,
    optionFontSizeHuge: fontSizeHuge,
    optionHeightTiny: '28px',
    optionHeightSmall: '32px',
    optionHeightMedium: '36px',
    optionHeightLarge: '40px',
    optionHeightHuge: '46px',
    borderRadius: '10px',
    color: popoverColor,
    groupHeaderTextColor: textColor3,
    actionDividerColor: dividerColor,
    optionTextColor: textColor2,
    optionTextColorPressed: primaryColorPressed,
    optionTextColorDisabled: textColorDisabled,
    optionTextColorActive: colors.gray[950],
    optionOpacityDisabled: opacityDisabled,
    optionCheckColor: colors.gray[600],
    optionColorPending: hoverColor,
    optionColorActive: 'rgba(0, 0, 0, 0)',
    optionColorActivePending: hoverColor,
    actionTextColor: textColor2,
    loadingColor: colors.gray[600]
  });
}
const internalSelectMenuLight = createTheme({
  name: 'InternalSelectMenu',
  common: commonLight,
  peers: {
    Scrollbar: scrollbarLight,
    Empty: emptyLight
  },
  self
});
export default internalSelectMenuLight;