import { changeColor } from 'seemly';
import { commonDark } from "../../../_styles/common/index.mjs";
import { colors } from "../../../_styles/common/_baseColors.mjs";
import { popoverDark } from "../../../popover/styles/index.mjs";
import commonVars from "./_common.mjs";
const internalSelectionDark = {
  name: 'InternalSelection',
  common: commonDark,
  peers: {
    Popover: popoverDark
  },
  self(vars) {
    const {
      textColorDisabled,
      inputColorDisabled,
      warningColor,
      warningColorHover,
      errorColor,
      errorColorHover,
      iconColor,
      iconColorDisabled,
      clearColor,
      clearColorHover,
      clearColorPressed,
      placeholderColor,
      placeholderColorDisabled,
      fontSizeTiny,
      fontSizeSmall,
      fontSizeMedium,
      fontSizeLarge,
      heightTiny,
      heightSmall,
      heightMedium,
      heightLarge,
      fontWeight
    } = vars;
    return Object.assign(Object.assign({}, commonVars), {
      fontWeight,
      fontSizeTiny,
      fontSizeSmall,
      fontSizeMedium,
      fontSizeLarge,
      heightTiny,
      heightSmall,
      heightMedium,
      heightLarge,
      borderRadius: '10px',
      // default
      textColor: colors.gray[50],
      textColorDisabled,
      placeholderColor,
      placeholderColorDisabled,
      color: colors.gray[950],
      colorDisabled: inputColorDisabled,
      colorHover: colors.gray[900],
      colorActive: colors.gray[950],
      border: `1px solid ${colors.gray[700]}`,
      borderHover: `1px solid ${colors.gray[900]}`,
      borderActive: `1px solid ${colors.gray[50]}`,
      borderFocus: `1px solid ${colors.gray[50]}`,
      boxShadowHover: 'none',
      boxShadowActive: `0 0 0 2px ${colors.gray[950]}, 0 0 0 4px #a3a3a329`,
      boxShadowFocus: `0 0 0 2px ${colors.gray[950]}, 0 0 0 4px #a3a3a329`,
      caretColor: colors.gray[50],
      arrowColor: iconColor,
      arrowColorDisabled: iconColorDisabled,
      loadingColor: colors.gray[50],
      // warning
      borderWarning: `1px solid ${warningColor}`,
      borderHoverWarning: `1px solid ${warningColorHover}`,
      borderActiveWarning: `1px solid ${warningColor}`,
      borderFocusWarning: `1px solid ${warningColorHover}`,
      boxShadowHoverWarning: 'none',
      boxShadowActiveWarning: `0 0 8px 0 ${changeColor(warningColor, {
        alpha: 0.4
      })}`,
      boxShadowFocusWarning: `0 0 8px 0 ${changeColor(warningColor, {
        alpha: 0.4
      })}`,
      colorActiveWarning: changeColor(warningColor, {
        alpha: 0.1
      }),
      caretColorWarning: warningColor,
      // error
      borderError: `1px solid ${errorColor}`,
      borderHoverError: `1px solid ${errorColorHover}`,
      borderActiveError: `1px solid ${errorColor}`,
      borderFocusError: `1px solid ${errorColorHover}`,
      boxShadowHoverError: 'none',
      boxShadowActiveError: `0 0 8px 0 ${changeColor(errorColor, {
        alpha: 0.4
      })}`,
      boxShadowFocusError: `0 0 8px 0 ${changeColor(errorColor, {
        alpha: 0.4
      })}`,
      colorActiveError: changeColor(errorColor, {
        alpha: 0.1
      }),
      caretColorError: errorColor,
      clearColor,
      clearColorHover,
      clearColorPressed
    });
  }
};
export default internalSelectionDark;