import { changeColor } from 'seemly';
import { createTheme } from "../../../_mixins/index.mjs";
import { commonLight } from "../../../_styles/common/index.mjs";
import { colors } from "../../../_styles/common/_baseColors.mjs";
import { popoverLight } from "../../../popover/styles/index.mjs";
import commonVariables from "./_common.mjs";
function self(vars) {
  const {
    textColor2,
    textColorDisabled,
    inputColor,
    inputColorDisabled,
    warningColor,
    warningColorHover,
    errorColor,
    errorColorHover,
    iconColor,
    iconColorDisabled,
    clearColor,
    clearColorHover,
    clearColorPressed,
    placeholderColor,
    placeholderColorDisabled,
    fontSizeTiny,
    fontSizeSmall,
    fontSizeMedium,
    fontSizeLarge,
    heightTiny,
    heightSmall,
    heightMedium,
    heightLarge,
    fontWeight
  } = vars;
  return Object.assign(Object.assign({}, commonVariables), {
    fontSizeTiny,
    fontSizeSmall,
    fontSizeMedium,
    fontSizeLarge,
    heightTiny,
    heightSmall,
    heightMedium,
    heightLarge,
    borderRadius: '10px',
    fontWeight,
    // default
    textColor: textColor2,
    textColorDisabled,
    placeholderColor,
    placeholderColorDisabled,
    color: inputColor,
    colorHover: colors.neutral[50],
    colorDisabled: inputColorDisabled,
    colorActive: inputColor,
    border: `1px solid ${colors.neutral[200]}`,
    borderHover: `1px solid ${colors.neutral[50]}`,
    borderActive: `1px solid ${colors.neutral[200]}`,
    borderFocus: `1px solid ${colors.gray[950]}`,
    boxShadowHover: 'none',
    boxShadowActive: `0 0 0 2px white, 0 0 0 4px ${colors.neutral[50]}`,
    boxShadowFocus: `0 0 0 2px white, 0 0 0 4px ${colors.neutral[50]}`,
    caretColor: colors.gray[950],
    arrowColor: iconColor,
    arrowColorDisabled: iconColorDisabled,
    loadingColor: colors.neutral[600],
    // warning
    borderWarning: `1px solid ${warningColor}`,
    borderHoverWarning: `1px solid ${warningColorHover}`,
    borderActiveWarning: `1px solid ${warningColor}`,
    borderFocusWarning: `1px solid ${warningColorHover}`,
    boxShadowHoverWarning: 'none',
    boxShadowActiveWarning: `0 0 0 2px ${changeColor(warningColor, {
      alpha: 0.2
    })}`,
    boxShadowFocusWarning: `0 0 0 2px ${changeColor(warningColor, {
      alpha: 0.2
    })}`,
    colorActiveWarning: inputColor,
    caretColorWarning: warningColor,
    // error
    borderError: `1px solid ${errorColor}`,
    borderHoverError: `1px solid ${errorColorHover}`,
    borderActiveError: `1px solid ${errorColor}`,
    borderFocusError: `1px solid ${errorColorHover}`,
    boxShadowHoverError: 'none',
    boxShadowActiveError: `0 0 0 2px ${changeColor(errorColor, {
      alpha: 0.2
    })}`,
    boxShadowFocusError: `0 0 0 2px ${changeColor(errorColor, {
      alpha: 0.2
    })}`,
    colorActiveError: inputColor,
    caretColorError: errorColor,
    clearColor,
    clearColorHover,
    clearColorPressed
  });
}
const internalSelectionLight = createTheme({
  name: 'InternalSelection',
  common: commonLight,
  peers: {
    Popover: popoverLight
  },
  self
});
export default internalSelectionLight;