import { composite, changeColor } from 'seemly';
export function createHoverColor(rgb) {
  return composite(rgb, [255, 255, 255, 0.9]);
}
export function createPressedColor(rgb) {
  return composite(rgb, [255, 255, 255, 0.9]);
}
export function createFocusColor(rgb) {
  return composite(rgb, [255, 255, 255, 0.9]);
}
/**
 * Изменяет прозрачность HEX цвета используя библиотеку seemly
 * @param hex HEX цвет (с или без #)
 * @param alpha Значение прозрачности от 0 до 1
 * @returns HEX цвет с указанной прозрачностью
 */
export function setHexAlpha(hex, alpha) {
  // Проверка входных параметров
  if (typeof hex !== 'string') {
    throw new TypeError('Hex color must be a string');
  }
  if (typeof alpha !== 'number' || Number.isNaN(alpha)) {
    throw new TypeError('Alpha must be a number');
  }
  // Используем функцию changeColor из seemly для изменения прозрачности
  return changeColor(hex, {
    alpha
  });
}