import { commonLight } from "../../_styles/common/index.mjs";
import { colors } from "../../_styles/common/_baseColors.mjs";
import commonVariables from "./_common.mjs";
export function self(vars) {
  const {
    fontSizeTiny,
    fontSizeSmall,
    fontSizeMedium,
    fontSizeLarge,
    baseColor,
    successColor,
    successColorHover,
    successColorPressed,
    warningColor,
    warningColorHover,
    warningColorPressed,
    errorColor,
    errorColorHover,
    errorColorPressed,
    fontWeight,
    fontWeightStrong,
    opacityDisabled
  } = vars;
  return Object.assign(Object.assign({}, commonVariables), {
    heightTiny: '28px',
    heightSmall: '32px',
    heightMedium: '36px',
    heightLarge: '40px',
    borderRadiusTiny: '8px',
    borderRadiusSmall: '8px',
    borderRadiusMedium: '8px',
    borderRadiusLarge: '10px',
    fontSizeTiny,
    fontSizeSmall,
    fontSizeMedium,
    fontSizeLarge,
    // primary
    colorPrimary: colors.blue[500],
    colorHoverPrimary: colors.blue[700],
    colorPressedPrimary: colors.blue[700],
    colorFocusPrimary: colors.blue[700],
    textColorPrimary: colors.gray[0],
    textColorHoverPrimary: colors.gray[0],
    textColorPressedPrimary: colors.gray[0],
    textColorFocusPrimary: colors.gray[0],
    textColorTextPrimary: colors.blue[500],
    textColorTextHoverPrimary: colors.blue[700],
    textColorTextPressedPrimary: colors.blue[900],
    textColorTextFocusPrimary: colors.blue[700],
    // primary ghost //
    colorGhostHoverPrimary: colors.blue.alpha10,
    textColorGhostPrimary: colors.blue[500],
    textColorGhostHoverPrimary: colors.blue[500],
    textColorGhostPressedPrimary: colors.blue[500],
    textColorGhostFocusPrimary: colors.blue[500],
    // primary lighter //
    colorLighterPrimary: colors.blue.alpha10,
    colorHoverLighterPrimary: colors.blue.alpha10,
    colorPressedLighterPrimary: colors.blue.alpha10,
    colorFocusLighterPrimary: colors.blue.alpha10,
    textColorLighterPrimary: colors.blue[500],
    textColorLighterHoverPrimary: colors.blue[500],
    textColorLighterPressedPrimary: colors.blue[500],
    textColorLighterFocusPrimary: colors.blue[500],
    borderLighterHoverPrimary: `1px solid ${colors.blue[500]}`,
    borderLighterPressedPrimary: `1px solid ${colors.blue[500]}`,
    borderLighterFocusPrimary: `1px solid ${colors.blue[500]}`,
    // primary stroke //
    colorStrokeHoverPrimary: colors.blue.alpha10,
    colorStrokePressedPrimary: colors.blue.alpha10,
    colorStrokeFocusPrimary: colors.blue.alpha10,
    textColorStrokePrimary: colors.blue[500],
    textColorStrokeHoverPrimary: colors.blue[500],
    textColorStrokePressedPrimary: colors.blue[500],
    textColorStrokeFocusPrimary: colors.blue[500],
    borderStrokePrimary: `1px solid ${colors.blue[500]}`,
    borderStrokeHoverPrimary: `1px solid ${colors.blue.alpha10}`,
    borderStrokePressedPrimary: `1px solid ${colors.blue.alpha10}`,
    borderStrokeFocusPrimary: `1px solid ${colors.blue.alpha10}`,
    borderPrimary: 'initial',
    borderHoverPrimary: 'initial',
    borderPressedPrimary: 'initial',
    borderFocusPrimary: 'initial',
    rippleColorPrimary: colors.blue[500],
    // neutral
    colorNeutral: colors.gray[950],
    colorHoverNeutral: colors.gray[800],
    colorPressedNeutral: colors.gray[950],
    colorFocusNeutral: colors.gray[950],
    textColorNeutral: baseColor,
    textColorHoverNeutral: baseColor,
    textColorPressedNeutral: baseColor,
    textColorFocusNeutral: baseColor,
    textColorTextNeutral: colors.gray[950],
    textColorTextHoverNeutral: colors.gray[800],
    textColorTextPressedNeutral: colors.gray[950],
    textColorTextFocusNeutral: colors.gray[950],
    // neutral ghost //
    colorGhostHoverNeutral: colors.gray.alpha10,
    colorPressedNeutralGhost: colors.gray.alpha10,
    colorFocusNeutralGhost: colors.gray.alpha10,
    textColorGhostNeutral: colors.gray[600],
    textColorGhostHoverNeutral: colors.gray[950],
    textColorGhostPressedNeutral: colors.gray[950],
    textColorGhostFocusNeutral: colors.gray[950],
    // neutral lighter //
    colorLighterNeutral: colors.gray.alpha10,
    colorPressedNeutralLighter: colors.gray.alpha10,
    colorFocusNeutralLighter: colors.gray.alpha10,
    textColorLighterNeutral: colors.gray[600],
    textColorLighterHoverNeutral: colors.gray[950],
    textColorLighterPressedNeutral: colors.gray[950],
    textColorLighterFocusNeutral: colors.gray[950],
    borderLighterHoverNeutral: `1px solid ${colors.gray[200]}`,
    borderLighterPressedNeutral: `1px solid ${colors.gray[200]}`,
    borderLighterFocusNeutral: `1px solid ${colors.gray[200]}`,
    // neutral stroke //
    colorStrokeHoverNeutral: colors.gray.alpha10,
    colorStrokePressedNeutral: colors.gray.alpha10,
    colorStrokeFocusNeutral: colors.gray.alpha10,
    textColorStrokeNeutral: colors.gray[600],
    textColorStrokeHoverNeutral: colors.gray[950],
    textColorStrokePressedNeutral: colors.gray[950],
    textColorStrokeFocusNeutral: colors.gray[950],
    borderStrokeNeutral: `1px solid ${colors.gray[200]}`,
    borderStrokeHoverNeutral: `1px solid ${colors.gray.alpha10}`,
    borderStrokePressedNeutral: `1px solid ${colors.gray.alpha10}`,
    borderStrokeFocusNeutral: `1px solid ${colors.gray.alpha10}`,
    borderNeutral: 'initial',
    borderHoverNeutral: 'initial',
    borderPressedNeutral: 'initial',
    borderFocusNeutral: 'initial',
    rippleColorNeutral: colors.gray[950],
    // success
    colorSuccess: colors.green[500],
    colorHoverSuccess: colors.green[700],
    colorPressedSuccess: colors.green[700],
    colorFocusSuccess: colors.green[700],
    textColorSuccess: baseColor,
    textColorHoverSuccess: baseColor,
    textColorPressedSuccess: baseColor,
    textColorFocusSuccess: baseColor,
    textColorTextSuccess: successColor,
    textColorTextHoverSuccess: successColorHover,
    textColorTextPressedSuccess: successColorPressed,
    textColorTextFocusSuccess: successColorHover,
    // success ghost //
    colorGhostHoverSuccess: colors.green.alpha10,
    textColorGhostSuccess: successColor,
    textColorGhostHoverSuccess: successColorHover,
    textColorGhostPressedSuccess: successColorPressed,
    textColorGhostFocusSuccess: successColorHover,
    // success lighter //
    colorLighterSuccess: colors.green.alpha10,
    textColorLighterSuccess: colors.green[500],
    textColorLighterHoverSuccess: colors.green[500],
    textColorLighterPressedSuccess: colors.green[500],
    textColorLighterFocusSuccess: colors.green[500],
    borderLighterHoverSuccess: `1px solid ${colors.green[500]}`,
    borderLighterPressedSuccess: `1px solid ${colors.green[500]}`,
    borderLighterFocusSuccess: `1px solid ${colors.green[500]}`,
    // success stroke //
    colorStrokeHoverSuccess: colors.green.alpha10,
    colorStrokePressedSuccess: colors.green.alpha10,
    colorStrokeFocusSuccess: colors.green.alpha10,
    textColorStrokeSuccess: colors.green[500],
    textColorStrokeHoverSuccess: colors.green[500],
    textColorStrokePressedSuccess: colors.green[500],
    textColorStrokeFocusSuccess: colors.green[500],
    borderStrokeSuccess: `1px solid ${colors.green[500]}`,
    borderStrokeHoverSuccess: `1px solid ${colors.green.alpha10}`,
    borderStrokePressedSuccess: `1px solid ${colors.green.alpha10}`,
    borderStrokeFocusSuccess: `1px solid ${colors.green.alpha10}`,
    borderSuccess: 'initial',
    borderHoverSuccess: 'initial',
    borderPressedSuccess: 'initial',
    borderFocusSuccess: 'initial',
    rippleColorSuccess: successColor,
    // warning
    colorWarning: colors.yellow[500],
    colorHoverWarning: colors.yellow[700],
    colorPressedWarning: colors.yellow[700],
    colorFocusWarning: colors.yellow[700],
    textColorWarning: baseColor,
    textColorHoverWarning: baseColor,
    textColorPressedWarning: baseColor,
    textColorFocusWarning: baseColor,
    textColorTextWarning: warningColor,
    textColorTextHoverWarning: warningColorHover,
    textColorTextPressedWarning: warningColorPressed,
    textColorTextFocusWarning: warningColorHover,
    // warning ghost //
    colorGhostHoverWarning: colors.yellow.alpha10,
    textColorGhostWarning: warningColor,
    textColorGhostHoverWarning: warningColorHover,
    textColorGhostPressedWarning: warningColorPressed,
    textColorGhostFocusWarning: warningColorHover,
    // warning lighter //
    colorLighterWarning: colors.yellow.alpha10,
    textColorLighterWarning: colors.yellow[500],
    textColorLighterHoverWarning: colors.yellow[500],
    textColorLighterPressedWarning: colors.yellow[500],
    textColorLighterFocusWarning: colors.yellow[500],
    borderLighterHoverWarning: `1px solid ${colors.yellow[500]}`,
    borderLighterPressedWarning: `1px solid ${colors.yellow[500]}`,
    borderLighterFocusWarning: `1px solid ${colors.yellow[500]}`,
    // warning stroke //
    colorStrokeHoverWarning: colors.yellow.alpha10,
    colorStrokePressedWarning: colors.yellow.alpha10,
    colorStrokeFocusWarning: colors.yellow.alpha10,
    textColorStrokeWarning: colors.yellow[500],
    textColorStrokeHoverWarning: colors.yellow[500],
    textColorStrokePressedWarning: colors.yellow[500],
    textColorStrokeFocusWarning: colors.yellow[500],
    borderStrokeWarning: `1px solid ${colors.yellow[500]}`,
    borderStrokeHoverWarning: `1px solid ${colors.yellow.alpha10}`,
    borderStrokePressedWarning: `1px solid ${colors.yellow.alpha10}`,
    borderStrokeFocusWarning: `1px solid ${colors.yellow.alpha10}`,
    borderWarning: 'initial',
    borderHoverWarning: 'initial',
    borderPressedWarning: 'initial',
    borderFocusWarning: 'initial',
    rippleColorWarning: warningColor,
    // error
    colorError: colors.red[500],
    colorHoverError: colors.red[700],
    colorPressedError: colors.red[700],
    colorFocusError: colors.red[700],
    textColorError: baseColor,
    textColorHoverError: baseColor,
    textColorPressedError: baseColor,
    textColorFocusError: baseColor,
    textColorTextError: errorColor,
    textColorTextHoverError: errorColorHover,
    textColorTextPressedError: errorColorPressed,
    textColorTextFocusError: errorColorHover,
    // error ghost //
    colorGhostHoverError: colors.red.alpha10,
    textColorGhostError: errorColor,
    textColorGhostHoverError: errorColorHover,
    textColorGhostPressedError: errorColorPressed,
    textColorGhostFocusError: errorColorHover,
    // error lighter //
    colorLighterError: colors.red.alpha10,
    textColorLighterError: colors.red[500],
    textColorLighterHoverError: colors.red[500],
    textColorLighterPressedError: colors.red[500],
    textColorLighterFocusError: colors.red[500],
    borderLighterHoverError: `1px solid ${colors.red[500]}`,
    borderLighterPressedError: `1px solid ${colors.red[500]}`,
    borderLighterFocusError: `1px solid ${colors.red[500]}`,
    // error stroke //
    colorStrokeHoverError: colors.red.alpha10,
    colorStrokePressedError: colors.red.alpha10,
    colorStrokeFocusError: colors.red.alpha10,
    textColorStrokeError: colors.red[500],
    textColorStrokeHoverError: colors.red[500],
    textColorStrokePressedError: colors.red[500],
    textColorStrokeFocusError: colors.red[500],
    borderStrokeError: `1px solid ${colors.red[500]}`,
    borderStrokeHoverError: `1px solid ${colors.red.alpha10}`,
    borderStrokePressedError: `1px solid ${colors.red.alpha10}`,
    borderStrokeFocusError: `1px solid ${colors.red.alpha10}`,
    borderError: 'initial',
    borderHoverError: 'initial',
    borderPressedError: 'initial',
    borderFocusError: 'initial',
    // disabled
    rippleColorError: errorColor,
    waveOpacity: '0.6',
    fontWeight,
    fontWeightStrong,
    opacityDisabled,
    colorDisabled: colors.gray[50],
    textColorDisabled: colors.gray[300],
    iconColorDisabled: colors.gray[300]
  });
}
const buttonLight = {
  name: 'Button',
  common: commonLight,
  self
};
export default buttonLight;