import { type PropType, type VNode } from 'vue';
import { type MonthItem, type QuarterItem, type YearItem } from '../utils';
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    type: {
        type: PropType<"monthrange" | "yearrange" | "quarterrange">;
        required: true;
    };
    defaultCalendarStartTime: NumberConstructor;
    defaultCalendarEndTime: NumberConstructor;
    bindCalendarMonths: BooleanConstructor;
    actions: {
        readonly type: PropType<string[]>;
        readonly default: () => string[];
    };
    active: BooleanConstructor;
    dateFormat: StringConstructor;
    calendarDayFormat: StringConstructor;
    calendarHeaderYearFormat: StringConstructor;
    calendarHeaderMonthFormat: StringConstructor;
    calendarHeaderMonthYearSeparator: {
        readonly type: StringConstructor;
        readonly required: true;
    };
    calendarHeaderMonthBeforeYear: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    timerPickerFormat: {
        readonly type: StringConstructor;
        readonly value: "HH:mm:ss";
    };
    value: {
        readonly type: PropType<import("../interface").Value | null>;
        readonly default: null;
    };
    shortcuts: PropType<import("../interface").Shortcuts>;
    defaultTime: PropType<import("../interface").DefaultTime>;
    inputReadonly: BooleanConstructor;
    onClear: FunctionConstructor;
    onConfirm: PropType<(value: import("../interface").Value | null) => void>;
    onClose: PropType<import("../interface").OnClose>;
    onTabOut: FunctionConstructor;
    onKeydown: FunctionConstructor;
    onUpdateValue: {
        readonly type: PropType<import("../interface").OnPanelUpdateValue>;
        readonly required: true;
    };
    themeClass: StringConstructor;
    onRender: PropType<(() => void) | undefined>;
    panel: BooleanConstructor;
    onNextMonth: PropType<() => void>;
    onPrevMonth: PropType<() => void>;
    onNextYear: PropType<() => void>;
    onPrevYear: PropType<() => void>;
}>, {
    renderItem: (item: YearItem | MonthItem | QuarterItem, i: number, mergedClsPrefix: string, type: "start" | "end") => VNode;
    startDateDisplayString: import("vue").Ref<string, string>;
    endDateInput: import("vue").Ref<string, string>;
    timePickerSize: import("vue").Ref<"small" | "medium" | "large", "small" | "medium" | "large">;
    startTimeValue: import("vue").ComputedRef<number | null>;
    endTimeValue: import("vue").ComputedRef<number | null>;
    datePickerSlots: Readonly<{
        [name: string]: import("vue").Slot<any> | undefined;
    }>;
    shortcuts: import("vue").ComputedRef<import("../interface").Shortcuts | undefined>;
    startCalendarDateTime: import("vue").Ref<number, number>;
    endCalendarDateTime: import("vue").Ref<number, number>;
    justifyColumnsScrollState: {
        (value: [number, number], type: "start" | "end"): void;
        (): void;
    };
    handleFocusDetectorFocus: () => void;
    handleStartTimePickerChange: (value: number | null) => void;
    handleEndTimePickerChange: (value: number | null) => void;
    handleStartDateInput: (value: string) => void;
    handleStartDateInputBlur: () => void;
    handleEndDateInput: (value: string) => void;
    handleEndDateInputBlur: () => void;
    handleStartYearVlScroll: () => void;
    handleEndYearVlScroll: () => void;
    virtualListContainer: (type: "start" | "end") => HTMLElement | null;
    virtualListContent: (type: "start" | "end") => HTMLElement | null;
    onUpdateStartCalendarValue: (value: number) => void;
    onUpdateEndCalendarValue: (value: number) => void;
    startYearScrollbarRef: import("vue").Ref<import("../../../_internal").ScrollbarInst | null>;
    endYearScrollbarRef: import("vue").Ref<import("../../../_internal").ScrollbarInst | null>;
    startMonthScrollbarRef: import("vue").Ref<import("../../../_internal").ScrollbarInst | null>;
    endMonthScrollbarRef: import("vue").Ref<import("../../../_internal").ScrollbarInst | null>;
    startYearVlRef: import("vue").Ref<import("vueuc").VVirtualListInst | null>;
    endYearVlRef: import("vue").Ref<import("vueuc").VVirtualListInst | null>;
    isDateDisabled: import("vue").Ref<import("../interface").IsDateDisabled | undefined, import("../interface").IsDateDisabled | undefined>;
    isStartHourDisabled: import("vue").ComputedRef<import("../../../time-picker/src/interface").IsHourDisabled | undefined>;
    isEndHourDisabled: import("vue").ComputedRef<import("../../../time-picker/src/interface").IsHourDisabled | undefined>;
    isStartMinuteDisabled: import("vue").ComputedRef<import("../../../time-picker/src/interface").IsMinuteDisabled | undefined>;
    isEndMinuteDisabled: import("vue").ComputedRef<import("../../../time-picker/src/interface").IsMinuteDisabled | undefined>;
    isStartSecondDisabled: import("vue").ComputedRef<import("../../../time-picker/src/interface").IsSecondDisabled | undefined>;
    isEndSecondDisabled: import("vue").ComputedRef<import("../../../time-picker/src/interface").IsSecondDisabled | undefined>;
    isStartDateInvalid: import("vue").ComputedRef<boolean>;
    isEndDateInvalid: import("vue").ComputedRef<boolean>;
    isStartTimeInvalid: import("vue").ComputedRef<boolean>;
    isEndTimeInvalid: import("vue").ComputedRef<boolean>;
    isStartValueInvalid: import("vue").ComputedRef<boolean>;
    isEndValueInvalid: import("vue").ComputedRef<boolean>;
    isRangeInvalid: import("vue").ComputedRef<boolean>;
    mergedTheme: import("vue").Ref<{
        common: import("../../..").ThemeCommonVars;
        self: {
            itemFontSize: string;
            calendarDaysFontSize: string;
            calendarTitleFontSize: string;
            itemTextColor: string;
            itemTextColorDisabled: string;
            itemTextColorActive: string;
            itemTextColorCurrent: any;
            itemColorIncluded: string;
            itemColorHover: string;
            itemColorDisabled: string;
            itemColorActive: any;
            itemBorderRadius: string;
            panelColor: string;
            panelTextColor: string;
            arrowColor: string;
            calendarTitleTextColor: string;
            calendarTitleColorHover: string;
            calendarDaysTextColor: string;
            panelHeaderDividerColor: any;
            calendarDaysDividerColor: any;
            calendarDividerColor: any;
            panelActionDividerColor: any;
            panelBoxShadow: string;
            panelBorderRadius: string;
            calendarTitleFontWeight: string;
            scrollItemBorderRadius: string;
            iconColor: string;
            iconColorDisabled: string;
            itemSize: string;
            itemCellWidth: string;
            itemCellHeight: string;
            scrollItemWidth: string;
            scrollItemHeight: string;
            panelExtraFooterPadding: string;
            panelActionPadding: string;
            calendarTitlePadding: string;
            calendarTitleHeight: string;
            arrowSize: string;
            panelHeaderPadding: string;
            calendarDaysHeight: string;
            calendarTitleGridTempateColumns: string;
            calendarLeftPaddingDate: string;
            calendarLeftPaddingDatetime: string;
            calendarLeftPaddingDaterange: string;
            calendarLeftPaddingDatetimerange: string;
            calendarLeftPaddingMonth: string;
            calendarLeftPaddingYear: string;
            calendarLeftPaddingQuarter: string;
            calendarLeftPaddingMonthrange: string;
            calendarLeftPaddingQuarterrange: string;
            calendarLeftPaddingYearrange: string;
            calendarLeftPaddingWeek: string;
            calendarRightPaddingDate: string;
            calendarRightPaddingDatetime: string;
            calendarRightPaddingDaterange: string;
            calendarRightPaddingDatetimerange: string;
            calendarRightPaddingMonth: string;
            calendarRightPaddingYear: string;
            calendarRightPaddingQuarter: string;
            calendarRightPaddingMonthrange: string;
            calendarRightPaddingQuarterrange: string;
            calendarRightPaddingYearrange: string;
            calendarRightPaddingWeek: string;
        };
        peers: {
            Input: import("../../../_mixins").Theme<"Input", {
                fontWeight: string;
                countTextColorDisabled: string;
                countTextColor: string;
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                lineHeight: string;
                lineHeightTextarea: string;
                borderRadius: string;
                iconSize: string;
                groupLabelColor: string;
                groupLabelTextColor: any;
                textColor: any;
                textColorDisabled: string;
                textDecorationColor: any;
                caretColor: any;
                placeholderColor: string;
                placeholderColorDisabled: string;
                color: string;
                colorDisabled: string;
                colorFocus: string;
                colorHover: any;
                groupLabelBorder: string;
                border: string;
                borderHover: string;
                borderDisabled: string;
                borderFocus: string;
                boxShadowFocus: string;
                loadingColor: any;
                loadingColorWarning: any;
                borderWarning: string;
                borderHoverWarning: string;
                colorFocusWarning: string;
                borderFocusWarning: string;
                boxShadowFocusWarning: string;
                caretColorWarning: any;
                loadingColorError: any;
                borderError: string;
                borderHoverError: string;
                colorFocusError: string;
                borderFocusError: string;
                boxShadowFocusError: string;
                caretColorError: any;
                clearColor: string;
                clearColorHover: string;
                clearColorPressed: string;
                iconColor: string;
                iconColorDisabled: string;
                iconColorHover: string;
                iconColorPressed: string;
                suffixTextColor: string;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                clearSize: string;
            }, any>;
            Button: import("../../../_mixins").Theme<"Button", {
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                borderRadiusTiny: string;
                borderRadiusSmall: string;
                borderRadiusMedium: string;
                borderRadiusLarge: string;
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                colorPrimary: any;
                colorHoverPrimary: any;
                colorPressedPrimary: any;
                colorFocusPrimary: any;
                textColorPrimary: any;
                textColorHoverPrimary: any;
                textColorPressedPrimary: any;
                textColorFocusPrimary: any;
                textColorTextPrimary: any;
                textColorTextHoverPrimary: any;
                textColorTextPressedPrimary: any;
                textColorTextFocusPrimary: any;
                colorGhostHoverPrimary: any;
                textColorGhostPrimary: any;
                textColorGhostHoverPrimary: any;
                textColorGhostPressedPrimary: any;
                textColorGhostFocusPrimary: any;
                colorLighterPrimary: any;
                colorHoverLighterPrimary: any;
                colorPressedLighterPrimary: any;
                colorFocusLighterPrimary: any;
                textColorLighterPrimary: any;
                textColorLighterHoverPrimary: any;
                textColorLighterPressedPrimary: any;
                textColorLighterFocusPrimary: any;
                borderLighterHoverPrimary: string;
                borderLighterPressedPrimary: string;
                borderLighterFocusPrimary: string;
                colorStrokeHoverPrimary: any;
                colorStrokePressedPrimary: any;
                colorStrokeFocusPrimary: any;
                textColorStrokePrimary: any;
                textColorStrokeHoverPrimary: any;
                textColorStrokePressedPrimary: any;
                textColorStrokeFocusPrimary: any;
                borderStrokePrimary: string;
                borderStrokeHoverPrimary: string;
                borderStrokePressedPrimary: string;
                borderStrokeFocusPrimary: string;
                borderPrimary: string;
                borderHoverPrimary: string;
                borderPressedPrimary: string;
                borderFocusPrimary: string;
                rippleColorPrimary: any;
                colorNeutral: any;
                colorHoverNeutral: any;
                colorPressedNeutral: any;
                colorFocusNeutral: any;
                textColorNeutral: string;
                textColorHoverNeutral: string;
                textColorPressedNeutral: string;
                textColorFocusNeutral: string;
                textColorTextNeutral: any;
                textColorTextHoverNeutral: any;
                textColorTextPressedNeutral: any;
                textColorTextFocusNeutral: any;
                colorGhostHoverNeutral: any;
                colorPressedNeutralGhost: any;
                colorFocusNeutralGhost: any;
                textColorGhostNeutral: any;
                textColorGhostHoverNeutral: any;
                textColorGhostPressedNeutral: any;
                textColorGhostFocusNeutral: any;
                colorLighterNeutral: any;
                colorPressedNeutralLighter: any;
                colorFocusNeutralLighter: any;
                textColorLighterNeutral: any;
                textColorLighterHoverNeutral: any;
                textColorLighterPressedNeutral: any;
                textColorLighterFocusNeutral: any;
                borderLighterHoverNeutral: string;
                borderLighterPressedNeutral: string;
                borderLighterFocusNeutral: string;
                colorStrokeHoverNeutral: any;
                colorStrokePressedNeutral: any;
                colorStrokeFocusNeutral: any;
                textColorStrokeNeutral: any;
                textColorStrokeHoverNeutral: any;
                textColorStrokePressedNeutral: any;
                textColorStrokeFocusNeutral: any;
                borderStrokeNeutral: string;
                borderStrokeHoverNeutral: string;
                borderStrokePressedNeutral: string;
                borderStrokeFocusNeutral: string;
                borderNeutral: string;
                borderHoverNeutral: string;
                borderPressedNeutral: string;
                borderFocusNeutral: string;
                rippleColorNeutral: any;
                colorSuccess: any;
                colorHoverSuccess: any;
                colorPressedSuccess: any;
                colorFocusSuccess: any;
                textColorSuccess: string;
                textColorHoverSuccess: string;
                textColorPressedSuccess: string;
                textColorFocusSuccess: string;
                textColorTextSuccess: any;
                textColorTextHoverSuccess: any;
                textColorTextPressedSuccess: any;
                textColorTextFocusSuccess: any;
                colorGhostHoverSuccess: any;
                textColorGhostSuccess: any;
                textColorGhostHoverSuccess: any;
                textColorGhostPressedSuccess: any;
                textColorGhostFocusSuccess: any;
                colorLighterSuccess: any;
                textColorLighterSuccess: any;
                textColorLighterHoverSuccess: any;
                textColorLighterPressedSuccess: any;
                textColorLighterFocusSuccess: any;
                borderLighterHoverSuccess: string;
                borderLighterPressedSuccess: string;
                borderLighterFocusSuccess: string;
                colorStrokeHoverSuccess: any;
                colorStrokePressedSuccess: any;
                colorStrokeFocusSuccess: any;
                textColorStrokeSuccess: any;
                textColorStrokeHoverSuccess: any;
                textColorStrokePressedSuccess: any;
                textColorStrokeFocusSuccess: any;
                borderStrokeSuccess: string;
                borderStrokeHoverSuccess: string;
                borderStrokePressedSuccess: string;
                borderStrokeFocusSuccess: string;
                borderSuccess: string;
                borderHoverSuccess: string;
                borderPressedSuccess: string;
                borderFocusSuccess: string;
                rippleColorSuccess: any;
                colorWarning: any;
                colorHoverWarning: any;
                colorPressedWarning: any;
                colorFocusWarning: any;
                textColorWarning: string;
                textColorHoverWarning: string;
                textColorPressedWarning: string;
                textColorFocusWarning: string;
                textColorTextWarning: any;
                textColorTextHoverWarning: any;
                textColorTextPressedWarning: any;
                textColorTextFocusWarning: any;
                colorGhostHoverWarning: any;
                textColorGhostWarning: any;
                textColorGhostHoverWarning: any;
                textColorGhostPressedWarning: any;
                textColorGhostFocusWarning: any;
                colorLighterWarning: any;
                textColorLighterWarning: any;
                textColorLighterHoverWarning: any;
                textColorLighterPressedWarning: any;
                textColorLighterFocusWarning: any;
                borderLighterHoverWarning: string;
                borderLighterPressedWarning: string;
                borderLighterFocusWarning: string;
                colorStrokeHoverWarning: any;
                colorStrokePressedWarning: any;
                colorStrokeFocusWarning: any;
                textColorStrokeWarning: any;
                textColorStrokeHoverWarning: any;
                textColorStrokePressedWarning: any;
                textColorStrokeFocusWarning: any;
                borderStrokeWarning: string;
                borderStrokeHoverWarning: string;
                borderStrokePressedWarning: string;
                borderStrokeFocusWarning: string;
                borderWarning: string;
                borderHoverWarning: string;
                borderPressedWarning: string;
                borderFocusWarning: string;
                rippleColorWarning: any;
                colorError: any;
                colorHoverError: any;
                colorPressedError: any;
                colorFocusError: any;
                textColorError: string;
                textColorHoverError: string;
                textColorPressedError: string;
                textColorFocusError: string;
                textColorTextError: any;
                textColorTextHoverError: any;
                textColorTextPressedError: any;
                textColorTextFocusError: any;
                colorGhostHoverError: any;
                textColorGhostError: any;
                textColorGhostHoverError: any;
                textColorGhostPressedError: any;
                textColorGhostFocusError: any;
                colorLighterError: any;
                textColorLighterError: any;
                textColorLighterHoverError: any;
                textColorLighterPressedError: any;
                textColorLighterFocusError: any;
                borderLighterHoverError: string;
                borderLighterPressedError: string;
                borderLighterFocusError: string;
                colorStrokeHoverError: any;
                colorStrokePressedError: any;
                colorStrokeFocusError: any;
                textColorStrokeError: any;
                textColorStrokeHoverError: any;
                textColorStrokePressedError: any;
                textColorStrokeFocusError: any;
                borderStrokeError: string;
                borderStrokeHoverError: string;
                borderStrokePressedError: string;
                borderStrokeFocusError: string;
                borderError: string;
                borderHoverError: string;
                borderPressedError: string;
                borderFocusError: string;
                rippleColorError: any;
                waveOpacity: string;
                fontWeight: string;
                fontWeightStrong: string;
                opacityDisabled: string;
                colorDisabled: any;
                textColorDisabled: any;
                iconColorDisabled: any;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                paddingRoundTiny: string;
                paddingRoundSmall: string;
                paddingRoundMedium: string;
                paddingRoundLarge: string;
                iconMarginTiny: string;
                iconMarginSmall: string;
                iconMarginMedium: string;
                iconMarginLarge: string;
                iconSizeTiny: string;
                iconSizeSmall: string;
                iconSizeMedium: string;
                iconSizeLarge: string;
                rippleDuration: string;
            }, any>;
            TimePicker: import("../../../_mixins").Theme<"TimePicker", {
                panelColor: string;
                panelBoxShadow: string;
                panelDividerColor: any;
                itemTextColor: string;
                itemTextColorActive: any;
                itemColorHover: string;
                itemOpacityDisabled: string;
                itemBorderRadius: string;
                borderRadius: string;
                iconColor: string;
                iconColorDisabled: string;
                itemFontSize: string;
                itemHeight: string;
                itemWidth: string;
                panelActionPadding: string;
            }, {
                Scrollbar: import("../../../_mixins").Theme<"Scrollbar", {
                    height: string;
                    width: string;
                    borderRadius: string;
                    color: string;
                    colorHover: string;
                    railInsetHorizontalBottom: string;
                    railInsetHorizontalTop: string;
                    railInsetVerticalRight: string;
                    railInsetVerticalLeft: string;
                    railColor: string;
                }, any>;
                Button: import("../../../_mixins").Theme<"Button", {
                    heightTiny: string;
                    heightSmall: string;
                    heightMedium: string;
                    heightLarge: string;
                    borderRadiusTiny: string;
                    borderRadiusSmall: string;
                    borderRadiusMedium: string;
                    borderRadiusLarge: string;
                    fontSizeTiny: string;
                    fontSizeSmall: string;
                    fontSizeMedium: string;
                    fontSizeLarge: string;
                    colorPrimary: any;
                    colorHoverPrimary: any;
                    colorPressedPrimary: any;
                    colorFocusPrimary: any;
                    textColorPrimary: any;
                    textColorHoverPrimary: any;
                    textColorPressedPrimary: any;
                    textColorFocusPrimary: any;
                    textColorTextPrimary: any;
                    textColorTextHoverPrimary: any;
                    textColorTextPressedPrimary: any;
                    textColorTextFocusPrimary: any;
                    colorGhostHoverPrimary: any;
                    textColorGhostPrimary: any;
                    textColorGhostHoverPrimary: any;
                    textColorGhostPressedPrimary: any;
                    textColorGhostFocusPrimary: any;
                    colorLighterPrimary: any;
                    colorHoverLighterPrimary: any;
                    colorPressedLighterPrimary: any;
                    colorFocusLighterPrimary: any;
                    textColorLighterPrimary: any;
                    textColorLighterHoverPrimary: any;
                    textColorLighterPressedPrimary: any;
                    textColorLighterFocusPrimary: any;
                    borderLighterHoverPrimary: string;
                    borderLighterPressedPrimary: string;
                    borderLighterFocusPrimary: string;
                    colorStrokeHoverPrimary: any;
                    colorStrokePressedPrimary: any;
                    colorStrokeFocusPrimary: any;
                    textColorStrokePrimary: any;
                    textColorStrokeHoverPrimary: any;
                    textColorStrokePressedPrimary: any;
                    textColorStrokeFocusPrimary: any;
                    borderStrokePrimary: string;
                    borderStrokeHoverPrimary: string;
                    borderStrokePressedPrimary: string;
                    borderStrokeFocusPrimary: string;
                    borderPrimary: string;
                    borderHoverPrimary: string;
                    borderPressedPrimary: string;
                    borderFocusPrimary: string;
                    rippleColorPrimary: any;
                    colorNeutral: any;
                    colorHoverNeutral: any;
                    colorPressedNeutral: any;
                    colorFocusNeutral: any;
                    textColorNeutral: string;
                    textColorHoverNeutral: string;
                    textColorPressedNeutral: string;
                    textColorFocusNeutral: string;
                    textColorTextNeutral: any;
                    textColorTextHoverNeutral: any;
                    textColorTextPressedNeutral: any;
                    textColorTextFocusNeutral: any;
                    colorGhostHoverNeutral: any;
                    colorPressedNeutralGhost: any;
                    colorFocusNeutralGhost: any;
                    textColorGhostNeutral: any;
                    textColorGhostHoverNeutral: any;
                    textColorGhostPressedNeutral: any;
                    textColorGhostFocusNeutral: any;
                    colorLighterNeutral: any;
                    colorPressedNeutralLighter: any;
                    colorFocusNeutralLighter: any;
                    textColorLighterNeutral: any;
                    textColorLighterHoverNeutral: any;
                    textColorLighterPressedNeutral: any;
                    textColorLighterFocusNeutral: any;
                    borderLighterHoverNeutral: string;
                    borderLighterPressedNeutral: string;
                    borderLighterFocusNeutral: string;
                    colorStrokeHoverNeutral: any;
                    colorStrokePressedNeutral: any;
                    colorStrokeFocusNeutral: any;
                    textColorStrokeNeutral: any;
                    textColorStrokeHoverNeutral: any;
                    textColorStrokePressedNeutral: any;
                    textColorStrokeFocusNeutral: any;
                    borderStrokeNeutral: string;
                    borderStrokeHoverNeutral: string;
                    borderStrokePressedNeutral: string;
                    borderStrokeFocusNeutral: string;
                    borderNeutral: string;
                    borderHoverNeutral: string;
                    borderPressedNeutral: string;
                    borderFocusNeutral: string;
                    rippleColorNeutral: any;
                    colorSuccess: any;
                    colorHoverSuccess: any;
                    colorPressedSuccess: any;
                    colorFocusSuccess: any;
                    textColorSuccess: string;
                    textColorHoverSuccess: string;
                    textColorPressedSuccess: string;
                    textColorFocusSuccess: string;
                    textColorTextSuccess: any;
                    textColorTextHoverSuccess: any;
                    textColorTextPressedSuccess: any;
                    textColorTextFocusSuccess: any;
                    colorGhostHoverSuccess: any;
                    textColorGhostSuccess: any;
                    textColorGhostHoverSuccess: any;
                    textColorGhostPressedSuccess: any;
                    textColorGhostFocusSuccess: any;
                    colorLighterSuccess: any;
                    textColorLighterSuccess: any;
                    textColorLighterHoverSuccess: any;
                    textColorLighterPressedSuccess: any;
                    textColorLighterFocusSuccess: any;
                    borderLighterHoverSuccess: string;
                    borderLighterPressedSuccess: string;
                    borderLighterFocusSuccess: string;
                    colorStrokeHoverSuccess: any;
                    colorStrokePressedSuccess: any;
                    colorStrokeFocusSuccess: any;
                    textColorStrokeSuccess: any;
                    textColorStrokeHoverSuccess: any;
                    textColorStrokePressedSuccess: any;
                    textColorStrokeFocusSuccess: any;
                    borderStrokeSuccess: string;
                    borderStrokeHoverSuccess: string;
                    borderStrokePressedSuccess: string;
                    borderStrokeFocusSuccess: string;
                    borderSuccess: string;
                    borderHoverSuccess: string;
                    borderPressedSuccess: string;
                    borderFocusSuccess: string;
                    rippleColorSuccess: any;
                    colorWarning: any;
                    colorHoverWarning: any;
                    colorPressedWarning: any;
                    colorFocusWarning: any;
                    textColorWarning: string;
                    textColorHoverWarning: string;
                    textColorPressedWarning: string;
                    textColorFocusWarning: string;
                    textColorTextWarning: any;
                    textColorTextHoverWarning: any;
                    textColorTextPressedWarning: any;
                    textColorTextFocusWarning: any;
                    colorGhostHoverWarning: any;
                    textColorGhostWarning: any;
                    textColorGhostHoverWarning: any;
                    textColorGhostPressedWarning: any;
                    textColorGhostFocusWarning: any;
                    colorLighterWarning: any;
                    textColorLighterWarning: any;
                    textColorLighterHoverWarning: any;
                    textColorLighterPressedWarning: any;
                    textColorLighterFocusWarning: any;
                    borderLighterHoverWarning: string;
                    borderLighterPressedWarning: string;
                    borderLighterFocusWarning: string;
                    colorStrokeHoverWarning: any;
                    colorStrokePressedWarning: any;
                    colorStrokeFocusWarning: any;
                    textColorStrokeWarning: any;
                    textColorStrokeHoverWarning: any;
                    textColorStrokePressedWarning: any;
                    textColorStrokeFocusWarning: any;
                    borderStrokeWarning: string;
                    borderStrokeHoverWarning: string;
                    borderStrokePressedWarning: string;
                    borderStrokeFocusWarning: string;
                    borderWarning: string;
                    borderHoverWarning: string;
                    borderPressedWarning: string;
                    borderFocusWarning: string;
                    rippleColorWarning: any;
                    colorError: any;
                    colorHoverError: any;
                    colorPressedError: any;
                    colorFocusError: any;
                    textColorError: string;
                    textColorHoverError: string;
                    textColorPressedError: string;
                    textColorFocusError: string;
                    textColorTextError: any;
                    textColorTextHoverError: any;
                    textColorTextPressedError: any;
                    textColorTextFocusError: any;
                    colorGhostHoverError: any;
                    textColorGhostError: any;
                    textColorGhostHoverError: any;
                    textColorGhostPressedError: any;
                    textColorGhostFocusError: any;
                    colorLighterError: any;
                    textColorLighterError: any;
                    textColorLighterHoverError: any;
                    textColorLighterPressedError: any;
                    textColorLighterFocusError: any;
                    borderLighterHoverError: string;
                    borderLighterPressedError: string;
                    borderLighterFocusError: string;
                    colorStrokeHoverError: any;
                    colorStrokePressedError: any;
                    colorStrokeFocusError: any;
                    textColorStrokeError: any;
                    textColorStrokeHoverError: any;
                    textColorStrokePressedError: any;
                    textColorStrokeFocusError: any;
                    borderStrokeError: string;
                    borderStrokeHoverError: string;
                    borderStrokePressedError: string;
                    borderStrokeFocusError: string;
                    borderError: string;
                    borderHoverError: string;
                    borderPressedError: string;
                    borderFocusError: string;
                    rippleColorError: any;
                    waveOpacity: string;
                    fontWeight: string;
                    fontWeightStrong: string;
                    opacityDisabled: string;
                    colorDisabled: any;
                    textColorDisabled: any;
                    iconColorDisabled: any;
                    paddingTiny: string;
                    paddingSmall: string;
                    paddingMedium: string;
                    paddingLarge: string;
                    paddingRoundTiny: string;
                    paddingRoundSmall: string;
                    paddingRoundMedium: string;
                    paddingRoundLarge: string;
                    iconMarginTiny: string;
                    iconMarginSmall: string;
                    iconMarginMedium: string;
                    iconMarginLarge: string;
                    iconSizeTiny: string;
                    iconSizeSmall: string;
                    iconSizeMedium: string;
                    iconSizeLarge: string;
                    rippleDuration: string;
                }, any>;
                Input: import("../../../_mixins").Theme<"Input", {
                    fontWeight: string;
                    countTextColorDisabled: string;
                    countTextColor: string;
                    heightTiny: string;
                    heightSmall: string;
                    heightMedium: string;
                    heightLarge: string;
                    fontSizeTiny: string;
                    fontSizeSmall: string;
                    fontSizeMedium: string;
                    fontSizeLarge: string;
                    lineHeight: string;
                    lineHeightTextarea: string;
                    borderRadius: string;
                    iconSize: string;
                    groupLabelColor: string;
                    groupLabelTextColor: any;
                    textColor: any;
                    textColorDisabled: string;
                    textDecorationColor: any;
                    caretColor: any;
                    placeholderColor: string;
                    placeholderColorDisabled: string;
                    color: string;
                    colorDisabled: string;
                    colorFocus: string;
                    colorHover: any;
                    groupLabelBorder: string;
                    border: string;
                    borderHover: string;
                    borderDisabled: string;
                    borderFocus: string;
                    boxShadowFocus: string;
                    loadingColor: any;
                    loadingColorWarning: any;
                    borderWarning: string;
                    borderHoverWarning: string;
                    colorFocusWarning: string;
                    borderFocusWarning: string;
                    boxShadowFocusWarning: string;
                    caretColorWarning: any;
                    loadingColorError: any;
                    borderError: string;
                    borderHoverError: string;
                    colorFocusError: string;
                    borderFocusError: string;
                    boxShadowFocusError: string;
                    caretColorError: any;
                    clearColor: string;
                    clearColorHover: string;
                    clearColorPressed: string;
                    iconColor: string;
                    iconColorDisabled: string;
                    iconColorHover: string;
                    iconColorPressed: string;
                    suffixTextColor: string;
                    paddingTiny: string;
                    paddingSmall: string;
                    paddingMedium: string;
                    paddingLarge: string;
                    clearSize: string;
                }, any>;
            }>;
            Scrollbar: import("../../../_mixins").Theme<"Scrollbar", {
                height: string;
                width: string;
                borderRadius: string;
                color: string;
                colorHover: string;
                railInsetHorizontalBottom: string;
                railInsetHorizontalTop: string;
                railInsetVerticalRight: string;
                railInsetVerticalLeft: string;
                railColor: string;
            }, any>;
        };
        peerOverrides: {
            Input?: {
                peers?: {
                    [x: string]: any;
                } | undefined;
            } | undefined;
            Button?: {
                peers?: {
                    [x: string]: any;
                } | undefined;
            } | undefined;
            TimePicker?: {
                peers?: {
                    Scrollbar?: import("../../../_mixins/use-theme").ExtractThemeOverrides<import("../../../_mixins").Theme<"Scrollbar", {
                        height: string;
                        width: string;
                        borderRadius: string;
                        color: string;
                        colorHover: string;
                        railInsetHorizontalBottom: string;
                        railInsetHorizontalTop: string;
                        railInsetVerticalRight: string;
                        railInsetVerticalLeft: string;
                        railColor: string;
                    }, any>> | undefined;
                    Button?: import("../../../_mixins/use-theme").ExtractThemeOverrides<import("../../../_mixins").Theme<"Button", {
                        heightTiny: string;
                        heightSmall: string;
                        heightMedium: string;
                        heightLarge: string;
                        borderRadiusTiny: string;
                        borderRadiusSmall: string;
                        borderRadiusMedium: string;
                        borderRadiusLarge: string;
                        fontSizeTiny: string;
                        fontSizeSmall: string;
                        fontSizeMedium: string;
                        fontSizeLarge: string;
                        colorPrimary: any;
                        colorHoverPrimary: any;
                        colorPressedPrimary: any;
                        colorFocusPrimary: any;
                        textColorPrimary: any;
                        textColorHoverPrimary: any;
                        textColorPressedPrimary: any;
                        textColorFocusPrimary: any;
                        textColorTextPrimary: any;
                        textColorTextHoverPrimary: any;
                        textColorTextPressedPrimary: any;
                        textColorTextFocusPrimary: any;
                        colorGhostHoverPrimary: any;
                        textColorGhostPrimary: any;
                        textColorGhostHoverPrimary: any;
                        textColorGhostPressedPrimary: any;
                        textColorGhostFocusPrimary: any;
                        colorLighterPrimary: any;
                        colorHoverLighterPrimary: any;
                        colorPressedLighterPrimary: any;
                        colorFocusLighterPrimary: any;
                        textColorLighterPrimary: any;
                        textColorLighterHoverPrimary: any;
                        textColorLighterPressedPrimary: any;
                        textColorLighterFocusPrimary: any;
                        borderLighterHoverPrimary: string;
                        borderLighterPressedPrimary: string;
                        borderLighterFocusPrimary: string;
                        colorStrokeHoverPrimary: any;
                        colorStrokePressedPrimary: any;
                        colorStrokeFocusPrimary: any;
                        textColorStrokePrimary: any;
                        textColorStrokeHoverPrimary: any;
                        textColorStrokePressedPrimary: any;
                        textColorStrokeFocusPrimary: any;
                        borderStrokePrimary: string;
                        borderStrokeHoverPrimary: string;
                        borderStrokePressedPrimary: string;
                        borderStrokeFocusPrimary: string;
                        borderPrimary: string;
                        borderHoverPrimary: string;
                        borderPressedPrimary: string;
                        borderFocusPrimary: string;
                        rippleColorPrimary: any;
                        colorNeutral: any;
                        colorHoverNeutral: any;
                        colorPressedNeutral: any;
                        colorFocusNeutral: any;
                        textColorNeutral: string;
                        textColorHoverNeutral: string;
                        textColorPressedNeutral: string;
                        textColorFocusNeutral: string;
                        textColorTextNeutral: any;
                        textColorTextHoverNeutral: any;
                        textColorTextPressedNeutral: any;
                        textColorTextFocusNeutral: any;
                        colorGhostHoverNeutral: any;
                        colorPressedNeutralGhost: any;
                        colorFocusNeutralGhost: any;
                        textColorGhostNeutral: any;
                        textColorGhostHoverNeutral: any;
                        textColorGhostPressedNeutral: any;
                        textColorGhostFocusNeutral: any;
                        colorLighterNeutral: any;
                        colorPressedNeutralLighter: any;
                        colorFocusNeutralLighter: any;
                        textColorLighterNeutral: any;
                        textColorLighterHoverNeutral: any;
                        textColorLighterPressedNeutral: any;
                        textColorLighterFocusNeutral: any;
                        borderLighterHoverNeutral: string;
                        borderLighterPressedNeutral: string;
                        borderLighterFocusNeutral: string;
                        colorStrokeHoverNeutral: any;
                        colorStrokePressedNeutral: any;
                        colorStrokeFocusNeutral: any;
                        textColorStrokeNeutral: any;
                        textColorStrokeHoverNeutral: any;
                        textColorStrokePressedNeutral: any;
                        textColorStrokeFocusNeutral: any;
                        borderStrokeNeutral: string;
                        borderStrokeHoverNeutral: string;
                        borderStrokePressedNeutral: string;
                        borderStrokeFocusNeutral: string;
                        borderNeutral: string;
                        borderHoverNeutral: string;
                        borderPressedNeutral: string;
                        borderFocusNeutral: string;
                        rippleColorNeutral: any;
                        colorSuccess: any;
                        colorHoverSuccess: any;
                        colorPressedSuccess: any;
                        colorFocusSuccess: any;
                        textColorSuccess: string;
                        textColorHoverSuccess: string;
                        textColorPressedSuccess: string;
                        textColorFocusSuccess: string;
                        textColorTextSuccess: any;
                        textColorTextHoverSuccess: any;
                        textColorTextPressedSuccess: any;
                        textColorTextFocusSuccess: any;
                        colorGhostHoverSuccess: any;
                        textColorGhostSuccess: any;
                        textColorGhostHoverSuccess: any;
                        textColorGhostPressedSuccess: any;
                        textColorGhostFocusSuccess: any;
                        colorLighterSuccess: any;
                        textColorLighterSuccess: any;
                        textColorLighterHoverSuccess: any;
                        textColorLighterPressedSuccess: any;
                        textColorLighterFocusSuccess: any;
                        borderLighterHoverSuccess: string;
                        borderLighterPressedSuccess: string;
                        borderLighterFocusSuccess: string;
                        colorStrokeHoverSuccess: any;
                        colorStrokePressedSuccess: any;
                        colorStrokeFocusSuccess: any;
                        textColorStrokeSuccess: any;
                        textColorStrokeHoverSuccess: any;
                        textColorStrokePressedSuccess: any;
                        textColorStrokeFocusSuccess: any;
                        borderStrokeSuccess: string;
                        borderStrokeHoverSuccess: string;
                        borderStrokePressedSuccess: string;
                        borderStrokeFocusSuccess: string;
                        borderSuccess: string;
                        borderHoverSuccess: string;
                        borderPressedSuccess: string;
                        borderFocusSuccess: string;
                        rippleColorSuccess: any;
                        colorWarning: any;
                        colorHoverWarning: any;
                        colorPressedWarning: any;
                        colorFocusWarning: any;
                        textColorWarning: string;
                        textColorHoverWarning: string;
                        textColorPressedWarning: string;
                        textColorFocusWarning: string;
                        textColorTextWarning: any;
                        textColorTextHoverWarning: any;
                        textColorTextPressedWarning: any;
                        textColorTextFocusWarning: any;
                        colorGhostHoverWarning: any;
                        textColorGhostWarning: any;
                        textColorGhostHoverWarning: any;
                        textColorGhostPressedWarning: any;
                        textColorGhostFocusWarning: any;
                        colorLighterWarning: any;
                        textColorLighterWarning: any;
                        textColorLighterHoverWarning: any;
                        textColorLighterPressedWarning: any;
                        textColorLighterFocusWarning: any;
                        borderLighterHoverWarning: string;
                        borderLighterPressedWarning: string;
                        borderLighterFocusWarning: string;
                        colorStrokeHoverWarning: any;
                        colorStrokePressedWarning: any;
                        colorStrokeFocusWarning: any;
                        textColorStrokeWarning: any;
                        textColorStrokeHoverWarning: any;
                        textColorStrokePressedWarning: any;
                        textColorStrokeFocusWarning: any;
                        borderStrokeWarning: string;
                        borderStrokeHoverWarning: string;
                        borderStrokePressedWarning: string;
                        borderStrokeFocusWarning: string;
                        borderWarning: string;
                        borderHoverWarning: string;
                        borderPressedWarning: string;
                        borderFocusWarning: string;
                        rippleColorWarning: any;
                        colorError: any;
                        colorHoverError: any;
                        colorPressedError: any;
                        colorFocusError: any;
                        textColorError: string;
                        textColorHoverError: string;
                        textColorPressedError: string;
                        textColorFocusError: string;
                        textColorTextError: any;
                        textColorTextHoverError: any;
                        textColorTextPressedError: any;
                        textColorTextFocusError: any;
                        colorGhostHoverError: any;
                        textColorGhostError: any;
                        textColorGhostHoverError: any;
                        textColorGhostPressedError: any;
                        textColorGhostFocusError: any;
                        colorLighterError: any;
                        textColorLighterError: any;
                        textColorLighterHoverError: any;
                        textColorLighterPressedError: any;
                        textColorLighterFocusError: any;
                        borderLighterHoverError: string;
                        borderLighterPressedError: string;
                        borderLighterFocusError: string;
                        colorStrokeHoverError: any;
                        colorStrokePressedError: any;
                        colorStrokeFocusError: any;
                        textColorStrokeError: any;
                        textColorStrokeHoverError: any;
                        textColorStrokePressedError: any;
                        textColorStrokeFocusError: any;
                        borderStrokeError: string;
                        borderStrokeHoverError: string;
                        borderStrokePressedError: string;
                        borderStrokeFocusError: string;
                        borderError: string;
                        borderHoverError: string;
                        borderPressedError: string;
                        borderFocusError: string;
                        rippleColorError: any;
                        waveOpacity: string;
                        fontWeight: string;
                        fontWeightStrong: string;
                        opacityDisabled: string;
                        colorDisabled: any;
                        textColorDisabled: any;
                        iconColorDisabled: any;
                        paddingTiny: string;
                        paddingSmall: string;
                        paddingMedium: string;
                        paddingLarge: string;
                        paddingRoundTiny: string;
                        paddingRoundSmall: string;
                        paddingRoundMedium: string;
                        paddingRoundLarge: string;
                        iconMarginTiny: string;
                        iconMarginSmall: string;
                        iconMarginMedium: string;
                        iconMarginLarge: string;
                        iconSizeTiny: string;
                        iconSizeSmall: string;
                        iconSizeMedium: string;
                        iconSizeLarge: string;
                        rippleDuration: string;
                    }, any>> | undefined;
                    Input?: import("../../../_mixins/use-theme").ExtractThemeOverrides<import("../../../_mixins").Theme<"Input", {
                        fontWeight: string;
                        countTextColorDisabled: string;
                        countTextColor: string;
                        heightTiny: string;
                        heightSmall: string;
                        heightMedium: string;
                        heightLarge: string;
                        fontSizeTiny: string;
                        fontSizeSmall: string;
                        fontSizeMedium: string;
                        fontSizeLarge: string;
                        lineHeight: string;
                        lineHeightTextarea: string;
                        borderRadius: string;
                        iconSize: string;
                        groupLabelColor: string;
                        groupLabelTextColor: any;
                        textColor: any;
                        textColorDisabled: string;
                        textDecorationColor: any;
                        caretColor: any;
                        placeholderColor: string;
                        placeholderColorDisabled: string;
                        color: string;
                        colorDisabled: string;
                        colorFocus: string;
                        colorHover: any;
                        groupLabelBorder: string;
                        border: string;
                        borderHover: string;
                        borderDisabled: string;
                        borderFocus: string;
                        boxShadowFocus: string;
                        loadingColor: any;
                        loadingColorWarning: any;
                        borderWarning: string;
                        borderHoverWarning: string;
                        colorFocusWarning: string;
                        borderFocusWarning: string;
                        boxShadowFocusWarning: string;
                        caretColorWarning: any;
                        loadingColorError: any;
                        borderError: string;
                        borderHoverError: string;
                        colorFocusError: string;
                        borderFocusError: string;
                        boxShadowFocusError: string;
                        caretColorError: any;
                        clearColor: string;
                        clearColorHover: string;
                        clearColorPressed: string;
                        iconColor: string;
                        iconColorDisabled: string;
                        iconColorHover: string;
                        iconColorPressed: string;
                        suffixTextColor: string;
                        paddingTiny: string;
                        paddingSmall: string;
                        paddingMedium: string;
                        paddingLarge: string;
                        clearSize: string;
                    }, any>> | undefined;
                } | undefined;
            } | undefined;
            Scrollbar?: {
                peers?: {
                    [x: string]: any;
                } | undefined;
            } | undefined;
        };
    }, {
        common: import("../../..").ThemeCommonVars;
        self: {
            itemFontSize: string;
            calendarDaysFontSize: string;
            calendarTitleFontSize: string;
            itemTextColor: string;
            itemTextColorDisabled: string;
            itemTextColorActive: string;
            itemTextColorCurrent: any;
            itemColorIncluded: string;
            itemColorHover: string;
            itemColorDisabled: string;
            itemColorActive: any;
            itemBorderRadius: string;
            panelColor: string;
            panelTextColor: string;
            arrowColor: string;
            calendarTitleTextColor: string;
            calendarTitleColorHover: string;
            calendarDaysTextColor: string;
            panelHeaderDividerColor: any;
            calendarDaysDividerColor: any;
            calendarDividerColor: any;
            panelActionDividerColor: any;
            panelBoxShadow: string;
            panelBorderRadius: string;
            calendarTitleFontWeight: string;
            scrollItemBorderRadius: string;
            iconColor: string;
            iconColorDisabled: string;
            itemSize: string;
            itemCellWidth: string;
            itemCellHeight: string;
            scrollItemWidth: string;
            scrollItemHeight: string;
            panelExtraFooterPadding: string;
            panelActionPadding: string;
            calendarTitlePadding: string;
            calendarTitleHeight: string;
            arrowSize: string;
            panelHeaderPadding: string;
            calendarDaysHeight: string;
            calendarTitleGridTempateColumns: string;
            calendarLeftPaddingDate: string;
            calendarLeftPaddingDatetime: string;
            calendarLeftPaddingDaterange: string;
            calendarLeftPaddingDatetimerange: string;
            calendarLeftPaddingMonth: string;
            calendarLeftPaddingYear: string;
            calendarLeftPaddingQuarter: string;
            calendarLeftPaddingMonthrange: string;
            calendarLeftPaddingQuarterrange: string;
            calendarLeftPaddingYearrange: string;
            calendarLeftPaddingWeek: string;
            calendarRightPaddingDate: string;
            calendarRightPaddingDatetime: string;
            calendarRightPaddingDaterange: string;
            calendarRightPaddingDatetimerange: string;
            calendarRightPaddingMonth: string;
            calendarRightPaddingYear: string;
            calendarRightPaddingQuarter: string;
            calendarRightPaddingMonthrange: string;
            calendarRightPaddingQuarterrange: string;
            calendarRightPaddingYearrange: string;
            calendarRightPaddingWeek: string;
        };
        peers: {
            Input: import("../../../_mixins").Theme<"Input", {
                fontWeight: string;
                countTextColorDisabled: string;
                countTextColor: string;
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                lineHeight: string;
                lineHeightTextarea: string;
                borderRadius: string;
                iconSize: string;
                groupLabelColor: string;
                groupLabelTextColor: any;
                textColor: any;
                textColorDisabled: string;
                textDecorationColor: any;
                caretColor: any;
                placeholderColor: string;
                placeholderColorDisabled: string;
                color: string;
                colorDisabled: string;
                colorFocus: string;
                colorHover: any;
                groupLabelBorder: string;
                border: string;
                borderHover: string;
                borderDisabled: string;
                borderFocus: string;
                boxShadowFocus: string;
                loadingColor: any;
                loadingColorWarning: any;
                borderWarning: string;
                borderHoverWarning: string;
                colorFocusWarning: string;
                borderFocusWarning: string;
                boxShadowFocusWarning: string;
                caretColorWarning: any;
                loadingColorError: any;
                borderError: string;
                borderHoverError: string;
                colorFocusError: string;
                borderFocusError: string;
                boxShadowFocusError: string;
                caretColorError: any;
                clearColor: string;
                clearColorHover: string;
                clearColorPressed: string;
                iconColor: string;
                iconColorDisabled: string;
                iconColorHover: string;
                iconColorPressed: string;
                suffixTextColor: string;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                clearSize: string;
            }, any>;
            Button: import("../../../_mixins").Theme<"Button", {
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                borderRadiusTiny: string;
                borderRadiusSmall: string;
                borderRadiusMedium: string;
                borderRadiusLarge: string;
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                colorPrimary: any;
                colorHoverPrimary: any;
                colorPressedPrimary: any;
                colorFocusPrimary: any;
                textColorPrimary: any;
                textColorHoverPrimary: any;
                textColorPressedPrimary: any;
                textColorFocusPrimary: any;
                textColorTextPrimary: any;
                textColorTextHoverPrimary: any;
                textColorTextPressedPrimary: any;
                textColorTextFocusPrimary: any;
                colorGhostHoverPrimary: any;
                textColorGhostPrimary: any;
                textColorGhostHoverPrimary: any;
                textColorGhostPressedPrimary: any;
                textColorGhostFocusPrimary: any;
                colorLighterPrimary: any;
                colorHoverLighterPrimary: any;
                colorPressedLighterPrimary: any;
                colorFocusLighterPrimary: any;
                textColorLighterPrimary: any;
                textColorLighterHoverPrimary: any;
                textColorLighterPressedPrimary: any;
                textColorLighterFocusPrimary: any;
                borderLighterHoverPrimary: string;
                borderLighterPressedPrimary: string;
                borderLighterFocusPrimary: string;
                colorStrokeHoverPrimary: any;
                colorStrokePressedPrimary: any;
                colorStrokeFocusPrimary: any;
                textColorStrokePrimary: any;
                textColorStrokeHoverPrimary: any;
                textColorStrokePressedPrimary: any;
                textColorStrokeFocusPrimary: any;
                borderStrokePrimary: string;
                borderStrokeHoverPrimary: string;
                borderStrokePressedPrimary: string;
                borderStrokeFocusPrimary: string;
                borderPrimary: string;
                borderHoverPrimary: string;
                borderPressedPrimary: string;
                borderFocusPrimary: string;
                rippleColorPrimary: any;
                colorNeutral: any;
                colorHoverNeutral: any;
                colorPressedNeutral: any;
                colorFocusNeutral: any;
                textColorNeutral: string;
                textColorHoverNeutral: string;
                textColorPressedNeutral: string;
                textColorFocusNeutral: string;
                textColorTextNeutral: any;
                textColorTextHoverNeutral: any;
                textColorTextPressedNeutral: any;
                textColorTextFocusNeutral: any;
                colorGhostHoverNeutral: any;
                colorPressedNeutralGhost: any;
                colorFocusNeutralGhost: any;
                textColorGhostNeutral: any;
                textColorGhostHoverNeutral: any;
                textColorGhostPressedNeutral: any;
                textColorGhostFocusNeutral: any;
                colorLighterNeutral: any;
                colorPressedNeutralLighter: any;
                colorFocusNeutralLighter: any;
                textColorLighterNeutral: any;
                textColorLighterHoverNeutral: any;
                textColorLighterPressedNeutral: any;
                textColorLighterFocusNeutral: any;
                borderLighterHoverNeutral: string;
                borderLighterPressedNeutral: string;
                borderLighterFocusNeutral: string;
                colorStrokeHoverNeutral: any;
                colorStrokePressedNeutral: any;
                colorStrokeFocusNeutral: any;
                textColorStrokeNeutral: any;
                textColorStrokeHoverNeutral: any;
                textColorStrokePressedNeutral: any;
                textColorStrokeFocusNeutral: any;
                borderStrokeNeutral: string;
                borderStrokeHoverNeutral: string;
                borderStrokePressedNeutral: string;
                borderStrokeFocusNeutral: string;
                borderNeutral: string;
                borderHoverNeutral: string;
                borderPressedNeutral: string;
                borderFocusNeutral: string;
                rippleColorNeutral: any;
                colorSuccess: any;
                colorHoverSuccess: any;
                colorPressedSuccess: any;
                colorFocusSuccess: any;
                textColorSuccess: string;
                textColorHoverSuccess: string;
                textColorPressedSuccess: string;
                textColorFocusSuccess: string;
                textColorTextSuccess: any;
                textColorTextHoverSuccess: any;
                textColorTextPressedSuccess: any;
                textColorTextFocusSuccess: any;
                colorGhostHoverSuccess: any;
                textColorGhostSuccess: any;
                textColorGhostHoverSuccess: any;
                textColorGhostPressedSuccess: any;
                textColorGhostFocusSuccess: any;
                colorLighterSuccess: any;
                textColorLighterSuccess: any;
                textColorLighterHoverSuccess: any;
                textColorLighterPressedSuccess: any;
                textColorLighterFocusSuccess: any;
                borderLighterHoverSuccess: string;
                borderLighterPressedSuccess: string;
                borderLighterFocusSuccess: string;
                colorStrokeHoverSuccess: any;
                colorStrokePressedSuccess: any;
                colorStrokeFocusSuccess: any;
                textColorStrokeSuccess: any;
                textColorStrokeHoverSuccess: any;
                textColorStrokePressedSuccess: any;
                textColorStrokeFocusSuccess: any;
                borderStrokeSuccess: string;
                borderStrokeHoverSuccess: string;
                borderStrokePressedSuccess: string;
                borderStrokeFocusSuccess: string;
                borderSuccess: string;
                borderHoverSuccess: string;
                borderPressedSuccess: string;
                borderFocusSuccess: string;
                rippleColorSuccess: any;
                colorWarning: any;
                colorHoverWarning: any;
                colorPressedWarning: any;
                colorFocusWarning: any;
                textColorWarning: string;
                textColorHoverWarning: string;
                textColorPressedWarning: string;
                textColorFocusWarning: string;
                textColorTextWarning: any;
                textColorTextHoverWarning: any;
                textColorTextPressedWarning: any;
                textColorTextFocusWarning: any;
                colorGhostHoverWarning: any;
                textColorGhostWarning: any;
                textColorGhostHoverWarning: any;
                textColorGhostPressedWarning: any;
                textColorGhostFocusWarning: any;
                colorLighterWarning: any;
                textColorLighterWarning: any;
                textColorLighterHoverWarning: any;
                textColorLighterPressedWarning: any;
                textColorLighterFocusWarning: any;
                borderLighterHoverWarning: string;
                borderLighterPressedWarning: string;
                borderLighterFocusWarning: string;
                colorStrokeHoverWarning: any;
                colorStrokePressedWarning: any;
                colorStrokeFocusWarning: any;
                textColorStrokeWarning: any;
                textColorStrokeHoverWarning: any;
                textColorStrokePressedWarning: any;
                textColorStrokeFocusWarning: any;
                borderStrokeWarning: string;
                borderStrokeHoverWarning: string;
                borderStrokePressedWarning: string;
                borderStrokeFocusWarning: string;
                borderWarning: string;
                borderHoverWarning: string;
                borderPressedWarning: string;
                borderFocusWarning: string;
                rippleColorWarning: any;
                colorError: any;
                colorHoverError: any;
                colorPressedError: any;
                colorFocusError: any;
                textColorError: string;
                textColorHoverError: string;
                textColorPressedError: string;
                textColorFocusError: string;
                textColorTextError: any;
                textColorTextHoverError: any;
                textColorTextPressedError: any;
                textColorTextFocusError: any;
                colorGhostHoverError: any;
                textColorGhostError: any;
                textColorGhostHoverError: any;
                textColorGhostPressedError: any;
                textColorGhostFocusError: any;
                colorLighterError: any;
                textColorLighterError: any;
                textColorLighterHoverError: any;
                textColorLighterPressedError: any;
                textColorLighterFocusError: any;
                borderLighterHoverError: string;
                borderLighterPressedError: string;
                borderLighterFocusError: string;
                colorStrokeHoverError: any;
                colorStrokePressedError: any;
                colorStrokeFocusError: any;
                textColorStrokeError: any;
                textColorStrokeHoverError: any;
                textColorStrokePressedError: any;
                textColorStrokeFocusError: any;
                borderStrokeError: string;
                borderStrokeHoverError: string;
                borderStrokePressedError: string;
                borderStrokeFocusError: string;
                borderError: string;
                borderHoverError: string;
                borderPressedError: string;
                borderFocusError: string;
                rippleColorError: any;
                waveOpacity: string;
                fontWeight: string;
                fontWeightStrong: string;
                opacityDisabled: string;
                colorDisabled: any;
                textColorDisabled: any;
                iconColorDisabled: any;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                paddingRoundTiny: string;
                paddingRoundSmall: string;
                paddingRoundMedium: string;
                paddingRoundLarge: string;
                iconMarginTiny: string;
                iconMarginSmall: string;
                iconMarginMedium: string;
                iconMarginLarge: string;
                iconSizeTiny: string;
                iconSizeSmall: string;
                iconSizeMedium: string;
                iconSizeLarge: string;
                rippleDuration: string;
            }, any>;
            TimePicker: import("../../../_mixins").Theme<"TimePicker", {
                panelColor: string;
                panelBoxShadow: string;
                panelDividerColor: any;
                itemTextColor: string;
                itemTextColorActive: any;
                itemColorHover: string;
                itemOpacityDisabled: string;
                itemBorderRadius: string;
                borderRadius: string;
                iconColor: string;
                iconColorDisabled: string;
                itemFontSize: string;
                itemHeight: string;
                itemWidth: string;
                panelActionPadding: string;
            }, {
                Scrollbar: import("../../../_mixins").Theme<"Scrollbar", {
                    height: string;
                    width: string;
                    borderRadius: string;
                    color: string;
                    colorHover: string;
                    railInsetHorizontalBottom: string;
                    railInsetHorizontalTop: string;
                    railInsetVerticalRight: string;
                    railInsetVerticalLeft: string;
                    railColor: string;
                }, any>;
                Button: import("../../../_mixins").Theme<"Button", {
                    heightTiny: string;
                    heightSmall: string;
                    heightMedium: string;
                    heightLarge: string;
                    borderRadiusTiny: string;
                    borderRadiusSmall: string;
                    borderRadiusMedium: string;
                    borderRadiusLarge: string;
                    fontSizeTiny: string;
                    fontSizeSmall: string;
                    fontSizeMedium: string;
                    fontSizeLarge: string;
                    colorPrimary: any;
                    colorHoverPrimary: any;
                    colorPressedPrimary: any;
                    colorFocusPrimary: any;
                    textColorPrimary: any;
                    textColorHoverPrimary: any;
                    textColorPressedPrimary: any;
                    textColorFocusPrimary: any;
                    textColorTextPrimary: any;
                    textColorTextHoverPrimary: any;
                    textColorTextPressedPrimary: any;
                    textColorTextFocusPrimary: any;
                    colorGhostHoverPrimary: any;
                    textColorGhostPrimary: any;
                    textColorGhostHoverPrimary: any;
                    textColorGhostPressedPrimary: any;
                    textColorGhostFocusPrimary: any;
                    colorLighterPrimary: any;
                    colorHoverLighterPrimary: any;
                    colorPressedLighterPrimary: any;
                    colorFocusLighterPrimary: any;
                    textColorLighterPrimary: any;
                    textColorLighterHoverPrimary: any;
                    textColorLighterPressedPrimary: any;
                    textColorLighterFocusPrimary: any;
                    borderLighterHoverPrimary: string;
                    borderLighterPressedPrimary: string;
                    borderLighterFocusPrimary: string;
                    colorStrokeHoverPrimary: any;
                    colorStrokePressedPrimary: any;
                    colorStrokeFocusPrimary: any;
                    textColorStrokePrimary: any;
                    textColorStrokeHoverPrimary: any;
                    textColorStrokePressedPrimary: any;
                    textColorStrokeFocusPrimary: any;
                    borderStrokePrimary: string;
                    borderStrokeHoverPrimary: string;
                    borderStrokePressedPrimary: string;
                    borderStrokeFocusPrimary: string;
                    borderPrimary: string;
                    borderHoverPrimary: string;
                    borderPressedPrimary: string;
                    borderFocusPrimary: string;
                    rippleColorPrimary: any;
                    colorNeutral: any;
                    colorHoverNeutral: any;
                    colorPressedNeutral: any;
                    colorFocusNeutral: any;
                    textColorNeutral: string;
                    textColorHoverNeutral: string;
                    textColorPressedNeutral: string;
                    textColorFocusNeutral: string;
                    textColorTextNeutral: any;
                    textColorTextHoverNeutral: any;
                    textColorTextPressedNeutral: any;
                    textColorTextFocusNeutral: any;
                    colorGhostHoverNeutral: any;
                    colorPressedNeutralGhost: any;
                    colorFocusNeutralGhost: any;
                    textColorGhostNeutral: any;
                    textColorGhostHoverNeutral: any;
                    textColorGhostPressedNeutral: any;
                    textColorGhostFocusNeutral: any;
                    colorLighterNeutral: any;
                    colorPressedNeutralLighter: any;
                    colorFocusNeutralLighter: any;
                    textColorLighterNeutral: any;
                    textColorLighterHoverNeutral: any;
                    textColorLighterPressedNeutral: any;
                    textColorLighterFocusNeutral: any;
                    borderLighterHoverNeutral: string;
                    borderLighterPressedNeutral: string;
                    borderLighterFocusNeutral: string;
                    colorStrokeHoverNeutral: any;
                    colorStrokePressedNeutral: any;
                    colorStrokeFocusNeutral: any;
                    textColorStrokeNeutral: any;
                    textColorStrokeHoverNeutral: any;
                    textColorStrokePressedNeutral: any;
                    textColorStrokeFocusNeutral: any;
                    borderStrokeNeutral: string;
                    borderStrokeHoverNeutral: string;
                    borderStrokePressedNeutral: string;
                    borderStrokeFocusNeutral: string;
                    borderNeutral: string;
                    borderHoverNeutral: string;
                    borderPressedNeutral: string;
                    borderFocusNeutral: string;
                    rippleColorNeutral: any;
                    colorSuccess: any;
                    colorHoverSuccess: any;
                    colorPressedSuccess: any;
                    colorFocusSuccess: any;
                    textColorSuccess: string;
                    textColorHoverSuccess: string;
                    textColorPressedSuccess: string;
                    textColorFocusSuccess: string;
                    textColorTextSuccess: any;
                    textColorTextHoverSuccess: any;
                    textColorTextPressedSuccess: any;
                    textColorTextFocusSuccess: any;
                    colorGhostHoverSuccess: any;
                    textColorGhostSuccess: any;
                    textColorGhostHoverSuccess: any;
                    textColorGhostPressedSuccess: any;
                    textColorGhostFocusSuccess: any;
                    colorLighterSuccess: any;
                    textColorLighterSuccess: any;
                    textColorLighterHoverSuccess: any;
                    textColorLighterPressedSuccess: any;
                    textColorLighterFocusSuccess: any;
                    borderLighterHoverSuccess: string;
                    borderLighterPressedSuccess: string;
                    borderLighterFocusSuccess: string;
                    colorStrokeHoverSuccess: any;
                    colorStrokePressedSuccess: any;
                    colorStrokeFocusSuccess: any;
                    textColorStrokeSuccess: any;
                    textColorStrokeHoverSuccess: any;
                    textColorStrokePressedSuccess: any;
                    textColorStrokeFocusSuccess: any;
                    borderStrokeSuccess: string;
                    borderStrokeHoverSuccess: string;
                    borderStrokePressedSuccess: string;
                    borderStrokeFocusSuccess: string;
                    borderSuccess: string;
                    borderHoverSuccess: string;
                    borderPressedSuccess: string;
                    borderFocusSuccess: string;
                    rippleColorSuccess: any;
                    colorWarning: any;
                    colorHoverWarning: any;
                    colorPressedWarning: any;
                    colorFocusWarning: any;
                    textColorWarning: string;
                    textColorHoverWarning: string;
                    textColorPressedWarning: string;
                    textColorFocusWarning: string;
                    textColorTextWarning: any;
                    textColorTextHoverWarning: any;
                    textColorTextPressedWarning: any;
                    textColorTextFocusWarning: any;
                    colorGhostHoverWarning: any;
                    textColorGhostWarning: any;
                    textColorGhostHoverWarning: any;
                    textColorGhostPressedWarning: any;
                    textColorGhostFocusWarning: any;
                    colorLighterWarning: any;
                    textColorLighterWarning: any;
                    textColorLighterHoverWarning: any;
                    textColorLighterPressedWarning: any;
                    textColorLighterFocusWarning: any;
                    borderLighterHoverWarning: string;
                    borderLighterPressedWarning: string;
                    borderLighterFocusWarning: string;
                    colorStrokeHoverWarning: any;
                    colorStrokePressedWarning: any;
                    colorStrokeFocusWarning: any;
                    textColorStrokeWarning: any;
                    textColorStrokeHoverWarning: any;
                    textColorStrokePressedWarning: any;
                    textColorStrokeFocusWarning: any;
                    borderStrokeWarning: string;
                    borderStrokeHoverWarning: string;
                    borderStrokePressedWarning: string;
                    borderStrokeFocusWarning: string;
                    borderWarning: string;
                    borderHoverWarning: string;
                    borderPressedWarning: string;
                    borderFocusWarning: string;
                    rippleColorWarning: any;
                    colorError: any;
                    colorHoverError: any;
                    colorPressedError: any;
                    colorFocusError: any;
                    textColorError: string;
                    textColorHoverError: string;
                    textColorPressedError: string;
                    textColorFocusError: string;
                    textColorTextError: any;
                    textColorTextHoverError: any;
                    textColorTextPressedError: any;
                    textColorTextFocusError: any;
                    colorGhostHoverError: any;
                    textColorGhostError: any;
                    textColorGhostHoverError: any;
                    textColorGhostPressedError: any;
                    textColorGhostFocusError: any;
                    colorLighterError: any;
                    textColorLighterError: any;
                    textColorLighterHoverError: any;
                    textColorLighterPressedError: any;
                    textColorLighterFocusError: any;
                    borderLighterHoverError: string;
                    borderLighterPressedError: string;
                    borderLighterFocusError: string;
                    colorStrokeHoverError: any;
                    colorStrokePressedError: any;
                    colorStrokeFocusError: any;
                    textColorStrokeError: any;
                    textColorStrokeHoverError: any;
                    textColorStrokePressedError: any;
                    textColorStrokeFocusError: any;
                    borderStrokeError: string;
                    borderStrokeHoverError: string;
                    borderStrokePressedError: string;
                    borderStrokeFocusError: string;
                    borderError: string;
                    borderHoverError: string;
                    borderPressedError: string;
                    borderFocusError: string;
                    rippleColorError: any;
                    waveOpacity: string;
                    fontWeight: string;
                    fontWeightStrong: string;
                    opacityDisabled: string;
                    colorDisabled: any;
                    textColorDisabled: any;
                    iconColorDisabled: any;
                    paddingTiny: string;
                    paddingSmall: string;
                    paddingMedium: string;
                    paddingLarge: string;
                    paddingRoundTiny: string;
                    paddingRoundSmall: string;
                    paddingRoundMedium: string;
                    paddingRoundLarge: string;
                    iconMarginTiny: string;
                    iconMarginSmall: string;
                    iconMarginMedium: string;
                    iconMarginLarge: string;
                    iconSizeTiny: string;
                    iconSizeSmall: string;
                    iconSizeMedium: string;
                    iconSizeLarge: string;
                    rippleDuration: string;
                }, any>;
                Input: import("../../../_mixins").Theme<"Input", {
                    fontWeight: string;
                    countTextColorDisabled: string;
                    countTextColor: string;
                    heightTiny: string;
                    heightSmall: string;
                    heightMedium: string;
                    heightLarge: string;
                    fontSizeTiny: string;
                    fontSizeSmall: string;
                    fontSizeMedium: string;
                    fontSizeLarge: string;
                    lineHeight: string;
                    lineHeightTextarea: string;
                    borderRadius: string;
                    iconSize: string;
                    groupLabelColor: string;
                    groupLabelTextColor: any;
                    textColor: any;
                    textColorDisabled: string;
                    textDecorationColor: any;
                    caretColor: any;
                    placeholderColor: string;
                    placeholderColorDisabled: string;
                    color: string;
                    colorDisabled: string;
                    colorFocus: string;
                    colorHover: any;
                    groupLabelBorder: string;
                    border: string;
                    borderHover: string;
                    borderDisabled: string;
                    borderFocus: string;
                    boxShadowFocus: string;
                    loadingColor: any;
                    loadingColorWarning: any;
                    borderWarning: string;
                    borderHoverWarning: string;
                    colorFocusWarning: string;
                    borderFocusWarning: string;
                    boxShadowFocusWarning: string;
                    caretColorWarning: any;
                    loadingColorError: any;
                    borderError: string;
                    borderHoverError: string;
                    colorFocusError: string;
                    borderFocusError: string;
                    boxShadowFocusError: string;
                    caretColorError: any;
                    clearColor: string;
                    clearColorHover: string;
                    clearColorPressed: string;
                    iconColor: string;
                    iconColorDisabled: string;
                    iconColorHover: string;
                    iconColorPressed: string;
                    suffixTextColor: string;
                    paddingTiny: string;
                    paddingSmall: string;
                    paddingMedium: string;
                    paddingLarge: string;
                    clearSize: string;
                }, any>;
            }>;
            Scrollbar: import("../../../_mixins").Theme<"Scrollbar", {
                height: string;
                width: string;
                borderRadius: string;
                color: string;
                colorHover: string;
                railInsetHorizontalBottom: string;
                railInsetHorizontalTop: string;
                railInsetVerticalRight: string;
                railInsetVerticalLeft: string;
                railColor: string;
            }, any>;
        };
        peerOverrides: {
            Input?: {
                peers?: {
                    [x: string]: any;
                } | undefined;
            } | undefined;
            Button?: {
                peers?: {
                    [x: string]: any;
                } | undefined;
            } | undefined;
            TimePicker?: {
                peers?: {
                    Scrollbar?: import("../../../_mixins/use-theme").ExtractThemeOverrides<import("../../../_mixins").Theme<"Scrollbar", {
                        height: string;
                        width: string;
                        borderRadius: string;
                        color: string;
                        colorHover: string;
                        railInsetHorizontalBottom: string;
                        railInsetHorizontalTop: string;
                        railInsetVerticalRight: string;
                        railInsetVerticalLeft: string;
                        railColor: string;
                    }, any>> | undefined;
                    Button?: import("../../../_mixins/use-theme").ExtractThemeOverrides<import("../../../_mixins").Theme<"Button", {
                        heightTiny: string;
                        heightSmall: string;
                        heightMedium: string;
                        heightLarge: string;
                        borderRadiusTiny: string;
                        borderRadiusSmall: string;
                        borderRadiusMedium: string;
                        borderRadiusLarge: string;
                        fontSizeTiny: string;
                        fontSizeSmall: string;
                        fontSizeMedium: string;
                        fontSizeLarge: string;
                        colorPrimary: any;
                        colorHoverPrimary: any;
                        colorPressedPrimary: any;
                        colorFocusPrimary: any;
                        textColorPrimary: any;
                        textColorHoverPrimary: any;
                        textColorPressedPrimary: any;
                        textColorFocusPrimary: any;
                        textColorTextPrimary: any;
                        textColorTextHoverPrimary: any;
                        textColorTextPressedPrimary: any;
                        textColorTextFocusPrimary: any;
                        colorGhostHoverPrimary: any;
                        textColorGhostPrimary: any;
                        textColorGhostHoverPrimary: any;
                        textColorGhostPressedPrimary: any;
                        textColorGhostFocusPrimary: any;
                        colorLighterPrimary: any;
                        colorHoverLighterPrimary: any;
                        colorPressedLighterPrimary: any;
                        colorFocusLighterPrimary: any;
                        textColorLighterPrimary: any;
                        textColorLighterHoverPrimary: any;
                        textColorLighterPressedPrimary: any;
                        textColorLighterFocusPrimary: any;
                        borderLighterHoverPrimary: string;
                        borderLighterPressedPrimary: string;
                        borderLighterFocusPrimary: string;
                        colorStrokeHoverPrimary: any;
                        colorStrokePressedPrimary: any;
                        colorStrokeFocusPrimary: any;
                        textColorStrokePrimary: any;
                        textColorStrokeHoverPrimary: any;
                        textColorStrokePressedPrimary: any;
                        textColorStrokeFocusPrimary: any;
                        borderStrokePrimary: string;
                        borderStrokeHoverPrimary: string;
                        borderStrokePressedPrimary: string;
                        borderStrokeFocusPrimary: string;
                        borderPrimary: string;
                        borderHoverPrimary: string;
                        borderPressedPrimary: string;
                        borderFocusPrimary: string;
                        rippleColorPrimary: any;
                        colorNeutral: any;
                        colorHoverNeutral: any;
                        colorPressedNeutral: any;
                        colorFocusNeutral: any;
                        textColorNeutral: string;
                        textColorHoverNeutral: string;
                        textColorPressedNeutral: string;
                        textColorFocusNeutral: string;
                        textColorTextNeutral: any;
                        textColorTextHoverNeutral: any;
                        textColorTextPressedNeutral: any;
                        textColorTextFocusNeutral: any;
                        colorGhostHoverNeutral: any;
                        colorPressedNeutralGhost: any;
                        colorFocusNeutralGhost: any;
                        textColorGhostNeutral: any;
                        textColorGhostHoverNeutral: any;
                        textColorGhostPressedNeutral: any;
                        textColorGhostFocusNeutral: any;
                        colorLighterNeutral: any;
                        colorPressedNeutralLighter: any;
                        colorFocusNeutralLighter: any;
                        textColorLighterNeutral: any;
                        textColorLighterHoverNeutral: any;
                        textColorLighterPressedNeutral: any;
                        textColorLighterFocusNeutral: any;
                        borderLighterHoverNeutral: string;
                        borderLighterPressedNeutral: string;
                        borderLighterFocusNeutral: string;
                        colorStrokeHoverNeutral: any;
                        colorStrokePressedNeutral: any;
                        colorStrokeFocusNeutral: any;
                        textColorStrokeNeutral: any;
                        textColorStrokeHoverNeutral: any;
                        textColorStrokePressedNeutral: any;
                        textColorStrokeFocusNeutral: any;
                        borderStrokeNeutral: string;
                        borderStrokeHoverNeutral: string;
                        borderStrokePressedNeutral: string;
                        borderStrokeFocusNeutral: string;
                        borderNeutral: string;
                        borderHoverNeutral: string;
                        borderPressedNeutral: string;
                        borderFocusNeutral: string;
                        rippleColorNeutral: any;
                        colorSuccess: any;
                        colorHoverSuccess: any;
                        colorPressedSuccess: any;
                        colorFocusSuccess: any;
                        textColorSuccess: string;
                        textColorHoverSuccess: string;
                        textColorPressedSuccess: string;
                        textColorFocusSuccess: string;
                        textColorTextSuccess: any;
                        textColorTextHoverSuccess: any;
                        textColorTextPressedSuccess: any;
                        textColorTextFocusSuccess: any;
                        colorGhostHoverSuccess: any;
                        textColorGhostSuccess: any;
                        textColorGhostHoverSuccess: any;
                        textColorGhostPressedSuccess: any;
                        textColorGhostFocusSuccess: any;
                        colorLighterSuccess: any;
                        textColorLighterSuccess: any;
                        textColorLighterHoverSuccess: any;
                        textColorLighterPressedSuccess: any;
                        textColorLighterFocusSuccess: any;
                        borderLighterHoverSuccess: string;
                        borderLighterPressedSuccess: string;
                        borderLighterFocusSuccess: string;
                        colorStrokeHoverSuccess: any;
                        colorStrokePressedSuccess: any;
                        colorStrokeFocusSuccess: any;
                        textColorStrokeSuccess: any;
                        textColorStrokeHoverSuccess: any;
                        textColorStrokePressedSuccess: any;
                        textColorStrokeFocusSuccess: any;
                        borderStrokeSuccess: string;
                        borderStrokeHoverSuccess: string;
                        borderStrokePressedSuccess: string;
                        borderStrokeFocusSuccess: string;
                        borderSuccess: string;
                        borderHoverSuccess: string;
                        borderPressedSuccess: string;
                        borderFocusSuccess: string;
                        rippleColorSuccess: any;
                        colorWarning: any;
                        colorHoverWarning: any;
                        colorPressedWarning: any;
                        colorFocusWarning: any;
                        textColorWarning: string;
                        textColorHoverWarning: string;
                        textColorPressedWarning: string;
                        textColorFocusWarning: string;
                        textColorTextWarning: any;
                        textColorTextHoverWarning: any;
                        textColorTextPressedWarning: any;
                        textColorTextFocusWarning: any;
                        colorGhostHoverWarning: any;
                        textColorGhostWarning: any;
                        textColorGhostHoverWarning: any;
                        textColorGhostPressedWarning: any;
                        textColorGhostFocusWarning: any;
                        colorLighterWarning: any;
                        textColorLighterWarning: any;
                        textColorLighterHoverWarning: any;
                        textColorLighterPressedWarning: any;
                        textColorLighterFocusWarning: any;
                        borderLighterHoverWarning: string;
                        borderLighterPressedWarning: string;
                        borderLighterFocusWarning: string;
                        colorStrokeHoverWarning: any;
                        colorStrokePressedWarning: any;
                        colorStrokeFocusWarning: any;
                        textColorStrokeWarning: any;
                        textColorStrokeHoverWarning: any;
                        textColorStrokePressedWarning: any;
                        textColorStrokeFocusWarning: any;
                        borderStrokeWarning: string;
                        borderStrokeHoverWarning: string;
                        borderStrokePressedWarning: string;
                        borderStrokeFocusWarning: string;
                        borderWarning: string;
                        borderHoverWarning: string;
                        borderPressedWarning: string;
                        borderFocusWarning: string;
                        rippleColorWarning: any;
                        colorError: any;
                        colorHoverError: any;
                        colorPressedError: any;
                        colorFocusError: any;
                        textColorError: string;
                        textColorHoverError: string;
                        textColorPressedError: string;
                        textColorFocusError: string;
                        textColorTextError: any;
                        textColorTextHoverError: any;
                        textColorTextPressedError: any;
                        textColorTextFocusError: any;
                        colorGhostHoverError: any;
                        textColorGhostError: any;
                        textColorGhostHoverError: any;
                        textColorGhostPressedError: any;
                        textColorGhostFocusError: any;
                        colorLighterError: any;
                        textColorLighterError: any;
                        textColorLighterHoverError: any;
                        textColorLighterPressedError: any;
                        textColorLighterFocusError: any;
                        borderLighterHoverError: string;
                        borderLighterPressedError: string;
                        borderLighterFocusError: string;
                        colorStrokeHoverError: any;
                        colorStrokePressedError: any;
                        colorStrokeFocusError: any;
                        textColorStrokeError: any;
                        textColorStrokeHoverError: any;
                        textColorStrokePressedError: any;
                        textColorStrokeFocusError: any;
                        borderStrokeError: string;
                        borderStrokeHoverError: string;
                        borderStrokePressedError: string;
                        borderStrokeFocusError: string;
                        borderError: string;
                        borderHoverError: string;
                        borderPressedError: string;
                        borderFocusError: string;
                        rippleColorError: any;
                        waveOpacity: string;
                        fontWeight: string;
                        fontWeightStrong: string;
                        opacityDisabled: string;
                        colorDisabled: any;
                        textColorDisabled: any;
                        iconColorDisabled: any;
                        paddingTiny: string;
                        paddingSmall: string;
                        paddingMedium: string;
                        paddingLarge: string;
                        paddingRoundTiny: string;
                        paddingRoundSmall: string;
                        paddingRoundMedium: string;
                        paddingRoundLarge: string;
                        iconMarginTiny: string;
                        iconMarginSmall: string;
                        iconMarginMedium: string;
                        iconMarginLarge: string;
                        iconSizeTiny: string;
                        iconSizeSmall: string;
                        iconSizeMedium: string;
                        iconSizeLarge: string;
                        rippleDuration: string;
                    }, any>> | undefined;
                    Input?: import("../../../_mixins/use-theme").ExtractThemeOverrides<import("../../../_mixins").Theme<"Input", {
                        fontWeight: string;
                        countTextColorDisabled: string;
                        countTextColor: string;
                        heightTiny: string;
                        heightSmall: string;
                        heightMedium: string;
                        heightLarge: string;
                        fontSizeTiny: string;
                        fontSizeSmall: string;
                        fontSizeMedium: string;
                        fontSizeLarge: string;
                        lineHeight: string;
                        lineHeightTextarea: string;
                        borderRadius: string;
                        iconSize: string;
                        groupLabelColor: string;
                        groupLabelTextColor: any;
                        textColor: any;
                        textColorDisabled: string;
                        textDecorationColor: any;
                        caretColor: any;
                        placeholderColor: string;
                        placeholderColorDisabled: string;
                        color: string;
                        colorDisabled: string;
                        colorFocus: string;
                        colorHover: any;
                        groupLabelBorder: string;
                        border: string;
                        borderHover: string;
                        borderDisabled: string;
                        borderFocus: string;
                        boxShadowFocus: string;
                        loadingColor: any;
                        loadingColorWarning: any;
                        borderWarning: string;
                        borderHoverWarning: string;
                        colorFocusWarning: string;
                        borderFocusWarning: string;
                        boxShadowFocusWarning: string;
                        caretColorWarning: any;
                        loadingColorError: any;
                        borderError: string;
                        borderHoverError: string;
                        colorFocusError: string;
                        borderFocusError: string;
                        boxShadowFocusError: string;
                        caretColorError: any;
                        clearColor: string;
                        clearColorHover: string;
                        clearColorPressed: string;
                        iconColor: string;
                        iconColorDisabled: string;
                        iconColorHover: string;
                        iconColorPressed: string;
                        suffixTextColor: string;
                        paddingTiny: string;
                        paddingSmall: string;
                        paddingMedium: string;
                        paddingLarge: string;
                        clearSize: string;
                    }, any>> | undefined;
                } | undefined;
            } | undefined;
            Scrollbar?: {
                peers?: {
                    [x: string]: any;
                } | undefined;
            } | undefined;
        };
    }>;
    mergedClsPrefix: import("vue").Ref<string, string>;
    dateFnsOptions: import("vue").ComputedRef<{
        locale: import("date-fns").Locale;
    }>;
    timePickerProps: import("vue").Ref<import("../../..").TimePickerProps | [import("../../..").TimePickerProps, import("../../..").TimePickerProps] | undefined, import("../../..").TimePickerProps | [import("../../..").TimePickerProps, import("../../..").TimePickerProps] | undefined>;
    selfRef: import("vue").Ref<HTMLElement | null, HTMLElement | null>;
    locale: import("vue").Ref<{
        yearFormat: string;
        monthFormat: string;
        dayFormat: string;
        yearTypeFormat: string;
        monthTypeFormat: string;
        dateFormat: string;
        dateTimeFormat: string;
        quarterFormat: string;
        weekFormat: string;
        clear: string;
        now: string;
        confirm: string;
        selectTime: string;
        selectDate: string;
        datePlaceholder: string;
        datetimePlaceholder: string;
        monthPlaceholder: string;
        yearPlaceholder: string;
        quarterPlaceholder: string;
        weekPlaceholder: string;
        startDatePlaceholder: string;
        endDatePlaceholder: string;
        startDatetimePlaceholder: string;
        endDatetimePlaceholder: string;
        startMonthPlaceholder: string;
        endMonthPlaceholder: string;
        monthBeforeYear: boolean;
        firstDayOfWeek: 0 | 1 | 2 | 3 | 4 | 5 | 6;
        today: string;
    }, {
        yearFormat: string;
        monthFormat: string;
        dayFormat: string;
        yearTypeFormat: string;
        monthTypeFormat: string;
        dateFormat: string;
        dateTimeFormat: string;
        quarterFormat: string;
        weekFormat: string;
        clear: string;
        now: string;
        confirm: string;
        selectTime: string;
        selectDate: string;
        datePlaceholder: string;
        datetimePlaceholder: string;
        monthPlaceholder: string;
        yearPlaceholder: string;
        quarterPlaceholder: string;
        weekPlaceholder: string;
        startDatePlaceholder: string;
        endDatePlaceholder: string;
        startDatetimePlaceholder: string;
        endDatetimePlaceholder: string;
        startMonthPlaceholder: string;
        endMonthPlaceholder: string;
        monthBeforeYear: boolean;
        firstDayOfWeek: 0 | 1 | 2 | 3 | 4 | 5 | 6;
        today: string;
    }>;
    doConfirm: () => void;
    doClose: (disableUpdateOnClose?: boolean) => void;
    doUpdateValue: (value: import("../interface").Value | null, doUpdate: boolean) => void;
    doTabOut: () => void;
    handleClearClick: () => void;
    disableTransitionOneTick: () => void;
    handlePanelKeyDown: (e: KeyboardEvent) => void;
    handlePanelFocus: (e: FocusEvent) => void;
    cachePendingValue: () => void;
    clearPendingValue: () => void;
    restorePendingValue: () => void;
    getShortcutValue: (shortcut: import("../interface").Shortcuts[string]) => number | [number, number] | readonly [number, number];
    handleShortcutMouseleave: () => void;
    showMonthYearPanel: import("vue").Ref<boolean, boolean>;
    handleOpenQuickSelectMonthPanel: () => void;
    startDatesElRef: import("vue").Ref<HTMLElement | null, HTMLElement | null>;
    endDatesElRef: import("vue").Ref<HTMLElement | null, HTMLElement | null>;
    handleDateClick: (dateItem: import("../utils").DateItem) => void;
    handleColItemClick: (dateItem: MonthItem | QuarterItem | YearItem, clickType: "start" | "end") => void;
    handleDateMouseEnter: (dateItem: import("../utils").DateItem) => void;
    handleConfirmClick: () => void;
    startCalendarPrevYear: () => void;
    startCalendarPrevMonth: () => void;
    startCalendarNextYear: () => void;
    startCalendarNextMonth: () => void;
    endCalendarPrevYear: () => void;
    endCalendarPrevMonth: () => void;
    endCalendarNextMonth: () => void;
    endCalendarNextYear: () => void;
    mergedIsDateDisabled: (ts: number) => boolean;
    changeStartEndTime: (startTime: number, endTime: number, source: "shortcutPreview" | "wipPreview" | "done") => void;
    ranges: import("vue").Ref<Record<string, [number, number]> | undefined, Record<string, [number, number]> | undefined>;
    calendarMonthBeforeYear: import("vue").ComputedRef<boolean>;
    startCalendarMonth: import("vue").ComputedRef<string>;
    startCalendarYear: import("vue").ComputedRef<string>;
    endCalendarMonth: import("vue").ComputedRef<string>;
    endCalendarYear: import("vue").ComputedRef<string>;
    weekdays: import("vue").ComputedRef<string[]>;
    startDateArray: import("vue").ComputedRef<import("../utils").DateItem[]>;
    endDateArray: import("vue").ComputedRef<import("../utils").DateItem[]>;
    startYearArray: import("vue").ComputedRef<YearItem[]>;
    startMonthArray: import("vue").ComputedRef<MonthItem[]>;
    startQuarterArray: import("vue").ComputedRef<QuarterItem[]>;
    endYearArray: import("vue").ComputedRef<YearItem[]>;
    endMonthArray: import("vue").ComputedRef<MonthItem[]>;
    endQuarterArray: import("vue").ComputedRef<QuarterItem[]>;
    isSelecting: import("vue").Ref<boolean, boolean>;
    handleRangeShortcutMouseenter: (shortcut: import("../interface").Shortcuts[string]) => void;
    handleRangeShortcutClick: (shortcut: import("../interface").Shortcuts[string]) => void;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    type: {
        type: PropType<"monthrange" | "yearrange" | "quarterrange">;
        required: true;
    };
    defaultCalendarStartTime: NumberConstructor;
    defaultCalendarEndTime: NumberConstructor;
    bindCalendarMonths: BooleanConstructor;
    actions: {
        readonly type: PropType<string[]>;
        readonly default: () => string[];
    };
    active: BooleanConstructor;
    dateFormat: StringConstructor;
    calendarDayFormat: StringConstructor;
    calendarHeaderYearFormat: StringConstructor;
    calendarHeaderMonthFormat: StringConstructor;
    calendarHeaderMonthYearSeparator: {
        readonly type: StringConstructor;
        readonly required: true;
    };
    calendarHeaderMonthBeforeYear: {
        readonly type: BooleanConstructor;
        readonly default: undefined;
    };
    timerPickerFormat: {
        readonly type: StringConstructor;
        readonly value: "HH:mm:ss";
    };
    value: {
        readonly type: PropType<import("../interface").Value | null>;
        readonly default: null;
    };
    shortcuts: PropType<import("../interface").Shortcuts>;
    defaultTime: PropType<import("../interface").DefaultTime>;
    inputReadonly: BooleanConstructor;
    onClear: FunctionConstructor;
    onConfirm: PropType<(value: import("../interface").Value | null) => void>;
    onClose: PropType<import("../interface").OnClose>;
    onTabOut: FunctionConstructor;
    onKeydown: FunctionConstructor;
    onUpdateValue: {
        readonly type: PropType<import("../interface").OnPanelUpdateValue>;
        readonly required: true;
    };
    themeClass: StringConstructor;
    onRender: PropType<(() => void) | undefined>;
    panel: BooleanConstructor;
    onNextMonth: PropType<() => void>;
    onPrevMonth: PropType<() => void>;
    onNextYear: PropType<() => void>;
    onPrevYear: PropType<() => void>;
}>> & Readonly<{}>, {
    value: import("../interface").Value | null;
    active: boolean;
    actions: string[];
    inputReadonly: boolean;
    calendarHeaderMonthBeforeYear: boolean;
    panel: boolean;
    bindCalendarMonths: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
