import { changeColor } from 'seemly';
import { commonDark } from "../../_styles/common/index.mjs";
import { colors } from "../../_styles/common/_baseColors.mjs";
import commonVariables from "./_common.mjs";
const inputDark = {
  name: 'Input',
  common: commonDark,
  self(vars) {
    const {
      textColor2,
      textColor3,
      textColorDisabled,
      primaryColor,
      inputColorDisabled,
      borderColor,
      warningColor,
      warningColorHover,
      errorColor,
      errorColorHover,
      lineHeight,
      fontSizeTiny,
      fontSizeSmall,
      fontSizeMedium,
      fontSizeLarge,
      // input height
      inputHeightTiny,
      inputHeightSmall,
      inputHeightMedium,
      inputHeightLarge,
      // input border radius
      inputBorderRadius,
      actionColor,
      clearColor,
      clearColorHover,
      clearColorPressed,
      placeholderColor,
      placeholderColorDisabled,
      iconColor,
      iconColorDisabled,
      iconColorHover,
      iconColorPressed,
      fontWeight
    } = vars;
    return Object.assign(Object.assign({}, commonVariables), {
      fontWeight,
      countTextColorDisabled: textColorDisabled,
      countTextColor: textColor3,
      heightTiny: inputHeightTiny,
      heightSmall: inputHeightSmall,
      heightMedium: inputHeightMedium,
      heightLarge: inputHeightLarge,
      fontSizeTiny,
      fontSizeSmall,
      fontSizeMedium,
      fontSizeLarge,
      lineHeight,
      lineHeightTextarea: lineHeight,
      borderRadius: inputBorderRadius,
      iconSize: '16px',
      groupLabelColor: actionColor,
      textColor: textColor2,
      textColorDisabled,
      textDecorationColor: textColor2,
      groupLabelTextColor: textColor2,
      caretColor: primaryColor,
      placeholderColor,
      placeholderColorDisabled,
      color: colors.gray[950],
      colorDisabled: inputColorDisabled,
      colorFocus: colors.gray[950],
      colorHover: colors.gray[900],
      groupLabelBorder: `1px solid ${borderColor}`,
      border: `1px solid ${colors.gray[700]}`,
      borderHover: `1px solid ${colors.gray[900]}`,
      borderDisabled: '1px solid #0000',
      borderFocus: `1px solid ${textColor2}`,
      boxShadowFocus: `0 0 0 2px ${colors.gray[950]}, 0 0 0 4px ${colors.gray[900]}`,
      loadingColor: colors.gray[950],
      // warning
      loadingColorWarning: warningColor,
      borderWarning: `1px solid ${warningColor}`,
      borderHoverWarning: `1px solid ${warningColorHover}`,
      colorFocusWarning: changeColor(warningColor, {
        alpha: 0.1
      }),
      borderFocusWarning: `1px solid ${warningColorHover}`,
      boxShadowFocusWarning: `0 0 8px 0 ${changeColor(warningColor, {
        alpha: 0.3
      })}`,
      caretColorWarning: warningColor,
      // error
      loadingColorError: errorColor,
      borderError: `1px solid ${errorColor}`,
      borderHoverError: `1px solid ${errorColorHover}`,
      colorFocusError: changeColor(errorColor, {
        alpha: 0.1
      }),
      borderFocusError: `1px solid ${errorColorHover}`,
      boxShadowFocusError: `0 0 8px 0 ${changeColor(errorColor, {
        alpha: 0.3
      })}`,
      caretColorError: errorColor,
      clearColor,
      clearColorHover,
      clearColorPressed,
      iconColor,
      iconColorDisabled,
      iconColorHover,
      iconColorPressed,
      suffixTextColor: textColor2
    });
  }
};
export default inputDark;