import { commonDark } from "../../_styles/common/index.mjs";
import { colors } from "../../_styles/common/_baseColors.mjs";
import { dropdownDark } from "../../dropdown/styles/index.mjs";
import { tooltipDark } from "../../tooltip/styles/index.mjs";
import { self } from "./light.mjs";
const menuDark = {
  name: 'Menu',
  common: commonDark,
  peers: {
    Tooltip: tooltipDark,
    Dropdown: dropdownDark
  },
  self(vars) {
    const {
      primaryColorSuppl
    } = vars;
    const commonSelf = self(vars);
    commonSelf.itemColorHover = colors.gray[900];
    commonSelf.itemColorActive = colors.gray[900];
    commonSelf.itemColorActiveHover = colors.gray[900];
    commonSelf.itemColorActiveCollapsed = colors.gray[900];
    commonSelf.itemTextColor = colors.gray[400];
    commonSelf.itemTextColorHover = colors.gray[400];
    commonSelf.itemTextColorActive = colors.gray[400];
    commonSelf.itemTextColorActiveHover = colors.gray[400];
    commonSelf.itemTextColorChildActive = colors.gray[400];
    commonSelf.itemTextColorChildActiveHover = colors.gray[400];
    commonSelf.itemTextColorHorizontal = colors.gray[400];
    commonSelf.itemTextColorHoverHorizontal = colors.gray[400];
    commonSelf.itemTextColorActiveHorizontal = colors.blue[500];
    commonSelf.itemTextColorActiveHoverHorizontal = colors.blue[500];
    commonSelf.itemTextColorChildActiveHorizontal = colors.blue[500];
    commonSelf.itemTextColorChildActiveHoverHorizontal = colors.blue[500];
    commonSelf.itemIconColor = colors.gray[400];
    commonSelf.itemIconColorHover = colors.gray[400];
    commonSelf.itemIconColorActive = colors.blue[500];
    commonSelf.itemIconColorActiveHover = colors.blue[500];
    commonSelf.itemIconColorChildActive = colors.blue[500];
    commonSelf.itemIconColorChildActiveHover = colors.gray[0];
    commonSelf.itemIconColorCollapsed = colors.gray[0];
    commonSelf.itemIconColorHorizontal = colors.gray[0];
    commonSelf.itemIconColorHoverHorizontal = colors.gray[0];
    commonSelf.itemIconColorActiveHorizontal = colors.blue[500];
    commonSelf.itemIconColorActiveHoverHorizontal = colors.blue[500];
    commonSelf.itemIconColorChildActiveHorizontal = colors.blue[500];
    commonSelf.itemIconColorChildActiveHoverHorizontal = colors.blue[500];
    commonSelf.itemColorActiveInverted = primaryColorSuppl;
    commonSelf.itemColorActiveHoverInverted = primaryColorSuppl;
    commonSelf.itemColorActiveCollapsedInverted = primaryColorSuppl;
    return commonSelf;
  }
};
export default menuDark;