import { createTheme } from "../../_mixins/use-theme.mjs";
import { commonLight } from "../../_styles/common/index.mjs";
import { colors } from "../../_styles/common/_baseColors.mjs";
import { dropdownLight } from "../../dropdown/styles/index.mjs";
import { tooltipLight } from "../../tooltip/styles/index.mjs";
export function createPartialInvertedVars(color, activeItemColor, activeTextColor, groupTextColor) {
  return {
    itemColorHoverInverted: '#0000',
    itemColorActiveInverted: activeItemColor,
    itemColorActiveHoverInverted: activeItemColor,
    itemColorActiveCollapsedInverted: activeItemColor,
    itemTextColorInverted: color,
    itemTextColorHoverInverted: activeTextColor,
    itemTextColorChildActiveInverted: activeTextColor,
    itemTextColorChildActiveHoverInverted: activeTextColor,
    itemTextColorActiveInverted: activeTextColor,
    itemTextColorActiveHoverInverted: activeTextColor,
    itemTextColorHorizontalInverted: color,
    itemTextColorHoverHorizontalInverted: activeTextColor,
    itemTextColorChildActiveHorizontalInverted: activeTextColor,
    itemTextColorChildActiveHoverHorizontalInverted: activeTextColor,
    itemTextColorActiveHorizontalInverted: activeTextColor,
    itemTextColorActiveHoverHorizontalInverted: activeTextColor,
    itemIconColorInverted: color,
    itemIconColorHoverInverted: activeTextColor,
    itemIconColorActiveInverted: activeTextColor,
    itemIconColorActiveHoverInverted: activeTextColor,
    itemIconColorChildActiveInverted: activeTextColor,
    itemIconColorChildActiveHoverInverted: activeTextColor,
    itemIconColorCollapsedInverted: color,
    itemIconColorHorizontalInverted: color,
    itemIconColorHoverHorizontalInverted: activeTextColor,
    itemIconColorActiveHorizontalInverted: activeTextColor,
    itemIconColorActiveHoverHorizontalInverted: activeTextColor,
    itemIconColorChildActiveHorizontalInverted: activeTextColor,
    itemIconColorChildActiveHoverHorizontalInverted: activeTextColor,
    arrowColorInverted: color,
    arrowColorHoverInverted: activeTextColor,
    arrowColorActiveInverted: activeTextColor,
    arrowColorActiveHoverInverted: activeTextColor,
    arrowColorChildActiveInverted: activeTextColor,
    arrowColorChildActiveHoverInverted: activeTextColor,
    groupTextColorInverted: groupTextColor
  };
}
export function self(vars) {
  const {
    textColor3,
    primaryColor,
    fontSize,
    dividerColor
  } = vars;
  return Object.assign({
    borderRadius: '8px',
    color: '#0000',
    groupTextColor: textColor3,
    itemColorHover: colors.neutral[50],
    itemColorActive: colors.neutral[50],
    itemColorActiveHover: colors.neutral[50],
    itemColorActiveCollapsed: colors.neutral[50],
    itemTextColor: colors.neutral[600],
    itemTextColorHover: colors.neutral[600],
    itemTextColorActive: colors.neutral[600],
    itemTextColorActiveHover: colors.neutral[600],
    itemTextColorChildActive: colors.neutral[600],
    itemTextColorChildActiveHover: colors.neutral[600],
    itemTextColorHorizontal: colors.neutral[600],
    itemTextColorHoverHorizontal: colors.neutral[600],
    itemTextColorActiveHorizontal: colors.blue[500],
    itemTextColorActiveHoverHorizontal: colors.blue[500],
    itemTextColorChildActiveHorizontal: colors.blue[500],
    itemTextColorChildActiveHoverHorizontal: colors.blue[500],
    itemIconColor: colors.neutral[600],
    itemIconColorHover: colors.neutral[600],
    itemIconColorActive: colors.blue[500],
    itemIconColorActiveHover: colors.blue[500],
    itemIconColorChildActive: colors.blue[500],
    itemIconColorChildActiveHover: colors.neutral[600],
    itemIconColorCollapsed: colors.neutral[600],
    itemIconColorHorizontal: colors.neutral[600],
    itemIconColorHoverHorizontal: colors.neutral[600],
    itemIconColorActiveHorizontal: colors.blue[500],
    itemIconColorActiveHoverHorizontal: colors.neutral[600],
    itemIconColorChildActiveHorizontal: colors.blue[500],
    itemIconColorChildActiveHoverHorizontal: colors.blue[500],
    itemHeight: '36px',
    arrowColor: colors.neutral[600],
    arrowColorHover: colors.neutral[600],
    arrowColorActive: colors.blue[500],
    arrowColorActiveHover: colors.neutral[600],
    arrowColorChildActive: colors.blue[500],
    arrowColorChildActiveHover: colors.neutral[600],
    colorInverted: '#0000',
    borderColorHorizontal: '#0000',
    fontSize,
    dividerColor
  }, createPartialInvertedVars('#BBB', primaryColor, '#FFF', '#AAA'));
}
const menuLight = createTheme({
  name: 'Menu',
  common: commonLight,
  peers: {
    Tooltip: tooltipLight,
    Dropdown: dropdownLight
  },
  self
});
export default menuLight;