import { createTheme } from "../../_mixins/index.mjs";
import { commonLight } from "../../_styles/common/index.mjs";
import { colors } from "../../_styles/common/_baseColors.mjs";
import { inputLight } from "../../input/styles/index.mjs";
import { popselectLight } from "../../popselect/styles/index.mjs";
import { selectLight } from "../../select/styles/index.mjs";
import commonVariables from "./_common.mjs";
export function self(vars) {
  const {
    textColor2,
    inputColorDisabled,
    textColorDisabled,
    // item font size
    fontSizeTiny,
    fontSizeSmall,
    fontSizeMedium,
    // item size
    heightTiny,
    heightSmall,
    heightMedium
  } = vars;
  return Object.assign(Object.assign({}, commonVariables), {
    // button navigation
    buttonColor: '#0000',
    buttonColorHover: colors.gray[50],
    buttonColorPressed: colors.gray[50],
    buttonBorder: `1px solid '#0000'`,
    buttonBorderHover: `1px solid '#0000'`,
    buttonBorderPressed: `1px solid '#0000'`,
    buttonIconColor: colors.gray[600],
    buttonIconColorHover: colors.gray[950],
    buttonIconColorPressed: colors.gray[950],
    // button item page
    itemTextColor: colors.gray[600],
    itemTextColorHover: colors.gray[950],
    itemTextColorPressed: colors.gray[950],
    itemTextColorActive: colors.gray[950],
    itemTextColorDisabled: textColorDisabled,
    itemColor: '#0000',
    itemColorHover: colors.gray[50],
    itemColorPressed: colors.gray[50],
    itemColorActive: colors.gray[50],
    itemColorActiveHover: colors.gray[50],
    itemColorDisabled: inputColorDisabled,
    itemBorder: `1px solid ${colors.gray[200]}`,
    itemBorderHover: `1px solid ${colors.gray[50]}`,
    itemBorderPressed: `1px solid ${colors.gray[50]}`,
    itemBorderActive: `1px solid ${colors.gray[50]}`,
    itemBorderDisabled: `1px solid '#0000'`,
    itemBorderRadius: '8px',
    itemSizeSmall: heightTiny,
    itemSizeMedium: heightSmall,
    itemSizeLarge: heightMedium,
    itemFontSizeSmall: fontSizeTiny,
    itemFontSizeMedium: fontSizeSmall,
    itemFontSizeLarge: fontSizeMedium,
    jumperFontSizeSmall: fontSizeTiny,
    jumperFontSizeMedium: fontSizeSmall,
    jumperFontSizeLarge: fontSizeMedium,
    jumperTextColor: textColor2,
    jumperTextColorDisabled: textColorDisabled
  });
}
const paginationLight = createTheme({
  name: 'Pagination',
  common: commonLight,
  peers: {
    Select: selectLight,
    Input: inputLight,
    Popselect: popselectLight
  },
  self
});
export default paginationLight;