import { commonLight } from "../../_styles/common/index.mjs";
import { colors } from "../../_styles/common/_baseColors.mjs";
import commonVariables from "./_common.mjs";
function self(vars) {
  const {
    textColor2,
    primaryColor,
    infoColor,
    successColor,
    warningColor,
    errorColor,
    baseColor,
    opacityDisabled,
    fontSizeMini,
    fontSizeTiny,
    fontSizeSmall,
    fontSizeMedium,
    buttonColor2Hover,
    buttonColor2Pressed,
    fontWeightStrong
  } = vars;
  return Object.assign(Object.assign({}, commonVariables), {
    closeBorderRadius: '4px',
    heightTiny: '16px',
    heightSmall: '22px',
    heightMedium: '24px',
    heightLarge: '28px',
    borderRadius: '6px',
    opacityDisabled,
    fontSizeTiny: fontSizeMini,
    fontSizeSmall: fontSizeTiny,
    fontSizeMedium: fontSizeSmall,
    fontSizeLarge: fontSizeMedium,
    fontWeightStrong,
    // checked
    textColorCheckable: textColor2,
    textColorHoverCheckable: textColor2,
    textColorPressedCheckable: textColor2,
    textColorChecked: baseColor,
    colorCheckable: '#0000',
    colorHoverCheckable: buttonColor2Hover,
    colorPressedCheckable: buttonColor2Pressed,
    colorChecked: colors.blue[500],
    colorCheckedHover: colors.blue[700],
    colorCheckedPressed: colors.blue[700],
    // default
    border: `1px solid ${colors.gray[200]}`,
    borderHover: `1px solid ${colors.gray[50]}`,
    textColor: colors.gray[600],
    color: '#ffffff',
    colorHover: colors.gray[50],
    colorBordered: '#ffffff',
    colorBorderedHover: colors.gray[50],
    closeIconColor: colors.gray[600],
    closeIconColorHover: colors.gray[600],
    closeIconColorPressed: colors.gray[600],
    closeColorHover: colors.gray[200],
    closeColorPressed: colors.gray[200],
    // primary
    borderPrimary: `1px solid ${colors.blue.alpha16}`,
    borderHoverPrimary: `1px solid ${colors.blue.alpha10}`,
    textColorPrimary: colors.blue[500],
    colorPrimary: '#ffffff',
    colorHoverPrimary: colors.blue.alpha10,
    colorBorderedPrimary: '#ffffff',
    colorBorderedHoverPrimary: colors.blue.alpha10,
    closeIconColorPrimary: primaryColor,
    closeIconColorHoverPrimary: primaryColor,
    closeIconColorPressedPrimary: primaryColor,
    closeColorHoverPrimary: colors.blue.alpha10,
    closeColorPressedPrimary: colors.blue.alpha10,
    // info
    borderInfo: `1px solid ${colors.gray[600]}`,
    borderHoverInfo: `1px solid ${colors.gray[50]}`,
    textColorInfo: infoColor,
    colorInfo: '#ffffff',
    colorHoverInfo: colors.gray.alpha10,
    colorBorderedInfo: '#ffffff',
    colorBorderedHoverInfo: colors.gray[50],
    closeIconColorInfo: infoColor,
    closeIconColorHoverInfo: infoColor,
    closeIconColorPressedInfo: infoColor,
    closeColorHoverInfo: colors.gray.alpha10,
    closeColorPressedInfo: colors.gray.alpha10,
    // success
    borderSuccess: `1px solid ${colors.green.alpha16}`,
    borderHoverSuccess: `1px solid ${colors.green.alpha10}`,
    textColorSuccess: successColor,
    colorSuccess: '#ffffff',
    colorHoverSuccess: colors.green.alpha10,
    colorBorderedSuccess: '#ffffff',
    colorBorderedHoverSuccess: colors.green.alpha10,
    closeIconColorSuccess: successColor,
    closeIconColorHoverSuccess: successColor,
    closeIconColorPressedSuccess: successColor,
    closeColorHoverSuccess: colors.green.alpha10,
    closeColorPressedSuccess: colors.green.alpha10,
    // warning
    borderWarning: `1px solid ${colors.yellow.alpha16}`,
    borderHoverWarning: `1px solid ${colors.yellow.alpha10}`,
    textColorWarning: warningColor,
    colorWarning: '#ffffff',
    colorHoverWarning: colors.yellow.alpha10,
    colorBorderedWarning: '#ffffff',
    colorBorderedHoverWarning: colors.yellow.alpha10,
    closeIconColorWarning: warningColor,
    closeIconColorHoverWarning: warningColor,
    closeIconColorPressedWarning: warningColor,
    closeColorHoverWarning: colors.yellow.alpha10,
    closeColorPressedWarning: colors.yellow.alpha10,
    // error
    borderError: `1px solid ${colors.red.alpha16}`,
    borderHoverError: `1px solid ${colors.red.alpha10}`,
    textColorError: errorColor,
    colorError: '#ffffff',
    colorHoverError: colors.red.alpha10,
    colorBorderedError: '#ffffff',
    colorBorderedHoverError: colors.red.alpha10,
    closeIconColorError: errorColor,
    closeIconColorHoverError: errorColor,
    closeIconColorPressedError: errorColor,
    closeColorHoverError: colors.red.alpha10,
    closeColorPressedError: colors.red.alpha10
  });
}
const tagLight = {
  name: 'Tag',
  common: commonLight,
  self
};
export default tagLight;