import type { MaybeArray } from '../../_utils';
import { type PropType } from 'vue';
import { type IsHourDisabled, type IsMinuteDisabled, type IsSecondDisabled, type Item, type ItemValue } from './interface';
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    actions: {
        type: PropType<Array<"clear" | "now" | "confirm"> | null>;
        default: () => string[];
    };
    showHour: {
        type: BooleanConstructor;
        default: boolean;
    };
    showMinute: {
        type: BooleanConstructor;
        default: boolean;
    };
    showSecond: {
        type: BooleanConstructor;
        default: boolean;
    };
    showPeriod: {
        type: BooleanConstructor;
        default: boolean;
    };
    isHourInvalid: BooleanConstructor;
    isMinuteInvalid: BooleanConstructor;
    isSecondInvalid: BooleanConstructor;
    isAmPmInvalid: BooleanConstructor;
    isValueInvalid: BooleanConstructor;
    hourValue: {
        type: PropType<number | null>;
        default: null;
    };
    minuteValue: {
        type: PropType<number | null>;
        default: null;
    };
    secondValue: {
        type: PropType<number | null>;
        default: null;
    };
    amPmValue: {
        type: PropType<"am" | "pm" | null>;
        default: null;
    };
    isHourDisabled: PropType<IsHourDisabled>;
    isMinuteDisabled: PropType<IsMinuteDisabled>;
    isSecondDisabled: PropType<IsSecondDisabled>;
    onHourClick: {
        type: PropType<(value: ItemValue) => void>;
        required: boolean;
    };
    onMinuteClick: {
        type: PropType<(value: ItemValue) => void>;
        required: boolean;
    };
    onSecondClick: {
        type: PropType<(value: ItemValue) => void>;
        required: boolean;
    };
    onAmPmClick: {
        type: PropType<(value: ItemValue) => void>;
        required: boolean;
    };
    onNowClick: PropType<() => void>;
    clearText: StringConstructor;
    nowText: StringConstructor;
    confirmText: StringConstructor;
    transitionDisabled: BooleanConstructor;
    onClearClick: PropType<() => void>;
    onConfirmClick: PropType<() => void>;
    onFocusin: PropType<(e: FocusEvent) => void>;
    onFocusout: PropType<(e: FocusEvent) => void>;
    onFocusDetectorFocus: PropType<() => void>;
    onKeydown: PropType<(e: KeyboardEvent) => void>;
    hours: PropType<MaybeArray<number>>;
    minutes: PropType<MaybeArray<number>>;
    seconds: PropType<MaybeArray<number>>;
    use12Hours: BooleanConstructor;
}>, {
    mergedTheme: import("vue").Ref<{
        common: import("../..").ThemeCommonVars;
        self: {
            panelColor: string;
            panelBoxShadow: string;
            panelDividerColor: any;
            itemTextColor: string;
            itemTextColorActive: any;
            itemColorHover: string;
            itemOpacityDisabled: string;
            itemBorderRadius: string;
            borderRadius: string;
            iconColor: string;
            iconColorDisabled: string;
            itemFontSize: string;
            itemHeight: string;
            itemWidth: string;
            panelActionPadding: string;
        };
        peers: {
            Scrollbar: import("../../_mixins").Theme<"Scrollbar", {
                height: string;
                width: string;
                borderRadius: string;
                color: string;
                colorHover: string;
                railInsetHorizontalBottom: string;
                railInsetHorizontalTop: string;
                railInsetVerticalRight: string;
                railInsetVerticalLeft: string;
                railColor: string;
            }, any>;
            Button: import("../../_mixins").Theme<"Button", {
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                borderRadiusTiny: string;
                borderRadiusSmall: string;
                borderRadiusMedium: string;
                borderRadiusLarge: string;
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                colorPrimary: any;
                colorHoverPrimary: any;
                colorPressedPrimary: any;
                colorFocusPrimary: any;
                textColorPrimary: any;
                textColorHoverPrimary: any;
                textColorPressedPrimary: any;
                textColorFocusPrimary: any;
                textColorTextPrimary: any;
                textColorTextHoverPrimary: any;
                textColorTextPressedPrimary: any;
                textColorTextFocusPrimary: any;
                colorGhostHoverPrimary: any;
                textColorGhostPrimary: any;
                textColorGhostHoverPrimary: any;
                textColorGhostPressedPrimary: any;
                textColorGhostFocusPrimary: any;
                colorLighterPrimary: any;
                colorHoverLighterPrimary: any;
                colorPressedLighterPrimary: any;
                colorFocusLighterPrimary: any;
                textColorLighterPrimary: any;
                textColorLighterHoverPrimary: any;
                textColorLighterPressedPrimary: any;
                textColorLighterFocusPrimary: any;
                borderLighterHoverPrimary: string;
                borderLighterPressedPrimary: string;
                borderLighterFocusPrimary: string;
                colorStrokeHoverPrimary: any;
                colorStrokePressedPrimary: any;
                colorStrokeFocusPrimary: any;
                textColorStrokePrimary: any;
                textColorStrokeHoverPrimary: any;
                textColorStrokePressedPrimary: any;
                textColorStrokeFocusPrimary: any;
                borderStrokePrimary: string;
                borderStrokeHoverPrimary: string;
                borderStrokePressedPrimary: string;
                borderStrokeFocusPrimary: string;
                borderPrimary: string;
                borderHoverPrimary: string;
                borderPressedPrimary: string;
                borderFocusPrimary: string;
                rippleColorPrimary: any;
                colorNeutral: any;
                colorHoverNeutral: any;
                colorPressedNeutral: any;
                colorFocusNeutral: any;
                textColorNeutral: string;
                textColorHoverNeutral: string;
                textColorPressedNeutral: string;
                textColorFocusNeutral: string;
                textColorTextNeutral: any;
                textColorTextHoverNeutral: any;
                textColorTextPressedNeutral: any;
                textColorTextFocusNeutral: any;
                colorGhostHoverNeutral: any;
                colorPressedNeutralGhost: any;
                colorFocusNeutralGhost: any;
                textColorGhostNeutral: any;
                textColorGhostHoverNeutral: any;
                textColorGhostPressedNeutral: any;
                textColorGhostFocusNeutral: any;
                colorLighterNeutral: any;
                colorPressedNeutralLighter: any;
                colorFocusNeutralLighter: any;
                textColorLighterNeutral: any;
                textColorLighterHoverNeutral: any;
                textColorLighterPressedNeutral: any;
                textColorLighterFocusNeutral: any;
                borderLighterHoverNeutral: string;
                borderLighterPressedNeutral: string;
                borderLighterFocusNeutral: string;
                colorStrokeHoverNeutral: any;
                colorStrokePressedNeutral: any;
                colorStrokeFocusNeutral: any;
                textColorStrokeNeutral: any;
                textColorStrokeHoverNeutral: any;
                textColorStrokePressedNeutral: any;
                textColorStrokeFocusNeutral: any;
                borderStrokeNeutral: string;
                borderStrokeHoverNeutral: string;
                borderStrokePressedNeutral: string;
                borderStrokeFocusNeutral: string;
                borderNeutral: string;
                borderHoverNeutral: string;
                borderPressedNeutral: string;
                borderFocusNeutral: string;
                rippleColorNeutral: any;
                colorSuccess: any;
                colorHoverSuccess: any;
                colorPressedSuccess: any;
                colorFocusSuccess: any;
                textColorSuccess: string;
                textColorHoverSuccess: string;
                textColorPressedSuccess: string;
                textColorFocusSuccess: string;
                textColorTextSuccess: any;
                textColorTextHoverSuccess: any;
                textColorTextPressedSuccess: any;
                textColorTextFocusSuccess: any;
                colorGhostHoverSuccess: any;
                textColorGhostSuccess: any;
                textColorGhostHoverSuccess: any;
                textColorGhostPressedSuccess: any;
                textColorGhostFocusSuccess: any;
                colorLighterSuccess: any;
                textColorLighterSuccess: any;
                textColorLighterHoverSuccess: any;
                textColorLighterPressedSuccess: any;
                textColorLighterFocusSuccess: any;
                borderLighterHoverSuccess: string;
                borderLighterPressedSuccess: string;
                borderLighterFocusSuccess: string;
                colorStrokeHoverSuccess: any;
                colorStrokePressedSuccess: any;
                colorStrokeFocusSuccess: any;
                textColorStrokeSuccess: any;
                textColorStrokeHoverSuccess: any;
                textColorStrokePressedSuccess: any;
                textColorStrokeFocusSuccess: any;
                borderStrokeSuccess: string;
                borderStrokeHoverSuccess: string;
                borderStrokePressedSuccess: string;
                borderStrokeFocusSuccess: string;
                borderSuccess: string;
                borderHoverSuccess: string;
                borderPressedSuccess: string;
                borderFocusSuccess: string;
                rippleColorSuccess: any;
                colorWarning: any;
                colorHoverWarning: any;
                colorPressedWarning: any;
                colorFocusWarning: any;
                textColorWarning: string;
                textColorHoverWarning: string;
                textColorPressedWarning: string;
                textColorFocusWarning: string;
                textColorTextWarning: any;
                textColorTextHoverWarning: any;
                textColorTextPressedWarning: any;
                textColorTextFocusWarning: any;
                colorGhostHoverWarning: any;
                textColorGhostWarning: any;
                textColorGhostHoverWarning: any;
                textColorGhostPressedWarning: any;
                textColorGhostFocusWarning: any;
                colorLighterWarning: any;
                textColorLighterWarning: any;
                textColorLighterHoverWarning: any;
                textColorLighterPressedWarning: any;
                textColorLighterFocusWarning: any;
                borderLighterHoverWarning: string;
                borderLighterPressedWarning: string;
                borderLighterFocusWarning: string;
                colorStrokeHoverWarning: any;
                colorStrokePressedWarning: any;
                colorStrokeFocusWarning: any;
                textColorStrokeWarning: any;
                textColorStrokeHoverWarning: any;
                textColorStrokePressedWarning: any;
                textColorStrokeFocusWarning: any;
                borderStrokeWarning: string;
                borderStrokeHoverWarning: string;
                borderStrokePressedWarning: string;
                borderStrokeFocusWarning: string;
                borderWarning: string;
                borderHoverWarning: string;
                borderPressedWarning: string;
                borderFocusWarning: string;
                rippleColorWarning: any;
                colorError: any;
                colorHoverError: any;
                colorPressedError: any;
                colorFocusError: any;
                textColorError: string;
                textColorHoverError: string;
                textColorPressedError: string;
                textColorFocusError: string;
                textColorTextError: any;
                textColorTextHoverError: any;
                textColorTextPressedError: any;
                textColorTextFocusError: any;
                colorGhostHoverError: any;
                textColorGhostError: any;
                textColorGhostHoverError: any;
                textColorGhostPressedError: any;
                textColorGhostFocusError: any;
                colorLighterError: any;
                textColorLighterError: any;
                textColorLighterHoverError: any;
                textColorLighterPressedError: any;
                textColorLighterFocusError: any;
                borderLighterHoverError: string;
                borderLighterPressedError: string;
                borderLighterFocusError: string;
                colorStrokeHoverError: any;
                colorStrokePressedError: any;
                colorStrokeFocusError: any;
                textColorStrokeError: any;
                textColorStrokeHoverError: any;
                textColorStrokePressedError: any;
                textColorStrokeFocusError: any;
                borderStrokeError: string;
                borderStrokeHoverError: string;
                borderStrokePressedError: string;
                borderStrokeFocusError: string;
                borderError: string;
                borderHoverError: string;
                borderPressedError: string;
                borderFocusError: string;
                rippleColorError: any;
                waveOpacity: string;
                fontWeight: string;
                fontWeightStrong: string;
                opacityDisabled: string;
                colorDisabled: any;
                textColorDisabled: any;
                iconColorDisabled: any;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                paddingRoundTiny: string;
                paddingRoundSmall: string;
                paddingRoundMedium: string;
                paddingRoundLarge: string;
                iconMarginTiny: string;
                iconMarginSmall: string;
                iconMarginMedium: string;
                iconMarginLarge: string;
                iconSizeTiny: string;
                iconSizeSmall: string;
                iconSizeMedium: string;
                iconSizeLarge: string;
                rippleDuration: string;
            }, any>;
            Input: import("../../_mixins").Theme<"Input", {
                fontWeight: string;
                countTextColorDisabled: string;
                countTextColor: string;
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                lineHeight: string;
                lineHeightTextarea: string;
                borderRadius: string;
                iconSize: string;
                groupLabelColor: string;
                groupLabelTextColor: any;
                textColor: any;
                textColorDisabled: string;
                textDecorationColor: any;
                caretColor: any;
                placeholderColor: string;
                placeholderColorDisabled: string;
                color: string;
                colorDisabled: string;
                colorFocus: string;
                colorHover: any;
                groupLabelBorder: string;
                border: string;
                borderHover: string;
                borderDisabled: string;
                borderFocus: string;
                boxShadowFocus: string;
                loadingColor: any;
                loadingColorWarning: any;
                borderWarning: string;
                borderHoverWarning: string;
                colorFocusWarning: string;
                borderFocusWarning: string;
                boxShadowFocusWarning: string;
                caretColorWarning: any;
                loadingColorError: any;
                borderError: string;
                borderHoverError: string;
                colorFocusError: string;
                borderFocusError: string;
                boxShadowFocusError: string;
                caretColorError: any;
                clearColor: string;
                clearColorHover: string;
                clearColorPressed: string;
                iconColor: string;
                iconColorDisabled: string;
                iconColorHover: string;
                iconColorPressed: string;
                suffixTextColor: string;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                clearSize: string;
            }, any>;
        };
        peerOverrides: {
            Scrollbar?: {
                peers?: {
                    [x: string]: any;
                } | undefined;
            } | undefined;
            Button?: {
                peers?: {
                    [x: string]: any;
                } | undefined;
            } | undefined;
            Input?: {
                peers?: {
                    [x: string]: any;
                } | undefined;
            } | undefined;
        };
    }, {
        common: import("../..").ThemeCommonVars;
        self: {
            panelColor: string;
            panelBoxShadow: string;
            panelDividerColor: any;
            itemTextColor: string;
            itemTextColorActive: any;
            itemColorHover: string;
            itemOpacityDisabled: string;
            itemBorderRadius: string;
            borderRadius: string;
            iconColor: string;
            iconColorDisabled: string;
            itemFontSize: string;
            itemHeight: string;
            itemWidth: string;
            panelActionPadding: string;
        };
        peers: {
            Scrollbar: import("../../_mixins").Theme<"Scrollbar", {
                height: string;
                width: string;
                borderRadius: string;
                color: string;
                colorHover: string;
                railInsetHorizontalBottom: string;
                railInsetHorizontalTop: string;
                railInsetVerticalRight: string;
                railInsetVerticalLeft: string;
                railColor: string;
            }, any>;
            Button: import("../../_mixins").Theme<"Button", {
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                borderRadiusTiny: string;
                borderRadiusSmall: string;
                borderRadiusMedium: string;
                borderRadiusLarge: string;
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                colorPrimary: any;
                colorHoverPrimary: any;
                colorPressedPrimary: any;
                colorFocusPrimary: any;
                textColorPrimary: any;
                textColorHoverPrimary: any;
                textColorPressedPrimary: any;
                textColorFocusPrimary: any;
                textColorTextPrimary: any;
                textColorTextHoverPrimary: any;
                textColorTextPressedPrimary: any;
                textColorTextFocusPrimary: any;
                colorGhostHoverPrimary: any;
                textColorGhostPrimary: any;
                textColorGhostHoverPrimary: any;
                textColorGhostPressedPrimary: any;
                textColorGhostFocusPrimary: any;
                colorLighterPrimary: any;
                colorHoverLighterPrimary: any;
                colorPressedLighterPrimary: any;
                colorFocusLighterPrimary: any;
                textColorLighterPrimary: any;
                textColorLighterHoverPrimary: any;
                textColorLighterPressedPrimary: any;
                textColorLighterFocusPrimary: any;
                borderLighterHoverPrimary: string;
                borderLighterPressedPrimary: string;
                borderLighterFocusPrimary: string;
                colorStrokeHoverPrimary: any;
                colorStrokePressedPrimary: any;
                colorStrokeFocusPrimary: any;
                textColorStrokePrimary: any;
                textColorStrokeHoverPrimary: any;
                textColorStrokePressedPrimary: any;
                textColorStrokeFocusPrimary: any;
                borderStrokePrimary: string;
                borderStrokeHoverPrimary: string;
                borderStrokePressedPrimary: string;
                borderStrokeFocusPrimary: string;
                borderPrimary: string;
                borderHoverPrimary: string;
                borderPressedPrimary: string;
                borderFocusPrimary: string;
                rippleColorPrimary: any;
                colorNeutral: any;
                colorHoverNeutral: any;
                colorPressedNeutral: any;
                colorFocusNeutral: any;
                textColorNeutral: string;
                textColorHoverNeutral: string;
                textColorPressedNeutral: string;
                textColorFocusNeutral: string;
                textColorTextNeutral: any;
                textColorTextHoverNeutral: any;
                textColorTextPressedNeutral: any;
                textColorTextFocusNeutral: any;
                colorGhostHoverNeutral: any;
                colorPressedNeutralGhost: any;
                colorFocusNeutralGhost: any;
                textColorGhostNeutral: any;
                textColorGhostHoverNeutral: any;
                textColorGhostPressedNeutral: any;
                textColorGhostFocusNeutral: any;
                colorLighterNeutral: any;
                colorPressedNeutralLighter: any;
                colorFocusNeutralLighter: any;
                textColorLighterNeutral: any;
                textColorLighterHoverNeutral: any;
                textColorLighterPressedNeutral: any;
                textColorLighterFocusNeutral: any;
                borderLighterHoverNeutral: string;
                borderLighterPressedNeutral: string;
                borderLighterFocusNeutral: string;
                colorStrokeHoverNeutral: any;
                colorStrokePressedNeutral: any;
                colorStrokeFocusNeutral: any;
                textColorStrokeNeutral: any;
                textColorStrokeHoverNeutral: any;
                textColorStrokePressedNeutral: any;
                textColorStrokeFocusNeutral: any;
                borderStrokeNeutral: string;
                borderStrokeHoverNeutral: string;
                borderStrokePressedNeutral: string;
                borderStrokeFocusNeutral: string;
                borderNeutral: string;
                borderHoverNeutral: string;
                borderPressedNeutral: string;
                borderFocusNeutral: string;
                rippleColorNeutral: any;
                colorSuccess: any;
                colorHoverSuccess: any;
                colorPressedSuccess: any;
                colorFocusSuccess: any;
                textColorSuccess: string;
                textColorHoverSuccess: string;
                textColorPressedSuccess: string;
                textColorFocusSuccess: string;
                textColorTextSuccess: any;
                textColorTextHoverSuccess: any;
                textColorTextPressedSuccess: any;
                textColorTextFocusSuccess: any;
                colorGhostHoverSuccess: any;
                textColorGhostSuccess: any;
                textColorGhostHoverSuccess: any;
                textColorGhostPressedSuccess: any;
                textColorGhostFocusSuccess: any;
                colorLighterSuccess: any;
                textColorLighterSuccess: any;
                textColorLighterHoverSuccess: any;
                textColorLighterPressedSuccess: any;
                textColorLighterFocusSuccess: any;
                borderLighterHoverSuccess: string;
                borderLighterPressedSuccess: string;
                borderLighterFocusSuccess: string;
                colorStrokeHoverSuccess: any;
                colorStrokePressedSuccess: any;
                colorStrokeFocusSuccess: any;
                textColorStrokeSuccess: any;
                textColorStrokeHoverSuccess: any;
                textColorStrokePressedSuccess: any;
                textColorStrokeFocusSuccess: any;
                borderStrokeSuccess: string;
                borderStrokeHoverSuccess: string;
                borderStrokePressedSuccess: string;
                borderStrokeFocusSuccess: string;
                borderSuccess: string;
                borderHoverSuccess: string;
                borderPressedSuccess: string;
                borderFocusSuccess: string;
                rippleColorSuccess: any;
                colorWarning: any;
                colorHoverWarning: any;
                colorPressedWarning: any;
                colorFocusWarning: any;
                textColorWarning: string;
                textColorHoverWarning: string;
                textColorPressedWarning: string;
                textColorFocusWarning: string;
                textColorTextWarning: any;
                textColorTextHoverWarning: any;
                textColorTextPressedWarning: any;
                textColorTextFocusWarning: any;
                colorGhostHoverWarning: any;
                textColorGhostWarning: any;
                textColorGhostHoverWarning: any;
                textColorGhostPressedWarning: any;
                textColorGhostFocusWarning: any;
                colorLighterWarning: any;
                textColorLighterWarning: any;
                textColorLighterHoverWarning: any;
                textColorLighterPressedWarning: any;
                textColorLighterFocusWarning: any;
                borderLighterHoverWarning: string;
                borderLighterPressedWarning: string;
                borderLighterFocusWarning: string;
                colorStrokeHoverWarning: any;
                colorStrokePressedWarning: any;
                colorStrokeFocusWarning: any;
                textColorStrokeWarning: any;
                textColorStrokeHoverWarning: any;
                textColorStrokePressedWarning: any;
                textColorStrokeFocusWarning: any;
                borderStrokeWarning: string;
                borderStrokeHoverWarning: string;
                borderStrokePressedWarning: string;
                borderStrokeFocusWarning: string;
                borderWarning: string;
                borderHoverWarning: string;
                borderPressedWarning: string;
                borderFocusWarning: string;
                rippleColorWarning: any;
                colorError: any;
                colorHoverError: any;
                colorPressedError: any;
                colorFocusError: any;
                textColorError: string;
                textColorHoverError: string;
                textColorPressedError: string;
                textColorFocusError: string;
                textColorTextError: any;
                textColorTextHoverError: any;
                textColorTextPressedError: any;
                textColorTextFocusError: any;
                colorGhostHoverError: any;
                textColorGhostError: any;
                textColorGhostHoverError: any;
                textColorGhostPressedError: any;
                textColorGhostFocusError: any;
                colorLighterError: any;
                textColorLighterError: any;
                textColorLighterHoverError: any;
                textColorLighterPressedError: any;
                textColorLighterFocusError: any;
                borderLighterHoverError: string;
                borderLighterPressedError: string;
                borderLighterFocusError: string;
                colorStrokeHoverError: any;
                colorStrokePressedError: any;
                colorStrokeFocusError: any;
                textColorStrokeError: any;
                textColorStrokeHoverError: any;
                textColorStrokePressedError: any;
                textColorStrokeFocusError: any;
                borderStrokeError: string;
                borderStrokeHoverError: string;
                borderStrokePressedError: string;
                borderStrokeFocusError: string;
                borderError: string;
                borderHoverError: string;
                borderPressedError: string;
                borderFocusError: string;
                rippleColorError: any;
                waveOpacity: string;
                fontWeight: string;
                fontWeightStrong: string;
                opacityDisabled: string;
                colorDisabled: any;
                textColorDisabled: any;
                iconColorDisabled: any;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                paddingRoundTiny: string;
                paddingRoundSmall: string;
                paddingRoundMedium: string;
                paddingRoundLarge: string;
                iconMarginTiny: string;
                iconMarginSmall: string;
                iconMarginMedium: string;
                iconMarginLarge: string;
                iconSizeTiny: string;
                iconSizeSmall: string;
                iconSizeMedium: string;
                iconSizeLarge: string;
                rippleDuration: string;
            }, any>;
            Input: import("../../_mixins").Theme<"Input", {
                fontWeight: string;
                countTextColorDisabled: string;
                countTextColor: string;
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                lineHeight: string;
                lineHeightTextarea: string;
                borderRadius: string;
                iconSize: string;
                groupLabelColor: string;
                groupLabelTextColor: any;
                textColor: any;
                textColorDisabled: string;
                textDecorationColor: any;
                caretColor: any;
                placeholderColor: string;
                placeholderColorDisabled: string;
                color: string;
                colorDisabled: string;
                colorFocus: string;
                colorHover: any;
                groupLabelBorder: string;
                border: string;
                borderHover: string;
                borderDisabled: string;
                borderFocus: string;
                boxShadowFocus: string;
                loadingColor: any;
                loadingColorWarning: any;
                borderWarning: string;
                borderHoverWarning: string;
                colorFocusWarning: string;
                borderFocusWarning: string;
                boxShadowFocusWarning: string;
                caretColorWarning: any;
                loadingColorError: any;
                borderError: string;
                borderHoverError: string;
                colorFocusError: string;
                borderFocusError: string;
                boxShadowFocusError: string;
                caretColorError: any;
                clearColor: string;
                clearColorHover: string;
                clearColorPressed: string;
                iconColor: string;
                iconColorDisabled: string;
                iconColorHover: string;
                iconColorPressed: string;
                suffixTextColor: string;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                clearSize: string;
            }, any>;
        };
        peerOverrides: {
            Scrollbar?: {
                peers?: {
                    [x: string]: any;
                } | undefined;
            } | undefined;
            Button?: {
                peers?: {
                    [x: string]: any;
                } | undefined;
            } | undefined;
            Input?: {
                peers?: {
                    [x: string]: any;
                } | undefined;
            } | undefined;
        };
    }>;
    mergedClsPrefix: import("vue").Ref<string, string>;
    hours: import("vue").ComputedRef<Item[]>;
    minutes: import("vue").ComputedRef<Item[]>;
    seconds: import("vue").ComputedRef<Item[]>;
    amPm: import("vue").ComputedRef<Item[]>;
    hourScrollRef: import("vue").Ref<null, null>;
    minuteScrollRef: import("vue").Ref<null, null>;
    secondScrollRef: import("vue").Ref<null, null>;
    amPmScrollRef: import("vue").Ref<null, null>;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    actions: {
        type: PropType<Array<"clear" | "now" | "confirm"> | null>;
        default: () => string[];
    };
    showHour: {
        type: BooleanConstructor;
        default: boolean;
    };
    showMinute: {
        type: BooleanConstructor;
        default: boolean;
    };
    showSecond: {
        type: BooleanConstructor;
        default: boolean;
    };
    showPeriod: {
        type: BooleanConstructor;
        default: boolean;
    };
    isHourInvalid: BooleanConstructor;
    isMinuteInvalid: BooleanConstructor;
    isSecondInvalid: BooleanConstructor;
    isAmPmInvalid: BooleanConstructor;
    isValueInvalid: BooleanConstructor;
    hourValue: {
        type: PropType<number | null>;
        default: null;
    };
    minuteValue: {
        type: PropType<number | null>;
        default: null;
    };
    secondValue: {
        type: PropType<number | null>;
        default: null;
    };
    amPmValue: {
        type: PropType<"am" | "pm" | null>;
        default: null;
    };
    isHourDisabled: PropType<IsHourDisabled>;
    isMinuteDisabled: PropType<IsMinuteDisabled>;
    isSecondDisabled: PropType<IsSecondDisabled>;
    onHourClick: {
        type: PropType<(value: ItemValue) => void>;
        required: boolean;
    };
    onMinuteClick: {
        type: PropType<(value: ItemValue) => void>;
        required: boolean;
    };
    onSecondClick: {
        type: PropType<(value: ItemValue) => void>;
        required: boolean;
    };
    onAmPmClick: {
        type: PropType<(value: ItemValue) => void>;
        required: boolean;
    };
    onNowClick: PropType<() => void>;
    clearText: StringConstructor;
    nowText: StringConstructor;
    confirmText: StringConstructor;
    transitionDisabled: BooleanConstructor;
    onClearClick: PropType<() => void>;
    onConfirmClick: PropType<() => void>;
    onFocusin: PropType<(e: FocusEvent) => void>;
    onFocusout: PropType<(e: FocusEvent) => void>;
    onFocusDetectorFocus: PropType<() => void>;
    onKeydown: PropType<(e: KeyboardEvent) => void>;
    hours: PropType<MaybeArray<number>>;
    minutes: PropType<MaybeArray<number>>;
    seconds: PropType<MaybeArray<number>>;
    use12Hours: BooleanConstructor;
}>> & Readonly<{}>, {
    transitionDisabled: boolean;
    actions: ("clear" | "confirm" | "now")[] | null;
    showHour: boolean;
    showMinute: boolean;
    showSecond: boolean;
    showPeriod: boolean;
    isHourInvalid: boolean;
    isMinuteInvalid: boolean;
    isSecondInvalid: boolean;
    isAmPmInvalid: boolean;
    isValueInvalid: boolean;
    hourValue: number | null;
    minuteValue: number | null;
    secondValue: number | null;
    amPmValue: "am" | "pm" | null;
    use12Hours: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
