import type { ExtractPublicPropTypes } from '../../_utils';
import { type PropType } from 'vue';
export declare const labelProps: {
    size: {
        type: PropType<"tiny" | "small" | "medium" | "large" | "huge">;
        default: string;
    };
    theme: PropType<import("../../_mixins").Theme<"Typography", {
        aTextColor: any;
        blockquoteTextColor: string;
        blockquotePrefixColor: string;
        blockquoteLineHeight: string;
        blockquoteFontSize: string;
        codeBorderRadius: string;
        liTextColor: string;
        liLineHeight: string;
        liFontSize: string;
        hrColor: any;
        textColor: string;
        textColor1Depth: string;
        textColor2Depth: string;
        textColor3Depth: string;
        textColorPrimary: any;
        textColorInfo: any;
        textColorSuccess: any;
        textColorWarning: any;
        textColorError: any;
        codeTextColor: string;
        codeColor: string;
        codeBorder: string;
        headerFontWeight: string;
        headerTextColor: string;
        headerBarColor: any;
        headerBarColorPrimary: any;
        headerBarColorInfo: any;
        headerBarColorError: any;
        headerBarColorWarning: any;
        headerBarColorSuccess: any;
        headerFontSize1: string;
        headerFontSize2: string;
        headerFontSize3: string;
        headerFontSize4: string;
        headerFontSize5: string;
        headerFontSize6: string;
        headerLineHeight1: string;
        headerLineHeight2: string;
        headerLineHeight3: string;
        headerLineHeight4: string;
        headerLineHeight5: string;
        headerLineHeight6: string;
        headerLetterSpacing1: string;
        headerLetterSpacing2: string;
        headerLetterSpacing3: string;
        headerLetterSpacing4: string;
        headerLetterSpacing5: string;
        headerLetterSpacing6: string;
        headerMargin1: string;
        headerMargin2: string;
        headerMargin3: string;
        headerMargin4: string;
        headerMargin5: string;
        headerMargin6: string;
        headerBarWidth1: string;
        headerBarWidth2: string;
        headerBarWidth3: string;
        headerBarWidth4: string;
        headerBarWidth5: string;
        headerBarWidth6: string;
        headerPrefixWidth1: string;
        headerPrefixWidth2: string;
        headerPrefixWidth3: string;
        headerPrefixWidth4: string;
        headerPrefixWidth5: string;
        headerPrefixWidth6: string;
        labelFontWeight: string;
        labelFontSizeHuge: string;
        labelFontSizeLarge: string;
        labelFontSizeMedium: string;
        labelFontSizeSmall: string;
        labelFontSizeTiny: string;
        labelLineHeightHuge: string;
        labelLineHeightLarge: string;
        labelLineHeightMedium: string;
        labelLineHeightSmall: string;
        labelLineHeightTiny: string;
        labelLetterSpacingHuge: string;
        labelLetterSpacingLarge: string;
        labelLetterSpacingMedium: string;
        labelLetterSpacingSmall: string;
        labelLetterSpacingTiny: string;
        labelTextColor: string;
        labelMargin: string;
        pFontWeight: string;
        pFontSizeHuge: string;
        pFontSizeLarge: string;
        pFontSizeMedium: string;
        pFontSizeSmall: string;
        pFontSizeTiny: string;
        pLineHeightHuge: string;
        pLineHeightLarge: string;
        pLineHeightMedium: string;
        pLineHeightSmall: string;
        pLineHeightTiny: string;
        pLetterSpacingHuge: string;
        pLetterSpacingLarge: string;
        pLetterSpacingMedium: string;
        pLetterSpacingSmall: string;
        pLetterSpacingTiny: string;
        pMargin: string;
        liMargin: string;
        olPadding: string;
        ulPadding: string;
    }, any>>;
    themeOverrides: PropType<import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"Typography", {
        aTextColor: any;
        blockquoteTextColor: string;
        blockquotePrefixColor: string;
        blockquoteLineHeight: string;
        blockquoteFontSize: string;
        codeBorderRadius: string;
        liTextColor: string;
        liLineHeight: string;
        liFontSize: string;
        hrColor: any;
        textColor: string;
        textColor1Depth: string;
        textColor2Depth: string;
        textColor3Depth: string;
        textColorPrimary: any;
        textColorInfo: any;
        textColorSuccess: any;
        textColorWarning: any;
        textColorError: any;
        codeTextColor: string;
        codeColor: string;
        codeBorder: string;
        headerFontWeight: string;
        headerTextColor: string;
        headerBarColor: any;
        headerBarColorPrimary: any;
        headerBarColorInfo: any;
        headerBarColorError: any;
        headerBarColorWarning: any;
        headerBarColorSuccess: any;
        headerFontSize1: string;
        headerFontSize2: string;
        headerFontSize3: string;
        headerFontSize4: string;
        headerFontSize5: string;
        headerFontSize6: string;
        headerLineHeight1: string;
        headerLineHeight2: string;
        headerLineHeight3: string;
        headerLineHeight4: string;
        headerLineHeight5: string;
        headerLineHeight6: string;
        headerLetterSpacing1: string;
        headerLetterSpacing2: string;
        headerLetterSpacing3: string;
        headerLetterSpacing4: string;
        headerLetterSpacing5: string;
        headerLetterSpacing6: string;
        headerMargin1: string;
        headerMargin2: string;
        headerMargin3: string;
        headerMargin4: string;
        headerMargin5: string;
        headerMargin6: string;
        headerBarWidth1: string;
        headerBarWidth2: string;
        headerBarWidth3: string;
        headerBarWidth4: string;
        headerBarWidth5: string;
        headerBarWidth6: string;
        headerPrefixWidth1: string;
        headerPrefixWidth2: string;
        headerPrefixWidth3: string;
        headerPrefixWidth4: string;
        headerPrefixWidth5: string;
        headerPrefixWidth6: string;
        labelFontWeight: string;
        labelFontSizeHuge: string;
        labelFontSizeLarge: string;
        labelFontSizeMedium: string;
        labelFontSizeSmall: string;
        labelFontSizeTiny: string;
        labelLineHeightHuge: string;
        labelLineHeightLarge: string;
        labelLineHeightMedium: string;
        labelLineHeightSmall: string;
        labelLineHeightTiny: string;
        labelLetterSpacingHuge: string;
        labelLetterSpacingLarge: string;
        labelLetterSpacingMedium: string;
        labelLetterSpacingSmall: string;
        labelLetterSpacingTiny: string;
        labelTextColor: string;
        labelMargin: string;
        pFontWeight: string;
        pFontSizeHuge: string;
        pFontSizeLarge: string;
        pFontSizeMedium: string;
        pFontSizeSmall: string;
        pFontSizeTiny: string;
        pLineHeightHuge: string;
        pLineHeightLarge: string;
        pLineHeightMedium: string;
        pLineHeightSmall: string;
        pLineHeightTiny: string;
        pLetterSpacingHuge: string;
        pLetterSpacingLarge: string;
        pLetterSpacingMedium: string;
        pLetterSpacingSmall: string;
        pLetterSpacingTiny: string;
        pMargin: string;
        liMargin: string;
        olPadding: string;
        ulPadding: string;
    }, any>>>;
    builtinThemeOverrides: PropType<import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"Typography", {
        aTextColor: any;
        blockquoteTextColor: string;
        blockquotePrefixColor: string;
        blockquoteLineHeight: string;
        blockquoteFontSize: string;
        codeBorderRadius: string;
        liTextColor: string;
        liLineHeight: string;
        liFontSize: string;
        hrColor: any;
        textColor: string;
        textColor1Depth: string;
        textColor2Depth: string;
        textColor3Depth: string;
        textColorPrimary: any;
        textColorInfo: any;
        textColorSuccess: any;
        textColorWarning: any;
        textColorError: any;
        codeTextColor: string;
        codeColor: string;
        codeBorder: string;
        headerFontWeight: string;
        headerTextColor: string;
        headerBarColor: any;
        headerBarColorPrimary: any;
        headerBarColorInfo: any;
        headerBarColorError: any;
        headerBarColorWarning: any;
        headerBarColorSuccess: any;
        headerFontSize1: string;
        headerFontSize2: string;
        headerFontSize3: string;
        headerFontSize4: string;
        headerFontSize5: string;
        headerFontSize6: string;
        headerLineHeight1: string;
        headerLineHeight2: string;
        headerLineHeight3: string;
        headerLineHeight4: string;
        headerLineHeight5: string;
        headerLineHeight6: string;
        headerLetterSpacing1: string;
        headerLetterSpacing2: string;
        headerLetterSpacing3: string;
        headerLetterSpacing4: string;
        headerLetterSpacing5: string;
        headerLetterSpacing6: string;
        headerMargin1: string;
        headerMargin2: string;
        headerMargin3: string;
        headerMargin4: string;
        headerMargin5: string;
        headerMargin6: string;
        headerBarWidth1: string;
        headerBarWidth2: string;
        headerBarWidth3: string;
        headerBarWidth4: string;
        headerBarWidth5: string;
        headerBarWidth6: string;
        headerPrefixWidth1: string;
        headerPrefixWidth2: string;
        headerPrefixWidth3: string;
        headerPrefixWidth4: string;
        headerPrefixWidth5: string;
        headerPrefixWidth6: string;
        labelFontWeight: string;
        labelFontSizeHuge: string;
        labelFontSizeLarge: string;
        labelFontSizeMedium: string;
        labelFontSizeSmall: string;
        labelFontSizeTiny: string;
        labelLineHeightHuge: string;
        labelLineHeightLarge: string;
        labelLineHeightMedium: string;
        labelLineHeightSmall: string;
        labelLineHeightTiny: string;
        labelLetterSpacingHuge: string;
        labelLetterSpacingLarge: string;
        labelLetterSpacingMedium: string;
        labelLetterSpacingSmall: string;
        labelLetterSpacingTiny: string;
        labelTextColor: string;
        labelMargin: string;
        pFontWeight: string;
        pFontSizeHuge: string;
        pFontSizeLarge: string;
        pFontSizeMedium: string;
        pFontSizeSmall: string;
        pFontSizeTiny: string;
        pLineHeightHuge: string;
        pLineHeightLarge: string;
        pLineHeightMedium: string;
        pLineHeightSmall: string;
        pLineHeightTiny: string;
        pLetterSpacingHuge: string;
        pLetterSpacingLarge: string;
        pLetterSpacingMedium: string;
        pLetterSpacingSmall: string;
        pLetterSpacingTiny: string;
        pMargin: string;
        liMargin: string;
        olPadding: string;
        ulPadding: string;
    }, any>>>;
};
export type LabelProps = ExtractPublicPropTypes<typeof labelProps>;
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    size: {
        type: PropType<"tiny" | "small" | "medium" | "large" | "huge">;
        default: string;
    };
    theme: PropType<import("../../_mixins").Theme<"Typography", {
        aTextColor: any;
        blockquoteTextColor: string;
        blockquotePrefixColor: string;
        blockquoteLineHeight: string;
        blockquoteFontSize: string;
        codeBorderRadius: string;
        liTextColor: string;
        liLineHeight: string;
        liFontSize: string;
        hrColor: any;
        textColor: string;
        textColor1Depth: string;
        textColor2Depth: string;
        textColor3Depth: string;
        textColorPrimary: any;
        textColorInfo: any;
        textColorSuccess: any;
        textColorWarning: any;
        textColorError: any;
        codeTextColor: string;
        codeColor: string;
        codeBorder: string;
        headerFontWeight: string;
        headerTextColor: string;
        headerBarColor: any;
        headerBarColorPrimary: any;
        headerBarColorInfo: any;
        headerBarColorError: any;
        headerBarColorWarning: any;
        headerBarColorSuccess: any;
        headerFontSize1: string;
        headerFontSize2: string;
        headerFontSize3: string;
        headerFontSize4: string;
        headerFontSize5: string;
        headerFontSize6: string;
        headerLineHeight1: string;
        headerLineHeight2: string;
        headerLineHeight3: string;
        headerLineHeight4: string;
        headerLineHeight5: string;
        headerLineHeight6: string;
        headerLetterSpacing1: string;
        headerLetterSpacing2: string;
        headerLetterSpacing3: string;
        headerLetterSpacing4: string;
        headerLetterSpacing5: string;
        headerLetterSpacing6: string;
        headerMargin1: string;
        headerMargin2: string;
        headerMargin3: string;
        headerMargin4: string;
        headerMargin5: string;
        headerMargin6: string;
        headerBarWidth1: string;
        headerBarWidth2: string;
        headerBarWidth3: string;
        headerBarWidth4: string;
        headerBarWidth5: string;
        headerBarWidth6: string;
        headerPrefixWidth1: string;
        headerPrefixWidth2: string;
        headerPrefixWidth3: string;
        headerPrefixWidth4: string;
        headerPrefixWidth5: string;
        headerPrefixWidth6: string;
        labelFontWeight: string;
        labelFontSizeHuge: string;
        labelFontSizeLarge: string;
        labelFontSizeMedium: string;
        labelFontSizeSmall: string;
        labelFontSizeTiny: string;
        labelLineHeightHuge: string;
        labelLineHeightLarge: string;
        labelLineHeightMedium: string;
        labelLineHeightSmall: string;
        labelLineHeightTiny: string;
        labelLetterSpacingHuge: string;
        labelLetterSpacingLarge: string;
        labelLetterSpacingMedium: string;
        labelLetterSpacingSmall: string;
        labelLetterSpacingTiny: string;
        labelTextColor: string;
        labelMargin: string;
        pFontWeight: string;
        pFontSizeHuge: string;
        pFontSizeLarge: string;
        pFontSizeMedium: string;
        pFontSizeSmall: string;
        pFontSizeTiny: string;
        pLineHeightHuge: string;
        pLineHeightLarge: string;
        pLineHeightMedium: string;
        pLineHeightSmall: string;
        pLineHeightTiny: string;
        pLetterSpacingHuge: string;
        pLetterSpacingLarge: string;
        pLetterSpacingMedium: string;
        pLetterSpacingSmall: string;
        pLetterSpacingTiny: string;
        pMargin: string;
        liMargin: string;
        olPadding: string;
        ulPadding: string;
    }, any>>;
    themeOverrides: PropType<import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"Typography", {
        aTextColor: any;
        blockquoteTextColor: string;
        blockquotePrefixColor: string;
        blockquoteLineHeight: string;
        blockquoteFontSize: string;
        codeBorderRadius: string;
        liTextColor: string;
        liLineHeight: string;
        liFontSize: string;
        hrColor: any;
        textColor: string;
        textColor1Depth: string;
        textColor2Depth: string;
        textColor3Depth: string;
        textColorPrimary: any;
        textColorInfo: any;
        textColorSuccess: any;
        textColorWarning: any;
        textColorError: any;
        codeTextColor: string;
        codeColor: string;
        codeBorder: string;
        headerFontWeight: string;
        headerTextColor: string;
        headerBarColor: any;
        headerBarColorPrimary: any;
        headerBarColorInfo: any;
        headerBarColorError: any;
        headerBarColorWarning: any;
        headerBarColorSuccess: any;
        headerFontSize1: string;
        headerFontSize2: string;
        headerFontSize3: string;
        headerFontSize4: string;
        headerFontSize5: string;
        headerFontSize6: string;
        headerLineHeight1: string;
        headerLineHeight2: string;
        headerLineHeight3: string;
        headerLineHeight4: string;
        headerLineHeight5: string;
        headerLineHeight6: string;
        headerLetterSpacing1: string;
        headerLetterSpacing2: string;
        headerLetterSpacing3: string;
        headerLetterSpacing4: string;
        headerLetterSpacing5: string;
        headerLetterSpacing6: string;
        headerMargin1: string;
        headerMargin2: string;
        headerMargin3: string;
        headerMargin4: string;
        headerMargin5: string;
        headerMargin6: string;
        headerBarWidth1: string;
        headerBarWidth2: string;
        headerBarWidth3: string;
        headerBarWidth4: string;
        headerBarWidth5: string;
        headerBarWidth6: string;
        headerPrefixWidth1: string;
        headerPrefixWidth2: string;
        headerPrefixWidth3: string;
        headerPrefixWidth4: string;
        headerPrefixWidth5: string;
        headerPrefixWidth6: string;
        labelFontWeight: string;
        labelFontSizeHuge: string;
        labelFontSizeLarge: string;
        labelFontSizeMedium: string;
        labelFontSizeSmall: string;
        labelFontSizeTiny: string;
        labelLineHeightHuge: string;
        labelLineHeightLarge: string;
        labelLineHeightMedium: string;
        labelLineHeightSmall: string;
        labelLineHeightTiny: string;
        labelLetterSpacingHuge: string;
        labelLetterSpacingLarge: string;
        labelLetterSpacingMedium: string;
        labelLetterSpacingSmall: string;
        labelLetterSpacingTiny: string;
        labelTextColor: string;
        labelMargin: string;
        pFontWeight: string;
        pFontSizeHuge: string;
        pFontSizeLarge: string;
        pFontSizeMedium: string;
        pFontSizeSmall: string;
        pFontSizeTiny: string;
        pLineHeightHuge: string;
        pLineHeightLarge: string;
        pLineHeightMedium: string;
        pLineHeightSmall: string;
        pLineHeightTiny: string;
        pLetterSpacingHuge: string;
        pLetterSpacingLarge: string;
        pLetterSpacingMedium: string;
        pLetterSpacingSmall: string;
        pLetterSpacingTiny: string;
        pMargin: string;
        liMargin: string;
        olPadding: string;
        ulPadding: string;
    }, any>>>;
    builtinThemeOverrides: PropType<import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"Typography", {
        aTextColor: any;
        blockquoteTextColor: string;
        blockquotePrefixColor: string;
        blockquoteLineHeight: string;
        blockquoteFontSize: string;
        codeBorderRadius: string;
        liTextColor: string;
        liLineHeight: string;
        liFontSize: string;
        hrColor: any;
        textColor: string;
        textColor1Depth: string;
        textColor2Depth: string;
        textColor3Depth: string;
        textColorPrimary: any;
        textColorInfo: any;
        textColorSuccess: any;
        textColorWarning: any;
        textColorError: any;
        codeTextColor: string;
        codeColor: string;
        codeBorder: string;
        headerFontWeight: string;
        headerTextColor: string;
        headerBarColor: any;
        headerBarColorPrimary: any;
        headerBarColorInfo: any;
        headerBarColorError: any;
        headerBarColorWarning: any;
        headerBarColorSuccess: any;
        headerFontSize1: string;
        headerFontSize2: string;
        headerFontSize3: string;
        headerFontSize4: string;
        headerFontSize5: string;
        headerFontSize6: string;
        headerLineHeight1: string;
        headerLineHeight2: string;
        headerLineHeight3: string;
        headerLineHeight4: string;
        headerLineHeight5: string;
        headerLineHeight6: string;
        headerLetterSpacing1: string;
        headerLetterSpacing2: string;
        headerLetterSpacing3: string;
        headerLetterSpacing4: string;
        headerLetterSpacing5: string;
        headerLetterSpacing6: string;
        headerMargin1: string;
        headerMargin2: string;
        headerMargin3: string;
        headerMargin4: string;
        headerMargin5: string;
        headerMargin6: string;
        headerBarWidth1: string;
        headerBarWidth2: string;
        headerBarWidth3: string;
        headerBarWidth4: string;
        headerBarWidth5: string;
        headerBarWidth6: string;
        headerPrefixWidth1: string;
        headerPrefixWidth2: string;
        headerPrefixWidth3: string;
        headerPrefixWidth4: string;
        headerPrefixWidth5: string;
        headerPrefixWidth6: string;
        labelFontWeight: string;
        labelFontSizeHuge: string;
        labelFontSizeLarge: string;
        labelFontSizeMedium: string;
        labelFontSizeSmall: string;
        labelFontSizeTiny: string;
        labelLineHeightHuge: string;
        labelLineHeightLarge: string;
        labelLineHeightMedium: string;
        labelLineHeightSmall: string;
        labelLineHeightTiny: string;
        labelLetterSpacingHuge: string;
        labelLetterSpacingLarge: string;
        labelLetterSpacingMedium: string;
        labelLetterSpacingSmall: string;
        labelLetterSpacingTiny: string;
        labelTextColor: string;
        labelMargin: string;
        pFontWeight: string;
        pFontSizeHuge: string;
        pFontSizeLarge: string;
        pFontSizeMedium: string;
        pFontSizeSmall: string;
        pFontSizeTiny: string;
        pLineHeightHuge: string;
        pLineHeightLarge: string;
        pLineHeightMedium: string;
        pLineHeightSmall: string;
        pLineHeightTiny: string;
        pLetterSpacingHuge: string;
        pLetterSpacingLarge: string;
        pLetterSpacingMedium: string;
        pLetterSpacingSmall: string;
        pLetterSpacingTiny: string;
        pMargin: string;
        liMargin: string;
        olPadding: string;
        ulPadding: string;
    }, any>>>;
}>, {
    mergedClsPrefix: import("vue").Ref<string, string>;
    cssVars: import("vue").ComputedRef<{
        '--n-bezier': string;
        '--n-font-weight': string;
        '--n-font-size': any;
        '--n-line-height': any;
        '--n-letter-spacing': any;
        '--n-margin': string;
        '--n-text-color': string;
    }> | undefined;
    themeClass: import("vue").Ref<string, string> | undefined;
    onRender: (() => void) | undefined;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    size: {
        type: PropType<"tiny" | "small" | "medium" | "large" | "huge">;
        default: string;
    };
    theme: PropType<import("../../_mixins").Theme<"Typography", {
        aTextColor: any;
        blockquoteTextColor: string;
        blockquotePrefixColor: string;
        blockquoteLineHeight: string;
        blockquoteFontSize: string;
        codeBorderRadius: string;
        liTextColor: string;
        liLineHeight: string;
        liFontSize: string;
        hrColor: any;
        textColor: string;
        textColor1Depth: string;
        textColor2Depth: string;
        textColor3Depth: string;
        textColorPrimary: any;
        textColorInfo: any;
        textColorSuccess: any;
        textColorWarning: any;
        textColorError: any;
        codeTextColor: string;
        codeColor: string;
        codeBorder: string;
        headerFontWeight: string;
        headerTextColor: string;
        headerBarColor: any;
        headerBarColorPrimary: any;
        headerBarColorInfo: any;
        headerBarColorError: any;
        headerBarColorWarning: any;
        headerBarColorSuccess: any;
        headerFontSize1: string;
        headerFontSize2: string;
        headerFontSize3: string;
        headerFontSize4: string;
        headerFontSize5: string;
        headerFontSize6: string;
        headerLineHeight1: string;
        headerLineHeight2: string;
        headerLineHeight3: string;
        headerLineHeight4: string;
        headerLineHeight5: string;
        headerLineHeight6: string;
        headerLetterSpacing1: string;
        headerLetterSpacing2: string;
        headerLetterSpacing3: string;
        headerLetterSpacing4: string;
        headerLetterSpacing5: string;
        headerLetterSpacing6: string;
        headerMargin1: string;
        headerMargin2: string;
        headerMargin3: string;
        headerMargin4: string;
        headerMargin5: string;
        headerMargin6: string;
        headerBarWidth1: string;
        headerBarWidth2: string;
        headerBarWidth3: string;
        headerBarWidth4: string;
        headerBarWidth5: string;
        headerBarWidth6: string;
        headerPrefixWidth1: string;
        headerPrefixWidth2: string;
        headerPrefixWidth3: string;
        headerPrefixWidth4: string;
        headerPrefixWidth5: string;
        headerPrefixWidth6: string;
        labelFontWeight: string;
        labelFontSizeHuge: string;
        labelFontSizeLarge: string;
        labelFontSizeMedium: string;
        labelFontSizeSmall: string;
        labelFontSizeTiny: string;
        labelLineHeightHuge: string;
        labelLineHeightLarge: string;
        labelLineHeightMedium: string;
        labelLineHeightSmall: string;
        labelLineHeightTiny: string;
        labelLetterSpacingHuge: string;
        labelLetterSpacingLarge: string;
        labelLetterSpacingMedium: string;
        labelLetterSpacingSmall: string;
        labelLetterSpacingTiny: string;
        labelTextColor: string;
        labelMargin: string;
        pFontWeight: string;
        pFontSizeHuge: string;
        pFontSizeLarge: string;
        pFontSizeMedium: string;
        pFontSizeSmall: string;
        pFontSizeTiny: string;
        pLineHeightHuge: string;
        pLineHeightLarge: string;
        pLineHeightMedium: string;
        pLineHeightSmall: string;
        pLineHeightTiny: string;
        pLetterSpacingHuge: string;
        pLetterSpacingLarge: string;
        pLetterSpacingMedium: string;
        pLetterSpacingSmall: string;
        pLetterSpacingTiny: string;
        pMargin: string;
        liMargin: string;
        olPadding: string;
        ulPadding: string;
    }, any>>;
    themeOverrides: PropType<import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"Typography", {
        aTextColor: any;
        blockquoteTextColor: string;
        blockquotePrefixColor: string;
        blockquoteLineHeight: string;
        blockquoteFontSize: string;
        codeBorderRadius: string;
        liTextColor: string;
        liLineHeight: string;
        liFontSize: string;
        hrColor: any;
        textColor: string;
        textColor1Depth: string;
        textColor2Depth: string;
        textColor3Depth: string;
        textColorPrimary: any;
        textColorInfo: any;
        textColorSuccess: any;
        textColorWarning: any;
        textColorError: any;
        codeTextColor: string;
        codeColor: string;
        codeBorder: string;
        headerFontWeight: string;
        headerTextColor: string;
        headerBarColor: any;
        headerBarColorPrimary: any;
        headerBarColorInfo: any;
        headerBarColorError: any;
        headerBarColorWarning: any;
        headerBarColorSuccess: any;
        headerFontSize1: string;
        headerFontSize2: string;
        headerFontSize3: string;
        headerFontSize4: string;
        headerFontSize5: string;
        headerFontSize6: string;
        headerLineHeight1: string;
        headerLineHeight2: string;
        headerLineHeight3: string;
        headerLineHeight4: string;
        headerLineHeight5: string;
        headerLineHeight6: string;
        headerLetterSpacing1: string;
        headerLetterSpacing2: string;
        headerLetterSpacing3: string;
        headerLetterSpacing4: string;
        headerLetterSpacing5: string;
        headerLetterSpacing6: string;
        headerMargin1: string;
        headerMargin2: string;
        headerMargin3: string;
        headerMargin4: string;
        headerMargin5: string;
        headerMargin6: string;
        headerBarWidth1: string;
        headerBarWidth2: string;
        headerBarWidth3: string;
        headerBarWidth4: string;
        headerBarWidth5: string;
        headerBarWidth6: string;
        headerPrefixWidth1: string;
        headerPrefixWidth2: string;
        headerPrefixWidth3: string;
        headerPrefixWidth4: string;
        headerPrefixWidth5: string;
        headerPrefixWidth6: string;
        labelFontWeight: string;
        labelFontSizeHuge: string;
        labelFontSizeLarge: string;
        labelFontSizeMedium: string;
        labelFontSizeSmall: string;
        labelFontSizeTiny: string;
        labelLineHeightHuge: string;
        labelLineHeightLarge: string;
        labelLineHeightMedium: string;
        labelLineHeightSmall: string;
        labelLineHeightTiny: string;
        labelLetterSpacingHuge: string;
        labelLetterSpacingLarge: string;
        labelLetterSpacingMedium: string;
        labelLetterSpacingSmall: string;
        labelLetterSpacingTiny: string;
        labelTextColor: string;
        labelMargin: string;
        pFontWeight: string;
        pFontSizeHuge: string;
        pFontSizeLarge: string;
        pFontSizeMedium: string;
        pFontSizeSmall: string;
        pFontSizeTiny: string;
        pLineHeightHuge: string;
        pLineHeightLarge: string;
        pLineHeightMedium: string;
        pLineHeightSmall: string;
        pLineHeightTiny: string;
        pLetterSpacingHuge: string;
        pLetterSpacingLarge: string;
        pLetterSpacingMedium: string;
        pLetterSpacingSmall: string;
        pLetterSpacingTiny: string;
        pMargin: string;
        liMargin: string;
        olPadding: string;
        ulPadding: string;
    }, any>>>;
    builtinThemeOverrides: PropType<import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"Typography", {
        aTextColor: any;
        blockquoteTextColor: string;
        blockquotePrefixColor: string;
        blockquoteLineHeight: string;
        blockquoteFontSize: string;
        codeBorderRadius: string;
        liTextColor: string;
        liLineHeight: string;
        liFontSize: string;
        hrColor: any;
        textColor: string;
        textColor1Depth: string;
        textColor2Depth: string;
        textColor3Depth: string;
        textColorPrimary: any;
        textColorInfo: any;
        textColorSuccess: any;
        textColorWarning: any;
        textColorError: any;
        codeTextColor: string;
        codeColor: string;
        codeBorder: string;
        headerFontWeight: string;
        headerTextColor: string;
        headerBarColor: any;
        headerBarColorPrimary: any;
        headerBarColorInfo: any;
        headerBarColorError: any;
        headerBarColorWarning: any;
        headerBarColorSuccess: any;
        headerFontSize1: string;
        headerFontSize2: string;
        headerFontSize3: string;
        headerFontSize4: string;
        headerFontSize5: string;
        headerFontSize6: string;
        headerLineHeight1: string;
        headerLineHeight2: string;
        headerLineHeight3: string;
        headerLineHeight4: string;
        headerLineHeight5: string;
        headerLineHeight6: string;
        headerLetterSpacing1: string;
        headerLetterSpacing2: string;
        headerLetterSpacing3: string;
        headerLetterSpacing4: string;
        headerLetterSpacing5: string;
        headerLetterSpacing6: string;
        headerMargin1: string;
        headerMargin2: string;
        headerMargin3: string;
        headerMargin4: string;
        headerMargin5: string;
        headerMargin6: string;
        headerBarWidth1: string;
        headerBarWidth2: string;
        headerBarWidth3: string;
        headerBarWidth4: string;
        headerBarWidth5: string;
        headerBarWidth6: string;
        headerPrefixWidth1: string;
        headerPrefixWidth2: string;
        headerPrefixWidth3: string;
        headerPrefixWidth4: string;
        headerPrefixWidth5: string;
        headerPrefixWidth6: string;
        labelFontWeight: string;
        labelFontSizeHuge: string;
        labelFontSizeLarge: string;
        labelFontSizeMedium: string;
        labelFontSizeSmall: string;
        labelFontSizeTiny: string;
        labelLineHeightHuge: string;
        labelLineHeightLarge: string;
        labelLineHeightMedium: string;
        labelLineHeightSmall: string;
        labelLineHeightTiny: string;
        labelLetterSpacingHuge: string;
        labelLetterSpacingLarge: string;
        labelLetterSpacingMedium: string;
        labelLetterSpacingSmall: string;
        labelLetterSpacingTiny: string;
        labelTextColor: string;
        labelMargin: string;
        pFontWeight: string;
        pFontSizeHuge: string;
        pFontSizeLarge: string;
        pFontSizeMedium: string;
        pFontSizeSmall: string;
        pFontSizeTiny: string;
        pLineHeightHuge: string;
        pLineHeightLarge: string;
        pLineHeightMedium: string;
        pLineHeightSmall: string;
        pLineHeightTiny: string;
        pLetterSpacingHuge: string;
        pLetterSpacingLarge: string;
        pLetterSpacingMedium: string;
        pLetterSpacingSmall: string;
        pLetterSpacingTiny: string;
        pMargin: string;
        liMargin: string;
        olPadding: string;
        ulPadding: string;
    }, any>>>;
}>> & Readonly<{}>, {
    size: "small" | "medium" | "large" | "tiny" | "huge";
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
