import { commonLight } from "../../_styles/common/index.mjs";
import commonVars from "./_common.mjs";
export function self(vars) {
  const {
    primaryColor,
    textColor2,
    borderColor,
    lineHeight,
    fontSize,
    borderRadiusSmall,
    dividerColor,
    textColor1,
    textColor3,
    infoColor,
    warningColor,
    errorColor,
    successColor,
    codeColor
  } = vars;
  return Object.assign(Object.assign({}, commonVars), {
    aTextColor: primaryColor,
    blockquoteTextColor: textColor2,
    blockquotePrefixColor: borderColor,
    blockquoteLineHeight: lineHeight,
    blockquoteFontSize: fontSize,
    codeBorderRadius: borderRadiusSmall,
    liTextColor: textColor2,
    liLineHeight: lineHeight,
    liFontSize: fontSize,
    hrColor: dividerColor,
    textColor: textColor2,
    textColor1Depth: textColor1,
    textColor2Depth: textColor2,
    textColor3Depth: textColor3,
    textColorPrimary: primaryColor,
    textColorInfo: infoColor,
    textColorSuccess: successColor,
    textColorWarning: warningColor,
    textColorError: errorColor,
    codeTextColor: textColor2,
    codeColor,
    codeBorder: '1px solid #0000',
    // HEADER //
    headerFontWeight: '500',
    headerTextColor: textColor1,
    headerBarColor: primaryColor,
    headerBarColorPrimary: primaryColor,
    headerBarColorInfo: infoColor,
    headerBarColorError: errorColor,
    headerBarColorWarning: warningColor,
    headerBarColorSuccess: successColor,
    headerFontSize1: '56px',
    headerFontSize2: '48px',
    headerFontSize3: '40px',
    headerFontSize4: '32px',
    headerFontSize5: '24px',
    headerFontSize6: '16px',
    headerLineHeight1: '64px',
    headerLineHeight2: '56px',
    headerLineHeight3: '48px',
    headerLineHeight4: '40px',
    headerLineHeight5: '32px',
    headerLineHeight6: '24px',
    headerLetterSpacing1: '-0.01em',
    headerLetterSpacing2: '-0.01em',
    headerLetterSpacing3: '-0.01em',
    headerLetterSpacing4: '-0.005em',
    headerLetterSpacing5: '0',
    headerLetterSpacing6: '0',
    headerMargin1: '28px 0 20px 0',
    headerMargin2: '28px 0 20px 0',
    headerMargin3: '28px 0 20px 0',
    headerMargin4: '28px 0 18px 0',
    headerMargin5: '28px 0 16px 0',
    headerMargin6: '28px 0 16px 0',
    headerBarWidth1: '6px',
    headerBarWidth2: '5px',
    headerBarWidth3: '4px',
    headerBarWidth4: '3px',
    headerBarWidth5: '3px',
    headerBarWidth6: '3px',
    headerPrefixWidth1: '16px',
    headerPrefixWidth2: '16px',
    headerPrefixWidth3: '16px',
    headerPrefixWidth4: '16px',
    headerPrefixWidth5: '16px',
    headerPrefixWidth6: '16px',
    // LABEL //
    labelFontWeight: '500',
    labelFontSizeHuge: '24px',
    labelFontSizeLarge: '18px',
    labelFontSizeMedium: '16px',
    labelFontSizeSmall: '14px',
    labelFontSizeTiny: '12px',
    labelLineHeightHuge: '32px',
    labelLineHeightLarge: '24px',
    labelLineHeightMedium: '24px',
    labelLineHeightSmall: '20px',
    labelLineHeightTiny: '16px',
    labelLetterSpacingHuge: '-0.015em',
    labelLetterSpacingLarge: '-0.015em',
    labelLetterSpacingMedium: '-0.011em',
    labelLetterSpacingSmall: '-0.006em',
    labelLetterSpacingTiny: '0',
    labelTextColor: textColor2,
    labelMargin: '0',
    // PARAGRAPH //
    pFontWeight: '400',
    pFontSizeHuge: '24px',
    pFontSizeLarge: '18px',
    pFontSizeMedium: '16px',
    pFontSizeSmall: '14px',
    pFontSizeTiny: '12px',
    pLineHeightHuge: '32px',
    pLineHeightLarge: '24px',
    pLineHeightMedium: '24px',
    pLineHeightSmall: '20px',
    pLineHeightTiny: '16px',
    pLetterSpacingHuge: '-0.015em',
    pLetterSpacingLarge: '-0.015em',
    pLetterSpacingMedium: '-0.011em',
    pLetterSpacingSmall: '-0.006em',
    pLetterSpacingTiny: '0',
    pMargin: '0'
  });
}
const typographyLight = {
  name: 'Typography',
  common: commonLight,
  self
};
export default typographyLight;