"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.colors = exports.baseColors = void 0;
const utils_1 = require("./utils");
exports.baseColors = {
    neutral: {
        0: '#ffffff',
        50: '#f5f7fa',
        100: '#f2f5f8',
        200: '#e1e4ea',
        300: '#cacfd8',
        400: '#99a0ae',
        500: '#717784',
        600: '#525866',
        700: '#2b303b',
        800: '#222530',
        900: '#181b25',
        950: '#0e121b',
        alpha24: '#7177843d',
        alpha16: '#71778429',
        alpha10: '#7177841a'
    },
    red: {
        50: '#ffebec',
        100: '#ffd5d8',
        200: '#ffc0c5',
        300: '#ff97a0',
        400: '#ff6875',
        500: '#fb3748',
        600: '#e93544',
        700: '#d02533',
        800: '#ad1f2b',
        900: '#8b1822',
        950: '#681219',
        alpha24: '#fb37483d',
        alpha16: '#fb374829',
        alpha10: '#fb37481a'
    },
    orange: {
        50: '#fff1eb',
        100: '#ffe3d5',
        200: '#ffd5c0',
        300: '#ffba97',
        400: '#ff9a68',
        500: '#ff8447',
        600: '#e97135',
        700: '#d05e25',
        800: '#ad4e1f',
        900: '#8b3e18',
        950: '#682f12'
    },
    yellow: {
        50: '#fffaeb',
        100: '#ffefcc',
        200: '#ffecc0',
        300: '#ffe097',
        400: '#ffd268',
        500: '#f6b51e',
        600: '#e6a819',
        700: '#c99a2c',
        800: '#a78025',
        900: '#86661d',
        950: '#624c18',
        alpha24: '#f6b51e3d',
        alpha16: '#f6b51e29',
        alpha10: '#f6b51e1a'
    },
    green: {
        50: '#e0faec',
        100: '#d0fbe9',
        200: '#c2f5da',
        300: '#84ebb4',
        400: '#3ee089',
        500: '#1fc16b',
        600: '#1daf61',
        700: '#178c4e',
        800: '#1a7544',
        900: '#16643b',
        950: '#0b4627',
        alpha24: '#1fc16b3d',
        alpha16: '#1fc16b29',
        alpha10: '#1fc16b1a'
    },
    teal: {
        50: '#e4fbf8',
        100: '#d0fbf5',
        200: '#c2f5ee',
        300: '#84ebdd',
        400: '#3fdec9',
        500: '#22d3bb',
        600: '#1daf9c',
        700: '#178c7d',
        800: '#1a7569',
        900: '#16645a',
        950: '#0b463e'
    },
    sky: {
        50: '#ebf8ff',
        100: '#d5f1ff',
        200: '#c0eaff',
        300: '#97dcff',
        400: '#68cdff',
        500: '#47c2ff',
        600: '#35ade9',
        700: '#2597d0',
        800: '#1f7ead',
        900: '#18658b',
        950: '#124b68'
    },
    blue: {
        50: '#ebf1ff',
        100: '#d5e2ff',
        200: '#c0d5ff',
        300: '#97baff',
        400: '#6895ff',
        500: '#335cff',
        600: '#3559e9',
        700: '#2547d0',
        800: '#1f3bad',
        900: '#182f8b',
        950: '#122368',
        alpha24: '#476cff3d',
        alpha16: '#476cff29',
        alpha10: '#476cff1a'
    },
    purple: {
        50: '#efebff',
        100: '#dcd5ff',
        200: '#cac0ff',
        300: '#a897ff',
        400: '#8c71f6',
        500: '#7d52f4',
        600: '#693ee0',
        700: '#5b2cc9',
        800: '#4c25a7',
        900: '#3d1d86',
        950: '#351a75'
    },
    pink: {
        50: '#ffebf4',
        100: '#ffd5ea',
        200: '#ffc0df',
        300: '#ff97cb',
        400: '#ff68b3',
        500: '#fb4ba3',
        600: '#e9358f',
        700: '#d0257a',
        800: '#ad1f66',
        900: '#8b1852',
        950: '#68123d'
    },
    gray: {
        0: '#ffffff',
        50: '#f7f7f7',
        100: '#f5f5f5',
        200: '#ebebeb',
        300: '#d1d1d1',
        400: '#a3a3a3',
        500: '#7b7b7b',
        600: '#5c5c5c',
        700: '#333333',
        800: '#292929',
        900: '#1c1c1c',
        950: '#171717',
        alpha24: '#a3a3a33d',
        alpha16: '#a3a3a329',
        alpha10: '#a3a3a31a'
    }
};
const alphaLevels = [24, 16, 10];
exports.colors = (0, utils_1.generateAlphaColors)(exports.baseColors, alphaLevels);
