"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createHoverColor = createHoverColor;
exports.createPressedColor = createPressedColor;
exports.createFocusColor = createFocusColor;
exports.setHexAlpha = setHexAlpha;
const seemly_1 = require("seemly");
function createHoverColor(rgb) {
    return (0, seemly_1.composite)(rgb, [255, 255, 255, 0.9]);
}
function createPressedColor(rgb) {
    return (0, seemly_1.composite)(rgb, [255, 255, 255, 0.9]);
}
function createFocusColor(rgb) {
    return (0, seemly_1.composite)(rgb, [255, 255, 255, 0.9]);
}
/**
 * Изменяет прозрачность HEX цвета используя библиотеку seemly
 * @param hex HEX цвет (с или без #)
 * @param alpha Значение прозрачности от 0 до 1
 * @returns HEX цвет с указанной прозрачностью
 */
function setHexAlpha(hex, alpha) {
    // Проверка входных параметров
    if (typeof hex !== 'string') {
        throw new TypeError('Hex color must be a string');
    }
    if (typeof alpha !== 'number' || Number.isNaN(alpha)) {
        throw new TypeError('Alpha must be a number');
    }
    // Используем функцию changeColor из seemly для изменения прозрачности
    return (0, seemly_1.changeColor)(hex, { alpha });
}
