import type { BaseWaveRef } from '../../_internal';
import type { ExtractPublicPropTypes, MaybeArray } from '../../_utils';
import type { Size, Type } from './interface';
import { type ButtonHTMLAttributes, type ExtractPropTypes, type PropType, type SlotsType, type VNode, type VNodeChild } from 'vue';
export declare const buttonProps: {
    readonly text: BooleanConstructor;
    readonly block: BooleanConstructor;
    readonly loading: BooleanConstructor;
    readonly disabled: BooleanConstructor;
    readonly circle: BooleanConstructor;
    readonly size: PropType<Size>;
    readonly ghost: BooleanConstructor;
    readonly round: BooleanConstructor;
    readonly lighter: BooleanConstructor;
    readonly stroke: BooleanConstructor;
    readonly strong: BooleanConstructor;
    readonly focusable: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly keyboard: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly tag: {
        readonly type: PropType<keyof HTMLElementTagNameMap>;
        readonly default: "button";
    };
    readonly type: {
        readonly type: PropType<Type>;
        readonly default: "primary";
    };
    readonly renderIcon: PropType<() => VNodeChild>;
    readonly iconPlacement: {
        readonly type: PropType<"left" | "right">;
        readonly default: "left";
    };
    readonly attrType: {
        readonly type: PropType<"button" | "submit" | "reset">;
        readonly default: "button";
    };
    readonly bordered: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly onClick: PropType<MaybeArray<(e: MouseEvent) => void>>;
    readonly nativeFocusBehavior: {
        readonly type: BooleanConstructor;
        readonly default: boolean;
    };
    readonly theme: PropType<import("../../_mixins").Theme<"Button", {
        heightTiny: string;
        heightSmall: string;
        heightMedium: string;
        heightLarge: string;
        borderRadiusTiny: string;
        borderRadiusSmall: string;
        borderRadiusMedium: string;
        borderRadiusLarge: string;
        fontSizeTiny: string;
        fontSizeSmall: string;
        fontSizeMedium: string;
        fontSizeLarge: string;
        colorPrimary: any;
        colorHoverPrimary: any;
        colorPressedPrimary: any;
        colorFocusPrimary: any;
        textColorPrimary: any;
        textColorHoverPrimary: any;
        textColorPressedPrimary: any;
        textColorFocusPrimary: any;
        textColorTextPrimary: any;
        textColorTextHoverPrimary: any;
        textColorTextPressedPrimary: any;
        textColorTextFocusPrimary: any;
        colorGhostHoverPrimary: any;
        textColorGhostPrimary: any;
        textColorGhostHoverPrimary: any;
        textColorGhostPressedPrimary: any;
        textColorGhostFocusPrimary: any;
        colorLighterPrimary: any;
        colorHoverLighterPrimary: any;
        colorPressedLighterPrimary: any;
        colorFocusLighterPrimary: any;
        textColorLighterPrimary: any;
        textColorLighterHoverPrimary: any;
        textColorLighterPressedPrimary: any;
        textColorLighterFocusPrimary: any;
        borderLighterHoverPrimary: string;
        borderLighterPressedPrimary: string;
        borderLighterFocusPrimary: string;
        colorStrokeHoverPrimary: any;
        colorStrokePressedPrimary: any;
        colorStrokeFocusPrimary: any;
        textColorStrokePrimary: any;
        textColorStrokeHoverPrimary: any;
        textColorStrokePressedPrimary: any;
        textColorStrokeFocusPrimary: any;
        borderStrokePrimary: string;
        borderStrokeHoverPrimary: string;
        borderStrokePressedPrimary: string;
        borderStrokeFocusPrimary: string;
        borderPrimary: string;
        borderHoverPrimary: string;
        borderPressedPrimary: string;
        borderFocusPrimary: string;
        rippleColorPrimary: any;
        colorNeutral: any;
        colorHoverNeutral: any;
        colorPressedNeutral: any;
        colorFocusNeutral: any;
        textColorNeutral: string;
        textColorHoverNeutral: string;
        textColorPressedNeutral: string;
        textColorFocusNeutral: string;
        textColorTextNeutral: any;
        textColorTextHoverNeutral: any;
        textColorTextPressedNeutral: any;
        textColorTextFocusNeutral: any;
        colorGhostHoverNeutral: any;
        colorPressedNeutralGhost: any;
        colorFocusNeutralGhost: any;
        textColorGhostNeutral: any;
        textColorGhostHoverNeutral: any;
        textColorGhostPressedNeutral: any;
        textColorGhostFocusNeutral: any;
        colorLighterNeutral: any;
        colorPressedNeutralLighter: any;
        colorFocusNeutralLighter: any;
        textColorLighterNeutral: any;
        textColorLighterHoverNeutral: any;
        textColorLighterPressedNeutral: any;
        textColorLighterFocusNeutral: any;
        borderLighterHoverNeutral: string;
        borderLighterPressedNeutral: string;
        borderLighterFocusNeutral: string;
        colorStrokeHoverNeutral: any;
        colorStrokePressedNeutral: any;
        colorStrokeFocusNeutral: any;
        textColorStrokeNeutral: any;
        textColorStrokeHoverNeutral: any;
        textColorStrokePressedNeutral: any;
        textColorStrokeFocusNeutral: any;
        borderStrokeNeutral: string;
        borderStrokeHoverNeutral: string;
        borderStrokePressedNeutral: string;
        borderStrokeFocusNeutral: string;
        borderNeutral: string;
        borderHoverNeutral: string;
        borderPressedNeutral: string;
        borderFocusNeutral: string;
        rippleColorNeutral: any;
        colorSuccess: any;
        colorHoverSuccess: any;
        colorPressedSuccess: any;
        colorFocusSuccess: any;
        textColorSuccess: string;
        textColorHoverSuccess: string;
        textColorPressedSuccess: string;
        textColorFocusSuccess: string;
        textColorTextSuccess: any;
        textColorTextHoverSuccess: any;
        textColorTextPressedSuccess: any;
        textColorTextFocusSuccess: any;
        colorGhostHoverSuccess: any;
        textColorGhostSuccess: any;
        textColorGhostHoverSuccess: any;
        textColorGhostPressedSuccess: any;
        textColorGhostFocusSuccess: any;
        colorLighterSuccess: any;
        textColorLighterSuccess: any;
        textColorLighterHoverSuccess: any;
        textColorLighterPressedSuccess: any;
        textColorLighterFocusSuccess: any;
        borderLighterHoverSuccess: string;
        borderLighterPressedSuccess: string;
        borderLighterFocusSuccess: string;
        colorStrokeHoverSuccess: any;
        colorStrokePressedSuccess: any;
        colorStrokeFocusSuccess: any;
        textColorStrokeSuccess: any;
        textColorStrokeHoverSuccess: any;
        textColorStrokePressedSuccess: any;
        textColorStrokeFocusSuccess: any;
        borderStrokeSuccess: string;
        borderStrokeHoverSuccess: string;
        borderStrokePressedSuccess: string;
        borderStrokeFocusSuccess: string;
        borderSuccess: string;
        borderHoverSuccess: string;
        borderPressedSuccess: string;
        borderFocusSuccess: string;
        rippleColorSuccess: any;
        colorWarning: any;
        colorHoverWarning: any;
        colorPressedWarning: any;
        colorFocusWarning: any;
        textColorWarning: string;
        textColorHoverWarning: string;
        textColorPressedWarning: string;
        textColorFocusWarning: string;
        textColorTextWarning: any;
        textColorTextHoverWarning: any;
        textColorTextPressedWarning: any;
        textColorTextFocusWarning: any;
        colorGhostHoverWarning: any;
        textColorGhostWarning: any;
        textColorGhostHoverWarning: any;
        textColorGhostPressedWarning: any;
        textColorGhostFocusWarning: any;
        colorLighterWarning: any;
        textColorLighterWarning: any;
        textColorLighterHoverWarning: any;
        textColorLighterPressedWarning: any;
        textColorLighterFocusWarning: any;
        borderLighterHoverWarning: string;
        borderLighterPressedWarning: string;
        borderLighterFocusWarning: string;
        colorStrokeHoverWarning: any;
        colorStrokePressedWarning: any;
        colorStrokeFocusWarning: any;
        textColorStrokeWarning: any;
        textColorStrokeHoverWarning: any;
        textColorStrokePressedWarning: any;
        textColorStrokeFocusWarning: any;
        borderStrokeWarning: string;
        borderStrokeHoverWarning: string;
        borderStrokePressedWarning: string;
        borderStrokeFocusWarning: string;
        borderWarning: string;
        borderHoverWarning: string;
        borderPressedWarning: string;
        borderFocusWarning: string;
        rippleColorWarning: any;
        colorError: any;
        colorHoverError: any;
        colorPressedError: any;
        colorFocusError: any;
        textColorError: string;
        textColorHoverError: string;
        textColorPressedError: string;
        textColorFocusError: string;
        textColorTextError: any;
        textColorTextHoverError: any;
        textColorTextPressedError: any;
        textColorTextFocusError: any;
        colorGhostHoverError: any;
        textColorGhostError: any;
        textColorGhostHoverError: any;
        textColorGhostPressedError: any;
        textColorGhostFocusError: any;
        colorLighterError: any;
        textColorLighterError: any;
        textColorLighterHoverError: any;
        textColorLighterPressedError: any;
        textColorLighterFocusError: any;
        borderLighterHoverError: string;
        borderLighterPressedError: string;
        borderLighterFocusError: string;
        colorStrokeHoverError: any;
        colorStrokePressedError: any;
        colorStrokeFocusError: any;
        textColorStrokeError: any;
        textColorStrokeHoverError: any;
        textColorStrokePressedError: any;
        textColorStrokeFocusError: any;
        borderStrokeError: string;
        borderStrokeHoverError: string;
        borderStrokePressedError: string;
        borderStrokeFocusError: string;
        borderError: string;
        borderHoverError: string;
        borderPressedError: string;
        borderFocusError: string;
        rippleColorError: any;
        waveOpacity: string;
        fontWeight: string;
        fontWeightStrong: string;
        opacityDisabled: string;
        colorDisabled: any;
        textColorDisabled: any;
        iconColorDisabled: any;
        paddingTiny: string;
        paddingSmall: string;
        paddingMedium: string;
        paddingLarge: string;
        paddingRoundTiny: string;
        paddingRoundSmall: string;
        paddingRoundMedium: string;
        paddingRoundLarge: string;
        iconMarginTiny: string;
        iconMarginSmall: string;
        iconMarginMedium: string;
        iconMarginLarge: string;
        iconSizeTiny: string;
        iconSizeSmall: string;
        iconSizeMedium: string;
        iconSizeLarge: string;
        rippleDuration: string;
    }, any>>;
    readonly themeOverrides: PropType<import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"Button", {
        heightTiny: string;
        heightSmall: string;
        heightMedium: string;
        heightLarge: string;
        borderRadiusTiny: string;
        borderRadiusSmall: string;
        borderRadiusMedium: string;
        borderRadiusLarge: string;
        fontSizeTiny: string;
        fontSizeSmall: string;
        fontSizeMedium: string;
        fontSizeLarge: string;
        colorPrimary: any;
        colorHoverPrimary: any;
        colorPressedPrimary: any;
        colorFocusPrimary: any;
        textColorPrimary: any;
        textColorHoverPrimary: any;
        textColorPressedPrimary: any;
        textColorFocusPrimary: any;
        textColorTextPrimary: any;
        textColorTextHoverPrimary: any;
        textColorTextPressedPrimary: any;
        textColorTextFocusPrimary: any;
        colorGhostHoverPrimary: any;
        textColorGhostPrimary: any;
        textColorGhostHoverPrimary: any;
        textColorGhostPressedPrimary: any;
        textColorGhostFocusPrimary: any;
        colorLighterPrimary: any;
        colorHoverLighterPrimary: any;
        colorPressedLighterPrimary: any;
        colorFocusLighterPrimary: any;
        textColorLighterPrimary: any;
        textColorLighterHoverPrimary: any;
        textColorLighterPressedPrimary: any;
        textColorLighterFocusPrimary: any;
        borderLighterHoverPrimary: string;
        borderLighterPressedPrimary: string;
        borderLighterFocusPrimary: string;
        colorStrokeHoverPrimary: any;
        colorStrokePressedPrimary: any;
        colorStrokeFocusPrimary: any;
        textColorStrokePrimary: any;
        textColorStrokeHoverPrimary: any;
        textColorStrokePressedPrimary: any;
        textColorStrokeFocusPrimary: any;
        borderStrokePrimary: string;
        borderStrokeHoverPrimary: string;
        borderStrokePressedPrimary: string;
        borderStrokeFocusPrimary: string;
        borderPrimary: string;
        borderHoverPrimary: string;
        borderPressedPrimary: string;
        borderFocusPrimary: string;
        rippleColorPrimary: any;
        colorNeutral: any;
        colorHoverNeutral: any;
        colorPressedNeutral: any;
        colorFocusNeutral: any;
        textColorNeutral: string;
        textColorHoverNeutral: string;
        textColorPressedNeutral: string;
        textColorFocusNeutral: string;
        textColorTextNeutral: any;
        textColorTextHoverNeutral: any;
        textColorTextPressedNeutral: any;
        textColorTextFocusNeutral: any;
        colorGhostHoverNeutral: any;
        colorPressedNeutralGhost: any;
        colorFocusNeutralGhost: any;
        textColorGhostNeutral: any;
        textColorGhostHoverNeutral: any;
        textColorGhostPressedNeutral: any;
        textColorGhostFocusNeutral: any;
        colorLighterNeutral: any;
        colorPressedNeutralLighter: any;
        colorFocusNeutralLighter: any;
        textColorLighterNeutral: any;
        textColorLighterHoverNeutral: any;
        textColorLighterPressedNeutral: any;
        textColorLighterFocusNeutral: any;
        borderLighterHoverNeutral: string;
        borderLighterPressedNeutral: string;
        borderLighterFocusNeutral: string;
        colorStrokeHoverNeutral: any;
        colorStrokePressedNeutral: any;
        colorStrokeFocusNeutral: any;
        textColorStrokeNeutral: any;
        textColorStrokeHoverNeutral: any;
        textColorStrokePressedNeutral: any;
        textColorStrokeFocusNeutral: any;
        borderStrokeNeutral: string;
        borderStrokeHoverNeutral: string;
        borderStrokePressedNeutral: string;
        borderStrokeFocusNeutral: string;
        borderNeutral: string;
        borderHoverNeutral: string;
        borderPressedNeutral: string;
        borderFocusNeutral: string;
        rippleColorNeutral: any;
        colorSuccess: any;
        colorHoverSuccess: any;
        colorPressedSuccess: any;
        colorFocusSuccess: any;
        textColorSuccess: string;
        textColorHoverSuccess: string;
        textColorPressedSuccess: string;
        textColorFocusSuccess: string;
        textColorTextSuccess: any;
        textColorTextHoverSuccess: any;
        textColorTextPressedSuccess: any;
        textColorTextFocusSuccess: any;
        colorGhostHoverSuccess: any;
        textColorGhostSuccess: any;
        textColorGhostHoverSuccess: any;
        textColorGhostPressedSuccess: any;
        textColorGhostFocusSuccess: any;
        colorLighterSuccess: any;
        textColorLighterSuccess: any;
        textColorLighterHoverSuccess: any;
        textColorLighterPressedSuccess: any;
        textColorLighterFocusSuccess: any;
        borderLighterHoverSuccess: string;
        borderLighterPressedSuccess: string;
        borderLighterFocusSuccess: string;
        colorStrokeHoverSuccess: any;
        colorStrokePressedSuccess: any;
        colorStrokeFocusSuccess: any;
        textColorStrokeSuccess: any;
        textColorStrokeHoverSuccess: any;
        textColorStrokePressedSuccess: any;
        textColorStrokeFocusSuccess: any;
        borderStrokeSuccess: string;
        borderStrokeHoverSuccess: string;
        borderStrokePressedSuccess: string;
        borderStrokeFocusSuccess: string;
        borderSuccess: string;
        borderHoverSuccess: string;
        borderPressedSuccess: string;
        borderFocusSuccess: string;
        rippleColorSuccess: any;
        colorWarning: any;
        colorHoverWarning: any;
        colorPressedWarning: any;
        colorFocusWarning: any;
        textColorWarning: string;
        textColorHoverWarning: string;
        textColorPressedWarning: string;
        textColorFocusWarning: string;
        textColorTextWarning: any;
        textColorTextHoverWarning: any;
        textColorTextPressedWarning: any;
        textColorTextFocusWarning: any;
        colorGhostHoverWarning: any;
        textColorGhostWarning: any;
        textColorGhostHoverWarning: any;
        textColorGhostPressedWarning: any;
        textColorGhostFocusWarning: any;
        colorLighterWarning: any;
        textColorLighterWarning: any;
        textColorLighterHoverWarning: any;
        textColorLighterPressedWarning: any;
        textColorLighterFocusWarning: any;
        borderLighterHoverWarning: string;
        borderLighterPressedWarning: string;
        borderLighterFocusWarning: string;
        colorStrokeHoverWarning: any;
        colorStrokePressedWarning: any;
        colorStrokeFocusWarning: any;
        textColorStrokeWarning: any;
        textColorStrokeHoverWarning: any;
        textColorStrokePressedWarning: any;
        textColorStrokeFocusWarning: any;
        borderStrokeWarning: string;
        borderStrokeHoverWarning: string;
        borderStrokePressedWarning: string;
        borderStrokeFocusWarning: string;
        borderWarning: string;
        borderHoverWarning: string;
        borderPressedWarning: string;
        borderFocusWarning: string;
        rippleColorWarning: any;
        colorError: any;
        colorHoverError: any;
        colorPressedError: any;
        colorFocusError: any;
        textColorError: string;
        textColorHoverError: string;
        textColorPressedError: string;
        textColorFocusError: string;
        textColorTextError: any;
        textColorTextHoverError: any;
        textColorTextPressedError: any;
        textColorTextFocusError: any;
        colorGhostHoverError: any;
        textColorGhostError: any;
        textColorGhostHoverError: any;
        textColorGhostPressedError: any;
        textColorGhostFocusError: any;
        colorLighterError: any;
        textColorLighterError: any;
        textColorLighterHoverError: any;
        textColorLighterPressedError: any;
        textColorLighterFocusError: any;
        borderLighterHoverError: string;
        borderLighterPressedError: string;
        borderLighterFocusError: string;
        colorStrokeHoverError: any;
        colorStrokePressedError: any;
        colorStrokeFocusError: any;
        textColorStrokeError: any;
        textColorStrokeHoverError: any;
        textColorStrokePressedError: any;
        textColorStrokeFocusError: any;
        borderStrokeError: string;
        borderStrokeHoverError: string;
        borderStrokePressedError: string;
        borderStrokeFocusError: string;
        borderError: string;
        borderHoverError: string;
        borderPressedError: string;
        borderFocusError: string;
        rippleColorError: any;
        waveOpacity: string;
        fontWeight: string;
        fontWeightStrong: string;
        opacityDisabled: string;
        colorDisabled: any;
        textColorDisabled: any;
        iconColorDisabled: any;
        paddingTiny: string;
        paddingSmall: string;
        paddingMedium: string;
        paddingLarge: string;
        paddingRoundTiny: string;
        paddingRoundSmall: string;
        paddingRoundMedium: string;
        paddingRoundLarge: string;
        iconMarginTiny: string;
        iconMarginSmall: string;
        iconMarginMedium: string;
        iconMarginLarge: string;
        iconSizeTiny: string;
        iconSizeSmall: string;
        iconSizeMedium: string;
        iconSizeLarge: string;
        rippleDuration: string;
    }, any>>>;
    readonly builtinThemeOverrides: PropType<import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"Button", {
        heightTiny: string;
        heightSmall: string;
        heightMedium: string;
        heightLarge: string;
        borderRadiusTiny: string;
        borderRadiusSmall: string;
        borderRadiusMedium: string;
        borderRadiusLarge: string;
        fontSizeTiny: string;
        fontSizeSmall: string;
        fontSizeMedium: string;
        fontSizeLarge: string;
        colorPrimary: any;
        colorHoverPrimary: any;
        colorPressedPrimary: any;
        colorFocusPrimary: any;
        textColorPrimary: any;
        textColorHoverPrimary: any;
        textColorPressedPrimary: any;
        textColorFocusPrimary: any;
        textColorTextPrimary: any;
        textColorTextHoverPrimary: any;
        textColorTextPressedPrimary: any;
        textColorTextFocusPrimary: any;
        colorGhostHoverPrimary: any;
        textColorGhostPrimary: any;
        textColorGhostHoverPrimary: any;
        textColorGhostPressedPrimary: any;
        textColorGhostFocusPrimary: any;
        colorLighterPrimary: any;
        colorHoverLighterPrimary: any;
        colorPressedLighterPrimary: any;
        colorFocusLighterPrimary: any;
        textColorLighterPrimary: any;
        textColorLighterHoverPrimary: any;
        textColorLighterPressedPrimary: any;
        textColorLighterFocusPrimary: any;
        borderLighterHoverPrimary: string;
        borderLighterPressedPrimary: string;
        borderLighterFocusPrimary: string;
        colorStrokeHoverPrimary: any;
        colorStrokePressedPrimary: any;
        colorStrokeFocusPrimary: any;
        textColorStrokePrimary: any;
        textColorStrokeHoverPrimary: any;
        textColorStrokePressedPrimary: any;
        textColorStrokeFocusPrimary: any;
        borderStrokePrimary: string;
        borderStrokeHoverPrimary: string;
        borderStrokePressedPrimary: string;
        borderStrokeFocusPrimary: string;
        borderPrimary: string;
        borderHoverPrimary: string;
        borderPressedPrimary: string;
        borderFocusPrimary: string;
        rippleColorPrimary: any;
        colorNeutral: any;
        colorHoverNeutral: any;
        colorPressedNeutral: any;
        colorFocusNeutral: any;
        textColorNeutral: string;
        textColorHoverNeutral: string;
        textColorPressedNeutral: string;
        textColorFocusNeutral: string;
        textColorTextNeutral: any;
        textColorTextHoverNeutral: any;
        textColorTextPressedNeutral: any;
        textColorTextFocusNeutral: any;
        colorGhostHoverNeutral: any;
        colorPressedNeutralGhost: any;
        colorFocusNeutralGhost: any;
        textColorGhostNeutral: any;
        textColorGhostHoverNeutral: any;
        textColorGhostPressedNeutral: any;
        textColorGhostFocusNeutral: any;
        colorLighterNeutral: any;
        colorPressedNeutralLighter: any;
        colorFocusNeutralLighter: any;
        textColorLighterNeutral: any;
        textColorLighterHoverNeutral: any;
        textColorLighterPressedNeutral: any;
        textColorLighterFocusNeutral: any;
        borderLighterHoverNeutral: string;
        borderLighterPressedNeutral: string;
        borderLighterFocusNeutral: string;
        colorStrokeHoverNeutral: any;
        colorStrokePressedNeutral: any;
        colorStrokeFocusNeutral: any;
        textColorStrokeNeutral: any;
        textColorStrokeHoverNeutral: any;
        textColorStrokePressedNeutral: any;
        textColorStrokeFocusNeutral: any;
        borderStrokeNeutral: string;
        borderStrokeHoverNeutral: string;
        borderStrokePressedNeutral: string;
        borderStrokeFocusNeutral: string;
        borderNeutral: string;
        borderHoverNeutral: string;
        borderPressedNeutral: string;
        borderFocusNeutral: string;
        rippleColorNeutral: any;
        colorSuccess: any;
        colorHoverSuccess: any;
        colorPressedSuccess: any;
        colorFocusSuccess: any;
        textColorSuccess: string;
        textColorHoverSuccess: string;
        textColorPressedSuccess: string;
        textColorFocusSuccess: string;
        textColorTextSuccess: any;
        textColorTextHoverSuccess: any;
        textColorTextPressedSuccess: any;
        textColorTextFocusSuccess: any;
        colorGhostHoverSuccess: any;
        textColorGhostSuccess: any;
        textColorGhostHoverSuccess: any;
        textColorGhostPressedSuccess: any;
        textColorGhostFocusSuccess: any;
        colorLighterSuccess: any;
        textColorLighterSuccess: any;
        textColorLighterHoverSuccess: any;
        textColorLighterPressedSuccess: any;
        textColorLighterFocusSuccess: any;
        borderLighterHoverSuccess: string;
        borderLighterPressedSuccess: string;
        borderLighterFocusSuccess: string;
        colorStrokeHoverSuccess: any;
        colorStrokePressedSuccess: any;
        colorStrokeFocusSuccess: any;
        textColorStrokeSuccess: any;
        textColorStrokeHoverSuccess: any;
        textColorStrokePressedSuccess: any;
        textColorStrokeFocusSuccess: any;
        borderStrokeSuccess: string;
        borderStrokeHoverSuccess: string;
        borderStrokePressedSuccess: string;
        borderStrokeFocusSuccess: string;
        borderSuccess: string;
        borderHoverSuccess: string;
        borderPressedSuccess: string;
        borderFocusSuccess: string;
        rippleColorSuccess: any;
        colorWarning: any;
        colorHoverWarning: any;
        colorPressedWarning: any;
        colorFocusWarning: any;
        textColorWarning: string;
        textColorHoverWarning: string;
        textColorPressedWarning: string;
        textColorFocusWarning: string;
        textColorTextWarning: any;
        textColorTextHoverWarning: any;
        textColorTextPressedWarning: any;
        textColorTextFocusWarning: any;
        colorGhostHoverWarning: any;
        textColorGhostWarning: any;
        textColorGhostHoverWarning: any;
        textColorGhostPressedWarning: any;
        textColorGhostFocusWarning: any;
        colorLighterWarning: any;
        textColorLighterWarning: any;
        textColorLighterHoverWarning: any;
        textColorLighterPressedWarning: any;
        textColorLighterFocusWarning: any;
        borderLighterHoverWarning: string;
        borderLighterPressedWarning: string;
        borderLighterFocusWarning: string;
        colorStrokeHoverWarning: any;
        colorStrokePressedWarning: any;
        colorStrokeFocusWarning: any;
        textColorStrokeWarning: any;
        textColorStrokeHoverWarning: any;
        textColorStrokePressedWarning: any;
        textColorStrokeFocusWarning: any;
        borderStrokeWarning: string;
        borderStrokeHoverWarning: string;
        borderStrokePressedWarning: string;
        borderStrokeFocusWarning: string;
        borderWarning: string;
        borderHoverWarning: string;
        borderPressedWarning: string;
        borderFocusWarning: string;
        rippleColorWarning: any;
        colorError: any;
        colorHoverError: any;
        colorPressedError: any;
        colorFocusError: any;
        textColorError: string;
        textColorHoverError: string;
        textColorPressedError: string;
        textColorFocusError: string;
        textColorTextError: any;
        textColorTextHoverError: any;
        textColorTextPressedError: any;
        textColorTextFocusError: any;
        colorGhostHoverError: any;
        textColorGhostError: any;
        textColorGhostHoverError: any;
        textColorGhostPressedError: any;
        textColorGhostFocusError: any;
        colorLighterError: any;
        textColorLighterError: any;
        textColorLighterHoverError: any;
        textColorLighterPressedError: any;
        textColorLighterFocusError: any;
        borderLighterHoverError: string;
        borderLighterPressedError: string;
        borderLighterFocusError: string;
        colorStrokeHoverError: any;
        colorStrokePressedError: any;
        colorStrokeFocusError: any;
        textColorStrokeError: any;
        textColorStrokeHoverError: any;
        textColorStrokePressedError: any;
        textColorStrokeFocusError: any;
        borderStrokeError: string;
        borderStrokeHoverError: string;
        borderStrokePressedError: string;
        borderStrokeFocusError: string;
        borderError: string;
        borderHoverError: string;
        borderPressedError: string;
        borderFocusError: string;
        rippleColorError: any;
        waveOpacity: string;
        fontWeight: string;
        fontWeightStrong: string;
        opacityDisabled: string;
        colorDisabled: any;
        textColorDisabled: any;
        iconColorDisabled: any;
        paddingTiny: string;
        paddingSmall: string;
        paddingMedium: string;
        paddingLarge: string;
        paddingRoundTiny: string;
        paddingRoundSmall: string;
        paddingRoundMedium: string;
        paddingRoundLarge: string;
        iconMarginTiny: string;
        iconMarginSmall: string;
        iconMarginMedium: string;
        iconMarginLarge: string;
        iconSizeTiny: string;
        iconSizeSmall: string;
        iconSizeMedium: string;
        iconSizeLarge: string;
        rippleDuration: string;
    }, any>>>;
};
export type ButtonProps = ExtractPublicPropTypes<typeof buttonProps>;
export interface ButtonSlots {
    default?: () => VNode[];
    icon?: () => VNode[];
}
declare const Button: import("vue").DefineComponent<ExtractPropTypes<{
    readonly text: BooleanConstructor;
    readonly block: BooleanConstructor;
    readonly loading: BooleanConstructor;
    readonly disabled: BooleanConstructor;
    readonly circle: BooleanConstructor;
    readonly size: PropType<Size>;
    readonly ghost: BooleanConstructor;
    readonly round: BooleanConstructor;
    readonly lighter: BooleanConstructor;
    readonly stroke: BooleanConstructor;
    readonly strong: BooleanConstructor;
    readonly focusable: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly keyboard: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly tag: {
        readonly type: PropType<keyof HTMLElementTagNameMap>;
        readonly default: "button";
    };
    readonly type: {
        readonly type: PropType<Type>;
        readonly default: "primary";
    };
    readonly renderIcon: PropType<() => VNodeChild>;
    readonly iconPlacement: {
        readonly type: PropType<"left" | "right">;
        readonly default: "left";
    };
    readonly attrType: {
        readonly type: PropType<"button" | "submit" | "reset">;
        readonly default: "button";
    };
    readonly bordered: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly onClick: PropType<MaybeArray<(e: MouseEvent) => void>>;
    readonly nativeFocusBehavior: {
        readonly type: BooleanConstructor;
        readonly default: boolean;
    };
    readonly theme: PropType<import("../../_mixins").Theme<"Button", {
        heightTiny: string;
        heightSmall: string;
        heightMedium: string;
        heightLarge: string;
        borderRadiusTiny: string;
        borderRadiusSmall: string;
        borderRadiusMedium: string;
        borderRadiusLarge: string;
        fontSizeTiny: string;
        fontSizeSmall: string;
        fontSizeMedium: string;
        fontSizeLarge: string;
        colorPrimary: any;
        colorHoverPrimary: any;
        colorPressedPrimary: any;
        colorFocusPrimary: any;
        textColorPrimary: any;
        textColorHoverPrimary: any;
        textColorPressedPrimary: any;
        textColorFocusPrimary: any;
        textColorTextPrimary: any;
        textColorTextHoverPrimary: any;
        textColorTextPressedPrimary: any;
        textColorTextFocusPrimary: any;
        colorGhostHoverPrimary: any;
        textColorGhostPrimary: any;
        textColorGhostHoverPrimary: any;
        textColorGhostPressedPrimary: any;
        textColorGhostFocusPrimary: any;
        colorLighterPrimary: any;
        colorHoverLighterPrimary: any;
        colorPressedLighterPrimary: any;
        colorFocusLighterPrimary: any;
        textColorLighterPrimary: any;
        textColorLighterHoverPrimary: any;
        textColorLighterPressedPrimary: any;
        textColorLighterFocusPrimary: any;
        borderLighterHoverPrimary: string;
        borderLighterPressedPrimary: string;
        borderLighterFocusPrimary: string;
        colorStrokeHoverPrimary: any;
        colorStrokePressedPrimary: any;
        colorStrokeFocusPrimary: any;
        textColorStrokePrimary: any;
        textColorStrokeHoverPrimary: any;
        textColorStrokePressedPrimary: any;
        textColorStrokeFocusPrimary: any;
        borderStrokePrimary: string;
        borderStrokeHoverPrimary: string;
        borderStrokePressedPrimary: string;
        borderStrokeFocusPrimary: string;
        borderPrimary: string;
        borderHoverPrimary: string;
        borderPressedPrimary: string;
        borderFocusPrimary: string;
        rippleColorPrimary: any;
        colorNeutral: any;
        colorHoverNeutral: any;
        colorPressedNeutral: any;
        colorFocusNeutral: any;
        textColorNeutral: string;
        textColorHoverNeutral: string;
        textColorPressedNeutral: string;
        textColorFocusNeutral: string;
        textColorTextNeutral: any;
        textColorTextHoverNeutral: any;
        textColorTextPressedNeutral: any;
        textColorTextFocusNeutral: any;
        colorGhostHoverNeutral: any;
        colorPressedNeutralGhost: any;
        colorFocusNeutralGhost: any;
        textColorGhostNeutral: any;
        textColorGhostHoverNeutral: any;
        textColorGhostPressedNeutral: any;
        textColorGhostFocusNeutral: any;
        colorLighterNeutral: any;
        colorPressedNeutralLighter: any;
        colorFocusNeutralLighter: any;
        textColorLighterNeutral: any;
        textColorLighterHoverNeutral: any;
        textColorLighterPressedNeutral: any;
        textColorLighterFocusNeutral: any;
        borderLighterHoverNeutral: string;
        borderLighterPressedNeutral: string;
        borderLighterFocusNeutral: string;
        colorStrokeHoverNeutral: any;
        colorStrokePressedNeutral: any;
        colorStrokeFocusNeutral: any;
        textColorStrokeNeutral: any;
        textColorStrokeHoverNeutral: any;
        textColorStrokePressedNeutral: any;
        textColorStrokeFocusNeutral: any;
        borderStrokeNeutral: string;
        borderStrokeHoverNeutral: string;
        borderStrokePressedNeutral: string;
        borderStrokeFocusNeutral: string;
        borderNeutral: string;
        borderHoverNeutral: string;
        borderPressedNeutral: string;
        borderFocusNeutral: string;
        rippleColorNeutral: any;
        colorSuccess: any;
        colorHoverSuccess: any;
        colorPressedSuccess: any;
        colorFocusSuccess: any;
        textColorSuccess: string;
        textColorHoverSuccess: string;
        textColorPressedSuccess: string;
        textColorFocusSuccess: string;
        textColorTextSuccess: any;
        textColorTextHoverSuccess: any;
        textColorTextPressedSuccess: any;
        textColorTextFocusSuccess: any;
        colorGhostHoverSuccess: any;
        textColorGhostSuccess: any;
        textColorGhostHoverSuccess: any;
        textColorGhostPressedSuccess: any;
        textColorGhostFocusSuccess: any;
        colorLighterSuccess: any;
        textColorLighterSuccess: any;
        textColorLighterHoverSuccess: any;
        textColorLighterPressedSuccess: any;
        textColorLighterFocusSuccess: any;
        borderLighterHoverSuccess: string;
        borderLighterPressedSuccess: string;
        borderLighterFocusSuccess: string;
        colorStrokeHoverSuccess: any;
        colorStrokePressedSuccess: any;
        colorStrokeFocusSuccess: any;
        textColorStrokeSuccess: any;
        textColorStrokeHoverSuccess: any;
        textColorStrokePressedSuccess: any;
        textColorStrokeFocusSuccess: any;
        borderStrokeSuccess: string;
        borderStrokeHoverSuccess: string;
        borderStrokePressedSuccess: string;
        borderStrokeFocusSuccess: string;
        borderSuccess: string;
        borderHoverSuccess: string;
        borderPressedSuccess: string;
        borderFocusSuccess: string;
        rippleColorSuccess: any;
        colorWarning: any;
        colorHoverWarning: any;
        colorPressedWarning: any;
        colorFocusWarning: any;
        textColorWarning: string;
        textColorHoverWarning: string;
        textColorPressedWarning: string;
        textColorFocusWarning: string;
        textColorTextWarning: any;
        textColorTextHoverWarning: any;
        textColorTextPressedWarning: any;
        textColorTextFocusWarning: any;
        colorGhostHoverWarning: any;
        textColorGhostWarning: any;
        textColorGhostHoverWarning: any;
        textColorGhostPressedWarning: any;
        textColorGhostFocusWarning: any;
        colorLighterWarning: any;
        textColorLighterWarning: any;
        textColorLighterHoverWarning: any;
        textColorLighterPressedWarning: any;
        textColorLighterFocusWarning: any;
        borderLighterHoverWarning: string;
        borderLighterPressedWarning: string;
        borderLighterFocusWarning: string;
        colorStrokeHoverWarning: any;
        colorStrokePressedWarning: any;
        colorStrokeFocusWarning: any;
        textColorStrokeWarning: any;
        textColorStrokeHoverWarning: any;
        textColorStrokePressedWarning: any;
        textColorStrokeFocusWarning: any;
        borderStrokeWarning: string;
        borderStrokeHoverWarning: string;
        borderStrokePressedWarning: string;
        borderStrokeFocusWarning: string;
        borderWarning: string;
        borderHoverWarning: string;
        borderPressedWarning: string;
        borderFocusWarning: string;
        rippleColorWarning: any;
        colorError: any;
        colorHoverError: any;
        colorPressedError: any;
        colorFocusError: any;
        textColorError: string;
        textColorHoverError: string;
        textColorPressedError: string;
        textColorFocusError: string;
        textColorTextError: any;
        textColorTextHoverError: any;
        textColorTextPressedError: any;
        textColorTextFocusError: any;
        colorGhostHoverError: any;
        textColorGhostError: any;
        textColorGhostHoverError: any;
        textColorGhostPressedError: any;
        textColorGhostFocusError: any;
        colorLighterError: any;
        textColorLighterError: any;
        textColorLighterHoverError: any;
        textColorLighterPressedError: any;
        textColorLighterFocusError: any;
        borderLighterHoverError: string;
        borderLighterPressedError: string;
        borderLighterFocusError: string;
        colorStrokeHoverError: any;
        colorStrokePressedError: any;
        colorStrokeFocusError: any;
        textColorStrokeError: any;
        textColorStrokeHoverError: any;
        textColorStrokePressedError: any;
        textColorStrokeFocusError: any;
        borderStrokeError: string;
        borderStrokeHoverError: string;
        borderStrokePressedError: string;
        borderStrokeFocusError: string;
        borderError: string;
        borderHoverError: string;
        borderPressedError: string;
        borderFocusError: string;
        rippleColorError: any;
        waveOpacity: string;
        fontWeight: string;
        fontWeightStrong: string;
        opacityDisabled: string;
        colorDisabled: any;
        textColorDisabled: any;
        iconColorDisabled: any;
        paddingTiny: string;
        paddingSmall: string;
        paddingMedium: string;
        paddingLarge: string;
        paddingRoundTiny: string;
        paddingRoundSmall: string;
        paddingRoundMedium: string;
        paddingRoundLarge: string;
        iconMarginTiny: string;
        iconMarginSmall: string;
        iconMarginMedium: string;
        iconMarginLarge: string;
        iconSizeTiny: string;
        iconSizeSmall: string;
        iconSizeMedium: string;
        iconSizeLarge: string;
        rippleDuration: string;
    }, any>>;
    readonly themeOverrides: PropType<import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"Button", {
        heightTiny: string;
        heightSmall: string;
        heightMedium: string;
        heightLarge: string;
        borderRadiusTiny: string;
        borderRadiusSmall: string;
        borderRadiusMedium: string;
        borderRadiusLarge: string;
        fontSizeTiny: string;
        fontSizeSmall: string;
        fontSizeMedium: string;
        fontSizeLarge: string;
        colorPrimary: any;
        colorHoverPrimary: any;
        colorPressedPrimary: any;
        colorFocusPrimary: any;
        textColorPrimary: any;
        textColorHoverPrimary: any;
        textColorPressedPrimary: any;
        textColorFocusPrimary: any;
        textColorTextPrimary: any;
        textColorTextHoverPrimary: any;
        textColorTextPressedPrimary: any;
        textColorTextFocusPrimary: any;
        colorGhostHoverPrimary: any;
        textColorGhostPrimary: any;
        textColorGhostHoverPrimary: any;
        textColorGhostPressedPrimary: any;
        textColorGhostFocusPrimary: any;
        colorLighterPrimary: any;
        colorHoverLighterPrimary: any;
        colorPressedLighterPrimary: any;
        colorFocusLighterPrimary: any;
        textColorLighterPrimary: any;
        textColorLighterHoverPrimary: any;
        textColorLighterPressedPrimary: any;
        textColorLighterFocusPrimary: any;
        borderLighterHoverPrimary: string;
        borderLighterPressedPrimary: string;
        borderLighterFocusPrimary: string;
        colorStrokeHoverPrimary: any;
        colorStrokePressedPrimary: any;
        colorStrokeFocusPrimary: any;
        textColorStrokePrimary: any;
        textColorStrokeHoverPrimary: any;
        textColorStrokePressedPrimary: any;
        textColorStrokeFocusPrimary: any;
        borderStrokePrimary: string;
        borderStrokeHoverPrimary: string;
        borderStrokePressedPrimary: string;
        borderStrokeFocusPrimary: string;
        borderPrimary: string;
        borderHoverPrimary: string;
        borderPressedPrimary: string;
        borderFocusPrimary: string;
        rippleColorPrimary: any;
        colorNeutral: any;
        colorHoverNeutral: any;
        colorPressedNeutral: any;
        colorFocusNeutral: any;
        textColorNeutral: string;
        textColorHoverNeutral: string;
        textColorPressedNeutral: string;
        textColorFocusNeutral: string;
        textColorTextNeutral: any;
        textColorTextHoverNeutral: any;
        textColorTextPressedNeutral: any;
        textColorTextFocusNeutral: any;
        colorGhostHoverNeutral: any;
        colorPressedNeutralGhost: any;
        colorFocusNeutralGhost: any;
        textColorGhostNeutral: any;
        textColorGhostHoverNeutral: any;
        textColorGhostPressedNeutral: any;
        textColorGhostFocusNeutral: any;
        colorLighterNeutral: any;
        colorPressedNeutralLighter: any;
        colorFocusNeutralLighter: any;
        textColorLighterNeutral: any;
        textColorLighterHoverNeutral: any;
        textColorLighterPressedNeutral: any;
        textColorLighterFocusNeutral: any;
        borderLighterHoverNeutral: string;
        borderLighterPressedNeutral: string;
        borderLighterFocusNeutral: string;
        colorStrokeHoverNeutral: any;
        colorStrokePressedNeutral: any;
        colorStrokeFocusNeutral: any;
        textColorStrokeNeutral: any;
        textColorStrokeHoverNeutral: any;
        textColorStrokePressedNeutral: any;
        textColorStrokeFocusNeutral: any;
        borderStrokeNeutral: string;
        borderStrokeHoverNeutral: string;
        borderStrokePressedNeutral: string;
        borderStrokeFocusNeutral: string;
        borderNeutral: string;
        borderHoverNeutral: string;
        borderPressedNeutral: string;
        borderFocusNeutral: string;
        rippleColorNeutral: any;
        colorSuccess: any;
        colorHoverSuccess: any;
        colorPressedSuccess: any;
        colorFocusSuccess: any;
        textColorSuccess: string;
        textColorHoverSuccess: string;
        textColorPressedSuccess: string;
        textColorFocusSuccess: string;
        textColorTextSuccess: any;
        textColorTextHoverSuccess: any;
        textColorTextPressedSuccess: any;
        textColorTextFocusSuccess: any;
        colorGhostHoverSuccess: any;
        textColorGhostSuccess: any;
        textColorGhostHoverSuccess: any;
        textColorGhostPressedSuccess: any;
        textColorGhostFocusSuccess: any;
        colorLighterSuccess: any;
        textColorLighterSuccess: any;
        textColorLighterHoverSuccess: any;
        textColorLighterPressedSuccess: any;
        textColorLighterFocusSuccess: any;
        borderLighterHoverSuccess: string;
        borderLighterPressedSuccess: string;
        borderLighterFocusSuccess: string;
        colorStrokeHoverSuccess: any;
        colorStrokePressedSuccess: any;
        colorStrokeFocusSuccess: any;
        textColorStrokeSuccess: any;
        textColorStrokeHoverSuccess: any;
        textColorStrokePressedSuccess: any;
        textColorStrokeFocusSuccess: any;
        borderStrokeSuccess: string;
        borderStrokeHoverSuccess: string;
        borderStrokePressedSuccess: string;
        borderStrokeFocusSuccess: string;
        borderSuccess: string;
        borderHoverSuccess: string;
        borderPressedSuccess: string;
        borderFocusSuccess: string;
        rippleColorSuccess: any;
        colorWarning: any;
        colorHoverWarning: any;
        colorPressedWarning: any;
        colorFocusWarning: any;
        textColorWarning: string;
        textColorHoverWarning: string;
        textColorPressedWarning: string;
        textColorFocusWarning: string;
        textColorTextWarning: any;
        textColorTextHoverWarning: any;
        textColorTextPressedWarning: any;
        textColorTextFocusWarning: any;
        colorGhostHoverWarning: any;
        textColorGhostWarning: any;
        textColorGhostHoverWarning: any;
        textColorGhostPressedWarning: any;
        textColorGhostFocusWarning: any;
        colorLighterWarning: any;
        textColorLighterWarning: any;
        textColorLighterHoverWarning: any;
        textColorLighterPressedWarning: any;
        textColorLighterFocusWarning: any;
        borderLighterHoverWarning: string;
        borderLighterPressedWarning: string;
        borderLighterFocusWarning: string;
        colorStrokeHoverWarning: any;
        colorStrokePressedWarning: any;
        colorStrokeFocusWarning: any;
        textColorStrokeWarning: any;
        textColorStrokeHoverWarning: any;
        textColorStrokePressedWarning: any;
        textColorStrokeFocusWarning: any;
        borderStrokeWarning: string;
        borderStrokeHoverWarning: string;
        borderStrokePressedWarning: string;
        borderStrokeFocusWarning: string;
        borderWarning: string;
        borderHoverWarning: string;
        borderPressedWarning: string;
        borderFocusWarning: string;
        rippleColorWarning: any;
        colorError: any;
        colorHoverError: any;
        colorPressedError: any;
        colorFocusError: any;
        textColorError: string;
        textColorHoverError: string;
        textColorPressedError: string;
        textColorFocusError: string;
        textColorTextError: any;
        textColorTextHoverError: any;
        textColorTextPressedError: any;
        textColorTextFocusError: any;
        colorGhostHoverError: any;
        textColorGhostError: any;
        textColorGhostHoverError: any;
        textColorGhostPressedError: any;
        textColorGhostFocusError: any;
        colorLighterError: any;
        textColorLighterError: any;
        textColorLighterHoverError: any;
        textColorLighterPressedError: any;
        textColorLighterFocusError: any;
        borderLighterHoverError: string;
        borderLighterPressedError: string;
        borderLighterFocusError: string;
        colorStrokeHoverError: any;
        colorStrokePressedError: any;
        colorStrokeFocusError: any;
        textColorStrokeError: any;
        textColorStrokeHoverError: any;
        textColorStrokePressedError: any;
        textColorStrokeFocusError: any;
        borderStrokeError: string;
        borderStrokeHoverError: string;
        borderStrokePressedError: string;
        borderStrokeFocusError: string;
        borderError: string;
        borderHoverError: string;
        borderPressedError: string;
        borderFocusError: string;
        rippleColorError: any;
        waveOpacity: string;
        fontWeight: string;
        fontWeightStrong: string;
        opacityDisabled: string;
        colorDisabled: any;
        textColorDisabled: any;
        iconColorDisabled: any;
        paddingTiny: string;
        paddingSmall: string;
        paddingMedium: string;
        paddingLarge: string;
        paddingRoundTiny: string;
        paddingRoundSmall: string;
        paddingRoundMedium: string;
        paddingRoundLarge: string;
        iconMarginTiny: string;
        iconMarginSmall: string;
        iconMarginMedium: string;
        iconMarginLarge: string;
        iconSizeTiny: string;
        iconSizeSmall: string;
        iconSizeMedium: string;
        iconSizeLarge: string;
        rippleDuration: string;
    }, any>>>;
    readonly builtinThemeOverrides: PropType<import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"Button", {
        heightTiny: string;
        heightSmall: string;
        heightMedium: string;
        heightLarge: string;
        borderRadiusTiny: string;
        borderRadiusSmall: string;
        borderRadiusMedium: string;
        borderRadiusLarge: string;
        fontSizeTiny: string;
        fontSizeSmall: string;
        fontSizeMedium: string;
        fontSizeLarge: string;
        colorPrimary: any;
        colorHoverPrimary: any;
        colorPressedPrimary: any;
        colorFocusPrimary: any;
        textColorPrimary: any;
        textColorHoverPrimary: any;
        textColorPressedPrimary: any;
        textColorFocusPrimary: any;
        textColorTextPrimary: any;
        textColorTextHoverPrimary: any;
        textColorTextPressedPrimary: any;
        textColorTextFocusPrimary: any;
        colorGhostHoverPrimary: any;
        textColorGhostPrimary: any;
        textColorGhostHoverPrimary: any;
        textColorGhostPressedPrimary: any;
        textColorGhostFocusPrimary: any;
        colorLighterPrimary: any;
        colorHoverLighterPrimary: any;
        colorPressedLighterPrimary: any;
        colorFocusLighterPrimary: any;
        textColorLighterPrimary: any;
        textColorLighterHoverPrimary: any;
        textColorLighterPressedPrimary: any;
        textColorLighterFocusPrimary: any;
        borderLighterHoverPrimary: string;
        borderLighterPressedPrimary: string;
        borderLighterFocusPrimary: string;
        colorStrokeHoverPrimary: any;
        colorStrokePressedPrimary: any;
        colorStrokeFocusPrimary: any;
        textColorStrokePrimary: any;
        textColorStrokeHoverPrimary: any;
        textColorStrokePressedPrimary: any;
        textColorStrokeFocusPrimary: any;
        borderStrokePrimary: string;
        borderStrokeHoverPrimary: string;
        borderStrokePressedPrimary: string;
        borderStrokeFocusPrimary: string;
        borderPrimary: string;
        borderHoverPrimary: string;
        borderPressedPrimary: string;
        borderFocusPrimary: string;
        rippleColorPrimary: any;
        colorNeutral: any;
        colorHoverNeutral: any;
        colorPressedNeutral: any;
        colorFocusNeutral: any;
        textColorNeutral: string;
        textColorHoverNeutral: string;
        textColorPressedNeutral: string;
        textColorFocusNeutral: string;
        textColorTextNeutral: any;
        textColorTextHoverNeutral: any;
        textColorTextPressedNeutral: any;
        textColorTextFocusNeutral: any;
        colorGhostHoverNeutral: any;
        colorPressedNeutralGhost: any;
        colorFocusNeutralGhost: any;
        textColorGhostNeutral: any;
        textColorGhostHoverNeutral: any;
        textColorGhostPressedNeutral: any;
        textColorGhostFocusNeutral: any;
        colorLighterNeutral: any;
        colorPressedNeutralLighter: any;
        colorFocusNeutralLighter: any;
        textColorLighterNeutral: any;
        textColorLighterHoverNeutral: any;
        textColorLighterPressedNeutral: any;
        textColorLighterFocusNeutral: any;
        borderLighterHoverNeutral: string;
        borderLighterPressedNeutral: string;
        borderLighterFocusNeutral: string;
        colorStrokeHoverNeutral: any;
        colorStrokePressedNeutral: any;
        colorStrokeFocusNeutral: any;
        textColorStrokeNeutral: any;
        textColorStrokeHoverNeutral: any;
        textColorStrokePressedNeutral: any;
        textColorStrokeFocusNeutral: any;
        borderStrokeNeutral: string;
        borderStrokeHoverNeutral: string;
        borderStrokePressedNeutral: string;
        borderStrokeFocusNeutral: string;
        borderNeutral: string;
        borderHoverNeutral: string;
        borderPressedNeutral: string;
        borderFocusNeutral: string;
        rippleColorNeutral: any;
        colorSuccess: any;
        colorHoverSuccess: any;
        colorPressedSuccess: any;
        colorFocusSuccess: any;
        textColorSuccess: string;
        textColorHoverSuccess: string;
        textColorPressedSuccess: string;
        textColorFocusSuccess: string;
        textColorTextSuccess: any;
        textColorTextHoverSuccess: any;
        textColorTextPressedSuccess: any;
        textColorTextFocusSuccess: any;
        colorGhostHoverSuccess: any;
        textColorGhostSuccess: any;
        textColorGhostHoverSuccess: any;
        textColorGhostPressedSuccess: any;
        textColorGhostFocusSuccess: any;
        colorLighterSuccess: any;
        textColorLighterSuccess: any;
        textColorLighterHoverSuccess: any;
        textColorLighterPressedSuccess: any;
        textColorLighterFocusSuccess: any;
        borderLighterHoverSuccess: string;
        borderLighterPressedSuccess: string;
        borderLighterFocusSuccess: string;
        colorStrokeHoverSuccess: any;
        colorStrokePressedSuccess: any;
        colorStrokeFocusSuccess: any;
        textColorStrokeSuccess: any;
        textColorStrokeHoverSuccess: any;
        textColorStrokePressedSuccess: any;
        textColorStrokeFocusSuccess: any;
        borderStrokeSuccess: string;
        borderStrokeHoverSuccess: string;
        borderStrokePressedSuccess: string;
        borderStrokeFocusSuccess: string;
        borderSuccess: string;
        borderHoverSuccess: string;
        borderPressedSuccess: string;
        borderFocusSuccess: string;
        rippleColorSuccess: any;
        colorWarning: any;
        colorHoverWarning: any;
        colorPressedWarning: any;
        colorFocusWarning: any;
        textColorWarning: string;
        textColorHoverWarning: string;
        textColorPressedWarning: string;
        textColorFocusWarning: string;
        textColorTextWarning: any;
        textColorTextHoverWarning: any;
        textColorTextPressedWarning: any;
        textColorTextFocusWarning: any;
        colorGhostHoverWarning: any;
        textColorGhostWarning: any;
        textColorGhostHoverWarning: any;
        textColorGhostPressedWarning: any;
        textColorGhostFocusWarning: any;
        colorLighterWarning: any;
        textColorLighterWarning: any;
        textColorLighterHoverWarning: any;
        textColorLighterPressedWarning: any;
        textColorLighterFocusWarning: any;
        borderLighterHoverWarning: string;
        borderLighterPressedWarning: string;
        borderLighterFocusWarning: string;
        colorStrokeHoverWarning: any;
        colorStrokePressedWarning: any;
        colorStrokeFocusWarning: any;
        textColorStrokeWarning: any;
        textColorStrokeHoverWarning: any;
        textColorStrokePressedWarning: any;
        textColorStrokeFocusWarning: any;
        borderStrokeWarning: string;
        borderStrokeHoverWarning: string;
        borderStrokePressedWarning: string;
        borderStrokeFocusWarning: string;
        borderWarning: string;
        borderHoverWarning: string;
        borderPressedWarning: string;
        borderFocusWarning: string;
        rippleColorWarning: any;
        colorError: any;
        colorHoverError: any;
        colorPressedError: any;
        colorFocusError: any;
        textColorError: string;
        textColorHoverError: string;
        textColorPressedError: string;
        textColorFocusError: string;
        textColorTextError: any;
        textColorTextHoverError: any;
        textColorTextPressedError: any;
        textColorTextFocusError: any;
        colorGhostHoverError: any;
        textColorGhostError: any;
        textColorGhostHoverError: any;
        textColorGhostPressedError: any;
        textColorGhostFocusError: any;
        colorLighterError: any;
        textColorLighterError: any;
        textColorLighterHoverError: any;
        textColorLighterPressedError: any;
        textColorLighterFocusError: any;
        borderLighterHoverError: string;
        borderLighterPressedError: string;
        borderLighterFocusError: string;
        colorStrokeHoverError: any;
        colorStrokePressedError: any;
        colorStrokeFocusError: any;
        textColorStrokeError: any;
        textColorStrokeHoverError: any;
        textColorStrokePressedError: any;
        textColorStrokeFocusError: any;
        borderStrokeError: string;
        borderStrokeHoverError: string;
        borderStrokePressedError: string;
        borderStrokeFocusError: string;
        borderError: string;
        borderHoverError: string;
        borderPressedError: string;
        borderFocusError: string;
        rippleColorError: any;
        waveOpacity: string;
        fontWeight: string;
        fontWeightStrong: string;
        opacityDisabled: string;
        colorDisabled: any;
        textColorDisabled: any;
        iconColorDisabled: any;
        paddingTiny: string;
        paddingSmall: string;
        paddingMedium: string;
        paddingLarge: string;
        paddingRoundTiny: string;
        paddingRoundSmall: string;
        paddingRoundMedium: string;
        paddingRoundLarge: string;
        iconMarginTiny: string;
        iconMarginSmall: string;
        iconMarginMedium: string;
        iconMarginLarge: string;
        iconSizeTiny: string;
        iconSizeSmall: string;
        iconSizeMedium: string;
        iconSizeLarge: string;
        rippleDuration: string;
    }, any>>>;
}>, {
    selfElRef: import("vue").Ref<HTMLElement | null, HTMLElement | null>;
    waveElRef: import("vue").Ref<{
        play: () => void;
    } | null, BaseWaveRef | {
        play: () => void;
    } | null>;
    mergedClsPrefix: import("vue").Ref<string, string>;
    mergedFocusable: import("vue").ComputedRef<boolean>;
    mergedSize: import("vue").ComputedRef<"small" | "medium" | "large" | "tiny">;
    showBorder: import("vue").ComputedRef<boolean>;
    enterPressed: import("vue").Ref<boolean, boolean>;
    rtlEnabled: import("vue").Ref<import("../../config-provider/src/internal-interface").RtlItem | undefined, import("../../config-provider/src/internal-interface").RtlItem | undefined> | undefined;
    handleMousedown: (e: MouseEvent) => void;
    handleKeydown: (e: KeyboardEvent) => void;
    handleBlur: () => void;
    handleKeyup: (e: KeyboardEvent) => void;
    handleClick: (e: MouseEvent) => void;
    cssVars: import("vue").ComputedRef<{
        '--n-width': string;
        '--n-height': string;
        '--n-font-size': string;
        '--n-padding': string;
        '--n-icon-size': string;
        '--n-icon-margin': string;
        '--n-border-radius': string;
        '--n-border': string;
        '--n-border-hover': string;
        '--n-border-pressed': string;
        '--n-border-focus': string;
        '--n-border-disabled': string;
        '--n-color': string;
        '--n-color-hover': string;
        '--n-color-pressed': string;
        '--n-color-focus': string;
        '--n-color-disabled': string;
        '--n-ripple-color': string;
        '--n-text-color': string;
        '--n-text-color-hover': string;
        '--n-text-color-pressed': string;
        '--n-text-color-focus': string;
        '--n-text-color-disabled': string;
        '--n-font-weight': string;
        '--n-bezier': string;
        '--n-bezier-ease-out': string;
        '--n-ripple-duration': string;
        '--n-wave-opacity': string;
    }> | undefined;
    themeClass: import("vue").Ref<string, string> | undefined;
    onRender: (() => void) | undefined;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<ExtractPropTypes<{
    readonly text: BooleanConstructor;
    readonly block: BooleanConstructor;
    readonly loading: BooleanConstructor;
    readonly disabled: BooleanConstructor;
    readonly circle: BooleanConstructor;
    readonly size: PropType<Size>;
    readonly ghost: BooleanConstructor;
    readonly round: BooleanConstructor;
    readonly lighter: BooleanConstructor;
    readonly stroke: BooleanConstructor;
    readonly strong: BooleanConstructor;
    readonly focusable: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly keyboard: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly tag: {
        readonly type: PropType<keyof HTMLElementTagNameMap>;
        readonly default: "button";
    };
    readonly type: {
        readonly type: PropType<Type>;
        readonly default: "primary";
    };
    readonly renderIcon: PropType<() => VNodeChild>;
    readonly iconPlacement: {
        readonly type: PropType<"left" | "right">;
        readonly default: "left";
    };
    readonly attrType: {
        readonly type: PropType<"button" | "submit" | "reset">;
        readonly default: "button";
    };
    readonly bordered: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    readonly onClick: PropType<MaybeArray<(e: MouseEvent) => void>>;
    readonly nativeFocusBehavior: {
        readonly type: BooleanConstructor;
        readonly default: boolean;
    };
    readonly theme: PropType<import("../../_mixins").Theme<"Button", {
        heightTiny: string;
        heightSmall: string;
        heightMedium: string;
        heightLarge: string;
        borderRadiusTiny: string;
        borderRadiusSmall: string;
        borderRadiusMedium: string;
        borderRadiusLarge: string;
        fontSizeTiny: string;
        fontSizeSmall: string;
        fontSizeMedium: string;
        fontSizeLarge: string;
        colorPrimary: any;
        colorHoverPrimary: any;
        colorPressedPrimary: any;
        colorFocusPrimary: any;
        textColorPrimary: any;
        textColorHoverPrimary: any;
        textColorPressedPrimary: any;
        textColorFocusPrimary: any;
        textColorTextPrimary: any;
        textColorTextHoverPrimary: any;
        textColorTextPressedPrimary: any;
        textColorTextFocusPrimary: any;
        colorGhostHoverPrimary: any;
        textColorGhostPrimary: any;
        textColorGhostHoverPrimary: any;
        textColorGhostPressedPrimary: any;
        textColorGhostFocusPrimary: any;
        colorLighterPrimary: any;
        colorHoverLighterPrimary: any;
        colorPressedLighterPrimary: any;
        colorFocusLighterPrimary: any;
        textColorLighterPrimary: any;
        textColorLighterHoverPrimary: any;
        textColorLighterPressedPrimary: any;
        textColorLighterFocusPrimary: any;
        borderLighterHoverPrimary: string;
        borderLighterPressedPrimary: string;
        borderLighterFocusPrimary: string;
        colorStrokeHoverPrimary: any;
        colorStrokePressedPrimary: any;
        colorStrokeFocusPrimary: any;
        textColorStrokePrimary: any;
        textColorStrokeHoverPrimary: any;
        textColorStrokePressedPrimary: any;
        textColorStrokeFocusPrimary: any;
        borderStrokePrimary: string;
        borderStrokeHoverPrimary: string;
        borderStrokePressedPrimary: string;
        borderStrokeFocusPrimary: string;
        borderPrimary: string;
        borderHoverPrimary: string;
        borderPressedPrimary: string;
        borderFocusPrimary: string;
        rippleColorPrimary: any;
        colorNeutral: any;
        colorHoverNeutral: any;
        colorPressedNeutral: any;
        colorFocusNeutral: any;
        textColorNeutral: string;
        textColorHoverNeutral: string;
        textColorPressedNeutral: string;
        textColorFocusNeutral: string;
        textColorTextNeutral: any;
        textColorTextHoverNeutral: any;
        textColorTextPressedNeutral: any;
        textColorTextFocusNeutral: any;
        colorGhostHoverNeutral: any;
        colorPressedNeutralGhost: any;
        colorFocusNeutralGhost: any;
        textColorGhostNeutral: any;
        textColorGhostHoverNeutral: any;
        textColorGhostPressedNeutral: any;
        textColorGhostFocusNeutral: any;
        colorLighterNeutral: any;
        colorPressedNeutralLighter: any;
        colorFocusNeutralLighter: any;
        textColorLighterNeutral: any;
        textColorLighterHoverNeutral: any;
        textColorLighterPressedNeutral: any;
        textColorLighterFocusNeutral: any;
        borderLighterHoverNeutral: string;
        borderLighterPressedNeutral: string;
        borderLighterFocusNeutral: string;
        colorStrokeHoverNeutral: any;
        colorStrokePressedNeutral: any;
        colorStrokeFocusNeutral: any;
        textColorStrokeNeutral: any;
        textColorStrokeHoverNeutral: any;
        textColorStrokePressedNeutral: any;
        textColorStrokeFocusNeutral: any;
        borderStrokeNeutral: string;
        borderStrokeHoverNeutral: string;
        borderStrokePressedNeutral: string;
        borderStrokeFocusNeutral: string;
        borderNeutral: string;
        borderHoverNeutral: string;
        borderPressedNeutral: string;
        borderFocusNeutral: string;
        rippleColorNeutral: any;
        colorSuccess: any;
        colorHoverSuccess: any;
        colorPressedSuccess: any;
        colorFocusSuccess: any;
        textColorSuccess: string;
        textColorHoverSuccess: string;
        textColorPressedSuccess: string;
        textColorFocusSuccess: string;
        textColorTextSuccess: any;
        textColorTextHoverSuccess: any;
        textColorTextPressedSuccess: any;
        textColorTextFocusSuccess: any;
        colorGhostHoverSuccess: any;
        textColorGhostSuccess: any;
        textColorGhostHoverSuccess: any;
        textColorGhostPressedSuccess: any;
        textColorGhostFocusSuccess: any;
        colorLighterSuccess: any;
        textColorLighterSuccess: any;
        textColorLighterHoverSuccess: any;
        textColorLighterPressedSuccess: any;
        textColorLighterFocusSuccess: any;
        borderLighterHoverSuccess: string;
        borderLighterPressedSuccess: string;
        borderLighterFocusSuccess: string;
        colorStrokeHoverSuccess: any;
        colorStrokePressedSuccess: any;
        colorStrokeFocusSuccess: any;
        textColorStrokeSuccess: any;
        textColorStrokeHoverSuccess: any;
        textColorStrokePressedSuccess: any;
        textColorStrokeFocusSuccess: any;
        borderStrokeSuccess: string;
        borderStrokeHoverSuccess: string;
        borderStrokePressedSuccess: string;
        borderStrokeFocusSuccess: string;
        borderSuccess: string;
        borderHoverSuccess: string;
        borderPressedSuccess: string;
        borderFocusSuccess: string;
        rippleColorSuccess: any;
        colorWarning: any;
        colorHoverWarning: any;
        colorPressedWarning: any;
        colorFocusWarning: any;
        textColorWarning: string;
        textColorHoverWarning: string;
        textColorPressedWarning: string;
        textColorFocusWarning: string;
        textColorTextWarning: any;
        textColorTextHoverWarning: any;
        textColorTextPressedWarning: any;
        textColorTextFocusWarning: any;
        colorGhostHoverWarning: any;
        textColorGhostWarning: any;
        textColorGhostHoverWarning: any;
        textColorGhostPressedWarning: any;
        textColorGhostFocusWarning: any;
        colorLighterWarning: any;
        textColorLighterWarning: any;
        textColorLighterHoverWarning: any;
        textColorLighterPressedWarning: any;
        textColorLighterFocusWarning: any;
        borderLighterHoverWarning: string;
        borderLighterPressedWarning: string;
        borderLighterFocusWarning: string;
        colorStrokeHoverWarning: any;
        colorStrokePressedWarning: any;
        colorStrokeFocusWarning: any;
        textColorStrokeWarning: any;
        textColorStrokeHoverWarning: any;
        textColorStrokePressedWarning: any;
        textColorStrokeFocusWarning: any;
        borderStrokeWarning: string;
        borderStrokeHoverWarning: string;
        borderStrokePressedWarning: string;
        borderStrokeFocusWarning: string;
        borderWarning: string;
        borderHoverWarning: string;
        borderPressedWarning: string;
        borderFocusWarning: string;
        rippleColorWarning: any;
        colorError: any;
        colorHoverError: any;
        colorPressedError: any;
        colorFocusError: any;
        textColorError: string;
        textColorHoverError: string;
        textColorPressedError: string;
        textColorFocusError: string;
        textColorTextError: any;
        textColorTextHoverError: any;
        textColorTextPressedError: any;
        textColorTextFocusError: any;
        colorGhostHoverError: any;
        textColorGhostError: any;
        textColorGhostHoverError: any;
        textColorGhostPressedError: any;
        textColorGhostFocusError: any;
        colorLighterError: any;
        textColorLighterError: any;
        textColorLighterHoverError: any;
        textColorLighterPressedError: any;
        textColorLighterFocusError: any;
        borderLighterHoverError: string;
        borderLighterPressedError: string;
        borderLighterFocusError: string;
        colorStrokeHoverError: any;
        colorStrokePressedError: any;
        colorStrokeFocusError: any;
        textColorStrokeError: any;
        textColorStrokeHoverError: any;
        textColorStrokePressedError: any;
        textColorStrokeFocusError: any;
        borderStrokeError: string;
        borderStrokeHoverError: string;
        borderStrokePressedError: string;
        borderStrokeFocusError: string;
        borderError: string;
        borderHoverError: string;
        borderPressedError: string;
        borderFocusError: string;
        rippleColorError: any;
        waveOpacity: string;
        fontWeight: string;
        fontWeightStrong: string;
        opacityDisabled: string;
        colorDisabled: any;
        textColorDisabled: any;
        iconColorDisabled: any;
        paddingTiny: string;
        paddingSmall: string;
        paddingMedium: string;
        paddingLarge: string;
        paddingRoundTiny: string;
        paddingRoundSmall: string;
        paddingRoundMedium: string;
        paddingRoundLarge: string;
        iconMarginTiny: string;
        iconMarginSmall: string;
        iconMarginMedium: string;
        iconMarginLarge: string;
        iconSizeTiny: string;
        iconSizeSmall: string;
        iconSizeMedium: string;
        iconSizeLarge: string;
        rippleDuration: string;
    }, any>>;
    readonly themeOverrides: PropType<import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"Button", {
        heightTiny: string;
        heightSmall: string;
        heightMedium: string;
        heightLarge: string;
        borderRadiusTiny: string;
        borderRadiusSmall: string;
        borderRadiusMedium: string;
        borderRadiusLarge: string;
        fontSizeTiny: string;
        fontSizeSmall: string;
        fontSizeMedium: string;
        fontSizeLarge: string;
        colorPrimary: any;
        colorHoverPrimary: any;
        colorPressedPrimary: any;
        colorFocusPrimary: any;
        textColorPrimary: any;
        textColorHoverPrimary: any;
        textColorPressedPrimary: any;
        textColorFocusPrimary: any;
        textColorTextPrimary: any;
        textColorTextHoverPrimary: any;
        textColorTextPressedPrimary: any;
        textColorTextFocusPrimary: any;
        colorGhostHoverPrimary: any;
        textColorGhostPrimary: any;
        textColorGhostHoverPrimary: any;
        textColorGhostPressedPrimary: any;
        textColorGhostFocusPrimary: any;
        colorLighterPrimary: any;
        colorHoverLighterPrimary: any;
        colorPressedLighterPrimary: any;
        colorFocusLighterPrimary: any;
        textColorLighterPrimary: any;
        textColorLighterHoverPrimary: any;
        textColorLighterPressedPrimary: any;
        textColorLighterFocusPrimary: any;
        borderLighterHoverPrimary: string;
        borderLighterPressedPrimary: string;
        borderLighterFocusPrimary: string;
        colorStrokeHoverPrimary: any;
        colorStrokePressedPrimary: any;
        colorStrokeFocusPrimary: any;
        textColorStrokePrimary: any;
        textColorStrokeHoverPrimary: any;
        textColorStrokePressedPrimary: any;
        textColorStrokeFocusPrimary: any;
        borderStrokePrimary: string;
        borderStrokeHoverPrimary: string;
        borderStrokePressedPrimary: string;
        borderStrokeFocusPrimary: string;
        borderPrimary: string;
        borderHoverPrimary: string;
        borderPressedPrimary: string;
        borderFocusPrimary: string;
        rippleColorPrimary: any;
        colorNeutral: any;
        colorHoverNeutral: any;
        colorPressedNeutral: any;
        colorFocusNeutral: any;
        textColorNeutral: string;
        textColorHoverNeutral: string;
        textColorPressedNeutral: string;
        textColorFocusNeutral: string;
        textColorTextNeutral: any;
        textColorTextHoverNeutral: any;
        textColorTextPressedNeutral: any;
        textColorTextFocusNeutral: any;
        colorGhostHoverNeutral: any;
        colorPressedNeutralGhost: any;
        colorFocusNeutralGhost: any;
        textColorGhostNeutral: any;
        textColorGhostHoverNeutral: any;
        textColorGhostPressedNeutral: any;
        textColorGhostFocusNeutral: any;
        colorLighterNeutral: any;
        colorPressedNeutralLighter: any;
        colorFocusNeutralLighter: any;
        textColorLighterNeutral: any;
        textColorLighterHoverNeutral: any;
        textColorLighterPressedNeutral: any;
        textColorLighterFocusNeutral: any;
        borderLighterHoverNeutral: string;
        borderLighterPressedNeutral: string;
        borderLighterFocusNeutral: string;
        colorStrokeHoverNeutral: any;
        colorStrokePressedNeutral: any;
        colorStrokeFocusNeutral: any;
        textColorStrokeNeutral: any;
        textColorStrokeHoverNeutral: any;
        textColorStrokePressedNeutral: any;
        textColorStrokeFocusNeutral: any;
        borderStrokeNeutral: string;
        borderStrokeHoverNeutral: string;
        borderStrokePressedNeutral: string;
        borderStrokeFocusNeutral: string;
        borderNeutral: string;
        borderHoverNeutral: string;
        borderPressedNeutral: string;
        borderFocusNeutral: string;
        rippleColorNeutral: any;
        colorSuccess: any;
        colorHoverSuccess: any;
        colorPressedSuccess: any;
        colorFocusSuccess: any;
        textColorSuccess: string;
        textColorHoverSuccess: string;
        textColorPressedSuccess: string;
        textColorFocusSuccess: string;
        textColorTextSuccess: any;
        textColorTextHoverSuccess: any;
        textColorTextPressedSuccess: any;
        textColorTextFocusSuccess: any;
        colorGhostHoverSuccess: any;
        textColorGhostSuccess: any;
        textColorGhostHoverSuccess: any;
        textColorGhostPressedSuccess: any;
        textColorGhostFocusSuccess: any;
        colorLighterSuccess: any;
        textColorLighterSuccess: any;
        textColorLighterHoverSuccess: any;
        textColorLighterPressedSuccess: any;
        textColorLighterFocusSuccess: any;
        borderLighterHoverSuccess: string;
        borderLighterPressedSuccess: string;
        borderLighterFocusSuccess: string;
        colorStrokeHoverSuccess: any;
        colorStrokePressedSuccess: any;
        colorStrokeFocusSuccess: any;
        textColorStrokeSuccess: any;
        textColorStrokeHoverSuccess: any;
        textColorStrokePressedSuccess: any;
        textColorStrokeFocusSuccess: any;
        borderStrokeSuccess: string;
        borderStrokeHoverSuccess: string;
        borderStrokePressedSuccess: string;
        borderStrokeFocusSuccess: string;
        borderSuccess: string;
        borderHoverSuccess: string;
        borderPressedSuccess: string;
        borderFocusSuccess: string;
        rippleColorSuccess: any;
        colorWarning: any;
        colorHoverWarning: any;
        colorPressedWarning: any;
        colorFocusWarning: any;
        textColorWarning: string;
        textColorHoverWarning: string;
        textColorPressedWarning: string;
        textColorFocusWarning: string;
        textColorTextWarning: any;
        textColorTextHoverWarning: any;
        textColorTextPressedWarning: any;
        textColorTextFocusWarning: any;
        colorGhostHoverWarning: any;
        textColorGhostWarning: any;
        textColorGhostHoverWarning: any;
        textColorGhostPressedWarning: any;
        textColorGhostFocusWarning: any;
        colorLighterWarning: any;
        textColorLighterWarning: any;
        textColorLighterHoverWarning: any;
        textColorLighterPressedWarning: any;
        textColorLighterFocusWarning: any;
        borderLighterHoverWarning: string;
        borderLighterPressedWarning: string;
        borderLighterFocusWarning: string;
        colorStrokeHoverWarning: any;
        colorStrokePressedWarning: any;
        colorStrokeFocusWarning: any;
        textColorStrokeWarning: any;
        textColorStrokeHoverWarning: any;
        textColorStrokePressedWarning: any;
        textColorStrokeFocusWarning: any;
        borderStrokeWarning: string;
        borderStrokeHoverWarning: string;
        borderStrokePressedWarning: string;
        borderStrokeFocusWarning: string;
        borderWarning: string;
        borderHoverWarning: string;
        borderPressedWarning: string;
        borderFocusWarning: string;
        rippleColorWarning: any;
        colorError: any;
        colorHoverError: any;
        colorPressedError: any;
        colorFocusError: any;
        textColorError: string;
        textColorHoverError: string;
        textColorPressedError: string;
        textColorFocusError: string;
        textColorTextError: any;
        textColorTextHoverError: any;
        textColorTextPressedError: any;
        textColorTextFocusError: any;
        colorGhostHoverError: any;
        textColorGhostError: any;
        textColorGhostHoverError: any;
        textColorGhostPressedError: any;
        textColorGhostFocusError: any;
        colorLighterError: any;
        textColorLighterError: any;
        textColorLighterHoverError: any;
        textColorLighterPressedError: any;
        textColorLighterFocusError: any;
        borderLighterHoverError: string;
        borderLighterPressedError: string;
        borderLighterFocusError: string;
        colorStrokeHoverError: any;
        colorStrokePressedError: any;
        colorStrokeFocusError: any;
        textColorStrokeError: any;
        textColorStrokeHoverError: any;
        textColorStrokePressedError: any;
        textColorStrokeFocusError: any;
        borderStrokeError: string;
        borderStrokeHoverError: string;
        borderStrokePressedError: string;
        borderStrokeFocusError: string;
        borderError: string;
        borderHoverError: string;
        borderPressedError: string;
        borderFocusError: string;
        rippleColorError: any;
        waveOpacity: string;
        fontWeight: string;
        fontWeightStrong: string;
        opacityDisabled: string;
        colorDisabled: any;
        textColorDisabled: any;
        iconColorDisabled: any;
        paddingTiny: string;
        paddingSmall: string;
        paddingMedium: string;
        paddingLarge: string;
        paddingRoundTiny: string;
        paddingRoundSmall: string;
        paddingRoundMedium: string;
        paddingRoundLarge: string;
        iconMarginTiny: string;
        iconMarginSmall: string;
        iconMarginMedium: string;
        iconMarginLarge: string;
        iconSizeTiny: string;
        iconSizeSmall: string;
        iconSizeMedium: string;
        iconSizeLarge: string;
        rippleDuration: string;
    }, any>>>;
    readonly builtinThemeOverrides: PropType<import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"Button", {
        heightTiny: string;
        heightSmall: string;
        heightMedium: string;
        heightLarge: string;
        borderRadiusTiny: string;
        borderRadiusSmall: string;
        borderRadiusMedium: string;
        borderRadiusLarge: string;
        fontSizeTiny: string;
        fontSizeSmall: string;
        fontSizeMedium: string;
        fontSizeLarge: string;
        colorPrimary: any;
        colorHoverPrimary: any;
        colorPressedPrimary: any;
        colorFocusPrimary: any;
        textColorPrimary: any;
        textColorHoverPrimary: any;
        textColorPressedPrimary: any;
        textColorFocusPrimary: any;
        textColorTextPrimary: any;
        textColorTextHoverPrimary: any;
        textColorTextPressedPrimary: any;
        textColorTextFocusPrimary: any;
        colorGhostHoverPrimary: any;
        textColorGhostPrimary: any;
        textColorGhostHoverPrimary: any;
        textColorGhostPressedPrimary: any;
        textColorGhostFocusPrimary: any;
        colorLighterPrimary: any;
        colorHoverLighterPrimary: any;
        colorPressedLighterPrimary: any;
        colorFocusLighterPrimary: any;
        textColorLighterPrimary: any;
        textColorLighterHoverPrimary: any;
        textColorLighterPressedPrimary: any;
        textColorLighterFocusPrimary: any;
        borderLighterHoverPrimary: string;
        borderLighterPressedPrimary: string;
        borderLighterFocusPrimary: string;
        colorStrokeHoverPrimary: any;
        colorStrokePressedPrimary: any;
        colorStrokeFocusPrimary: any;
        textColorStrokePrimary: any;
        textColorStrokeHoverPrimary: any;
        textColorStrokePressedPrimary: any;
        textColorStrokeFocusPrimary: any;
        borderStrokePrimary: string;
        borderStrokeHoverPrimary: string;
        borderStrokePressedPrimary: string;
        borderStrokeFocusPrimary: string;
        borderPrimary: string;
        borderHoverPrimary: string;
        borderPressedPrimary: string;
        borderFocusPrimary: string;
        rippleColorPrimary: any;
        colorNeutral: any;
        colorHoverNeutral: any;
        colorPressedNeutral: any;
        colorFocusNeutral: any;
        textColorNeutral: string;
        textColorHoverNeutral: string;
        textColorPressedNeutral: string;
        textColorFocusNeutral: string;
        textColorTextNeutral: any;
        textColorTextHoverNeutral: any;
        textColorTextPressedNeutral: any;
        textColorTextFocusNeutral: any;
        colorGhostHoverNeutral: any;
        colorPressedNeutralGhost: any;
        colorFocusNeutralGhost: any;
        textColorGhostNeutral: any;
        textColorGhostHoverNeutral: any;
        textColorGhostPressedNeutral: any;
        textColorGhostFocusNeutral: any;
        colorLighterNeutral: any;
        colorPressedNeutralLighter: any;
        colorFocusNeutralLighter: any;
        textColorLighterNeutral: any;
        textColorLighterHoverNeutral: any;
        textColorLighterPressedNeutral: any;
        textColorLighterFocusNeutral: any;
        borderLighterHoverNeutral: string;
        borderLighterPressedNeutral: string;
        borderLighterFocusNeutral: string;
        colorStrokeHoverNeutral: any;
        colorStrokePressedNeutral: any;
        colorStrokeFocusNeutral: any;
        textColorStrokeNeutral: any;
        textColorStrokeHoverNeutral: any;
        textColorStrokePressedNeutral: any;
        textColorStrokeFocusNeutral: any;
        borderStrokeNeutral: string;
        borderStrokeHoverNeutral: string;
        borderStrokePressedNeutral: string;
        borderStrokeFocusNeutral: string;
        borderNeutral: string;
        borderHoverNeutral: string;
        borderPressedNeutral: string;
        borderFocusNeutral: string;
        rippleColorNeutral: any;
        colorSuccess: any;
        colorHoverSuccess: any;
        colorPressedSuccess: any;
        colorFocusSuccess: any;
        textColorSuccess: string;
        textColorHoverSuccess: string;
        textColorPressedSuccess: string;
        textColorFocusSuccess: string;
        textColorTextSuccess: any;
        textColorTextHoverSuccess: any;
        textColorTextPressedSuccess: any;
        textColorTextFocusSuccess: any;
        colorGhostHoverSuccess: any;
        textColorGhostSuccess: any;
        textColorGhostHoverSuccess: any;
        textColorGhostPressedSuccess: any;
        textColorGhostFocusSuccess: any;
        colorLighterSuccess: any;
        textColorLighterSuccess: any;
        textColorLighterHoverSuccess: any;
        textColorLighterPressedSuccess: any;
        textColorLighterFocusSuccess: any;
        borderLighterHoverSuccess: string;
        borderLighterPressedSuccess: string;
        borderLighterFocusSuccess: string;
        colorStrokeHoverSuccess: any;
        colorStrokePressedSuccess: any;
        colorStrokeFocusSuccess: any;
        textColorStrokeSuccess: any;
        textColorStrokeHoverSuccess: any;
        textColorStrokePressedSuccess: any;
        textColorStrokeFocusSuccess: any;
        borderStrokeSuccess: string;
        borderStrokeHoverSuccess: string;
        borderStrokePressedSuccess: string;
        borderStrokeFocusSuccess: string;
        borderSuccess: string;
        borderHoverSuccess: string;
        borderPressedSuccess: string;
        borderFocusSuccess: string;
        rippleColorSuccess: any;
        colorWarning: any;
        colorHoverWarning: any;
        colorPressedWarning: any;
        colorFocusWarning: any;
        textColorWarning: string;
        textColorHoverWarning: string;
        textColorPressedWarning: string;
        textColorFocusWarning: string;
        textColorTextWarning: any;
        textColorTextHoverWarning: any;
        textColorTextPressedWarning: any;
        textColorTextFocusWarning: any;
        colorGhostHoverWarning: any;
        textColorGhostWarning: any;
        textColorGhostHoverWarning: any;
        textColorGhostPressedWarning: any;
        textColorGhostFocusWarning: any;
        colorLighterWarning: any;
        textColorLighterWarning: any;
        textColorLighterHoverWarning: any;
        textColorLighterPressedWarning: any;
        textColorLighterFocusWarning: any;
        borderLighterHoverWarning: string;
        borderLighterPressedWarning: string;
        borderLighterFocusWarning: string;
        colorStrokeHoverWarning: any;
        colorStrokePressedWarning: any;
        colorStrokeFocusWarning: any;
        textColorStrokeWarning: any;
        textColorStrokeHoverWarning: any;
        textColorStrokePressedWarning: any;
        textColorStrokeFocusWarning: any;
        borderStrokeWarning: string;
        borderStrokeHoverWarning: string;
        borderStrokePressedWarning: string;
        borderStrokeFocusWarning: string;
        borderWarning: string;
        borderHoverWarning: string;
        borderPressedWarning: string;
        borderFocusWarning: string;
        rippleColorWarning: any;
        colorError: any;
        colorHoverError: any;
        colorPressedError: any;
        colorFocusError: any;
        textColorError: string;
        textColorHoverError: string;
        textColorPressedError: string;
        textColorFocusError: string;
        textColorTextError: any;
        textColorTextHoverError: any;
        textColorTextPressedError: any;
        textColorTextFocusError: any;
        colorGhostHoverError: any;
        textColorGhostError: any;
        textColorGhostHoverError: any;
        textColorGhostPressedError: any;
        textColorGhostFocusError: any;
        colorLighterError: any;
        textColorLighterError: any;
        textColorLighterHoverError: any;
        textColorLighterPressedError: any;
        textColorLighterFocusError: any;
        borderLighterHoverError: string;
        borderLighterPressedError: string;
        borderLighterFocusError: string;
        colorStrokeHoverError: any;
        colorStrokePressedError: any;
        colorStrokeFocusError: any;
        textColorStrokeError: any;
        textColorStrokeHoverError: any;
        textColorStrokePressedError: any;
        textColorStrokeFocusError: any;
        borderStrokeError: string;
        borderStrokeHoverError: string;
        borderStrokePressedError: string;
        borderStrokeFocusError: string;
        borderError: string;
        borderHoverError: string;
        borderPressedError: string;
        borderFocusError: string;
        rippleColorError: any;
        waveOpacity: string;
        fontWeight: string;
        fontWeightStrong: string;
        opacityDisabled: string;
        colorDisabled: any;
        textColorDisabled: any;
        iconColorDisabled: any;
        paddingTiny: string;
        paddingSmall: string;
        paddingMedium: string;
        paddingLarge: string;
        paddingRoundTiny: string;
        paddingRoundSmall: string;
        paddingRoundMedium: string;
        paddingRoundLarge: string;
        iconMarginTiny: string;
        iconMarginSmall: string;
        iconMarginMedium: string;
        iconMarginLarge: string;
        iconSizeTiny: string;
        iconSizeSmall: string;
        iconSizeMedium: string;
        iconSizeLarge: string;
        rippleDuration: string;
    }, any>>>;
}>> & Readonly<{}>, {
    readonly type: Type;
    readonly tag: keyof HTMLElementTagNameMap;
    readonly block: boolean;
    readonly disabled: boolean;
    readonly strong: boolean;
    readonly round: boolean;
    readonly text: boolean;
    readonly lighter: boolean;
    readonly stroke: boolean;
    readonly circle: boolean;
    readonly loading: boolean;
    readonly focusable: boolean;
    readonly bordered: boolean;
    readonly keyboard: boolean;
    readonly ghost: boolean;
    readonly iconPlacement: "left" | "right";
    readonly attrType: "reset" | "submit" | "button";
    readonly nativeFocusBehavior: boolean;
}, SlotsType<ButtonSlots>, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
type InternalButtonProps = ExtractPropTypes<typeof buttonProps>;
type NativeButtonProps = Omit<ButtonHTMLAttributes, keyof InternalButtonProps>;
type MergedProps = Partial<InternalButtonProps & NativeButtonProps>;
export default Button;
export declare const XButton: new () => {
    $props: MergedProps;
};
