"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("../../_styles/common");
const _baseColors_1 = require("../../_styles/common/_baseColors");
const light_1 = require("./light");
const buttonDark = {
    name: 'Button',
    common: common_1.commonDark,
    self(vars) {
        const commonSelf = (0, light_1.self)(vars);
        commonSelf.waveOpacity = '0.8';
        // primary
        // neutral
        commonSelf.colorNeutral = _baseColors_1.colors.gray[0];
        commonSelf.colorHoverNeutral = _baseColors_1.colors.gray[200];
        commonSelf.colorPressedNeutral = _baseColors_1.colors.gray[300];
        commonSelf.colorFocusNeutral = _baseColors_1.colors.gray[200];
        commonSelf.textColorNeutral = _baseColors_1.colors.gray[950];
        commonSelf.textColorHoverNeutral = _baseColors_1.colors.gray[950];
        commonSelf.textColorPressedNeutral = _baseColors_1.colors.gray[950];
        commonSelf.textColorFocusNeutral = _baseColors_1.colors.gray[950];
        commonSelf.textColorTextNeutral = _baseColors_1.colors.gray[950];
        commonSelf.textColorTextHoverNeutral = _baseColors_1.colors.gray[950];
        commonSelf.textColorTextPressedNeutral = _baseColors_1.colors.gray[950];
        commonSelf.textColorTextFocusNeutral = _baseColors_1.colors.gray[950];
        // neutral ghost //
        commonSelf.colorGhostHoverNeutral = _baseColors_1.colors.gray[900];
        commonSelf.colorPressedNeutralGhost = _baseColors_1.colors.gray[900];
        commonSelf.colorFocusNeutralGhost = _baseColors_1.colors.gray[900];
        commonSelf.textColorGhostNeutral = _baseColors_1.colors.gray[400];
        commonSelf.textColorGhostHoverNeutral = _baseColors_1.colors.gray[0];
        commonSelf.textColorGhostPressedNeutral = _baseColors_1.colors.gray[0];
        commonSelf.textColorGhostFocusNeutral = _baseColors_1.colors.gray[0];
        // neutral lighter //
        commonSelf.colorLighterNeutral = _baseColors_1.colors.gray[900];
        commonSelf.colorPressedNeutralLighter = _baseColors_1.colors.gray[900];
        commonSelf.colorFocusNeutralLighter = _baseColors_1.colors.gray[900];
        commonSelf.textColorLighterNeutral = _baseColors_1.colors.gray[400];
        commonSelf.textColorLighterHoverNeutral = _baseColors_1.colors.gray[0];
        commonSelf.textColorLighterPressedNeutral = _baseColors_1.colors.gray[0];
        commonSelf.textColorLighterFocusNeutral = _baseColors_1.colors.gray[0];
        commonSelf.borderLighterHoverNeutral = `1px solid ${_baseColors_1.colors.gray[700]}`;
        commonSelf.borderLighterPressedNeutral = `1px solid ${_baseColors_1.colors.gray[900]}`;
        commonSelf.borderLighterFocusNeutral = `1px solid ${_baseColors_1.colors.gray[500]}`;
        // neutral stroke //
        commonSelf.colorStrokeHoverNeutral = _baseColors_1.colors.gray[900];
        commonSelf.colorStrokePressedNeutral = _baseColors_1.colors.gray[900];
        commonSelf.colorStrokeFocusNeutral = _baseColors_1.colors.gray[900];
        commonSelf.textColorStrokeNeutral = _baseColors_1.colors.gray[400];
        commonSelf.textColorStrokeHoverNeutral = _baseColors_1.colors.gray[0];
        commonSelf.textColorStrokePressedNeutral = _baseColors_1.colors.gray[0];
        commonSelf.textColorStrokeFocusNeutral = _baseColors_1.colors.gray[0];
        commonSelf.borderStrokeNeutral = `1px solid ${_baseColors_1.colors.gray[700]}`;
        commonSelf.borderStrokeHoverNeutral = `1px solid ${_baseColors_1.colors.gray[900]}`;
        commonSelf.borderStrokePressedNeutral = `1px solid ${_baseColors_1.colors.gray[900]}`;
        commonSelf.borderStrokeFocusNeutral = `1px solid ${_baseColors_1.colors.gray[900]}`;
        commonSelf.borderNeutral = 'initial';
        commonSelf.borderHoverNeutral = 'initial';
        commonSelf.borderPressedNeutral = 'initial';
        commonSelf.borderFocusNeutral = 'initial';
        commonSelf.rippleColorNeutral = _baseColors_1.colors.gray[950];
        commonSelf.colorDisabled = _baseColors_1.colors.gray[900];
        commonSelf.textColorDisabled = _baseColors_1.colors.gray[600];
        commonSelf.iconColorDisabled = _baseColors_1.colors.gray[600];
        return commonSelf;
    }
};
exports.default = buttonDark;
