"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.self = self;
const common_1 = require("../../_styles/common");
const _baseColors_1 = require("../../_styles/common/_baseColors");
const _common_1 = __importDefault(require("./_common"));
function self(vars) {
    const { fontSizeTiny, fontSizeSmall, fontSizeMedium, fontSizeLarge, baseColor, successColor, successColorHover, successColorPressed, warningColor, warningColorHover, warningColorPressed, errorColor, errorColorHover, errorColorPressed, fontWeight, fontWeightStrong, opacityDisabled } = vars;
    return Object.assign(Object.assign({}, _common_1.default), { heightTiny: '28px', heightSmall: '32px', heightMedium: '36px', heightLarge: '40px', borderRadiusTiny: '8px', borderRadiusSmall: '8px', borderRadiusMedium: '8px', borderRadiusLarge: '10px', fontSizeTiny,
        fontSizeSmall,
        fontSizeMedium,
        fontSizeLarge, 
        // primary
        colorPrimary: _baseColors_1.colors.blue[500], colorHoverPrimary: _baseColors_1.colors.blue[700], colorPressedPrimary: _baseColors_1.colors.blue[700], colorFocusPrimary: _baseColors_1.colors.blue[700], textColorPrimary: _baseColors_1.colors.gray[0], textColorHoverPrimary: _baseColors_1.colors.gray[0], textColorPressedPrimary: _baseColors_1.colors.gray[0], textColorFocusPrimary: _baseColors_1.colors.gray[0], textColorTextPrimary: _baseColors_1.colors.blue[500], textColorTextHoverPrimary: _baseColors_1.colors.blue[700], textColorTextPressedPrimary: _baseColors_1.colors.blue[900], textColorTextFocusPrimary: _baseColors_1.colors.blue[700], 
        // primary ghost //
        colorGhostHoverPrimary: _baseColors_1.colors.blue.alpha10, textColorGhostPrimary: _baseColors_1.colors.blue[500], textColorGhostHoverPrimary: _baseColors_1.colors.blue[500], textColorGhostPressedPrimary: _baseColors_1.colors.blue[500], textColorGhostFocusPrimary: _baseColors_1.colors.blue[500], 
        // primary lighter //
        colorLighterPrimary: _baseColors_1.colors.blue.alpha10, colorHoverLighterPrimary: _baseColors_1.colors.blue.alpha10, colorPressedLighterPrimary: _baseColors_1.colors.blue.alpha10, colorFocusLighterPrimary: _baseColors_1.colors.blue.alpha10, textColorLighterPrimary: _baseColors_1.colors.blue[500], textColorLighterHoverPrimary: _baseColors_1.colors.blue[500], textColorLighterPressedPrimary: _baseColors_1.colors.blue[500], textColorLighterFocusPrimary: _baseColors_1.colors.blue[500], borderLighterHoverPrimary: `1px solid ${_baseColors_1.colors.blue[500]}`, borderLighterPressedPrimary: `1px solid ${_baseColors_1.colors.blue[500]}`, borderLighterFocusPrimary: `1px solid ${_baseColors_1.colors.blue[500]}`, 
        // primary stroke //
        colorStrokeHoverPrimary: _baseColors_1.colors.blue.alpha10, colorStrokePressedPrimary: _baseColors_1.colors.blue.alpha10, colorStrokeFocusPrimary: _baseColors_1.colors.blue.alpha10, textColorStrokePrimary: _baseColors_1.colors.blue[500], textColorStrokeHoverPrimary: _baseColors_1.colors.blue[500], textColorStrokePressedPrimary: _baseColors_1.colors.blue[500], textColorStrokeFocusPrimary: _baseColors_1.colors.blue[500], borderStrokePrimary: `1px solid ${_baseColors_1.colors.blue[500]}`, borderStrokeHoverPrimary: `1px solid ${_baseColors_1.colors.blue.alpha10}`, borderStrokePressedPrimary: `1px solid ${_baseColors_1.colors.blue.alpha10}`, borderStrokeFocusPrimary: `1px solid ${_baseColors_1.colors.blue.alpha10}`, borderPrimary: 'initial', borderHoverPrimary: 'initial', borderPressedPrimary: 'initial', borderFocusPrimary: 'initial', rippleColorPrimary: _baseColors_1.colors.blue[500], 
        // neutral
        colorNeutral: _baseColors_1.colors.gray[950], colorHoverNeutral: _baseColors_1.colors.gray[800], colorPressedNeutral: _baseColors_1.colors.gray[950], colorFocusNeutral: _baseColors_1.colors.gray[950], textColorNeutral: baseColor, textColorHoverNeutral: baseColor, textColorPressedNeutral: baseColor, textColorFocusNeutral: baseColor, textColorTextNeutral: _baseColors_1.colors.gray[950], textColorTextHoverNeutral: _baseColors_1.colors.gray[800], textColorTextPressedNeutral: _baseColors_1.colors.gray[950], textColorTextFocusNeutral: _baseColors_1.colors.gray[950], 
        // neutral ghost //
        colorGhostHoverNeutral: _baseColors_1.colors.gray.alpha10, colorPressedNeutralGhost: _baseColors_1.colors.gray.alpha10, colorFocusNeutralGhost: _baseColors_1.colors.gray.alpha10, textColorGhostNeutral: _baseColors_1.colors.gray[600], textColorGhostHoverNeutral: _baseColors_1.colors.gray[950], textColorGhostPressedNeutral: _baseColors_1.colors.gray[950], textColorGhostFocusNeutral: _baseColors_1.colors.gray[950], 
        // neutral lighter //
        colorLighterNeutral: _baseColors_1.colors.gray.alpha10, colorPressedNeutralLighter: _baseColors_1.colors.gray.alpha10, colorFocusNeutralLighter: _baseColors_1.colors.gray.alpha10, textColorLighterNeutral: _baseColors_1.colors.gray[600], textColorLighterHoverNeutral: _baseColors_1.colors.gray[950], textColorLighterPressedNeutral: _baseColors_1.colors.gray[950], textColorLighterFocusNeutral: _baseColors_1.colors.gray[950], borderLighterHoverNeutral: `1px solid ${_baseColors_1.colors.gray[200]}`, borderLighterPressedNeutral: `1px solid ${_baseColors_1.colors.gray[200]}`, borderLighterFocusNeutral: `1px solid ${_baseColors_1.colors.gray[200]}`, 
        // neutral stroke //
        colorStrokeHoverNeutral: _baseColors_1.colors.gray.alpha10, colorStrokePressedNeutral: _baseColors_1.colors.gray.alpha10, colorStrokeFocusNeutral: _baseColors_1.colors.gray.alpha10, textColorStrokeNeutral: _baseColors_1.colors.gray[600], textColorStrokeHoverNeutral: _baseColors_1.colors.gray[950], textColorStrokePressedNeutral: _baseColors_1.colors.gray[950], textColorStrokeFocusNeutral: _baseColors_1.colors.gray[950], borderStrokeNeutral: `1px solid ${_baseColors_1.colors.gray[200]}`, borderStrokeHoverNeutral: `1px solid ${_baseColors_1.colors.gray.alpha10}`, borderStrokePressedNeutral: `1px solid ${_baseColors_1.colors.gray.alpha10}`, borderStrokeFocusNeutral: `1px solid ${_baseColors_1.colors.gray.alpha10}`, borderNeutral: 'initial', borderHoverNeutral: 'initial', borderPressedNeutral: 'initial', borderFocusNeutral: 'initial', rippleColorNeutral: _baseColors_1.colors.gray[950], 
        // success
        colorSuccess: _baseColors_1.colors.green[500], colorHoverSuccess: _baseColors_1.colors.green[700], colorPressedSuccess: _baseColors_1.colors.green[700], colorFocusSuccess: _baseColors_1.colors.green[700], textColorSuccess: baseColor, textColorHoverSuccess: baseColor, textColorPressedSuccess: baseColor, textColorFocusSuccess: baseColor, textColorTextSuccess: successColor, textColorTextHoverSuccess: successColorHover, textColorTextPressedSuccess: successColorPressed, textColorTextFocusSuccess: successColorHover, 
        // success ghost //
        colorGhostHoverSuccess: _baseColors_1.colors.green.alpha10, textColorGhostSuccess: successColor, textColorGhostHoverSuccess: successColorHover, textColorGhostPressedSuccess: successColorPressed, textColorGhostFocusSuccess: successColorHover, 
        // success lighter //
        colorLighterSuccess: _baseColors_1.colors.green.alpha10, textColorLighterSuccess: _baseColors_1.colors.green[500], textColorLighterHoverSuccess: _baseColors_1.colors.green[500], textColorLighterPressedSuccess: _baseColors_1.colors.green[500], textColorLighterFocusSuccess: _baseColors_1.colors.green[500], borderLighterHoverSuccess: `1px solid ${_baseColors_1.colors.green[500]}`, borderLighterPressedSuccess: `1px solid ${_baseColors_1.colors.green[500]}`, borderLighterFocusSuccess: `1px solid ${_baseColors_1.colors.green[500]}`, 
        // success stroke //
        colorStrokeHoverSuccess: _baseColors_1.colors.green.alpha10, colorStrokePressedSuccess: _baseColors_1.colors.green.alpha10, colorStrokeFocusSuccess: _baseColors_1.colors.green.alpha10, textColorStrokeSuccess: _baseColors_1.colors.green[500], textColorStrokeHoverSuccess: _baseColors_1.colors.green[500], textColorStrokePressedSuccess: _baseColors_1.colors.green[500], textColorStrokeFocusSuccess: _baseColors_1.colors.green[500], borderStrokeSuccess: `1px solid ${_baseColors_1.colors.green[500]}`, borderStrokeHoverSuccess: `1px solid ${_baseColors_1.colors.green.alpha10}`, borderStrokePressedSuccess: `1px solid ${_baseColors_1.colors.green.alpha10}`, borderStrokeFocusSuccess: `1px solid ${_baseColors_1.colors.green.alpha10}`, borderSuccess: 'initial', borderHoverSuccess: 'initial', borderPressedSuccess: 'initial', borderFocusSuccess: 'initial', rippleColorSuccess: successColor, 
        // warning
        colorWarning: _baseColors_1.colors.yellow[500], colorHoverWarning: _baseColors_1.colors.yellow[700], colorPressedWarning: _baseColors_1.colors.yellow[700], colorFocusWarning: _baseColors_1.colors.yellow[700], textColorWarning: baseColor, textColorHoverWarning: baseColor, textColorPressedWarning: baseColor, textColorFocusWarning: baseColor, textColorTextWarning: warningColor, textColorTextHoverWarning: warningColorHover, textColorTextPressedWarning: warningColorPressed, textColorTextFocusWarning: warningColorHover, 
        // warning ghost //
        colorGhostHoverWarning: _baseColors_1.colors.yellow.alpha10, textColorGhostWarning: warningColor, textColorGhostHoverWarning: warningColorHover, textColorGhostPressedWarning: warningColorPressed, textColorGhostFocusWarning: warningColorHover, 
        // warning lighter //
        colorLighterWarning: _baseColors_1.colors.yellow.alpha10, textColorLighterWarning: _baseColors_1.colors.yellow[500], textColorLighterHoverWarning: _baseColors_1.colors.yellow[500], textColorLighterPressedWarning: _baseColors_1.colors.yellow[500], textColorLighterFocusWarning: _baseColors_1.colors.yellow[500], borderLighterHoverWarning: `1px solid ${_baseColors_1.colors.yellow[500]}`, borderLighterPressedWarning: `1px solid ${_baseColors_1.colors.yellow[500]}`, borderLighterFocusWarning: `1px solid ${_baseColors_1.colors.yellow[500]}`, 
        // warning stroke //
        colorStrokeHoverWarning: _baseColors_1.colors.yellow.alpha10, colorStrokePressedWarning: _baseColors_1.colors.yellow.alpha10, colorStrokeFocusWarning: _baseColors_1.colors.yellow.alpha10, textColorStrokeWarning: _baseColors_1.colors.yellow[500], textColorStrokeHoverWarning: _baseColors_1.colors.yellow[500], textColorStrokePressedWarning: _baseColors_1.colors.yellow[500], textColorStrokeFocusWarning: _baseColors_1.colors.yellow[500], borderStrokeWarning: `1px solid ${_baseColors_1.colors.yellow[500]}`, borderStrokeHoverWarning: `1px solid ${_baseColors_1.colors.yellow.alpha10}`, borderStrokePressedWarning: `1px solid ${_baseColors_1.colors.yellow.alpha10}`, borderStrokeFocusWarning: `1px solid ${_baseColors_1.colors.yellow.alpha10}`, borderWarning: 'initial', borderHoverWarning: 'initial', borderPressedWarning: 'initial', borderFocusWarning: 'initial', rippleColorWarning: warningColor, 
        // error
        colorError: _baseColors_1.colors.red[500], colorHoverError: _baseColors_1.colors.red[700], colorPressedError: _baseColors_1.colors.red[700], colorFocusError: _baseColors_1.colors.red[700], textColorError: baseColor, textColorHoverError: baseColor, textColorPressedError: baseColor, textColorFocusError: baseColor, textColorTextError: errorColor, textColorTextHoverError: errorColorHover, textColorTextPressedError: errorColorPressed, textColorTextFocusError: errorColorHover, 
        // error ghost //
        colorGhostHoverError: _baseColors_1.colors.red.alpha10, textColorGhostError: errorColor, textColorGhostHoverError: errorColorHover, textColorGhostPressedError: errorColorPressed, textColorGhostFocusError: errorColorHover, 
        // error lighter //
        colorLighterError: _baseColors_1.colors.red.alpha10, textColorLighterError: _baseColors_1.colors.red[500], textColorLighterHoverError: _baseColors_1.colors.red[500], textColorLighterPressedError: _baseColors_1.colors.red[500], textColorLighterFocusError: _baseColors_1.colors.red[500], borderLighterHoverError: `1px solid ${_baseColors_1.colors.red[500]}`, borderLighterPressedError: `1px solid ${_baseColors_1.colors.red[500]}`, borderLighterFocusError: `1px solid ${_baseColors_1.colors.red[500]}`, 
        // error stroke //
        colorStrokeHoverError: _baseColors_1.colors.red.alpha10, colorStrokePressedError: _baseColors_1.colors.red.alpha10, colorStrokeFocusError: _baseColors_1.colors.red.alpha10, textColorStrokeError: _baseColors_1.colors.red[500], textColorStrokeHoverError: _baseColors_1.colors.red[500], textColorStrokePressedError: _baseColors_1.colors.red[500], textColorStrokeFocusError: _baseColors_1.colors.red[500], borderStrokeError: `1px solid ${_baseColors_1.colors.red[500]}`, borderStrokeHoverError: `1px solid ${_baseColors_1.colors.red.alpha10}`, borderStrokePressedError: `1px solid ${_baseColors_1.colors.red.alpha10}`, borderStrokeFocusError: `1px solid ${_baseColors_1.colors.red.alpha10}`, borderError: 'initial', borderHoverError: 'initial', borderPressedError: 'initial', borderFocusError: 'initial', 
        // disabled
        rippleColorError: errorColor, waveOpacity: '0.6', fontWeight,
        fontWeightStrong,
        opacityDisabled, colorDisabled: _baseColors_1.colors.gray[50], textColorDisabled: _baseColors_1.colors.gray[300], iconColorDisabled: _baseColors_1.colors.gray[300] });
}
const buttonLight = {
    name: 'Button',
    common: common_1.commonLight,
    self
};
exports.default = buttonLight;
