import type { ExtractPublicPropTypes, MaybeArray } from '../../_utils';
import type { DateItem, OnPanelChange, OnUpdateValue } from './interface';
import { type PropType } from 'vue';
export declare const calendarProps: {
    readonly isDateDisabled: PropType<(date: number) => boolean | undefined>;
    readonly value: NumberConstructor;
    readonly defaultValue: {
        readonly type: PropType<number | null>;
        readonly default: null;
    };
    readonly onPanelChange: PropType<OnPanelChange>;
    readonly 'onUpdate:value': PropType<MaybeArray<OnUpdateValue>>;
    readonly onUpdateValue: PropType<MaybeArray<OnUpdateValue>>;
    readonly theme: PropType<import("../../_mixins").Theme<"Calendar", {
        borderRadius: string;
        borderColor: string;
        borderColorModal: string;
        borderColorPopover: string;
        textColor: string;
        titleFontWeight: string;
        titleTextColor: string;
        dayTextColor: string;
        fontSize: string;
        lineHeight: string;
        dateColorCurrent: any;
        dateTextColorCurrent: string;
        cellColorHover: string;
        cellColorHoverModal: string;
        cellColorHoverPopover: string;
        cellColor: string;
        cellColorModal: string;
        cellColorPopover: string;
        barColor: any;
        titleFontSize: string;
    }, {
        Button: import("../../_mixins").Theme<"Button", {
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            borderRadiusTiny: string;
            borderRadiusSmall: string;
            borderRadiusMedium: string;
            borderRadiusLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            colorPrimary: any;
            colorHoverPrimary: any;
            colorPressedPrimary: any;
            colorFocusPrimary: any;
            textColorPrimary: any;
            textColorHoverPrimary: any;
            textColorPressedPrimary: any;
            textColorFocusPrimary: any;
            textColorTextPrimary: any;
            textColorTextHoverPrimary: any;
            textColorTextPressedPrimary: any;
            textColorTextFocusPrimary: any;
            colorGhostHoverPrimary: any;
            textColorGhostPrimary: any;
            textColorGhostHoverPrimary: any;
            textColorGhostPressedPrimary: any;
            textColorGhostFocusPrimary: any;
            colorLighterPrimary: any;
            colorHoverLighterPrimary: any;
            colorPressedLighterPrimary: any;
            colorFocusLighterPrimary: any;
            textColorLighterPrimary: any;
            textColorLighterHoverPrimary: any;
            textColorLighterPressedPrimary: any;
            textColorLighterFocusPrimary: any;
            borderLighterHoverPrimary: string;
            borderLighterPressedPrimary: string;
            borderLighterFocusPrimary: string;
            colorStrokeHoverPrimary: any;
            colorStrokePressedPrimary: any;
            colorStrokeFocusPrimary: any;
            textColorStrokePrimary: any;
            textColorStrokeHoverPrimary: any;
            textColorStrokePressedPrimary: any;
            textColorStrokeFocusPrimary: any;
            borderStrokePrimary: string;
            borderStrokeHoverPrimary: string;
            borderStrokePressedPrimary: string;
            borderStrokeFocusPrimary: string;
            borderPrimary: string;
            borderHoverPrimary: string;
            borderPressedPrimary: string;
            borderFocusPrimary: string;
            rippleColorPrimary: any;
            colorNeutral: any;
            colorHoverNeutral: any;
            colorPressedNeutral: any;
            colorFocusNeutral: any;
            textColorNeutral: string;
            textColorHoverNeutral: string;
            textColorPressedNeutral: string;
            textColorFocusNeutral: string;
            textColorTextNeutral: any;
            textColorTextHoverNeutral: any;
            textColorTextPressedNeutral: any;
            textColorTextFocusNeutral: any;
            colorGhostHoverNeutral: any;
            colorPressedNeutralGhost: any;
            colorFocusNeutralGhost: any;
            textColorGhostNeutral: any;
            textColorGhostHoverNeutral: any;
            textColorGhostPressedNeutral: any;
            textColorGhostFocusNeutral: any;
            colorLighterNeutral: any;
            colorPressedNeutralLighter: any;
            colorFocusNeutralLighter: any;
            textColorLighterNeutral: any;
            textColorLighterHoverNeutral: any;
            textColorLighterPressedNeutral: any;
            textColorLighterFocusNeutral: any;
            borderLighterHoverNeutral: string;
            borderLighterPressedNeutral: string;
            borderLighterFocusNeutral: string;
            colorStrokeHoverNeutral: any;
            colorStrokePressedNeutral: any;
            colorStrokeFocusNeutral: any;
            textColorStrokeNeutral: any;
            textColorStrokeHoverNeutral: any;
            textColorStrokePressedNeutral: any;
            textColorStrokeFocusNeutral: any;
            borderStrokeNeutral: string;
            borderStrokeHoverNeutral: string;
            borderStrokePressedNeutral: string;
            borderStrokeFocusNeutral: string;
            borderNeutral: string;
            borderHoverNeutral: string;
            borderPressedNeutral: string;
            borderFocusNeutral: string;
            rippleColorNeutral: any;
            colorSuccess: any;
            colorHoverSuccess: any;
            colorPressedSuccess: any;
            colorFocusSuccess: any;
            textColorSuccess: string;
            textColorHoverSuccess: string;
            textColorPressedSuccess: string;
            textColorFocusSuccess: string;
            textColorTextSuccess: any;
            textColorTextHoverSuccess: any;
            textColorTextPressedSuccess: any;
            textColorTextFocusSuccess: any;
            colorGhostHoverSuccess: any;
            textColorGhostSuccess: any;
            textColorGhostHoverSuccess: any;
            textColorGhostPressedSuccess: any;
            textColorGhostFocusSuccess: any;
            colorLighterSuccess: any;
            textColorLighterSuccess: any;
            textColorLighterHoverSuccess: any;
            textColorLighterPressedSuccess: any;
            textColorLighterFocusSuccess: any;
            borderLighterHoverSuccess: string;
            borderLighterPressedSuccess: string;
            borderLighterFocusSuccess: string;
            colorStrokeHoverSuccess: any;
            colorStrokePressedSuccess: any;
            colorStrokeFocusSuccess: any;
            textColorStrokeSuccess: any;
            textColorStrokeHoverSuccess: any;
            textColorStrokePressedSuccess: any;
            textColorStrokeFocusSuccess: any;
            borderStrokeSuccess: string;
            borderStrokeHoverSuccess: string;
            borderStrokePressedSuccess: string;
            borderStrokeFocusSuccess: string;
            borderSuccess: string;
            borderHoverSuccess: string;
            borderPressedSuccess: string;
            borderFocusSuccess: string;
            rippleColorSuccess: any;
            colorWarning: any;
            colorHoverWarning: any;
            colorPressedWarning: any;
            colorFocusWarning: any;
            textColorWarning: string;
            textColorHoverWarning: string;
            textColorPressedWarning: string;
            textColorFocusWarning: string;
            textColorTextWarning: any;
            textColorTextHoverWarning: any;
            textColorTextPressedWarning: any;
            textColorTextFocusWarning: any;
            colorGhostHoverWarning: any;
            textColorGhostWarning: any;
            textColorGhostHoverWarning: any;
            textColorGhostPressedWarning: any;
            textColorGhostFocusWarning: any;
            colorLighterWarning: any;
            textColorLighterWarning: any;
            textColorLighterHoverWarning: any;
            textColorLighterPressedWarning: any;
            textColorLighterFocusWarning: any;
            borderLighterHoverWarning: string;
            borderLighterPressedWarning: string;
            borderLighterFocusWarning: string;
            colorStrokeHoverWarning: any;
            colorStrokePressedWarning: any;
            colorStrokeFocusWarning: any;
            textColorStrokeWarning: any;
            textColorStrokeHoverWarning: any;
            textColorStrokePressedWarning: any;
            textColorStrokeFocusWarning: any;
            borderStrokeWarning: string;
            borderStrokeHoverWarning: string;
            borderStrokePressedWarning: string;
            borderStrokeFocusWarning: string;
            borderWarning: string;
            borderHoverWarning: string;
            borderPressedWarning: string;
            borderFocusWarning: string;
            rippleColorWarning: any;
            colorError: any;
            colorHoverError: any;
            colorPressedError: any;
            colorFocusError: any;
            textColorError: string;
            textColorHoverError: string;
            textColorPressedError: string;
            textColorFocusError: string;
            textColorTextError: any;
            textColorTextHoverError: any;
            textColorTextPressedError: any;
            textColorTextFocusError: any;
            colorGhostHoverError: any;
            textColorGhostError: any;
            textColorGhostHoverError: any;
            textColorGhostPressedError: any;
            textColorGhostFocusError: any;
            colorLighterError: any;
            textColorLighterError: any;
            textColorLighterHoverError: any;
            textColorLighterPressedError: any;
            textColorLighterFocusError: any;
            borderLighterHoverError: string;
            borderLighterPressedError: string;
            borderLighterFocusError: string;
            colorStrokeHoverError: any;
            colorStrokePressedError: any;
            colorStrokeFocusError: any;
            textColorStrokeError: any;
            textColorStrokeHoverError: any;
            textColorStrokePressedError: any;
            textColorStrokeFocusError: any;
            borderStrokeError: string;
            borderStrokeHoverError: string;
            borderStrokePressedError: string;
            borderStrokeFocusError: string;
            borderError: string;
            borderHoverError: string;
            borderPressedError: string;
            borderFocusError: string;
            rippleColorError: any;
            waveOpacity: string;
            fontWeight: string;
            fontWeightStrong: string;
            opacityDisabled: string;
            colorDisabled: any;
            textColorDisabled: any;
            iconColorDisabled: any;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            paddingRoundTiny: string;
            paddingRoundSmall: string;
            paddingRoundMedium: string;
            paddingRoundLarge: string;
            iconMarginTiny: string;
            iconMarginSmall: string;
            iconMarginMedium: string;
            iconMarginLarge: string;
            iconSizeTiny: string;
            iconSizeSmall: string;
            iconSizeMedium: string;
            iconSizeLarge: string;
            rippleDuration: string;
        }, any>;
    }>>;
    readonly themeOverrides: PropType<import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"Calendar", {
        borderRadius: string;
        borderColor: string;
        borderColorModal: string;
        borderColorPopover: string;
        textColor: string;
        titleFontWeight: string;
        titleTextColor: string;
        dayTextColor: string;
        fontSize: string;
        lineHeight: string;
        dateColorCurrent: any;
        dateTextColorCurrent: string;
        cellColorHover: string;
        cellColorHoverModal: string;
        cellColorHoverPopover: string;
        cellColor: string;
        cellColorModal: string;
        cellColorPopover: string;
        barColor: any;
        titleFontSize: string;
    }, {
        Button: import("../../_mixins").Theme<"Button", {
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            borderRadiusTiny: string;
            borderRadiusSmall: string;
            borderRadiusMedium: string;
            borderRadiusLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            colorPrimary: any;
            colorHoverPrimary: any;
            colorPressedPrimary: any;
            colorFocusPrimary: any;
            textColorPrimary: any;
            textColorHoverPrimary: any;
            textColorPressedPrimary: any;
            textColorFocusPrimary: any;
            textColorTextPrimary: any;
            textColorTextHoverPrimary: any;
            textColorTextPressedPrimary: any;
            textColorTextFocusPrimary: any;
            colorGhostHoverPrimary: any;
            textColorGhostPrimary: any;
            textColorGhostHoverPrimary: any;
            textColorGhostPressedPrimary: any;
            textColorGhostFocusPrimary: any;
            colorLighterPrimary: any;
            colorHoverLighterPrimary: any;
            colorPressedLighterPrimary: any;
            colorFocusLighterPrimary: any;
            textColorLighterPrimary: any;
            textColorLighterHoverPrimary: any;
            textColorLighterPressedPrimary: any;
            textColorLighterFocusPrimary: any;
            borderLighterHoverPrimary: string;
            borderLighterPressedPrimary: string;
            borderLighterFocusPrimary: string;
            colorStrokeHoverPrimary: any;
            colorStrokePressedPrimary: any;
            colorStrokeFocusPrimary: any;
            textColorStrokePrimary: any;
            textColorStrokeHoverPrimary: any;
            textColorStrokePressedPrimary: any;
            textColorStrokeFocusPrimary: any;
            borderStrokePrimary: string;
            borderStrokeHoverPrimary: string;
            borderStrokePressedPrimary: string;
            borderStrokeFocusPrimary: string;
            borderPrimary: string;
            borderHoverPrimary: string;
            borderPressedPrimary: string;
            borderFocusPrimary: string;
            rippleColorPrimary: any;
            colorNeutral: any;
            colorHoverNeutral: any;
            colorPressedNeutral: any;
            colorFocusNeutral: any;
            textColorNeutral: string;
            textColorHoverNeutral: string;
            textColorPressedNeutral: string;
            textColorFocusNeutral: string;
            textColorTextNeutral: any;
            textColorTextHoverNeutral: any;
            textColorTextPressedNeutral: any;
            textColorTextFocusNeutral: any;
            colorGhostHoverNeutral: any;
            colorPressedNeutralGhost: any;
            colorFocusNeutralGhost: any;
            textColorGhostNeutral: any;
            textColorGhostHoverNeutral: any;
            textColorGhostPressedNeutral: any;
            textColorGhostFocusNeutral: any;
            colorLighterNeutral: any;
            colorPressedNeutralLighter: any;
            colorFocusNeutralLighter: any;
            textColorLighterNeutral: any;
            textColorLighterHoverNeutral: any;
            textColorLighterPressedNeutral: any;
            textColorLighterFocusNeutral: any;
            borderLighterHoverNeutral: string;
            borderLighterPressedNeutral: string;
            borderLighterFocusNeutral: string;
            colorStrokeHoverNeutral: any;
            colorStrokePressedNeutral: any;
            colorStrokeFocusNeutral: any;
            textColorStrokeNeutral: any;
            textColorStrokeHoverNeutral: any;
            textColorStrokePressedNeutral: any;
            textColorStrokeFocusNeutral: any;
            borderStrokeNeutral: string;
            borderStrokeHoverNeutral: string;
            borderStrokePressedNeutral: string;
            borderStrokeFocusNeutral: string;
            borderNeutral: string;
            borderHoverNeutral: string;
            borderPressedNeutral: string;
            borderFocusNeutral: string;
            rippleColorNeutral: any;
            colorSuccess: any;
            colorHoverSuccess: any;
            colorPressedSuccess: any;
            colorFocusSuccess: any;
            textColorSuccess: string;
            textColorHoverSuccess: string;
            textColorPressedSuccess: string;
            textColorFocusSuccess: string;
            textColorTextSuccess: any;
            textColorTextHoverSuccess: any;
            textColorTextPressedSuccess: any;
            textColorTextFocusSuccess: any;
            colorGhostHoverSuccess: any;
            textColorGhostSuccess: any;
            textColorGhostHoverSuccess: any;
            textColorGhostPressedSuccess: any;
            textColorGhostFocusSuccess: any;
            colorLighterSuccess: any;
            textColorLighterSuccess: any;
            textColorLighterHoverSuccess: any;
            textColorLighterPressedSuccess: any;
            textColorLighterFocusSuccess: any;
            borderLighterHoverSuccess: string;
            borderLighterPressedSuccess: string;
            borderLighterFocusSuccess: string;
            colorStrokeHoverSuccess: any;
            colorStrokePressedSuccess: any;
            colorStrokeFocusSuccess: any;
            textColorStrokeSuccess: any;
            textColorStrokeHoverSuccess: any;
            textColorStrokePressedSuccess: any;
            textColorStrokeFocusSuccess: any;
            borderStrokeSuccess: string;
            borderStrokeHoverSuccess: string;
            borderStrokePressedSuccess: string;
            borderStrokeFocusSuccess: string;
            borderSuccess: string;
            borderHoverSuccess: string;
            borderPressedSuccess: string;
            borderFocusSuccess: string;
            rippleColorSuccess: any;
            colorWarning: any;
            colorHoverWarning: any;
            colorPressedWarning: any;
            colorFocusWarning: any;
            textColorWarning: string;
            textColorHoverWarning: string;
            textColorPressedWarning: string;
            textColorFocusWarning: string;
            textColorTextWarning: any;
            textColorTextHoverWarning: any;
            textColorTextPressedWarning: any;
            textColorTextFocusWarning: any;
            colorGhostHoverWarning: any;
            textColorGhostWarning: any;
            textColorGhostHoverWarning: any;
            textColorGhostPressedWarning: any;
            textColorGhostFocusWarning: any;
            colorLighterWarning: any;
            textColorLighterWarning: any;
            textColorLighterHoverWarning: any;
            textColorLighterPressedWarning: any;
            textColorLighterFocusWarning: any;
            borderLighterHoverWarning: string;
            borderLighterPressedWarning: string;
            borderLighterFocusWarning: string;
            colorStrokeHoverWarning: any;
            colorStrokePressedWarning: any;
            colorStrokeFocusWarning: any;
            textColorStrokeWarning: any;
            textColorStrokeHoverWarning: any;
            textColorStrokePressedWarning: any;
            textColorStrokeFocusWarning: any;
            borderStrokeWarning: string;
            borderStrokeHoverWarning: string;
            borderStrokePressedWarning: string;
            borderStrokeFocusWarning: string;
            borderWarning: string;
            borderHoverWarning: string;
            borderPressedWarning: string;
            borderFocusWarning: string;
            rippleColorWarning: any;
            colorError: any;
            colorHoverError: any;
            colorPressedError: any;
            colorFocusError: any;
            textColorError: string;
            textColorHoverError: string;
            textColorPressedError: string;
            textColorFocusError: string;
            textColorTextError: any;
            textColorTextHoverError: any;
            textColorTextPressedError: any;
            textColorTextFocusError: any;
            colorGhostHoverError: any;
            textColorGhostError: any;
            textColorGhostHoverError: any;
            textColorGhostPressedError: any;
            textColorGhostFocusError: any;
            colorLighterError: any;
            textColorLighterError: any;
            textColorLighterHoverError: any;
            textColorLighterPressedError: any;
            textColorLighterFocusError: any;
            borderLighterHoverError: string;
            borderLighterPressedError: string;
            borderLighterFocusError: string;
            colorStrokeHoverError: any;
            colorStrokePressedError: any;
            colorStrokeFocusError: any;
            textColorStrokeError: any;
            textColorStrokeHoverError: any;
            textColorStrokePressedError: any;
            textColorStrokeFocusError: any;
            borderStrokeError: string;
            borderStrokeHoverError: string;
            borderStrokePressedError: string;
            borderStrokeFocusError: string;
            borderError: string;
            borderHoverError: string;
            borderPressedError: string;
            borderFocusError: string;
            rippleColorError: any;
            waveOpacity: string;
            fontWeight: string;
            fontWeightStrong: string;
            opacityDisabled: string;
            colorDisabled: any;
            textColorDisabled: any;
            iconColorDisabled: any;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            paddingRoundTiny: string;
            paddingRoundSmall: string;
            paddingRoundMedium: string;
            paddingRoundLarge: string;
            iconMarginTiny: string;
            iconMarginSmall: string;
            iconMarginMedium: string;
            iconMarginLarge: string;
            iconSizeTiny: string;
            iconSizeSmall: string;
            iconSizeMedium: string;
            iconSizeLarge: string;
            rippleDuration: string;
        }, any>;
    }>>>;
    readonly builtinThemeOverrides: PropType<import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"Calendar", {
        borderRadius: string;
        borderColor: string;
        borderColorModal: string;
        borderColorPopover: string;
        textColor: string;
        titleFontWeight: string;
        titleTextColor: string;
        dayTextColor: string;
        fontSize: string;
        lineHeight: string;
        dateColorCurrent: any;
        dateTextColorCurrent: string;
        cellColorHover: string;
        cellColorHoverModal: string;
        cellColorHoverPopover: string;
        cellColor: string;
        cellColorModal: string;
        cellColorPopover: string;
        barColor: any;
        titleFontSize: string;
    }, {
        Button: import("../../_mixins").Theme<"Button", {
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            borderRadiusTiny: string;
            borderRadiusSmall: string;
            borderRadiusMedium: string;
            borderRadiusLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            colorPrimary: any;
            colorHoverPrimary: any;
            colorPressedPrimary: any;
            colorFocusPrimary: any;
            textColorPrimary: any;
            textColorHoverPrimary: any;
            textColorPressedPrimary: any;
            textColorFocusPrimary: any;
            textColorTextPrimary: any;
            textColorTextHoverPrimary: any;
            textColorTextPressedPrimary: any;
            textColorTextFocusPrimary: any;
            colorGhostHoverPrimary: any;
            textColorGhostPrimary: any;
            textColorGhostHoverPrimary: any;
            textColorGhostPressedPrimary: any;
            textColorGhostFocusPrimary: any;
            colorLighterPrimary: any;
            colorHoverLighterPrimary: any;
            colorPressedLighterPrimary: any;
            colorFocusLighterPrimary: any;
            textColorLighterPrimary: any;
            textColorLighterHoverPrimary: any;
            textColorLighterPressedPrimary: any;
            textColorLighterFocusPrimary: any;
            borderLighterHoverPrimary: string;
            borderLighterPressedPrimary: string;
            borderLighterFocusPrimary: string;
            colorStrokeHoverPrimary: any;
            colorStrokePressedPrimary: any;
            colorStrokeFocusPrimary: any;
            textColorStrokePrimary: any;
            textColorStrokeHoverPrimary: any;
            textColorStrokePressedPrimary: any;
            textColorStrokeFocusPrimary: any;
            borderStrokePrimary: string;
            borderStrokeHoverPrimary: string;
            borderStrokePressedPrimary: string;
            borderStrokeFocusPrimary: string;
            borderPrimary: string;
            borderHoverPrimary: string;
            borderPressedPrimary: string;
            borderFocusPrimary: string;
            rippleColorPrimary: any;
            colorNeutral: any;
            colorHoverNeutral: any;
            colorPressedNeutral: any;
            colorFocusNeutral: any;
            textColorNeutral: string;
            textColorHoverNeutral: string;
            textColorPressedNeutral: string;
            textColorFocusNeutral: string;
            textColorTextNeutral: any;
            textColorTextHoverNeutral: any;
            textColorTextPressedNeutral: any;
            textColorTextFocusNeutral: any;
            colorGhostHoverNeutral: any;
            colorPressedNeutralGhost: any;
            colorFocusNeutralGhost: any;
            textColorGhostNeutral: any;
            textColorGhostHoverNeutral: any;
            textColorGhostPressedNeutral: any;
            textColorGhostFocusNeutral: any;
            colorLighterNeutral: any;
            colorPressedNeutralLighter: any;
            colorFocusNeutralLighter: any;
            textColorLighterNeutral: any;
            textColorLighterHoverNeutral: any;
            textColorLighterPressedNeutral: any;
            textColorLighterFocusNeutral: any;
            borderLighterHoverNeutral: string;
            borderLighterPressedNeutral: string;
            borderLighterFocusNeutral: string;
            colorStrokeHoverNeutral: any;
            colorStrokePressedNeutral: any;
            colorStrokeFocusNeutral: any;
            textColorStrokeNeutral: any;
            textColorStrokeHoverNeutral: any;
            textColorStrokePressedNeutral: any;
            textColorStrokeFocusNeutral: any;
            borderStrokeNeutral: string;
            borderStrokeHoverNeutral: string;
            borderStrokePressedNeutral: string;
            borderStrokeFocusNeutral: string;
            borderNeutral: string;
            borderHoverNeutral: string;
            borderPressedNeutral: string;
            borderFocusNeutral: string;
            rippleColorNeutral: any;
            colorSuccess: any;
            colorHoverSuccess: any;
            colorPressedSuccess: any;
            colorFocusSuccess: any;
            textColorSuccess: string;
            textColorHoverSuccess: string;
            textColorPressedSuccess: string;
            textColorFocusSuccess: string;
            textColorTextSuccess: any;
            textColorTextHoverSuccess: any;
            textColorTextPressedSuccess: any;
            textColorTextFocusSuccess: any;
            colorGhostHoverSuccess: any;
            textColorGhostSuccess: any;
            textColorGhostHoverSuccess: any;
            textColorGhostPressedSuccess: any;
            textColorGhostFocusSuccess: any;
            colorLighterSuccess: any;
            textColorLighterSuccess: any;
            textColorLighterHoverSuccess: any;
            textColorLighterPressedSuccess: any;
            textColorLighterFocusSuccess: any;
            borderLighterHoverSuccess: string;
            borderLighterPressedSuccess: string;
            borderLighterFocusSuccess: string;
            colorStrokeHoverSuccess: any;
            colorStrokePressedSuccess: any;
            colorStrokeFocusSuccess: any;
            textColorStrokeSuccess: any;
            textColorStrokeHoverSuccess: any;
            textColorStrokePressedSuccess: any;
            textColorStrokeFocusSuccess: any;
            borderStrokeSuccess: string;
            borderStrokeHoverSuccess: string;
            borderStrokePressedSuccess: string;
            borderStrokeFocusSuccess: string;
            borderSuccess: string;
            borderHoverSuccess: string;
            borderPressedSuccess: string;
            borderFocusSuccess: string;
            rippleColorSuccess: any;
            colorWarning: any;
            colorHoverWarning: any;
            colorPressedWarning: any;
            colorFocusWarning: any;
            textColorWarning: string;
            textColorHoverWarning: string;
            textColorPressedWarning: string;
            textColorFocusWarning: string;
            textColorTextWarning: any;
            textColorTextHoverWarning: any;
            textColorTextPressedWarning: any;
            textColorTextFocusWarning: any;
            colorGhostHoverWarning: any;
            textColorGhostWarning: any;
            textColorGhostHoverWarning: any;
            textColorGhostPressedWarning: any;
            textColorGhostFocusWarning: any;
            colorLighterWarning: any;
            textColorLighterWarning: any;
            textColorLighterHoverWarning: any;
            textColorLighterPressedWarning: any;
            textColorLighterFocusWarning: any;
            borderLighterHoverWarning: string;
            borderLighterPressedWarning: string;
            borderLighterFocusWarning: string;
            colorStrokeHoverWarning: any;
            colorStrokePressedWarning: any;
            colorStrokeFocusWarning: any;
            textColorStrokeWarning: any;
            textColorStrokeHoverWarning: any;
            textColorStrokePressedWarning: any;
            textColorStrokeFocusWarning: any;
            borderStrokeWarning: string;
            borderStrokeHoverWarning: string;
            borderStrokePressedWarning: string;
            borderStrokeFocusWarning: string;
            borderWarning: string;
            borderHoverWarning: string;
            borderPressedWarning: string;
            borderFocusWarning: string;
            rippleColorWarning: any;
            colorError: any;
            colorHoverError: any;
            colorPressedError: any;
            colorFocusError: any;
            textColorError: string;
            textColorHoverError: string;
            textColorPressedError: string;
            textColorFocusError: string;
            textColorTextError: any;
            textColorTextHoverError: any;
            textColorTextPressedError: any;
            textColorTextFocusError: any;
            colorGhostHoverError: any;
            textColorGhostError: any;
            textColorGhostHoverError: any;
            textColorGhostPressedError: any;
            textColorGhostFocusError: any;
            colorLighterError: any;
            textColorLighterError: any;
            textColorLighterHoverError: any;
            textColorLighterPressedError: any;
            textColorLighterFocusError: any;
            borderLighterHoverError: string;
            borderLighterPressedError: string;
            borderLighterFocusError: string;
            colorStrokeHoverError: any;
            colorStrokePressedError: any;
            colorStrokeFocusError: any;
            textColorStrokeError: any;
            textColorStrokeHoverError: any;
            textColorStrokePressedError: any;
            textColorStrokeFocusError: any;
            borderStrokeError: string;
            borderStrokeHoverError: string;
            borderStrokePressedError: string;
            borderStrokeFocusError: string;
            borderError: string;
            borderHoverError: string;
            borderPressedError: string;
            borderFocusError: string;
            rippleColorError: any;
            waveOpacity: string;
            fontWeight: string;
            fontWeightStrong: string;
            opacityDisabled: string;
            colorDisabled: any;
            textColorDisabled: any;
            iconColorDisabled: any;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            paddingRoundTiny: string;
            paddingRoundSmall: string;
            paddingRoundMedium: string;
            paddingRoundLarge: string;
            iconMarginTiny: string;
            iconMarginSmall: string;
            iconMarginMedium: string;
            iconMarginLarge: string;
            iconSizeTiny: string;
            iconSizeSmall: string;
            iconSizeMedium: string;
            iconSizeLarge: string;
            rippleDuration: string;
        }, any>;
    }>>>;
};
export type CalendarProps = ExtractPublicPropTypes<typeof calendarProps>;
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    readonly isDateDisabled: PropType<(date: number) => boolean | undefined>;
    readonly value: NumberConstructor;
    readonly defaultValue: {
        readonly type: PropType<number | null>;
        readonly default: null;
    };
    readonly onPanelChange: PropType<OnPanelChange>;
    readonly 'onUpdate:value': PropType<MaybeArray<OnUpdateValue>>;
    readonly onUpdateValue: PropType<MaybeArray<OnUpdateValue>>;
    readonly theme: PropType<import("../../_mixins").Theme<"Calendar", {
        borderRadius: string;
        borderColor: string;
        borderColorModal: string;
        borderColorPopover: string;
        textColor: string;
        titleFontWeight: string;
        titleTextColor: string;
        dayTextColor: string;
        fontSize: string;
        lineHeight: string;
        dateColorCurrent: any;
        dateTextColorCurrent: string;
        cellColorHover: string;
        cellColorHoverModal: string;
        cellColorHoverPopover: string;
        cellColor: string;
        cellColorModal: string;
        cellColorPopover: string;
        barColor: any;
        titleFontSize: string;
    }, {
        Button: import("../../_mixins").Theme<"Button", {
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            borderRadiusTiny: string;
            borderRadiusSmall: string;
            borderRadiusMedium: string;
            borderRadiusLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            colorPrimary: any;
            colorHoverPrimary: any;
            colorPressedPrimary: any;
            colorFocusPrimary: any;
            textColorPrimary: any;
            textColorHoverPrimary: any;
            textColorPressedPrimary: any;
            textColorFocusPrimary: any;
            textColorTextPrimary: any;
            textColorTextHoverPrimary: any;
            textColorTextPressedPrimary: any;
            textColorTextFocusPrimary: any;
            colorGhostHoverPrimary: any;
            textColorGhostPrimary: any;
            textColorGhostHoverPrimary: any;
            textColorGhostPressedPrimary: any;
            textColorGhostFocusPrimary: any;
            colorLighterPrimary: any;
            colorHoverLighterPrimary: any;
            colorPressedLighterPrimary: any;
            colorFocusLighterPrimary: any;
            textColorLighterPrimary: any;
            textColorLighterHoverPrimary: any;
            textColorLighterPressedPrimary: any;
            textColorLighterFocusPrimary: any;
            borderLighterHoverPrimary: string;
            borderLighterPressedPrimary: string;
            borderLighterFocusPrimary: string;
            colorStrokeHoverPrimary: any;
            colorStrokePressedPrimary: any;
            colorStrokeFocusPrimary: any;
            textColorStrokePrimary: any;
            textColorStrokeHoverPrimary: any;
            textColorStrokePressedPrimary: any;
            textColorStrokeFocusPrimary: any;
            borderStrokePrimary: string;
            borderStrokeHoverPrimary: string;
            borderStrokePressedPrimary: string;
            borderStrokeFocusPrimary: string;
            borderPrimary: string;
            borderHoverPrimary: string;
            borderPressedPrimary: string;
            borderFocusPrimary: string;
            rippleColorPrimary: any;
            colorNeutral: any;
            colorHoverNeutral: any;
            colorPressedNeutral: any;
            colorFocusNeutral: any;
            textColorNeutral: string;
            textColorHoverNeutral: string;
            textColorPressedNeutral: string;
            textColorFocusNeutral: string;
            textColorTextNeutral: any;
            textColorTextHoverNeutral: any;
            textColorTextPressedNeutral: any;
            textColorTextFocusNeutral: any;
            colorGhostHoverNeutral: any;
            colorPressedNeutralGhost: any;
            colorFocusNeutralGhost: any;
            textColorGhostNeutral: any;
            textColorGhostHoverNeutral: any;
            textColorGhostPressedNeutral: any;
            textColorGhostFocusNeutral: any;
            colorLighterNeutral: any;
            colorPressedNeutralLighter: any;
            colorFocusNeutralLighter: any;
            textColorLighterNeutral: any;
            textColorLighterHoverNeutral: any;
            textColorLighterPressedNeutral: any;
            textColorLighterFocusNeutral: any;
            borderLighterHoverNeutral: string;
            borderLighterPressedNeutral: string;
            borderLighterFocusNeutral: string;
            colorStrokeHoverNeutral: any;
            colorStrokePressedNeutral: any;
            colorStrokeFocusNeutral: any;
            textColorStrokeNeutral: any;
            textColorStrokeHoverNeutral: any;
            textColorStrokePressedNeutral: any;
            textColorStrokeFocusNeutral: any;
            borderStrokeNeutral: string;
            borderStrokeHoverNeutral: string;
            borderStrokePressedNeutral: string;
            borderStrokeFocusNeutral: string;
            borderNeutral: string;
            borderHoverNeutral: string;
            borderPressedNeutral: string;
            borderFocusNeutral: string;
            rippleColorNeutral: any;
            colorSuccess: any;
            colorHoverSuccess: any;
            colorPressedSuccess: any;
            colorFocusSuccess: any;
            textColorSuccess: string;
            textColorHoverSuccess: string;
            textColorPressedSuccess: string;
            textColorFocusSuccess: string;
            textColorTextSuccess: any;
            textColorTextHoverSuccess: any;
            textColorTextPressedSuccess: any;
            textColorTextFocusSuccess: any;
            colorGhostHoverSuccess: any;
            textColorGhostSuccess: any;
            textColorGhostHoverSuccess: any;
            textColorGhostPressedSuccess: any;
            textColorGhostFocusSuccess: any;
            colorLighterSuccess: any;
            textColorLighterSuccess: any;
            textColorLighterHoverSuccess: any;
            textColorLighterPressedSuccess: any;
            textColorLighterFocusSuccess: any;
            borderLighterHoverSuccess: string;
            borderLighterPressedSuccess: string;
            borderLighterFocusSuccess: string;
            colorStrokeHoverSuccess: any;
            colorStrokePressedSuccess: any;
            colorStrokeFocusSuccess: any;
            textColorStrokeSuccess: any;
            textColorStrokeHoverSuccess: any;
            textColorStrokePressedSuccess: any;
            textColorStrokeFocusSuccess: any;
            borderStrokeSuccess: string;
            borderStrokeHoverSuccess: string;
            borderStrokePressedSuccess: string;
            borderStrokeFocusSuccess: string;
            borderSuccess: string;
            borderHoverSuccess: string;
            borderPressedSuccess: string;
            borderFocusSuccess: string;
            rippleColorSuccess: any;
            colorWarning: any;
            colorHoverWarning: any;
            colorPressedWarning: any;
            colorFocusWarning: any;
            textColorWarning: string;
            textColorHoverWarning: string;
            textColorPressedWarning: string;
            textColorFocusWarning: string;
            textColorTextWarning: any;
            textColorTextHoverWarning: any;
            textColorTextPressedWarning: any;
            textColorTextFocusWarning: any;
            colorGhostHoverWarning: any;
            textColorGhostWarning: any;
            textColorGhostHoverWarning: any;
            textColorGhostPressedWarning: any;
            textColorGhostFocusWarning: any;
            colorLighterWarning: any;
            textColorLighterWarning: any;
            textColorLighterHoverWarning: any;
            textColorLighterPressedWarning: any;
            textColorLighterFocusWarning: any;
            borderLighterHoverWarning: string;
            borderLighterPressedWarning: string;
            borderLighterFocusWarning: string;
            colorStrokeHoverWarning: any;
            colorStrokePressedWarning: any;
            colorStrokeFocusWarning: any;
            textColorStrokeWarning: any;
            textColorStrokeHoverWarning: any;
            textColorStrokePressedWarning: any;
            textColorStrokeFocusWarning: any;
            borderStrokeWarning: string;
            borderStrokeHoverWarning: string;
            borderStrokePressedWarning: string;
            borderStrokeFocusWarning: string;
            borderWarning: string;
            borderHoverWarning: string;
            borderPressedWarning: string;
            borderFocusWarning: string;
            rippleColorWarning: any;
            colorError: any;
            colorHoverError: any;
            colorPressedError: any;
            colorFocusError: any;
            textColorError: string;
            textColorHoverError: string;
            textColorPressedError: string;
            textColorFocusError: string;
            textColorTextError: any;
            textColorTextHoverError: any;
            textColorTextPressedError: any;
            textColorTextFocusError: any;
            colorGhostHoverError: any;
            textColorGhostError: any;
            textColorGhostHoverError: any;
            textColorGhostPressedError: any;
            textColorGhostFocusError: any;
            colorLighterError: any;
            textColorLighterError: any;
            textColorLighterHoverError: any;
            textColorLighterPressedError: any;
            textColorLighterFocusError: any;
            borderLighterHoverError: string;
            borderLighterPressedError: string;
            borderLighterFocusError: string;
            colorStrokeHoverError: any;
            colorStrokePressedError: any;
            colorStrokeFocusError: any;
            textColorStrokeError: any;
            textColorStrokeHoverError: any;
            textColorStrokePressedError: any;
            textColorStrokeFocusError: any;
            borderStrokeError: string;
            borderStrokeHoverError: string;
            borderStrokePressedError: string;
            borderStrokeFocusError: string;
            borderError: string;
            borderHoverError: string;
            borderPressedError: string;
            borderFocusError: string;
            rippleColorError: any;
            waveOpacity: string;
            fontWeight: string;
            fontWeightStrong: string;
            opacityDisabled: string;
            colorDisabled: any;
            textColorDisabled: any;
            iconColorDisabled: any;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            paddingRoundTiny: string;
            paddingRoundSmall: string;
            paddingRoundMedium: string;
            paddingRoundLarge: string;
            iconMarginTiny: string;
            iconMarginSmall: string;
            iconMarginMedium: string;
            iconMarginLarge: string;
            iconSizeTiny: string;
            iconSizeSmall: string;
            iconSizeMedium: string;
            iconSizeLarge: string;
            rippleDuration: string;
        }, any>;
    }>>;
    readonly themeOverrides: PropType<import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"Calendar", {
        borderRadius: string;
        borderColor: string;
        borderColorModal: string;
        borderColorPopover: string;
        textColor: string;
        titleFontWeight: string;
        titleTextColor: string;
        dayTextColor: string;
        fontSize: string;
        lineHeight: string;
        dateColorCurrent: any;
        dateTextColorCurrent: string;
        cellColorHover: string;
        cellColorHoverModal: string;
        cellColorHoverPopover: string;
        cellColor: string;
        cellColorModal: string;
        cellColorPopover: string;
        barColor: any;
        titleFontSize: string;
    }, {
        Button: import("../../_mixins").Theme<"Button", {
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            borderRadiusTiny: string;
            borderRadiusSmall: string;
            borderRadiusMedium: string;
            borderRadiusLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            colorPrimary: any;
            colorHoverPrimary: any;
            colorPressedPrimary: any;
            colorFocusPrimary: any;
            textColorPrimary: any;
            textColorHoverPrimary: any;
            textColorPressedPrimary: any;
            textColorFocusPrimary: any;
            textColorTextPrimary: any;
            textColorTextHoverPrimary: any;
            textColorTextPressedPrimary: any;
            textColorTextFocusPrimary: any;
            colorGhostHoverPrimary: any;
            textColorGhostPrimary: any;
            textColorGhostHoverPrimary: any;
            textColorGhostPressedPrimary: any;
            textColorGhostFocusPrimary: any;
            colorLighterPrimary: any;
            colorHoverLighterPrimary: any;
            colorPressedLighterPrimary: any;
            colorFocusLighterPrimary: any;
            textColorLighterPrimary: any;
            textColorLighterHoverPrimary: any;
            textColorLighterPressedPrimary: any;
            textColorLighterFocusPrimary: any;
            borderLighterHoverPrimary: string;
            borderLighterPressedPrimary: string;
            borderLighterFocusPrimary: string;
            colorStrokeHoverPrimary: any;
            colorStrokePressedPrimary: any;
            colorStrokeFocusPrimary: any;
            textColorStrokePrimary: any;
            textColorStrokeHoverPrimary: any;
            textColorStrokePressedPrimary: any;
            textColorStrokeFocusPrimary: any;
            borderStrokePrimary: string;
            borderStrokeHoverPrimary: string;
            borderStrokePressedPrimary: string;
            borderStrokeFocusPrimary: string;
            borderPrimary: string;
            borderHoverPrimary: string;
            borderPressedPrimary: string;
            borderFocusPrimary: string;
            rippleColorPrimary: any;
            colorNeutral: any;
            colorHoverNeutral: any;
            colorPressedNeutral: any;
            colorFocusNeutral: any;
            textColorNeutral: string;
            textColorHoverNeutral: string;
            textColorPressedNeutral: string;
            textColorFocusNeutral: string;
            textColorTextNeutral: any;
            textColorTextHoverNeutral: any;
            textColorTextPressedNeutral: any;
            textColorTextFocusNeutral: any;
            colorGhostHoverNeutral: any;
            colorPressedNeutralGhost: any;
            colorFocusNeutralGhost: any;
            textColorGhostNeutral: any;
            textColorGhostHoverNeutral: any;
            textColorGhostPressedNeutral: any;
            textColorGhostFocusNeutral: any;
            colorLighterNeutral: any;
            colorPressedNeutralLighter: any;
            colorFocusNeutralLighter: any;
            textColorLighterNeutral: any;
            textColorLighterHoverNeutral: any;
            textColorLighterPressedNeutral: any;
            textColorLighterFocusNeutral: any;
            borderLighterHoverNeutral: string;
            borderLighterPressedNeutral: string;
            borderLighterFocusNeutral: string;
            colorStrokeHoverNeutral: any;
            colorStrokePressedNeutral: any;
            colorStrokeFocusNeutral: any;
            textColorStrokeNeutral: any;
            textColorStrokeHoverNeutral: any;
            textColorStrokePressedNeutral: any;
            textColorStrokeFocusNeutral: any;
            borderStrokeNeutral: string;
            borderStrokeHoverNeutral: string;
            borderStrokePressedNeutral: string;
            borderStrokeFocusNeutral: string;
            borderNeutral: string;
            borderHoverNeutral: string;
            borderPressedNeutral: string;
            borderFocusNeutral: string;
            rippleColorNeutral: any;
            colorSuccess: any;
            colorHoverSuccess: any;
            colorPressedSuccess: any;
            colorFocusSuccess: any;
            textColorSuccess: string;
            textColorHoverSuccess: string;
            textColorPressedSuccess: string;
            textColorFocusSuccess: string;
            textColorTextSuccess: any;
            textColorTextHoverSuccess: any;
            textColorTextPressedSuccess: any;
            textColorTextFocusSuccess: any;
            colorGhostHoverSuccess: any;
            textColorGhostSuccess: any;
            textColorGhostHoverSuccess: any;
            textColorGhostPressedSuccess: any;
            textColorGhostFocusSuccess: any;
            colorLighterSuccess: any;
            textColorLighterSuccess: any;
            textColorLighterHoverSuccess: any;
            textColorLighterPressedSuccess: any;
            textColorLighterFocusSuccess: any;
            borderLighterHoverSuccess: string;
            borderLighterPressedSuccess: string;
            borderLighterFocusSuccess: string;
            colorStrokeHoverSuccess: any;
            colorStrokePressedSuccess: any;
            colorStrokeFocusSuccess: any;
            textColorStrokeSuccess: any;
            textColorStrokeHoverSuccess: any;
            textColorStrokePressedSuccess: any;
            textColorStrokeFocusSuccess: any;
            borderStrokeSuccess: string;
            borderStrokeHoverSuccess: string;
            borderStrokePressedSuccess: string;
            borderStrokeFocusSuccess: string;
            borderSuccess: string;
            borderHoverSuccess: string;
            borderPressedSuccess: string;
            borderFocusSuccess: string;
            rippleColorSuccess: any;
            colorWarning: any;
            colorHoverWarning: any;
            colorPressedWarning: any;
            colorFocusWarning: any;
            textColorWarning: string;
            textColorHoverWarning: string;
            textColorPressedWarning: string;
            textColorFocusWarning: string;
            textColorTextWarning: any;
            textColorTextHoverWarning: any;
            textColorTextPressedWarning: any;
            textColorTextFocusWarning: any;
            colorGhostHoverWarning: any;
            textColorGhostWarning: any;
            textColorGhostHoverWarning: any;
            textColorGhostPressedWarning: any;
            textColorGhostFocusWarning: any;
            colorLighterWarning: any;
            textColorLighterWarning: any;
            textColorLighterHoverWarning: any;
            textColorLighterPressedWarning: any;
            textColorLighterFocusWarning: any;
            borderLighterHoverWarning: string;
            borderLighterPressedWarning: string;
            borderLighterFocusWarning: string;
            colorStrokeHoverWarning: any;
            colorStrokePressedWarning: any;
            colorStrokeFocusWarning: any;
            textColorStrokeWarning: any;
            textColorStrokeHoverWarning: any;
            textColorStrokePressedWarning: any;
            textColorStrokeFocusWarning: any;
            borderStrokeWarning: string;
            borderStrokeHoverWarning: string;
            borderStrokePressedWarning: string;
            borderStrokeFocusWarning: string;
            borderWarning: string;
            borderHoverWarning: string;
            borderPressedWarning: string;
            borderFocusWarning: string;
            rippleColorWarning: any;
            colorError: any;
            colorHoverError: any;
            colorPressedError: any;
            colorFocusError: any;
            textColorError: string;
            textColorHoverError: string;
            textColorPressedError: string;
            textColorFocusError: string;
            textColorTextError: any;
            textColorTextHoverError: any;
            textColorTextPressedError: any;
            textColorTextFocusError: any;
            colorGhostHoverError: any;
            textColorGhostError: any;
            textColorGhostHoverError: any;
            textColorGhostPressedError: any;
            textColorGhostFocusError: any;
            colorLighterError: any;
            textColorLighterError: any;
            textColorLighterHoverError: any;
            textColorLighterPressedError: any;
            textColorLighterFocusError: any;
            borderLighterHoverError: string;
            borderLighterPressedError: string;
            borderLighterFocusError: string;
            colorStrokeHoverError: any;
            colorStrokePressedError: any;
            colorStrokeFocusError: any;
            textColorStrokeError: any;
            textColorStrokeHoverError: any;
            textColorStrokePressedError: any;
            textColorStrokeFocusError: any;
            borderStrokeError: string;
            borderStrokeHoverError: string;
            borderStrokePressedError: string;
            borderStrokeFocusError: string;
            borderError: string;
            borderHoverError: string;
            borderPressedError: string;
            borderFocusError: string;
            rippleColorError: any;
            waveOpacity: string;
            fontWeight: string;
            fontWeightStrong: string;
            opacityDisabled: string;
            colorDisabled: any;
            textColorDisabled: any;
            iconColorDisabled: any;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            paddingRoundTiny: string;
            paddingRoundSmall: string;
            paddingRoundMedium: string;
            paddingRoundLarge: string;
            iconMarginTiny: string;
            iconMarginSmall: string;
            iconMarginMedium: string;
            iconMarginLarge: string;
            iconSizeTiny: string;
            iconSizeSmall: string;
            iconSizeMedium: string;
            iconSizeLarge: string;
            rippleDuration: string;
        }, any>;
    }>>>;
    readonly builtinThemeOverrides: PropType<import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"Calendar", {
        borderRadius: string;
        borderColor: string;
        borderColorModal: string;
        borderColorPopover: string;
        textColor: string;
        titleFontWeight: string;
        titleTextColor: string;
        dayTextColor: string;
        fontSize: string;
        lineHeight: string;
        dateColorCurrent: any;
        dateTextColorCurrent: string;
        cellColorHover: string;
        cellColorHoverModal: string;
        cellColorHoverPopover: string;
        cellColor: string;
        cellColorModal: string;
        cellColorPopover: string;
        barColor: any;
        titleFontSize: string;
    }, {
        Button: import("../../_mixins").Theme<"Button", {
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            borderRadiusTiny: string;
            borderRadiusSmall: string;
            borderRadiusMedium: string;
            borderRadiusLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            colorPrimary: any;
            colorHoverPrimary: any;
            colorPressedPrimary: any;
            colorFocusPrimary: any;
            textColorPrimary: any;
            textColorHoverPrimary: any;
            textColorPressedPrimary: any;
            textColorFocusPrimary: any;
            textColorTextPrimary: any;
            textColorTextHoverPrimary: any;
            textColorTextPressedPrimary: any;
            textColorTextFocusPrimary: any;
            colorGhostHoverPrimary: any;
            textColorGhostPrimary: any;
            textColorGhostHoverPrimary: any;
            textColorGhostPressedPrimary: any;
            textColorGhostFocusPrimary: any;
            colorLighterPrimary: any;
            colorHoverLighterPrimary: any;
            colorPressedLighterPrimary: any;
            colorFocusLighterPrimary: any;
            textColorLighterPrimary: any;
            textColorLighterHoverPrimary: any;
            textColorLighterPressedPrimary: any;
            textColorLighterFocusPrimary: any;
            borderLighterHoverPrimary: string;
            borderLighterPressedPrimary: string;
            borderLighterFocusPrimary: string;
            colorStrokeHoverPrimary: any;
            colorStrokePressedPrimary: any;
            colorStrokeFocusPrimary: any;
            textColorStrokePrimary: any;
            textColorStrokeHoverPrimary: any;
            textColorStrokePressedPrimary: any;
            textColorStrokeFocusPrimary: any;
            borderStrokePrimary: string;
            borderStrokeHoverPrimary: string;
            borderStrokePressedPrimary: string;
            borderStrokeFocusPrimary: string;
            borderPrimary: string;
            borderHoverPrimary: string;
            borderPressedPrimary: string;
            borderFocusPrimary: string;
            rippleColorPrimary: any;
            colorNeutral: any;
            colorHoverNeutral: any;
            colorPressedNeutral: any;
            colorFocusNeutral: any;
            textColorNeutral: string;
            textColorHoverNeutral: string;
            textColorPressedNeutral: string;
            textColorFocusNeutral: string;
            textColorTextNeutral: any;
            textColorTextHoverNeutral: any;
            textColorTextPressedNeutral: any;
            textColorTextFocusNeutral: any;
            colorGhostHoverNeutral: any;
            colorPressedNeutralGhost: any;
            colorFocusNeutralGhost: any;
            textColorGhostNeutral: any;
            textColorGhostHoverNeutral: any;
            textColorGhostPressedNeutral: any;
            textColorGhostFocusNeutral: any;
            colorLighterNeutral: any;
            colorPressedNeutralLighter: any;
            colorFocusNeutralLighter: any;
            textColorLighterNeutral: any;
            textColorLighterHoverNeutral: any;
            textColorLighterPressedNeutral: any;
            textColorLighterFocusNeutral: any;
            borderLighterHoverNeutral: string;
            borderLighterPressedNeutral: string;
            borderLighterFocusNeutral: string;
            colorStrokeHoverNeutral: any;
            colorStrokePressedNeutral: any;
            colorStrokeFocusNeutral: any;
            textColorStrokeNeutral: any;
            textColorStrokeHoverNeutral: any;
            textColorStrokePressedNeutral: any;
            textColorStrokeFocusNeutral: any;
            borderStrokeNeutral: string;
            borderStrokeHoverNeutral: string;
            borderStrokePressedNeutral: string;
            borderStrokeFocusNeutral: string;
            borderNeutral: string;
            borderHoverNeutral: string;
            borderPressedNeutral: string;
            borderFocusNeutral: string;
            rippleColorNeutral: any;
            colorSuccess: any;
            colorHoverSuccess: any;
            colorPressedSuccess: any;
            colorFocusSuccess: any;
            textColorSuccess: string;
            textColorHoverSuccess: string;
            textColorPressedSuccess: string;
            textColorFocusSuccess: string;
            textColorTextSuccess: any;
            textColorTextHoverSuccess: any;
            textColorTextPressedSuccess: any;
            textColorTextFocusSuccess: any;
            colorGhostHoverSuccess: any;
            textColorGhostSuccess: any;
            textColorGhostHoverSuccess: any;
            textColorGhostPressedSuccess: any;
            textColorGhostFocusSuccess: any;
            colorLighterSuccess: any;
            textColorLighterSuccess: any;
            textColorLighterHoverSuccess: any;
            textColorLighterPressedSuccess: any;
            textColorLighterFocusSuccess: any;
            borderLighterHoverSuccess: string;
            borderLighterPressedSuccess: string;
            borderLighterFocusSuccess: string;
            colorStrokeHoverSuccess: any;
            colorStrokePressedSuccess: any;
            colorStrokeFocusSuccess: any;
            textColorStrokeSuccess: any;
            textColorStrokeHoverSuccess: any;
            textColorStrokePressedSuccess: any;
            textColorStrokeFocusSuccess: any;
            borderStrokeSuccess: string;
            borderStrokeHoverSuccess: string;
            borderStrokePressedSuccess: string;
            borderStrokeFocusSuccess: string;
            borderSuccess: string;
            borderHoverSuccess: string;
            borderPressedSuccess: string;
            borderFocusSuccess: string;
            rippleColorSuccess: any;
            colorWarning: any;
            colorHoverWarning: any;
            colorPressedWarning: any;
            colorFocusWarning: any;
            textColorWarning: string;
            textColorHoverWarning: string;
            textColorPressedWarning: string;
            textColorFocusWarning: string;
            textColorTextWarning: any;
            textColorTextHoverWarning: any;
            textColorTextPressedWarning: any;
            textColorTextFocusWarning: any;
            colorGhostHoverWarning: any;
            textColorGhostWarning: any;
            textColorGhostHoverWarning: any;
            textColorGhostPressedWarning: any;
            textColorGhostFocusWarning: any;
            colorLighterWarning: any;
            textColorLighterWarning: any;
            textColorLighterHoverWarning: any;
            textColorLighterPressedWarning: any;
            textColorLighterFocusWarning: any;
            borderLighterHoverWarning: string;
            borderLighterPressedWarning: string;
            borderLighterFocusWarning: string;
            colorStrokeHoverWarning: any;
            colorStrokePressedWarning: any;
            colorStrokeFocusWarning: any;
            textColorStrokeWarning: any;
            textColorStrokeHoverWarning: any;
            textColorStrokePressedWarning: any;
            textColorStrokeFocusWarning: any;
            borderStrokeWarning: string;
            borderStrokeHoverWarning: string;
            borderStrokePressedWarning: string;
            borderStrokeFocusWarning: string;
            borderWarning: string;
            borderHoverWarning: string;
            borderPressedWarning: string;
            borderFocusWarning: string;
            rippleColorWarning: any;
            colorError: any;
            colorHoverError: any;
            colorPressedError: any;
            colorFocusError: any;
            textColorError: string;
            textColorHoverError: string;
            textColorPressedError: string;
            textColorFocusError: string;
            textColorTextError: any;
            textColorTextHoverError: any;
            textColorTextPressedError: any;
            textColorTextFocusError: any;
            colorGhostHoverError: any;
            textColorGhostError: any;
            textColorGhostHoverError: any;
            textColorGhostPressedError: any;
            textColorGhostFocusError: any;
            colorLighterError: any;
            textColorLighterError: any;
            textColorLighterHoverError: any;
            textColorLighterPressedError: any;
            textColorLighterFocusError: any;
            borderLighterHoverError: string;
            borderLighterPressedError: string;
            borderLighterFocusError: string;
            colorStrokeHoverError: any;
            colorStrokePressedError: any;
            colorStrokeFocusError: any;
            textColorStrokeError: any;
            textColorStrokeHoverError: any;
            textColorStrokePressedError: any;
            textColorStrokeFocusError: any;
            borderStrokeError: string;
            borderStrokeHoverError: string;
            borderStrokePressedError: string;
            borderStrokeFocusError: string;
            borderError: string;
            borderHoverError: string;
            borderPressedError: string;
            borderFocusError: string;
            rippleColorError: any;
            waveOpacity: string;
            fontWeight: string;
            fontWeightStrong: string;
            opacityDisabled: string;
            colorDisabled: any;
            textColorDisabled: any;
            iconColorDisabled: any;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            paddingRoundTiny: string;
            paddingRoundSmall: string;
            paddingRoundMedium: string;
            paddingRoundLarge: string;
            iconMarginTiny: string;
            iconMarginSmall: string;
            iconMarginMedium: string;
            iconMarginLarge: string;
            iconSizeTiny: string;
            iconSizeSmall: string;
            iconSizeMedium: string;
            iconSizeLarge: string;
            rippleDuration: string;
        }, any>;
    }>>>;
}>, {
    mergedClsPrefix: import("vue").Ref<string, string>;
    locale: import("vue").Ref<{
        yearFormat: string;
        monthFormat: string;
        dayFormat: string;
        yearTypeFormat: string;
        monthTypeFormat: string;
        dateFormat: string;
        dateTimeFormat: string;
        quarterFormat: string;
        weekFormat: string;
        clear: string;
        now: string;
        confirm: string;
        selectTime: string;
        selectDate: string;
        datePlaceholder: string;
        datetimePlaceholder: string;
        monthPlaceholder: string;
        yearPlaceholder: string;
        quarterPlaceholder: string;
        weekPlaceholder: string;
        startDatePlaceholder: string;
        endDatePlaceholder: string;
        startDatetimePlaceholder: string;
        endDatetimePlaceholder: string;
        startMonthPlaceholder: string;
        endMonthPlaceholder: string;
        monthBeforeYear: boolean;
        firstDayOfWeek: 0 | 1 | 2 | 3 | 4 | 5 | 6;
        today: string;
    }, {
        yearFormat: string;
        monthFormat: string;
        dayFormat: string;
        yearTypeFormat: string;
        monthTypeFormat: string;
        dateFormat: string;
        dateTimeFormat: string;
        quarterFormat: string;
        weekFormat: string;
        clear: string;
        now: string;
        confirm: string;
        selectTime: string;
        selectDate: string;
        datePlaceholder: string;
        datetimePlaceholder: string;
        monthPlaceholder: string;
        yearPlaceholder: string;
        quarterPlaceholder: string;
        weekPlaceholder: string;
        startDatePlaceholder: string;
        endDatePlaceholder: string;
        startDatetimePlaceholder: string;
        endDatetimePlaceholder: string;
        startMonthPlaceholder: string;
        endMonthPlaceholder: string;
        monthBeforeYear: boolean;
        firstDayOfWeek: 0 | 1 | 2 | 3 | 4 | 5 | 6;
        today: string;
    }>;
    dateLocale: import("vue").Ref<import("../..").NDateLocale, import("../..").NDateLocale>;
    now: number;
    mergedValue: import("vue").ComputedRef<number | null>;
    monthTs: import("vue").Ref<number, number>;
    dateItems: import("vue").ComputedRef<import("../../date-picker/src/utils").DateItem[]>;
    doUpdateValue: (value: number, time: DateItem) => void;
    handleTodayClick: () => void;
    handlePrevClick: () => void;
    handleNextClick: () => void;
    mergedTheme: import("vue").ComputedRef<{
        common: import("../..").ThemeCommonVars;
        self: {
            borderRadius: string;
            borderColor: string;
            borderColorModal: string;
            borderColorPopover: string;
            textColor: string;
            titleFontWeight: string;
            titleTextColor: string;
            dayTextColor: string;
            fontSize: string;
            lineHeight: string;
            dateColorCurrent: any;
            dateTextColorCurrent: string;
            cellColorHover: string;
            cellColorHoverModal: string;
            cellColorHoverPopover: string;
            cellColor: string;
            cellColorModal: string;
            cellColorPopover: string;
            barColor: any;
            titleFontSize: string;
        };
        peers: {
            Button: import("../../_mixins").Theme<"Button", {
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                borderRadiusTiny: string;
                borderRadiusSmall: string;
                borderRadiusMedium: string;
                borderRadiusLarge: string;
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                colorPrimary: any;
                colorHoverPrimary: any;
                colorPressedPrimary: any;
                colorFocusPrimary: any;
                textColorPrimary: any;
                textColorHoverPrimary: any;
                textColorPressedPrimary: any;
                textColorFocusPrimary: any;
                textColorTextPrimary: any;
                textColorTextHoverPrimary: any;
                textColorTextPressedPrimary: any;
                textColorTextFocusPrimary: any;
                colorGhostHoverPrimary: any;
                textColorGhostPrimary: any;
                textColorGhostHoverPrimary: any;
                textColorGhostPressedPrimary: any;
                textColorGhostFocusPrimary: any;
                colorLighterPrimary: any;
                colorHoverLighterPrimary: any;
                colorPressedLighterPrimary: any;
                colorFocusLighterPrimary: any;
                textColorLighterPrimary: any;
                textColorLighterHoverPrimary: any;
                textColorLighterPressedPrimary: any;
                textColorLighterFocusPrimary: any;
                borderLighterHoverPrimary: string;
                borderLighterPressedPrimary: string;
                borderLighterFocusPrimary: string;
                colorStrokeHoverPrimary: any;
                colorStrokePressedPrimary: any;
                colorStrokeFocusPrimary: any;
                textColorStrokePrimary: any;
                textColorStrokeHoverPrimary: any;
                textColorStrokePressedPrimary: any;
                textColorStrokeFocusPrimary: any;
                borderStrokePrimary: string;
                borderStrokeHoverPrimary: string;
                borderStrokePressedPrimary: string;
                borderStrokeFocusPrimary: string;
                borderPrimary: string;
                borderHoverPrimary: string;
                borderPressedPrimary: string;
                borderFocusPrimary: string;
                rippleColorPrimary: any;
                colorNeutral: any;
                colorHoverNeutral: any;
                colorPressedNeutral: any;
                colorFocusNeutral: any;
                textColorNeutral: string;
                textColorHoverNeutral: string;
                textColorPressedNeutral: string;
                textColorFocusNeutral: string;
                textColorTextNeutral: any;
                textColorTextHoverNeutral: any;
                textColorTextPressedNeutral: any;
                textColorTextFocusNeutral: any;
                colorGhostHoverNeutral: any;
                colorPressedNeutralGhost: any;
                colorFocusNeutralGhost: any;
                textColorGhostNeutral: any;
                textColorGhostHoverNeutral: any;
                textColorGhostPressedNeutral: any;
                textColorGhostFocusNeutral: any;
                colorLighterNeutral: any;
                colorPressedNeutralLighter: any;
                colorFocusNeutralLighter: any;
                textColorLighterNeutral: any;
                textColorLighterHoverNeutral: any;
                textColorLighterPressedNeutral: any;
                textColorLighterFocusNeutral: any;
                borderLighterHoverNeutral: string;
                borderLighterPressedNeutral: string;
                borderLighterFocusNeutral: string;
                colorStrokeHoverNeutral: any;
                colorStrokePressedNeutral: any;
                colorStrokeFocusNeutral: any;
                textColorStrokeNeutral: any;
                textColorStrokeHoverNeutral: any;
                textColorStrokePressedNeutral: any;
                textColorStrokeFocusNeutral: any;
                borderStrokeNeutral: string;
                borderStrokeHoverNeutral: string;
                borderStrokePressedNeutral: string;
                borderStrokeFocusNeutral: string;
                borderNeutral: string;
                borderHoverNeutral: string;
                borderPressedNeutral: string;
                borderFocusNeutral: string;
                rippleColorNeutral: any;
                colorSuccess: any;
                colorHoverSuccess: any;
                colorPressedSuccess: any;
                colorFocusSuccess: any;
                textColorSuccess: string;
                textColorHoverSuccess: string;
                textColorPressedSuccess: string;
                textColorFocusSuccess: string;
                textColorTextSuccess: any;
                textColorTextHoverSuccess: any;
                textColorTextPressedSuccess: any;
                textColorTextFocusSuccess: any;
                colorGhostHoverSuccess: any;
                textColorGhostSuccess: any;
                textColorGhostHoverSuccess: any;
                textColorGhostPressedSuccess: any;
                textColorGhostFocusSuccess: any;
                colorLighterSuccess: any;
                textColorLighterSuccess: any;
                textColorLighterHoverSuccess: any;
                textColorLighterPressedSuccess: any;
                textColorLighterFocusSuccess: any;
                borderLighterHoverSuccess: string;
                borderLighterPressedSuccess: string;
                borderLighterFocusSuccess: string;
                colorStrokeHoverSuccess: any;
                colorStrokePressedSuccess: any;
                colorStrokeFocusSuccess: any;
                textColorStrokeSuccess: any;
                textColorStrokeHoverSuccess: any;
                textColorStrokePressedSuccess: any;
                textColorStrokeFocusSuccess: any;
                borderStrokeSuccess: string;
                borderStrokeHoverSuccess: string;
                borderStrokePressedSuccess: string;
                borderStrokeFocusSuccess: string;
                borderSuccess: string;
                borderHoverSuccess: string;
                borderPressedSuccess: string;
                borderFocusSuccess: string;
                rippleColorSuccess: any;
                colorWarning: any;
                colorHoverWarning: any;
                colorPressedWarning: any;
                colorFocusWarning: any;
                textColorWarning: string;
                textColorHoverWarning: string;
                textColorPressedWarning: string;
                textColorFocusWarning: string;
                textColorTextWarning: any;
                textColorTextHoverWarning: any;
                textColorTextPressedWarning: any;
                textColorTextFocusWarning: any;
                colorGhostHoverWarning: any;
                textColorGhostWarning: any;
                textColorGhostHoverWarning: any;
                textColorGhostPressedWarning: any;
                textColorGhostFocusWarning: any;
                colorLighterWarning: any;
                textColorLighterWarning: any;
                textColorLighterHoverWarning: any;
                textColorLighterPressedWarning: any;
                textColorLighterFocusWarning: any;
                borderLighterHoverWarning: string;
                borderLighterPressedWarning: string;
                borderLighterFocusWarning: string;
                colorStrokeHoverWarning: any;
                colorStrokePressedWarning: any;
                colorStrokeFocusWarning: any;
                textColorStrokeWarning: any;
                textColorStrokeHoverWarning: any;
                textColorStrokePressedWarning: any;
                textColorStrokeFocusWarning: any;
                borderStrokeWarning: string;
                borderStrokeHoverWarning: string;
                borderStrokePressedWarning: string;
                borderStrokeFocusWarning: string;
                borderWarning: string;
                borderHoverWarning: string;
                borderPressedWarning: string;
                borderFocusWarning: string;
                rippleColorWarning: any;
                colorError: any;
                colorHoverError: any;
                colorPressedError: any;
                colorFocusError: any;
                textColorError: string;
                textColorHoverError: string;
                textColorPressedError: string;
                textColorFocusError: string;
                textColorTextError: any;
                textColorTextHoverError: any;
                textColorTextPressedError: any;
                textColorTextFocusError: any;
                colorGhostHoverError: any;
                textColorGhostError: any;
                textColorGhostHoverError: any;
                textColorGhostPressedError: any;
                textColorGhostFocusError: any;
                colorLighterError: any;
                textColorLighterError: any;
                textColorLighterHoverError: any;
                textColorLighterPressedError: any;
                textColorLighterFocusError: any;
                borderLighterHoverError: string;
                borderLighterPressedError: string;
                borderLighterFocusError: string;
                colorStrokeHoverError: any;
                colorStrokePressedError: any;
                colorStrokeFocusError: any;
                textColorStrokeError: any;
                textColorStrokeHoverError: any;
                textColorStrokePressedError: any;
                textColorStrokeFocusError: any;
                borderStrokeError: string;
                borderStrokeHoverError: string;
                borderStrokePressedError: string;
                borderStrokeFocusError: string;
                borderError: string;
                borderHoverError: string;
                borderPressedError: string;
                borderFocusError: string;
                rippleColorError: any;
                waveOpacity: string;
                fontWeight: string;
                fontWeightStrong: string;
                opacityDisabled: string;
                colorDisabled: any;
                textColorDisabled: any;
                iconColorDisabled: any;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                paddingRoundTiny: string;
                paddingRoundSmall: string;
                paddingRoundMedium: string;
                paddingRoundLarge: string;
                iconMarginTiny: string;
                iconMarginSmall: string;
                iconMarginMedium: string;
                iconMarginLarge: string;
                iconSizeTiny: string;
                iconSizeSmall: string;
                iconSizeMedium: string;
                iconSizeLarge: string;
                rippleDuration: string;
            }, any>;
        };
        peerOverrides: {
            Button?: {
                peers?: {
                    [x: string]: any;
                } | undefined;
            } | undefined;
        };
    }>;
    cssVars: import("vue").ComputedRef<{
        '--n-bezier': string;
        '--n-border-color': string;
        '--n-border-color-modal': string;
        '--n-border-color-popover': string;
        '--n-border-radius': string;
        '--n-text-color': string;
        '--n-title-font-weight': string;
        '--n-title-font-size': string;
        '--n-title-text-color': string;
        '--n-day-text-color': string;
        '--n-font-size': string;
        '--n-line-height': string;
        '--n-date-color-current': any;
        '--n-date-text-color-current': string;
        '--n-cell-color': string;
        '--n-cell-color-modal': string;
        '--n-cell-color-popover': string;
        '--n-cell-color-hover': string;
        '--n-cell-color-hover-modal': string;
        '--n-cell-color-hover-popover': string;
        '--n-bar-color': any;
    }> | undefined;
    themeClass: import("vue").Ref<string, string> | undefined;
    onRender: (() => void) | undefined;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    readonly isDateDisabled: PropType<(date: number) => boolean | undefined>;
    readonly value: NumberConstructor;
    readonly defaultValue: {
        readonly type: PropType<number | null>;
        readonly default: null;
    };
    readonly onPanelChange: PropType<OnPanelChange>;
    readonly 'onUpdate:value': PropType<MaybeArray<OnUpdateValue>>;
    readonly onUpdateValue: PropType<MaybeArray<OnUpdateValue>>;
    readonly theme: PropType<import("../../_mixins").Theme<"Calendar", {
        borderRadius: string;
        borderColor: string;
        borderColorModal: string;
        borderColorPopover: string;
        textColor: string;
        titleFontWeight: string;
        titleTextColor: string;
        dayTextColor: string;
        fontSize: string;
        lineHeight: string;
        dateColorCurrent: any;
        dateTextColorCurrent: string;
        cellColorHover: string;
        cellColorHoverModal: string;
        cellColorHoverPopover: string;
        cellColor: string;
        cellColorModal: string;
        cellColorPopover: string;
        barColor: any;
        titleFontSize: string;
    }, {
        Button: import("../../_mixins").Theme<"Button", {
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            borderRadiusTiny: string;
            borderRadiusSmall: string;
            borderRadiusMedium: string;
            borderRadiusLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            colorPrimary: any;
            colorHoverPrimary: any;
            colorPressedPrimary: any;
            colorFocusPrimary: any;
            textColorPrimary: any;
            textColorHoverPrimary: any;
            textColorPressedPrimary: any;
            textColorFocusPrimary: any;
            textColorTextPrimary: any;
            textColorTextHoverPrimary: any;
            textColorTextPressedPrimary: any;
            textColorTextFocusPrimary: any;
            colorGhostHoverPrimary: any;
            textColorGhostPrimary: any;
            textColorGhostHoverPrimary: any;
            textColorGhostPressedPrimary: any;
            textColorGhostFocusPrimary: any;
            colorLighterPrimary: any;
            colorHoverLighterPrimary: any;
            colorPressedLighterPrimary: any;
            colorFocusLighterPrimary: any;
            textColorLighterPrimary: any;
            textColorLighterHoverPrimary: any;
            textColorLighterPressedPrimary: any;
            textColorLighterFocusPrimary: any;
            borderLighterHoverPrimary: string;
            borderLighterPressedPrimary: string;
            borderLighterFocusPrimary: string;
            colorStrokeHoverPrimary: any;
            colorStrokePressedPrimary: any;
            colorStrokeFocusPrimary: any;
            textColorStrokePrimary: any;
            textColorStrokeHoverPrimary: any;
            textColorStrokePressedPrimary: any;
            textColorStrokeFocusPrimary: any;
            borderStrokePrimary: string;
            borderStrokeHoverPrimary: string;
            borderStrokePressedPrimary: string;
            borderStrokeFocusPrimary: string;
            borderPrimary: string;
            borderHoverPrimary: string;
            borderPressedPrimary: string;
            borderFocusPrimary: string;
            rippleColorPrimary: any;
            colorNeutral: any;
            colorHoverNeutral: any;
            colorPressedNeutral: any;
            colorFocusNeutral: any;
            textColorNeutral: string;
            textColorHoverNeutral: string;
            textColorPressedNeutral: string;
            textColorFocusNeutral: string;
            textColorTextNeutral: any;
            textColorTextHoverNeutral: any;
            textColorTextPressedNeutral: any;
            textColorTextFocusNeutral: any;
            colorGhostHoverNeutral: any;
            colorPressedNeutralGhost: any;
            colorFocusNeutralGhost: any;
            textColorGhostNeutral: any;
            textColorGhostHoverNeutral: any;
            textColorGhostPressedNeutral: any;
            textColorGhostFocusNeutral: any;
            colorLighterNeutral: any;
            colorPressedNeutralLighter: any;
            colorFocusNeutralLighter: any;
            textColorLighterNeutral: any;
            textColorLighterHoverNeutral: any;
            textColorLighterPressedNeutral: any;
            textColorLighterFocusNeutral: any;
            borderLighterHoverNeutral: string;
            borderLighterPressedNeutral: string;
            borderLighterFocusNeutral: string;
            colorStrokeHoverNeutral: any;
            colorStrokePressedNeutral: any;
            colorStrokeFocusNeutral: any;
            textColorStrokeNeutral: any;
            textColorStrokeHoverNeutral: any;
            textColorStrokePressedNeutral: any;
            textColorStrokeFocusNeutral: any;
            borderStrokeNeutral: string;
            borderStrokeHoverNeutral: string;
            borderStrokePressedNeutral: string;
            borderStrokeFocusNeutral: string;
            borderNeutral: string;
            borderHoverNeutral: string;
            borderPressedNeutral: string;
            borderFocusNeutral: string;
            rippleColorNeutral: any;
            colorSuccess: any;
            colorHoverSuccess: any;
            colorPressedSuccess: any;
            colorFocusSuccess: any;
            textColorSuccess: string;
            textColorHoverSuccess: string;
            textColorPressedSuccess: string;
            textColorFocusSuccess: string;
            textColorTextSuccess: any;
            textColorTextHoverSuccess: any;
            textColorTextPressedSuccess: any;
            textColorTextFocusSuccess: any;
            colorGhostHoverSuccess: any;
            textColorGhostSuccess: any;
            textColorGhostHoverSuccess: any;
            textColorGhostPressedSuccess: any;
            textColorGhostFocusSuccess: any;
            colorLighterSuccess: any;
            textColorLighterSuccess: any;
            textColorLighterHoverSuccess: any;
            textColorLighterPressedSuccess: any;
            textColorLighterFocusSuccess: any;
            borderLighterHoverSuccess: string;
            borderLighterPressedSuccess: string;
            borderLighterFocusSuccess: string;
            colorStrokeHoverSuccess: any;
            colorStrokePressedSuccess: any;
            colorStrokeFocusSuccess: any;
            textColorStrokeSuccess: any;
            textColorStrokeHoverSuccess: any;
            textColorStrokePressedSuccess: any;
            textColorStrokeFocusSuccess: any;
            borderStrokeSuccess: string;
            borderStrokeHoverSuccess: string;
            borderStrokePressedSuccess: string;
            borderStrokeFocusSuccess: string;
            borderSuccess: string;
            borderHoverSuccess: string;
            borderPressedSuccess: string;
            borderFocusSuccess: string;
            rippleColorSuccess: any;
            colorWarning: any;
            colorHoverWarning: any;
            colorPressedWarning: any;
            colorFocusWarning: any;
            textColorWarning: string;
            textColorHoverWarning: string;
            textColorPressedWarning: string;
            textColorFocusWarning: string;
            textColorTextWarning: any;
            textColorTextHoverWarning: any;
            textColorTextPressedWarning: any;
            textColorTextFocusWarning: any;
            colorGhostHoverWarning: any;
            textColorGhostWarning: any;
            textColorGhostHoverWarning: any;
            textColorGhostPressedWarning: any;
            textColorGhostFocusWarning: any;
            colorLighterWarning: any;
            textColorLighterWarning: any;
            textColorLighterHoverWarning: any;
            textColorLighterPressedWarning: any;
            textColorLighterFocusWarning: any;
            borderLighterHoverWarning: string;
            borderLighterPressedWarning: string;
            borderLighterFocusWarning: string;
            colorStrokeHoverWarning: any;
            colorStrokePressedWarning: any;
            colorStrokeFocusWarning: any;
            textColorStrokeWarning: any;
            textColorStrokeHoverWarning: any;
            textColorStrokePressedWarning: any;
            textColorStrokeFocusWarning: any;
            borderStrokeWarning: string;
            borderStrokeHoverWarning: string;
            borderStrokePressedWarning: string;
            borderStrokeFocusWarning: string;
            borderWarning: string;
            borderHoverWarning: string;
            borderPressedWarning: string;
            borderFocusWarning: string;
            rippleColorWarning: any;
            colorError: any;
            colorHoverError: any;
            colorPressedError: any;
            colorFocusError: any;
            textColorError: string;
            textColorHoverError: string;
            textColorPressedError: string;
            textColorFocusError: string;
            textColorTextError: any;
            textColorTextHoverError: any;
            textColorTextPressedError: any;
            textColorTextFocusError: any;
            colorGhostHoverError: any;
            textColorGhostError: any;
            textColorGhostHoverError: any;
            textColorGhostPressedError: any;
            textColorGhostFocusError: any;
            colorLighterError: any;
            textColorLighterError: any;
            textColorLighterHoverError: any;
            textColorLighterPressedError: any;
            textColorLighterFocusError: any;
            borderLighterHoverError: string;
            borderLighterPressedError: string;
            borderLighterFocusError: string;
            colorStrokeHoverError: any;
            colorStrokePressedError: any;
            colorStrokeFocusError: any;
            textColorStrokeError: any;
            textColorStrokeHoverError: any;
            textColorStrokePressedError: any;
            textColorStrokeFocusError: any;
            borderStrokeError: string;
            borderStrokeHoverError: string;
            borderStrokePressedError: string;
            borderStrokeFocusError: string;
            borderError: string;
            borderHoverError: string;
            borderPressedError: string;
            borderFocusError: string;
            rippleColorError: any;
            waveOpacity: string;
            fontWeight: string;
            fontWeightStrong: string;
            opacityDisabled: string;
            colorDisabled: any;
            textColorDisabled: any;
            iconColorDisabled: any;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            paddingRoundTiny: string;
            paddingRoundSmall: string;
            paddingRoundMedium: string;
            paddingRoundLarge: string;
            iconMarginTiny: string;
            iconMarginSmall: string;
            iconMarginMedium: string;
            iconMarginLarge: string;
            iconSizeTiny: string;
            iconSizeSmall: string;
            iconSizeMedium: string;
            iconSizeLarge: string;
            rippleDuration: string;
        }, any>;
    }>>;
    readonly themeOverrides: PropType<import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"Calendar", {
        borderRadius: string;
        borderColor: string;
        borderColorModal: string;
        borderColorPopover: string;
        textColor: string;
        titleFontWeight: string;
        titleTextColor: string;
        dayTextColor: string;
        fontSize: string;
        lineHeight: string;
        dateColorCurrent: any;
        dateTextColorCurrent: string;
        cellColorHover: string;
        cellColorHoverModal: string;
        cellColorHoverPopover: string;
        cellColor: string;
        cellColorModal: string;
        cellColorPopover: string;
        barColor: any;
        titleFontSize: string;
    }, {
        Button: import("../../_mixins").Theme<"Button", {
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            borderRadiusTiny: string;
            borderRadiusSmall: string;
            borderRadiusMedium: string;
            borderRadiusLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            colorPrimary: any;
            colorHoverPrimary: any;
            colorPressedPrimary: any;
            colorFocusPrimary: any;
            textColorPrimary: any;
            textColorHoverPrimary: any;
            textColorPressedPrimary: any;
            textColorFocusPrimary: any;
            textColorTextPrimary: any;
            textColorTextHoverPrimary: any;
            textColorTextPressedPrimary: any;
            textColorTextFocusPrimary: any;
            colorGhostHoverPrimary: any;
            textColorGhostPrimary: any;
            textColorGhostHoverPrimary: any;
            textColorGhostPressedPrimary: any;
            textColorGhostFocusPrimary: any;
            colorLighterPrimary: any;
            colorHoverLighterPrimary: any;
            colorPressedLighterPrimary: any;
            colorFocusLighterPrimary: any;
            textColorLighterPrimary: any;
            textColorLighterHoverPrimary: any;
            textColorLighterPressedPrimary: any;
            textColorLighterFocusPrimary: any;
            borderLighterHoverPrimary: string;
            borderLighterPressedPrimary: string;
            borderLighterFocusPrimary: string;
            colorStrokeHoverPrimary: any;
            colorStrokePressedPrimary: any;
            colorStrokeFocusPrimary: any;
            textColorStrokePrimary: any;
            textColorStrokeHoverPrimary: any;
            textColorStrokePressedPrimary: any;
            textColorStrokeFocusPrimary: any;
            borderStrokePrimary: string;
            borderStrokeHoverPrimary: string;
            borderStrokePressedPrimary: string;
            borderStrokeFocusPrimary: string;
            borderPrimary: string;
            borderHoverPrimary: string;
            borderPressedPrimary: string;
            borderFocusPrimary: string;
            rippleColorPrimary: any;
            colorNeutral: any;
            colorHoverNeutral: any;
            colorPressedNeutral: any;
            colorFocusNeutral: any;
            textColorNeutral: string;
            textColorHoverNeutral: string;
            textColorPressedNeutral: string;
            textColorFocusNeutral: string;
            textColorTextNeutral: any;
            textColorTextHoverNeutral: any;
            textColorTextPressedNeutral: any;
            textColorTextFocusNeutral: any;
            colorGhostHoverNeutral: any;
            colorPressedNeutralGhost: any;
            colorFocusNeutralGhost: any;
            textColorGhostNeutral: any;
            textColorGhostHoverNeutral: any;
            textColorGhostPressedNeutral: any;
            textColorGhostFocusNeutral: any;
            colorLighterNeutral: any;
            colorPressedNeutralLighter: any;
            colorFocusNeutralLighter: any;
            textColorLighterNeutral: any;
            textColorLighterHoverNeutral: any;
            textColorLighterPressedNeutral: any;
            textColorLighterFocusNeutral: any;
            borderLighterHoverNeutral: string;
            borderLighterPressedNeutral: string;
            borderLighterFocusNeutral: string;
            colorStrokeHoverNeutral: any;
            colorStrokePressedNeutral: any;
            colorStrokeFocusNeutral: any;
            textColorStrokeNeutral: any;
            textColorStrokeHoverNeutral: any;
            textColorStrokePressedNeutral: any;
            textColorStrokeFocusNeutral: any;
            borderStrokeNeutral: string;
            borderStrokeHoverNeutral: string;
            borderStrokePressedNeutral: string;
            borderStrokeFocusNeutral: string;
            borderNeutral: string;
            borderHoverNeutral: string;
            borderPressedNeutral: string;
            borderFocusNeutral: string;
            rippleColorNeutral: any;
            colorSuccess: any;
            colorHoverSuccess: any;
            colorPressedSuccess: any;
            colorFocusSuccess: any;
            textColorSuccess: string;
            textColorHoverSuccess: string;
            textColorPressedSuccess: string;
            textColorFocusSuccess: string;
            textColorTextSuccess: any;
            textColorTextHoverSuccess: any;
            textColorTextPressedSuccess: any;
            textColorTextFocusSuccess: any;
            colorGhostHoverSuccess: any;
            textColorGhostSuccess: any;
            textColorGhostHoverSuccess: any;
            textColorGhostPressedSuccess: any;
            textColorGhostFocusSuccess: any;
            colorLighterSuccess: any;
            textColorLighterSuccess: any;
            textColorLighterHoverSuccess: any;
            textColorLighterPressedSuccess: any;
            textColorLighterFocusSuccess: any;
            borderLighterHoverSuccess: string;
            borderLighterPressedSuccess: string;
            borderLighterFocusSuccess: string;
            colorStrokeHoverSuccess: any;
            colorStrokePressedSuccess: any;
            colorStrokeFocusSuccess: any;
            textColorStrokeSuccess: any;
            textColorStrokeHoverSuccess: any;
            textColorStrokePressedSuccess: any;
            textColorStrokeFocusSuccess: any;
            borderStrokeSuccess: string;
            borderStrokeHoverSuccess: string;
            borderStrokePressedSuccess: string;
            borderStrokeFocusSuccess: string;
            borderSuccess: string;
            borderHoverSuccess: string;
            borderPressedSuccess: string;
            borderFocusSuccess: string;
            rippleColorSuccess: any;
            colorWarning: any;
            colorHoverWarning: any;
            colorPressedWarning: any;
            colorFocusWarning: any;
            textColorWarning: string;
            textColorHoverWarning: string;
            textColorPressedWarning: string;
            textColorFocusWarning: string;
            textColorTextWarning: any;
            textColorTextHoverWarning: any;
            textColorTextPressedWarning: any;
            textColorTextFocusWarning: any;
            colorGhostHoverWarning: any;
            textColorGhostWarning: any;
            textColorGhostHoverWarning: any;
            textColorGhostPressedWarning: any;
            textColorGhostFocusWarning: any;
            colorLighterWarning: any;
            textColorLighterWarning: any;
            textColorLighterHoverWarning: any;
            textColorLighterPressedWarning: any;
            textColorLighterFocusWarning: any;
            borderLighterHoverWarning: string;
            borderLighterPressedWarning: string;
            borderLighterFocusWarning: string;
            colorStrokeHoverWarning: any;
            colorStrokePressedWarning: any;
            colorStrokeFocusWarning: any;
            textColorStrokeWarning: any;
            textColorStrokeHoverWarning: any;
            textColorStrokePressedWarning: any;
            textColorStrokeFocusWarning: any;
            borderStrokeWarning: string;
            borderStrokeHoverWarning: string;
            borderStrokePressedWarning: string;
            borderStrokeFocusWarning: string;
            borderWarning: string;
            borderHoverWarning: string;
            borderPressedWarning: string;
            borderFocusWarning: string;
            rippleColorWarning: any;
            colorError: any;
            colorHoverError: any;
            colorPressedError: any;
            colorFocusError: any;
            textColorError: string;
            textColorHoverError: string;
            textColorPressedError: string;
            textColorFocusError: string;
            textColorTextError: any;
            textColorTextHoverError: any;
            textColorTextPressedError: any;
            textColorTextFocusError: any;
            colorGhostHoverError: any;
            textColorGhostError: any;
            textColorGhostHoverError: any;
            textColorGhostPressedError: any;
            textColorGhostFocusError: any;
            colorLighterError: any;
            textColorLighterError: any;
            textColorLighterHoverError: any;
            textColorLighterPressedError: any;
            textColorLighterFocusError: any;
            borderLighterHoverError: string;
            borderLighterPressedError: string;
            borderLighterFocusError: string;
            colorStrokeHoverError: any;
            colorStrokePressedError: any;
            colorStrokeFocusError: any;
            textColorStrokeError: any;
            textColorStrokeHoverError: any;
            textColorStrokePressedError: any;
            textColorStrokeFocusError: any;
            borderStrokeError: string;
            borderStrokeHoverError: string;
            borderStrokePressedError: string;
            borderStrokeFocusError: string;
            borderError: string;
            borderHoverError: string;
            borderPressedError: string;
            borderFocusError: string;
            rippleColorError: any;
            waveOpacity: string;
            fontWeight: string;
            fontWeightStrong: string;
            opacityDisabled: string;
            colorDisabled: any;
            textColorDisabled: any;
            iconColorDisabled: any;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            paddingRoundTiny: string;
            paddingRoundSmall: string;
            paddingRoundMedium: string;
            paddingRoundLarge: string;
            iconMarginTiny: string;
            iconMarginSmall: string;
            iconMarginMedium: string;
            iconMarginLarge: string;
            iconSizeTiny: string;
            iconSizeSmall: string;
            iconSizeMedium: string;
            iconSizeLarge: string;
            rippleDuration: string;
        }, any>;
    }>>>;
    readonly builtinThemeOverrides: PropType<import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"Calendar", {
        borderRadius: string;
        borderColor: string;
        borderColorModal: string;
        borderColorPopover: string;
        textColor: string;
        titleFontWeight: string;
        titleTextColor: string;
        dayTextColor: string;
        fontSize: string;
        lineHeight: string;
        dateColorCurrent: any;
        dateTextColorCurrent: string;
        cellColorHover: string;
        cellColorHoverModal: string;
        cellColorHoverPopover: string;
        cellColor: string;
        cellColorModal: string;
        cellColorPopover: string;
        barColor: any;
        titleFontSize: string;
    }, {
        Button: import("../../_mixins").Theme<"Button", {
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            borderRadiusTiny: string;
            borderRadiusSmall: string;
            borderRadiusMedium: string;
            borderRadiusLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            colorPrimary: any;
            colorHoverPrimary: any;
            colorPressedPrimary: any;
            colorFocusPrimary: any;
            textColorPrimary: any;
            textColorHoverPrimary: any;
            textColorPressedPrimary: any;
            textColorFocusPrimary: any;
            textColorTextPrimary: any;
            textColorTextHoverPrimary: any;
            textColorTextPressedPrimary: any;
            textColorTextFocusPrimary: any;
            colorGhostHoverPrimary: any;
            textColorGhostPrimary: any;
            textColorGhostHoverPrimary: any;
            textColorGhostPressedPrimary: any;
            textColorGhostFocusPrimary: any;
            colorLighterPrimary: any;
            colorHoverLighterPrimary: any;
            colorPressedLighterPrimary: any;
            colorFocusLighterPrimary: any;
            textColorLighterPrimary: any;
            textColorLighterHoverPrimary: any;
            textColorLighterPressedPrimary: any;
            textColorLighterFocusPrimary: any;
            borderLighterHoverPrimary: string;
            borderLighterPressedPrimary: string;
            borderLighterFocusPrimary: string;
            colorStrokeHoverPrimary: any;
            colorStrokePressedPrimary: any;
            colorStrokeFocusPrimary: any;
            textColorStrokePrimary: any;
            textColorStrokeHoverPrimary: any;
            textColorStrokePressedPrimary: any;
            textColorStrokeFocusPrimary: any;
            borderStrokePrimary: string;
            borderStrokeHoverPrimary: string;
            borderStrokePressedPrimary: string;
            borderStrokeFocusPrimary: string;
            borderPrimary: string;
            borderHoverPrimary: string;
            borderPressedPrimary: string;
            borderFocusPrimary: string;
            rippleColorPrimary: any;
            colorNeutral: any;
            colorHoverNeutral: any;
            colorPressedNeutral: any;
            colorFocusNeutral: any;
            textColorNeutral: string;
            textColorHoverNeutral: string;
            textColorPressedNeutral: string;
            textColorFocusNeutral: string;
            textColorTextNeutral: any;
            textColorTextHoverNeutral: any;
            textColorTextPressedNeutral: any;
            textColorTextFocusNeutral: any;
            colorGhostHoverNeutral: any;
            colorPressedNeutralGhost: any;
            colorFocusNeutralGhost: any;
            textColorGhostNeutral: any;
            textColorGhostHoverNeutral: any;
            textColorGhostPressedNeutral: any;
            textColorGhostFocusNeutral: any;
            colorLighterNeutral: any;
            colorPressedNeutralLighter: any;
            colorFocusNeutralLighter: any;
            textColorLighterNeutral: any;
            textColorLighterHoverNeutral: any;
            textColorLighterPressedNeutral: any;
            textColorLighterFocusNeutral: any;
            borderLighterHoverNeutral: string;
            borderLighterPressedNeutral: string;
            borderLighterFocusNeutral: string;
            colorStrokeHoverNeutral: any;
            colorStrokePressedNeutral: any;
            colorStrokeFocusNeutral: any;
            textColorStrokeNeutral: any;
            textColorStrokeHoverNeutral: any;
            textColorStrokePressedNeutral: any;
            textColorStrokeFocusNeutral: any;
            borderStrokeNeutral: string;
            borderStrokeHoverNeutral: string;
            borderStrokePressedNeutral: string;
            borderStrokeFocusNeutral: string;
            borderNeutral: string;
            borderHoverNeutral: string;
            borderPressedNeutral: string;
            borderFocusNeutral: string;
            rippleColorNeutral: any;
            colorSuccess: any;
            colorHoverSuccess: any;
            colorPressedSuccess: any;
            colorFocusSuccess: any;
            textColorSuccess: string;
            textColorHoverSuccess: string;
            textColorPressedSuccess: string;
            textColorFocusSuccess: string;
            textColorTextSuccess: any;
            textColorTextHoverSuccess: any;
            textColorTextPressedSuccess: any;
            textColorTextFocusSuccess: any;
            colorGhostHoverSuccess: any;
            textColorGhostSuccess: any;
            textColorGhostHoverSuccess: any;
            textColorGhostPressedSuccess: any;
            textColorGhostFocusSuccess: any;
            colorLighterSuccess: any;
            textColorLighterSuccess: any;
            textColorLighterHoverSuccess: any;
            textColorLighterPressedSuccess: any;
            textColorLighterFocusSuccess: any;
            borderLighterHoverSuccess: string;
            borderLighterPressedSuccess: string;
            borderLighterFocusSuccess: string;
            colorStrokeHoverSuccess: any;
            colorStrokePressedSuccess: any;
            colorStrokeFocusSuccess: any;
            textColorStrokeSuccess: any;
            textColorStrokeHoverSuccess: any;
            textColorStrokePressedSuccess: any;
            textColorStrokeFocusSuccess: any;
            borderStrokeSuccess: string;
            borderStrokeHoverSuccess: string;
            borderStrokePressedSuccess: string;
            borderStrokeFocusSuccess: string;
            borderSuccess: string;
            borderHoverSuccess: string;
            borderPressedSuccess: string;
            borderFocusSuccess: string;
            rippleColorSuccess: any;
            colorWarning: any;
            colorHoverWarning: any;
            colorPressedWarning: any;
            colorFocusWarning: any;
            textColorWarning: string;
            textColorHoverWarning: string;
            textColorPressedWarning: string;
            textColorFocusWarning: string;
            textColorTextWarning: any;
            textColorTextHoverWarning: any;
            textColorTextPressedWarning: any;
            textColorTextFocusWarning: any;
            colorGhostHoverWarning: any;
            textColorGhostWarning: any;
            textColorGhostHoverWarning: any;
            textColorGhostPressedWarning: any;
            textColorGhostFocusWarning: any;
            colorLighterWarning: any;
            textColorLighterWarning: any;
            textColorLighterHoverWarning: any;
            textColorLighterPressedWarning: any;
            textColorLighterFocusWarning: any;
            borderLighterHoverWarning: string;
            borderLighterPressedWarning: string;
            borderLighterFocusWarning: string;
            colorStrokeHoverWarning: any;
            colorStrokePressedWarning: any;
            colorStrokeFocusWarning: any;
            textColorStrokeWarning: any;
            textColorStrokeHoverWarning: any;
            textColorStrokePressedWarning: any;
            textColorStrokeFocusWarning: any;
            borderStrokeWarning: string;
            borderStrokeHoverWarning: string;
            borderStrokePressedWarning: string;
            borderStrokeFocusWarning: string;
            borderWarning: string;
            borderHoverWarning: string;
            borderPressedWarning: string;
            borderFocusWarning: string;
            rippleColorWarning: any;
            colorError: any;
            colorHoverError: any;
            colorPressedError: any;
            colorFocusError: any;
            textColorError: string;
            textColorHoverError: string;
            textColorPressedError: string;
            textColorFocusError: string;
            textColorTextError: any;
            textColorTextHoverError: any;
            textColorTextPressedError: any;
            textColorTextFocusError: any;
            colorGhostHoverError: any;
            textColorGhostError: any;
            textColorGhostHoverError: any;
            textColorGhostPressedError: any;
            textColorGhostFocusError: any;
            colorLighterError: any;
            textColorLighterError: any;
            textColorLighterHoverError: any;
            textColorLighterPressedError: any;
            textColorLighterFocusError: any;
            borderLighterHoverError: string;
            borderLighterPressedError: string;
            borderLighterFocusError: string;
            colorStrokeHoverError: any;
            colorStrokePressedError: any;
            colorStrokeFocusError: any;
            textColorStrokeError: any;
            textColorStrokeHoverError: any;
            textColorStrokePressedError: any;
            textColorStrokeFocusError: any;
            borderStrokeError: string;
            borderStrokeHoverError: string;
            borderStrokePressedError: string;
            borderStrokeFocusError: string;
            borderError: string;
            borderHoverError: string;
            borderPressedError: string;
            borderFocusError: string;
            rippleColorError: any;
            waveOpacity: string;
            fontWeight: string;
            fontWeightStrong: string;
            opacityDisabled: string;
            colorDisabled: any;
            textColorDisabled: any;
            iconColorDisabled: any;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            paddingRoundTiny: string;
            paddingRoundSmall: string;
            paddingRoundMedium: string;
            paddingRoundLarge: string;
            iconMarginTiny: string;
            iconMarginSmall: string;
            iconMarginMedium: string;
            iconMarginLarge: string;
            iconSizeTiny: string;
            iconSizeSmall: string;
            iconSizeMedium: string;
            iconSizeLarge: string;
            rippleDuration: string;
        }, any>;
    }>>>;
}>> & Readonly<{}>, {
    readonly defaultValue: number | null;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
