import type { ExtractPublicPropTypes, MaybeArray } from '../../_utils';
import type { ButtonProps } from '../../button';
import type { OnUpdateValue } from './interface';
import { type CSSProperties, type PropType } from 'vue';
export declare const dynamicInputProps: {
    readonly max: NumberConstructor;
    readonly min: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
    readonly value: PropType<any[]>;
    readonly defaultValue: {
        readonly type: PropType<any[]>;
        readonly default: () => never[];
    };
    readonly preset: {
        readonly type: PropType<"input" | "pair">;
        readonly default: "input";
    };
    readonly keyField: StringConstructor;
    readonly itemClass: StringConstructor;
    readonly itemStyle: PropType<string | CSSProperties>;
    readonly keyPlaceholder: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly valuePlaceholder: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly placeholder: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly disabled: BooleanConstructor;
    readonly showSortButton: BooleanConstructor;
    readonly createButtonProps: PropType<ButtonProps>;
    readonly onCreate: PropType<(index: number) => any>;
    readonly onRemove: PropType<(index: number) => void>;
    readonly 'onUpdate:value': PropType<MaybeArray<OnUpdateValue>>;
    readonly onUpdateValue: PropType<MaybeArray<OnUpdateValue>>;
    readonly onClear: PropType<() => void>;
    readonly onInput: PropType<MaybeArray<OnUpdateValue>>;
    readonly theme: PropType<import("../../_mixins").Theme<"DynamicInput", {
        actionMargin: string;
        actionMarginRtl: string;
    }, {
        Input: import("../../_mixins").Theme<"Input", {
            fontWeight: string;
            countTextColorDisabled: string;
            countTextColor: string;
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            lineHeight: string;
            lineHeightTextarea: string;
            borderRadius: string;
            iconSize: string;
            groupLabelColor: string;
            groupLabelTextColor: any;
            textColor: any;
            textColorDisabled: string;
            textDecorationColor: any;
            caretColor: any;
            placeholderColor: string;
            placeholderColorDisabled: string;
            color: string;
            colorDisabled: string;
            colorFocus: string;
            colorHover: any;
            groupLabelBorder: string;
            border: string;
            borderHover: string;
            borderDisabled: string;
            borderFocus: string;
            boxShadowFocus: string;
            loadingColor: any;
            loadingColorWarning: any;
            borderWarning: string;
            borderHoverWarning: string;
            colorFocusWarning: string;
            borderFocusWarning: string;
            boxShadowFocusWarning: string;
            caretColorWarning: any;
            loadingColorError: any;
            borderError: string;
            borderHoverError: string;
            colorFocusError: string;
            borderFocusError: string;
            boxShadowFocusError: string;
            caretColorError: any;
            clearColor: string;
            clearColorHover: string;
            clearColorPressed: string;
            iconColor: string;
            iconColorDisabled: string;
            iconColorHover: string;
            iconColorPressed: string;
            suffixTextColor: string;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            clearSize: string;
        }, any>;
        Button: import("../../_mixins").Theme<"Button", {
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            borderRadiusTiny: string;
            borderRadiusSmall: string;
            borderRadiusMedium: string;
            borderRadiusLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            colorPrimary: any;
            colorHoverPrimary: any;
            colorPressedPrimary: any;
            colorFocusPrimary: any;
            textColorPrimary: any;
            textColorHoverPrimary: any;
            textColorPressedPrimary: any;
            textColorFocusPrimary: any;
            textColorTextPrimary: any;
            textColorTextHoverPrimary: any;
            textColorTextPressedPrimary: any;
            textColorTextFocusPrimary: any;
            colorGhostHoverPrimary: any;
            textColorGhostPrimary: any;
            textColorGhostHoverPrimary: any;
            textColorGhostPressedPrimary: any;
            textColorGhostFocusPrimary: any;
            colorLighterPrimary: any;
            colorHoverLighterPrimary: any;
            colorPressedLighterPrimary: any;
            colorFocusLighterPrimary: any;
            textColorLighterPrimary: any;
            textColorLighterHoverPrimary: any;
            textColorLighterPressedPrimary: any;
            textColorLighterFocusPrimary: any;
            borderLighterHoverPrimary: string;
            borderLighterPressedPrimary: string;
            borderLighterFocusPrimary: string;
            colorStrokeHoverPrimary: any;
            colorStrokePressedPrimary: any;
            colorStrokeFocusPrimary: any;
            textColorStrokePrimary: any;
            textColorStrokeHoverPrimary: any;
            textColorStrokePressedPrimary: any;
            textColorStrokeFocusPrimary: any;
            borderStrokePrimary: string;
            borderStrokeHoverPrimary: string;
            borderStrokePressedPrimary: string;
            borderStrokeFocusPrimary: string;
            borderPrimary: string;
            borderHoverPrimary: string;
            borderPressedPrimary: string;
            borderFocusPrimary: string;
            rippleColorPrimary: any;
            colorNeutral: any;
            colorHoverNeutral: any;
            colorPressedNeutral: any;
            colorFocusNeutral: any;
            textColorNeutral: string;
            textColorHoverNeutral: string;
            textColorPressedNeutral: string;
            textColorFocusNeutral: string;
            textColorTextNeutral: any;
            textColorTextHoverNeutral: any;
            textColorTextPressedNeutral: any;
            textColorTextFocusNeutral: any;
            colorGhostHoverNeutral: any;
            colorPressedNeutralGhost: any;
            colorFocusNeutralGhost: any;
            textColorGhostNeutral: any;
            textColorGhostHoverNeutral: any;
            textColorGhostPressedNeutral: any;
            textColorGhostFocusNeutral: any;
            colorLighterNeutral: any;
            colorPressedNeutralLighter: any;
            colorFocusNeutralLighter: any;
            textColorLighterNeutral: any;
            textColorLighterHoverNeutral: any;
            textColorLighterPressedNeutral: any;
            textColorLighterFocusNeutral: any;
            borderLighterHoverNeutral: string;
            borderLighterPressedNeutral: string;
            borderLighterFocusNeutral: string;
            colorStrokeHoverNeutral: any;
            colorStrokePressedNeutral: any;
            colorStrokeFocusNeutral: any;
            textColorStrokeNeutral: any;
            textColorStrokeHoverNeutral: any;
            textColorStrokePressedNeutral: any;
            textColorStrokeFocusNeutral: any;
            borderStrokeNeutral: string;
            borderStrokeHoverNeutral: string;
            borderStrokePressedNeutral: string;
            borderStrokeFocusNeutral: string;
            borderNeutral: string;
            borderHoverNeutral: string;
            borderPressedNeutral: string;
            borderFocusNeutral: string;
            rippleColorNeutral: any;
            colorSuccess: any;
            colorHoverSuccess: any;
            colorPressedSuccess: any;
            colorFocusSuccess: any;
            textColorSuccess: string;
            textColorHoverSuccess: string;
            textColorPressedSuccess: string;
            textColorFocusSuccess: string;
            textColorTextSuccess: any;
            textColorTextHoverSuccess: any;
            textColorTextPressedSuccess: any;
            textColorTextFocusSuccess: any;
            colorGhostHoverSuccess: any;
            textColorGhostSuccess: any;
            textColorGhostHoverSuccess: any;
            textColorGhostPressedSuccess: any;
            textColorGhostFocusSuccess: any;
            colorLighterSuccess: any;
            textColorLighterSuccess: any;
            textColorLighterHoverSuccess: any;
            textColorLighterPressedSuccess: any;
            textColorLighterFocusSuccess: any;
            borderLighterHoverSuccess: string;
            borderLighterPressedSuccess: string;
            borderLighterFocusSuccess: string;
            colorStrokeHoverSuccess: any;
            colorStrokePressedSuccess: any;
            colorStrokeFocusSuccess: any;
            textColorStrokeSuccess: any;
            textColorStrokeHoverSuccess: any;
            textColorStrokePressedSuccess: any;
            textColorStrokeFocusSuccess: any;
            borderStrokeSuccess: string;
            borderStrokeHoverSuccess: string;
            borderStrokePressedSuccess: string;
            borderStrokeFocusSuccess: string;
            borderSuccess: string;
            borderHoverSuccess: string;
            borderPressedSuccess: string;
            borderFocusSuccess: string;
            rippleColorSuccess: any;
            colorWarning: any;
            colorHoverWarning: any;
            colorPressedWarning: any;
            colorFocusWarning: any;
            textColorWarning: string;
            textColorHoverWarning: string;
            textColorPressedWarning: string;
            textColorFocusWarning: string;
            textColorTextWarning: any;
            textColorTextHoverWarning: any;
            textColorTextPressedWarning: any;
            textColorTextFocusWarning: any;
            colorGhostHoverWarning: any;
            textColorGhostWarning: any;
            textColorGhostHoverWarning: any;
            textColorGhostPressedWarning: any;
            textColorGhostFocusWarning: any;
            colorLighterWarning: any;
            textColorLighterWarning: any;
            textColorLighterHoverWarning: any;
            textColorLighterPressedWarning: any;
            textColorLighterFocusWarning: any;
            borderLighterHoverWarning: string;
            borderLighterPressedWarning: string;
            borderLighterFocusWarning: string;
            colorStrokeHoverWarning: any;
            colorStrokePressedWarning: any;
            colorStrokeFocusWarning: any;
            textColorStrokeWarning: any;
            textColorStrokeHoverWarning: any;
            textColorStrokePressedWarning: any;
            textColorStrokeFocusWarning: any;
            borderStrokeWarning: string;
            borderStrokeHoverWarning: string;
            borderStrokePressedWarning: string;
            borderStrokeFocusWarning: string;
            borderWarning: string;
            borderHoverWarning: string;
            borderPressedWarning: string;
            borderFocusWarning: string;
            rippleColorWarning: any;
            colorError: any;
            colorHoverError: any;
            colorPressedError: any;
            colorFocusError: any;
            textColorError: string;
            textColorHoverError: string;
            textColorPressedError: string;
            textColorFocusError: string;
            textColorTextError: any;
            textColorTextHoverError: any;
            textColorTextPressedError: any;
            textColorTextFocusError: any;
            colorGhostHoverError: any;
            textColorGhostError: any;
            textColorGhostHoverError: any;
            textColorGhostPressedError: any;
            textColorGhostFocusError: any;
            colorLighterError: any;
            textColorLighterError: any;
            textColorLighterHoverError: any;
            textColorLighterPressedError: any;
            textColorLighterFocusError: any;
            borderLighterHoverError: string;
            borderLighterPressedError: string;
            borderLighterFocusError: string;
            colorStrokeHoverError: any;
            colorStrokePressedError: any;
            colorStrokeFocusError: any;
            textColorStrokeError: any;
            textColorStrokeHoverError: any;
            textColorStrokePressedError: any;
            textColorStrokeFocusError: any;
            borderStrokeError: string;
            borderStrokeHoverError: string;
            borderStrokePressedError: string;
            borderStrokeFocusError: string;
            borderError: string;
            borderHoverError: string;
            borderPressedError: string;
            borderFocusError: string;
            rippleColorError: any;
            waveOpacity: string;
            fontWeight: string;
            fontWeightStrong: string;
            opacityDisabled: string;
            colorDisabled: any;
            textColorDisabled: any;
            iconColorDisabled: any;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            paddingRoundTiny: string;
            paddingRoundSmall: string;
            paddingRoundMedium: string;
            paddingRoundLarge: string;
            iconMarginTiny: string;
            iconMarginSmall: string;
            iconMarginMedium: string;
            iconMarginLarge: string;
            iconSizeTiny: string;
            iconSizeSmall: string;
            iconSizeMedium: string;
            iconSizeLarge: string;
            rippleDuration: string;
        }, any>;
    }>>;
    readonly themeOverrides: PropType<import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"DynamicInput", {
        actionMargin: string;
        actionMarginRtl: string;
    }, {
        Input: import("../../_mixins").Theme<"Input", {
            fontWeight: string;
            countTextColorDisabled: string;
            countTextColor: string;
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            lineHeight: string;
            lineHeightTextarea: string;
            borderRadius: string;
            iconSize: string;
            groupLabelColor: string;
            groupLabelTextColor: any;
            textColor: any;
            textColorDisabled: string;
            textDecorationColor: any;
            caretColor: any;
            placeholderColor: string;
            placeholderColorDisabled: string;
            color: string;
            colorDisabled: string;
            colorFocus: string;
            colorHover: any;
            groupLabelBorder: string;
            border: string;
            borderHover: string;
            borderDisabled: string;
            borderFocus: string;
            boxShadowFocus: string;
            loadingColor: any;
            loadingColorWarning: any;
            borderWarning: string;
            borderHoverWarning: string;
            colorFocusWarning: string;
            borderFocusWarning: string;
            boxShadowFocusWarning: string;
            caretColorWarning: any;
            loadingColorError: any;
            borderError: string;
            borderHoverError: string;
            colorFocusError: string;
            borderFocusError: string;
            boxShadowFocusError: string;
            caretColorError: any;
            clearColor: string;
            clearColorHover: string;
            clearColorPressed: string;
            iconColor: string;
            iconColorDisabled: string;
            iconColorHover: string;
            iconColorPressed: string;
            suffixTextColor: string;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            clearSize: string;
        }, any>;
        Button: import("../../_mixins").Theme<"Button", {
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            borderRadiusTiny: string;
            borderRadiusSmall: string;
            borderRadiusMedium: string;
            borderRadiusLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            colorPrimary: any;
            colorHoverPrimary: any;
            colorPressedPrimary: any;
            colorFocusPrimary: any;
            textColorPrimary: any;
            textColorHoverPrimary: any;
            textColorPressedPrimary: any;
            textColorFocusPrimary: any;
            textColorTextPrimary: any;
            textColorTextHoverPrimary: any;
            textColorTextPressedPrimary: any;
            textColorTextFocusPrimary: any;
            colorGhostHoverPrimary: any;
            textColorGhostPrimary: any;
            textColorGhostHoverPrimary: any;
            textColorGhostPressedPrimary: any;
            textColorGhostFocusPrimary: any;
            colorLighterPrimary: any;
            colorHoverLighterPrimary: any;
            colorPressedLighterPrimary: any;
            colorFocusLighterPrimary: any;
            textColorLighterPrimary: any;
            textColorLighterHoverPrimary: any;
            textColorLighterPressedPrimary: any;
            textColorLighterFocusPrimary: any;
            borderLighterHoverPrimary: string;
            borderLighterPressedPrimary: string;
            borderLighterFocusPrimary: string;
            colorStrokeHoverPrimary: any;
            colorStrokePressedPrimary: any;
            colorStrokeFocusPrimary: any;
            textColorStrokePrimary: any;
            textColorStrokeHoverPrimary: any;
            textColorStrokePressedPrimary: any;
            textColorStrokeFocusPrimary: any;
            borderStrokePrimary: string;
            borderStrokeHoverPrimary: string;
            borderStrokePressedPrimary: string;
            borderStrokeFocusPrimary: string;
            borderPrimary: string;
            borderHoverPrimary: string;
            borderPressedPrimary: string;
            borderFocusPrimary: string;
            rippleColorPrimary: any;
            colorNeutral: any;
            colorHoverNeutral: any;
            colorPressedNeutral: any;
            colorFocusNeutral: any;
            textColorNeutral: string;
            textColorHoverNeutral: string;
            textColorPressedNeutral: string;
            textColorFocusNeutral: string;
            textColorTextNeutral: any;
            textColorTextHoverNeutral: any;
            textColorTextPressedNeutral: any;
            textColorTextFocusNeutral: any;
            colorGhostHoverNeutral: any;
            colorPressedNeutralGhost: any;
            colorFocusNeutralGhost: any;
            textColorGhostNeutral: any;
            textColorGhostHoverNeutral: any;
            textColorGhostPressedNeutral: any;
            textColorGhostFocusNeutral: any;
            colorLighterNeutral: any;
            colorPressedNeutralLighter: any;
            colorFocusNeutralLighter: any;
            textColorLighterNeutral: any;
            textColorLighterHoverNeutral: any;
            textColorLighterPressedNeutral: any;
            textColorLighterFocusNeutral: any;
            borderLighterHoverNeutral: string;
            borderLighterPressedNeutral: string;
            borderLighterFocusNeutral: string;
            colorStrokeHoverNeutral: any;
            colorStrokePressedNeutral: any;
            colorStrokeFocusNeutral: any;
            textColorStrokeNeutral: any;
            textColorStrokeHoverNeutral: any;
            textColorStrokePressedNeutral: any;
            textColorStrokeFocusNeutral: any;
            borderStrokeNeutral: string;
            borderStrokeHoverNeutral: string;
            borderStrokePressedNeutral: string;
            borderStrokeFocusNeutral: string;
            borderNeutral: string;
            borderHoverNeutral: string;
            borderPressedNeutral: string;
            borderFocusNeutral: string;
            rippleColorNeutral: any;
            colorSuccess: any;
            colorHoverSuccess: any;
            colorPressedSuccess: any;
            colorFocusSuccess: any;
            textColorSuccess: string;
            textColorHoverSuccess: string;
            textColorPressedSuccess: string;
            textColorFocusSuccess: string;
            textColorTextSuccess: any;
            textColorTextHoverSuccess: any;
            textColorTextPressedSuccess: any;
            textColorTextFocusSuccess: any;
            colorGhostHoverSuccess: any;
            textColorGhostSuccess: any;
            textColorGhostHoverSuccess: any;
            textColorGhostPressedSuccess: any;
            textColorGhostFocusSuccess: any;
            colorLighterSuccess: any;
            textColorLighterSuccess: any;
            textColorLighterHoverSuccess: any;
            textColorLighterPressedSuccess: any;
            textColorLighterFocusSuccess: any;
            borderLighterHoverSuccess: string;
            borderLighterPressedSuccess: string;
            borderLighterFocusSuccess: string;
            colorStrokeHoverSuccess: any;
            colorStrokePressedSuccess: any;
            colorStrokeFocusSuccess: any;
            textColorStrokeSuccess: any;
            textColorStrokeHoverSuccess: any;
            textColorStrokePressedSuccess: any;
            textColorStrokeFocusSuccess: any;
            borderStrokeSuccess: string;
            borderStrokeHoverSuccess: string;
            borderStrokePressedSuccess: string;
            borderStrokeFocusSuccess: string;
            borderSuccess: string;
            borderHoverSuccess: string;
            borderPressedSuccess: string;
            borderFocusSuccess: string;
            rippleColorSuccess: any;
            colorWarning: any;
            colorHoverWarning: any;
            colorPressedWarning: any;
            colorFocusWarning: any;
            textColorWarning: string;
            textColorHoverWarning: string;
            textColorPressedWarning: string;
            textColorFocusWarning: string;
            textColorTextWarning: any;
            textColorTextHoverWarning: any;
            textColorTextPressedWarning: any;
            textColorTextFocusWarning: any;
            colorGhostHoverWarning: any;
            textColorGhostWarning: any;
            textColorGhostHoverWarning: any;
            textColorGhostPressedWarning: any;
            textColorGhostFocusWarning: any;
            colorLighterWarning: any;
            textColorLighterWarning: any;
            textColorLighterHoverWarning: any;
            textColorLighterPressedWarning: any;
            textColorLighterFocusWarning: any;
            borderLighterHoverWarning: string;
            borderLighterPressedWarning: string;
            borderLighterFocusWarning: string;
            colorStrokeHoverWarning: any;
            colorStrokePressedWarning: any;
            colorStrokeFocusWarning: any;
            textColorStrokeWarning: any;
            textColorStrokeHoverWarning: any;
            textColorStrokePressedWarning: any;
            textColorStrokeFocusWarning: any;
            borderStrokeWarning: string;
            borderStrokeHoverWarning: string;
            borderStrokePressedWarning: string;
            borderStrokeFocusWarning: string;
            borderWarning: string;
            borderHoverWarning: string;
            borderPressedWarning: string;
            borderFocusWarning: string;
            rippleColorWarning: any;
            colorError: any;
            colorHoverError: any;
            colorPressedError: any;
            colorFocusError: any;
            textColorError: string;
            textColorHoverError: string;
            textColorPressedError: string;
            textColorFocusError: string;
            textColorTextError: any;
            textColorTextHoverError: any;
            textColorTextPressedError: any;
            textColorTextFocusError: any;
            colorGhostHoverError: any;
            textColorGhostError: any;
            textColorGhostHoverError: any;
            textColorGhostPressedError: any;
            textColorGhostFocusError: any;
            colorLighterError: any;
            textColorLighterError: any;
            textColorLighterHoverError: any;
            textColorLighterPressedError: any;
            textColorLighterFocusError: any;
            borderLighterHoverError: string;
            borderLighterPressedError: string;
            borderLighterFocusError: string;
            colorStrokeHoverError: any;
            colorStrokePressedError: any;
            colorStrokeFocusError: any;
            textColorStrokeError: any;
            textColorStrokeHoverError: any;
            textColorStrokePressedError: any;
            textColorStrokeFocusError: any;
            borderStrokeError: string;
            borderStrokeHoverError: string;
            borderStrokePressedError: string;
            borderStrokeFocusError: string;
            borderError: string;
            borderHoverError: string;
            borderPressedError: string;
            borderFocusError: string;
            rippleColorError: any;
            waveOpacity: string;
            fontWeight: string;
            fontWeightStrong: string;
            opacityDisabled: string;
            colorDisabled: any;
            textColorDisabled: any;
            iconColorDisabled: any;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            paddingRoundTiny: string;
            paddingRoundSmall: string;
            paddingRoundMedium: string;
            paddingRoundLarge: string;
            iconMarginTiny: string;
            iconMarginSmall: string;
            iconMarginMedium: string;
            iconMarginLarge: string;
            iconSizeTiny: string;
            iconSizeSmall: string;
            iconSizeMedium: string;
            iconSizeLarge: string;
            rippleDuration: string;
        }, any>;
    }>>>;
    readonly builtinThemeOverrides: PropType<import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"DynamicInput", {
        actionMargin: string;
        actionMarginRtl: string;
    }, {
        Input: import("../../_mixins").Theme<"Input", {
            fontWeight: string;
            countTextColorDisabled: string;
            countTextColor: string;
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            lineHeight: string;
            lineHeightTextarea: string;
            borderRadius: string;
            iconSize: string;
            groupLabelColor: string;
            groupLabelTextColor: any;
            textColor: any;
            textColorDisabled: string;
            textDecorationColor: any;
            caretColor: any;
            placeholderColor: string;
            placeholderColorDisabled: string;
            color: string;
            colorDisabled: string;
            colorFocus: string;
            colorHover: any;
            groupLabelBorder: string;
            border: string;
            borderHover: string;
            borderDisabled: string;
            borderFocus: string;
            boxShadowFocus: string;
            loadingColor: any;
            loadingColorWarning: any;
            borderWarning: string;
            borderHoverWarning: string;
            colorFocusWarning: string;
            borderFocusWarning: string;
            boxShadowFocusWarning: string;
            caretColorWarning: any;
            loadingColorError: any;
            borderError: string;
            borderHoverError: string;
            colorFocusError: string;
            borderFocusError: string;
            boxShadowFocusError: string;
            caretColorError: any;
            clearColor: string;
            clearColorHover: string;
            clearColorPressed: string;
            iconColor: string;
            iconColorDisabled: string;
            iconColorHover: string;
            iconColorPressed: string;
            suffixTextColor: string;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            clearSize: string;
        }, any>;
        Button: import("../../_mixins").Theme<"Button", {
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            borderRadiusTiny: string;
            borderRadiusSmall: string;
            borderRadiusMedium: string;
            borderRadiusLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            colorPrimary: any;
            colorHoverPrimary: any;
            colorPressedPrimary: any;
            colorFocusPrimary: any;
            textColorPrimary: any;
            textColorHoverPrimary: any;
            textColorPressedPrimary: any;
            textColorFocusPrimary: any;
            textColorTextPrimary: any;
            textColorTextHoverPrimary: any;
            textColorTextPressedPrimary: any;
            textColorTextFocusPrimary: any;
            colorGhostHoverPrimary: any;
            textColorGhostPrimary: any;
            textColorGhostHoverPrimary: any;
            textColorGhostPressedPrimary: any;
            textColorGhostFocusPrimary: any;
            colorLighterPrimary: any;
            colorHoverLighterPrimary: any;
            colorPressedLighterPrimary: any;
            colorFocusLighterPrimary: any;
            textColorLighterPrimary: any;
            textColorLighterHoverPrimary: any;
            textColorLighterPressedPrimary: any;
            textColorLighterFocusPrimary: any;
            borderLighterHoverPrimary: string;
            borderLighterPressedPrimary: string;
            borderLighterFocusPrimary: string;
            colorStrokeHoverPrimary: any;
            colorStrokePressedPrimary: any;
            colorStrokeFocusPrimary: any;
            textColorStrokePrimary: any;
            textColorStrokeHoverPrimary: any;
            textColorStrokePressedPrimary: any;
            textColorStrokeFocusPrimary: any;
            borderStrokePrimary: string;
            borderStrokeHoverPrimary: string;
            borderStrokePressedPrimary: string;
            borderStrokeFocusPrimary: string;
            borderPrimary: string;
            borderHoverPrimary: string;
            borderPressedPrimary: string;
            borderFocusPrimary: string;
            rippleColorPrimary: any;
            colorNeutral: any;
            colorHoverNeutral: any;
            colorPressedNeutral: any;
            colorFocusNeutral: any;
            textColorNeutral: string;
            textColorHoverNeutral: string;
            textColorPressedNeutral: string;
            textColorFocusNeutral: string;
            textColorTextNeutral: any;
            textColorTextHoverNeutral: any;
            textColorTextPressedNeutral: any;
            textColorTextFocusNeutral: any;
            colorGhostHoverNeutral: any;
            colorPressedNeutralGhost: any;
            colorFocusNeutralGhost: any;
            textColorGhostNeutral: any;
            textColorGhostHoverNeutral: any;
            textColorGhostPressedNeutral: any;
            textColorGhostFocusNeutral: any;
            colorLighterNeutral: any;
            colorPressedNeutralLighter: any;
            colorFocusNeutralLighter: any;
            textColorLighterNeutral: any;
            textColorLighterHoverNeutral: any;
            textColorLighterPressedNeutral: any;
            textColorLighterFocusNeutral: any;
            borderLighterHoverNeutral: string;
            borderLighterPressedNeutral: string;
            borderLighterFocusNeutral: string;
            colorStrokeHoverNeutral: any;
            colorStrokePressedNeutral: any;
            colorStrokeFocusNeutral: any;
            textColorStrokeNeutral: any;
            textColorStrokeHoverNeutral: any;
            textColorStrokePressedNeutral: any;
            textColorStrokeFocusNeutral: any;
            borderStrokeNeutral: string;
            borderStrokeHoverNeutral: string;
            borderStrokePressedNeutral: string;
            borderStrokeFocusNeutral: string;
            borderNeutral: string;
            borderHoverNeutral: string;
            borderPressedNeutral: string;
            borderFocusNeutral: string;
            rippleColorNeutral: any;
            colorSuccess: any;
            colorHoverSuccess: any;
            colorPressedSuccess: any;
            colorFocusSuccess: any;
            textColorSuccess: string;
            textColorHoverSuccess: string;
            textColorPressedSuccess: string;
            textColorFocusSuccess: string;
            textColorTextSuccess: any;
            textColorTextHoverSuccess: any;
            textColorTextPressedSuccess: any;
            textColorTextFocusSuccess: any;
            colorGhostHoverSuccess: any;
            textColorGhostSuccess: any;
            textColorGhostHoverSuccess: any;
            textColorGhostPressedSuccess: any;
            textColorGhostFocusSuccess: any;
            colorLighterSuccess: any;
            textColorLighterSuccess: any;
            textColorLighterHoverSuccess: any;
            textColorLighterPressedSuccess: any;
            textColorLighterFocusSuccess: any;
            borderLighterHoverSuccess: string;
            borderLighterPressedSuccess: string;
            borderLighterFocusSuccess: string;
            colorStrokeHoverSuccess: any;
            colorStrokePressedSuccess: any;
            colorStrokeFocusSuccess: any;
            textColorStrokeSuccess: any;
            textColorStrokeHoverSuccess: any;
            textColorStrokePressedSuccess: any;
            textColorStrokeFocusSuccess: any;
            borderStrokeSuccess: string;
            borderStrokeHoverSuccess: string;
            borderStrokePressedSuccess: string;
            borderStrokeFocusSuccess: string;
            borderSuccess: string;
            borderHoverSuccess: string;
            borderPressedSuccess: string;
            borderFocusSuccess: string;
            rippleColorSuccess: any;
            colorWarning: any;
            colorHoverWarning: any;
            colorPressedWarning: any;
            colorFocusWarning: any;
            textColorWarning: string;
            textColorHoverWarning: string;
            textColorPressedWarning: string;
            textColorFocusWarning: string;
            textColorTextWarning: any;
            textColorTextHoverWarning: any;
            textColorTextPressedWarning: any;
            textColorTextFocusWarning: any;
            colorGhostHoverWarning: any;
            textColorGhostWarning: any;
            textColorGhostHoverWarning: any;
            textColorGhostPressedWarning: any;
            textColorGhostFocusWarning: any;
            colorLighterWarning: any;
            textColorLighterWarning: any;
            textColorLighterHoverWarning: any;
            textColorLighterPressedWarning: any;
            textColorLighterFocusWarning: any;
            borderLighterHoverWarning: string;
            borderLighterPressedWarning: string;
            borderLighterFocusWarning: string;
            colorStrokeHoverWarning: any;
            colorStrokePressedWarning: any;
            colorStrokeFocusWarning: any;
            textColorStrokeWarning: any;
            textColorStrokeHoverWarning: any;
            textColorStrokePressedWarning: any;
            textColorStrokeFocusWarning: any;
            borderStrokeWarning: string;
            borderStrokeHoverWarning: string;
            borderStrokePressedWarning: string;
            borderStrokeFocusWarning: string;
            borderWarning: string;
            borderHoverWarning: string;
            borderPressedWarning: string;
            borderFocusWarning: string;
            rippleColorWarning: any;
            colorError: any;
            colorHoverError: any;
            colorPressedError: any;
            colorFocusError: any;
            textColorError: string;
            textColorHoverError: string;
            textColorPressedError: string;
            textColorFocusError: string;
            textColorTextError: any;
            textColorTextHoverError: any;
            textColorTextPressedError: any;
            textColorTextFocusError: any;
            colorGhostHoverError: any;
            textColorGhostError: any;
            textColorGhostHoverError: any;
            textColorGhostPressedError: any;
            textColorGhostFocusError: any;
            colorLighterError: any;
            textColorLighterError: any;
            textColorLighterHoverError: any;
            textColorLighterPressedError: any;
            textColorLighterFocusError: any;
            borderLighterHoverError: string;
            borderLighterPressedError: string;
            borderLighterFocusError: string;
            colorStrokeHoverError: any;
            colorStrokePressedError: any;
            colorStrokeFocusError: any;
            textColorStrokeError: any;
            textColorStrokeHoverError: any;
            textColorStrokePressedError: any;
            textColorStrokeFocusError: any;
            borderStrokeError: string;
            borderStrokeHoverError: string;
            borderStrokePressedError: string;
            borderStrokeFocusError: string;
            borderError: string;
            borderHoverError: string;
            borderPressedError: string;
            borderFocusError: string;
            rippleColorError: any;
            waveOpacity: string;
            fontWeight: string;
            fontWeightStrong: string;
            opacityDisabled: string;
            colorDisabled: any;
            textColorDisabled: any;
            iconColorDisabled: any;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            paddingRoundTiny: string;
            paddingRoundSmall: string;
            paddingRoundMedium: string;
            paddingRoundLarge: string;
            iconMarginTiny: string;
            iconMarginSmall: string;
            iconMarginMedium: string;
            iconMarginLarge: string;
            iconSizeTiny: string;
            iconSizeSmall: string;
            iconSizeMedium: string;
            iconSizeLarge: string;
            rippleDuration: string;
        }, any>;
    }>>>;
};
export type DynamicInputProps = ExtractPublicPropTypes<typeof dynamicInputProps>;
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    readonly max: NumberConstructor;
    readonly min: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
    readonly value: PropType<any[]>;
    readonly defaultValue: {
        readonly type: PropType<any[]>;
        readonly default: () => never[];
    };
    readonly preset: {
        readonly type: PropType<"input" | "pair">;
        readonly default: "input";
    };
    readonly keyField: StringConstructor;
    readonly itemClass: StringConstructor;
    readonly itemStyle: PropType<string | CSSProperties>;
    readonly keyPlaceholder: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly valuePlaceholder: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly placeholder: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly disabled: BooleanConstructor;
    readonly showSortButton: BooleanConstructor;
    readonly createButtonProps: PropType<ButtonProps>;
    readonly onCreate: PropType<(index: number) => any>;
    readonly onRemove: PropType<(index: number) => void>;
    readonly 'onUpdate:value': PropType<MaybeArray<OnUpdateValue>>;
    readonly onUpdateValue: PropType<MaybeArray<OnUpdateValue>>;
    readonly onClear: PropType<() => void>;
    readonly onInput: PropType<MaybeArray<OnUpdateValue>>;
    readonly theme: PropType<import("../../_mixins").Theme<"DynamicInput", {
        actionMargin: string;
        actionMarginRtl: string;
    }, {
        Input: import("../../_mixins").Theme<"Input", {
            fontWeight: string;
            countTextColorDisabled: string;
            countTextColor: string;
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            lineHeight: string;
            lineHeightTextarea: string;
            borderRadius: string;
            iconSize: string;
            groupLabelColor: string;
            groupLabelTextColor: any;
            textColor: any;
            textColorDisabled: string;
            textDecorationColor: any;
            caretColor: any;
            placeholderColor: string;
            placeholderColorDisabled: string;
            color: string;
            colorDisabled: string;
            colorFocus: string;
            colorHover: any;
            groupLabelBorder: string;
            border: string;
            borderHover: string;
            borderDisabled: string;
            borderFocus: string;
            boxShadowFocus: string;
            loadingColor: any;
            loadingColorWarning: any;
            borderWarning: string;
            borderHoverWarning: string;
            colorFocusWarning: string;
            borderFocusWarning: string;
            boxShadowFocusWarning: string;
            caretColorWarning: any;
            loadingColorError: any;
            borderError: string;
            borderHoverError: string;
            colorFocusError: string;
            borderFocusError: string;
            boxShadowFocusError: string;
            caretColorError: any;
            clearColor: string;
            clearColorHover: string;
            clearColorPressed: string;
            iconColor: string;
            iconColorDisabled: string;
            iconColorHover: string;
            iconColorPressed: string;
            suffixTextColor: string;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            clearSize: string;
        }, any>;
        Button: import("../../_mixins").Theme<"Button", {
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            borderRadiusTiny: string;
            borderRadiusSmall: string;
            borderRadiusMedium: string;
            borderRadiusLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            colorPrimary: any;
            colorHoverPrimary: any;
            colorPressedPrimary: any;
            colorFocusPrimary: any;
            textColorPrimary: any;
            textColorHoverPrimary: any;
            textColorPressedPrimary: any;
            textColorFocusPrimary: any;
            textColorTextPrimary: any;
            textColorTextHoverPrimary: any;
            textColorTextPressedPrimary: any;
            textColorTextFocusPrimary: any;
            colorGhostHoverPrimary: any;
            textColorGhostPrimary: any;
            textColorGhostHoverPrimary: any;
            textColorGhostPressedPrimary: any;
            textColorGhostFocusPrimary: any;
            colorLighterPrimary: any;
            colorHoverLighterPrimary: any;
            colorPressedLighterPrimary: any;
            colorFocusLighterPrimary: any;
            textColorLighterPrimary: any;
            textColorLighterHoverPrimary: any;
            textColorLighterPressedPrimary: any;
            textColorLighterFocusPrimary: any;
            borderLighterHoverPrimary: string;
            borderLighterPressedPrimary: string;
            borderLighterFocusPrimary: string;
            colorStrokeHoverPrimary: any;
            colorStrokePressedPrimary: any;
            colorStrokeFocusPrimary: any;
            textColorStrokePrimary: any;
            textColorStrokeHoverPrimary: any;
            textColorStrokePressedPrimary: any;
            textColorStrokeFocusPrimary: any;
            borderStrokePrimary: string;
            borderStrokeHoverPrimary: string;
            borderStrokePressedPrimary: string;
            borderStrokeFocusPrimary: string;
            borderPrimary: string;
            borderHoverPrimary: string;
            borderPressedPrimary: string;
            borderFocusPrimary: string;
            rippleColorPrimary: any;
            colorNeutral: any;
            colorHoverNeutral: any;
            colorPressedNeutral: any;
            colorFocusNeutral: any;
            textColorNeutral: string;
            textColorHoverNeutral: string;
            textColorPressedNeutral: string;
            textColorFocusNeutral: string;
            textColorTextNeutral: any;
            textColorTextHoverNeutral: any;
            textColorTextPressedNeutral: any;
            textColorTextFocusNeutral: any;
            colorGhostHoverNeutral: any;
            colorPressedNeutralGhost: any;
            colorFocusNeutralGhost: any;
            textColorGhostNeutral: any;
            textColorGhostHoverNeutral: any;
            textColorGhostPressedNeutral: any;
            textColorGhostFocusNeutral: any;
            colorLighterNeutral: any;
            colorPressedNeutralLighter: any;
            colorFocusNeutralLighter: any;
            textColorLighterNeutral: any;
            textColorLighterHoverNeutral: any;
            textColorLighterPressedNeutral: any;
            textColorLighterFocusNeutral: any;
            borderLighterHoverNeutral: string;
            borderLighterPressedNeutral: string;
            borderLighterFocusNeutral: string;
            colorStrokeHoverNeutral: any;
            colorStrokePressedNeutral: any;
            colorStrokeFocusNeutral: any;
            textColorStrokeNeutral: any;
            textColorStrokeHoverNeutral: any;
            textColorStrokePressedNeutral: any;
            textColorStrokeFocusNeutral: any;
            borderStrokeNeutral: string;
            borderStrokeHoverNeutral: string;
            borderStrokePressedNeutral: string;
            borderStrokeFocusNeutral: string;
            borderNeutral: string;
            borderHoverNeutral: string;
            borderPressedNeutral: string;
            borderFocusNeutral: string;
            rippleColorNeutral: any;
            colorSuccess: any;
            colorHoverSuccess: any;
            colorPressedSuccess: any;
            colorFocusSuccess: any;
            textColorSuccess: string;
            textColorHoverSuccess: string;
            textColorPressedSuccess: string;
            textColorFocusSuccess: string;
            textColorTextSuccess: any;
            textColorTextHoverSuccess: any;
            textColorTextPressedSuccess: any;
            textColorTextFocusSuccess: any;
            colorGhostHoverSuccess: any;
            textColorGhostSuccess: any;
            textColorGhostHoverSuccess: any;
            textColorGhostPressedSuccess: any;
            textColorGhostFocusSuccess: any;
            colorLighterSuccess: any;
            textColorLighterSuccess: any;
            textColorLighterHoverSuccess: any;
            textColorLighterPressedSuccess: any;
            textColorLighterFocusSuccess: any;
            borderLighterHoverSuccess: string;
            borderLighterPressedSuccess: string;
            borderLighterFocusSuccess: string;
            colorStrokeHoverSuccess: any;
            colorStrokePressedSuccess: any;
            colorStrokeFocusSuccess: any;
            textColorStrokeSuccess: any;
            textColorStrokeHoverSuccess: any;
            textColorStrokePressedSuccess: any;
            textColorStrokeFocusSuccess: any;
            borderStrokeSuccess: string;
            borderStrokeHoverSuccess: string;
            borderStrokePressedSuccess: string;
            borderStrokeFocusSuccess: string;
            borderSuccess: string;
            borderHoverSuccess: string;
            borderPressedSuccess: string;
            borderFocusSuccess: string;
            rippleColorSuccess: any;
            colorWarning: any;
            colorHoverWarning: any;
            colorPressedWarning: any;
            colorFocusWarning: any;
            textColorWarning: string;
            textColorHoverWarning: string;
            textColorPressedWarning: string;
            textColorFocusWarning: string;
            textColorTextWarning: any;
            textColorTextHoverWarning: any;
            textColorTextPressedWarning: any;
            textColorTextFocusWarning: any;
            colorGhostHoverWarning: any;
            textColorGhostWarning: any;
            textColorGhostHoverWarning: any;
            textColorGhostPressedWarning: any;
            textColorGhostFocusWarning: any;
            colorLighterWarning: any;
            textColorLighterWarning: any;
            textColorLighterHoverWarning: any;
            textColorLighterPressedWarning: any;
            textColorLighterFocusWarning: any;
            borderLighterHoverWarning: string;
            borderLighterPressedWarning: string;
            borderLighterFocusWarning: string;
            colorStrokeHoverWarning: any;
            colorStrokePressedWarning: any;
            colorStrokeFocusWarning: any;
            textColorStrokeWarning: any;
            textColorStrokeHoverWarning: any;
            textColorStrokePressedWarning: any;
            textColorStrokeFocusWarning: any;
            borderStrokeWarning: string;
            borderStrokeHoverWarning: string;
            borderStrokePressedWarning: string;
            borderStrokeFocusWarning: string;
            borderWarning: string;
            borderHoverWarning: string;
            borderPressedWarning: string;
            borderFocusWarning: string;
            rippleColorWarning: any;
            colorError: any;
            colorHoverError: any;
            colorPressedError: any;
            colorFocusError: any;
            textColorError: string;
            textColorHoverError: string;
            textColorPressedError: string;
            textColorFocusError: string;
            textColorTextError: any;
            textColorTextHoverError: any;
            textColorTextPressedError: any;
            textColorTextFocusError: any;
            colorGhostHoverError: any;
            textColorGhostError: any;
            textColorGhostHoverError: any;
            textColorGhostPressedError: any;
            textColorGhostFocusError: any;
            colorLighterError: any;
            textColorLighterError: any;
            textColorLighterHoverError: any;
            textColorLighterPressedError: any;
            textColorLighterFocusError: any;
            borderLighterHoverError: string;
            borderLighterPressedError: string;
            borderLighterFocusError: string;
            colorStrokeHoverError: any;
            colorStrokePressedError: any;
            colorStrokeFocusError: any;
            textColorStrokeError: any;
            textColorStrokeHoverError: any;
            textColorStrokePressedError: any;
            textColorStrokeFocusError: any;
            borderStrokeError: string;
            borderStrokeHoverError: string;
            borderStrokePressedError: string;
            borderStrokeFocusError: string;
            borderError: string;
            borderHoverError: string;
            borderPressedError: string;
            borderFocusError: string;
            rippleColorError: any;
            waveOpacity: string;
            fontWeight: string;
            fontWeightStrong: string;
            opacityDisabled: string;
            colorDisabled: any;
            textColorDisabled: any;
            iconColorDisabled: any;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            paddingRoundTiny: string;
            paddingRoundSmall: string;
            paddingRoundMedium: string;
            paddingRoundLarge: string;
            iconMarginTiny: string;
            iconMarginSmall: string;
            iconMarginMedium: string;
            iconMarginLarge: string;
            iconSizeTiny: string;
            iconSizeSmall: string;
            iconSizeMedium: string;
            iconSizeLarge: string;
            rippleDuration: string;
        }, any>;
    }>>;
    readonly themeOverrides: PropType<import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"DynamicInput", {
        actionMargin: string;
        actionMarginRtl: string;
    }, {
        Input: import("../../_mixins").Theme<"Input", {
            fontWeight: string;
            countTextColorDisabled: string;
            countTextColor: string;
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            lineHeight: string;
            lineHeightTextarea: string;
            borderRadius: string;
            iconSize: string;
            groupLabelColor: string;
            groupLabelTextColor: any;
            textColor: any;
            textColorDisabled: string;
            textDecorationColor: any;
            caretColor: any;
            placeholderColor: string;
            placeholderColorDisabled: string;
            color: string;
            colorDisabled: string;
            colorFocus: string;
            colorHover: any;
            groupLabelBorder: string;
            border: string;
            borderHover: string;
            borderDisabled: string;
            borderFocus: string;
            boxShadowFocus: string;
            loadingColor: any;
            loadingColorWarning: any;
            borderWarning: string;
            borderHoverWarning: string;
            colorFocusWarning: string;
            borderFocusWarning: string;
            boxShadowFocusWarning: string;
            caretColorWarning: any;
            loadingColorError: any;
            borderError: string;
            borderHoverError: string;
            colorFocusError: string;
            borderFocusError: string;
            boxShadowFocusError: string;
            caretColorError: any;
            clearColor: string;
            clearColorHover: string;
            clearColorPressed: string;
            iconColor: string;
            iconColorDisabled: string;
            iconColorHover: string;
            iconColorPressed: string;
            suffixTextColor: string;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            clearSize: string;
        }, any>;
        Button: import("../../_mixins").Theme<"Button", {
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            borderRadiusTiny: string;
            borderRadiusSmall: string;
            borderRadiusMedium: string;
            borderRadiusLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            colorPrimary: any;
            colorHoverPrimary: any;
            colorPressedPrimary: any;
            colorFocusPrimary: any;
            textColorPrimary: any;
            textColorHoverPrimary: any;
            textColorPressedPrimary: any;
            textColorFocusPrimary: any;
            textColorTextPrimary: any;
            textColorTextHoverPrimary: any;
            textColorTextPressedPrimary: any;
            textColorTextFocusPrimary: any;
            colorGhostHoverPrimary: any;
            textColorGhostPrimary: any;
            textColorGhostHoverPrimary: any;
            textColorGhostPressedPrimary: any;
            textColorGhostFocusPrimary: any;
            colorLighterPrimary: any;
            colorHoverLighterPrimary: any;
            colorPressedLighterPrimary: any;
            colorFocusLighterPrimary: any;
            textColorLighterPrimary: any;
            textColorLighterHoverPrimary: any;
            textColorLighterPressedPrimary: any;
            textColorLighterFocusPrimary: any;
            borderLighterHoverPrimary: string;
            borderLighterPressedPrimary: string;
            borderLighterFocusPrimary: string;
            colorStrokeHoverPrimary: any;
            colorStrokePressedPrimary: any;
            colorStrokeFocusPrimary: any;
            textColorStrokePrimary: any;
            textColorStrokeHoverPrimary: any;
            textColorStrokePressedPrimary: any;
            textColorStrokeFocusPrimary: any;
            borderStrokePrimary: string;
            borderStrokeHoverPrimary: string;
            borderStrokePressedPrimary: string;
            borderStrokeFocusPrimary: string;
            borderPrimary: string;
            borderHoverPrimary: string;
            borderPressedPrimary: string;
            borderFocusPrimary: string;
            rippleColorPrimary: any;
            colorNeutral: any;
            colorHoverNeutral: any;
            colorPressedNeutral: any;
            colorFocusNeutral: any;
            textColorNeutral: string;
            textColorHoverNeutral: string;
            textColorPressedNeutral: string;
            textColorFocusNeutral: string;
            textColorTextNeutral: any;
            textColorTextHoverNeutral: any;
            textColorTextPressedNeutral: any;
            textColorTextFocusNeutral: any;
            colorGhostHoverNeutral: any;
            colorPressedNeutralGhost: any;
            colorFocusNeutralGhost: any;
            textColorGhostNeutral: any;
            textColorGhostHoverNeutral: any;
            textColorGhostPressedNeutral: any;
            textColorGhostFocusNeutral: any;
            colorLighterNeutral: any;
            colorPressedNeutralLighter: any;
            colorFocusNeutralLighter: any;
            textColorLighterNeutral: any;
            textColorLighterHoverNeutral: any;
            textColorLighterPressedNeutral: any;
            textColorLighterFocusNeutral: any;
            borderLighterHoverNeutral: string;
            borderLighterPressedNeutral: string;
            borderLighterFocusNeutral: string;
            colorStrokeHoverNeutral: any;
            colorStrokePressedNeutral: any;
            colorStrokeFocusNeutral: any;
            textColorStrokeNeutral: any;
            textColorStrokeHoverNeutral: any;
            textColorStrokePressedNeutral: any;
            textColorStrokeFocusNeutral: any;
            borderStrokeNeutral: string;
            borderStrokeHoverNeutral: string;
            borderStrokePressedNeutral: string;
            borderStrokeFocusNeutral: string;
            borderNeutral: string;
            borderHoverNeutral: string;
            borderPressedNeutral: string;
            borderFocusNeutral: string;
            rippleColorNeutral: any;
            colorSuccess: any;
            colorHoverSuccess: any;
            colorPressedSuccess: any;
            colorFocusSuccess: any;
            textColorSuccess: string;
            textColorHoverSuccess: string;
            textColorPressedSuccess: string;
            textColorFocusSuccess: string;
            textColorTextSuccess: any;
            textColorTextHoverSuccess: any;
            textColorTextPressedSuccess: any;
            textColorTextFocusSuccess: any;
            colorGhostHoverSuccess: any;
            textColorGhostSuccess: any;
            textColorGhostHoverSuccess: any;
            textColorGhostPressedSuccess: any;
            textColorGhostFocusSuccess: any;
            colorLighterSuccess: any;
            textColorLighterSuccess: any;
            textColorLighterHoverSuccess: any;
            textColorLighterPressedSuccess: any;
            textColorLighterFocusSuccess: any;
            borderLighterHoverSuccess: string;
            borderLighterPressedSuccess: string;
            borderLighterFocusSuccess: string;
            colorStrokeHoverSuccess: any;
            colorStrokePressedSuccess: any;
            colorStrokeFocusSuccess: any;
            textColorStrokeSuccess: any;
            textColorStrokeHoverSuccess: any;
            textColorStrokePressedSuccess: any;
            textColorStrokeFocusSuccess: any;
            borderStrokeSuccess: string;
            borderStrokeHoverSuccess: string;
            borderStrokePressedSuccess: string;
            borderStrokeFocusSuccess: string;
            borderSuccess: string;
            borderHoverSuccess: string;
            borderPressedSuccess: string;
            borderFocusSuccess: string;
            rippleColorSuccess: any;
            colorWarning: any;
            colorHoverWarning: any;
            colorPressedWarning: any;
            colorFocusWarning: any;
            textColorWarning: string;
            textColorHoverWarning: string;
            textColorPressedWarning: string;
            textColorFocusWarning: string;
            textColorTextWarning: any;
            textColorTextHoverWarning: any;
            textColorTextPressedWarning: any;
            textColorTextFocusWarning: any;
            colorGhostHoverWarning: any;
            textColorGhostWarning: any;
            textColorGhostHoverWarning: any;
            textColorGhostPressedWarning: any;
            textColorGhostFocusWarning: any;
            colorLighterWarning: any;
            textColorLighterWarning: any;
            textColorLighterHoverWarning: any;
            textColorLighterPressedWarning: any;
            textColorLighterFocusWarning: any;
            borderLighterHoverWarning: string;
            borderLighterPressedWarning: string;
            borderLighterFocusWarning: string;
            colorStrokeHoverWarning: any;
            colorStrokePressedWarning: any;
            colorStrokeFocusWarning: any;
            textColorStrokeWarning: any;
            textColorStrokeHoverWarning: any;
            textColorStrokePressedWarning: any;
            textColorStrokeFocusWarning: any;
            borderStrokeWarning: string;
            borderStrokeHoverWarning: string;
            borderStrokePressedWarning: string;
            borderStrokeFocusWarning: string;
            borderWarning: string;
            borderHoverWarning: string;
            borderPressedWarning: string;
            borderFocusWarning: string;
            rippleColorWarning: any;
            colorError: any;
            colorHoverError: any;
            colorPressedError: any;
            colorFocusError: any;
            textColorError: string;
            textColorHoverError: string;
            textColorPressedError: string;
            textColorFocusError: string;
            textColorTextError: any;
            textColorTextHoverError: any;
            textColorTextPressedError: any;
            textColorTextFocusError: any;
            colorGhostHoverError: any;
            textColorGhostError: any;
            textColorGhostHoverError: any;
            textColorGhostPressedError: any;
            textColorGhostFocusError: any;
            colorLighterError: any;
            textColorLighterError: any;
            textColorLighterHoverError: any;
            textColorLighterPressedError: any;
            textColorLighterFocusError: any;
            borderLighterHoverError: string;
            borderLighterPressedError: string;
            borderLighterFocusError: string;
            colorStrokeHoverError: any;
            colorStrokePressedError: any;
            colorStrokeFocusError: any;
            textColorStrokeError: any;
            textColorStrokeHoverError: any;
            textColorStrokePressedError: any;
            textColorStrokeFocusError: any;
            borderStrokeError: string;
            borderStrokeHoverError: string;
            borderStrokePressedError: string;
            borderStrokeFocusError: string;
            borderError: string;
            borderHoverError: string;
            borderPressedError: string;
            borderFocusError: string;
            rippleColorError: any;
            waveOpacity: string;
            fontWeight: string;
            fontWeightStrong: string;
            opacityDisabled: string;
            colorDisabled: any;
            textColorDisabled: any;
            iconColorDisabled: any;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            paddingRoundTiny: string;
            paddingRoundSmall: string;
            paddingRoundMedium: string;
            paddingRoundLarge: string;
            iconMarginTiny: string;
            iconMarginSmall: string;
            iconMarginMedium: string;
            iconMarginLarge: string;
            iconSizeTiny: string;
            iconSizeSmall: string;
            iconSizeMedium: string;
            iconSizeLarge: string;
            rippleDuration: string;
        }, any>;
    }>>>;
    readonly builtinThemeOverrides: PropType<import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"DynamicInput", {
        actionMargin: string;
        actionMarginRtl: string;
    }, {
        Input: import("../../_mixins").Theme<"Input", {
            fontWeight: string;
            countTextColorDisabled: string;
            countTextColor: string;
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            lineHeight: string;
            lineHeightTextarea: string;
            borderRadius: string;
            iconSize: string;
            groupLabelColor: string;
            groupLabelTextColor: any;
            textColor: any;
            textColorDisabled: string;
            textDecorationColor: any;
            caretColor: any;
            placeholderColor: string;
            placeholderColorDisabled: string;
            color: string;
            colorDisabled: string;
            colorFocus: string;
            colorHover: any;
            groupLabelBorder: string;
            border: string;
            borderHover: string;
            borderDisabled: string;
            borderFocus: string;
            boxShadowFocus: string;
            loadingColor: any;
            loadingColorWarning: any;
            borderWarning: string;
            borderHoverWarning: string;
            colorFocusWarning: string;
            borderFocusWarning: string;
            boxShadowFocusWarning: string;
            caretColorWarning: any;
            loadingColorError: any;
            borderError: string;
            borderHoverError: string;
            colorFocusError: string;
            borderFocusError: string;
            boxShadowFocusError: string;
            caretColorError: any;
            clearColor: string;
            clearColorHover: string;
            clearColorPressed: string;
            iconColor: string;
            iconColorDisabled: string;
            iconColorHover: string;
            iconColorPressed: string;
            suffixTextColor: string;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            clearSize: string;
        }, any>;
        Button: import("../../_mixins").Theme<"Button", {
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            borderRadiusTiny: string;
            borderRadiusSmall: string;
            borderRadiusMedium: string;
            borderRadiusLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            colorPrimary: any;
            colorHoverPrimary: any;
            colorPressedPrimary: any;
            colorFocusPrimary: any;
            textColorPrimary: any;
            textColorHoverPrimary: any;
            textColorPressedPrimary: any;
            textColorFocusPrimary: any;
            textColorTextPrimary: any;
            textColorTextHoverPrimary: any;
            textColorTextPressedPrimary: any;
            textColorTextFocusPrimary: any;
            colorGhostHoverPrimary: any;
            textColorGhostPrimary: any;
            textColorGhostHoverPrimary: any;
            textColorGhostPressedPrimary: any;
            textColorGhostFocusPrimary: any;
            colorLighterPrimary: any;
            colorHoverLighterPrimary: any;
            colorPressedLighterPrimary: any;
            colorFocusLighterPrimary: any;
            textColorLighterPrimary: any;
            textColorLighterHoverPrimary: any;
            textColorLighterPressedPrimary: any;
            textColorLighterFocusPrimary: any;
            borderLighterHoverPrimary: string;
            borderLighterPressedPrimary: string;
            borderLighterFocusPrimary: string;
            colorStrokeHoverPrimary: any;
            colorStrokePressedPrimary: any;
            colorStrokeFocusPrimary: any;
            textColorStrokePrimary: any;
            textColorStrokeHoverPrimary: any;
            textColorStrokePressedPrimary: any;
            textColorStrokeFocusPrimary: any;
            borderStrokePrimary: string;
            borderStrokeHoverPrimary: string;
            borderStrokePressedPrimary: string;
            borderStrokeFocusPrimary: string;
            borderPrimary: string;
            borderHoverPrimary: string;
            borderPressedPrimary: string;
            borderFocusPrimary: string;
            rippleColorPrimary: any;
            colorNeutral: any;
            colorHoverNeutral: any;
            colorPressedNeutral: any;
            colorFocusNeutral: any;
            textColorNeutral: string;
            textColorHoverNeutral: string;
            textColorPressedNeutral: string;
            textColorFocusNeutral: string;
            textColorTextNeutral: any;
            textColorTextHoverNeutral: any;
            textColorTextPressedNeutral: any;
            textColorTextFocusNeutral: any;
            colorGhostHoverNeutral: any;
            colorPressedNeutralGhost: any;
            colorFocusNeutralGhost: any;
            textColorGhostNeutral: any;
            textColorGhostHoverNeutral: any;
            textColorGhostPressedNeutral: any;
            textColorGhostFocusNeutral: any;
            colorLighterNeutral: any;
            colorPressedNeutralLighter: any;
            colorFocusNeutralLighter: any;
            textColorLighterNeutral: any;
            textColorLighterHoverNeutral: any;
            textColorLighterPressedNeutral: any;
            textColorLighterFocusNeutral: any;
            borderLighterHoverNeutral: string;
            borderLighterPressedNeutral: string;
            borderLighterFocusNeutral: string;
            colorStrokeHoverNeutral: any;
            colorStrokePressedNeutral: any;
            colorStrokeFocusNeutral: any;
            textColorStrokeNeutral: any;
            textColorStrokeHoverNeutral: any;
            textColorStrokePressedNeutral: any;
            textColorStrokeFocusNeutral: any;
            borderStrokeNeutral: string;
            borderStrokeHoverNeutral: string;
            borderStrokePressedNeutral: string;
            borderStrokeFocusNeutral: string;
            borderNeutral: string;
            borderHoverNeutral: string;
            borderPressedNeutral: string;
            borderFocusNeutral: string;
            rippleColorNeutral: any;
            colorSuccess: any;
            colorHoverSuccess: any;
            colorPressedSuccess: any;
            colorFocusSuccess: any;
            textColorSuccess: string;
            textColorHoverSuccess: string;
            textColorPressedSuccess: string;
            textColorFocusSuccess: string;
            textColorTextSuccess: any;
            textColorTextHoverSuccess: any;
            textColorTextPressedSuccess: any;
            textColorTextFocusSuccess: any;
            colorGhostHoverSuccess: any;
            textColorGhostSuccess: any;
            textColorGhostHoverSuccess: any;
            textColorGhostPressedSuccess: any;
            textColorGhostFocusSuccess: any;
            colorLighterSuccess: any;
            textColorLighterSuccess: any;
            textColorLighterHoverSuccess: any;
            textColorLighterPressedSuccess: any;
            textColorLighterFocusSuccess: any;
            borderLighterHoverSuccess: string;
            borderLighterPressedSuccess: string;
            borderLighterFocusSuccess: string;
            colorStrokeHoverSuccess: any;
            colorStrokePressedSuccess: any;
            colorStrokeFocusSuccess: any;
            textColorStrokeSuccess: any;
            textColorStrokeHoverSuccess: any;
            textColorStrokePressedSuccess: any;
            textColorStrokeFocusSuccess: any;
            borderStrokeSuccess: string;
            borderStrokeHoverSuccess: string;
            borderStrokePressedSuccess: string;
            borderStrokeFocusSuccess: string;
            borderSuccess: string;
            borderHoverSuccess: string;
            borderPressedSuccess: string;
            borderFocusSuccess: string;
            rippleColorSuccess: any;
            colorWarning: any;
            colorHoverWarning: any;
            colorPressedWarning: any;
            colorFocusWarning: any;
            textColorWarning: string;
            textColorHoverWarning: string;
            textColorPressedWarning: string;
            textColorFocusWarning: string;
            textColorTextWarning: any;
            textColorTextHoverWarning: any;
            textColorTextPressedWarning: any;
            textColorTextFocusWarning: any;
            colorGhostHoverWarning: any;
            textColorGhostWarning: any;
            textColorGhostHoverWarning: any;
            textColorGhostPressedWarning: any;
            textColorGhostFocusWarning: any;
            colorLighterWarning: any;
            textColorLighterWarning: any;
            textColorLighterHoverWarning: any;
            textColorLighterPressedWarning: any;
            textColorLighterFocusWarning: any;
            borderLighterHoverWarning: string;
            borderLighterPressedWarning: string;
            borderLighterFocusWarning: string;
            colorStrokeHoverWarning: any;
            colorStrokePressedWarning: any;
            colorStrokeFocusWarning: any;
            textColorStrokeWarning: any;
            textColorStrokeHoverWarning: any;
            textColorStrokePressedWarning: any;
            textColorStrokeFocusWarning: any;
            borderStrokeWarning: string;
            borderStrokeHoverWarning: string;
            borderStrokePressedWarning: string;
            borderStrokeFocusWarning: string;
            borderWarning: string;
            borderHoverWarning: string;
            borderPressedWarning: string;
            borderFocusWarning: string;
            rippleColorWarning: any;
            colorError: any;
            colorHoverError: any;
            colorPressedError: any;
            colorFocusError: any;
            textColorError: string;
            textColorHoverError: string;
            textColorPressedError: string;
            textColorFocusError: string;
            textColorTextError: any;
            textColorTextHoverError: any;
            textColorTextPressedError: any;
            textColorTextFocusError: any;
            colorGhostHoverError: any;
            textColorGhostError: any;
            textColorGhostHoverError: any;
            textColorGhostPressedError: any;
            textColorGhostFocusError: any;
            colorLighterError: any;
            textColorLighterError: any;
            textColorLighterHoverError: any;
            textColorLighterPressedError: any;
            textColorLighterFocusError: any;
            borderLighterHoverError: string;
            borderLighterPressedError: string;
            borderLighterFocusError: string;
            colorStrokeHoverError: any;
            colorStrokePressedError: any;
            colorStrokeFocusError: any;
            textColorStrokeError: any;
            textColorStrokeHoverError: any;
            textColorStrokePressedError: any;
            textColorStrokeFocusError: any;
            borderStrokeError: string;
            borderStrokeHoverError: string;
            borderStrokePressedError: string;
            borderStrokeFocusError: string;
            borderError: string;
            borderHoverError: string;
            borderPressedError: string;
            borderFocusError: string;
            rippleColorError: any;
            waveOpacity: string;
            fontWeight: string;
            fontWeightStrong: string;
            opacityDisabled: string;
            colorDisabled: any;
            textColorDisabled: any;
            iconColorDisabled: any;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            paddingRoundTiny: string;
            paddingRoundSmall: string;
            paddingRoundMedium: string;
            paddingRoundLarge: string;
            iconMarginTiny: string;
            iconMarginSmall: string;
            iconMarginMedium: string;
            iconMarginLarge: string;
            iconSizeTiny: string;
            iconSizeSmall: string;
            iconSizeMedium: string;
            iconSizeLarge: string;
            rippleDuration: string;
        }, any>;
    }>>>;
}>, {
    locale: import("vue").Ref<{
        create: string;
    }, {
        create: string;
    }>;
    rtlEnabled: import("vue").Ref<import("../../config-provider/src/internal-interface").RtlItem | undefined, import("../../config-provider/src/internal-interface").RtlItem | undefined> | undefined;
    buttonSize: import("vue").ComputedRef<import("../../button/src/interface").Size | undefined>;
    mergedClsPrefix: import("vue").Ref<string, string>;
    NFormItem: import("../../_mixins/use-form-item").FormItemInjection | null;
    uncontrolledValue: import("vue").Ref<any[], any[]>;
    mergedValue: import("vue").ComputedRef<any[]>;
    insertionDisabled: import("vue").ComputedRef<boolean>;
    removeDisabled: import("vue").ComputedRef<boolean>;
    handleCreateClick: () => void;
    ensureKey: (value: any, index: number) => string | number;
    handleValueChange: (index: number, value: any) => void;
    remove: (index: number) => void;
    move: (type: "up" | "down", index: number) => void;
    createItem: (index: number) => void;
    mergedTheme: import("vue").ComputedRef<{
        common: import("../..").ThemeCommonVars;
        self: {
            actionMargin: string;
            actionMarginRtl: string;
        };
        peers: {
            Input: import("../../_mixins").Theme<"Input", {
                fontWeight: string;
                countTextColorDisabled: string;
                countTextColor: string;
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                lineHeight: string;
                lineHeightTextarea: string;
                borderRadius: string;
                iconSize: string;
                groupLabelColor: string;
                groupLabelTextColor: any;
                textColor: any;
                textColorDisabled: string;
                textDecorationColor: any;
                caretColor: any;
                placeholderColor: string;
                placeholderColorDisabled: string;
                color: string;
                colorDisabled: string;
                colorFocus: string;
                colorHover: any;
                groupLabelBorder: string;
                border: string;
                borderHover: string;
                borderDisabled: string;
                borderFocus: string;
                boxShadowFocus: string;
                loadingColor: any;
                loadingColorWarning: any;
                borderWarning: string;
                borderHoverWarning: string;
                colorFocusWarning: string;
                borderFocusWarning: string;
                boxShadowFocusWarning: string;
                caretColorWarning: any;
                loadingColorError: any;
                borderError: string;
                borderHoverError: string;
                colorFocusError: string;
                borderFocusError: string;
                boxShadowFocusError: string;
                caretColorError: any;
                clearColor: string;
                clearColorHover: string;
                clearColorPressed: string;
                iconColor: string;
                iconColorDisabled: string;
                iconColorHover: string;
                iconColorPressed: string;
                suffixTextColor: string;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                clearSize: string;
            }, any>;
            Button: import("../../_mixins").Theme<"Button", {
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                borderRadiusTiny: string;
                borderRadiusSmall: string;
                borderRadiusMedium: string;
                borderRadiusLarge: string;
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                colorPrimary: any;
                colorHoverPrimary: any;
                colorPressedPrimary: any;
                colorFocusPrimary: any;
                textColorPrimary: any;
                textColorHoverPrimary: any;
                textColorPressedPrimary: any;
                textColorFocusPrimary: any;
                textColorTextPrimary: any;
                textColorTextHoverPrimary: any;
                textColorTextPressedPrimary: any;
                textColorTextFocusPrimary: any;
                colorGhostHoverPrimary: any;
                textColorGhostPrimary: any;
                textColorGhostHoverPrimary: any;
                textColorGhostPressedPrimary: any;
                textColorGhostFocusPrimary: any;
                colorLighterPrimary: any;
                colorHoverLighterPrimary: any;
                colorPressedLighterPrimary: any;
                colorFocusLighterPrimary: any;
                textColorLighterPrimary: any;
                textColorLighterHoverPrimary: any;
                textColorLighterPressedPrimary: any;
                textColorLighterFocusPrimary: any;
                borderLighterHoverPrimary: string;
                borderLighterPressedPrimary: string;
                borderLighterFocusPrimary: string;
                colorStrokeHoverPrimary: any;
                colorStrokePressedPrimary: any;
                colorStrokeFocusPrimary: any;
                textColorStrokePrimary: any;
                textColorStrokeHoverPrimary: any;
                textColorStrokePressedPrimary: any;
                textColorStrokeFocusPrimary: any;
                borderStrokePrimary: string;
                borderStrokeHoverPrimary: string;
                borderStrokePressedPrimary: string;
                borderStrokeFocusPrimary: string;
                borderPrimary: string;
                borderHoverPrimary: string;
                borderPressedPrimary: string;
                borderFocusPrimary: string;
                rippleColorPrimary: any;
                colorNeutral: any;
                colorHoverNeutral: any;
                colorPressedNeutral: any;
                colorFocusNeutral: any;
                textColorNeutral: string;
                textColorHoverNeutral: string;
                textColorPressedNeutral: string;
                textColorFocusNeutral: string;
                textColorTextNeutral: any;
                textColorTextHoverNeutral: any;
                textColorTextPressedNeutral: any;
                textColorTextFocusNeutral: any;
                colorGhostHoverNeutral: any;
                colorPressedNeutralGhost: any;
                colorFocusNeutralGhost: any;
                textColorGhostNeutral: any;
                textColorGhostHoverNeutral: any;
                textColorGhostPressedNeutral: any;
                textColorGhostFocusNeutral: any;
                colorLighterNeutral: any;
                colorPressedNeutralLighter: any;
                colorFocusNeutralLighter: any;
                textColorLighterNeutral: any;
                textColorLighterHoverNeutral: any;
                textColorLighterPressedNeutral: any;
                textColorLighterFocusNeutral: any;
                borderLighterHoverNeutral: string;
                borderLighterPressedNeutral: string;
                borderLighterFocusNeutral: string;
                colorStrokeHoverNeutral: any;
                colorStrokePressedNeutral: any;
                colorStrokeFocusNeutral: any;
                textColorStrokeNeutral: any;
                textColorStrokeHoverNeutral: any;
                textColorStrokePressedNeutral: any;
                textColorStrokeFocusNeutral: any;
                borderStrokeNeutral: string;
                borderStrokeHoverNeutral: string;
                borderStrokePressedNeutral: string;
                borderStrokeFocusNeutral: string;
                borderNeutral: string;
                borderHoverNeutral: string;
                borderPressedNeutral: string;
                borderFocusNeutral: string;
                rippleColorNeutral: any;
                colorSuccess: any;
                colorHoverSuccess: any;
                colorPressedSuccess: any;
                colorFocusSuccess: any;
                textColorSuccess: string;
                textColorHoverSuccess: string;
                textColorPressedSuccess: string;
                textColorFocusSuccess: string;
                textColorTextSuccess: any;
                textColorTextHoverSuccess: any;
                textColorTextPressedSuccess: any;
                textColorTextFocusSuccess: any;
                colorGhostHoverSuccess: any;
                textColorGhostSuccess: any;
                textColorGhostHoverSuccess: any;
                textColorGhostPressedSuccess: any;
                textColorGhostFocusSuccess: any;
                colorLighterSuccess: any;
                textColorLighterSuccess: any;
                textColorLighterHoverSuccess: any;
                textColorLighterPressedSuccess: any;
                textColorLighterFocusSuccess: any;
                borderLighterHoverSuccess: string;
                borderLighterPressedSuccess: string;
                borderLighterFocusSuccess: string;
                colorStrokeHoverSuccess: any;
                colorStrokePressedSuccess: any;
                colorStrokeFocusSuccess: any;
                textColorStrokeSuccess: any;
                textColorStrokeHoverSuccess: any;
                textColorStrokePressedSuccess: any;
                textColorStrokeFocusSuccess: any;
                borderStrokeSuccess: string;
                borderStrokeHoverSuccess: string;
                borderStrokePressedSuccess: string;
                borderStrokeFocusSuccess: string;
                borderSuccess: string;
                borderHoverSuccess: string;
                borderPressedSuccess: string;
                borderFocusSuccess: string;
                rippleColorSuccess: any;
                colorWarning: any;
                colorHoverWarning: any;
                colorPressedWarning: any;
                colorFocusWarning: any;
                textColorWarning: string;
                textColorHoverWarning: string;
                textColorPressedWarning: string;
                textColorFocusWarning: string;
                textColorTextWarning: any;
                textColorTextHoverWarning: any;
                textColorTextPressedWarning: any;
                textColorTextFocusWarning: any;
                colorGhostHoverWarning: any;
                textColorGhostWarning: any;
                textColorGhostHoverWarning: any;
                textColorGhostPressedWarning: any;
                textColorGhostFocusWarning: any;
                colorLighterWarning: any;
                textColorLighterWarning: any;
                textColorLighterHoverWarning: any;
                textColorLighterPressedWarning: any;
                textColorLighterFocusWarning: any;
                borderLighterHoverWarning: string;
                borderLighterPressedWarning: string;
                borderLighterFocusWarning: string;
                colorStrokeHoverWarning: any;
                colorStrokePressedWarning: any;
                colorStrokeFocusWarning: any;
                textColorStrokeWarning: any;
                textColorStrokeHoverWarning: any;
                textColorStrokePressedWarning: any;
                textColorStrokeFocusWarning: any;
                borderStrokeWarning: string;
                borderStrokeHoverWarning: string;
                borderStrokePressedWarning: string;
                borderStrokeFocusWarning: string;
                borderWarning: string;
                borderHoverWarning: string;
                borderPressedWarning: string;
                borderFocusWarning: string;
                rippleColorWarning: any;
                colorError: any;
                colorHoverError: any;
                colorPressedError: any;
                colorFocusError: any;
                textColorError: string;
                textColorHoverError: string;
                textColorPressedError: string;
                textColorFocusError: string;
                textColorTextError: any;
                textColorTextHoverError: any;
                textColorTextPressedError: any;
                textColorTextFocusError: any;
                colorGhostHoverError: any;
                textColorGhostError: any;
                textColorGhostHoverError: any;
                textColorGhostPressedError: any;
                textColorGhostFocusError: any;
                colorLighterError: any;
                textColorLighterError: any;
                textColorLighterHoverError: any;
                textColorLighterPressedError: any;
                textColorLighterFocusError: any;
                borderLighterHoverError: string;
                borderLighterPressedError: string;
                borderLighterFocusError: string;
                colorStrokeHoverError: any;
                colorStrokePressedError: any;
                colorStrokeFocusError: any;
                textColorStrokeError: any;
                textColorStrokeHoverError: any;
                textColorStrokePressedError: any;
                textColorStrokeFocusError: any;
                borderStrokeError: string;
                borderStrokeHoverError: string;
                borderStrokePressedError: string;
                borderStrokeFocusError: string;
                borderError: string;
                borderHoverError: string;
                borderPressedError: string;
                borderFocusError: string;
                rippleColorError: any;
                waveOpacity: string;
                fontWeight: string;
                fontWeightStrong: string;
                opacityDisabled: string;
                colorDisabled: any;
                textColorDisabled: any;
                iconColorDisabled: any;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                paddingRoundTiny: string;
                paddingRoundSmall: string;
                paddingRoundMedium: string;
                paddingRoundLarge: string;
                iconMarginTiny: string;
                iconMarginSmall: string;
                iconMarginMedium: string;
                iconMarginLarge: string;
                iconSizeTiny: string;
                iconSizeSmall: string;
                iconSizeMedium: string;
                iconSizeLarge: string;
                rippleDuration: string;
            }, any>;
        };
        peerOverrides: {
            Input?: {
                peers?: {
                    [x: string]: any;
                } | undefined;
            } | undefined;
            Button?: {
                peers?: {
                    [x: string]: any;
                } | undefined;
            } | undefined;
        };
    }>;
    cssVars: import("vue").ComputedRef<{
        '--action-margin': string;
        '--action-margin-rtl': string;
    }> | undefined;
    themeClass: import("vue").Ref<string, string> | undefined;
    onRender: (() => void) | undefined;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    readonly max: NumberConstructor;
    readonly min: {
        readonly type: NumberConstructor;
        readonly default: 0;
    };
    readonly value: PropType<any[]>;
    readonly defaultValue: {
        readonly type: PropType<any[]>;
        readonly default: () => never[];
    };
    readonly preset: {
        readonly type: PropType<"input" | "pair">;
        readonly default: "input";
    };
    readonly keyField: StringConstructor;
    readonly itemClass: StringConstructor;
    readonly itemStyle: PropType<string | CSSProperties>;
    readonly keyPlaceholder: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly valuePlaceholder: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly placeholder: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly disabled: BooleanConstructor;
    readonly showSortButton: BooleanConstructor;
    readonly createButtonProps: PropType<ButtonProps>;
    readonly onCreate: PropType<(index: number) => any>;
    readonly onRemove: PropType<(index: number) => void>;
    readonly 'onUpdate:value': PropType<MaybeArray<OnUpdateValue>>;
    readonly onUpdateValue: PropType<MaybeArray<OnUpdateValue>>;
    readonly onClear: PropType<() => void>;
    readonly onInput: PropType<MaybeArray<OnUpdateValue>>;
    readonly theme: PropType<import("../../_mixins").Theme<"DynamicInput", {
        actionMargin: string;
        actionMarginRtl: string;
    }, {
        Input: import("../../_mixins").Theme<"Input", {
            fontWeight: string;
            countTextColorDisabled: string;
            countTextColor: string;
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            lineHeight: string;
            lineHeightTextarea: string;
            borderRadius: string;
            iconSize: string;
            groupLabelColor: string;
            groupLabelTextColor: any;
            textColor: any;
            textColorDisabled: string;
            textDecorationColor: any;
            caretColor: any;
            placeholderColor: string;
            placeholderColorDisabled: string;
            color: string;
            colorDisabled: string;
            colorFocus: string;
            colorHover: any;
            groupLabelBorder: string;
            border: string;
            borderHover: string;
            borderDisabled: string;
            borderFocus: string;
            boxShadowFocus: string;
            loadingColor: any;
            loadingColorWarning: any;
            borderWarning: string;
            borderHoverWarning: string;
            colorFocusWarning: string;
            borderFocusWarning: string;
            boxShadowFocusWarning: string;
            caretColorWarning: any;
            loadingColorError: any;
            borderError: string;
            borderHoverError: string;
            colorFocusError: string;
            borderFocusError: string;
            boxShadowFocusError: string;
            caretColorError: any;
            clearColor: string;
            clearColorHover: string;
            clearColorPressed: string;
            iconColor: string;
            iconColorDisabled: string;
            iconColorHover: string;
            iconColorPressed: string;
            suffixTextColor: string;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            clearSize: string;
        }, any>;
        Button: import("../../_mixins").Theme<"Button", {
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            borderRadiusTiny: string;
            borderRadiusSmall: string;
            borderRadiusMedium: string;
            borderRadiusLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            colorPrimary: any;
            colorHoverPrimary: any;
            colorPressedPrimary: any;
            colorFocusPrimary: any;
            textColorPrimary: any;
            textColorHoverPrimary: any;
            textColorPressedPrimary: any;
            textColorFocusPrimary: any;
            textColorTextPrimary: any;
            textColorTextHoverPrimary: any;
            textColorTextPressedPrimary: any;
            textColorTextFocusPrimary: any;
            colorGhostHoverPrimary: any;
            textColorGhostPrimary: any;
            textColorGhostHoverPrimary: any;
            textColorGhostPressedPrimary: any;
            textColorGhostFocusPrimary: any;
            colorLighterPrimary: any;
            colorHoverLighterPrimary: any;
            colorPressedLighterPrimary: any;
            colorFocusLighterPrimary: any;
            textColorLighterPrimary: any;
            textColorLighterHoverPrimary: any;
            textColorLighterPressedPrimary: any;
            textColorLighterFocusPrimary: any;
            borderLighterHoverPrimary: string;
            borderLighterPressedPrimary: string;
            borderLighterFocusPrimary: string;
            colorStrokeHoverPrimary: any;
            colorStrokePressedPrimary: any;
            colorStrokeFocusPrimary: any;
            textColorStrokePrimary: any;
            textColorStrokeHoverPrimary: any;
            textColorStrokePressedPrimary: any;
            textColorStrokeFocusPrimary: any;
            borderStrokePrimary: string;
            borderStrokeHoverPrimary: string;
            borderStrokePressedPrimary: string;
            borderStrokeFocusPrimary: string;
            borderPrimary: string;
            borderHoverPrimary: string;
            borderPressedPrimary: string;
            borderFocusPrimary: string;
            rippleColorPrimary: any;
            colorNeutral: any;
            colorHoverNeutral: any;
            colorPressedNeutral: any;
            colorFocusNeutral: any;
            textColorNeutral: string;
            textColorHoverNeutral: string;
            textColorPressedNeutral: string;
            textColorFocusNeutral: string;
            textColorTextNeutral: any;
            textColorTextHoverNeutral: any;
            textColorTextPressedNeutral: any;
            textColorTextFocusNeutral: any;
            colorGhostHoverNeutral: any;
            colorPressedNeutralGhost: any;
            colorFocusNeutralGhost: any;
            textColorGhostNeutral: any;
            textColorGhostHoverNeutral: any;
            textColorGhostPressedNeutral: any;
            textColorGhostFocusNeutral: any;
            colorLighterNeutral: any;
            colorPressedNeutralLighter: any;
            colorFocusNeutralLighter: any;
            textColorLighterNeutral: any;
            textColorLighterHoverNeutral: any;
            textColorLighterPressedNeutral: any;
            textColorLighterFocusNeutral: any;
            borderLighterHoverNeutral: string;
            borderLighterPressedNeutral: string;
            borderLighterFocusNeutral: string;
            colorStrokeHoverNeutral: any;
            colorStrokePressedNeutral: any;
            colorStrokeFocusNeutral: any;
            textColorStrokeNeutral: any;
            textColorStrokeHoverNeutral: any;
            textColorStrokePressedNeutral: any;
            textColorStrokeFocusNeutral: any;
            borderStrokeNeutral: string;
            borderStrokeHoverNeutral: string;
            borderStrokePressedNeutral: string;
            borderStrokeFocusNeutral: string;
            borderNeutral: string;
            borderHoverNeutral: string;
            borderPressedNeutral: string;
            borderFocusNeutral: string;
            rippleColorNeutral: any;
            colorSuccess: any;
            colorHoverSuccess: any;
            colorPressedSuccess: any;
            colorFocusSuccess: any;
            textColorSuccess: string;
            textColorHoverSuccess: string;
            textColorPressedSuccess: string;
            textColorFocusSuccess: string;
            textColorTextSuccess: any;
            textColorTextHoverSuccess: any;
            textColorTextPressedSuccess: any;
            textColorTextFocusSuccess: any;
            colorGhostHoverSuccess: any;
            textColorGhostSuccess: any;
            textColorGhostHoverSuccess: any;
            textColorGhostPressedSuccess: any;
            textColorGhostFocusSuccess: any;
            colorLighterSuccess: any;
            textColorLighterSuccess: any;
            textColorLighterHoverSuccess: any;
            textColorLighterPressedSuccess: any;
            textColorLighterFocusSuccess: any;
            borderLighterHoverSuccess: string;
            borderLighterPressedSuccess: string;
            borderLighterFocusSuccess: string;
            colorStrokeHoverSuccess: any;
            colorStrokePressedSuccess: any;
            colorStrokeFocusSuccess: any;
            textColorStrokeSuccess: any;
            textColorStrokeHoverSuccess: any;
            textColorStrokePressedSuccess: any;
            textColorStrokeFocusSuccess: any;
            borderStrokeSuccess: string;
            borderStrokeHoverSuccess: string;
            borderStrokePressedSuccess: string;
            borderStrokeFocusSuccess: string;
            borderSuccess: string;
            borderHoverSuccess: string;
            borderPressedSuccess: string;
            borderFocusSuccess: string;
            rippleColorSuccess: any;
            colorWarning: any;
            colorHoverWarning: any;
            colorPressedWarning: any;
            colorFocusWarning: any;
            textColorWarning: string;
            textColorHoverWarning: string;
            textColorPressedWarning: string;
            textColorFocusWarning: string;
            textColorTextWarning: any;
            textColorTextHoverWarning: any;
            textColorTextPressedWarning: any;
            textColorTextFocusWarning: any;
            colorGhostHoverWarning: any;
            textColorGhostWarning: any;
            textColorGhostHoverWarning: any;
            textColorGhostPressedWarning: any;
            textColorGhostFocusWarning: any;
            colorLighterWarning: any;
            textColorLighterWarning: any;
            textColorLighterHoverWarning: any;
            textColorLighterPressedWarning: any;
            textColorLighterFocusWarning: any;
            borderLighterHoverWarning: string;
            borderLighterPressedWarning: string;
            borderLighterFocusWarning: string;
            colorStrokeHoverWarning: any;
            colorStrokePressedWarning: any;
            colorStrokeFocusWarning: any;
            textColorStrokeWarning: any;
            textColorStrokeHoverWarning: any;
            textColorStrokePressedWarning: any;
            textColorStrokeFocusWarning: any;
            borderStrokeWarning: string;
            borderStrokeHoverWarning: string;
            borderStrokePressedWarning: string;
            borderStrokeFocusWarning: string;
            borderWarning: string;
            borderHoverWarning: string;
            borderPressedWarning: string;
            borderFocusWarning: string;
            rippleColorWarning: any;
            colorError: any;
            colorHoverError: any;
            colorPressedError: any;
            colorFocusError: any;
            textColorError: string;
            textColorHoverError: string;
            textColorPressedError: string;
            textColorFocusError: string;
            textColorTextError: any;
            textColorTextHoverError: any;
            textColorTextPressedError: any;
            textColorTextFocusError: any;
            colorGhostHoverError: any;
            textColorGhostError: any;
            textColorGhostHoverError: any;
            textColorGhostPressedError: any;
            textColorGhostFocusError: any;
            colorLighterError: any;
            textColorLighterError: any;
            textColorLighterHoverError: any;
            textColorLighterPressedError: any;
            textColorLighterFocusError: any;
            borderLighterHoverError: string;
            borderLighterPressedError: string;
            borderLighterFocusError: string;
            colorStrokeHoverError: any;
            colorStrokePressedError: any;
            colorStrokeFocusError: any;
            textColorStrokeError: any;
            textColorStrokeHoverError: any;
            textColorStrokePressedError: any;
            textColorStrokeFocusError: any;
            borderStrokeError: string;
            borderStrokeHoverError: string;
            borderStrokePressedError: string;
            borderStrokeFocusError: string;
            borderError: string;
            borderHoverError: string;
            borderPressedError: string;
            borderFocusError: string;
            rippleColorError: any;
            waveOpacity: string;
            fontWeight: string;
            fontWeightStrong: string;
            opacityDisabled: string;
            colorDisabled: any;
            textColorDisabled: any;
            iconColorDisabled: any;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            paddingRoundTiny: string;
            paddingRoundSmall: string;
            paddingRoundMedium: string;
            paddingRoundLarge: string;
            iconMarginTiny: string;
            iconMarginSmall: string;
            iconMarginMedium: string;
            iconMarginLarge: string;
            iconSizeTiny: string;
            iconSizeSmall: string;
            iconSizeMedium: string;
            iconSizeLarge: string;
            rippleDuration: string;
        }, any>;
    }>>;
    readonly themeOverrides: PropType<import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"DynamicInput", {
        actionMargin: string;
        actionMarginRtl: string;
    }, {
        Input: import("../../_mixins").Theme<"Input", {
            fontWeight: string;
            countTextColorDisabled: string;
            countTextColor: string;
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            lineHeight: string;
            lineHeightTextarea: string;
            borderRadius: string;
            iconSize: string;
            groupLabelColor: string;
            groupLabelTextColor: any;
            textColor: any;
            textColorDisabled: string;
            textDecorationColor: any;
            caretColor: any;
            placeholderColor: string;
            placeholderColorDisabled: string;
            color: string;
            colorDisabled: string;
            colorFocus: string;
            colorHover: any;
            groupLabelBorder: string;
            border: string;
            borderHover: string;
            borderDisabled: string;
            borderFocus: string;
            boxShadowFocus: string;
            loadingColor: any;
            loadingColorWarning: any;
            borderWarning: string;
            borderHoverWarning: string;
            colorFocusWarning: string;
            borderFocusWarning: string;
            boxShadowFocusWarning: string;
            caretColorWarning: any;
            loadingColorError: any;
            borderError: string;
            borderHoverError: string;
            colorFocusError: string;
            borderFocusError: string;
            boxShadowFocusError: string;
            caretColorError: any;
            clearColor: string;
            clearColorHover: string;
            clearColorPressed: string;
            iconColor: string;
            iconColorDisabled: string;
            iconColorHover: string;
            iconColorPressed: string;
            suffixTextColor: string;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            clearSize: string;
        }, any>;
        Button: import("../../_mixins").Theme<"Button", {
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            borderRadiusTiny: string;
            borderRadiusSmall: string;
            borderRadiusMedium: string;
            borderRadiusLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            colorPrimary: any;
            colorHoverPrimary: any;
            colorPressedPrimary: any;
            colorFocusPrimary: any;
            textColorPrimary: any;
            textColorHoverPrimary: any;
            textColorPressedPrimary: any;
            textColorFocusPrimary: any;
            textColorTextPrimary: any;
            textColorTextHoverPrimary: any;
            textColorTextPressedPrimary: any;
            textColorTextFocusPrimary: any;
            colorGhostHoverPrimary: any;
            textColorGhostPrimary: any;
            textColorGhostHoverPrimary: any;
            textColorGhostPressedPrimary: any;
            textColorGhostFocusPrimary: any;
            colorLighterPrimary: any;
            colorHoverLighterPrimary: any;
            colorPressedLighterPrimary: any;
            colorFocusLighterPrimary: any;
            textColorLighterPrimary: any;
            textColorLighterHoverPrimary: any;
            textColorLighterPressedPrimary: any;
            textColorLighterFocusPrimary: any;
            borderLighterHoverPrimary: string;
            borderLighterPressedPrimary: string;
            borderLighterFocusPrimary: string;
            colorStrokeHoverPrimary: any;
            colorStrokePressedPrimary: any;
            colorStrokeFocusPrimary: any;
            textColorStrokePrimary: any;
            textColorStrokeHoverPrimary: any;
            textColorStrokePressedPrimary: any;
            textColorStrokeFocusPrimary: any;
            borderStrokePrimary: string;
            borderStrokeHoverPrimary: string;
            borderStrokePressedPrimary: string;
            borderStrokeFocusPrimary: string;
            borderPrimary: string;
            borderHoverPrimary: string;
            borderPressedPrimary: string;
            borderFocusPrimary: string;
            rippleColorPrimary: any;
            colorNeutral: any;
            colorHoverNeutral: any;
            colorPressedNeutral: any;
            colorFocusNeutral: any;
            textColorNeutral: string;
            textColorHoverNeutral: string;
            textColorPressedNeutral: string;
            textColorFocusNeutral: string;
            textColorTextNeutral: any;
            textColorTextHoverNeutral: any;
            textColorTextPressedNeutral: any;
            textColorTextFocusNeutral: any;
            colorGhostHoverNeutral: any;
            colorPressedNeutralGhost: any;
            colorFocusNeutralGhost: any;
            textColorGhostNeutral: any;
            textColorGhostHoverNeutral: any;
            textColorGhostPressedNeutral: any;
            textColorGhostFocusNeutral: any;
            colorLighterNeutral: any;
            colorPressedNeutralLighter: any;
            colorFocusNeutralLighter: any;
            textColorLighterNeutral: any;
            textColorLighterHoverNeutral: any;
            textColorLighterPressedNeutral: any;
            textColorLighterFocusNeutral: any;
            borderLighterHoverNeutral: string;
            borderLighterPressedNeutral: string;
            borderLighterFocusNeutral: string;
            colorStrokeHoverNeutral: any;
            colorStrokePressedNeutral: any;
            colorStrokeFocusNeutral: any;
            textColorStrokeNeutral: any;
            textColorStrokeHoverNeutral: any;
            textColorStrokePressedNeutral: any;
            textColorStrokeFocusNeutral: any;
            borderStrokeNeutral: string;
            borderStrokeHoverNeutral: string;
            borderStrokePressedNeutral: string;
            borderStrokeFocusNeutral: string;
            borderNeutral: string;
            borderHoverNeutral: string;
            borderPressedNeutral: string;
            borderFocusNeutral: string;
            rippleColorNeutral: any;
            colorSuccess: any;
            colorHoverSuccess: any;
            colorPressedSuccess: any;
            colorFocusSuccess: any;
            textColorSuccess: string;
            textColorHoverSuccess: string;
            textColorPressedSuccess: string;
            textColorFocusSuccess: string;
            textColorTextSuccess: any;
            textColorTextHoverSuccess: any;
            textColorTextPressedSuccess: any;
            textColorTextFocusSuccess: any;
            colorGhostHoverSuccess: any;
            textColorGhostSuccess: any;
            textColorGhostHoverSuccess: any;
            textColorGhostPressedSuccess: any;
            textColorGhostFocusSuccess: any;
            colorLighterSuccess: any;
            textColorLighterSuccess: any;
            textColorLighterHoverSuccess: any;
            textColorLighterPressedSuccess: any;
            textColorLighterFocusSuccess: any;
            borderLighterHoverSuccess: string;
            borderLighterPressedSuccess: string;
            borderLighterFocusSuccess: string;
            colorStrokeHoverSuccess: any;
            colorStrokePressedSuccess: any;
            colorStrokeFocusSuccess: any;
            textColorStrokeSuccess: any;
            textColorStrokeHoverSuccess: any;
            textColorStrokePressedSuccess: any;
            textColorStrokeFocusSuccess: any;
            borderStrokeSuccess: string;
            borderStrokeHoverSuccess: string;
            borderStrokePressedSuccess: string;
            borderStrokeFocusSuccess: string;
            borderSuccess: string;
            borderHoverSuccess: string;
            borderPressedSuccess: string;
            borderFocusSuccess: string;
            rippleColorSuccess: any;
            colorWarning: any;
            colorHoverWarning: any;
            colorPressedWarning: any;
            colorFocusWarning: any;
            textColorWarning: string;
            textColorHoverWarning: string;
            textColorPressedWarning: string;
            textColorFocusWarning: string;
            textColorTextWarning: any;
            textColorTextHoverWarning: any;
            textColorTextPressedWarning: any;
            textColorTextFocusWarning: any;
            colorGhostHoverWarning: any;
            textColorGhostWarning: any;
            textColorGhostHoverWarning: any;
            textColorGhostPressedWarning: any;
            textColorGhostFocusWarning: any;
            colorLighterWarning: any;
            textColorLighterWarning: any;
            textColorLighterHoverWarning: any;
            textColorLighterPressedWarning: any;
            textColorLighterFocusWarning: any;
            borderLighterHoverWarning: string;
            borderLighterPressedWarning: string;
            borderLighterFocusWarning: string;
            colorStrokeHoverWarning: any;
            colorStrokePressedWarning: any;
            colorStrokeFocusWarning: any;
            textColorStrokeWarning: any;
            textColorStrokeHoverWarning: any;
            textColorStrokePressedWarning: any;
            textColorStrokeFocusWarning: any;
            borderStrokeWarning: string;
            borderStrokeHoverWarning: string;
            borderStrokePressedWarning: string;
            borderStrokeFocusWarning: string;
            borderWarning: string;
            borderHoverWarning: string;
            borderPressedWarning: string;
            borderFocusWarning: string;
            rippleColorWarning: any;
            colorError: any;
            colorHoverError: any;
            colorPressedError: any;
            colorFocusError: any;
            textColorError: string;
            textColorHoverError: string;
            textColorPressedError: string;
            textColorFocusError: string;
            textColorTextError: any;
            textColorTextHoverError: any;
            textColorTextPressedError: any;
            textColorTextFocusError: any;
            colorGhostHoverError: any;
            textColorGhostError: any;
            textColorGhostHoverError: any;
            textColorGhostPressedError: any;
            textColorGhostFocusError: any;
            colorLighterError: any;
            textColorLighterError: any;
            textColorLighterHoverError: any;
            textColorLighterPressedError: any;
            textColorLighterFocusError: any;
            borderLighterHoverError: string;
            borderLighterPressedError: string;
            borderLighterFocusError: string;
            colorStrokeHoverError: any;
            colorStrokePressedError: any;
            colorStrokeFocusError: any;
            textColorStrokeError: any;
            textColorStrokeHoverError: any;
            textColorStrokePressedError: any;
            textColorStrokeFocusError: any;
            borderStrokeError: string;
            borderStrokeHoverError: string;
            borderStrokePressedError: string;
            borderStrokeFocusError: string;
            borderError: string;
            borderHoverError: string;
            borderPressedError: string;
            borderFocusError: string;
            rippleColorError: any;
            waveOpacity: string;
            fontWeight: string;
            fontWeightStrong: string;
            opacityDisabled: string;
            colorDisabled: any;
            textColorDisabled: any;
            iconColorDisabled: any;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            paddingRoundTiny: string;
            paddingRoundSmall: string;
            paddingRoundMedium: string;
            paddingRoundLarge: string;
            iconMarginTiny: string;
            iconMarginSmall: string;
            iconMarginMedium: string;
            iconMarginLarge: string;
            iconSizeTiny: string;
            iconSizeSmall: string;
            iconSizeMedium: string;
            iconSizeLarge: string;
            rippleDuration: string;
        }, any>;
    }>>>;
    readonly builtinThemeOverrides: PropType<import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"DynamicInput", {
        actionMargin: string;
        actionMarginRtl: string;
    }, {
        Input: import("../../_mixins").Theme<"Input", {
            fontWeight: string;
            countTextColorDisabled: string;
            countTextColor: string;
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            lineHeight: string;
            lineHeightTextarea: string;
            borderRadius: string;
            iconSize: string;
            groupLabelColor: string;
            groupLabelTextColor: any;
            textColor: any;
            textColorDisabled: string;
            textDecorationColor: any;
            caretColor: any;
            placeholderColor: string;
            placeholderColorDisabled: string;
            color: string;
            colorDisabled: string;
            colorFocus: string;
            colorHover: any;
            groupLabelBorder: string;
            border: string;
            borderHover: string;
            borderDisabled: string;
            borderFocus: string;
            boxShadowFocus: string;
            loadingColor: any;
            loadingColorWarning: any;
            borderWarning: string;
            borderHoverWarning: string;
            colorFocusWarning: string;
            borderFocusWarning: string;
            boxShadowFocusWarning: string;
            caretColorWarning: any;
            loadingColorError: any;
            borderError: string;
            borderHoverError: string;
            colorFocusError: string;
            borderFocusError: string;
            boxShadowFocusError: string;
            caretColorError: any;
            clearColor: string;
            clearColorHover: string;
            clearColorPressed: string;
            iconColor: string;
            iconColorDisabled: string;
            iconColorHover: string;
            iconColorPressed: string;
            suffixTextColor: string;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            clearSize: string;
        }, any>;
        Button: import("../../_mixins").Theme<"Button", {
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            borderRadiusTiny: string;
            borderRadiusSmall: string;
            borderRadiusMedium: string;
            borderRadiusLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            colorPrimary: any;
            colorHoverPrimary: any;
            colorPressedPrimary: any;
            colorFocusPrimary: any;
            textColorPrimary: any;
            textColorHoverPrimary: any;
            textColorPressedPrimary: any;
            textColorFocusPrimary: any;
            textColorTextPrimary: any;
            textColorTextHoverPrimary: any;
            textColorTextPressedPrimary: any;
            textColorTextFocusPrimary: any;
            colorGhostHoverPrimary: any;
            textColorGhostPrimary: any;
            textColorGhostHoverPrimary: any;
            textColorGhostPressedPrimary: any;
            textColorGhostFocusPrimary: any;
            colorLighterPrimary: any;
            colorHoverLighterPrimary: any;
            colorPressedLighterPrimary: any;
            colorFocusLighterPrimary: any;
            textColorLighterPrimary: any;
            textColorLighterHoverPrimary: any;
            textColorLighterPressedPrimary: any;
            textColorLighterFocusPrimary: any;
            borderLighterHoverPrimary: string;
            borderLighterPressedPrimary: string;
            borderLighterFocusPrimary: string;
            colorStrokeHoverPrimary: any;
            colorStrokePressedPrimary: any;
            colorStrokeFocusPrimary: any;
            textColorStrokePrimary: any;
            textColorStrokeHoverPrimary: any;
            textColorStrokePressedPrimary: any;
            textColorStrokeFocusPrimary: any;
            borderStrokePrimary: string;
            borderStrokeHoverPrimary: string;
            borderStrokePressedPrimary: string;
            borderStrokeFocusPrimary: string;
            borderPrimary: string;
            borderHoverPrimary: string;
            borderPressedPrimary: string;
            borderFocusPrimary: string;
            rippleColorPrimary: any;
            colorNeutral: any;
            colorHoverNeutral: any;
            colorPressedNeutral: any;
            colorFocusNeutral: any;
            textColorNeutral: string;
            textColorHoverNeutral: string;
            textColorPressedNeutral: string;
            textColorFocusNeutral: string;
            textColorTextNeutral: any;
            textColorTextHoverNeutral: any;
            textColorTextPressedNeutral: any;
            textColorTextFocusNeutral: any;
            colorGhostHoverNeutral: any;
            colorPressedNeutralGhost: any;
            colorFocusNeutralGhost: any;
            textColorGhostNeutral: any;
            textColorGhostHoverNeutral: any;
            textColorGhostPressedNeutral: any;
            textColorGhostFocusNeutral: any;
            colorLighterNeutral: any;
            colorPressedNeutralLighter: any;
            colorFocusNeutralLighter: any;
            textColorLighterNeutral: any;
            textColorLighterHoverNeutral: any;
            textColorLighterPressedNeutral: any;
            textColorLighterFocusNeutral: any;
            borderLighterHoverNeutral: string;
            borderLighterPressedNeutral: string;
            borderLighterFocusNeutral: string;
            colorStrokeHoverNeutral: any;
            colorStrokePressedNeutral: any;
            colorStrokeFocusNeutral: any;
            textColorStrokeNeutral: any;
            textColorStrokeHoverNeutral: any;
            textColorStrokePressedNeutral: any;
            textColorStrokeFocusNeutral: any;
            borderStrokeNeutral: string;
            borderStrokeHoverNeutral: string;
            borderStrokePressedNeutral: string;
            borderStrokeFocusNeutral: string;
            borderNeutral: string;
            borderHoverNeutral: string;
            borderPressedNeutral: string;
            borderFocusNeutral: string;
            rippleColorNeutral: any;
            colorSuccess: any;
            colorHoverSuccess: any;
            colorPressedSuccess: any;
            colorFocusSuccess: any;
            textColorSuccess: string;
            textColorHoverSuccess: string;
            textColorPressedSuccess: string;
            textColorFocusSuccess: string;
            textColorTextSuccess: any;
            textColorTextHoverSuccess: any;
            textColorTextPressedSuccess: any;
            textColorTextFocusSuccess: any;
            colorGhostHoverSuccess: any;
            textColorGhostSuccess: any;
            textColorGhostHoverSuccess: any;
            textColorGhostPressedSuccess: any;
            textColorGhostFocusSuccess: any;
            colorLighterSuccess: any;
            textColorLighterSuccess: any;
            textColorLighterHoverSuccess: any;
            textColorLighterPressedSuccess: any;
            textColorLighterFocusSuccess: any;
            borderLighterHoverSuccess: string;
            borderLighterPressedSuccess: string;
            borderLighterFocusSuccess: string;
            colorStrokeHoverSuccess: any;
            colorStrokePressedSuccess: any;
            colorStrokeFocusSuccess: any;
            textColorStrokeSuccess: any;
            textColorStrokeHoverSuccess: any;
            textColorStrokePressedSuccess: any;
            textColorStrokeFocusSuccess: any;
            borderStrokeSuccess: string;
            borderStrokeHoverSuccess: string;
            borderStrokePressedSuccess: string;
            borderStrokeFocusSuccess: string;
            borderSuccess: string;
            borderHoverSuccess: string;
            borderPressedSuccess: string;
            borderFocusSuccess: string;
            rippleColorSuccess: any;
            colorWarning: any;
            colorHoverWarning: any;
            colorPressedWarning: any;
            colorFocusWarning: any;
            textColorWarning: string;
            textColorHoverWarning: string;
            textColorPressedWarning: string;
            textColorFocusWarning: string;
            textColorTextWarning: any;
            textColorTextHoverWarning: any;
            textColorTextPressedWarning: any;
            textColorTextFocusWarning: any;
            colorGhostHoverWarning: any;
            textColorGhostWarning: any;
            textColorGhostHoverWarning: any;
            textColorGhostPressedWarning: any;
            textColorGhostFocusWarning: any;
            colorLighterWarning: any;
            textColorLighterWarning: any;
            textColorLighterHoverWarning: any;
            textColorLighterPressedWarning: any;
            textColorLighterFocusWarning: any;
            borderLighterHoverWarning: string;
            borderLighterPressedWarning: string;
            borderLighterFocusWarning: string;
            colorStrokeHoverWarning: any;
            colorStrokePressedWarning: any;
            colorStrokeFocusWarning: any;
            textColorStrokeWarning: any;
            textColorStrokeHoverWarning: any;
            textColorStrokePressedWarning: any;
            textColorStrokeFocusWarning: any;
            borderStrokeWarning: string;
            borderStrokeHoverWarning: string;
            borderStrokePressedWarning: string;
            borderStrokeFocusWarning: string;
            borderWarning: string;
            borderHoverWarning: string;
            borderPressedWarning: string;
            borderFocusWarning: string;
            rippleColorWarning: any;
            colorError: any;
            colorHoverError: any;
            colorPressedError: any;
            colorFocusError: any;
            textColorError: string;
            textColorHoverError: string;
            textColorPressedError: string;
            textColorFocusError: string;
            textColorTextError: any;
            textColorTextHoverError: any;
            textColorTextPressedError: any;
            textColorTextFocusError: any;
            colorGhostHoverError: any;
            textColorGhostError: any;
            textColorGhostHoverError: any;
            textColorGhostPressedError: any;
            textColorGhostFocusError: any;
            colorLighterError: any;
            textColorLighterError: any;
            textColorLighterHoverError: any;
            textColorLighterPressedError: any;
            textColorLighterFocusError: any;
            borderLighterHoverError: string;
            borderLighterPressedError: string;
            borderLighterFocusError: string;
            colorStrokeHoverError: any;
            colorStrokePressedError: any;
            colorStrokeFocusError: any;
            textColorStrokeError: any;
            textColorStrokeHoverError: any;
            textColorStrokePressedError: any;
            textColorStrokeFocusError: any;
            borderStrokeError: string;
            borderStrokeHoverError: string;
            borderStrokePressedError: string;
            borderStrokeFocusError: string;
            borderError: string;
            borderHoverError: string;
            borderPressedError: string;
            borderFocusError: string;
            rippleColorError: any;
            waveOpacity: string;
            fontWeight: string;
            fontWeightStrong: string;
            opacityDisabled: string;
            colorDisabled: any;
            textColorDisabled: any;
            iconColorDisabled: any;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            paddingRoundTiny: string;
            paddingRoundSmall: string;
            paddingRoundMedium: string;
            paddingRoundLarge: string;
            iconMarginTiny: string;
            iconMarginSmall: string;
            iconMarginMedium: string;
            iconMarginLarge: string;
            iconSizeTiny: string;
            iconSizeSmall: string;
            iconSizeMedium: string;
            iconSizeLarge: string;
            rippleDuration: string;
        }, any>;
    }>>>;
}>> & Readonly<{}>, {
    readonly disabled: boolean;
    readonly placeholder: string;
    readonly min: number;
    readonly defaultValue: any[];
    readonly preset: "input" | "pair";
    readonly keyPlaceholder: string;
    readonly valuePlaceholder: string;
    readonly showSortButton: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
