"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const seemly_1 = require("seemly");
const common_1 = require("../../_styles/common");
const _baseColors_1 = require("../../_styles/common/_baseColors");
const _common_1 = __importDefault(require("./_common"));
const inputDark = {
    name: 'Input',
    common: common_1.commonDark,
    self(vars) {
        const { textColor2, textColor3, textColorDisabled, primaryColor, inputColorDisabled, borderColor, warningColor, warningColorHover, errorColor, errorColorHover, lineHeight, fontSizeTiny, fontSizeSmall, fontSizeMedium, fontSizeLarge, 
        // input height
        inputHeightTiny, inputHeightSmall, inputHeightMedium, inputHeightLarge, 
        // input border radius
        inputBorderRadius, actionColor, clearColor, clearColorHover, clearColorPressed, placeholderColor, placeholderColorDisabled, iconColor, iconColorDisabled, iconColorHover, iconColorPressed, fontWeight } = vars;
        return Object.assign(Object.assign({}, _common_1.default), { fontWeight, countTextColorDisabled: textColorDisabled, countTextColor: textColor3, heightTiny: inputHeightTiny, heightSmall: inputHeightSmall, heightMedium: inputHeightMedium, heightLarge: inputHeightLarge, fontSizeTiny,
            fontSizeSmall,
            fontSizeMedium,
            fontSizeLarge,
            lineHeight, lineHeightTextarea: lineHeight, borderRadius: inputBorderRadius, iconSize: '16px', groupLabelColor: actionColor, textColor: textColor2, textColorDisabled, textDecorationColor: textColor2, groupLabelTextColor: textColor2, caretColor: primaryColor, placeholderColor,
            placeholderColorDisabled, color: _baseColors_1.colors.gray[950], colorDisabled: inputColorDisabled, colorFocus: _baseColors_1.colors.gray[950], colorHover: _baseColors_1.colors.gray[900], groupLabelBorder: `1px solid ${borderColor}`, border: `1px solid ${_baseColors_1.colors.gray[700]}`, borderHover: `1px solid ${_baseColors_1.colors.gray[900]}`, borderDisabled: '1px solid #0000', borderFocus: `1px solid ${textColor2}`, boxShadowFocus: `0 0 0 2px ${_baseColors_1.colors.gray[950]}, 0 0 0 4px ${_baseColors_1.colors.gray[900]}`, loadingColor: _baseColors_1.colors.gray[950], 
            // warning
            loadingColorWarning: warningColor, borderWarning: `1px solid ${warningColor}`, borderHoverWarning: `1px solid ${warningColorHover}`, colorFocusWarning: (0, seemly_1.changeColor)(warningColor, { alpha: 0.1 }), borderFocusWarning: `1px solid ${warningColorHover}`, boxShadowFocusWarning: `0 0 8px 0 ${(0, seemly_1.changeColor)(warningColor, {
                alpha: 0.3
            })}`, caretColorWarning: warningColor, 
            // error
            loadingColorError: errorColor, borderError: `1px solid ${errorColor}`, borderHoverError: `1px solid ${errorColorHover}`, colorFocusError: (0, seemly_1.changeColor)(errorColor, { alpha: 0.1 }), borderFocusError: `1px solid ${errorColorHover}`, boxShadowFocusError: `0 0 8px 0 ${(0, seemly_1.changeColor)(errorColor, {
                alpha: 0.3
            })}`, caretColorError: errorColor, clearColor,
            clearColorHover,
            clearColorPressed,
            iconColor,
            iconColorDisabled,
            iconColorHover,
            iconColorPressed, suffixTextColor: textColor2 });
    }
};
exports.default = inputDark;
