"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const seemly_1 = require("seemly");
const common_1 = require("../../_styles/common");
const _baseColors_1 = require("../../_styles/common/_baseColors");
const _common_1 = __importDefault(require("./_common"));
function self(vars) {
    const { textColor2, textColor3, textColorDisabled, primaryColor, inputColor, inputColorDisabled, borderColor, warningColor, warningColorHover, errorColor, errorColorHover, lineHeight, fontSizeTiny, fontSizeSmall, fontSizeMedium, fontSizeLarge, 
    // input height
    inputHeightTiny, inputHeightSmall, inputHeightMedium, inputHeightLarge, 
    // input border radius
    inputBorderRadius, actionColor, clearColor, clearColorHover, clearColorPressed, placeholderColor, placeholderColorDisabled, iconColor, iconColorDisabled, iconColorHover, iconColorPressed, fontWeight } = vars;
    return Object.assign(Object.assign({}, _common_1.default), { fontWeight, countTextColorDisabled: textColorDisabled, countTextColor: textColor3, heightTiny: inputHeightTiny, heightSmall: inputHeightSmall, heightMedium: inputHeightMedium, heightLarge: inputHeightLarge, fontSizeTiny,
        fontSizeSmall,
        fontSizeMedium,
        fontSizeLarge,
        lineHeight, lineHeightTextarea: lineHeight, borderRadius: inputBorderRadius, iconSize: '16px', groupLabelColor: actionColor, groupLabelTextColor: _baseColors_1.colors.gray[950], textColor: _baseColors_1.colors.gray[950], textColorDisabled, textDecorationColor: _baseColors_1.colors.gray[950], caretColor: _baseColors_1.colors.gray[950], placeholderColor,
        placeholderColorDisabled, color: inputColor, colorDisabled: inputColorDisabled, colorFocus: inputColor, colorHover: _baseColors_1.colors.neutral[50], groupLabelBorder: `1px solid ${borderColor}`, border: `1px solid ${_baseColors_1.colors.neutral[200]}`, borderHover: `1px solid ${_baseColors_1.colors.neutral[50]}`, borderDisabled: `1px solid ${borderColor}`, borderFocus: `1px solid ${_baseColors_1.colors.gray[950]}`, boxShadowFocus: `0 0 0 2px white, 0 0 0 4px ${_baseColors_1.colors.neutral[50]}`, loadingColor: primaryColor, 
        // warning
        loadingColorWarning: warningColor, borderWarning: `1px solid ${warningColor}`, borderHoverWarning: `1px solid ${warningColorHover}`, colorFocusWarning: inputColor, borderFocusWarning: `1px solid ${warningColorHover}`, boxShadowFocusWarning: `0 0 0 2px ${(0, seemly_1.changeColor)(warningColor, {
            alpha: 0.2
        })}`, caretColorWarning: warningColor, 
        // error
        loadingColorError: errorColor, borderError: `1px solid ${errorColor}`, borderHoverError: `1px solid ${errorColorHover}`, colorFocusError: inputColor, borderFocusError: `1px solid ${errorColorHover}`, boxShadowFocusError: `0 0 0 2px ${(0, seemly_1.changeColor)(errorColor, {
            alpha: 0.2
        })}`, caretColorError: errorColor, clearColor,
        clearColorHover,
        clearColorPressed,
        iconColor,
        iconColorDisabled,
        iconColorHover,
        iconColorPressed, suffixTextColor: textColor2 });
}
const inputLight = {
    name: 'Input',
    common: common_1.commonLight,
    self
};
exports.default = inputLight;
