"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("../../_styles/common");
const _baseColors_1 = require("../../_styles/common/_baseColors");
const styles_1 = require("../../dropdown/styles");
const styles_2 = require("../../tooltip/styles");
const light_1 = require("./light");
const menuDark = {
    name: 'Menu',
    common: common_1.commonDark,
    peers: {
        Tooltip: styles_2.tooltipDark,
        Dropdown: styles_1.dropdownDark
    },
    self(vars) {
        const { primaryColorSuppl } = vars;
        const commonSelf = (0, light_1.self)(vars);
        commonSelf.itemColorHover = _baseColors_1.colors.gray[900];
        commonSelf.itemColorActive = _baseColors_1.colors.gray[900];
        commonSelf.itemColorActiveHover = _baseColors_1.colors.gray[900];
        commonSelf.itemColorActiveCollapsed = _baseColors_1.colors.gray[900];
        commonSelf.itemTextColor = _baseColors_1.colors.gray[400];
        commonSelf.itemTextColorHover = _baseColors_1.colors.gray[400];
        commonSelf.itemTextColorActive = _baseColors_1.colors.gray[400];
        commonSelf.itemTextColorActiveHover = _baseColors_1.colors.gray[400];
        commonSelf.itemTextColorChildActive = _baseColors_1.colors.gray[400];
        commonSelf.itemTextColorChildActiveHover = _baseColors_1.colors.gray[400];
        commonSelf.itemTextColorHorizontal = _baseColors_1.colors.gray[400];
        commonSelf.itemTextColorHoverHorizontal = _baseColors_1.colors.gray[400];
        commonSelf.itemTextColorActiveHorizontal = _baseColors_1.colors.blue[500];
        commonSelf.itemTextColorActiveHoverHorizontal = _baseColors_1.colors.blue[500];
        commonSelf.itemTextColorChildActiveHorizontal = _baseColors_1.colors.blue[500];
        commonSelf.itemTextColorChildActiveHoverHorizontal = _baseColors_1.colors.blue[500];
        commonSelf.itemIconColor = _baseColors_1.colors.gray[400];
        commonSelf.itemIconColorHover = _baseColors_1.colors.gray[400];
        commonSelf.itemIconColorActive = _baseColors_1.colors.blue[500];
        commonSelf.itemIconColorActiveHover = _baseColors_1.colors.blue[500];
        commonSelf.itemIconColorChildActive = _baseColors_1.colors.blue[500];
        commonSelf.itemIconColorChildActiveHover = _baseColors_1.colors.gray[0];
        commonSelf.itemIconColorCollapsed = _baseColors_1.colors.gray[0];
        commonSelf.itemIconColorHorizontal = _baseColors_1.colors.gray[0];
        commonSelf.itemIconColorHoverHorizontal = _baseColors_1.colors.gray[0];
        commonSelf.itemIconColorActiveHorizontal = _baseColors_1.colors.blue[500];
        commonSelf.itemIconColorActiveHoverHorizontal = _baseColors_1.colors.blue[500];
        commonSelf.itemIconColorChildActiveHorizontal = _baseColors_1.colors.blue[500];
        commonSelf.itemIconColorChildActiveHoverHorizontal = _baseColors_1.colors.blue[500];
        commonSelf.itemColorActiveInverted = primaryColorSuppl;
        commonSelf.itemColorActiveHoverInverted = primaryColorSuppl;
        commonSelf.itemColorActiveCollapsedInverted = primaryColorSuppl;
        return commonSelf;
    }
};
exports.default = menuDark;
