"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createPartialInvertedVars = createPartialInvertedVars;
exports.self = self;
const use_theme_1 = require("../../_mixins/use-theme");
const common_1 = require("../../_styles/common");
const _baseColors_1 = require("../../_styles/common/_baseColors");
const styles_1 = require("../../dropdown/styles");
const styles_2 = require("../../tooltip/styles");
function createPartialInvertedVars(color, activeItemColor, activeTextColor, groupTextColor) {
    return {
        itemColorHoverInverted: '#0000',
        itemColorActiveInverted: activeItemColor,
        itemColorActiveHoverInverted: activeItemColor,
        itemColorActiveCollapsedInverted: activeItemColor,
        itemTextColorInverted: color,
        itemTextColorHoverInverted: activeTextColor,
        itemTextColorChildActiveInverted: activeTextColor,
        itemTextColorChildActiveHoverInverted: activeTextColor,
        itemTextColorActiveInverted: activeTextColor,
        itemTextColorActiveHoverInverted: activeTextColor,
        itemTextColorHorizontalInverted: color,
        itemTextColorHoverHorizontalInverted: activeTextColor,
        itemTextColorChildActiveHorizontalInverted: activeTextColor,
        itemTextColorChildActiveHoverHorizontalInverted: activeTextColor,
        itemTextColorActiveHorizontalInverted: activeTextColor,
        itemTextColorActiveHoverHorizontalInverted: activeTextColor,
        itemIconColorInverted: color,
        itemIconColorHoverInverted: activeTextColor,
        itemIconColorActiveInverted: activeTextColor,
        itemIconColorActiveHoverInverted: activeTextColor,
        itemIconColorChildActiveInverted: activeTextColor,
        itemIconColorChildActiveHoverInverted: activeTextColor,
        itemIconColorCollapsedInverted: color,
        itemIconColorHorizontalInverted: color,
        itemIconColorHoverHorizontalInverted: activeTextColor,
        itemIconColorActiveHorizontalInverted: activeTextColor,
        itemIconColorActiveHoverHorizontalInverted: activeTextColor,
        itemIconColorChildActiveHorizontalInverted: activeTextColor,
        itemIconColorChildActiveHoverHorizontalInverted: activeTextColor,
        arrowColorInverted: color,
        arrowColorHoverInverted: activeTextColor,
        arrowColorActiveInverted: activeTextColor,
        arrowColorActiveHoverInverted: activeTextColor,
        arrowColorChildActiveInverted: activeTextColor,
        arrowColorChildActiveHoverInverted: activeTextColor,
        groupTextColorInverted: groupTextColor
    };
}
function self(vars) {
    const { textColor3, primaryColor, fontSize, dividerColor, } = vars;
    return Object.assign({ borderRadius: '8px', color: '#0000', groupTextColor: textColor3, itemColorHover: _baseColors_1.colors.neutral[50], itemColorActive: _baseColors_1.colors.neutral[50], itemColorActiveHover: _baseColors_1.colors.neutral[50], itemColorActiveCollapsed: _baseColors_1.colors.neutral[50], itemTextColor: _baseColors_1.colors.neutral[600], itemTextColorHover: _baseColors_1.colors.neutral[600], itemTextColorActive: _baseColors_1.colors.neutral[600], itemTextColorActiveHover: _baseColors_1.colors.neutral[600], itemTextColorChildActive: _baseColors_1.colors.neutral[600], itemTextColorChildActiveHover: _baseColors_1.colors.neutral[600], itemTextColorHorizontal: _baseColors_1.colors.neutral[600], itemTextColorHoverHorizontal: _baseColors_1.colors.neutral[600], itemTextColorActiveHorizontal: _baseColors_1.colors.blue[500], itemTextColorActiveHoverHorizontal: _baseColors_1.colors.blue[500], itemTextColorChildActiveHorizontal: _baseColors_1.colors.blue[500], itemTextColorChildActiveHoverHorizontal: _baseColors_1.colors.blue[500], itemIconColor: _baseColors_1.colors.neutral[600], itemIconColorHover: _baseColors_1.colors.neutral[600], itemIconColorActive: _baseColors_1.colors.blue[500], itemIconColorActiveHover: _baseColors_1.colors.blue[500], itemIconColorChildActive: _baseColors_1.colors.blue[500], itemIconColorChildActiveHover: _baseColors_1.colors.neutral[600], itemIconColorCollapsed: _baseColors_1.colors.neutral[600], itemIconColorHorizontal: _baseColors_1.colors.neutral[600], itemIconColorHoverHorizontal: _baseColors_1.colors.neutral[600], itemIconColorActiveHorizontal: _baseColors_1.colors.blue[500], itemIconColorActiveHoverHorizontal: _baseColors_1.colors.neutral[600], itemIconColorChildActiveHorizontal: _baseColors_1.colors.blue[500], itemIconColorChildActiveHoverHorizontal: _baseColors_1.colors.blue[500], itemHeight: '36px', arrowColor: _baseColors_1.colors.neutral[600], arrowColorHover: _baseColors_1.colors.neutral[600], arrowColorActive: _baseColors_1.colors.blue[500], arrowColorActiveHover: _baseColors_1.colors.neutral[600], arrowColorChildActive: _baseColors_1.colors.blue[500], arrowColorChildActiveHover: _baseColors_1.colors.neutral[600], colorInverted: '#0000', borderColorHorizontal: '#0000', fontSize,
        dividerColor }, createPartialInvertedVars('#BBB', primaryColor, '#FFF', '#AAA'));
}
const menuLight = (0, use_theme_1.createTheme)({
    name: 'Menu',
    common: common_1.commonLight,
    peers: {
        Tooltip: styles_2.tooltipLight,
        Dropdown: styles_1.dropdownLight
    },
    self
});
exports.default = menuLight;
