import { type ComponentPublicInstance, type PropType, type VNode, type VNodeChild } from 'vue';
import { type ScrollbarInst } from '../../_internal';
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    renderMask: PropType<() => VNodeChild>;
    onClickoutside: PropType<(e: MouseEvent) => void>;
    onBeforeLeave: {
        type: FunctionConstructor;
        required: true;
    };
    onAfterLeave: {
        type: FunctionConstructor;
        required: true;
    };
    onPositiveClick: {
        type: FunctionConstructor;
        required: true;
    };
    onNegativeClick: {
        type: FunctionConstructor;
        required: true;
    };
    onClose: {
        type: FunctionConstructor;
        required: true;
    };
    onAfterEnter: PropType<() => void>;
    onEsc: PropType<(e: KeyboardEvent) => void>;
    icon: PropType<() => VNodeChild>;
    type: {
        readonly type: PropType<"info" | "success" | "warning" | "error" | "default">;
        readonly default: "default";
    };
    title: PropType<string | (() => VNodeChild)>;
    closable: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    negativeText: StringConstructor;
    positiveText: StringConstructor;
    positiveButtonProps: PropType<import("../..").ButtonProps>;
    negativeButtonProps: PropType<import("../..").ButtonProps>;
    content: PropType<string | (() => VNodeChild)>;
    action: PropType<() => VNodeChild>;
    showIcon: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    loading: BooleanConstructor;
    bordered: BooleanConstructor;
    iconPlacement: PropType<import("../../dialog/src/interface").IconPlacement>;
    titleClass: PropType<string | Array<string | undefined>>;
    titleStyle: PropType<string | import("vue").CSSProperties>;
    contentClass: PropType<string | Array<string | undefined>>;
    contentStyle: PropType<string | import("vue").CSSProperties>;
    actionClass: PropType<string | Array<string | undefined>>;
    actionStyle: PropType<string | import("vue").CSSProperties>;
    headerClass: StringConstructor;
    headerStyle: PropType<import("vue").CSSProperties | string>;
    headerExtraClass: StringConstructor;
    headerExtraStyle: PropType<import("vue").CSSProperties | string>;
    footerClass: StringConstructor;
    footerStyle: PropType<import("vue").CSSProperties | string>;
    embedded: BooleanConstructor;
    segmented: {
        readonly type: PropType<boolean | import("../../card").CardSegmented>;
        readonly default: false;
    };
    size: {
        readonly type: PropType<"small" | "medium" | "large" | "huge">;
        readonly default: "medium";
    };
    hoverable: BooleanConstructor;
    role: StringConstructor;
    tag: {
        readonly type: PropType<keyof HTMLElementTagNameMap>;
        readonly default: "div";
    };
    cover: PropType<() => VNodeChild>;
    footer: PropType<() => VNodeChild>;
    headerExtra: PropType<() => VNodeChild>;
    show: {
        type: BooleanConstructor;
        required: true;
    };
    preset: PropType<"confirm" | "dialog" | "card">;
    displayDirective: {
        type: PropType<"if" | "show">;
        required: true;
    };
    trapFocus: {
        type: BooleanConstructor;
        default: boolean;
    };
    autoFocus: {
        type: BooleanConstructor;
        default: boolean;
    };
    blockScroll: BooleanConstructor;
}>, {
    mergedTheme: import("vue").Ref<{
        common: import("../..").ThemeCommonVars;
        self: {
            color: string;
            textColor: string;
            boxShadow: string;
        };
        peers: {
            Scrollbar: import("../../_mixins").Theme<"Scrollbar", {
                height: string;
                width: string;
                borderRadius: string;
                color: string;
                colorHover: string;
                railInsetHorizontalBottom: string;
                railInsetHorizontalTop: string;
                railInsetVerticalRight: string;
                railInsetVerticalLeft: string;
                railColor: string;
            }, any>;
            Dialog: import("../../_mixins").Theme<"Dialog", {
                fontSize: string;
                lineHeight: string;
                border: string;
                titleTextColor: string;
                textColor: string;
                color: string;
                closeColorHover: string;
                closeColorPressed: string;
                closeIconColor: string;
                closeIconColorHover: string;
                closeIconColorPressed: string;
                closeBorderRadius: string;
                iconColor: any;
                iconColorInfo: any;
                iconColorSuccess: any;
                iconColorWarning: any;
                iconColorError: any;
                borderRadius: string;
                titleFontWeight: string;
                titleFontSize: string;
                padding: string;
                iconSize: string;
                actionSpace: string;
                contentMargin: string;
                iconMargin: string;
                iconMarginIconTop: string;
                closeSize: string;
                closeIconSize: string;
                closeMargin: string;
                closeMarginIconTop: string;
            }, {
                Button: import("../../_mixins").Theme<"Button", {
                    heightTiny: string;
                    heightSmall: string;
                    heightMedium: string;
                    heightLarge: string;
                    borderRadiusTiny: string;
                    borderRadiusSmall: string;
                    borderRadiusMedium: string;
                    borderRadiusLarge: string;
                    fontSizeTiny: string;
                    fontSizeSmall: string;
                    fontSizeMedium: string;
                    fontSizeLarge: string;
                    colorPrimary: any;
                    colorHoverPrimary: any;
                    colorPressedPrimary: any;
                    colorFocusPrimary: any;
                    textColorPrimary: any;
                    textColorHoverPrimary: any;
                    textColorPressedPrimary: any;
                    textColorFocusPrimary: any;
                    textColorTextPrimary: any;
                    textColorTextHoverPrimary: any;
                    textColorTextPressedPrimary: any;
                    textColorTextFocusPrimary: any;
                    colorGhostHoverPrimary: any;
                    textColorGhostPrimary: any;
                    textColorGhostHoverPrimary: any;
                    textColorGhostPressedPrimary: any;
                    textColorGhostFocusPrimary: any;
                    colorLighterPrimary: any;
                    colorHoverLighterPrimary: any;
                    colorPressedLighterPrimary: any;
                    colorFocusLighterPrimary: any;
                    textColorLighterPrimary: any;
                    textColorLighterHoverPrimary: any;
                    textColorLighterPressedPrimary: any;
                    textColorLighterFocusPrimary: any;
                    borderLighterHoverPrimary: string;
                    borderLighterPressedPrimary: string;
                    borderLighterFocusPrimary: string;
                    colorStrokeHoverPrimary: any;
                    colorStrokePressedPrimary: any;
                    colorStrokeFocusPrimary: any;
                    textColorStrokePrimary: any;
                    textColorStrokeHoverPrimary: any;
                    textColorStrokePressedPrimary: any;
                    textColorStrokeFocusPrimary: any;
                    borderStrokePrimary: string;
                    borderStrokeHoverPrimary: string;
                    borderStrokePressedPrimary: string;
                    borderStrokeFocusPrimary: string;
                    borderPrimary: string;
                    borderHoverPrimary: string;
                    borderPressedPrimary: string;
                    borderFocusPrimary: string;
                    rippleColorPrimary: any;
                    colorNeutral: any;
                    colorHoverNeutral: any;
                    colorPressedNeutral: any;
                    colorFocusNeutral: any;
                    textColorNeutral: string;
                    textColorHoverNeutral: string;
                    textColorPressedNeutral: string;
                    textColorFocusNeutral: string;
                    textColorTextNeutral: any;
                    textColorTextHoverNeutral: any;
                    textColorTextPressedNeutral: any;
                    textColorTextFocusNeutral: any;
                    colorGhostHoverNeutral: any;
                    colorPressedNeutralGhost: any;
                    colorFocusNeutralGhost: any;
                    textColorGhostNeutral: any;
                    textColorGhostHoverNeutral: any;
                    textColorGhostPressedNeutral: any;
                    textColorGhostFocusNeutral: any;
                    colorLighterNeutral: any;
                    colorPressedNeutralLighter: any;
                    colorFocusNeutralLighter: any;
                    textColorLighterNeutral: any;
                    textColorLighterHoverNeutral: any;
                    textColorLighterPressedNeutral: any;
                    textColorLighterFocusNeutral: any;
                    borderLighterHoverNeutral: string;
                    borderLighterPressedNeutral: string;
                    borderLighterFocusNeutral: string;
                    colorStrokeHoverNeutral: any;
                    colorStrokePressedNeutral: any;
                    colorStrokeFocusNeutral: any;
                    textColorStrokeNeutral: any;
                    textColorStrokeHoverNeutral: any;
                    textColorStrokePressedNeutral: any;
                    textColorStrokeFocusNeutral: any;
                    borderStrokeNeutral: string;
                    borderStrokeHoverNeutral: string;
                    borderStrokePressedNeutral: string;
                    borderStrokeFocusNeutral: string;
                    borderNeutral: string;
                    borderHoverNeutral: string;
                    borderPressedNeutral: string;
                    borderFocusNeutral: string;
                    rippleColorNeutral: any;
                    colorSuccess: any;
                    colorHoverSuccess: any;
                    colorPressedSuccess: any;
                    colorFocusSuccess: any;
                    textColorSuccess: string;
                    textColorHoverSuccess: string;
                    textColorPressedSuccess: string;
                    textColorFocusSuccess: string;
                    textColorTextSuccess: any;
                    textColorTextHoverSuccess: any;
                    textColorTextPressedSuccess: any;
                    textColorTextFocusSuccess: any;
                    colorGhostHoverSuccess: any;
                    textColorGhostSuccess: any;
                    textColorGhostHoverSuccess: any;
                    textColorGhostPressedSuccess: any;
                    textColorGhostFocusSuccess: any;
                    colorLighterSuccess: any;
                    textColorLighterSuccess: any;
                    textColorLighterHoverSuccess: any;
                    textColorLighterPressedSuccess: any;
                    textColorLighterFocusSuccess: any;
                    borderLighterHoverSuccess: string;
                    borderLighterPressedSuccess: string;
                    borderLighterFocusSuccess: string;
                    colorStrokeHoverSuccess: any;
                    colorStrokePressedSuccess: any;
                    colorStrokeFocusSuccess: any;
                    textColorStrokeSuccess: any;
                    textColorStrokeHoverSuccess: any;
                    textColorStrokePressedSuccess: any;
                    textColorStrokeFocusSuccess: any;
                    borderStrokeSuccess: string;
                    borderStrokeHoverSuccess: string;
                    borderStrokePressedSuccess: string;
                    borderStrokeFocusSuccess: string;
                    borderSuccess: string;
                    borderHoverSuccess: string;
                    borderPressedSuccess: string;
                    borderFocusSuccess: string;
                    rippleColorSuccess: any;
                    colorWarning: any;
                    colorHoverWarning: any;
                    colorPressedWarning: any;
                    colorFocusWarning: any;
                    textColorWarning: string;
                    textColorHoverWarning: string;
                    textColorPressedWarning: string;
                    textColorFocusWarning: string;
                    textColorTextWarning: any;
                    textColorTextHoverWarning: any;
                    textColorTextPressedWarning: any;
                    textColorTextFocusWarning: any;
                    colorGhostHoverWarning: any;
                    textColorGhostWarning: any;
                    textColorGhostHoverWarning: any;
                    textColorGhostPressedWarning: any;
                    textColorGhostFocusWarning: any;
                    colorLighterWarning: any;
                    textColorLighterWarning: any;
                    textColorLighterHoverWarning: any;
                    textColorLighterPressedWarning: any;
                    textColorLighterFocusWarning: any;
                    borderLighterHoverWarning: string;
                    borderLighterPressedWarning: string;
                    borderLighterFocusWarning: string;
                    colorStrokeHoverWarning: any;
                    colorStrokePressedWarning: any;
                    colorStrokeFocusWarning: any;
                    textColorStrokeWarning: any;
                    textColorStrokeHoverWarning: any;
                    textColorStrokePressedWarning: any;
                    textColorStrokeFocusWarning: any;
                    borderStrokeWarning: string;
                    borderStrokeHoverWarning: string;
                    borderStrokePressedWarning: string;
                    borderStrokeFocusWarning: string;
                    borderWarning: string;
                    borderHoverWarning: string;
                    borderPressedWarning: string;
                    borderFocusWarning: string;
                    rippleColorWarning: any;
                    colorError: any;
                    colorHoverError: any;
                    colorPressedError: any;
                    colorFocusError: any;
                    textColorError: string;
                    textColorHoverError: string;
                    textColorPressedError: string;
                    textColorFocusError: string;
                    textColorTextError: any;
                    textColorTextHoverError: any;
                    textColorTextPressedError: any;
                    textColorTextFocusError: any;
                    colorGhostHoverError: any;
                    textColorGhostError: any;
                    textColorGhostHoverError: any;
                    textColorGhostPressedError: any;
                    textColorGhostFocusError: any;
                    colorLighterError: any;
                    textColorLighterError: any;
                    textColorLighterHoverError: any;
                    textColorLighterPressedError: any;
                    textColorLighterFocusError: any;
                    borderLighterHoverError: string;
                    borderLighterPressedError: string;
                    borderLighterFocusError: string;
                    colorStrokeHoverError: any;
                    colorStrokePressedError: any;
                    colorStrokeFocusError: any;
                    textColorStrokeError: any;
                    textColorStrokeHoverError: any;
                    textColorStrokePressedError: any;
                    textColorStrokeFocusError: any;
                    borderStrokeError: string;
                    borderStrokeHoverError: string;
                    borderStrokePressedError: string;
                    borderStrokeFocusError: string;
                    borderError: string;
                    borderHoverError: string;
                    borderPressedError: string;
                    borderFocusError: string;
                    rippleColorError: any;
                    waveOpacity: string;
                    fontWeight: string;
                    fontWeightStrong: string;
                    opacityDisabled: string;
                    colorDisabled: any;
                    textColorDisabled: any;
                    iconColorDisabled: any;
                    paddingTiny: string;
                    paddingSmall: string;
                    paddingMedium: string;
                    paddingLarge: string;
                    paddingRoundTiny: string;
                    paddingRoundSmall: string;
                    paddingRoundMedium: string;
                    paddingRoundLarge: string;
                    iconMarginTiny: string;
                    iconMarginSmall: string;
                    iconMarginMedium: string;
                    iconMarginLarge: string;
                    iconSizeTiny: string;
                    iconSizeSmall: string;
                    iconSizeMedium: string;
                    iconSizeLarge: string;
                    rippleDuration: string;
                }, any>;
            }>;
            Card: import("../../_mixins").Theme<"Card", {
                lineHeight: string;
                color: string;
                colorModal: string;
                colorPopover: string;
                colorTarget: any;
                colorEmbedded: string;
                colorEmbeddedModal: string;
                colorEmbeddedPopover: string;
                textColor: string;
                titleTextColor: string;
                borderColor: any;
                actionColor: string;
                titleFontWeight: string;
                closeColorHover: string;
                closeColorPressed: string;
                closeBorderRadius: string;
                closeIconColor: string;
                closeIconColorHover: string;
                closeIconColorPressed: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                fontSizeHuge: string;
                boxShadow: string;
                borderRadius: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                paddingHuge: string;
                titleFontSizeSmall: string;
                titleFontSizeMedium: string;
                titleFontSizeLarge: string;
                titleFontSizeHuge: string;
                closeIconSize: string;
                closeSize: string;
            }, any>;
        };
        peerOverrides: {
            Scrollbar?: {
                peers?: {
                    [x: string]: any;
                } | undefined;
            } | undefined;
            Dialog?: {
                peers?: {
                    Button?: import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"Button", {
                        heightTiny: string;
                        heightSmall: string;
                        heightMedium: string;
                        heightLarge: string;
                        borderRadiusTiny: string;
                        borderRadiusSmall: string;
                        borderRadiusMedium: string;
                        borderRadiusLarge: string;
                        fontSizeTiny: string;
                        fontSizeSmall: string;
                        fontSizeMedium: string;
                        fontSizeLarge: string;
                        colorPrimary: any;
                        colorHoverPrimary: any;
                        colorPressedPrimary: any;
                        colorFocusPrimary: any;
                        textColorPrimary: any;
                        textColorHoverPrimary: any;
                        textColorPressedPrimary: any;
                        textColorFocusPrimary: any;
                        textColorTextPrimary: any;
                        textColorTextHoverPrimary: any;
                        textColorTextPressedPrimary: any;
                        textColorTextFocusPrimary: any;
                        colorGhostHoverPrimary: any;
                        textColorGhostPrimary: any;
                        textColorGhostHoverPrimary: any;
                        textColorGhostPressedPrimary: any;
                        textColorGhostFocusPrimary: any;
                        colorLighterPrimary: any;
                        colorHoverLighterPrimary: any;
                        colorPressedLighterPrimary: any;
                        colorFocusLighterPrimary: any;
                        textColorLighterPrimary: any;
                        textColorLighterHoverPrimary: any;
                        textColorLighterPressedPrimary: any;
                        textColorLighterFocusPrimary: any;
                        borderLighterHoverPrimary: string;
                        borderLighterPressedPrimary: string;
                        borderLighterFocusPrimary: string;
                        colorStrokeHoverPrimary: any;
                        colorStrokePressedPrimary: any;
                        colorStrokeFocusPrimary: any;
                        textColorStrokePrimary: any;
                        textColorStrokeHoverPrimary: any;
                        textColorStrokePressedPrimary: any;
                        textColorStrokeFocusPrimary: any;
                        borderStrokePrimary: string;
                        borderStrokeHoverPrimary: string;
                        borderStrokePressedPrimary: string;
                        borderStrokeFocusPrimary: string;
                        borderPrimary: string;
                        borderHoverPrimary: string;
                        borderPressedPrimary: string;
                        borderFocusPrimary: string;
                        rippleColorPrimary: any;
                        colorNeutral: any;
                        colorHoverNeutral: any;
                        colorPressedNeutral: any;
                        colorFocusNeutral: any;
                        textColorNeutral: string;
                        textColorHoverNeutral: string;
                        textColorPressedNeutral: string;
                        textColorFocusNeutral: string;
                        textColorTextNeutral: any;
                        textColorTextHoverNeutral: any;
                        textColorTextPressedNeutral: any;
                        textColorTextFocusNeutral: any;
                        colorGhostHoverNeutral: any;
                        colorPressedNeutralGhost: any;
                        colorFocusNeutralGhost: any;
                        textColorGhostNeutral: any;
                        textColorGhostHoverNeutral: any;
                        textColorGhostPressedNeutral: any;
                        textColorGhostFocusNeutral: any;
                        colorLighterNeutral: any;
                        colorPressedNeutralLighter: any;
                        colorFocusNeutralLighter: any;
                        textColorLighterNeutral: any;
                        textColorLighterHoverNeutral: any;
                        textColorLighterPressedNeutral: any;
                        textColorLighterFocusNeutral: any;
                        borderLighterHoverNeutral: string;
                        borderLighterPressedNeutral: string;
                        borderLighterFocusNeutral: string;
                        colorStrokeHoverNeutral: any;
                        colorStrokePressedNeutral: any;
                        colorStrokeFocusNeutral: any;
                        textColorStrokeNeutral: any;
                        textColorStrokeHoverNeutral: any;
                        textColorStrokePressedNeutral: any;
                        textColorStrokeFocusNeutral: any;
                        borderStrokeNeutral: string;
                        borderStrokeHoverNeutral: string;
                        borderStrokePressedNeutral: string;
                        borderStrokeFocusNeutral: string;
                        borderNeutral: string;
                        borderHoverNeutral: string;
                        borderPressedNeutral: string;
                        borderFocusNeutral: string;
                        rippleColorNeutral: any;
                        colorSuccess: any;
                        colorHoverSuccess: any;
                        colorPressedSuccess: any;
                        colorFocusSuccess: any;
                        textColorSuccess: string;
                        textColorHoverSuccess: string;
                        textColorPressedSuccess: string;
                        textColorFocusSuccess: string;
                        textColorTextSuccess: any;
                        textColorTextHoverSuccess: any;
                        textColorTextPressedSuccess: any;
                        textColorTextFocusSuccess: any;
                        colorGhostHoverSuccess: any;
                        textColorGhostSuccess: any;
                        textColorGhostHoverSuccess: any;
                        textColorGhostPressedSuccess: any;
                        textColorGhostFocusSuccess: any;
                        colorLighterSuccess: any;
                        textColorLighterSuccess: any;
                        textColorLighterHoverSuccess: any;
                        textColorLighterPressedSuccess: any;
                        textColorLighterFocusSuccess: any;
                        borderLighterHoverSuccess: string;
                        borderLighterPressedSuccess: string;
                        borderLighterFocusSuccess: string;
                        colorStrokeHoverSuccess: any;
                        colorStrokePressedSuccess: any;
                        colorStrokeFocusSuccess: any;
                        textColorStrokeSuccess: any;
                        textColorStrokeHoverSuccess: any;
                        textColorStrokePressedSuccess: any;
                        textColorStrokeFocusSuccess: any;
                        borderStrokeSuccess: string;
                        borderStrokeHoverSuccess: string;
                        borderStrokePressedSuccess: string;
                        borderStrokeFocusSuccess: string;
                        borderSuccess: string;
                        borderHoverSuccess: string;
                        borderPressedSuccess: string;
                        borderFocusSuccess: string;
                        rippleColorSuccess: any;
                        colorWarning: any;
                        colorHoverWarning: any;
                        colorPressedWarning: any;
                        colorFocusWarning: any;
                        textColorWarning: string;
                        textColorHoverWarning: string;
                        textColorPressedWarning: string;
                        textColorFocusWarning: string;
                        textColorTextWarning: any;
                        textColorTextHoverWarning: any;
                        textColorTextPressedWarning: any;
                        textColorTextFocusWarning: any;
                        colorGhostHoverWarning: any;
                        textColorGhostWarning: any;
                        textColorGhostHoverWarning: any;
                        textColorGhostPressedWarning: any;
                        textColorGhostFocusWarning: any;
                        colorLighterWarning: any;
                        textColorLighterWarning: any;
                        textColorLighterHoverWarning: any;
                        textColorLighterPressedWarning: any;
                        textColorLighterFocusWarning: any;
                        borderLighterHoverWarning: string;
                        borderLighterPressedWarning: string;
                        borderLighterFocusWarning: string;
                        colorStrokeHoverWarning: any;
                        colorStrokePressedWarning: any;
                        colorStrokeFocusWarning: any;
                        textColorStrokeWarning: any;
                        textColorStrokeHoverWarning: any;
                        textColorStrokePressedWarning: any;
                        textColorStrokeFocusWarning: any;
                        borderStrokeWarning: string;
                        borderStrokeHoverWarning: string;
                        borderStrokePressedWarning: string;
                        borderStrokeFocusWarning: string;
                        borderWarning: string;
                        borderHoverWarning: string;
                        borderPressedWarning: string;
                        borderFocusWarning: string;
                        rippleColorWarning: any;
                        colorError: any;
                        colorHoverError: any;
                        colorPressedError: any;
                        colorFocusError: any;
                        textColorError: string;
                        textColorHoverError: string;
                        textColorPressedError: string;
                        textColorFocusError: string;
                        textColorTextError: any;
                        textColorTextHoverError: any;
                        textColorTextPressedError: any;
                        textColorTextFocusError: any;
                        colorGhostHoverError: any;
                        textColorGhostError: any;
                        textColorGhostHoverError: any;
                        textColorGhostPressedError: any;
                        textColorGhostFocusError: any;
                        colorLighterError: any;
                        textColorLighterError: any;
                        textColorLighterHoverError: any;
                        textColorLighterPressedError: any;
                        textColorLighterFocusError: any;
                        borderLighterHoverError: string;
                        borderLighterPressedError: string;
                        borderLighterFocusError: string;
                        colorStrokeHoverError: any;
                        colorStrokePressedError: any;
                        colorStrokeFocusError: any;
                        textColorStrokeError: any;
                        textColorStrokeHoverError: any;
                        textColorStrokePressedError: any;
                        textColorStrokeFocusError: any;
                        borderStrokeError: string;
                        borderStrokeHoverError: string;
                        borderStrokePressedError: string;
                        borderStrokeFocusError: string;
                        borderError: string;
                        borderHoverError: string;
                        borderPressedError: string;
                        borderFocusError: string;
                        rippleColorError: any;
                        waveOpacity: string;
                        fontWeight: string;
                        fontWeightStrong: string;
                        opacityDisabled: string;
                        colorDisabled: any;
                        textColorDisabled: any;
                        iconColorDisabled: any;
                        paddingTiny: string;
                        paddingSmall: string;
                        paddingMedium: string;
                        paddingLarge: string;
                        paddingRoundTiny: string;
                        paddingRoundSmall: string;
                        paddingRoundMedium: string;
                        paddingRoundLarge: string;
                        iconMarginTiny: string;
                        iconMarginSmall: string;
                        iconMarginMedium: string;
                        iconMarginLarge: string;
                        iconSizeTiny: string;
                        iconSizeSmall: string;
                        iconSizeMedium: string;
                        iconSizeLarge: string;
                        rippleDuration: string;
                    }, any>> | undefined;
                } | undefined;
            } | undefined;
            Card?: {
                peers?: {
                    [x: string]: any;
                } | undefined;
            } | undefined;
        };
    }, {
        common: import("../..").ThemeCommonVars;
        self: {
            color: string;
            textColor: string;
            boxShadow: string;
        };
        peers: {
            Scrollbar: import("../../_mixins").Theme<"Scrollbar", {
                height: string;
                width: string;
                borderRadius: string;
                color: string;
                colorHover: string;
                railInsetHorizontalBottom: string;
                railInsetHorizontalTop: string;
                railInsetVerticalRight: string;
                railInsetVerticalLeft: string;
                railColor: string;
            }, any>;
            Dialog: import("../../_mixins").Theme<"Dialog", {
                fontSize: string;
                lineHeight: string;
                border: string;
                titleTextColor: string;
                textColor: string;
                color: string;
                closeColorHover: string;
                closeColorPressed: string;
                closeIconColor: string;
                closeIconColorHover: string;
                closeIconColorPressed: string;
                closeBorderRadius: string;
                iconColor: any;
                iconColorInfo: any;
                iconColorSuccess: any;
                iconColorWarning: any;
                iconColorError: any;
                borderRadius: string;
                titleFontWeight: string;
                titleFontSize: string;
                padding: string;
                iconSize: string;
                actionSpace: string;
                contentMargin: string;
                iconMargin: string;
                iconMarginIconTop: string;
                closeSize: string;
                closeIconSize: string;
                closeMargin: string;
                closeMarginIconTop: string;
            }, {
                Button: import("../../_mixins").Theme<"Button", {
                    heightTiny: string;
                    heightSmall: string;
                    heightMedium: string;
                    heightLarge: string;
                    borderRadiusTiny: string;
                    borderRadiusSmall: string;
                    borderRadiusMedium: string;
                    borderRadiusLarge: string;
                    fontSizeTiny: string;
                    fontSizeSmall: string;
                    fontSizeMedium: string;
                    fontSizeLarge: string;
                    colorPrimary: any;
                    colorHoverPrimary: any;
                    colorPressedPrimary: any;
                    colorFocusPrimary: any;
                    textColorPrimary: any;
                    textColorHoverPrimary: any;
                    textColorPressedPrimary: any;
                    textColorFocusPrimary: any;
                    textColorTextPrimary: any;
                    textColorTextHoverPrimary: any;
                    textColorTextPressedPrimary: any;
                    textColorTextFocusPrimary: any;
                    colorGhostHoverPrimary: any;
                    textColorGhostPrimary: any;
                    textColorGhostHoverPrimary: any;
                    textColorGhostPressedPrimary: any;
                    textColorGhostFocusPrimary: any;
                    colorLighterPrimary: any;
                    colorHoverLighterPrimary: any;
                    colorPressedLighterPrimary: any;
                    colorFocusLighterPrimary: any;
                    textColorLighterPrimary: any;
                    textColorLighterHoverPrimary: any;
                    textColorLighterPressedPrimary: any;
                    textColorLighterFocusPrimary: any;
                    borderLighterHoverPrimary: string;
                    borderLighterPressedPrimary: string;
                    borderLighterFocusPrimary: string;
                    colorStrokeHoverPrimary: any;
                    colorStrokePressedPrimary: any;
                    colorStrokeFocusPrimary: any;
                    textColorStrokePrimary: any;
                    textColorStrokeHoverPrimary: any;
                    textColorStrokePressedPrimary: any;
                    textColorStrokeFocusPrimary: any;
                    borderStrokePrimary: string;
                    borderStrokeHoverPrimary: string;
                    borderStrokePressedPrimary: string;
                    borderStrokeFocusPrimary: string;
                    borderPrimary: string;
                    borderHoverPrimary: string;
                    borderPressedPrimary: string;
                    borderFocusPrimary: string;
                    rippleColorPrimary: any;
                    colorNeutral: any;
                    colorHoverNeutral: any;
                    colorPressedNeutral: any;
                    colorFocusNeutral: any;
                    textColorNeutral: string;
                    textColorHoverNeutral: string;
                    textColorPressedNeutral: string;
                    textColorFocusNeutral: string;
                    textColorTextNeutral: any;
                    textColorTextHoverNeutral: any;
                    textColorTextPressedNeutral: any;
                    textColorTextFocusNeutral: any;
                    colorGhostHoverNeutral: any;
                    colorPressedNeutralGhost: any;
                    colorFocusNeutralGhost: any;
                    textColorGhostNeutral: any;
                    textColorGhostHoverNeutral: any;
                    textColorGhostPressedNeutral: any;
                    textColorGhostFocusNeutral: any;
                    colorLighterNeutral: any;
                    colorPressedNeutralLighter: any;
                    colorFocusNeutralLighter: any;
                    textColorLighterNeutral: any;
                    textColorLighterHoverNeutral: any;
                    textColorLighterPressedNeutral: any;
                    textColorLighterFocusNeutral: any;
                    borderLighterHoverNeutral: string;
                    borderLighterPressedNeutral: string;
                    borderLighterFocusNeutral: string;
                    colorStrokeHoverNeutral: any;
                    colorStrokePressedNeutral: any;
                    colorStrokeFocusNeutral: any;
                    textColorStrokeNeutral: any;
                    textColorStrokeHoverNeutral: any;
                    textColorStrokePressedNeutral: any;
                    textColorStrokeFocusNeutral: any;
                    borderStrokeNeutral: string;
                    borderStrokeHoverNeutral: string;
                    borderStrokePressedNeutral: string;
                    borderStrokeFocusNeutral: string;
                    borderNeutral: string;
                    borderHoverNeutral: string;
                    borderPressedNeutral: string;
                    borderFocusNeutral: string;
                    rippleColorNeutral: any;
                    colorSuccess: any;
                    colorHoverSuccess: any;
                    colorPressedSuccess: any;
                    colorFocusSuccess: any;
                    textColorSuccess: string;
                    textColorHoverSuccess: string;
                    textColorPressedSuccess: string;
                    textColorFocusSuccess: string;
                    textColorTextSuccess: any;
                    textColorTextHoverSuccess: any;
                    textColorTextPressedSuccess: any;
                    textColorTextFocusSuccess: any;
                    colorGhostHoverSuccess: any;
                    textColorGhostSuccess: any;
                    textColorGhostHoverSuccess: any;
                    textColorGhostPressedSuccess: any;
                    textColorGhostFocusSuccess: any;
                    colorLighterSuccess: any;
                    textColorLighterSuccess: any;
                    textColorLighterHoverSuccess: any;
                    textColorLighterPressedSuccess: any;
                    textColorLighterFocusSuccess: any;
                    borderLighterHoverSuccess: string;
                    borderLighterPressedSuccess: string;
                    borderLighterFocusSuccess: string;
                    colorStrokeHoverSuccess: any;
                    colorStrokePressedSuccess: any;
                    colorStrokeFocusSuccess: any;
                    textColorStrokeSuccess: any;
                    textColorStrokeHoverSuccess: any;
                    textColorStrokePressedSuccess: any;
                    textColorStrokeFocusSuccess: any;
                    borderStrokeSuccess: string;
                    borderStrokeHoverSuccess: string;
                    borderStrokePressedSuccess: string;
                    borderStrokeFocusSuccess: string;
                    borderSuccess: string;
                    borderHoverSuccess: string;
                    borderPressedSuccess: string;
                    borderFocusSuccess: string;
                    rippleColorSuccess: any;
                    colorWarning: any;
                    colorHoverWarning: any;
                    colorPressedWarning: any;
                    colorFocusWarning: any;
                    textColorWarning: string;
                    textColorHoverWarning: string;
                    textColorPressedWarning: string;
                    textColorFocusWarning: string;
                    textColorTextWarning: any;
                    textColorTextHoverWarning: any;
                    textColorTextPressedWarning: any;
                    textColorTextFocusWarning: any;
                    colorGhostHoverWarning: any;
                    textColorGhostWarning: any;
                    textColorGhostHoverWarning: any;
                    textColorGhostPressedWarning: any;
                    textColorGhostFocusWarning: any;
                    colorLighterWarning: any;
                    textColorLighterWarning: any;
                    textColorLighterHoverWarning: any;
                    textColorLighterPressedWarning: any;
                    textColorLighterFocusWarning: any;
                    borderLighterHoverWarning: string;
                    borderLighterPressedWarning: string;
                    borderLighterFocusWarning: string;
                    colorStrokeHoverWarning: any;
                    colorStrokePressedWarning: any;
                    colorStrokeFocusWarning: any;
                    textColorStrokeWarning: any;
                    textColorStrokeHoverWarning: any;
                    textColorStrokePressedWarning: any;
                    textColorStrokeFocusWarning: any;
                    borderStrokeWarning: string;
                    borderStrokeHoverWarning: string;
                    borderStrokePressedWarning: string;
                    borderStrokeFocusWarning: string;
                    borderWarning: string;
                    borderHoverWarning: string;
                    borderPressedWarning: string;
                    borderFocusWarning: string;
                    rippleColorWarning: any;
                    colorError: any;
                    colorHoverError: any;
                    colorPressedError: any;
                    colorFocusError: any;
                    textColorError: string;
                    textColorHoverError: string;
                    textColorPressedError: string;
                    textColorFocusError: string;
                    textColorTextError: any;
                    textColorTextHoverError: any;
                    textColorTextPressedError: any;
                    textColorTextFocusError: any;
                    colorGhostHoverError: any;
                    textColorGhostError: any;
                    textColorGhostHoverError: any;
                    textColorGhostPressedError: any;
                    textColorGhostFocusError: any;
                    colorLighterError: any;
                    textColorLighterError: any;
                    textColorLighterHoverError: any;
                    textColorLighterPressedError: any;
                    textColorLighterFocusError: any;
                    borderLighterHoverError: string;
                    borderLighterPressedError: string;
                    borderLighterFocusError: string;
                    colorStrokeHoverError: any;
                    colorStrokePressedError: any;
                    colorStrokeFocusError: any;
                    textColorStrokeError: any;
                    textColorStrokeHoverError: any;
                    textColorStrokePressedError: any;
                    textColorStrokeFocusError: any;
                    borderStrokeError: string;
                    borderStrokeHoverError: string;
                    borderStrokePressedError: string;
                    borderStrokeFocusError: string;
                    borderError: string;
                    borderHoverError: string;
                    borderPressedError: string;
                    borderFocusError: string;
                    rippleColorError: any;
                    waveOpacity: string;
                    fontWeight: string;
                    fontWeightStrong: string;
                    opacityDisabled: string;
                    colorDisabled: any;
                    textColorDisabled: any;
                    iconColorDisabled: any;
                    paddingTiny: string;
                    paddingSmall: string;
                    paddingMedium: string;
                    paddingLarge: string;
                    paddingRoundTiny: string;
                    paddingRoundSmall: string;
                    paddingRoundMedium: string;
                    paddingRoundLarge: string;
                    iconMarginTiny: string;
                    iconMarginSmall: string;
                    iconMarginMedium: string;
                    iconMarginLarge: string;
                    iconSizeTiny: string;
                    iconSizeSmall: string;
                    iconSizeMedium: string;
                    iconSizeLarge: string;
                    rippleDuration: string;
                }, any>;
            }>;
            Card: import("../../_mixins").Theme<"Card", {
                lineHeight: string;
                color: string;
                colorModal: string;
                colorPopover: string;
                colorTarget: any;
                colorEmbedded: string;
                colorEmbeddedModal: string;
                colorEmbeddedPopover: string;
                textColor: string;
                titleTextColor: string;
                borderColor: any;
                actionColor: string;
                titleFontWeight: string;
                closeColorHover: string;
                closeColorPressed: string;
                closeBorderRadius: string;
                closeIconColor: string;
                closeIconColorHover: string;
                closeIconColorPressed: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                fontSizeHuge: string;
                boxShadow: string;
                borderRadius: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                paddingHuge: string;
                titleFontSizeSmall: string;
                titleFontSizeMedium: string;
                titleFontSizeLarge: string;
                titleFontSizeHuge: string;
                closeIconSize: string;
                closeSize: string;
            }, any>;
        };
        peerOverrides: {
            Scrollbar?: {
                peers?: {
                    [x: string]: any;
                } | undefined;
            } | undefined;
            Dialog?: {
                peers?: {
                    Button?: import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"Button", {
                        heightTiny: string;
                        heightSmall: string;
                        heightMedium: string;
                        heightLarge: string;
                        borderRadiusTiny: string;
                        borderRadiusSmall: string;
                        borderRadiusMedium: string;
                        borderRadiusLarge: string;
                        fontSizeTiny: string;
                        fontSizeSmall: string;
                        fontSizeMedium: string;
                        fontSizeLarge: string;
                        colorPrimary: any;
                        colorHoverPrimary: any;
                        colorPressedPrimary: any;
                        colorFocusPrimary: any;
                        textColorPrimary: any;
                        textColorHoverPrimary: any;
                        textColorPressedPrimary: any;
                        textColorFocusPrimary: any;
                        textColorTextPrimary: any;
                        textColorTextHoverPrimary: any;
                        textColorTextPressedPrimary: any;
                        textColorTextFocusPrimary: any;
                        colorGhostHoverPrimary: any;
                        textColorGhostPrimary: any;
                        textColorGhostHoverPrimary: any;
                        textColorGhostPressedPrimary: any;
                        textColorGhostFocusPrimary: any;
                        colorLighterPrimary: any;
                        colorHoverLighterPrimary: any;
                        colorPressedLighterPrimary: any;
                        colorFocusLighterPrimary: any;
                        textColorLighterPrimary: any;
                        textColorLighterHoverPrimary: any;
                        textColorLighterPressedPrimary: any;
                        textColorLighterFocusPrimary: any;
                        borderLighterHoverPrimary: string;
                        borderLighterPressedPrimary: string;
                        borderLighterFocusPrimary: string;
                        colorStrokeHoverPrimary: any;
                        colorStrokePressedPrimary: any;
                        colorStrokeFocusPrimary: any;
                        textColorStrokePrimary: any;
                        textColorStrokeHoverPrimary: any;
                        textColorStrokePressedPrimary: any;
                        textColorStrokeFocusPrimary: any;
                        borderStrokePrimary: string;
                        borderStrokeHoverPrimary: string;
                        borderStrokePressedPrimary: string;
                        borderStrokeFocusPrimary: string;
                        borderPrimary: string;
                        borderHoverPrimary: string;
                        borderPressedPrimary: string;
                        borderFocusPrimary: string;
                        rippleColorPrimary: any;
                        colorNeutral: any;
                        colorHoverNeutral: any;
                        colorPressedNeutral: any;
                        colorFocusNeutral: any;
                        textColorNeutral: string;
                        textColorHoverNeutral: string;
                        textColorPressedNeutral: string;
                        textColorFocusNeutral: string;
                        textColorTextNeutral: any;
                        textColorTextHoverNeutral: any;
                        textColorTextPressedNeutral: any;
                        textColorTextFocusNeutral: any;
                        colorGhostHoverNeutral: any;
                        colorPressedNeutralGhost: any;
                        colorFocusNeutralGhost: any;
                        textColorGhostNeutral: any;
                        textColorGhostHoverNeutral: any;
                        textColorGhostPressedNeutral: any;
                        textColorGhostFocusNeutral: any;
                        colorLighterNeutral: any;
                        colorPressedNeutralLighter: any;
                        colorFocusNeutralLighter: any;
                        textColorLighterNeutral: any;
                        textColorLighterHoverNeutral: any;
                        textColorLighterPressedNeutral: any;
                        textColorLighterFocusNeutral: any;
                        borderLighterHoverNeutral: string;
                        borderLighterPressedNeutral: string;
                        borderLighterFocusNeutral: string;
                        colorStrokeHoverNeutral: any;
                        colorStrokePressedNeutral: any;
                        colorStrokeFocusNeutral: any;
                        textColorStrokeNeutral: any;
                        textColorStrokeHoverNeutral: any;
                        textColorStrokePressedNeutral: any;
                        textColorStrokeFocusNeutral: any;
                        borderStrokeNeutral: string;
                        borderStrokeHoverNeutral: string;
                        borderStrokePressedNeutral: string;
                        borderStrokeFocusNeutral: string;
                        borderNeutral: string;
                        borderHoverNeutral: string;
                        borderPressedNeutral: string;
                        borderFocusNeutral: string;
                        rippleColorNeutral: any;
                        colorSuccess: any;
                        colorHoverSuccess: any;
                        colorPressedSuccess: any;
                        colorFocusSuccess: any;
                        textColorSuccess: string;
                        textColorHoverSuccess: string;
                        textColorPressedSuccess: string;
                        textColorFocusSuccess: string;
                        textColorTextSuccess: any;
                        textColorTextHoverSuccess: any;
                        textColorTextPressedSuccess: any;
                        textColorTextFocusSuccess: any;
                        colorGhostHoverSuccess: any;
                        textColorGhostSuccess: any;
                        textColorGhostHoverSuccess: any;
                        textColorGhostPressedSuccess: any;
                        textColorGhostFocusSuccess: any;
                        colorLighterSuccess: any;
                        textColorLighterSuccess: any;
                        textColorLighterHoverSuccess: any;
                        textColorLighterPressedSuccess: any;
                        textColorLighterFocusSuccess: any;
                        borderLighterHoverSuccess: string;
                        borderLighterPressedSuccess: string;
                        borderLighterFocusSuccess: string;
                        colorStrokeHoverSuccess: any;
                        colorStrokePressedSuccess: any;
                        colorStrokeFocusSuccess: any;
                        textColorStrokeSuccess: any;
                        textColorStrokeHoverSuccess: any;
                        textColorStrokePressedSuccess: any;
                        textColorStrokeFocusSuccess: any;
                        borderStrokeSuccess: string;
                        borderStrokeHoverSuccess: string;
                        borderStrokePressedSuccess: string;
                        borderStrokeFocusSuccess: string;
                        borderSuccess: string;
                        borderHoverSuccess: string;
                        borderPressedSuccess: string;
                        borderFocusSuccess: string;
                        rippleColorSuccess: any;
                        colorWarning: any;
                        colorHoverWarning: any;
                        colorPressedWarning: any;
                        colorFocusWarning: any;
                        textColorWarning: string;
                        textColorHoverWarning: string;
                        textColorPressedWarning: string;
                        textColorFocusWarning: string;
                        textColorTextWarning: any;
                        textColorTextHoverWarning: any;
                        textColorTextPressedWarning: any;
                        textColorTextFocusWarning: any;
                        colorGhostHoverWarning: any;
                        textColorGhostWarning: any;
                        textColorGhostHoverWarning: any;
                        textColorGhostPressedWarning: any;
                        textColorGhostFocusWarning: any;
                        colorLighterWarning: any;
                        textColorLighterWarning: any;
                        textColorLighterHoverWarning: any;
                        textColorLighterPressedWarning: any;
                        textColorLighterFocusWarning: any;
                        borderLighterHoverWarning: string;
                        borderLighterPressedWarning: string;
                        borderLighterFocusWarning: string;
                        colorStrokeHoverWarning: any;
                        colorStrokePressedWarning: any;
                        colorStrokeFocusWarning: any;
                        textColorStrokeWarning: any;
                        textColorStrokeHoverWarning: any;
                        textColorStrokePressedWarning: any;
                        textColorStrokeFocusWarning: any;
                        borderStrokeWarning: string;
                        borderStrokeHoverWarning: string;
                        borderStrokePressedWarning: string;
                        borderStrokeFocusWarning: string;
                        borderWarning: string;
                        borderHoverWarning: string;
                        borderPressedWarning: string;
                        borderFocusWarning: string;
                        rippleColorWarning: any;
                        colorError: any;
                        colorHoverError: any;
                        colorPressedError: any;
                        colorFocusError: any;
                        textColorError: string;
                        textColorHoverError: string;
                        textColorPressedError: string;
                        textColorFocusError: string;
                        textColorTextError: any;
                        textColorTextHoverError: any;
                        textColorTextPressedError: any;
                        textColorTextFocusError: any;
                        colorGhostHoverError: any;
                        textColorGhostError: any;
                        textColorGhostHoverError: any;
                        textColorGhostPressedError: any;
                        textColorGhostFocusError: any;
                        colorLighterError: any;
                        textColorLighterError: any;
                        textColorLighterHoverError: any;
                        textColorLighterPressedError: any;
                        textColorLighterFocusError: any;
                        borderLighterHoverError: string;
                        borderLighterPressedError: string;
                        borderLighterFocusError: string;
                        colorStrokeHoverError: any;
                        colorStrokePressedError: any;
                        colorStrokeFocusError: any;
                        textColorStrokeError: any;
                        textColorStrokeHoverError: any;
                        textColorStrokePressedError: any;
                        textColorStrokeFocusError: any;
                        borderStrokeError: string;
                        borderStrokeHoverError: string;
                        borderStrokePressedError: string;
                        borderStrokeFocusError: string;
                        borderError: string;
                        borderHoverError: string;
                        borderPressedError: string;
                        borderFocusError: string;
                        rippleColorError: any;
                        waveOpacity: string;
                        fontWeight: string;
                        fontWeightStrong: string;
                        opacityDisabled: string;
                        colorDisabled: any;
                        textColorDisabled: any;
                        iconColorDisabled: any;
                        paddingTiny: string;
                        paddingSmall: string;
                        paddingMedium: string;
                        paddingLarge: string;
                        paddingRoundTiny: string;
                        paddingRoundSmall: string;
                        paddingRoundMedium: string;
                        paddingRoundLarge: string;
                        iconMarginTiny: string;
                        iconMarginSmall: string;
                        iconMarginMedium: string;
                        iconMarginLarge: string;
                        iconSizeTiny: string;
                        iconSizeSmall: string;
                        iconSizeMedium: string;
                        iconSizeLarge: string;
                        rippleDuration: string;
                    }, any>> | undefined;
                } | undefined;
            } | undefined;
            Card?: {
                peers?: {
                    [x: string]: any;
                } | undefined;
            } | undefined;
        };
    }>;
    appear: import("vue").Ref<boolean | undefined, boolean | undefined>;
    isMounted: import("vue").Ref<boolean, boolean>;
    mergedClsPrefix: import("vue").Ref<string, string>;
    bodyRef: import("vue").Ref<HTMLElement | ComponentPublicInstance | null, HTMLElement | ComponentPublicInstance | null>;
    scrollbarRef: import("vue").Ref<{
        $el: HTMLElement;
        containerRef: HTMLElement | null;
        contentRef: HTMLElement | null;
        containerScrollTop: number;
        syncUnifiedContainer: () => void;
        scrollTo: import("../../_internal/scrollbar/src/Scrollbar").ScrollTo;
        scrollBy: import("../../_internal/scrollbar/src/Scrollbar").ScrollBy;
        sync: () => void;
        handleMouseEnterWrapper: () => void;
        handleMouseLeaveWrapper: () => void;
    } | null, ScrollbarInst | {
        $el: HTMLElement;
        containerRef: HTMLElement | null;
        contentRef: HTMLElement | null;
        containerScrollTop: number;
        syncUnifiedContainer: () => void;
        scrollTo: import("../../_internal/scrollbar/src/Scrollbar").ScrollTo;
        scrollBy: import("../../_internal/scrollbar/src/Scrollbar").ScrollBy;
        sync: () => void;
        handleMouseEnterWrapper: () => void;
        handleMouseLeaveWrapper: () => void;
    } | null>;
    displayed: import("vue").Ref<boolean, boolean>;
    childNodeRef: import("vue").Ref<VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }> | null, VNode<import("vue").RendererNode, import("vue").RendererElement, {
        [key: string]: any;
    }> | null>;
    handlePositiveClick: () => void;
    handleNegativeClick: () => void;
    handleCloseClick: () => void;
    handleAfterLeave: () => void;
    handleBeforeLeave: (el: HTMLElement) => void;
    handleEnter: (el: HTMLElement) => void;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    renderMask: PropType<() => VNodeChild>;
    onClickoutside: PropType<(e: MouseEvent) => void>;
    onBeforeLeave: {
        type: FunctionConstructor;
        required: true;
    };
    onAfterLeave: {
        type: FunctionConstructor;
        required: true;
    };
    onPositiveClick: {
        type: FunctionConstructor;
        required: true;
    };
    onNegativeClick: {
        type: FunctionConstructor;
        required: true;
    };
    onClose: {
        type: FunctionConstructor;
        required: true;
    };
    onAfterEnter: PropType<() => void>;
    onEsc: PropType<(e: KeyboardEvent) => void>;
    icon: PropType<() => VNodeChild>;
    type: {
        readonly type: PropType<"info" | "success" | "warning" | "error" | "default">;
        readonly default: "default";
    };
    title: PropType<string | (() => VNodeChild)>;
    closable: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    negativeText: StringConstructor;
    positiveText: StringConstructor;
    positiveButtonProps: PropType<import("../..").ButtonProps>;
    negativeButtonProps: PropType<import("../..").ButtonProps>;
    content: PropType<string | (() => VNodeChild)>;
    action: PropType<() => VNodeChild>;
    showIcon: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
    loading: BooleanConstructor;
    bordered: BooleanConstructor;
    iconPlacement: PropType<import("../../dialog/src/interface").IconPlacement>;
    titleClass: PropType<string | Array<string | undefined>>;
    titleStyle: PropType<string | import("vue").CSSProperties>;
    contentClass: PropType<string | Array<string | undefined>>;
    contentStyle: PropType<string | import("vue").CSSProperties>;
    actionClass: PropType<string | Array<string | undefined>>;
    actionStyle: PropType<string | import("vue").CSSProperties>;
    headerClass: StringConstructor;
    headerStyle: PropType<import("vue").CSSProperties | string>;
    headerExtraClass: StringConstructor;
    headerExtraStyle: PropType<import("vue").CSSProperties | string>;
    footerClass: StringConstructor;
    footerStyle: PropType<import("vue").CSSProperties | string>;
    embedded: BooleanConstructor;
    segmented: {
        readonly type: PropType<boolean | import("../../card").CardSegmented>;
        readonly default: false;
    };
    size: {
        readonly type: PropType<"small" | "medium" | "large" | "huge">;
        readonly default: "medium";
    };
    hoverable: BooleanConstructor;
    role: StringConstructor;
    tag: {
        readonly type: PropType<keyof HTMLElementTagNameMap>;
        readonly default: "div";
    };
    cover: PropType<() => VNodeChild>;
    footer: PropType<() => VNodeChild>;
    headerExtra: PropType<() => VNodeChild>;
    show: {
        type: BooleanConstructor;
        required: true;
    };
    preset: PropType<"confirm" | "dialog" | "card">;
    displayDirective: {
        type: PropType<"if" | "show">;
        required: true;
    };
    trapFocus: {
        type: BooleanConstructor;
        default: boolean;
    };
    autoFocus: {
        type: BooleanConstructor;
        default: boolean;
    };
    blockScroll: BooleanConstructor;
}>> & Readonly<{}>, {
    type: "error" | "default" | "success" | "warning" | "info";
    tag: keyof HTMLElementTagNameMap;
    size: "small" | "medium" | "large" | "huge";
    loading: boolean;
    autoFocus: boolean;
    bordered: boolean;
    showIcon: boolean;
    closable: boolean;
    hoverable: boolean;
    embedded: boolean;
    segmented: boolean | import("../../card").CardSegmented;
    blockScroll: boolean;
    trapFocus: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
