"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.self = self;
const _mixins_1 = require("../../_mixins");
const common_1 = require("../../_styles/common");
const _baseColors_1 = require("../../_styles/common/_baseColors");
const styles_1 = require("../../input/styles");
const styles_2 = require("../../popselect/styles");
const styles_3 = require("../../select/styles");
const _common_1 = __importDefault(require("./_common"));
function self(vars) {
    const { textColor2, inputColorDisabled, textColorDisabled, 
    // item font size
    fontSizeTiny, fontSizeSmall, fontSizeMedium, 
    // item size
    heightTiny, heightSmall, heightMedium } = vars;
    return Object.assign(Object.assign({}, _common_1.default), { 
        // button navigation
        buttonColor: '#0000', buttonColorHover: _baseColors_1.colors.gray[50], buttonColorPressed: _baseColors_1.colors.gray[50], buttonBorder: `1px solid '#0000'`, buttonBorderHover: `1px solid '#0000'`, buttonBorderPressed: `1px solid '#0000'`, buttonIconColor: _baseColors_1.colors.gray[600], buttonIconColorHover: _baseColors_1.colors.gray[950], buttonIconColorPressed: _baseColors_1.colors.gray[950], 
        // button item page
        itemTextColor: _baseColors_1.colors.gray[600], itemTextColorHover: _baseColors_1.colors.gray[950], itemTextColorPressed: _baseColors_1.colors.gray[950], itemTextColorActive: _baseColors_1.colors.gray[950], itemTextColorDisabled: textColorDisabled, itemColor: '#0000', itemColorHover: _baseColors_1.colors.gray[50], itemColorPressed: _baseColors_1.colors.gray[50], itemColorActive: _baseColors_1.colors.gray[50], itemColorActiveHover: _baseColors_1.colors.gray[50], itemColorDisabled: inputColorDisabled, itemBorder: `1px solid ${_baseColors_1.colors.gray[200]}`, itemBorderHover: `1px solid ${_baseColors_1.colors.gray[50]}`, itemBorderPressed: `1px solid ${_baseColors_1.colors.gray[50]}`, itemBorderActive: `1px solid ${_baseColors_1.colors.gray[50]}`, itemBorderDisabled: `1px solid '#0000'`, itemBorderRadius: '8px', itemSizeSmall: heightTiny, itemSizeMedium: heightSmall, itemSizeLarge: heightMedium, itemFontSizeSmall: fontSizeTiny, itemFontSizeMedium: fontSizeSmall, itemFontSizeLarge: fontSizeMedium, jumperFontSizeSmall: fontSizeTiny, jumperFontSizeMedium: fontSizeSmall, jumperFontSizeLarge: fontSizeMedium, jumperTextColor: textColor2, jumperTextColorDisabled: textColorDisabled });
}
const paginationLight = (0, _mixins_1.createTheme)({
    name: 'Pagination',
    common: common_1.commonLight,
    peers: {
        Select: styles_3.selectLight,
        Input: styles_1.inputLight,
        Popselect: styles_2.popselectLight
    },
    self
});
exports.default = paginationLight;
