import type { ExtractPublicPropTypes } from '../../_utils';
import type { ButtonProps } from '../../button';
import type { PopoverTrigger } from '../../popover';
import type { InternalPopoverInst } from '../../popover/src/interface';
import { type ExtractPropTypes, type PropType } from 'vue';
export declare const popconfirmProps: {
    positiveText: PropType<string | null>;
    negativeText: PropType<string | null>;
    showIcon: {
        type: BooleanConstructor;
        default: boolean;
    };
    trigger: {
        type: PropType<PopoverTrigger>;
        default: string;
    };
    positiveButtonProps: PropType<ButtonProps>;
    negativeButtonProps: PropType<ButtonProps>;
    onPositiveClick: PropType<(e: MouseEvent) => Promise<boolean> | boolean | any>;
    onNegativeClick: PropType<(e: MouseEvent) => Promise<boolean> | boolean | any>;
    show: {
        type: PropType<boolean | undefined>;
        default: undefined;
    };
    defaultShow: BooleanConstructor;
    showArrow: {
        type: BooleanConstructor;
        default: boolean;
    };
    delay: {
        type: NumberConstructor;
        default: number;
    };
    duration: {
        type: NumberConstructor;
        default: number;
    };
    raw: BooleanConstructor;
    placement: {
        type: PropType<import("vueuc/lib/binder/src/interface").Placement>;
        default: string;
    };
    x: NumberConstructor;
    y: NumberConstructor;
    arrowPointToCenter: BooleanConstructor;
    disabled: BooleanConstructor;
    getDisabled: PropType<() => boolean>;
    displayDirective: {
        type: PropType<"if" | "show">;
        default: string;
    };
    arrowClass: StringConstructor;
    arrowStyle: PropType<string | import("vue").CSSProperties>;
    arrowWrapperClass: StringConstructor;
    arrowWrapperStyle: PropType<string | import("vue").CSSProperties>;
    flip: {
        type: BooleanConstructor;
        default: boolean;
    };
    animated: {
        type: BooleanConstructor;
        default: boolean;
    };
    width: {
        type: PropType<number | "trigger">;
        default: undefined;
    };
    overlap: BooleanConstructor;
    keepAliveOnHover: {
        type: BooleanConstructor;
        default: boolean;
    };
    zIndex: NumberConstructor;
    to: {
        type: PropType<HTMLElement | string | boolean>;
        default: undefined;
    };
    scrollable: BooleanConstructor;
    contentClass: StringConstructor;
    contentStyle: PropType<import("vue").CSSProperties | string>;
    headerClass: StringConstructor;
    headerStyle: PropType<import("vue").CSSProperties | string>;
    footerClass: StringConstructor;
    footerStyle: PropType<import("vue").CSSProperties | string>;
    onClickoutside: PropType<(e: MouseEvent) => void>;
    'onUpdate:show': PropType<import("../../_utils").MaybeArray<(value: boolean) => void>>;
    onUpdateShow: PropType<import("../../_utils").MaybeArray<(value: boolean) => void>>;
    internalDeactivateImmediately: BooleanConstructor;
    internalSyncTargetWithParent: BooleanConstructor;
    internalInheritedEventHandlers: {
        type: PropType<import("../../popover/src/Popover").TriggerEventHandlers[]>;
        default: () => never[];
    };
    internalTrapFocus: BooleanConstructor;
    internalExtraClass: {
        type: PropType<string[]>;
        default: () => never[];
    };
    onShow: PropType<import("../../_utils").MaybeArray<(value: boolean) => void> | undefined>;
    onHide: PropType<import("../../_utils").MaybeArray<(value: boolean) => void> | undefined>;
    arrow: {
        type: PropType<boolean | undefined>;
        default: undefined;
    };
    minWidth: NumberConstructor;
    maxWidth: NumberConstructor;
    theme: PropType<import("../../_mixins").Theme<"Popconfirm", {
        fontSize: string;
        iconColor: any;
        iconSize: string;
    }, {
        Button: import("../../_mixins").Theme<"Button", {
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            borderRadiusTiny: string;
            borderRadiusSmall: string;
            borderRadiusMedium: string;
            borderRadiusLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            colorPrimary: any;
            colorHoverPrimary: any;
            colorPressedPrimary: any;
            colorFocusPrimary: any;
            textColorPrimary: any;
            textColorHoverPrimary: any;
            textColorPressedPrimary: any;
            textColorFocusPrimary: any;
            textColorTextPrimary: any;
            textColorTextHoverPrimary: any;
            textColorTextPressedPrimary: any;
            textColorTextFocusPrimary: any;
            colorGhostHoverPrimary: any;
            textColorGhostPrimary: any;
            textColorGhostHoverPrimary: any;
            textColorGhostPressedPrimary: any;
            textColorGhostFocusPrimary: any;
            colorLighterPrimary: any;
            colorHoverLighterPrimary: any;
            colorPressedLighterPrimary: any;
            colorFocusLighterPrimary: any;
            textColorLighterPrimary: any;
            textColorLighterHoverPrimary: any;
            textColorLighterPressedPrimary: any;
            textColorLighterFocusPrimary: any;
            borderLighterHoverPrimary: string;
            borderLighterPressedPrimary: string;
            borderLighterFocusPrimary: string;
            colorStrokeHoverPrimary: any;
            colorStrokePressedPrimary: any;
            colorStrokeFocusPrimary: any;
            textColorStrokePrimary: any;
            textColorStrokeHoverPrimary: any;
            textColorStrokePressedPrimary: any;
            textColorStrokeFocusPrimary: any;
            borderStrokePrimary: string;
            borderStrokeHoverPrimary: string;
            borderStrokePressedPrimary: string;
            borderStrokeFocusPrimary: string;
            borderPrimary: string;
            borderHoverPrimary: string;
            borderPressedPrimary: string;
            borderFocusPrimary: string;
            rippleColorPrimary: any;
            colorNeutral: any;
            colorHoverNeutral: any;
            colorPressedNeutral: any;
            colorFocusNeutral: any;
            textColorNeutral: string;
            textColorHoverNeutral: string;
            textColorPressedNeutral: string;
            textColorFocusNeutral: string;
            textColorTextNeutral: any;
            textColorTextHoverNeutral: any;
            textColorTextPressedNeutral: any;
            textColorTextFocusNeutral: any;
            colorGhostHoverNeutral: any;
            colorPressedNeutralGhost: any;
            colorFocusNeutralGhost: any;
            textColorGhostNeutral: any;
            textColorGhostHoverNeutral: any;
            textColorGhostPressedNeutral: any;
            textColorGhostFocusNeutral: any;
            colorLighterNeutral: any;
            colorPressedNeutralLighter: any;
            colorFocusNeutralLighter: any;
            textColorLighterNeutral: any;
            textColorLighterHoverNeutral: any;
            textColorLighterPressedNeutral: any;
            textColorLighterFocusNeutral: any;
            borderLighterHoverNeutral: string;
            borderLighterPressedNeutral: string;
            borderLighterFocusNeutral: string;
            colorStrokeHoverNeutral: any;
            colorStrokePressedNeutral: any;
            colorStrokeFocusNeutral: any;
            textColorStrokeNeutral: any;
            textColorStrokeHoverNeutral: any;
            textColorStrokePressedNeutral: any;
            textColorStrokeFocusNeutral: any;
            borderStrokeNeutral: string;
            borderStrokeHoverNeutral: string;
            borderStrokePressedNeutral: string;
            borderStrokeFocusNeutral: string;
            borderNeutral: string;
            borderHoverNeutral: string;
            borderPressedNeutral: string;
            borderFocusNeutral: string;
            rippleColorNeutral: any;
            colorSuccess: any;
            colorHoverSuccess: any;
            colorPressedSuccess: any;
            colorFocusSuccess: any;
            textColorSuccess: string;
            textColorHoverSuccess: string;
            textColorPressedSuccess: string;
            textColorFocusSuccess: string;
            textColorTextSuccess: any;
            textColorTextHoverSuccess: any;
            textColorTextPressedSuccess: any;
            textColorTextFocusSuccess: any;
            colorGhostHoverSuccess: any;
            textColorGhostSuccess: any;
            textColorGhostHoverSuccess: any;
            textColorGhostPressedSuccess: any;
            textColorGhostFocusSuccess: any;
            colorLighterSuccess: any;
            textColorLighterSuccess: any;
            textColorLighterHoverSuccess: any;
            textColorLighterPressedSuccess: any;
            textColorLighterFocusSuccess: any;
            borderLighterHoverSuccess: string;
            borderLighterPressedSuccess: string;
            borderLighterFocusSuccess: string;
            colorStrokeHoverSuccess: any;
            colorStrokePressedSuccess: any;
            colorStrokeFocusSuccess: any;
            textColorStrokeSuccess: any;
            textColorStrokeHoverSuccess: any;
            textColorStrokePressedSuccess: any;
            textColorStrokeFocusSuccess: any;
            borderStrokeSuccess: string;
            borderStrokeHoverSuccess: string;
            borderStrokePressedSuccess: string;
            borderStrokeFocusSuccess: string;
            borderSuccess: string;
            borderHoverSuccess: string;
            borderPressedSuccess: string;
            borderFocusSuccess: string;
            rippleColorSuccess: any;
            colorWarning: any;
            colorHoverWarning: any;
            colorPressedWarning: any;
            colorFocusWarning: any;
            textColorWarning: string;
            textColorHoverWarning: string;
            textColorPressedWarning: string;
            textColorFocusWarning: string;
            textColorTextWarning: any;
            textColorTextHoverWarning: any;
            textColorTextPressedWarning: any;
            textColorTextFocusWarning: any;
            colorGhostHoverWarning: any;
            textColorGhostWarning: any;
            textColorGhostHoverWarning: any;
            textColorGhostPressedWarning: any;
            textColorGhostFocusWarning: any;
            colorLighterWarning: any;
            textColorLighterWarning: any;
            textColorLighterHoverWarning: any;
            textColorLighterPressedWarning: any;
            textColorLighterFocusWarning: any;
            borderLighterHoverWarning: string;
            borderLighterPressedWarning: string;
            borderLighterFocusWarning: string;
            colorStrokeHoverWarning: any;
            colorStrokePressedWarning: any;
            colorStrokeFocusWarning: any;
            textColorStrokeWarning: any;
            textColorStrokeHoverWarning: any;
            textColorStrokePressedWarning: any;
            textColorStrokeFocusWarning: any;
            borderStrokeWarning: string;
            borderStrokeHoverWarning: string;
            borderStrokePressedWarning: string;
            borderStrokeFocusWarning: string;
            borderWarning: string;
            borderHoverWarning: string;
            borderPressedWarning: string;
            borderFocusWarning: string;
            rippleColorWarning: any;
            colorError: any;
            colorHoverError: any;
            colorPressedError: any;
            colorFocusError: any;
            textColorError: string;
            textColorHoverError: string;
            textColorPressedError: string;
            textColorFocusError: string;
            textColorTextError: any;
            textColorTextHoverError: any;
            textColorTextPressedError: any;
            textColorTextFocusError: any;
            colorGhostHoverError: any;
            textColorGhostError: any;
            textColorGhostHoverError: any;
            textColorGhostPressedError: any;
            textColorGhostFocusError: any;
            colorLighterError: any;
            textColorLighterError: any;
            textColorLighterHoverError: any;
            textColorLighterPressedError: any;
            textColorLighterFocusError: any;
            borderLighterHoverError: string;
            borderLighterPressedError: string;
            borderLighterFocusError: string;
            colorStrokeHoverError: any;
            colorStrokePressedError: any;
            colorStrokeFocusError: any;
            textColorStrokeError: any;
            textColorStrokeHoverError: any;
            textColorStrokePressedError: any;
            textColorStrokeFocusError: any;
            borderStrokeError: string;
            borderStrokeHoverError: string;
            borderStrokePressedError: string;
            borderStrokeFocusError: string;
            borderError: string;
            borderHoverError: string;
            borderPressedError: string;
            borderFocusError: string;
            rippleColorError: any;
            waveOpacity: string;
            fontWeight: string;
            fontWeightStrong: string;
            opacityDisabled: string;
            colorDisabled: any;
            textColorDisabled: any;
            iconColorDisabled: any;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            paddingRoundTiny: string;
            paddingRoundSmall: string;
            paddingRoundMedium: string;
            paddingRoundLarge: string;
            iconMarginTiny: string;
            iconMarginSmall: string;
            iconMarginMedium: string;
            iconMarginLarge: string;
            iconSizeTiny: string;
            iconSizeSmall: string;
            iconSizeMedium: string;
            iconSizeLarge: string;
            rippleDuration: string;
        }, any>;
        Popover: import("../../_mixins").Theme<"Popover", {
            fontSize: string;
            borderRadius: string;
            color: any;
            dividerColor: any;
            textColor: any;
            boxShadow: string;
            padding: string;
            border: string;
            space: string;
            spaceArrow: string;
            arrowOffset: string;
            arrowOffsetVertical: string;
            arrowHeight: string;
        }, any>;
    }>>;
    themeOverrides: PropType<import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"Popconfirm", {
        fontSize: string;
        iconColor: any;
        iconSize: string;
    }, {
        Button: import("../../_mixins").Theme<"Button", {
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            borderRadiusTiny: string;
            borderRadiusSmall: string;
            borderRadiusMedium: string;
            borderRadiusLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            colorPrimary: any;
            colorHoverPrimary: any;
            colorPressedPrimary: any;
            colorFocusPrimary: any;
            textColorPrimary: any;
            textColorHoverPrimary: any;
            textColorPressedPrimary: any;
            textColorFocusPrimary: any;
            textColorTextPrimary: any;
            textColorTextHoverPrimary: any;
            textColorTextPressedPrimary: any;
            textColorTextFocusPrimary: any;
            colorGhostHoverPrimary: any;
            textColorGhostPrimary: any;
            textColorGhostHoverPrimary: any;
            textColorGhostPressedPrimary: any;
            textColorGhostFocusPrimary: any;
            colorLighterPrimary: any;
            colorHoverLighterPrimary: any;
            colorPressedLighterPrimary: any;
            colorFocusLighterPrimary: any;
            textColorLighterPrimary: any;
            textColorLighterHoverPrimary: any;
            textColorLighterPressedPrimary: any;
            textColorLighterFocusPrimary: any;
            borderLighterHoverPrimary: string;
            borderLighterPressedPrimary: string;
            borderLighterFocusPrimary: string;
            colorStrokeHoverPrimary: any;
            colorStrokePressedPrimary: any;
            colorStrokeFocusPrimary: any;
            textColorStrokePrimary: any;
            textColorStrokeHoverPrimary: any;
            textColorStrokePressedPrimary: any;
            textColorStrokeFocusPrimary: any;
            borderStrokePrimary: string;
            borderStrokeHoverPrimary: string;
            borderStrokePressedPrimary: string;
            borderStrokeFocusPrimary: string;
            borderPrimary: string;
            borderHoverPrimary: string;
            borderPressedPrimary: string;
            borderFocusPrimary: string;
            rippleColorPrimary: any;
            colorNeutral: any;
            colorHoverNeutral: any;
            colorPressedNeutral: any;
            colorFocusNeutral: any;
            textColorNeutral: string;
            textColorHoverNeutral: string;
            textColorPressedNeutral: string;
            textColorFocusNeutral: string;
            textColorTextNeutral: any;
            textColorTextHoverNeutral: any;
            textColorTextPressedNeutral: any;
            textColorTextFocusNeutral: any;
            colorGhostHoverNeutral: any;
            colorPressedNeutralGhost: any;
            colorFocusNeutralGhost: any;
            textColorGhostNeutral: any;
            textColorGhostHoverNeutral: any;
            textColorGhostPressedNeutral: any;
            textColorGhostFocusNeutral: any;
            colorLighterNeutral: any;
            colorPressedNeutralLighter: any;
            colorFocusNeutralLighter: any;
            textColorLighterNeutral: any;
            textColorLighterHoverNeutral: any;
            textColorLighterPressedNeutral: any;
            textColorLighterFocusNeutral: any;
            borderLighterHoverNeutral: string;
            borderLighterPressedNeutral: string;
            borderLighterFocusNeutral: string;
            colorStrokeHoverNeutral: any;
            colorStrokePressedNeutral: any;
            colorStrokeFocusNeutral: any;
            textColorStrokeNeutral: any;
            textColorStrokeHoverNeutral: any;
            textColorStrokePressedNeutral: any;
            textColorStrokeFocusNeutral: any;
            borderStrokeNeutral: string;
            borderStrokeHoverNeutral: string;
            borderStrokePressedNeutral: string;
            borderStrokeFocusNeutral: string;
            borderNeutral: string;
            borderHoverNeutral: string;
            borderPressedNeutral: string;
            borderFocusNeutral: string;
            rippleColorNeutral: any;
            colorSuccess: any;
            colorHoverSuccess: any;
            colorPressedSuccess: any;
            colorFocusSuccess: any;
            textColorSuccess: string;
            textColorHoverSuccess: string;
            textColorPressedSuccess: string;
            textColorFocusSuccess: string;
            textColorTextSuccess: any;
            textColorTextHoverSuccess: any;
            textColorTextPressedSuccess: any;
            textColorTextFocusSuccess: any;
            colorGhostHoverSuccess: any;
            textColorGhostSuccess: any;
            textColorGhostHoverSuccess: any;
            textColorGhostPressedSuccess: any;
            textColorGhostFocusSuccess: any;
            colorLighterSuccess: any;
            textColorLighterSuccess: any;
            textColorLighterHoverSuccess: any;
            textColorLighterPressedSuccess: any;
            textColorLighterFocusSuccess: any;
            borderLighterHoverSuccess: string;
            borderLighterPressedSuccess: string;
            borderLighterFocusSuccess: string;
            colorStrokeHoverSuccess: any;
            colorStrokePressedSuccess: any;
            colorStrokeFocusSuccess: any;
            textColorStrokeSuccess: any;
            textColorStrokeHoverSuccess: any;
            textColorStrokePressedSuccess: any;
            textColorStrokeFocusSuccess: any;
            borderStrokeSuccess: string;
            borderStrokeHoverSuccess: string;
            borderStrokePressedSuccess: string;
            borderStrokeFocusSuccess: string;
            borderSuccess: string;
            borderHoverSuccess: string;
            borderPressedSuccess: string;
            borderFocusSuccess: string;
            rippleColorSuccess: any;
            colorWarning: any;
            colorHoverWarning: any;
            colorPressedWarning: any;
            colorFocusWarning: any;
            textColorWarning: string;
            textColorHoverWarning: string;
            textColorPressedWarning: string;
            textColorFocusWarning: string;
            textColorTextWarning: any;
            textColorTextHoverWarning: any;
            textColorTextPressedWarning: any;
            textColorTextFocusWarning: any;
            colorGhostHoverWarning: any;
            textColorGhostWarning: any;
            textColorGhostHoverWarning: any;
            textColorGhostPressedWarning: any;
            textColorGhostFocusWarning: any;
            colorLighterWarning: any;
            textColorLighterWarning: any;
            textColorLighterHoverWarning: any;
            textColorLighterPressedWarning: any;
            textColorLighterFocusWarning: any;
            borderLighterHoverWarning: string;
            borderLighterPressedWarning: string;
            borderLighterFocusWarning: string;
            colorStrokeHoverWarning: any;
            colorStrokePressedWarning: any;
            colorStrokeFocusWarning: any;
            textColorStrokeWarning: any;
            textColorStrokeHoverWarning: any;
            textColorStrokePressedWarning: any;
            textColorStrokeFocusWarning: any;
            borderStrokeWarning: string;
            borderStrokeHoverWarning: string;
            borderStrokePressedWarning: string;
            borderStrokeFocusWarning: string;
            borderWarning: string;
            borderHoverWarning: string;
            borderPressedWarning: string;
            borderFocusWarning: string;
            rippleColorWarning: any;
            colorError: any;
            colorHoverError: any;
            colorPressedError: any;
            colorFocusError: any;
            textColorError: string;
            textColorHoverError: string;
            textColorPressedError: string;
            textColorFocusError: string;
            textColorTextError: any;
            textColorTextHoverError: any;
            textColorTextPressedError: any;
            textColorTextFocusError: any;
            colorGhostHoverError: any;
            textColorGhostError: any;
            textColorGhostHoverError: any;
            textColorGhostPressedError: any;
            textColorGhostFocusError: any;
            colorLighterError: any;
            textColorLighterError: any;
            textColorLighterHoverError: any;
            textColorLighterPressedError: any;
            textColorLighterFocusError: any;
            borderLighterHoverError: string;
            borderLighterPressedError: string;
            borderLighterFocusError: string;
            colorStrokeHoverError: any;
            colorStrokePressedError: any;
            colorStrokeFocusError: any;
            textColorStrokeError: any;
            textColorStrokeHoverError: any;
            textColorStrokePressedError: any;
            textColorStrokeFocusError: any;
            borderStrokeError: string;
            borderStrokeHoverError: string;
            borderStrokePressedError: string;
            borderStrokeFocusError: string;
            borderError: string;
            borderHoverError: string;
            borderPressedError: string;
            borderFocusError: string;
            rippleColorError: any;
            waveOpacity: string;
            fontWeight: string;
            fontWeightStrong: string;
            opacityDisabled: string;
            colorDisabled: any;
            textColorDisabled: any;
            iconColorDisabled: any;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            paddingRoundTiny: string;
            paddingRoundSmall: string;
            paddingRoundMedium: string;
            paddingRoundLarge: string;
            iconMarginTiny: string;
            iconMarginSmall: string;
            iconMarginMedium: string;
            iconMarginLarge: string;
            iconSizeTiny: string;
            iconSizeSmall: string;
            iconSizeMedium: string;
            iconSizeLarge: string;
            rippleDuration: string;
        }, any>;
        Popover: import("../../_mixins").Theme<"Popover", {
            fontSize: string;
            borderRadius: string;
            color: any;
            dividerColor: any;
            textColor: any;
            boxShadow: string;
            padding: string;
            border: string;
            space: string;
            spaceArrow: string;
            arrowOffset: string;
            arrowOffsetVertical: string;
            arrowHeight: string;
        }, any>;
    }>>>;
    builtinThemeOverrides: PropType<import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"Popconfirm", {
        fontSize: string;
        iconColor: any;
        iconSize: string;
    }, {
        Button: import("../../_mixins").Theme<"Button", {
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            borderRadiusTiny: string;
            borderRadiusSmall: string;
            borderRadiusMedium: string;
            borderRadiusLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            colorPrimary: any;
            colorHoverPrimary: any;
            colorPressedPrimary: any;
            colorFocusPrimary: any;
            textColorPrimary: any;
            textColorHoverPrimary: any;
            textColorPressedPrimary: any;
            textColorFocusPrimary: any;
            textColorTextPrimary: any;
            textColorTextHoverPrimary: any;
            textColorTextPressedPrimary: any;
            textColorTextFocusPrimary: any;
            colorGhostHoverPrimary: any;
            textColorGhostPrimary: any;
            textColorGhostHoverPrimary: any;
            textColorGhostPressedPrimary: any;
            textColorGhostFocusPrimary: any;
            colorLighterPrimary: any;
            colorHoverLighterPrimary: any;
            colorPressedLighterPrimary: any;
            colorFocusLighterPrimary: any;
            textColorLighterPrimary: any;
            textColorLighterHoverPrimary: any;
            textColorLighterPressedPrimary: any;
            textColorLighterFocusPrimary: any;
            borderLighterHoverPrimary: string;
            borderLighterPressedPrimary: string;
            borderLighterFocusPrimary: string;
            colorStrokeHoverPrimary: any;
            colorStrokePressedPrimary: any;
            colorStrokeFocusPrimary: any;
            textColorStrokePrimary: any;
            textColorStrokeHoverPrimary: any;
            textColorStrokePressedPrimary: any;
            textColorStrokeFocusPrimary: any;
            borderStrokePrimary: string;
            borderStrokeHoverPrimary: string;
            borderStrokePressedPrimary: string;
            borderStrokeFocusPrimary: string;
            borderPrimary: string;
            borderHoverPrimary: string;
            borderPressedPrimary: string;
            borderFocusPrimary: string;
            rippleColorPrimary: any;
            colorNeutral: any;
            colorHoverNeutral: any;
            colorPressedNeutral: any;
            colorFocusNeutral: any;
            textColorNeutral: string;
            textColorHoverNeutral: string;
            textColorPressedNeutral: string;
            textColorFocusNeutral: string;
            textColorTextNeutral: any;
            textColorTextHoverNeutral: any;
            textColorTextPressedNeutral: any;
            textColorTextFocusNeutral: any;
            colorGhostHoverNeutral: any;
            colorPressedNeutralGhost: any;
            colorFocusNeutralGhost: any;
            textColorGhostNeutral: any;
            textColorGhostHoverNeutral: any;
            textColorGhostPressedNeutral: any;
            textColorGhostFocusNeutral: any;
            colorLighterNeutral: any;
            colorPressedNeutralLighter: any;
            colorFocusNeutralLighter: any;
            textColorLighterNeutral: any;
            textColorLighterHoverNeutral: any;
            textColorLighterPressedNeutral: any;
            textColorLighterFocusNeutral: any;
            borderLighterHoverNeutral: string;
            borderLighterPressedNeutral: string;
            borderLighterFocusNeutral: string;
            colorStrokeHoverNeutral: any;
            colorStrokePressedNeutral: any;
            colorStrokeFocusNeutral: any;
            textColorStrokeNeutral: any;
            textColorStrokeHoverNeutral: any;
            textColorStrokePressedNeutral: any;
            textColorStrokeFocusNeutral: any;
            borderStrokeNeutral: string;
            borderStrokeHoverNeutral: string;
            borderStrokePressedNeutral: string;
            borderStrokeFocusNeutral: string;
            borderNeutral: string;
            borderHoverNeutral: string;
            borderPressedNeutral: string;
            borderFocusNeutral: string;
            rippleColorNeutral: any;
            colorSuccess: any;
            colorHoverSuccess: any;
            colorPressedSuccess: any;
            colorFocusSuccess: any;
            textColorSuccess: string;
            textColorHoverSuccess: string;
            textColorPressedSuccess: string;
            textColorFocusSuccess: string;
            textColorTextSuccess: any;
            textColorTextHoverSuccess: any;
            textColorTextPressedSuccess: any;
            textColorTextFocusSuccess: any;
            colorGhostHoverSuccess: any;
            textColorGhostSuccess: any;
            textColorGhostHoverSuccess: any;
            textColorGhostPressedSuccess: any;
            textColorGhostFocusSuccess: any;
            colorLighterSuccess: any;
            textColorLighterSuccess: any;
            textColorLighterHoverSuccess: any;
            textColorLighterPressedSuccess: any;
            textColorLighterFocusSuccess: any;
            borderLighterHoverSuccess: string;
            borderLighterPressedSuccess: string;
            borderLighterFocusSuccess: string;
            colorStrokeHoverSuccess: any;
            colorStrokePressedSuccess: any;
            colorStrokeFocusSuccess: any;
            textColorStrokeSuccess: any;
            textColorStrokeHoverSuccess: any;
            textColorStrokePressedSuccess: any;
            textColorStrokeFocusSuccess: any;
            borderStrokeSuccess: string;
            borderStrokeHoverSuccess: string;
            borderStrokePressedSuccess: string;
            borderStrokeFocusSuccess: string;
            borderSuccess: string;
            borderHoverSuccess: string;
            borderPressedSuccess: string;
            borderFocusSuccess: string;
            rippleColorSuccess: any;
            colorWarning: any;
            colorHoverWarning: any;
            colorPressedWarning: any;
            colorFocusWarning: any;
            textColorWarning: string;
            textColorHoverWarning: string;
            textColorPressedWarning: string;
            textColorFocusWarning: string;
            textColorTextWarning: any;
            textColorTextHoverWarning: any;
            textColorTextPressedWarning: any;
            textColorTextFocusWarning: any;
            colorGhostHoverWarning: any;
            textColorGhostWarning: any;
            textColorGhostHoverWarning: any;
            textColorGhostPressedWarning: any;
            textColorGhostFocusWarning: any;
            colorLighterWarning: any;
            textColorLighterWarning: any;
            textColorLighterHoverWarning: any;
            textColorLighterPressedWarning: any;
            textColorLighterFocusWarning: any;
            borderLighterHoverWarning: string;
            borderLighterPressedWarning: string;
            borderLighterFocusWarning: string;
            colorStrokeHoverWarning: any;
            colorStrokePressedWarning: any;
            colorStrokeFocusWarning: any;
            textColorStrokeWarning: any;
            textColorStrokeHoverWarning: any;
            textColorStrokePressedWarning: any;
            textColorStrokeFocusWarning: any;
            borderStrokeWarning: string;
            borderStrokeHoverWarning: string;
            borderStrokePressedWarning: string;
            borderStrokeFocusWarning: string;
            borderWarning: string;
            borderHoverWarning: string;
            borderPressedWarning: string;
            borderFocusWarning: string;
            rippleColorWarning: any;
            colorError: any;
            colorHoverError: any;
            colorPressedError: any;
            colorFocusError: any;
            textColorError: string;
            textColorHoverError: string;
            textColorPressedError: string;
            textColorFocusError: string;
            textColorTextError: any;
            textColorTextHoverError: any;
            textColorTextPressedError: any;
            textColorTextFocusError: any;
            colorGhostHoverError: any;
            textColorGhostError: any;
            textColorGhostHoverError: any;
            textColorGhostPressedError: any;
            textColorGhostFocusError: any;
            colorLighterError: any;
            textColorLighterError: any;
            textColorLighterHoverError: any;
            textColorLighterPressedError: any;
            textColorLighterFocusError: any;
            borderLighterHoverError: string;
            borderLighterPressedError: string;
            borderLighterFocusError: string;
            colorStrokeHoverError: any;
            colorStrokePressedError: any;
            colorStrokeFocusError: any;
            textColorStrokeError: any;
            textColorStrokeHoverError: any;
            textColorStrokePressedError: any;
            textColorStrokeFocusError: any;
            borderStrokeError: string;
            borderStrokeHoverError: string;
            borderStrokePressedError: string;
            borderStrokeFocusError: string;
            borderError: string;
            borderHoverError: string;
            borderPressedError: string;
            borderFocusError: string;
            rippleColorError: any;
            waveOpacity: string;
            fontWeight: string;
            fontWeightStrong: string;
            opacityDisabled: string;
            colorDisabled: any;
            textColorDisabled: any;
            iconColorDisabled: any;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            paddingRoundTiny: string;
            paddingRoundSmall: string;
            paddingRoundMedium: string;
            paddingRoundLarge: string;
            iconMarginTiny: string;
            iconMarginSmall: string;
            iconMarginMedium: string;
            iconMarginLarge: string;
            iconSizeTiny: string;
            iconSizeSmall: string;
            iconSizeMedium: string;
            iconSizeLarge: string;
            rippleDuration: string;
        }, any>;
        Popover: import("../../_mixins").Theme<"Popover", {
            fontSize: string;
            borderRadius: string;
            color: any;
            dividerColor: any;
            textColor: any;
            boxShadow: string;
            padding: string;
            border: string;
            space: string;
            spaceArrow: string;
            arrowOffset: string;
            arrowOffsetVertical: string;
            arrowHeight: string;
        }, any>;
    }>>>;
};
export type PopconfirmProps = ExtractPublicPropTypes<typeof popconfirmProps>;
export type PopconfirmSetupProps = ExtractPropTypes<typeof popconfirmProps>;
declare const _default: import("vue").DefineComponent<ExtractPropTypes<{
    positiveText: PropType<string | null>;
    negativeText: PropType<string | null>;
    showIcon: {
        type: BooleanConstructor;
        default: boolean;
    };
    trigger: {
        type: PropType<PopoverTrigger>;
        default: string;
    };
    positiveButtonProps: PropType<ButtonProps>;
    negativeButtonProps: PropType<ButtonProps>;
    onPositiveClick: PropType<(e: MouseEvent) => Promise<boolean> | boolean | any>;
    onNegativeClick: PropType<(e: MouseEvent) => Promise<boolean> | boolean | any>;
    show: {
        type: PropType<boolean | undefined>;
        default: undefined;
    };
    defaultShow: BooleanConstructor;
    showArrow: {
        type: BooleanConstructor;
        default: boolean;
    };
    delay: {
        type: NumberConstructor;
        default: number;
    };
    duration: {
        type: NumberConstructor;
        default: number;
    };
    raw: BooleanConstructor;
    placement: {
        type: PropType<import("vueuc/lib/binder/src/interface").Placement>;
        default: string;
    };
    x: NumberConstructor;
    y: NumberConstructor;
    arrowPointToCenter: BooleanConstructor;
    disabled: BooleanConstructor;
    getDisabled: PropType<() => boolean>;
    displayDirective: {
        type: PropType<"if" | "show">;
        default: string;
    };
    arrowClass: StringConstructor;
    arrowStyle: PropType<string | import("vue").CSSProperties>;
    arrowWrapperClass: StringConstructor;
    arrowWrapperStyle: PropType<string | import("vue").CSSProperties>;
    flip: {
        type: BooleanConstructor;
        default: boolean;
    };
    animated: {
        type: BooleanConstructor;
        default: boolean;
    };
    width: {
        type: PropType<number | "trigger">;
        default: undefined;
    };
    overlap: BooleanConstructor;
    keepAliveOnHover: {
        type: BooleanConstructor;
        default: boolean;
    };
    zIndex: NumberConstructor;
    to: {
        type: PropType<HTMLElement | string | boolean>;
        default: undefined;
    };
    scrollable: BooleanConstructor;
    contentClass: StringConstructor;
    contentStyle: PropType<import("vue").CSSProperties | string>;
    headerClass: StringConstructor;
    headerStyle: PropType<import("vue").CSSProperties | string>;
    footerClass: StringConstructor;
    footerStyle: PropType<import("vue").CSSProperties | string>;
    onClickoutside: PropType<(e: MouseEvent) => void>;
    'onUpdate:show': PropType<import("../../_utils").MaybeArray<(value: boolean) => void>>;
    onUpdateShow: PropType<import("../../_utils").MaybeArray<(value: boolean) => void>>;
    internalDeactivateImmediately: BooleanConstructor;
    internalSyncTargetWithParent: BooleanConstructor;
    internalInheritedEventHandlers: {
        type: PropType<import("../../popover/src/Popover").TriggerEventHandlers[]>;
        default: () => never[];
    };
    internalTrapFocus: BooleanConstructor;
    internalExtraClass: {
        type: PropType<string[]>;
        default: () => never[];
    };
    onShow: PropType<import("../../_utils").MaybeArray<(value: boolean) => void> | undefined>;
    onHide: PropType<import("../../_utils").MaybeArray<(value: boolean) => void> | undefined>;
    arrow: {
        type: PropType<boolean | undefined>;
        default: undefined;
    };
    minWidth: NumberConstructor;
    maxWidth: NumberConstructor;
    theme: PropType<import("../../_mixins").Theme<"Popconfirm", {
        fontSize: string;
        iconColor: any;
        iconSize: string;
    }, {
        Button: import("../../_mixins").Theme<"Button", {
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            borderRadiusTiny: string;
            borderRadiusSmall: string;
            borderRadiusMedium: string;
            borderRadiusLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            colorPrimary: any;
            colorHoverPrimary: any;
            colorPressedPrimary: any;
            colorFocusPrimary: any;
            textColorPrimary: any;
            textColorHoverPrimary: any;
            textColorPressedPrimary: any;
            textColorFocusPrimary: any;
            textColorTextPrimary: any;
            textColorTextHoverPrimary: any;
            textColorTextPressedPrimary: any;
            textColorTextFocusPrimary: any;
            colorGhostHoverPrimary: any;
            textColorGhostPrimary: any;
            textColorGhostHoverPrimary: any;
            textColorGhostPressedPrimary: any;
            textColorGhostFocusPrimary: any;
            colorLighterPrimary: any;
            colorHoverLighterPrimary: any;
            colorPressedLighterPrimary: any;
            colorFocusLighterPrimary: any;
            textColorLighterPrimary: any;
            textColorLighterHoverPrimary: any;
            textColorLighterPressedPrimary: any;
            textColorLighterFocusPrimary: any;
            borderLighterHoverPrimary: string;
            borderLighterPressedPrimary: string;
            borderLighterFocusPrimary: string;
            colorStrokeHoverPrimary: any;
            colorStrokePressedPrimary: any;
            colorStrokeFocusPrimary: any;
            textColorStrokePrimary: any;
            textColorStrokeHoverPrimary: any;
            textColorStrokePressedPrimary: any;
            textColorStrokeFocusPrimary: any;
            borderStrokePrimary: string;
            borderStrokeHoverPrimary: string;
            borderStrokePressedPrimary: string;
            borderStrokeFocusPrimary: string;
            borderPrimary: string;
            borderHoverPrimary: string;
            borderPressedPrimary: string;
            borderFocusPrimary: string;
            rippleColorPrimary: any;
            colorNeutral: any;
            colorHoverNeutral: any;
            colorPressedNeutral: any;
            colorFocusNeutral: any;
            textColorNeutral: string;
            textColorHoverNeutral: string;
            textColorPressedNeutral: string;
            textColorFocusNeutral: string;
            textColorTextNeutral: any;
            textColorTextHoverNeutral: any;
            textColorTextPressedNeutral: any;
            textColorTextFocusNeutral: any;
            colorGhostHoverNeutral: any;
            colorPressedNeutralGhost: any;
            colorFocusNeutralGhost: any;
            textColorGhostNeutral: any;
            textColorGhostHoverNeutral: any;
            textColorGhostPressedNeutral: any;
            textColorGhostFocusNeutral: any;
            colorLighterNeutral: any;
            colorPressedNeutralLighter: any;
            colorFocusNeutralLighter: any;
            textColorLighterNeutral: any;
            textColorLighterHoverNeutral: any;
            textColorLighterPressedNeutral: any;
            textColorLighterFocusNeutral: any;
            borderLighterHoverNeutral: string;
            borderLighterPressedNeutral: string;
            borderLighterFocusNeutral: string;
            colorStrokeHoverNeutral: any;
            colorStrokePressedNeutral: any;
            colorStrokeFocusNeutral: any;
            textColorStrokeNeutral: any;
            textColorStrokeHoverNeutral: any;
            textColorStrokePressedNeutral: any;
            textColorStrokeFocusNeutral: any;
            borderStrokeNeutral: string;
            borderStrokeHoverNeutral: string;
            borderStrokePressedNeutral: string;
            borderStrokeFocusNeutral: string;
            borderNeutral: string;
            borderHoverNeutral: string;
            borderPressedNeutral: string;
            borderFocusNeutral: string;
            rippleColorNeutral: any;
            colorSuccess: any;
            colorHoverSuccess: any;
            colorPressedSuccess: any;
            colorFocusSuccess: any;
            textColorSuccess: string;
            textColorHoverSuccess: string;
            textColorPressedSuccess: string;
            textColorFocusSuccess: string;
            textColorTextSuccess: any;
            textColorTextHoverSuccess: any;
            textColorTextPressedSuccess: any;
            textColorTextFocusSuccess: any;
            colorGhostHoverSuccess: any;
            textColorGhostSuccess: any;
            textColorGhostHoverSuccess: any;
            textColorGhostPressedSuccess: any;
            textColorGhostFocusSuccess: any;
            colorLighterSuccess: any;
            textColorLighterSuccess: any;
            textColorLighterHoverSuccess: any;
            textColorLighterPressedSuccess: any;
            textColorLighterFocusSuccess: any;
            borderLighterHoverSuccess: string;
            borderLighterPressedSuccess: string;
            borderLighterFocusSuccess: string;
            colorStrokeHoverSuccess: any;
            colorStrokePressedSuccess: any;
            colorStrokeFocusSuccess: any;
            textColorStrokeSuccess: any;
            textColorStrokeHoverSuccess: any;
            textColorStrokePressedSuccess: any;
            textColorStrokeFocusSuccess: any;
            borderStrokeSuccess: string;
            borderStrokeHoverSuccess: string;
            borderStrokePressedSuccess: string;
            borderStrokeFocusSuccess: string;
            borderSuccess: string;
            borderHoverSuccess: string;
            borderPressedSuccess: string;
            borderFocusSuccess: string;
            rippleColorSuccess: any;
            colorWarning: any;
            colorHoverWarning: any;
            colorPressedWarning: any;
            colorFocusWarning: any;
            textColorWarning: string;
            textColorHoverWarning: string;
            textColorPressedWarning: string;
            textColorFocusWarning: string;
            textColorTextWarning: any;
            textColorTextHoverWarning: any;
            textColorTextPressedWarning: any;
            textColorTextFocusWarning: any;
            colorGhostHoverWarning: any;
            textColorGhostWarning: any;
            textColorGhostHoverWarning: any;
            textColorGhostPressedWarning: any;
            textColorGhostFocusWarning: any;
            colorLighterWarning: any;
            textColorLighterWarning: any;
            textColorLighterHoverWarning: any;
            textColorLighterPressedWarning: any;
            textColorLighterFocusWarning: any;
            borderLighterHoverWarning: string;
            borderLighterPressedWarning: string;
            borderLighterFocusWarning: string;
            colorStrokeHoverWarning: any;
            colorStrokePressedWarning: any;
            colorStrokeFocusWarning: any;
            textColorStrokeWarning: any;
            textColorStrokeHoverWarning: any;
            textColorStrokePressedWarning: any;
            textColorStrokeFocusWarning: any;
            borderStrokeWarning: string;
            borderStrokeHoverWarning: string;
            borderStrokePressedWarning: string;
            borderStrokeFocusWarning: string;
            borderWarning: string;
            borderHoverWarning: string;
            borderPressedWarning: string;
            borderFocusWarning: string;
            rippleColorWarning: any;
            colorError: any;
            colorHoverError: any;
            colorPressedError: any;
            colorFocusError: any;
            textColorError: string;
            textColorHoverError: string;
            textColorPressedError: string;
            textColorFocusError: string;
            textColorTextError: any;
            textColorTextHoverError: any;
            textColorTextPressedError: any;
            textColorTextFocusError: any;
            colorGhostHoverError: any;
            textColorGhostError: any;
            textColorGhostHoverError: any;
            textColorGhostPressedError: any;
            textColorGhostFocusError: any;
            colorLighterError: any;
            textColorLighterError: any;
            textColorLighterHoverError: any;
            textColorLighterPressedError: any;
            textColorLighterFocusError: any;
            borderLighterHoverError: string;
            borderLighterPressedError: string;
            borderLighterFocusError: string;
            colorStrokeHoverError: any;
            colorStrokePressedError: any;
            colorStrokeFocusError: any;
            textColorStrokeError: any;
            textColorStrokeHoverError: any;
            textColorStrokePressedError: any;
            textColorStrokeFocusError: any;
            borderStrokeError: string;
            borderStrokeHoverError: string;
            borderStrokePressedError: string;
            borderStrokeFocusError: string;
            borderError: string;
            borderHoverError: string;
            borderPressedError: string;
            borderFocusError: string;
            rippleColorError: any;
            waveOpacity: string;
            fontWeight: string;
            fontWeightStrong: string;
            opacityDisabled: string;
            colorDisabled: any;
            textColorDisabled: any;
            iconColorDisabled: any;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            paddingRoundTiny: string;
            paddingRoundSmall: string;
            paddingRoundMedium: string;
            paddingRoundLarge: string;
            iconMarginTiny: string;
            iconMarginSmall: string;
            iconMarginMedium: string;
            iconMarginLarge: string;
            iconSizeTiny: string;
            iconSizeSmall: string;
            iconSizeMedium: string;
            iconSizeLarge: string;
            rippleDuration: string;
        }, any>;
        Popover: import("../../_mixins").Theme<"Popover", {
            fontSize: string;
            borderRadius: string;
            color: any;
            dividerColor: any;
            textColor: any;
            boxShadow: string;
            padding: string;
            border: string;
            space: string;
            spaceArrow: string;
            arrowOffset: string;
            arrowOffsetVertical: string;
            arrowHeight: string;
        }, any>;
    }>>;
    themeOverrides: PropType<import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"Popconfirm", {
        fontSize: string;
        iconColor: any;
        iconSize: string;
    }, {
        Button: import("../../_mixins").Theme<"Button", {
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            borderRadiusTiny: string;
            borderRadiusSmall: string;
            borderRadiusMedium: string;
            borderRadiusLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            colorPrimary: any;
            colorHoverPrimary: any;
            colorPressedPrimary: any;
            colorFocusPrimary: any;
            textColorPrimary: any;
            textColorHoverPrimary: any;
            textColorPressedPrimary: any;
            textColorFocusPrimary: any;
            textColorTextPrimary: any;
            textColorTextHoverPrimary: any;
            textColorTextPressedPrimary: any;
            textColorTextFocusPrimary: any;
            colorGhostHoverPrimary: any;
            textColorGhostPrimary: any;
            textColorGhostHoverPrimary: any;
            textColorGhostPressedPrimary: any;
            textColorGhostFocusPrimary: any;
            colorLighterPrimary: any;
            colorHoverLighterPrimary: any;
            colorPressedLighterPrimary: any;
            colorFocusLighterPrimary: any;
            textColorLighterPrimary: any;
            textColorLighterHoverPrimary: any;
            textColorLighterPressedPrimary: any;
            textColorLighterFocusPrimary: any;
            borderLighterHoverPrimary: string;
            borderLighterPressedPrimary: string;
            borderLighterFocusPrimary: string;
            colorStrokeHoverPrimary: any;
            colorStrokePressedPrimary: any;
            colorStrokeFocusPrimary: any;
            textColorStrokePrimary: any;
            textColorStrokeHoverPrimary: any;
            textColorStrokePressedPrimary: any;
            textColorStrokeFocusPrimary: any;
            borderStrokePrimary: string;
            borderStrokeHoverPrimary: string;
            borderStrokePressedPrimary: string;
            borderStrokeFocusPrimary: string;
            borderPrimary: string;
            borderHoverPrimary: string;
            borderPressedPrimary: string;
            borderFocusPrimary: string;
            rippleColorPrimary: any;
            colorNeutral: any;
            colorHoverNeutral: any;
            colorPressedNeutral: any;
            colorFocusNeutral: any;
            textColorNeutral: string;
            textColorHoverNeutral: string;
            textColorPressedNeutral: string;
            textColorFocusNeutral: string;
            textColorTextNeutral: any;
            textColorTextHoverNeutral: any;
            textColorTextPressedNeutral: any;
            textColorTextFocusNeutral: any;
            colorGhostHoverNeutral: any;
            colorPressedNeutralGhost: any;
            colorFocusNeutralGhost: any;
            textColorGhostNeutral: any;
            textColorGhostHoverNeutral: any;
            textColorGhostPressedNeutral: any;
            textColorGhostFocusNeutral: any;
            colorLighterNeutral: any;
            colorPressedNeutralLighter: any;
            colorFocusNeutralLighter: any;
            textColorLighterNeutral: any;
            textColorLighterHoverNeutral: any;
            textColorLighterPressedNeutral: any;
            textColorLighterFocusNeutral: any;
            borderLighterHoverNeutral: string;
            borderLighterPressedNeutral: string;
            borderLighterFocusNeutral: string;
            colorStrokeHoverNeutral: any;
            colorStrokePressedNeutral: any;
            colorStrokeFocusNeutral: any;
            textColorStrokeNeutral: any;
            textColorStrokeHoverNeutral: any;
            textColorStrokePressedNeutral: any;
            textColorStrokeFocusNeutral: any;
            borderStrokeNeutral: string;
            borderStrokeHoverNeutral: string;
            borderStrokePressedNeutral: string;
            borderStrokeFocusNeutral: string;
            borderNeutral: string;
            borderHoverNeutral: string;
            borderPressedNeutral: string;
            borderFocusNeutral: string;
            rippleColorNeutral: any;
            colorSuccess: any;
            colorHoverSuccess: any;
            colorPressedSuccess: any;
            colorFocusSuccess: any;
            textColorSuccess: string;
            textColorHoverSuccess: string;
            textColorPressedSuccess: string;
            textColorFocusSuccess: string;
            textColorTextSuccess: any;
            textColorTextHoverSuccess: any;
            textColorTextPressedSuccess: any;
            textColorTextFocusSuccess: any;
            colorGhostHoverSuccess: any;
            textColorGhostSuccess: any;
            textColorGhostHoverSuccess: any;
            textColorGhostPressedSuccess: any;
            textColorGhostFocusSuccess: any;
            colorLighterSuccess: any;
            textColorLighterSuccess: any;
            textColorLighterHoverSuccess: any;
            textColorLighterPressedSuccess: any;
            textColorLighterFocusSuccess: any;
            borderLighterHoverSuccess: string;
            borderLighterPressedSuccess: string;
            borderLighterFocusSuccess: string;
            colorStrokeHoverSuccess: any;
            colorStrokePressedSuccess: any;
            colorStrokeFocusSuccess: any;
            textColorStrokeSuccess: any;
            textColorStrokeHoverSuccess: any;
            textColorStrokePressedSuccess: any;
            textColorStrokeFocusSuccess: any;
            borderStrokeSuccess: string;
            borderStrokeHoverSuccess: string;
            borderStrokePressedSuccess: string;
            borderStrokeFocusSuccess: string;
            borderSuccess: string;
            borderHoverSuccess: string;
            borderPressedSuccess: string;
            borderFocusSuccess: string;
            rippleColorSuccess: any;
            colorWarning: any;
            colorHoverWarning: any;
            colorPressedWarning: any;
            colorFocusWarning: any;
            textColorWarning: string;
            textColorHoverWarning: string;
            textColorPressedWarning: string;
            textColorFocusWarning: string;
            textColorTextWarning: any;
            textColorTextHoverWarning: any;
            textColorTextPressedWarning: any;
            textColorTextFocusWarning: any;
            colorGhostHoverWarning: any;
            textColorGhostWarning: any;
            textColorGhostHoverWarning: any;
            textColorGhostPressedWarning: any;
            textColorGhostFocusWarning: any;
            colorLighterWarning: any;
            textColorLighterWarning: any;
            textColorLighterHoverWarning: any;
            textColorLighterPressedWarning: any;
            textColorLighterFocusWarning: any;
            borderLighterHoverWarning: string;
            borderLighterPressedWarning: string;
            borderLighterFocusWarning: string;
            colorStrokeHoverWarning: any;
            colorStrokePressedWarning: any;
            colorStrokeFocusWarning: any;
            textColorStrokeWarning: any;
            textColorStrokeHoverWarning: any;
            textColorStrokePressedWarning: any;
            textColorStrokeFocusWarning: any;
            borderStrokeWarning: string;
            borderStrokeHoverWarning: string;
            borderStrokePressedWarning: string;
            borderStrokeFocusWarning: string;
            borderWarning: string;
            borderHoverWarning: string;
            borderPressedWarning: string;
            borderFocusWarning: string;
            rippleColorWarning: any;
            colorError: any;
            colorHoverError: any;
            colorPressedError: any;
            colorFocusError: any;
            textColorError: string;
            textColorHoverError: string;
            textColorPressedError: string;
            textColorFocusError: string;
            textColorTextError: any;
            textColorTextHoverError: any;
            textColorTextPressedError: any;
            textColorTextFocusError: any;
            colorGhostHoverError: any;
            textColorGhostError: any;
            textColorGhostHoverError: any;
            textColorGhostPressedError: any;
            textColorGhostFocusError: any;
            colorLighterError: any;
            textColorLighterError: any;
            textColorLighterHoverError: any;
            textColorLighterPressedError: any;
            textColorLighterFocusError: any;
            borderLighterHoverError: string;
            borderLighterPressedError: string;
            borderLighterFocusError: string;
            colorStrokeHoverError: any;
            colorStrokePressedError: any;
            colorStrokeFocusError: any;
            textColorStrokeError: any;
            textColorStrokeHoverError: any;
            textColorStrokePressedError: any;
            textColorStrokeFocusError: any;
            borderStrokeError: string;
            borderStrokeHoverError: string;
            borderStrokePressedError: string;
            borderStrokeFocusError: string;
            borderError: string;
            borderHoverError: string;
            borderPressedError: string;
            borderFocusError: string;
            rippleColorError: any;
            waveOpacity: string;
            fontWeight: string;
            fontWeightStrong: string;
            opacityDisabled: string;
            colorDisabled: any;
            textColorDisabled: any;
            iconColorDisabled: any;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            paddingRoundTiny: string;
            paddingRoundSmall: string;
            paddingRoundMedium: string;
            paddingRoundLarge: string;
            iconMarginTiny: string;
            iconMarginSmall: string;
            iconMarginMedium: string;
            iconMarginLarge: string;
            iconSizeTiny: string;
            iconSizeSmall: string;
            iconSizeMedium: string;
            iconSizeLarge: string;
            rippleDuration: string;
        }, any>;
        Popover: import("../../_mixins").Theme<"Popover", {
            fontSize: string;
            borderRadius: string;
            color: any;
            dividerColor: any;
            textColor: any;
            boxShadow: string;
            padding: string;
            border: string;
            space: string;
            spaceArrow: string;
            arrowOffset: string;
            arrowOffsetVertical: string;
            arrowHeight: string;
        }, any>;
    }>>>;
    builtinThemeOverrides: PropType<import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"Popconfirm", {
        fontSize: string;
        iconColor: any;
        iconSize: string;
    }, {
        Button: import("../../_mixins").Theme<"Button", {
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            borderRadiusTiny: string;
            borderRadiusSmall: string;
            borderRadiusMedium: string;
            borderRadiusLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            colorPrimary: any;
            colorHoverPrimary: any;
            colorPressedPrimary: any;
            colorFocusPrimary: any;
            textColorPrimary: any;
            textColorHoverPrimary: any;
            textColorPressedPrimary: any;
            textColorFocusPrimary: any;
            textColorTextPrimary: any;
            textColorTextHoverPrimary: any;
            textColorTextPressedPrimary: any;
            textColorTextFocusPrimary: any;
            colorGhostHoverPrimary: any;
            textColorGhostPrimary: any;
            textColorGhostHoverPrimary: any;
            textColorGhostPressedPrimary: any;
            textColorGhostFocusPrimary: any;
            colorLighterPrimary: any;
            colorHoverLighterPrimary: any;
            colorPressedLighterPrimary: any;
            colorFocusLighterPrimary: any;
            textColorLighterPrimary: any;
            textColorLighterHoverPrimary: any;
            textColorLighterPressedPrimary: any;
            textColorLighterFocusPrimary: any;
            borderLighterHoverPrimary: string;
            borderLighterPressedPrimary: string;
            borderLighterFocusPrimary: string;
            colorStrokeHoverPrimary: any;
            colorStrokePressedPrimary: any;
            colorStrokeFocusPrimary: any;
            textColorStrokePrimary: any;
            textColorStrokeHoverPrimary: any;
            textColorStrokePressedPrimary: any;
            textColorStrokeFocusPrimary: any;
            borderStrokePrimary: string;
            borderStrokeHoverPrimary: string;
            borderStrokePressedPrimary: string;
            borderStrokeFocusPrimary: string;
            borderPrimary: string;
            borderHoverPrimary: string;
            borderPressedPrimary: string;
            borderFocusPrimary: string;
            rippleColorPrimary: any;
            colorNeutral: any;
            colorHoverNeutral: any;
            colorPressedNeutral: any;
            colorFocusNeutral: any;
            textColorNeutral: string;
            textColorHoverNeutral: string;
            textColorPressedNeutral: string;
            textColorFocusNeutral: string;
            textColorTextNeutral: any;
            textColorTextHoverNeutral: any;
            textColorTextPressedNeutral: any;
            textColorTextFocusNeutral: any;
            colorGhostHoverNeutral: any;
            colorPressedNeutralGhost: any;
            colorFocusNeutralGhost: any;
            textColorGhostNeutral: any;
            textColorGhostHoverNeutral: any;
            textColorGhostPressedNeutral: any;
            textColorGhostFocusNeutral: any;
            colorLighterNeutral: any;
            colorPressedNeutralLighter: any;
            colorFocusNeutralLighter: any;
            textColorLighterNeutral: any;
            textColorLighterHoverNeutral: any;
            textColorLighterPressedNeutral: any;
            textColorLighterFocusNeutral: any;
            borderLighterHoverNeutral: string;
            borderLighterPressedNeutral: string;
            borderLighterFocusNeutral: string;
            colorStrokeHoverNeutral: any;
            colorStrokePressedNeutral: any;
            colorStrokeFocusNeutral: any;
            textColorStrokeNeutral: any;
            textColorStrokeHoverNeutral: any;
            textColorStrokePressedNeutral: any;
            textColorStrokeFocusNeutral: any;
            borderStrokeNeutral: string;
            borderStrokeHoverNeutral: string;
            borderStrokePressedNeutral: string;
            borderStrokeFocusNeutral: string;
            borderNeutral: string;
            borderHoverNeutral: string;
            borderPressedNeutral: string;
            borderFocusNeutral: string;
            rippleColorNeutral: any;
            colorSuccess: any;
            colorHoverSuccess: any;
            colorPressedSuccess: any;
            colorFocusSuccess: any;
            textColorSuccess: string;
            textColorHoverSuccess: string;
            textColorPressedSuccess: string;
            textColorFocusSuccess: string;
            textColorTextSuccess: any;
            textColorTextHoverSuccess: any;
            textColorTextPressedSuccess: any;
            textColorTextFocusSuccess: any;
            colorGhostHoverSuccess: any;
            textColorGhostSuccess: any;
            textColorGhostHoverSuccess: any;
            textColorGhostPressedSuccess: any;
            textColorGhostFocusSuccess: any;
            colorLighterSuccess: any;
            textColorLighterSuccess: any;
            textColorLighterHoverSuccess: any;
            textColorLighterPressedSuccess: any;
            textColorLighterFocusSuccess: any;
            borderLighterHoverSuccess: string;
            borderLighterPressedSuccess: string;
            borderLighterFocusSuccess: string;
            colorStrokeHoverSuccess: any;
            colorStrokePressedSuccess: any;
            colorStrokeFocusSuccess: any;
            textColorStrokeSuccess: any;
            textColorStrokeHoverSuccess: any;
            textColorStrokePressedSuccess: any;
            textColorStrokeFocusSuccess: any;
            borderStrokeSuccess: string;
            borderStrokeHoverSuccess: string;
            borderStrokePressedSuccess: string;
            borderStrokeFocusSuccess: string;
            borderSuccess: string;
            borderHoverSuccess: string;
            borderPressedSuccess: string;
            borderFocusSuccess: string;
            rippleColorSuccess: any;
            colorWarning: any;
            colorHoverWarning: any;
            colorPressedWarning: any;
            colorFocusWarning: any;
            textColorWarning: string;
            textColorHoverWarning: string;
            textColorPressedWarning: string;
            textColorFocusWarning: string;
            textColorTextWarning: any;
            textColorTextHoverWarning: any;
            textColorTextPressedWarning: any;
            textColorTextFocusWarning: any;
            colorGhostHoverWarning: any;
            textColorGhostWarning: any;
            textColorGhostHoverWarning: any;
            textColorGhostPressedWarning: any;
            textColorGhostFocusWarning: any;
            colorLighterWarning: any;
            textColorLighterWarning: any;
            textColorLighterHoverWarning: any;
            textColorLighterPressedWarning: any;
            textColorLighterFocusWarning: any;
            borderLighterHoverWarning: string;
            borderLighterPressedWarning: string;
            borderLighterFocusWarning: string;
            colorStrokeHoverWarning: any;
            colorStrokePressedWarning: any;
            colorStrokeFocusWarning: any;
            textColorStrokeWarning: any;
            textColorStrokeHoverWarning: any;
            textColorStrokePressedWarning: any;
            textColorStrokeFocusWarning: any;
            borderStrokeWarning: string;
            borderStrokeHoverWarning: string;
            borderStrokePressedWarning: string;
            borderStrokeFocusWarning: string;
            borderWarning: string;
            borderHoverWarning: string;
            borderPressedWarning: string;
            borderFocusWarning: string;
            rippleColorWarning: any;
            colorError: any;
            colorHoverError: any;
            colorPressedError: any;
            colorFocusError: any;
            textColorError: string;
            textColorHoverError: string;
            textColorPressedError: string;
            textColorFocusError: string;
            textColorTextError: any;
            textColorTextHoverError: any;
            textColorTextPressedError: any;
            textColorTextFocusError: any;
            colorGhostHoverError: any;
            textColorGhostError: any;
            textColorGhostHoverError: any;
            textColorGhostPressedError: any;
            textColorGhostFocusError: any;
            colorLighterError: any;
            textColorLighterError: any;
            textColorLighterHoverError: any;
            textColorLighterPressedError: any;
            textColorLighterFocusError: any;
            borderLighterHoverError: string;
            borderLighterPressedError: string;
            borderLighterFocusError: string;
            colorStrokeHoverError: any;
            colorStrokePressedError: any;
            colorStrokeFocusError: any;
            textColorStrokeError: any;
            textColorStrokeHoverError: any;
            textColorStrokePressedError: any;
            textColorStrokeFocusError: any;
            borderStrokeError: string;
            borderStrokeHoverError: string;
            borderStrokePressedError: string;
            borderStrokeFocusError: string;
            borderError: string;
            borderHoverError: string;
            borderPressedError: string;
            borderFocusError: string;
            rippleColorError: any;
            waveOpacity: string;
            fontWeight: string;
            fontWeightStrong: string;
            opacityDisabled: string;
            colorDisabled: any;
            textColorDisabled: any;
            iconColorDisabled: any;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            paddingRoundTiny: string;
            paddingRoundSmall: string;
            paddingRoundMedium: string;
            paddingRoundLarge: string;
            iconMarginTiny: string;
            iconMarginSmall: string;
            iconMarginMedium: string;
            iconMarginLarge: string;
            iconSizeTiny: string;
            iconSizeSmall: string;
            iconSizeMedium: string;
            iconSizeLarge: string;
            rippleDuration: string;
        }, any>;
        Popover: import("../../_mixins").Theme<"Popover", {
            fontSize: string;
            borderRadius: string;
            color: any;
            dividerColor: any;
            textColor: any;
            boxShadow: string;
            padding: string;
            border: string;
            space: string;
            spaceArrow: string;
            arrowOffset: string;
            arrowOffsetVertical: string;
            arrowHeight: string;
        }, any>;
    }>>>;
}>, {
    setShow(value: boolean): void;
    syncPosition(): void;
    mergedTheme: import("vue").ComputedRef<{
        common: import("../..").ThemeCommonVars;
        self: {
            fontSize: string;
            iconColor: any;
            iconSize: string;
        };
        peers: {
            Button: import("../../_mixins").Theme<"Button", {
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                borderRadiusTiny: string;
                borderRadiusSmall: string;
                borderRadiusMedium: string;
                borderRadiusLarge: string;
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                colorPrimary: any;
                colorHoverPrimary: any;
                colorPressedPrimary: any;
                colorFocusPrimary: any;
                textColorPrimary: any;
                textColorHoverPrimary: any;
                textColorPressedPrimary: any;
                textColorFocusPrimary: any;
                textColorTextPrimary: any;
                textColorTextHoverPrimary: any;
                textColorTextPressedPrimary: any;
                textColorTextFocusPrimary: any;
                colorGhostHoverPrimary: any;
                textColorGhostPrimary: any;
                textColorGhostHoverPrimary: any;
                textColorGhostPressedPrimary: any;
                textColorGhostFocusPrimary: any;
                colorLighterPrimary: any;
                colorHoverLighterPrimary: any;
                colorPressedLighterPrimary: any;
                colorFocusLighterPrimary: any;
                textColorLighterPrimary: any;
                textColorLighterHoverPrimary: any;
                textColorLighterPressedPrimary: any;
                textColorLighterFocusPrimary: any;
                borderLighterHoverPrimary: string;
                borderLighterPressedPrimary: string;
                borderLighterFocusPrimary: string;
                colorStrokeHoverPrimary: any;
                colorStrokePressedPrimary: any;
                colorStrokeFocusPrimary: any;
                textColorStrokePrimary: any;
                textColorStrokeHoverPrimary: any;
                textColorStrokePressedPrimary: any;
                textColorStrokeFocusPrimary: any;
                borderStrokePrimary: string;
                borderStrokeHoverPrimary: string;
                borderStrokePressedPrimary: string;
                borderStrokeFocusPrimary: string;
                borderPrimary: string;
                borderHoverPrimary: string;
                borderPressedPrimary: string;
                borderFocusPrimary: string;
                rippleColorPrimary: any;
                colorNeutral: any;
                colorHoverNeutral: any;
                colorPressedNeutral: any;
                colorFocusNeutral: any;
                textColorNeutral: string;
                textColorHoverNeutral: string;
                textColorPressedNeutral: string;
                textColorFocusNeutral: string;
                textColorTextNeutral: any;
                textColorTextHoverNeutral: any;
                textColorTextPressedNeutral: any;
                textColorTextFocusNeutral: any;
                colorGhostHoverNeutral: any;
                colorPressedNeutralGhost: any;
                colorFocusNeutralGhost: any;
                textColorGhostNeutral: any;
                textColorGhostHoverNeutral: any;
                textColorGhostPressedNeutral: any;
                textColorGhostFocusNeutral: any;
                colorLighterNeutral: any;
                colorPressedNeutralLighter: any;
                colorFocusNeutralLighter: any;
                textColorLighterNeutral: any;
                textColorLighterHoverNeutral: any;
                textColorLighterPressedNeutral: any;
                textColorLighterFocusNeutral: any;
                borderLighterHoverNeutral: string;
                borderLighterPressedNeutral: string;
                borderLighterFocusNeutral: string;
                colorStrokeHoverNeutral: any;
                colorStrokePressedNeutral: any;
                colorStrokeFocusNeutral: any;
                textColorStrokeNeutral: any;
                textColorStrokeHoverNeutral: any;
                textColorStrokePressedNeutral: any;
                textColorStrokeFocusNeutral: any;
                borderStrokeNeutral: string;
                borderStrokeHoverNeutral: string;
                borderStrokePressedNeutral: string;
                borderStrokeFocusNeutral: string;
                borderNeutral: string;
                borderHoverNeutral: string;
                borderPressedNeutral: string;
                borderFocusNeutral: string;
                rippleColorNeutral: any;
                colorSuccess: any;
                colorHoverSuccess: any;
                colorPressedSuccess: any;
                colorFocusSuccess: any;
                textColorSuccess: string;
                textColorHoverSuccess: string;
                textColorPressedSuccess: string;
                textColorFocusSuccess: string;
                textColorTextSuccess: any;
                textColorTextHoverSuccess: any;
                textColorTextPressedSuccess: any;
                textColorTextFocusSuccess: any;
                colorGhostHoverSuccess: any;
                textColorGhostSuccess: any;
                textColorGhostHoverSuccess: any;
                textColorGhostPressedSuccess: any;
                textColorGhostFocusSuccess: any;
                colorLighterSuccess: any;
                textColorLighterSuccess: any;
                textColorLighterHoverSuccess: any;
                textColorLighterPressedSuccess: any;
                textColorLighterFocusSuccess: any;
                borderLighterHoverSuccess: string;
                borderLighterPressedSuccess: string;
                borderLighterFocusSuccess: string;
                colorStrokeHoverSuccess: any;
                colorStrokePressedSuccess: any;
                colorStrokeFocusSuccess: any;
                textColorStrokeSuccess: any;
                textColorStrokeHoverSuccess: any;
                textColorStrokePressedSuccess: any;
                textColorStrokeFocusSuccess: any;
                borderStrokeSuccess: string;
                borderStrokeHoverSuccess: string;
                borderStrokePressedSuccess: string;
                borderStrokeFocusSuccess: string;
                borderSuccess: string;
                borderHoverSuccess: string;
                borderPressedSuccess: string;
                borderFocusSuccess: string;
                rippleColorSuccess: any;
                colorWarning: any;
                colorHoverWarning: any;
                colorPressedWarning: any;
                colorFocusWarning: any;
                textColorWarning: string;
                textColorHoverWarning: string;
                textColorPressedWarning: string;
                textColorFocusWarning: string;
                textColorTextWarning: any;
                textColorTextHoverWarning: any;
                textColorTextPressedWarning: any;
                textColorTextFocusWarning: any;
                colorGhostHoverWarning: any;
                textColorGhostWarning: any;
                textColorGhostHoverWarning: any;
                textColorGhostPressedWarning: any;
                textColorGhostFocusWarning: any;
                colorLighterWarning: any;
                textColorLighterWarning: any;
                textColorLighterHoverWarning: any;
                textColorLighterPressedWarning: any;
                textColorLighterFocusWarning: any;
                borderLighterHoverWarning: string;
                borderLighterPressedWarning: string;
                borderLighterFocusWarning: string;
                colorStrokeHoverWarning: any;
                colorStrokePressedWarning: any;
                colorStrokeFocusWarning: any;
                textColorStrokeWarning: any;
                textColorStrokeHoverWarning: any;
                textColorStrokePressedWarning: any;
                textColorStrokeFocusWarning: any;
                borderStrokeWarning: string;
                borderStrokeHoverWarning: string;
                borderStrokePressedWarning: string;
                borderStrokeFocusWarning: string;
                borderWarning: string;
                borderHoverWarning: string;
                borderPressedWarning: string;
                borderFocusWarning: string;
                rippleColorWarning: any;
                colorError: any;
                colorHoverError: any;
                colorPressedError: any;
                colorFocusError: any;
                textColorError: string;
                textColorHoverError: string;
                textColorPressedError: string;
                textColorFocusError: string;
                textColorTextError: any;
                textColorTextHoverError: any;
                textColorTextPressedError: any;
                textColorTextFocusError: any;
                colorGhostHoverError: any;
                textColorGhostError: any;
                textColorGhostHoverError: any;
                textColorGhostPressedError: any;
                textColorGhostFocusError: any;
                colorLighterError: any;
                textColorLighterError: any;
                textColorLighterHoverError: any;
                textColorLighterPressedError: any;
                textColorLighterFocusError: any;
                borderLighterHoverError: string;
                borderLighterPressedError: string;
                borderLighterFocusError: string;
                colorStrokeHoverError: any;
                colorStrokePressedError: any;
                colorStrokeFocusError: any;
                textColorStrokeError: any;
                textColorStrokeHoverError: any;
                textColorStrokePressedError: any;
                textColorStrokeFocusError: any;
                borderStrokeError: string;
                borderStrokeHoverError: string;
                borderStrokePressedError: string;
                borderStrokeFocusError: string;
                borderError: string;
                borderHoverError: string;
                borderPressedError: string;
                borderFocusError: string;
                rippleColorError: any;
                waveOpacity: string;
                fontWeight: string;
                fontWeightStrong: string;
                opacityDisabled: string;
                colorDisabled: any;
                textColorDisabled: any;
                iconColorDisabled: any;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                paddingRoundTiny: string;
                paddingRoundSmall: string;
                paddingRoundMedium: string;
                paddingRoundLarge: string;
                iconMarginTiny: string;
                iconMarginSmall: string;
                iconMarginMedium: string;
                iconMarginLarge: string;
                iconSizeTiny: string;
                iconSizeSmall: string;
                iconSizeMedium: string;
                iconSizeLarge: string;
                rippleDuration: string;
            }, any>;
            Popover: import("../../_mixins").Theme<"Popover", {
                fontSize: string;
                borderRadius: string;
                color: any;
                dividerColor: any;
                textColor: any;
                boxShadow: string;
                padding: string;
                border: string;
                space: string;
                spaceArrow: string;
                arrowOffset: string;
                arrowOffsetVertical: string;
                arrowHeight: string;
            }, any>;
        };
        peerOverrides: {
            Button?: {
                peers?: {
                    [x: string]: any;
                } | undefined;
            } | undefined;
            Popover?: {
                peers?: {
                    [x: string]: any;
                } | undefined;
            } | undefined;
        };
    }>;
    popoverInstRef: import("vue").Ref<{
        syncPosition: () => void;
        setShow: (value: boolean) => void;
        getMergedShow: () => boolean;
    } | null, InternalPopoverInst | {
        syncPosition: () => void;
        setShow: (value: boolean) => void;
        getMergedShow: () => boolean;
    } | null>;
    handlePositiveClick: (e: MouseEvent) => void;
    handleNegativeClick: (e: MouseEvent) => void;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<ExtractPropTypes<{
    positiveText: PropType<string | null>;
    negativeText: PropType<string | null>;
    showIcon: {
        type: BooleanConstructor;
        default: boolean;
    };
    trigger: {
        type: PropType<PopoverTrigger>;
        default: string;
    };
    positiveButtonProps: PropType<ButtonProps>;
    negativeButtonProps: PropType<ButtonProps>;
    onPositiveClick: PropType<(e: MouseEvent) => Promise<boolean> | boolean | any>;
    onNegativeClick: PropType<(e: MouseEvent) => Promise<boolean> | boolean | any>;
    show: {
        type: PropType<boolean | undefined>;
        default: undefined;
    };
    defaultShow: BooleanConstructor;
    showArrow: {
        type: BooleanConstructor;
        default: boolean;
    };
    delay: {
        type: NumberConstructor;
        default: number;
    };
    duration: {
        type: NumberConstructor;
        default: number;
    };
    raw: BooleanConstructor;
    placement: {
        type: PropType<import("vueuc/lib/binder/src/interface").Placement>;
        default: string;
    };
    x: NumberConstructor;
    y: NumberConstructor;
    arrowPointToCenter: BooleanConstructor;
    disabled: BooleanConstructor;
    getDisabled: PropType<() => boolean>;
    displayDirective: {
        type: PropType<"if" | "show">;
        default: string;
    };
    arrowClass: StringConstructor;
    arrowStyle: PropType<string | import("vue").CSSProperties>;
    arrowWrapperClass: StringConstructor;
    arrowWrapperStyle: PropType<string | import("vue").CSSProperties>;
    flip: {
        type: BooleanConstructor;
        default: boolean;
    };
    animated: {
        type: BooleanConstructor;
        default: boolean;
    };
    width: {
        type: PropType<number | "trigger">;
        default: undefined;
    };
    overlap: BooleanConstructor;
    keepAliveOnHover: {
        type: BooleanConstructor;
        default: boolean;
    };
    zIndex: NumberConstructor;
    to: {
        type: PropType<HTMLElement | string | boolean>;
        default: undefined;
    };
    scrollable: BooleanConstructor;
    contentClass: StringConstructor;
    contentStyle: PropType<import("vue").CSSProperties | string>;
    headerClass: StringConstructor;
    headerStyle: PropType<import("vue").CSSProperties | string>;
    footerClass: StringConstructor;
    footerStyle: PropType<import("vue").CSSProperties | string>;
    onClickoutside: PropType<(e: MouseEvent) => void>;
    'onUpdate:show': PropType<import("../../_utils").MaybeArray<(value: boolean) => void>>;
    onUpdateShow: PropType<import("../../_utils").MaybeArray<(value: boolean) => void>>;
    internalDeactivateImmediately: BooleanConstructor;
    internalSyncTargetWithParent: BooleanConstructor;
    internalInheritedEventHandlers: {
        type: PropType<import("../../popover/src/Popover").TriggerEventHandlers[]>;
        default: () => never[];
    };
    internalTrapFocus: BooleanConstructor;
    internalExtraClass: {
        type: PropType<string[]>;
        default: () => never[];
    };
    onShow: PropType<import("../../_utils").MaybeArray<(value: boolean) => void> | undefined>;
    onHide: PropType<import("../../_utils").MaybeArray<(value: boolean) => void> | undefined>;
    arrow: {
        type: PropType<boolean | undefined>;
        default: undefined;
    };
    minWidth: NumberConstructor;
    maxWidth: NumberConstructor;
    theme: PropType<import("../../_mixins").Theme<"Popconfirm", {
        fontSize: string;
        iconColor: any;
        iconSize: string;
    }, {
        Button: import("../../_mixins").Theme<"Button", {
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            borderRadiusTiny: string;
            borderRadiusSmall: string;
            borderRadiusMedium: string;
            borderRadiusLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            colorPrimary: any;
            colorHoverPrimary: any;
            colorPressedPrimary: any;
            colorFocusPrimary: any;
            textColorPrimary: any;
            textColorHoverPrimary: any;
            textColorPressedPrimary: any;
            textColorFocusPrimary: any;
            textColorTextPrimary: any;
            textColorTextHoverPrimary: any;
            textColorTextPressedPrimary: any;
            textColorTextFocusPrimary: any;
            colorGhostHoverPrimary: any;
            textColorGhostPrimary: any;
            textColorGhostHoverPrimary: any;
            textColorGhostPressedPrimary: any;
            textColorGhostFocusPrimary: any;
            colorLighterPrimary: any;
            colorHoverLighterPrimary: any;
            colorPressedLighterPrimary: any;
            colorFocusLighterPrimary: any;
            textColorLighterPrimary: any;
            textColorLighterHoverPrimary: any;
            textColorLighterPressedPrimary: any;
            textColorLighterFocusPrimary: any;
            borderLighterHoverPrimary: string;
            borderLighterPressedPrimary: string;
            borderLighterFocusPrimary: string;
            colorStrokeHoverPrimary: any;
            colorStrokePressedPrimary: any;
            colorStrokeFocusPrimary: any;
            textColorStrokePrimary: any;
            textColorStrokeHoverPrimary: any;
            textColorStrokePressedPrimary: any;
            textColorStrokeFocusPrimary: any;
            borderStrokePrimary: string;
            borderStrokeHoverPrimary: string;
            borderStrokePressedPrimary: string;
            borderStrokeFocusPrimary: string;
            borderPrimary: string;
            borderHoverPrimary: string;
            borderPressedPrimary: string;
            borderFocusPrimary: string;
            rippleColorPrimary: any;
            colorNeutral: any;
            colorHoverNeutral: any;
            colorPressedNeutral: any;
            colorFocusNeutral: any;
            textColorNeutral: string;
            textColorHoverNeutral: string;
            textColorPressedNeutral: string;
            textColorFocusNeutral: string;
            textColorTextNeutral: any;
            textColorTextHoverNeutral: any;
            textColorTextPressedNeutral: any;
            textColorTextFocusNeutral: any;
            colorGhostHoverNeutral: any;
            colorPressedNeutralGhost: any;
            colorFocusNeutralGhost: any;
            textColorGhostNeutral: any;
            textColorGhostHoverNeutral: any;
            textColorGhostPressedNeutral: any;
            textColorGhostFocusNeutral: any;
            colorLighterNeutral: any;
            colorPressedNeutralLighter: any;
            colorFocusNeutralLighter: any;
            textColorLighterNeutral: any;
            textColorLighterHoverNeutral: any;
            textColorLighterPressedNeutral: any;
            textColorLighterFocusNeutral: any;
            borderLighterHoverNeutral: string;
            borderLighterPressedNeutral: string;
            borderLighterFocusNeutral: string;
            colorStrokeHoverNeutral: any;
            colorStrokePressedNeutral: any;
            colorStrokeFocusNeutral: any;
            textColorStrokeNeutral: any;
            textColorStrokeHoverNeutral: any;
            textColorStrokePressedNeutral: any;
            textColorStrokeFocusNeutral: any;
            borderStrokeNeutral: string;
            borderStrokeHoverNeutral: string;
            borderStrokePressedNeutral: string;
            borderStrokeFocusNeutral: string;
            borderNeutral: string;
            borderHoverNeutral: string;
            borderPressedNeutral: string;
            borderFocusNeutral: string;
            rippleColorNeutral: any;
            colorSuccess: any;
            colorHoverSuccess: any;
            colorPressedSuccess: any;
            colorFocusSuccess: any;
            textColorSuccess: string;
            textColorHoverSuccess: string;
            textColorPressedSuccess: string;
            textColorFocusSuccess: string;
            textColorTextSuccess: any;
            textColorTextHoverSuccess: any;
            textColorTextPressedSuccess: any;
            textColorTextFocusSuccess: any;
            colorGhostHoverSuccess: any;
            textColorGhostSuccess: any;
            textColorGhostHoverSuccess: any;
            textColorGhostPressedSuccess: any;
            textColorGhostFocusSuccess: any;
            colorLighterSuccess: any;
            textColorLighterSuccess: any;
            textColorLighterHoverSuccess: any;
            textColorLighterPressedSuccess: any;
            textColorLighterFocusSuccess: any;
            borderLighterHoverSuccess: string;
            borderLighterPressedSuccess: string;
            borderLighterFocusSuccess: string;
            colorStrokeHoverSuccess: any;
            colorStrokePressedSuccess: any;
            colorStrokeFocusSuccess: any;
            textColorStrokeSuccess: any;
            textColorStrokeHoverSuccess: any;
            textColorStrokePressedSuccess: any;
            textColorStrokeFocusSuccess: any;
            borderStrokeSuccess: string;
            borderStrokeHoverSuccess: string;
            borderStrokePressedSuccess: string;
            borderStrokeFocusSuccess: string;
            borderSuccess: string;
            borderHoverSuccess: string;
            borderPressedSuccess: string;
            borderFocusSuccess: string;
            rippleColorSuccess: any;
            colorWarning: any;
            colorHoverWarning: any;
            colorPressedWarning: any;
            colorFocusWarning: any;
            textColorWarning: string;
            textColorHoverWarning: string;
            textColorPressedWarning: string;
            textColorFocusWarning: string;
            textColorTextWarning: any;
            textColorTextHoverWarning: any;
            textColorTextPressedWarning: any;
            textColorTextFocusWarning: any;
            colorGhostHoverWarning: any;
            textColorGhostWarning: any;
            textColorGhostHoverWarning: any;
            textColorGhostPressedWarning: any;
            textColorGhostFocusWarning: any;
            colorLighterWarning: any;
            textColorLighterWarning: any;
            textColorLighterHoverWarning: any;
            textColorLighterPressedWarning: any;
            textColorLighterFocusWarning: any;
            borderLighterHoverWarning: string;
            borderLighterPressedWarning: string;
            borderLighterFocusWarning: string;
            colorStrokeHoverWarning: any;
            colorStrokePressedWarning: any;
            colorStrokeFocusWarning: any;
            textColorStrokeWarning: any;
            textColorStrokeHoverWarning: any;
            textColorStrokePressedWarning: any;
            textColorStrokeFocusWarning: any;
            borderStrokeWarning: string;
            borderStrokeHoverWarning: string;
            borderStrokePressedWarning: string;
            borderStrokeFocusWarning: string;
            borderWarning: string;
            borderHoverWarning: string;
            borderPressedWarning: string;
            borderFocusWarning: string;
            rippleColorWarning: any;
            colorError: any;
            colorHoverError: any;
            colorPressedError: any;
            colorFocusError: any;
            textColorError: string;
            textColorHoverError: string;
            textColorPressedError: string;
            textColorFocusError: string;
            textColorTextError: any;
            textColorTextHoverError: any;
            textColorTextPressedError: any;
            textColorTextFocusError: any;
            colorGhostHoverError: any;
            textColorGhostError: any;
            textColorGhostHoverError: any;
            textColorGhostPressedError: any;
            textColorGhostFocusError: any;
            colorLighterError: any;
            textColorLighterError: any;
            textColorLighterHoverError: any;
            textColorLighterPressedError: any;
            textColorLighterFocusError: any;
            borderLighterHoverError: string;
            borderLighterPressedError: string;
            borderLighterFocusError: string;
            colorStrokeHoverError: any;
            colorStrokePressedError: any;
            colorStrokeFocusError: any;
            textColorStrokeError: any;
            textColorStrokeHoverError: any;
            textColorStrokePressedError: any;
            textColorStrokeFocusError: any;
            borderStrokeError: string;
            borderStrokeHoverError: string;
            borderStrokePressedError: string;
            borderStrokeFocusError: string;
            borderError: string;
            borderHoverError: string;
            borderPressedError: string;
            borderFocusError: string;
            rippleColorError: any;
            waveOpacity: string;
            fontWeight: string;
            fontWeightStrong: string;
            opacityDisabled: string;
            colorDisabled: any;
            textColorDisabled: any;
            iconColorDisabled: any;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            paddingRoundTiny: string;
            paddingRoundSmall: string;
            paddingRoundMedium: string;
            paddingRoundLarge: string;
            iconMarginTiny: string;
            iconMarginSmall: string;
            iconMarginMedium: string;
            iconMarginLarge: string;
            iconSizeTiny: string;
            iconSizeSmall: string;
            iconSizeMedium: string;
            iconSizeLarge: string;
            rippleDuration: string;
        }, any>;
        Popover: import("../../_mixins").Theme<"Popover", {
            fontSize: string;
            borderRadius: string;
            color: any;
            dividerColor: any;
            textColor: any;
            boxShadow: string;
            padding: string;
            border: string;
            space: string;
            spaceArrow: string;
            arrowOffset: string;
            arrowOffsetVertical: string;
            arrowHeight: string;
        }, any>;
    }>>;
    themeOverrides: PropType<import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"Popconfirm", {
        fontSize: string;
        iconColor: any;
        iconSize: string;
    }, {
        Button: import("../../_mixins").Theme<"Button", {
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            borderRadiusTiny: string;
            borderRadiusSmall: string;
            borderRadiusMedium: string;
            borderRadiusLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            colorPrimary: any;
            colorHoverPrimary: any;
            colorPressedPrimary: any;
            colorFocusPrimary: any;
            textColorPrimary: any;
            textColorHoverPrimary: any;
            textColorPressedPrimary: any;
            textColorFocusPrimary: any;
            textColorTextPrimary: any;
            textColorTextHoverPrimary: any;
            textColorTextPressedPrimary: any;
            textColorTextFocusPrimary: any;
            colorGhostHoverPrimary: any;
            textColorGhostPrimary: any;
            textColorGhostHoverPrimary: any;
            textColorGhostPressedPrimary: any;
            textColorGhostFocusPrimary: any;
            colorLighterPrimary: any;
            colorHoverLighterPrimary: any;
            colorPressedLighterPrimary: any;
            colorFocusLighterPrimary: any;
            textColorLighterPrimary: any;
            textColorLighterHoverPrimary: any;
            textColorLighterPressedPrimary: any;
            textColorLighterFocusPrimary: any;
            borderLighterHoverPrimary: string;
            borderLighterPressedPrimary: string;
            borderLighterFocusPrimary: string;
            colorStrokeHoverPrimary: any;
            colorStrokePressedPrimary: any;
            colorStrokeFocusPrimary: any;
            textColorStrokePrimary: any;
            textColorStrokeHoverPrimary: any;
            textColorStrokePressedPrimary: any;
            textColorStrokeFocusPrimary: any;
            borderStrokePrimary: string;
            borderStrokeHoverPrimary: string;
            borderStrokePressedPrimary: string;
            borderStrokeFocusPrimary: string;
            borderPrimary: string;
            borderHoverPrimary: string;
            borderPressedPrimary: string;
            borderFocusPrimary: string;
            rippleColorPrimary: any;
            colorNeutral: any;
            colorHoverNeutral: any;
            colorPressedNeutral: any;
            colorFocusNeutral: any;
            textColorNeutral: string;
            textColorHoverNeutral: string;
            textColorPressedNeutral: string;
            textColorFocusNeutral: string;
            textColorTextNeutral: any;
            textColorTextHoverNeutral: any;
            textColorTextPressedNeutral: any;
            textColorTextFocusNeutral: any;
            colorGhostHoverNeutral: any;
            colorPressedNeutralGhost: any;
            colorFocusNeutralGhost: any;
            textColorGhostNeutral: any;
            textColorGhostHoverNeutral: any;
            textColorGhostPressedNeutral: any;
            textColorGhostFocusNeutral: any;
            colorLighterNeutral: any;
            colorPressedNeutralLighter: any;
            colorFocusNeutralLighter: any;
            textColorLighterNeutral: any;
            textColorLighterHoverNeutral: any;
            textColorLighterPressedNeutral: any;
            textColorLighterFocusNeutral: any;
            borderLighterHoverNeutral: string;
            borderLighterPressedNeutral: string;
            borderLighterFocusNeutral: string;
            colorStrokeHoverNeutral: any;
            colorStrokePressedNeutral: any;
            colorStrokeFocusNeutral: any;
            textColorStrokeNeutral: any;
            textColorStrokeHoverNeutral: any;
            textColorStrokePressedNeutral: any;
            textColorStrokeFocusNeutral: any;
            borderStrokeNeutral: string;
            borderStrokeHoverNeutral: string;
            borderStrokePressedNeutral: string;
            borderStrokeFocusNeutral: string;
            borderNeutral: string;
            borderHoverNeutral: string;
            borderPressedNeutral: string;
            borderFocusNeutral: string;
            rippleColorNeutral: any;
            colorSuccess: any;
            colorHoverSuccess: any;
            colorPressedSuccess: any;
            colorFocusSuccess: any;
            textColorSuccess: string;
            textColorHoverSuccess: string;
            textColorPressedSuccess: string;
            textColorFocusSuccess: string;
            textColorTextSuccess: any;
            textColorTextHoverSuccess: any;
            textColorTextPressedSuccess: any;
            textColorTextFocusSuccess: any;
            colorGhostHoverSuccess: any;
            textColorGhostSuccess: any;
            textColorGhostHoverSuccess: any;
            textColorGhostPressedSuccess: any;
            textColorGhostFocusSuccess: any;
            colorLighterSuccess: any;
            textColorLighterSuccess: any;
            textColorLighterHoverSuccess: any;
            textColorLighterPressedSuccess: any;
            textColorLighterFocusSuccess: any;
            borderLighterHoverSuccess: string;
            borderLighterPressedSuccess: string;
            borderLighterFocusSuccess: string;
            colorStrokeHoverSuccess: any;
            colorStrokePressedSuccess: any;
            colorStrokeFocusSuccess: any;
            textColorStrokeSuccess: any;
            textColorStrokeHoverSuccess: any;
            textColorStrokePressedSuccess: any;
            textColorStrokeFocusSuccess: any;
            borderStrokeSuccess: string;
            borderStrokeHoverSuccess: string;
            borderStrokePressedSuccess: string;
            borderStrokeFocusSuccess: string;
            borderSuccess: string;
            borderHoverSuccess: string;
            borderPressedSuccess: string;
            borderFocusSuccess: string;
            rippleColorSuccess: any;
            colorWarning: any;
            colorHoverWarning: any;
            colorPressedWarning: any;
            colorFocusWarning: any;
            textColorWarning: string;
            textColorHoverWarning: string;
            textColorPressedWarning: string;
            textColorFocusWarning: string;
            textColorTextWarning: any;
            textColorTextHoverWarning: any;
            textColorTextPressedWarning: any;
            textColorTextFocusWarning: any;
            colorGhostHoverWarning: any;
            textColorGhostWarning: any;
            textColorGhostHoverWarning: any;
            textColorGhostPressedWarning: any;
            textColorGhostFocusWarning: any;
            colorLighterWarning: any;
            textColorLighterWarning: any;
            textColorLighterHoverWarning: any;
            textColorLighterPressedWarning: any;
            textColorLighterFocusWarning: any;
            borderLighterHoverWarning: string;
            borderLighterPressedWarning: string;
            borderLighterFocusWarning: string;
            colorStrokeHoverWarning: any;
            colorStrokePressedWarning: any;
            colorStrokeFocusWarning: any;
            textColorStrokeWarning: any;
            textColorStrokeHoverWarning: any;
            textColorStrokePressedWarning: any;
            textColorStrokeFocusWarning: any;
            borderStrokeWarning: string;
            borderStrokeHoverWarning: string;
            borderStrokePressedWarning: string;
            borderStrokeFocusWarning: string;
            borderWarning: string;
            borderHoverWarning: string;
            borderPressedWarning: string;
            borderFocusWarning: string;
            rippleColorWarning: any;
            colorError: any;
            colorHoverError: any;
            colorPressedError: any;
            colorFocusError: any;
            textColorError: string;
            textColorHoverError: string;
            textColorPressedError: string;
            textColorFocusError: string;
            textColorTextError: any;
            textColorTextHoverError: any;
            textColorTextPressedError: any;
            textColorTextFocusError: any;
            colorGhostHoverError: any;
            textColorGhostError: any;
            textColorGhostHoverError: any;
            textColorGhostPressedError: any;
            textColorGhostFocusError: any;
            colorLighterError: any;
            textColorLighterError: any;
            textColorLighterHoverError: any;
            textColorLighterPressedError: any;
            textColorLighterFocusError: any;
            borderLighterHoverError: string;
            borderLighterPressedError: string;
            borderLighterFocusError: string;
            colorStrokeHoverError: any;
            colorStrokePressedError: any;
            colorStrokeFocusError: any;
            textColorStrokeError: any;
            textColorStrokeHoverError: any;
            textColorStrokePressedError: any;
            textColorStrokeFocusError: any;
            borderStrokeError: string;
            borderStrokeHoverError: string;
            borderStrokePressedError: string;
            borderStrokeFocusError: string;
            borderError: string;
            borderHoverError: string;
            borderPressedError: string;
            borderFocusError: string;
            rippleColorError: any;
            waveOpacity: string;
            fontWeight: string;
            fontWeightStrong: string;
            opacityDisabled: string;
            colorDisabled: any;
            textColorDisabled: any;
            iconColorDisabled: any;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            paddingRoundTiny: string;
            paddingRoundSmall: string;
            paddingRoundMedium: string;
            paddingRoundLarge: string;
            iconMarginTiny: string;
            iconMarginSmall: string;
            iconMarginMedium: string;
            iconMarginLarge: string;
            iconSizeTiny: string;
            iconSizeSmall: string;
            iconSizeMedium: string;
            iconSizeLarge: string;
            rippleDuration: string;
        }, any>;
        Popover: import("../../_mixins").Theme<"Popover", {
            fontSize: string;
            borderRadius: string;
            color: any;
            dividerColor: any;
            textColor: any;
            boxShadow: string;
            padding: string;
            border: string;
            space: string;
            spaceArrow: string;
            arrowOffset: string;
            arrowOffsetVertical: string;
            arrowHeight: string;
        }, any>;
    }>>>;
    builtinThemeOverrides: PropType<import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"Popconfirm", {
        fontSize: string;
        iconColor: any;
        iconSize: string;
    }, {
        Button: import("../../_mixins").Theme<"Button", {
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            borderRadiusTiny: string;
            borderRadiusSmall: string;
            borderRadiusMedium: string;
            borderRadiusLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            colorPrimary: any;
            colorHoverPrimary: any;
            colorPressedPrimary: any;
            colorFocusPrimary: any;
            textColorPrimary: any;
            textColorHoverPrimary: any;
            textColorPressedPrimary: any;
            textColorFocusPrimary: any;
            textColorTextPrimary: any;
            textColorTextHoverPrimary: any;
            textColorTextPressedPrimary: any;
            textColorTextFocusPrimary: any;
            colorGhostHoverPrimary: any;
            textColorGhostPrimary: any;
            textColorGhostHoverPrimary: any;
            textColorGhostPressedPrimary: any;
            textColorGhostFocusPrimary: any;
            colorLighterPrimary: any;
            colorHoverLighterPrimary: any;
            colorPressedLighterPrimary: any;
            colorFocusLighterPrimary: any;
            textColorLighterPrimary: any;
            textColorLighterHoverPrimary: any;
            textColorLighterPressedPrimary: any;
            textColorLighterFocusPrimary: any;
            borderLighterHoverPrimary: string;
            borderLighterPressedPrimary: string;
            borderLighterFocusPrimary: string;
            colorStrokeHoverPrimary: any;
            colorStrokePressedPrimary: any;
            colorStrokeFocusPrimary: any;
            textColorStrokePrimary: any;
            textColorStrokeHoverPrimary: any;
            textColorStrokePressedPrimary: any;
            textColorStrokeFocusPrimary: any;
            borderStrokePrimary: string;
            borderStrokeHoverPrimary: string;
            borderStrokePressedPrimary: string;
            borderStrokeFocusPrimary: string;
            borderPrimary: string;
            borderHoverPrimary: string;
            borderPressedPrimary: string;
            borderFocusPrimary: string;
            rippleColorPrimary: any;
            colorNeutral: any;
            colorHoverNeutral: any;
            colorPressedNeutral: any;
            colorFocusNeutral: any;
            textColorNeutral: string;
            textColorHoverNeutral: string;
            textColorPressedNeutral: string;
            textColorFocusNeutral: string;
            textColorTextNeutral: any;
            textColorTextHoverNeutral: any;
            textColorTextPressedNeutral: any;
            textColorTextFocusNeutral: any;
            colorGhostHoverNeutral: any;
            colorPressedNeutralGhost: any;
            colorFocusNeutralGhost: any;
            textColorGhostNeutral: any;
            textColorGhostHoverNeutral: any;
            textColorGhostPressedNeutral: any;
            textColorGhostFocusNeutral: any;
            colorLighterNeutral: any;
            colorPressedNeutralLighter: any;
            colorFocusNeutralLighter: any;
            textColorLighterNeutral: any;
            textColorLighterHoverNeutral: any;
            textColorLighterPressedNeutral: any;
            textColorLighterFocusNeutral: any;
            borderLighterHoverNeutral: string;
            borderLighterPressedNeutral: string;
            borderLighterFocusNeutral: string;
            colorStrokeHoverNeutral: any;
            colorStrokePressedNeutral: any;
            colorStrokeFocusNeutral: any;
            textColorStrokeNeutral: any;
            textColorStrokeHoverNeutral: any;
            textColorStrokePressedNeutral: any;
            textColorStrokeFocusNeutral: any;
            borderStrokeNeutral: string;
            borderStrokeHoverNeutral: string;
            borderStrokePressedNeutral: string;
            borderStrokeFocusNeutral: string;
            borderNeutral: string;
            borderHoverNeutral: string;
            borderPressedNeutral: string;
            borderFocusNeutral: string;
            rippleColorNeutral: any;
            colorSuccess: any;
            colorHoverSuccess: any;
            colorPressedSuccess: any;
            colorFocusSuccess: any;
            textColorSuccess: string;
            textColorHoverSuccess: string;
            textColorPressedSuccess: string;
            textColorFocusSuccess: string;
            textColorTextSuccess: any;
            textColorTextHoverSuccess: any;
            textColorTextPressedSuccess: any;
            textColorTextFocusSuccess: any;
            colorGhostHoverSuccess: any;
            textColorGhostSuccess: any;
            textColorGhostHoverSuccess: any;
            textColorGhostPressedSuccess: any;
            textColorGhostFocusSuccess: any;
            colorLighterSuccess: any;
            textColorLighterSuccess: any;
            textColorLighterHoverSuccess: any;
            textColorLighterPressedSuccess: any;
            textColorLighterFocusSuccess: any;
            borderLighterHoverSuccess: string;
            borderLighterPressedSuccess: string;
            borderLighterFocusSuccess: string;
            colorStrokeHoverSuccess: any;
            colorStrokePressedSuccess: any;
            colorStrokeFocusSuccess: any;
            textColorStrokeSuccess: any;
            textColorStrokeHoverSuccess: any;
            textColorStrokePressedSuccess: any;
            textColorStrokeFocusSuccess: any;
            borderStrokeSuccess: string;
            borderStrokeHoverSuccess: string;
            borderStrokePressedSuccess: string;
            borderStrokeFocusSuccess: string;
            borderSuccess: string;
            borderHoverSuccess: string;
            borderPressedSuccess: string;
            borderFocusSuccess: string;
            rippleColorSuccess: any;
            colorWarning: any;
            colorHoverWarning: any;
            colorPressedWarning: any;
            colorFocusWarning: any;
            textColorWarning: string;
            textColorHoverWarning: string;
            textColorPressedWarning: string;
            textColorFocusWarning: string;
            textColorTextWarning: any;
            textColorTextHoverWarning: any;
            textColorTextPressedWarning: any;
            textColorTextFocusWarning: any;
            colorGhostHoverWarning: any;
            textColorGhostWarning: any;
            textColorGhostHoverWarning: any;
            textColorGhostPressedWarning: any;
            textColorGhostFocusWarning: any;
            colorLighterWarning: any;
            textColorLighterWarning: any;
            textColorLighterHoverWarning: any;
            textColorLighterPressedWarning: any;
            textColorLighterFocusWarning: any;
            borderLighterHoverWarning: string;
            borderLighterPressedWarning: string;
            borderLighterFocusWarning: string;
            colorStrokeHoverWarning: any;
            colorStrokePressedWarning: any;
            colorStrokeFocusWarning: any;
            textColorStrokeWarning: any;
            textColorStrokeHoverWarning: any;
            textColorStrokePressedWarning: any;
            textColorStrokeFocusWarning: any;
            borderStrokeWarning: string;
            borderStrokeHoverWarning: string;
            borderStrokePressedWarning: string;
            borderStrokeFocusWarning: string;
            borderWarning: string;
            borderHoverWarning: string;
            borderPressedWarning: string;
            borderFocusWarning: string;
            rippleColorWarning: any;
            colorError: any;
            colorHoverError: any;
            colorPressedError: any;
            colorFocusError: any;
            textColorError: string;
            textColorHoverError: string;
            textColorPressedError: string;
            textColorFocusError: string;
            textColorTextError: any;
            textColorTextHoverError: any;
            textColorTextPressedError: any;
            textColorTextFocusError: any;
            colorGhostHoverError: any;
            textColorGhostError: any;
            textColorGhostHoverError: any;
            textColorGhostPressedError: any;
            textColorGhostFocusError: any;
            colorLighterError: any;
            textColorLighterError: any;
            textColorLighterHoverError: any;
            textColorLighterPressedError: any;
            textColorLighterFocusError: any;
            borderLighterHoverError: string;
            borderLighterPressedError: string;
            borderLighterFocusError: string;
            colorStrokeHoverError: any;
            colorStrokePressedError: any;
            colorStrokeFocusError: any;
            textColorStrokeError: any;
            textColorStrokeHoverError: any;
            textColorStrokePressedError: any;
            textColorStrokeFocusError: any;
            borderStrokeError: string;
            borderStrokeHoverError: string;
            borderStrokePressedError: string;
            borderStrokeFocusError: string;
            borderError: string;
            borderHoverError: string;
            borderPressedError: string;
            borderFocusError: string;
            rippleColorError: any;
            waveOpacity: string;
            fontWeight: string;
            fontWeightStrong: string;
            opacityDisabled: string;
            colorDisabled: any;
            textColorDisabled: any;
            iconColorDisabled: any;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            paddingRoundTiny: string;
            paddingRoundSmall: string;
            paddingRoundMedium: string;
            paddingRoundLarge: string;
            iconMarginTiny: string;
            iconMarginSmall: string;
            iconMarginMedium: string;
            iconMarginLarge: string;
            iconSizeTiny: string;
            iconSizeSmall: string;
            iconSizeMedium: string;
            iconSizeLarge: string;
            rippleDuration: string;
        }, any>;
        Popover: import("../../_mixins").Theme<"Popover", {
            fontSize: string;
            borderRadius: string;
            color: any;
            dividerColor: any;
            textColor: any;
            boxShadow: string;
            padding: string;
            border: string;
            space: string;
            spaceArrow: string;
            arrowOffset: string;
            arrowOffsetVertical: string;
            arrowHeight: string;
        }, any>;
    }>>>;
}>> & Readonly<{}>, {
    to: string | boolean | HTMLElement;
    disabled: boolean;
    show: boolean | undefined;
    flip: boolean;
    width: number | "trigger";
    duration: number;
    raw: boolean;
    showIcon: boolean;
    placement: import("vueuc/lib/binder/src/interface").Placement;
    overlap: boolean;
    scrollable: boolean;
    trigger: PopoverTrigger;
    showArrow: boolean;
    delay: number;
    arrowPointToCenter: boolean;
    displayDirective: "show" | "if";
    keepAliveOnHover: boolean;
    internalDeactivateImmediately: boolean;
    animated: boolean;
    internalTrapFocus: boolean;
    defaultShow: boolean;
    internalSyncTargetWithParent: boolean;
    internalInheritedEventHandlers: import("../../popover/src/Popover").TriggerEventHandlers[];
    internalExtraClass: string[];
    arrow: boolean | undefined;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
