import type { ExtractPublicPropTypes, MaybeArray } from '../../_utils';
import { type PropType, type Ref } from 'vue';
export interface TagPublicMethods {
    setTextContent: (textContent: string) => void;
}
export interface TagRef extends TagPublicMethods {
    $el: HTMLElement;
}
export declare const tagProps: {
    bordered: {
        type: PropType<boolean | undefined>;
        default: undefined;
    };
    checked: BooleanConstructor;
    checkable: BooleanConstructor;
    strong: BooleanConstructor;
    triggerClickOnClose: BooleanConstructor;
    onClose: PropType<MaybeArray<(e: MouseEvent) => void>>;
    onMouseenter: PropType<(e: MouseEvent) => void>;
    onMouseleave: PropType<(e: MouseEvent) => void>;
    'onUpdate:checked': PropType<(checked: boolean) => void>;
    onUpdateChecked: PropType<(checked: boolean) => void>;
    internalCloseFocusable: {
        type: BooleanConstructor;
        default: boolean;
    };
    internalCloseIsButtonTag: {
        type: BooleanConstructor;
        default: boolean;
    };
    onCheckedChange: PropType<(checked: boolean) => void>;
    color: PropType<import("./common-props").TagColor>;
    type: {
        readonly type: PropType<"default" | "primary" | "success" | "info" | "warning" | "error">;
        readonly default: "default";
    };
    round: BooleanConstructor;
    size: {
        readonly type: PropType<"tiny" | "small" | "medium" | "large">;
        readonly default: "medium";
    };
    closable: BooleanConstructor;
    disabled: {
        readonly type: PropType<boolean | undefined>;
        readonly default: undefined;
    };
    theme: PropType<import("../../_mixins").Theme<"Tag", {
        closeBorderRadius: string;
        heightTiny: string;
        heightSmall: string;
        heightMedium: string;
        heightLarge: string;
        borderRadius: string;
        opacityDisabled: string;
        fontSizeTiny: string;
        fontSizeSmall: string;
        fontSizeMedium: string;
        fontSizeLarge: string;
        fontWeightStrong: string;
        textColorCheckable: string;
        textColorHoverCheckable: string;
        textColorPressedCheckable: string;
        textColorChecked: string;
        colorCheckable: string;
        colorHoverCheckable: string;
        colorPressedCheckable: string;
        colorChecked: any;
        colorCheckedHover: any;
        colorCheckedPressed: any;
        border: string;
        borderHover: string;
        textColor: any;
        color: string;
        colorHover: any;
        colorBordered: string;
        colorBorderedHover: any;
        closeIconColor: any;
        closeIconColorHover: any;
        closeIconColorPressed: any;
        closeColorHover: any;
        closeColorPressed: any;
        borderPrimary: string;
        borderHoverPrimary: string;
        textColorPrimary: any;
        colorPrimary: string;
        colorHoverPrimary: any;
        colorBorderedPrimary: string;
        colorBorderedHoverPrimary: any;
        closeIconColorPrimary: any;
        closeIconColorHoverPrimary: any;
        closeIconColorPressedPrimary: any;
        closeColorHoverPrimary: any;
        closeColorPressedPrimary: any;
        borderInfo: string;
        borderHoverInfo: string;
        textColorInfo: any;
        colorInfo: string;
        colorHoverInfo: any;
        colorBorderedInfo: string;
        colorBorderedHoverInfo: any;
        closeIconColorInfo: any;
        closeIconColorHoverInfo: any;
        closeIconColorPressedInfo: any;
        closeColorHoverInfo: any;
        closeColorPressedInfo: any;
        borderSuccess: string;
        borderHoverSuccess: string;
        textColorSuccess: any;
        colorSuccess: string;
        colorHoverSuccess: any;
        colorBorderedSuccess: string;
        colorBorderedHoverSuccess: any;
        closeIconColorSuccess: any;
        closeIconColorHoverSuccess: any;
        closeIconColorPressedSuccess: any;
        closeColorHoverSuccess: any;
        closeColorPressedSuccess: any;
        borderWarning: string;
        borderHoverWarning: string;
        textColorWarning: any;
        colorWarning: string;
        colorHoverWarning: any;
        colorBorderedWarning: string;
        colorBorderedHoverWarning: any;
        closeIconColorWarning: any;
        closeIconColorHoverWarning: any;
        closeIconColorPressedWarning: any;
        closeColorHoverWarning: any;
        closeColorPressedWarning: any;
        borderError: string;
        borderHoverError: string;
        textColorError: any;
        colorError: string;
        colorHoverError: any;
        colorBorderedError: string;
        colorBorderedHoverError: any;
        closeIconColorError: any;
        closeIconColorHoverError: any;
        closeIconColorPressedError: any;
        closeColorHoverError: any;
        closeColorPressedError: any;
        closeIconSizeTiny: string;
        closeIconSizeSmall: string;
        closeIconSizeMedium: string;
        closeIconSizeLarge: string;
        closeSizeTiny: string;
        closeSizeSmall: string;
        closeSizeMedium: string;
        closeSizeLarge: string;
        padding: string;
        closeMargin: string;
    }, any>>;
    themeOverrides: PropType<import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"Tag", {
        closeBorderRadius: string;
        heightTiny: string;
        heightSmall: string;
        heightMedium: string;
        heightLarge: string;
        borderRadius: string;
        opacityDisabled: string;
        fontSizeTiny: string;
        fontSizeSmall: string;
        fontSizeMedium: string;
        fontSizeLarge: string;
        fontWeightStrong: string;
        textColorCheckable: string;
        textColorHoverCheckable: string;
        textColorPressedCheckable: string;
        textColorChecked: string;
        colorCheckable: string;
        colorHoverCheckable: string;
        colorPressedCheckable: string;
        colorChecked: any;
        colorCheckedHover: any;
        colorCheckedPressed: any;
        border: string;
        borderHover: string;
        textColor: any;
        color: string;
        colorHover: any;
        colorBordered: string;
        colorBorderedHover: any;
        closeIconColor: any;
        closeIconColorHover: any;
        closeIconColorPressed: any;
        closeColorHover: any;
        closeColorPressed: any;
        borderPrimary: string;
        borderHoverPrimary: string;
        textColorPrimary: any;
        colorPrimary: string;
        colorHoverPrimary: any;
        colorBorderedPrimary: string;
        colorBorderedHoverPrimary: any;
        closeIconColorPrimary: any;
        closeIconColorHoverPrimary: any;
        closeIconColorPressedPrimary: any;
        closeColorHoverPrimary: any;
        closeColorPressedPrimary: any;
        borderInfo: string;
        borderHoverInfo: string;
        textColorInfo: any;
        colorInfo: string;
        colorHoverInfo: any;
        colorBorderedInfo: string;
        colorBorderedHoverInfo: any;
        closeIconColorInfo: any;
        closeIconColorHoverInfo: any;
        closeIconColorPressedInfo: any;
        closeColorHoverInfo: any;
        closeColorPressedInfo: any;
        borderSuccess: string;
        borderHoverSuccess: string;
        textColorSuccess: any;
        colorSuccess: string;
        colorHoverSuccess: any;
        colorBorderedSuccess: string;
        colorBorderedHoverSuccess: any;
        closeIconColorSuccess: any;
        closeIconColorHoverSuccess: any;
        closeIconColorPressedSuccess: any;
        closeColorHoverSuccess: any;
        closeColorPressedSuccess: any;
        borderWarning: string;
        borderHoverWarning: string;
        textColorWarning: any;
        colorWarning: string;
        colorHoverWarning: any;
        colorBorderedWarning: string;
        colorBorderedHoverWarning: any;
        closeIconColorWarning: any;
        closeIconColorHoverWarning: any;
        closeIconColorPressedWarning: any;
        closeColorHoverWarning: any;
        closeColorPressedWarning: any;
        borderError: string;
        borderHoverError: string;
        textColorError: any;
        colorError: string;
        colorHoverError: any;
        colorBorderedError: string;
        colorBorderedHoverError: any;
        closeIconColorError: any;
        closeIconColorHoverError: any;
        closeIconColorPressedError: any;
        closeColorHoverError: any;
        closeColorPressedError: any;
        closeIconSizeTiny: string;
        closeIconSizeSmall: string;
        closeIconSizeMedium: string;
        closeIconSizeLarge: string;
        closeSizeTiny: string;
        closeSizeSmall: string;
        closeSizeMedium: string;
        closeSizeLarge: string;
        padding: string;
        closeMargin: string;
    }, any>>>;
    builtinThemeOverrides: PropType<import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"Tag", {
        closeBorderRadius: string;
        heightTiny: string;
        heightSmall: string;
        heightMedium: string;
        heightLarge: string;
        borderRadius: string;
        opacityDisabled: string;
        fontSizeTiny: string;
        fontSizeSmall: string;
        fontSizeMedium: string;
        fontSizeLarge: string;
        fontWeightStrong: string;
        textColorCheckable: string;
        textColorHoverCheckable: string;
        textColorPressedCheckable: string;
        textColorChecked: string;
        colorCheckable: string;
        colorHoverCheckable: string;
        colorPressedCheckable: string;
        colorChecked: any;
        colorCheckedHover: any;
        colorCheckedPressed: any;
        border: string;
        borderHover: string;
        textColor: any;
        color: string;
        colorHover: any;
        colorBordered: string;
        colorBorderedHover: any;
        closeIconColor: any;
        closeIconColorHover: any;
        closeIconColorPressed: any;
        closeColorHover: any;
        closeColorPressed: any;
        borderPrimary: string;
        borderHoverPrimary: string;
        textColorPrimary: any;
        colorPrimary: string;
        colorHoverPrimary: any;
        colorBorderedPrimary: string;
        colorBorderedHoverPrimary: any;
        closeIconColorPrimary: any;
        closeIconColorHoverPrimary: any;
        closeIconColorPressedPrimary: any;
        closeColorHoverPrimary: any;
        closeColorPressedPrimary: any;
        borderInfo: string;
        borderHoverInfo: string;
        textColorInfo: any;
        colorInfo: string;
        colorHoverInfo: any;
        colorBorderedInfo: string;
        colorBorderedHoverInfo: any;
        closeIconColorInfo: any;
        closeIconColorHoverInfo: any;
        closeIconColorPressedInfo: any;
        closeColorHoverInfo: any;
        closeColorPressedInfo: any;
        borderSuccess: string;
        borderHoverSuccess: string;
        textColorSuccess: any;
        colorSuccess: string;
        colorHoverSuccess: any;
        colorBorderedSuccess: string;
        colorBorderedHoverSuccess: any;
        closeIconColorSuccess: any;
        closeIconColorHoverSuccess: any;
        closeIconColorPressedSuccess: any;
        closeColorHoverSuccess: any;
        closeColorPressedSuccess: any;
        borderWarning: string;
        borderHoverWarning: string;
        textColorWarning: any;
        colorWarning: string;
        colorHoverWarning: any;
        colorBorderedWarning: string;
        colorBorderedHoverWarning: any;
        closeIconColorWarning: any;
        closeIconColorHoverWarning: any;
        closeIconColorPressedWarning: any;
        closeColorHoverWarning: any;
        closeColorPressedWarning: any;
        borderError: string;
        borderHoverError: string;
        textColorError: any;
        colorError: string;
        colorHoverError: any;
        colorBorderedError: string;
        colorBorderedHoverError: any;
        closeIconColorError: any;
        closeIconColorHoverError: any;
        closeIconColorPressedError: any;
        closeColorHoverError: any;
        closeColorPressedError: any;
        closeIconSizeTiny: string;
        closeIconSizeSmall: string;
        closeIconSizeMedium: string;
        closeIconSizeLarge: string;
        closeSizeTiny: string;
        closeSizeSmall: string;
        closeSizeMedium: string;
        closeSizeLarge: string;
        padding: string;
        closeMargin: string;
    }, any>>>;
};
interface TagInjection {
    roundRef: Ref<boolean>;
}
export declare const tagInjectionKey: import("vue").InjectionKey<TagInjection>;
export type TagProps = ExtractPublicPropTypes<typeof tagProps>;
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    bordered: {
        type: PropType<boolean | undefined>;
        default: undefined;
    };
    checked: BooleanConstructor;
    checkable: BooleanConstructor;
    strong: BooleanConstructor;
    triggerClickOnClose: BooleanConstructor;
    onClose: PropType<MaybeArray<(e: MouseEvent) => void>>;
    onMouseenter: PropType<(e: MouseEvent) => void>;
    onMouseleave: PropType<(e: MouseEvent) => void>;
    'onUpdate:checked': PropType<(checked: boolean) => void>;
    onUpdateChecked: PropType<(checked: boolean) => void>;
    internalCloseFocusable: {
        type: BooleanConstructor;
        default: boolean;
    };
    internalCloseIsButtonTag: {
        type: BooleanConstructor;
        default: boolean;
    };
    onCheckedChange: PropType<(checked: boolean) => void>;
    color: PropType<import("./common-props").TagColor>;
    type: {
        readonly type: PropType<"default" | "primary" | "success" | "info" | "warning" | "error">;
        readonly default: "default";
    };
    round: BooleanConstructor;
    size: {
        readonly type: PropType<"tiny" | "small" | "medium" | "large">;
        readonly default: "medium";
    };
    closable: BooleanConstructor;
    disabled: {
        readonly type: PropType<boolean | undefined>;
        readonly default: undefined;
    };
    theme: PropType<import("../../_mixins").Theme<"Tag", {
        closeBorderRadius: string;
        heightTiny: string;
        heightSmall: string;
        heightMedium: string;
        heightLarge: string;
        borderRadius: string;
        opacityDisabled: string;
        fontSizeTiny: string;
        fontSizeSmall: string;
        fontSizeMedium: string;
        fontSizeLarge: string;
        fontWeightStrong: string;
        textColorCheckable: string;
        textColorHoverCheckable: string;
        textColorPressedCheckable: string;
        textColorChecked: string;
        colorCheckable: string;
        colorHoverCheckable: string;
        colorPressedCheckable: string;
        colorChecked: any;
        colorCheckedHover: any;
        colorCheckedPressed: any;
        border: string;
        borderHover: string;
        textColor: any;
        color: string;
        colorHover: any;
        colorBordered: string;
        colorBorderedHover: any;
        closeIconColor: any;
        closeIconColorHover: any;
        closeIconColorPressed: any;
        closeColorHover: any;
        closeColorPressed: any;
        borderPrimary: string;
        borderHoverPrimary: string;
        textColorPrimary: any;
        colorPrimary: string;
        colorHoverPrimary: any;
        colorBorderedPrimary: string;
        colorBorderedHoverPrimary: any;
        closeIconColorPrimary: any;
        closeIconColorHoverPrimary: any;
        closeIconColorPressedPrimary: any;
        closeColorHoverPrimary: any;
        closeColorPressedPrimary: any;
        borderInfo: string;
        borderHoverInfo: string;
        textColorInfo: any;
        colorInfo: string;
        colorHoverInfo: any;
        colorBorderedInfo: string;
        colorBorderedHoverInfo: any;
        closeIconColorInfo: any;
        closeIconColorHoverInfo: any;
        closeIconColorPressedInfo: any;
        closeColorHoverInfo: any;
        closeColorPressedInfo: any;
        borderSuccess: string;
        borderHoverSuccess: string;
        textColorSuccess: any;
        colorSuccess: string;
        colorHoverSuccess: any;
        colorBorderedSuccess: string;
        colorBorderedHoverSuccess: any;
        closeIconColorSuccess: any;
        closeIconColorHoverSuccess: any;
        closeIconColorPressedSuccess: any;
        closeColorHoverSuccess: any;
        closeColorPressedSuccess: any;
        borderWarning: string;
        borderHoverWarning: string;
        textColorWarning: any;
        colorWarning: string;
        colorHoverWarning: any;
        colorBorderedWarning: string;
        colorBorderedHoverWarning: any;
        closeIconColorWarning: any;
        closeIconColorHoverWarning: any;
        closeIconColorPressedWarning: any;
        closeColorHoverWarning: any;
        closeColorPressedWarning: any;
        borderError: string;
        borderHoverError: string;
        textColorError: any;
        colorError: string;
        colorHoverError: any;
        colorBorderedError: string;
        colorBorderedHoverError: any;
        closeIconColorError: any;
        closeIconColorHoverError: any;
        closeIconColorPressedError: any;
        closeColorHoverError: any;
        closeColorPressedError: any;
        closeIconSizeTiny: string;
        closeIconSizeSmall: string;
        closeIconSizeMedium: string;
        closeIconSizeLarge: string;
        closeSizeTiny: string;
        closeSizeSmall: string;
        closeSizeMedium: string;
        closeSizeLarge: string;
        padding: string;
        closeMargin: string;
    }, any>>;
    themeOverrides: PropType<import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"Tag", {
        closeBorderRadius: string;
        heightTiny: string;
        heightSmall: string;
        heightMedium: string;
        heightLarge: string;
        borderRadius: string;
        opacityDisabled: string;
        fontSizeTiny: string;
        fontSizeSmall: string;
        fontSizeMedium: string;
        fontSizeLarge: string;
        fontWeightStrong: string;
        textColorCheckable: string;
        textColorHoverCheckable: string;
        textColorPressedCheckable: string;
        textColorChecked: string;
        colorCheckable: string;
        colorHoverCheckable: string;
        colorPressedCheckable: string;
        colorChecked: any;
        colorCheckedHover: any;
        colorCheckedPressed: any;
        border: string;
        borderHover: string;
        textColor: any;
        color: string;
        colorHover: any;
        colorBordered: string;
        colorBorderedHover: any;
        closeIconColor: any;
        closeIconColorHover: any;
        closeIconColorPressed: any;
        closeColorHover: any;
        closeColorPressed: any;
        borderPrimary: string;
        borderHoverPrimary: string;
        textColorPrimary: any;
        colorPrimary: string;
        colorHoverPrimary: any;
        colorBorderedPrimary: string;
        colorBorderedHoverPrimary: any;
        closeIconColorPrimary: any;
        closeIconColorHoverPrimary: any;
        closeIconColorPressedPrimary: any;
        closeColorHoverPrimary: any;
        closeColorPressedPrimary: any;
        borderInfo: string;
        borderHoverInfo: string;
        textColorInfo: any;
        colorInfo: string;
        colorHoverInfo: any;
        colorBorderedInfo: string;
        colorBorderedHoverInfo: any;
        closeIconColorInfo: any;
        closeIconColorHoverInfo: any;
        closeIconColorPressedInfo: any;
        closeColorHoverInfo: any;
        closeColorPressedInfo: any;
        borderSuccess: string;
        borderHoverSuccess: string;
        textColorSuccess: any;
        colorSuccess: string;
        colorHoverSuccess: any;
        colorBorderedSuccess: string;
        colorBorderedHoverSuccess: any;
        closeIconColorSuccess: any;
        closeIconColorHoverSuccess: any;
        closeIconColorPressedSuccess: any;
        closeColorHoverSuccess: any;
        closeColorPressedSuccess: any;
        borderWarning: string;
        borderHoverWarning: string;
        textColorWarning: any;
        colorWarning: string;
        colorHoverWarning: any;
        colorBorderedWarning: string;
        colorBorderedHoverWarning: any;
        closeIconColorWarning: any;
        closeIconColorHoverWarning: any;
        closeIconColorPressedWarning: any;
        closeColorHoverWarning: any;
        closeColorPressedWarning: any;
        borderError: string;
        borderHoverError: string;
        textColorError: any;
        colorError: string;
        colorHoverError: any;
        colorBorderedError: string;
        colorBorderedHoverError: any;
        closeIconColorError: any;
        closeIconColorHoverError: any;
        closeIconColorPressedError: any;
        closeColorHoverError: any;
        closeColorPressedError: any;
        closeIconSizeTiny: string;
        closeIconSizeSmall: string;
        closeIconSizeMedium: string;
        closeIconSizeLarge: string;
        closeSizeTiny: string;
        closeSizeSmall: string;
        closeSizeMedium: string;
        closeSizeLarge: string;
        padding: string;
        closeMargin: string;
    }, any>>>;
    builtinThemeOverrides: PropType<import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"Tag", {
        closeBorderRadius: string;
        heightTiny: string;
        heightSmall: string;
        heightMedium: string;
        heightLarge: string;
        borderRadius: string;
        opacityDisabled: string;
        fontSizeTiny: string;
        fontSizeSmall: string;
        fontSizeMedium: string;
        fontSizeLarge: string;
        fontWeightStrong: string;
        textColorCheckable: string;
        textColorHoverCheckable: string;
        textColorPressedCheckable: string;
        textColorChecked: string;
        colorCheckable: string;
        colorHoverCheckable: string;
        colorPressedCheckable: string;
        colorChecked: any;
        colorCheckedHover: any;
        colorCheckedPressed: any;
        border: string;
        borderHover: string;
        textColor: any;
        color: string;
        colorHover: any;
        colorBordered: string;
        colorBorderedHover: any;
        closeIconColor: any;
        closeIconColorHover: any;
        closeIconColorPressed: any;
        closeColorHover: any;
        closeColorPressed: any;
        borderPrimary: string;
        borderHoverPrimary: string;
        textColorPrimary: any;
        colorPrimary: string;
        colorHoverPrimary: any;
        colorBorderedPrimary: string;
        colorBorderedHoverPrimary: any;
        closeIconColorPrimary: any;
        closeIconColorHoverPrimary: any;
        closeIconColorPressedPrimary: any;
        closeColorHoverPrimary: any;
        closeColorPressedPrimary: any;
        borderInfo: string;
        borderHoverInfo: string;
        textColorInfo: any;
        colorInfo: string;
        colorHoverInfo: any;
        colorBorderedInfo: string;
        colorBorderedHoverInfo: any;
        closeIconColorInfo: any;
        closeIconColorHoverInfo: any;
        closeIconColorPressedInfo: any;
        closeColorHoverInfo: any;
        closeColorPressedInfo: any;
        borderSuccess: string;
        borderHoverSuccess: string;
        textColorSuccess: any;
        colorSuccess: string;
        colorHoverSuccess: any;
        colorBorderedSuccess: string;
        colorBorderedHoverSuccess: any;
        closeIconColorSuccess: any;
        closeIconColorHoverSuccess: any;
        closeIconColorPressedSuccess: any;
        closeColorHoverSuccess: any;
        closeColorPressedSuccess: any;
        borderWarning: string;
        borderHoverWarning: string;
        textColorWarning: any;
        colorWarning: string;
        colorHoverWarning: any;
        colorBorderedWarning: string;
        colorBorderedHoverWarning: any;
        closeIconColorWarning: any;
        closeIconColorHoverWarning: any;
        closeIconColorPressedWarning: any;
        closeColorHoverWarning: any;
        closeColorPressedWarning: any;
        borderError: string;
        borderHoverError: string;
        textColorError: any;
        colorError: string;
        colorHoverError: any;
        colorBorderedError: string;
        colorBorderedHoverError: any;
        closeIconColorError: any;
        closeIconColorHoverError: any;
        closeIconColorPressedError: any;
        closeColorHoverError: any;
        closeColorPressedError: any;
        closeIconSizeTiny: string;
        closeIconSizeSmall: string;
        closeIconSizeMedium: string;
        closeIconSizeLarge: string;
        closeSizeTiny: string;
        closeSizeSmall: string;
        closeSizeMedium: string;
        closeSizeLarge: string;
        padding: string;
        closeMargin: string;
    }, any>>>;
}>, {
    rtlEnabled: Ref<import("../../config-provider/src/internal-interface").RtlItem | undefined, import("../../config-provider/src/internal-interface").RtlItem | undefined> | undefined;
    mergedClsPrefix: Ref<string, string>;
    contentRef: Ref<HTMLElement | null, HTMLElement | null>;
    mergedBordered: import("vue").ComputedRef<boolean>;
    handleClick: () => void;
    handleCloseClick: (e: MouseEvent) => void;
    cssVars: import("vue").ComputedRef<{
        '--n-font-weight-strong': string;
        '--n-avatar-size-override': string;
        '--n-bezier': string;
        '--n-border-radius': string;
        '--n-border': string;
        '--n-border-hover': string;
        '--n-close-icon-size': string;
        '--n-close-color-pressed': any;
        '--n-close-color-hover': any;
        '--n-close-border-radius': string;
        '--n-close-icon-color': any;
        '--n-close-icon-color-hover': any;
        '--n-close-icon-color-pressed': any;
        '--n-close-icon-color-disabled': any;
        '--n-close-margin-top': string;
        '--n-close-margin-right': string;
        '--n-close-margin-bottom': string;
        '--n-close-margin-left': string;
        '--n-close-size': string;
        '--n-color': string;
        '--n-color-hover': any;
        '--n-color-checkable': string;
        '--n-color-checked': any;
        '--n-color-checked-hover': any;
        '--n-color-checked-pressed': any;
        '--n-color-hover-checkable': string;
        '--n-color-pressed-checkable': string;
        '--n-font-size': string;
        '--n-height': string;
        '--n-opacity-disabled': string;
        '--n-padding': string;
        '--n-text-color': any;
        '--n-text-color-checkable': string;
        '--n-text-color-checked': string;
        '--n-text-color-hover-checkable': string;
        '--n-text-color-pressed-checkable': string;
    }> | undefined;
    themeClass: Ref<string, string> | undefined;
    onRender: (() => void) | undefined;
    setTextContent: (textContent: string) => void;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    bordered: {
        type: PropType<boolean | undefined>;
        default: undefined;
    };
    checked: BooleanConstructor;
    checkable: BooleanConstructor;
    strong: BooleanConstructor;
    triggerClickOnClose: BooleanConstructor;
    onClose: PropType<MaybeArray<(e: MouseEvent) => void>>;
    onMouseenter: PropType<(e: MouseEvent) => void>;
    onMouseleave: PropType<(e: MouseEvent) => void>;
    'onUpdate:checked': PropType<(checked: boolean) => void>;
    onUpdateChecked: PropType<(checked: boolean) => void>;
    internalCloseFocusable: {
        type: BooleanConstructor;
        default: boolean;
    };
    internalCloseIsButtonTag: {
        type: BooleanConstructor;
        default: boolean;
    };
    onCheckedChange: PropType<(checked: boolean) => void>;
    color: PropType<import("./common-props").TagColor>;
    type: {
        readonly type: PropType<"default" | "primary" | "success" | "info" | "warning" | "error">;
        readonly default: "default";
    };
    round: BooleanConstructor;
    size: {
        readonly type: PropType<"tiny" | "small" | "medium" | "large">;
        readonly default: "medium";
    };
    closable: BooleanConstructor;
    disabled: {
        readonly type: PropType<boolean | undefined>;
        readonly default: undefined;
    };
    theme: PropType<import("../../_mixins").Theme<"Tag", {
        closeBorderRadius: string;
        heightTiny: string;
        heightSmall: string;
        heightMedium: string;
        heightLarge: string;
        borderRadius: string;
        opacityDisabled: string;
        fontSizeTiny: string;
        fontSizeSmall: string;
        fontSizeMedium: string;
        fontSizeLarge: string;
        fontWeightStrong: string;
        textColorCheckable: string;
        textColorHoverCheckable: string;
        textColorPressedCheckable: string;
        textColorChecked: string;
        colorCheckable: string;
        colorHoverCheckable: string;
        colorPressedCheckable: string;
        colorChecked: any;
        colorCheckedHover: any;
        colorCheckedPressed: any;
        border: string;
        borderHover: string;
        textColor: any;
        color: string;
        colorHover: any;
        colorBordered: string;
        colorBorderedHover: any;
        closeIconColor: any;
        closeIconColorHover: any;
        closeIconColorPressed: any;
        closeColorHover: any;
        closeColorPressed: any;
        borderPrimary: string;
        borderHoverPrimary: string;
        textColorPrimary: any;
        colorPrimary: string;
        colorHoverPrimary: any;
        colorBorderedPrimary: string;
        colorBorderedHoverPrimary: any;
        closeIconColorPrimary: any;
        closeIconColorHoverPrimary: any;
        closeIconColorPressedPrimary: any;
        closeColorHoverPrimary: any;
        closeColorPressedPrimary: any;
        borderInfo: string;
        borderHoverInfo: string;
        textColorInfo: any;
        colorInfo: string;
        colorHoverInfo: any;
        colorBorderedInfo: string;
        colorBorderedHoverInfo: any;
        closeIconColorInfo: any;
        closeIconColorHoverInfo: any;
        closeIconColorPressedInfo: any;
        closeColorHoverInfo: any;
        closeColorPressedInfo: any;
        borderSuccess: string;
        borderHoverSuccess: string;
        textColorSuccess: any;
        colorSuccess: string;
        colorHoverSuccess: any;
        colorBorderedSuccess: string;
        colorBorderedHoverSuccess: any;
        closeIconColorSuccess: any;
        closeIconColorHoverSuccess: any;
        closeIconColorPressedSuccess: any;
        closeColorHoverSuccess: any;
        closeColorPressedSuccess: any;
        borderWarning: string;
        borderHoverWarning: string;
        textColorWarning: any;
        colorWarning: string;
        colorHoverWarning: any;
        colorBorderedWarning: string;
        colorBorderedHoverWarning: any;
        closeIconColorWarning: any;
        closeIconColorHoverWarning: any;
        closeIconColorPressedWarning: any;
        closeColorHoverWarning: any;
        closeColorPressedWarning: any;
        borderError: string;
        borderHoverError: string;
        textColorError: any;
        colorError: string;
        colorHoverError: any;
        colorBorderedError: string;
        colorBorderedHoverError: any;
        closeIconColorError: any;
        closeIconColorHoverError: any;
        closeIconColorPressedError: any;
        closeColorHoverError: any;
        closeColorPressedError: any;
        closeIconSizeTiny: string;
        closeIconSizeSmall: string;
        closeIconSizeMedium: string;
        closeIconSizeLarge: string;
        closeSizeTiny: string;
        closeSizeSmall: string;
        closeSizeMedium: string;
        closeSizeLarge: string;
        padding: string;
        closeMargin: string;
    }, any>>;
    themeOverrides: PropType<import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"Tag", {
        closeBorderRadius: string;
        heightTiny: string;
        heightSmall: string;
        heightMedium: string;
        heightLarge: string;
        borderRadius: string;
        opacityDisabled: string;
        fontSizeTiny: string;
        fontSizeSmall: string;
        fontSizeMedium: string;
        fontSizeLarge: string;
        fontWeightStrong: string;
        textColorCheckable: string;
        textColorHoverCheckable: string;
        textColorPressedCheckable: string;
        textColorChecked: string;
        colorCheckable: string;
        colorHoverCheckable: string;
        colorPressedCheckable: string;
        colorChecked: any;
        colorCheckedHover: any;
        colorCheckedPressed: any;
        border: string;
        borderHover: string;
        textColor: any;
        color: string;
        colorHover: any;
        colorBordered: string;
        colorBorderedHover: any;
        closeIconColor: any;
        closeIconColorHover: any;
        closeIconColorPressed: any;
        closeColorHover: any;
        closeColorPressed: any;
        borderPrimary: string;
        borderHoverPrimary: string;
        textColorPrimary: any;
        colorPrimary: string;
        colorHoverPrimary: any;
        colorBorderedPrimary: string;
        colorBorderedHoverPrimary: any;
        closeIconColorPrimary: any;
        closeIconColorHoverPrimary: any;
        closeIconColorPressedPrimary: any;
        closeColorHoverPrimary: any;
        closeColorPressedPrimary: any;
        borderInfo: string;
        borderHoverInfo: string;
        textColorInfo: any;
        colorInfo: string;
        colorHoverInfo: any;
        colorBorderedInfo: string;
        colorBorderedHoverInfo: any;
        closeIconColorInfo: any;
        closeIconColorHoverInfo: any;
        closeIconColorPressedInfo: any;
        closeColorHoverInfo: any;
        closeColorPressedInfo: any;
        borderSuccess: string;
        borderHoverSuccess: string;
        textColorSuccess: any;
        colorSuccess: string;
        colorHoverSuccess: any;
        colorBorderedSuccess: string;
        colorBorderedHoverSuccess: any;
        closeIconColorSuccess: any;
        closeIconColorHoverSuccess: any;
        closeIconColorPressedSuccess: any;
        closeColorHoverSuccess: any;
        closeColorPressedSuccess: any;
        borderWarning: string;
        borderHoverWarning: string;
        textColorWarning: any;
        colorWarning: string;
        colorHoverWarning: any;
        colorBorderedWarning: string;
        colorBorderedHoverWarning: any;
        closeIconColorWarning: any;
        closeIconColorHoverWarning: any;
        closeIconColorPressedWarning: any;
        closeColorHoverWarning: any;
        closeColorPressedWarning: any;
        borderError: string;
        borderHoverError: string;
        textColorError: any;
        colorError: string;
        colorHoverError: any;
        colorBorderedError: string;
        colorBorderedHoverError: any;
        closeIconColorError: any;
        closeIconColorHoverError: any;
        closeIconColorPressedError: any;
        closeColorHoverError: any;
        closeColorPressedError: any;
        closeIconSizeTiny: string;
        closeIconSizeSmall: string;
        closeIconSizeMedium: string;
        closeIconSizeLarge: string;
        closeSizeTiny: string;
        closeSizeSmall: string;
        closeSizeMedium: string;
        closeSizeLarge: string;
        padding: string;
        closeMargin: string;
    }, any>>>;
    builtinThemeOverrides: PropType<import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"Tag", {
        closeBorderRadius: string;
        heightTiny: string;
        heightSmall: string;
        heightMedium: string;
        heightLarge: string;
        borderRadius: string;
        opacityDisabled: string;
        fontSizeTiny: string;
        fontSizeSmall: string;
        fontSizeMedium: string;
        fontSizeLarge: string;
        fontWeightStrong: string;
        textColorCheckable: string;
        textColorHoverCheckable: string;
        textColorPressedCheckable: string;
        textColorChecked: string;
        colorCheckable: string;
        colorHoverCheckable: string;
        colorPressedCheckable: string;
        colorChecked: any;
        colorCheckedHover: any;
        colorCheckedPressed: any;
        border: string;
        borderHover: string;
        textColor: any;
        color: string;
        colorHover: any;
        colorBordered: string;
        colorBorderedHover: any;
        closeIconColor: any;
        closeIconColorHover: any;
        closeIconColorPressed: any;
        closeColorHover: any;
        closeColorPressed: any;
        borderPrimary: string;
        borderHoverPrimary: string;
        textColorPrimary: any;
        colorPrimary: string;
        colorHoverPrimary: any;
        colorBorderedPrimary: string;
        colorBorderedHoverPrimary: any;
        closeIconColorPrimary: any;
        closeIconColorHoverPrimary: any;
        closeIconColorPressedPrimary: any;
        closeColorHoverPrimary: any;
        closeColorPressedPrimary: any;
        borderInfo: string;
        borderHoverInfo: string;
        textColorInfo: any;
        colorInfo: string;
        colorHoverInfo: any;
        colorBorderedInfo: string;
        colorBorderedHoverInfo: any;
        closeIconColorInfo: any;
        closeIconColorHoverInfo: any;
        closeIconColorPressedInfo: any;
        closeColorHoverInfo: any;
        closeColorPressedInfo: any;
        borderSuccess: string;
        borderHoverSuccess: string;
        textColorSuccess: any;
        colorSuccess: string;
        colorHoverSuccess: any;
        colorBorderedSuccess: string;
        colorBorderedHoverSuccess: any;
        closeIconColorSuccess: any;
        closeIconColorHoverSuccess: any;
        closeIconColorPressedSuccess: any;
        closeColorHoverSuccess: any;
        closeColorPressedSuccess: any;
        borderWarning: string;
        borderHoverWarning: string;
        textColorWarning: any;
        colorWarning: string;
        colorHoverWarning: any;
        colorBorderedWarning: string;
        colorBorderedHoverWarning: any;
        closeIconColorWarning: any;
        closeIconColorHoverWarning: any;
        closeIconColorPressedWarning: any;
        closeColorHoverWarning: any;
        closeColorPressedWarning: any;
        borderError: string;
        borderHoverError: string;
        textColorError: any;
        colorError: string;
        colorHoverError: any;
        colorBorderedError: string;
        colorBorderedHoverError: any;
        closeIconColorError: any;
        closeIconColorHoverError: any;
        closeIconColorPressedError: any;
        closeColorHoverError: any;
        closeColorPressedError: any;
        closeIconSizeTiny: string;
        closeIconSizeSmall: string;
        closeIconSizeMedium: string;
        closeIconSizeLarge: string;
        closeSizeTiny: string;
        closeSizeSmall: string;
        closeSizeMedium: string;
        closeSizeLarge: string;
        padding: string;
        closeMargin: string;
    }, any>>>;
}>> & Readonly<{}>, {
    type: "error" | "default" | "primary" | "success" | "warning" | "info";
    size: "small" | "medium" | "large" | "tiny";
    disabled: boolean | undefined;
    strong: boolean;
    round: boolean;
    checked: boolean;
    bordered: boolean | undefined;
    closable: boolean;
    checkable: boolean;
    triggerClickOnClose: boolean;
    internalCloseFocusable: boolean;
    internalCloseIsButtonTag: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
