"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("../../_styles/common");
const _baseColors_1 = require("../../_styles/common/_baseColors");
const _common_1 = __importDefault(require("./_common"));
function self(vars) {
    const { textColor2, primaryColor, infoColor, successColor, warningColor, errorColor, baseColor, opacityDisabled, fontSizeMini, fontSizeTiny, fontSizeSmall, fontSizeMedium, buttonColor2Hover, buttonColor2Pressed, fontWeightStrong } = vars;
    return Object.assign(Object.assign({}, _common_1.default), { closeBorderRadius: '4px', heightTiny: '16px', heightSmall: '22px', heightMedium: '24px', heightLarge: '28px', borderRadius: '6px', opacityDisabled, fontSizeTiny: fontSizeMini, fontSizeSmall: fontSizeTiny, fontSizeMedium: fontSizeSmall, fontSizeLarge: fontSizeMedium, fontWeightStrong, 
        // checked
        textColorCheckable: textColor2, textColorHoverCheckable: textColor2, textColorPressedCheckable: textColor2, textColorChecked: baseColor, colorCheckable: '#0000', colorHoverCheckable: buttonColor2Hover, colorPressedCheckable: buttonColor2Pressed, colorChecked: _baseColors_1.colors.blue[500], colorCheckedHover: _baseColors_1.colors.blue[700], colorCheckedPressed: _baseColors_1.colors.blue[700], 
        // default
        border: `1px solid ${_baseColors_1.colors.gray[200]}`, borderHover: `1px solid ${_baseColors_1.colors.gray[50]}`, textColor: _baseColors_1.colors.gray[600], color: '#ffffff', colorHover: _baseColors_1.colors.gray[50], colorBordered: '#ffffff', colorBorderedHover: _baseColors_1.colors.gray[50], closeIconColor: _baseColors_1.colors.gray[600], closeIconColorHover: _baseColors_1.colors.gray[600], closeIconColorPressed: _baseColors_1.colors.gray[600], closeColorHover: _baseColors_1.colors.gray[200], closeColorPressed: _baseColors_1.colors.gray[200], 
        // primary
        borderPrimary: `1px solid ${_baseColors_1.colors.blue.alpha16}`, borderHoverPrimary: `1px solid ${_baseColors_1.colors.blue.alpha10}`, textColorPrimary: _baseColors_1.colors.blue[500], colorPrimary: '#ffffff', colorHoverPrimary: _baseColors_1.colors.blue.alpha10, colorBorderedPrimary: '#ffffff', colorBorderedHoverPrimary: _baseColors_1.colors.blue.alpha10, closeIconColorPrimary: primaryColor, closeIconColorHoverPrimary: primaryColor, closeIconColorPressedPrimary: primaryColor, closeColorHoverPrimary: _baseColors_1.colors.blue.alpha10, closeColorPressedPrimary: _baseColors_1.colors.blue.alpha10, 
        // info
        borderInfo: `1px solid ${_baseColors_1.colors.gray[600]}`, borderHoverInfo: `1px solid ${_baseColors_1.colors.gray[50]}`, textColorInfo: infoColor, colorInfo: '#ffffff', colorHoverInfo: _baseColors_1.colors.gray.alpha10, colorBorderedInfo: '#ffffff', colorBorderedHoverInfo: _baseColors_1.colors.gray[50], closeIconColorInfo: infoColor, closeIconColorHoverInfo: infoColor, closeIconColorPressedInfo: infoColor, closeColorHoverInfo: _baseColors_1.colors.gray.alpha10, closeColorPressedInfo: _baseColors_1.colors.gray.alpha10, 
        // success
        borderSuccess: `1px solid ${_baseColors_1.colors.green.alpha16}`, borderHoverSuccess: `1px solid ${_baseColors_1.colors.green.alpha10}`, textColorSuccess: successColor, colorSuccess: '#ffffff', colorHoverSuccess: _baseColors_1.colors.green.alpha10, colorBorderedSuccess: '#ffffff', colorBorderedHoverSuccess: _baseColors_1.colors.green.alpha10, closeIconColorSuccess: successColor, closeIconColorHoverSuccess: successColor, closeIconColorPressedSuccess: successColor, closeColorHoverSuccess: _baseColors_1.colors.green.alpha10, closeColorPressedSuccess: _baseColors_1.colors.green.alpha10, 
        // warning
        borderWarning: `1px solid ${_baseColors_1.colors.yellow.alpha16}`, borderHoverWarning: `1px solid ${_baseColors_1.colors.yellow.alpha10}`, textColorWarning: warningColor, colorWarning: '#ffffff', colorHoverWarning: _baseColors_1.colors.yellow.alpha10, colorBorderedWarning: '#ffffff', colorBorderedHoverWarning: _baseColors_1.colors.yellow.alpha10, closeIconColorWarning: warningColor, closeIconColorHoverWarning: warningColor, closeIconColorPressedWarning: warningColor, closeColorHoverWarning: _baseColors_1.colors.yellow.alpha10, closeColorPressedWarning: _baseColors_1.colors.yellow.alpha10, 
        // error
        borderError: `1px solid ${_baseColors_1.colors.red.alpha16}`, borderHoverError: `1px solid ${_baseColors_1.colors.red.alpha10}`, textColorError: errorColor, colorError: '#ffffff', colorHoverError: _baseColors_1.colors.red.alpha10, colorBorderedError: '#ffffff', colorBorderedHoverError: _baseColors_1.colors.red.alpha10, closeIconColorError: errorColor, closeIconColorHoverError: errorColor, closeIconColorPressedError: errorColor, closeColorHoverError: _baseColors_1.colors.red.alpha10, closeColorPressedError: _baseColors_1.colors.red.alpha10 });
}
const tagLight = {
    name: 'Tag',
    common: common_1.commonLight,
    self
};
exports.default = tagLight;
