import type { ExtractPublicPropTypes, MaybeArray } from '../../_utils';
import type { FormValidationStatus } from '../../form/src/interface';
import type { IsHourDisabled, IsMinuteDisabled, IsSecondDisabled, ItemValue, OnUpdateFormattedValue, OnUpdateValue, PanelRef, Size } from './interface';
import { type PropType } from 'vue';
import { type FollowerPlacement } from 'vueuc';
export declare const timePickerProps: {
    to: {
        type: PropType<HTMLElement | string | boolean>;
        default: undefined;
    };
    bordered: {
        type: PropType<boolean | undefined>;
        default: undefined;
    };
    actions: PropType<Array<"clear" | "now" | "confirm"> | null>;
    defaultValue: {
        type: PropType<number | null>;
        default: null;
    };
    defaultFormattedValue: StringConstructor;
    placeholder: StringConstructor;
    placement: {
        type: PropType<FollowerPlacement>;
        default: string;
    };
    value: PropType<number | null>;
    format: {
        type: StringConstructor;
        default: string;
    };
    valueFormat: StringConstructor;
    formattedValue: PropType<string | null>;
    isHourDisabled: PropType<IsHourDisabled>;
    size: PropType<Size>;
    isMinuteDisabled: PropType<IsMinuteDisabled>;
    isSecondDisabled: PropType<IsSecondDisabled>;
    inputReadonly: BooleanConstructor;
    clearable: BooleanConstructor;
    status: PropType<FormValidationStatus>;
    'onUpdate:value': PropType<MaybeArray<OnUpdateValue>>;
    onUpdateValue: PropType<MaybeArray<OnUpdateValue>>;
    'onUpdate:show': PropType<MaybeArray<(show: boolean) => void>>;
    onUpdateShow: PropType<MaybeArray<(show: boolean) => void>>;
    onUpdateFormattedValue: PropType<MaybeArray<OnUpdateFormattedValue>>;
    'onUpdate:formattedValue': PropType<MaybeArray<OnUpdateFormattedValue>>;
    onBlur: PropType<MaybeArray<(e: FocusEvent) => void>>;
    onConfirm: PropType<MaybeArray<(value: number & null, formattedValue: string & null) => void>>;
    onClear: PropType<() => void>;
    onFocus: PropType<MaybeArray<(e: FocusEvent) => void>>;
    timeZone: StringConstructor;
    showIcon: {
        type: BooleanConstructor;
        default: boolean;
    };
    disabled: {
        type: PropType<boolean | undefined>;
        default: undefined;
    };
    show: {
        type: PropType<boolean | undefined>;
        default: undefined;
    };
    hours: {
        type: PropType<MaybeArray<number>>;
        validator: (value: MaybeArray<number>) => boolean;
    };
    minutes: {
        type: PropType<MaybeArray<number>>;
        validator: (value: MaybeArray<number>) => boolean;
    };
    seconds: {
        type: PropType<MaybeArray<number>>;
        validator: (value: MaybeArray<number>) => boolean;
    };
    use12Hours: BooleanConstructor;
    stateful: {
        type: BooleanConstructor;
        default: boolean;
    };
    onChange: PropType<MaybeArray<OnUpdateValue> | undefined>;
    theme: PropType<import("../../_mixins").Theme<"TimePicker", {
        panelColor: string;
        panelBoxShadow: string;
        panelDividerColor: any;
        itemTextColor: string;
        itemTextColorActive: any;
        itemColorHover: string;
        itemOpacityDisabled: string;
        itemBorderRadius: string;
        borderRadius: string;
        iconColor: string;
        iconColorDisabled: string;
        itemFontSize: string;
        itemHeight: string;
        itemWidth: string;
        panelActionPadding: string;
    }, {
        Scrollbar: import("../../_mixins").Theme<"Scrollbar", {
            height: string;
            width: string;
            borderRadius: string;
            color: string;
            colorHover: string;
            railInsetHorizontalBottom: string;
            railInsetHorizontalTop: string;
            railInsetVerticalRight: string;
            railInsetVerticalLeft: string;
            railColor: string;
        }, any>;
        Button: import("../../_mixins").Theme<"Button", {
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            borderRadiusTiny: string;
            borderRadiusSmall: string;
            borderRadiusMedium: string;
            borderRadiusLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            colorPrimary: any;
            colorHoverPrimary: any;
            colorPressedPrimary: any;
            colorFocusPrimary: any;
            textColorPrimary: any;
            textColorHoverPrimary: any;
            textColorPressedPrimary: any;
            textColorFocusPrimary: any;
            textColorTextPrimary: any;
            textColorTextHoverPrimary: any;
            textColorTextPressedPrimary: any;
            textColorTextFocusPrimary: any;
            colorGhostHoverPrimary: any;
            textColorGhostPrimary: any;
            textColorGhostHoverPrimary: any;
            textColorGhostPressedPrimary: any;
            textColorGhostFocusPrimary: any;
            colorLighterPrimary: any;
            colorHoverLighterPrimary: any;
            colorPressedLighterPrimary: any;
            colorFocusLighterPrimary: any;
            textColorLighterPrimary: any;
            textColorLighterHoverPrimary: any;
            textColorLighterPressedPrimary: any;
            textColorLighterFocusPrimary: any;
            borderLighterHoverPrimary: string;
            borderLighterPressedPrimary: string;
            borderLighterFocusPrimary: string;
            colorStrokeHoverPrimary: any;
            colorStrokePressedPrimary: any;
            colorStrokeFocusPrimary: any;
            textColorStrokePrimary: any;
            textColorStrokeHoverPrimary: any;
            textColorStrokePressedPrimary: any;
            textColorStrokeFocusPrimary: any;
            borderStrokePrimary: string;
            borderStrokeHoverPrimary: string;
            borderStrokePressedPrimary: string;
            borderStrokeFocusPrimary: string;
            borderPrimary: string;
            borderHoverPrimary: string;
            borderPressedPrimary: string;
            borderFocusPrimary: string;
            rippleColorPrimary: any;
            colorNeutral: any;
            colorHoverNeutral: any;
            colorPressedNeutral: any;
            colorFocusNeutral: any;
            textColorNeutral: string;
            textColorHoverNeutral: string;
            textColorPressedNeutral: string;
            textColorFocusNeutral: string;
            textColorTextNeutral: any;
            textColorTextHoverNeutral: any;
            textColorTextPressedNeutral: any;
            textColorTextFocusNeutral: any;
            colorGhostHoverNeutral: any;
            colorPressedNeutralGhost: any;
            colorFocusNeutralGhost: any;
            textColorGhostNeutral: any;
            textColorGhostHoverNeutral: any;
            textColorGhostPressedNeutral: any;
            textColorGhostFocusNeutral: any;
            colorLighterNeutral: any;
            colorPressedNeutralLighter: any;
            colorFocusNeutralLighter: any;
            textColorLighterNeutral: any;
            textColorLighterHoverNeutral: any;
            textColorLighterPressedNeutral: any;
            textColorLighterFocusNeutral: any;
            borderLighterHoverNeutral: string;
            borderLighterPressedNeutral: string;
            borderLighterFocusNeutral: string;
            colorStrokeHoverNeutral: any;
            colorStrokePressedNeutral: any;
            colorStrokeFocusNeutral: any;
            textColorStrokeNeutral: any;
            textColorStrokeHoverNeutral: any;
            textColorStrokePressedNeutral: any;
            textColorStrokeFocusNeutral: any;
            borderStrokeNeutral: string;
            borderStrokeHoverNeutral: string;
            borderStrokePressedNeutral: string;
            borderStrokeFocusNeutral: string;
            borderNeutral: string;
            borderHoverNeutral: string;
            borderPressedNeutral: string;
            borderFocusNeutral: string;
            rippleColorNeutral: any;
            colorSuccess: any;
            colorHoverSuccess: any;
            colorPressedSuccess: any;
            colorFocusSuccess: any;
            textColorSuccess: string;
            textColorHoverSuccess: string;
            textColorPressedSuccess: string;
            textColorFocusSuccess: string;
            textColorTextSuccess: any;
            textColorTextHoverSuccess: any;
            textColorTextPressedSuccess: any;
            textColorTextFocusSuccess: any;
            colorGhostHoverSuccess: any;
            textColorGhostSuccess: any;
            textColorGhostHoverSuccess: any;
            textColorGhostPressedSuccess: any;
            textColorGhostFocusSuccess: any;
            colorLighterSuccess: any;
            textColorLighterSuccess: any;
            textColorLighterHoverSuccess: any;
            textColorLighterPressedSuccess: any;
            textColorLighterFocusSuccess: any;
            borderLighterHoverSuccess: string;
            borderLighterPressedSuccess: string;
            borderLighterFocusSuccess: string;
            colorStrokeHoverSuccess: any;
            colorStrokePressedSuccess: any;
            colorStrokeFocusSuccess: any;
            textColorStrokeSuccess: any;
            textColorStrokeHoverSuccess: any;
            textColorStrokePressedSuccess: any;
            textColorStrokeFocusSuccess: any;
            borderStrokeSuccess: string;
            borderStrokeHoverSuccess: string;
            borderStrokePressedSuccess: string;
            borderStrokeFocusSuccess: string;
            borderSuccess: string;
            borderHoverSuccess: string;
            borderPressedSuccess: string;
            borderFocusSuccess: string;
            rippleColorSuccess: any;
            colorWarning: any;
            colorHoverWarning: any;
            colorPressedWarning: any;
            colorFocusWarning: any;
            textColorWarning: string;
            textColorHoverWarning: string;
            textColorPressedWarning: string;
            textColorFocusWarning: string;
            textColorTextWarning: any;
            textColorTextHoverWarning: any;
            textColorTextPressedWarning: any;
            textColorTextFocusWarning: any;
            colorGhostHoverWarning: any;
            textColorGhostWarning: any;
            textColorGhostHoverWarning: any;
            textColorGhostPressedWarning: any;
            textColorGhostFocusWarning: any;
            colorLighterWarning: any;
            textColorLighterWarning: any;
            textColorLighterHoverWarning: any;
            textColorLighterPressedWarning: any;
            textColorLighterFocusWarning: any;
            borderLighterHoverWarning: string;
            borderLighterPressedWarning: string;
            borderLighterFocusWarning: string;
            colorStrokeHoverWarning: any;
            colorStrokePressedWarning: any;
            colorStrokeFocusWarning: any;
            textColorStrokeWarning: any;
            textColorStrokeHoverWarning: any;
            textColorStrokePressedWarning: any;
            textColorStrokeFocusWarning: any;
            borderStrokeWarning: string;
            borderStrokeHoverWarning: string;
            borderStrokePressedWarning: string;
            borderStrokeFocusWarning: string;
            borderWarning: string;
            borderHoverWarning: string;
            borderPressedWarning: string;
            borderFocusWarning: string;
            rippleColorWarning: any;
            colorError: any;
            colorHoverError: any;
            colorPressedError: any;
            colorFocusError: any;
            textColorError: string;
            textColorHoverError: string;
            textColorPressedError: string;
            textColorFocusError: string;
            textColorTextError: any;
            textColorTextHoverError: any;
            textColorTextPressedError: any;
            textColorTextFocusError: any;
            colorGhostHoverError: any;
            textColorGhostError: any;
            textColorGhostHoverError: any;
            textColorGhostPressedError: any;
            textColorGhostFocusError: any;
            colorLighterError: any;
            textColorLighterError: any;
            textColorLighterHoverError: any;
            textColorLighterPressedError: any;
            textColorLighterFocusError: any;
            borderLighterHoverError: string;
            borderLighterPressedError: string;
            borderLighterFocusError: string;
            colorStrokeHoverError: any;
            colorStrokePressedError: any;
            colorStrokeFocusError: any;
            textColorStrokeError: any;
            textColorStrokeHoverError: any;
            textColorStrokePressedError: any;
            textColorStrokeFocusError: any;
            borderStrokeError: string;
            borderStrokeHoverError: string;
            borderStrokePressedError: string;
            borderStrokeFocusError: string;
            borderError: string;
            borderHoverError: string;
            borderPressedError: string;
            borderFocusError: string;
            rippleColorError: any;
            waveOpacity: string;
            fontWeight: string;
            fontWeightStrong: string;
            opacityDisabled: string;
            colorDisabled: any;
            textColorDisabled: any;
            iconColorDisabled: any;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            paddingRoundTiny: string;
            paddingRoundSmall: string;
            paddingRoundMedium: string;
            paddingRoundLarge: string;
            iconMarginTiny: string;
            iconMarginSmall: string;
            iconMarginMedium: string;
            iconMarginLarge: string;
            iconSizeTiny: string;
            iconSizeSmall: string;
            iconSizeMedium: string;
            iconSizeLarge: string;
            rippleDuration: string;
        }, any>;
        Input: import("../../_mixins").Theme<"Input", {
            fontWeight: string;
            countTextColorDisabled: string;
            countTextColor: string;
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            lineHeight: string;
            lineHeightTextarea: string;
            borderRadius: string;
            iconSize: string;
            groupLabelColor: string;
            groupLabelTextColor: any;
            textColor: any;
            textColorDisabled: string;
            textDecorationColor: any;
            caretColor: any;
            placeholderColor: string;
            placeholderColorDisabled: string;
            color: string;
            colorDisabled: string;
            colorFocus: string;
            colorHover: any;
            groupLabelBorder: string;
            border: string;
            borderHover: string;
            borderDisabled: string;
            borderFocus: string;
            boxShadowFocus: string;
            loadingColor: any;
            loadingColorWarning: any;
            borderWarning: string;
            borderHoverWarning: string;
            colorFocusWarning: string;
            borderFocusWarning: string;
            boxShadowFocusWarning: string;
            caretColorWarning: any;
            loadingColorError: any;
            borderError: string;
            borderHoverError: string;
            colorFocusError: string;
            borderFocusError: string;
            boxShadowFocusError: string;
            caretColorError: any;
            clearColor: string;
            clearColorHover: string;
            clearColorPressed: string;
            iconColor: string;
            iconColorDisabled: string;
            iconColorHover: string;
            iconColorPressed: string;
            suffixTextColor: string;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            clearSize: string;
        }, any>;
    }>>;
    themeOverrides: PropType<import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"TimePicker", {
        panelColor: string;
        panelBoxShadow: string;
        panelDividerColor: any;
        itemTextColor: string;
        itemTextColorActive: any;
        itemColorHover: string;
        itemOpacityDisabled: string;
        itemBorderRadius: string;
        borderRadius: string;
        iconColor: string;
        iconColorDisabled: string;
        itemFontSize: string;
        itemHeight: string;
        itemWidth: string;
        panelActionPadding: string;
    }, {
        Scrollbar: import("../../_mixins").Theme<"Scrollbar", {
            height: string;
            width: string;
            borderRadius: string;
            color: string;
            colorHover: string;
            railInsetHorizontalBottom: string;
            railInsetHorizontalTop: string;
            railInsetVerticalRight: string;
            railInsetVerticalLeft: string;
            railColor: string;
        }, any>;
        Button: import("../../_mixins").Theme<"Button", {
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            borderRadiusTiny: string;
            borderRadiusSmall: string;
            borderRadiusMedium: string;
            borderRadiusLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            colorPrimary: any;
            colorHoverPrimary: any;
            colorPressedPrimary: any;
            colorFocusPrimary: any;
            textColorPrimary: any;
            textColorHoverPrimary: any;
            textColorPressedPrimary: any;
            textColorFocusPrimary: any;
            textColorTextPrimary: any;
            textColorTextHoverPrimary: any;
            textColorTextPressedPrimary: any;
            textColorTextFocusPrimary: any;
            colorGhostHoverPrimary: any;
            textColorGhostPrimary: any;
            textColorGhostHoverPrimary: any;
            textColorGhostPressedPrimary: any;
            textColorGhostFocusPrimary: any;
            colorLighterPrimary: any;
            colorHoverLighterPrimary: any;
            colorPressedLighterPrimary: any;
            colorFocusLighterPrimary: any;
            textColorLighterPrimary: any;
            textColorLighterHoverPrimary: any;
            textColorLighterPressedPrimary: any;
            textColorLighterFocusPrimary: any;
            borderLighterHoverPrimary: string;
            borderLighterPressedPrimary: string;
            borderLighterFocusPrimary: string;
            colorStrokeHoverPrimary: any;
            colorStrokePressedPrimary: any;
            colorStrokeFocusPrimary: any;
            textColorStrokePrimary: any;
            textColorStrokeHoverPrimary: any;
            textColorStrokePressedPrimary: any;
            textColorStrokeFocusPrimary: any;
            borderStrokePrimary: string;
            borderStrokeHoverPrimary: string;
            borderStrokePressedPrimary: string;
            borderStrokeFocusPrimary: string;
            borderPrimary: string;
            borderHoverPrimary: string;
            borderPressedPrimary: string;
            borderFocusPrimary: string;
            rippleColorPrimary: any;
            colorNeutral: any;
            colorHoverNeutral: any;
            colorPressedNeutral: any;
            colorFocusNeutral: any;
            textColorNeutral: string;
            textColorHoverNeutral: string;
            textColorPressedNeutral: string;
            textColorFocusNeutral: string;
            textColorTextNeutral: any;
            textColorTextHoverNeutral: any;
            textColorTextPressedNeutral: any;
            textColorTextFocusNeutral: any;
            colorGhostHoverNeutral: any;
            colorPressedNeutralGhost: any;
            colorFocusNeutralGhost: any;
            textColorGhostNeutral: any;
            textColorGhostHoverNeutral: any;
            textColorGhostPressedNeutral: any;
            textColorGhostFocusNeutral: any;
            colorLighterNeutral: any;
            colorPressedNeutralLighter: any;
            colorFocusNeutralLighter: any;
            textColorLighterNeutral: any;
            textColorLighterHoverNeutral: any;
            textColorLighterPressedNeutral: any;
            textColorLighterFocusNeutral: any;
            borderLighterHoverNeutral: string;
            borderLighterPressedNeutral: string;
            borderLighterFocusNeutral: string;
            colorStrokeHoverNeutral: any;
            colorStrokePressedNeutral: any;
            colorStrokeFocusNeutral: any;
            textColorStrokeNeutral: any;
            textColorStrokeHoverNeutral: any;
            textColorStrokePressedNeutral: any;
            textColorStrokeFocusNeutral: any;
            borderStrokeNeutral: string;
            borderStrokeHoverNeutral: string;
            borderStrokePressedNeutral: string;
            borderStrokeFocusNeutral: string;
            borderNeutral: string;
            borderHoverNeutral: string;
            borderPressedNeutral: string;
            borderFocusNeutral: string;
            rippleColorNeutral: any;
            colorSuccess: any;
            colorHoverSuccess: any;
            colorPressedSuccess: any;
            colorFocusSuccess: any;
            textColorSuccess: string;
            textColorHoverSuccess: string;
            textColorPressedSuccess: string;
            textColorFocusSuccess: string;
            textColorTextSuccess: any;
            textColorTextHoverSuccess: any;
            textColorTextPressedSuccess: any;
            textColorTextFocusSuccess: any;
            colorGhostHoverSuccess: any;
            textColorGhostSuccess: any;
            textColorGhostHoverSuccess: any;
            textColorGhostPressedSuccess: any;
            textColorGhostFocusSuccess: any;
            colorLighterSuccess: any;
            textColorLighterSuccess: any;
            textColorLighterHoverSuccess: any;
            textColorLighterPressedSuccess: any;
            textColorLighterFocusSuccess: any;
            borderLighterHoverSuccess: string;
            borderLighterPressedSuccess: string;
            borderLighterFocusSuccess: string;
            colorStrokeHoverSuccess: any;
            colorStrokePressedSuccess: any;
            colorStrokeFocusSuccess: any;
            textColorStrokeSuccess: any;
            textColorStrokeHoverSuccess: any;
            textColorStrokePressedSuccess: any;
            textColorStrokeFocusSuccess: any;
            borderStrokeSuccess: string;
            borderStrokeHoverSuccess: string;
            borderStrokePressedSuccess: string;
            borderStrokeFocusSuccess: string;
            borderSuccess: string;
            borderHoverSuccess: string;
            borderPressedSuccess: string;
            borderFocusSuccess: string;
            rippleColorSuccess: any;
            colorWarning: any;
            colorHoverWarning: any;
            colorPressedWarning: any;
            colorFocusWarning: any;
            textColorWarning: string;
            textColorHoverWarning: string;
            textColorPressedWarning: string;
            textColorFocusWarning: string;
            textColorTextWarning: any;
            textColorTextHoverWarning: any;
            textColorTextPressedWarning: any;
            textColorTextFocusWarning: any;
            colorGhostHoverWarning: any;
            textColorGhostWarning: any;
            textColorGhostHoverWarning: any;
            textColorGhostPressedWarning: any;
            textColorGhostFocusWarning: any;
            colorLighterWarning: any;
            textColorLighterWarning: any;
            textColorLighterHoverWarning: any;
            textColorLighterPressedWarning: any;
            textColorLighterFocusWarning: any;
            borderLighterHoverWarning: string;
            borderLighterPressedWarning: string;
            borderLighterFocusWarning: string;
            colorStrokeHoverWarning: any;
            colorStrokePressedWarning: any;
            colorStrokeFocusWarning: any;
            textColorStrokeWarning: any;
            textColorStrokeHoverWarning: any;
            textColorStrokePressedWarning: any;
            textColorStrokeFocusWarning: any;
            borderStrokeWarning: string;
            borderStrokeHoverWarning: string;
            borderStrokePressedWarning: string;
            borderStrokeFocusWarning: string;
            borderWarning: string;
            borderHoverWarning: string;
            borderPressedWarning: string;
            borderFocusWarning: string;
            rippleColorWarning: any;
            colorError: any;
            colorHoverError: any;
            colorPressedError: any;
            colorFocusError: any;
            textColorError: string;
            textColorHoverError: string;
            textColorPressedError: string;
            textColorFocusError: string;
            textColorTextError: any;
            textColorTextHoverError: any;
            textColorTextPressedError: any;
            textColorTextFocusError: any;
            colorGhostHoverError: any;
            textColorGhostError: any;
            textColorGhostHoverError: any;
            textColorGhostPressedError: any;
            textColorGhostFocusError: any;
            colorLighterError: any;
            textColorLighterError: any;
            textColorLighterHoverError: any;
            textColorLighterPressedError: any;
            textColorLighterFocusError: any;
            borderLighterHoverError: string;
            borderLighterPressedError: string;
            borderLighterFocusError: string;
            colorStrokeHoverError: any;
            colorStrokePressedError: any;
            colorStrokeFocusError: any;
            textColorStrokeError: any;
            textColorStrokeHoverError: any;
            textColorStrokePressedError: any;
            textColorStrokeFocusError: any;
            borderStrokeError: string;
            borderStrokeHoverError: string;
            borderStrokePressedError: string;
            borderStrokeFocusError: string;
            borderError: string;
            borderHoverError: string;
            borderPressedError: string;
            borderFocusError: string;
            rippleColorError: any;
            waveOpacity: string;
            fontWeight: string;
            fontWeightStrong: string;
            opacityDisabled: string;
            colorDisabled: any;
            textColorDisabled: any;
            iconColorDisabled: any;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            paddingRoundTiny: string;
            paddingRoundSmall: string;
            paddingRoundMedium: string;
            paddingRoundLarge: string;
            iconMarginTiny: string;
            iconMarginSmall: string;
            iconMarginMedium: string;
            iconMarginLarge: string;
            iconSizeTiny: string;
            iconSizeSmall: string;
            iconSizeMedium: string;
            iconSizeLarge: string;
            rippleDuration: string;
        }, any>;
        Input: import("../../_mixins").Theme<"Input", {
            fontWeight: string;
            countTextColorDisabled: string;
            countTextColor: string;
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            lineHeight: string;
            lineHeightTextarea: string;
            borderRadius: string;
            iconSize: string;
            groupLabelColor: string;
            groupLabelTextColor: any;
            textColor: any;
            textColorDisabled: string;
            textDecorationColor: any;
            caretColor: any;
            placeholderColor: string;
            placeholderColorDisabled: string;
            color: string;
            colorDisabled: string;
            colorFocus: string;
            colorHover: any;
            groupLabelBorder: string;
            border: string;
            borderHover: string;
            borderDisabled: string;
            borderFocus: string;
            boxShadowFocus: string;
            loadingColor: any;
            loadingColorWarning: any;
            borderWarning: string;
            borderHoverWarning: string;
            colorFocusWarning: string;
            borderFocusWarning: string;
            boxShadowFocusWarning: string;
            caretColorWarning: any;
            loadingColorError: any;
            borderError: string;
            borderHoverError: string;
            colorFocusError: string;
            borderFocusError: string;
            boxShadowFocusError: string;
            caretColorError: any;
            clearColor: string;
            clearColorHover: string;
            clearColorPressed: string;
            iconColor: string;
            iconColorDisabled: string;
            iconColorHover: string;
            iconColorPressed: string;
            suffixTextColor: string;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            clearSize: string;
        }, any>;
    }>>>;
    builtinThemeOverrides: PropType<import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"TimePicker", {
        panelColor: string;
        panelBoxShadow: string;
        panelDividerColor: any;
        itemTextColor: string;
        itemTextColorActive: any;
        itemColorHover: string;
        itemOpacityDisabled: string;
        itemBorderRadius: string;
        borderRadius: string;
        iconColor: string;
        iconColorDisabled: string;
        itemFontSize: string;
        itemHeight: string;
        itemWidth: string;
        panelActionPadding: string;
    }, {
        Scrollbar: import("../../_mixins").Theme<"Scrollbar", {
            height: string;
            width: string;
            borderRadius: string;
            color: string;
            colorHover: string;
            railInsetHorizontalBottom: string;
            railInsetHorizontalTop: string;
            railInsetVerticalRight: string;
            railInsetVerticalLeft: string;
            railColor: string;
        }, any>;
        Button: import("../../_mixins").Theme<"Button", {
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            borderRadiusTiny: string;
            borderRadiusSmall: string;
            borderRadiusMedium: string;
            borderRadiusLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            colorPrimary: any;
            colorHoverPrimary: any;
            colorPressedPrimary: any;
            colorFocusPrimary: any;
            textColorPrimary: any;
            textColorHoverPrimary: any;
            textColorPressedPrimary: any;
            textColorFocusPrimary: any;
            textColorTextPrimary: any;
            textColorTextHoverPrimary: any;
            textColorTextPressedPrimary: any;
            textColorTextFocusPrimary: any;
            colorGhostHoverPrimary: any;
            textColorGhostPrimary: any;
            textColorGhostHoverPrimary: any;
            textColorGhostPressedPrimary: any;
            textColorGhostFocusPrimary: any;
            colorLighterPrimary: any;
            colorHoverLighterPrimary: any;
            colorPressedLighterPrimary: any;
            colorFocusLighterPrimary: any;
            textColorLighterPrimary: any;
            textColorLighterHoverPrimary: any;
            textColorLighterPressedPrimary: any;
            textColorLighterFocusPrimary: any;
            borderLighterHoverPrimary: string;
            borderLighterPressedPrimary: string;
            borderLighterFocusPrimary: string;
            colorStrokeHoverPrimary: any;
            colorStrokePressedPrimary: any;
            colorStrokeFocusPrimary: any;
            textColorStrokePrimary: any;
            textColorStrokeHoverPrimary: any;
            textColorStrokePressedPrimary: any;
            textColorStrokeFocusPrimary: any;
            borderStrokePrimary: string;
            borderStrokeHoverPrimary: string;
            borderStrokePressedPrimary: string;
            borderStrokeFocusPrimary: string;
            borderPrimary: string;
            borderHoverPrimary: string;
            borderPressedPrimary: string;
            borderFocusPrimary: string;
            rippleColorPrimary: any;
            colorNeutral: any;
            colorHoverNeutral: any;
            colorPressedNeutral: any;
            colorFocusNeutral: any;
            textColorNeutral: string;
            textColorHoverNeutral: string;
            textColorPressedNeutral: string;
            textColorFocusNeutral: string;
            textColorTextNeutral: any;
            textColorTextHoverNeutral: any;
            textColorTextPressedNeutral: any;
            textColorTextFocusNeutral: any;
            colorGhostHoverNeutral: any;
            colorPressedNeutralGhost: any;
            colorFocusNeutralGhost: any;
            textColorGhostNeutral: any;
            textColorGhostHoverNeutral: any;
            textColorGhostPressedNeutral: any;
            textColorGhostFocusNeutral: any;
            colorLighterNeutral: any;
            colorPressedNeutralLighter: any;
            colorFocusNeutralLighter: any;
            textColorLighterNeutral: any;
            textColorLighterHoverNeutral: any;
            textColorLighterPressedNeutral: any;
            textColorLighterFocusNeutral: any;
            borderLighterHoverNeutral: string;
            borderLighterPressedNeutral: string;
            borderLighterFocusNeutral: string;
            colorStrokeHoverNeutral: any;
            colorStrokePressedNeutral: any;
            colorStrokeFocusNeutral: any;
            textColorStrokeNeutral: any;
            textColorStrokeHoverNeutral: any;
            textColorStrokePressedNeutral: any;
            textColorStrokeFocusNeutral: any;
            borderStrokeNeutral: string;
            borderStrokeHoverNeutral: string;
            borderStrokePressedNeutral: string;
            borderStrokeFocusNeutral: string;
            borderNeutral: string;
            borderHoverNeutral: string;
            borderPressedNeutral: string;
            borderFocusNeutral: string;
            rippleColorNeutral: any;
            colorSuccess: any;
            colorHoverSuccess: any;
            colorPressedSuccess: any;
            colorFocusSuccess: any;
            textColorSuccess: string;
            textColorHoverSuccess: string;
            textColorPressedSuccess: string;
            textColorFocusSuccess: string;
            textColorTextSuccess: any;
            textColorTextHoverSuccess: any;
            textColorTextPressedSuccess: any;
            textColorTextFocusSuccess: any;
            colorGhostHoverSuccess: any;
            textColorGhostSuccess: any;
            textColorGhostHoverSuccess: any;
            textColorGhostPressedSuccess: any;
            textColorGhostFocusSuccess: any;
            colorLighterSuccess: any;
            textColorLighterSuccess: any;
            textColorLighterHoverSuccess: any;
            textColorLighterPressedSuccess: any;
            textColorLighterFocusSuccess: any;
            borderLighterHoverSuccess: string;
            borderLighterPressedSuccess: string;
            borderLighterFocusSuccess: string;
            colorStrokeHoverSuccess: any;
            colorStrokePressedSuccess: any;
            colorStrokeFocusSuccess: any;
            textColorStrokeSuccess: any;
            textColorStrokeHoverSuccess: any;
            textColorStrokePressedSuccess: any;
            textColorStrokeFocusSuccess: any;
            borderStrokeSuccess: string;
            borderStrokeHoverSuccess: string;
            borderStrokePressedSuccess: string;
            borderStrokeFocusSuccess: string;
            borderSuccess: string;
            borderHoverSuccess: string;
            borderPressedSuccess: string;
            borderFocusSuccess: string;
            rippleColorSuccess: any;
            colorWarning: any;
            colorHoverWarning: any;
            colorPressedWarning: any;
            colorFocusWarning: any;
            textColorWarning: string;
            textColorHoverWarning: string;
            textColorPressedWarning: string;
            textColorFocusWarning: string;
            textColorTextWarning: any;
            textColorTextHoverWarning: any;
            textColorTextPressedWarning: any;
            textColorTextFocusWarning: any;
            colorGhostHoverWarning: any;
            textColorGhostWarning: any;
            textColorGhostHoverWarning: any;
            textColorGhostPressedWarning: any;
            textColorGhostFocusWarning: any;
            colorLighterWarning: any;
            textColorLighterWarning: any;
            textColorLighterHoverWarning: any;
            textColorLighterPressedWarning: any;
            textColorLighterFocusWarning: any;
            borderLighterHoverWarning: string;
            borderLighterPressedWarning: string;
            borderLighterFocusWarning: string;
            colorStrokeHoverWarning: any;
            colorStrokePressedWarning: any;
            colorStrokeFocusWarning: any;
            textColorStrokeWarning: any;
            textColorStrokeHoverWarning: any;
            textColorStrokePressedWarning: any;
            textColorStrokeFocusWarning: any;
            borderStrokeWarning: string;
            borderStrokeHoverWarning: string;
            borderStrokePressedWarning: string;
            borderStrokeFocusWarning: string;
            borderWarning: string;
            borderHoverWarning: string;
            borderPressedWarning: string;
            borderFocusWarning: string;
            rippleColorWarning: any;
            colorError: any;
            colorHoverError: any;
            colorPressedError: any;
            colorFocusError: any;
            textColorError: string;
            textColorHoverError: string;
            textColorPressedError: string;
            textColorFocusError: string;
            textColorTextError: any;
            textColorTextHoverError: any;
            textColorTextPressedError: any;
            textColorTextFocusError: any;
            colorGhostHoverError: any;
            textColorGhostError: any;
            textColorGhostHoverError: any;
            textColorGhostPressedError: any;
            textColorGhostFocusError: any;
            colorLighterError: any;
            textColorLighterError: any;
            textColorLighterHoverError: any;
            textColorLighterPressedError: any;
            textColorLighterFocusError: any;
            borderLighterHoverError: string;
            borderLighterPressedError: string;
            borderLighterFocusError: string;
            colorStrokeHoverError: any;
            colorStrokePressedError: any;
            colorStrokeFocusError: any;
            textColorStrokeError: any;
            textColorStrokeHoverError: any;
            textColorStrokePressedError: any;
            textColorStrokeFocusError: any;
            borderStrokeError: string;
            borderStrokeHoverError: string;
            borderStrokePressedError: string;
            borderStrokeFocusError: string;
            borderError: string;
            borderHoverError: string;
            borderPressedError: string;
            borderFocusError: string;
            rippleColorError: any;
            waveOpacity: string;
            fontWeight: string;
            fontWeightStrong: string;
            opacityDisabled: string;
            colorDisabled: any;
            textColorDisabled: any;
            iconColorDisabled: any;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            paddingRoundTiny: string;
            paddingRoundSmall: string;
            paddingRoundMedium: string;
            paddingRoundLarge: string;
            iconMarginTiny: string;
            iconMarginSmall: string;
            iconMarginMedium: string;
            iconMarginLarge: string;
            iconSizeTiny: string;
            iconSizeSmall: string;
            iconSizeMedium: string;
            iconSizeLarge: string;
            rippleDuration: string;
        }, any>;
        Input: import("../../_mixins").Theme<"Input", {
            fontWeight: string;
            countTextColorDisabled: string;
            countTextColor: string;
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            lineHeight: string;
            lineHeightTextarea: string;
            borderRadius: string;
            iconSize: string;
            groupLabelColor: string;
            groupLabelTextColor: any;
            textColor: any;
            textColorDisabled: string;
            textDecorationColor: any;
            caretColor: any;
            placeholderColor: string;
            placeholderColorDisabled: string;
            color: string;
            colorDisabled: string;
            colorFocus: string;
            colorHover: any;
            groupLabelBorder: string;
            border: string;
            borderHover: string;
            borderDisabled: string;
            borderFocus: string;
            boxShadowFocus: string;
            loadingColor: any;
            loadingColorWarning: any;
            borderWarning: string;
            borderHoverWarning: string;
            colorFocusWarning: string;
            borderFocusWarning: string;
            boxShadowFocusWarning: string;
            caretColorWarning: any;
            loadingColorError: any;
            borderError: string;
            borderHoverError: string;
            colorFocusError: string;
            borderFocusError: string;
            boxShadowFocusError: string;
            caretColorError: any;
            clearColor: string;
            clearColorHover: string;
            clearColorPressed: string;
            iconColor: string;
            iconColorDisabled: string;
            iconColorHover: string;
            iconColorPressed: string;
            suffixTextColor: string;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            clearSize: string;
        }, any>;
    }>>>;
};
export type TimePickerProps = ExtractPublicPropTypes<typeof timePickerProps>;
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    to: {
        type: PropType<HTMLElement | string | boolean>;
        default: undefined;
    };
    bordered: {
        type: PropType<boolean | undefined>;
        default: undefined;
    };
    actions: PropType<Array<"clear" | "now" | "confirm"> | null>;
    defaultValue: {
        type: PropType<number | null>;
        default: null;
    };
    defaultFormattedValue: StringConstructor;
    placeholder: StringConstructor;
    placement: {
        type: PropType<FollowerPlacement>;
        default: string;
    };
    value: PropType<number | null>;
    format: {
        type: StringConstructor;
        default: string;
    };
    valueFormat: StringConstructor;
    formattedValue: PropType<string | null>;
    isHourDisabled: PropType<IsHourDisabled>;
    size: PropType<Size>;
    isMinuteDisabled: PropType<IsMinuteDisabled>;
    isSecondDisabled: PropType<IsSecondDisabled>;
    inputReadonly: BooleanConstructor;
    clearable: BooleanConstructor;
    status: PropType<FormValidationStatus>;
    'onUpdate:value': PropType<MaybeArray<OnUpdateValue>>;
    onUpdateValue: PropType<MaybeArray<OnUpdateValue>>;
    'onUpdate:show': PropType<MaybeArray<(show: boolean) => void>>;
    onUpdateShow: PropType<MaybeArray<(show: boolean) => void>>;
    onUpdateFormattedValue: PropType<MaybeArray<OnUpdateFormattedValue>>;
    'onUpdate:formattedValue': PropType<MaybeArray<OnUpdateFormattedValue>>;
    onBlur: PropType<MaybeArray<(e: FocusEvent) => void>>;
    onConfirm: PropType<MaybeArray<(value: number & null, formattedValue: string & null) => void>>;
    onClear: PropType<() => void>;
    onFocus: PropType<MaybeArray<(e: FocusEvent) => void>>;
    timeZone: StringConstructor;
    showIcon: {
        type: BooleanConstructor;
        default: boolean;
    };
    disabled: {
        type: PropType<boolean | undefined>;
        default: undefined;
    };
    show: {
        type: PropType<boolean | undefined>;
        default: undefined;
    };
    hours: {
        type: PropType<MaybeArray<number>>;
        validator: (value: MaybeArray<number>) => boolean;
    };
    minutes: {
        type: PropType<MaybeArray<number>>;
        validator: (value: MaybeArray<number>) => boolean;
    };
    seconds: {
        type: PropType<MaybeArray<number>>;
        validator: (value: MaybeArray<number>) => boolean;
    };
    use12Hours: BooleanConstructor;
    stateful: {
        type: BooleanConstructor;
        default: boolean;
    };
    onChange: PropType<MaybeArray<OnUpdateValue> | undefined>;
    theme: PropType<import("../../_mixins").Theme<"TimePicker", {
        panelColor: string;
        panelBoxShadow: string;
        panelDividerColor: any;
        itemTextColor: string;
        itemTextColorActive: any;
        itemColorHover: string;
        itemOpacityDisabled: string;
        itemBorderRadius: string;
        borderRadius: string;
        iconColor: string;
        iconColorDisabled: string;
        itemFontSize: string;
        itemHeight: string;
        itemWidth: string;
        panelActionPadding: string;
    }, {
        Scrollbar: import("../../_mixins").Theme<"Scrollbar", {
            height: string;
            width: string;
            borderRadius: string;
            color: string;
            colorHover: string;
            railInsetHorizontalBottom: string;
            railInsetHorizontalTop: string;
            railInsetVerticalRight: string;
            railInsetVerticalLeft: string;
            railColor: string;
        }, any>;
        Button: import("../../_mixins").Theme<"Button", {
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            borderRadiusTiny: string;
            borderRadiusSmall: string;
            borderRadiusMedium: string;
            borderRadiusLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            colorPrimary: any;
            colorHoverPrimary: any;
            colorPressedPrimary: any;
            colorFocusPrimary: any;
            textColorPrimary: any;
            textColorHoverPrimary: any;
            textColorPressedPrimary: any;
            textColorFocusPrimary: any;
            textColorTextPrimary: any;
            textColorTextHoverPrimary: any;
            textColorTextPressedPrimary: any;
            textColorTextFocusPrimary: any;
            colorGhostHoverPrimary: any;
            textColorGhostPrimary: any;
            textColorGhostHoverPrimary: any;
            textColorGhostPressedPrimary: any;
            textColorGhostFocusPrimary: any;
            colorLighterPrimary: any;
            colorHoverLighterPrimary: any;
            colorPressedLighterPrimary: any;
            colorFocusLighterPrimary: any;
            textColorLighterPrimary: any;
            textColorLighterHoverPrimary: any;
            textColorLighterPressedPrimary: any;
            textColorLighterFocusPrimary: any;
            borderLighterHoverPrimary: string;
            borderLighterPressedPrimary: string;
            borderLighterFocusPrimary: string;
            colorStrokeHoverPrimary: any;
            colorStrokePressedPrimary: any;
            colorStrokeFocusPrimary: any;
            textColorStrokePrimary: any;
            textColorStrokeHoverPrimary: any;
            textColorStrokePressedPrimary: any;
            textColorStrokeFocusPrimary: any;
            borderStrokePrimary: string;
            borderStrokeHoverPrimary: string;
            borderStrokePressedPrimary: string;
            borderStrokeFocusPrimary: string;
            borderPrimary: string;
            borderHoverPrimary: string;
            borderPressedPrimary: string;
            borderFocusPrimary: string;
            rippleColorPrimary: any;
            colorNeutral: any;
            colorHoverNeutral: any;
            colorPressedNeutral: any;
            colorFocusNeutral: any;
            textColorNeutral: string;
            textColorHoverNeutral: string;
            textColorPressedNeutral: string;
            textColorFocusNeutral: string;
            textColorTextNeutral: any;
            textColorTextHoverNeutral: any;
            textColorTextPressedNeutral: any;
            textColorTextFocusNeutral: any;
            colorGhostHoverNeutral: any;
            colorPressedNeutralGhost: any;
            colorFocusNeutralGhost: any;
            textColorGhostNeutral: any;
            textColorGhostHoverNeutral: any;
            textColorGhostPressedNeutral: any;
            textColorGhostFocusNeutral: any;
            colorLighterNeutral: any;
            colorPressedNeutralLighter: any;
            colorFocusNeutralLighter: any;
            textColorLighterNeutral: any;
            textColorLighterHoverNeutral: any;
            textColorLighterPressedNeutral: any;
            textColorLighterFocusNeutral: any;
            borderLighterHoverNeutral: string;
            borderLighterPressedNeutral: string;
            borderLighterFocusNeutral: string;
            colorStrokeHoverNeutral: any;
            colorStrokePressedNeutral: any;
            colorStrokeFocusNeutral: any;
            textColorStrokeNeutral: any;
            textColorStrokeHoverNeutral: any;
            textColorStrokePressedNeutral: any;
            textColorStrokeFocusNeutral: any;
            borderStrokeNeutral: string;
            borderStrokeHoverNeutral: string;
            borderStrokePressedNeutral: string;
            borderStrokeFocusNeutral: string;
            borderNeutral: string;
            borderHoverNeutral: string;
            borderPressedNeutral: string;
            borderFocusNeutral: string;
            rippleColorNeutral: any;
            colorSuccess: any;
            colorHoverSuccess: any;
            colorPressedSuccess: any;
            colorFocusSuccess: any;
            textColorSuccess: string;
            textColorHoverSuccess: string;
            textColorPressedSuccess: string;
            textColorFocusSuccess: string;
            textColorTextSuccess: any;
            textColorTextHoverSuccess: any;
            textColorTextPressedSuccess: any;
            textColorTextFocusSuccess: any;
            colorGhostHoverSuccess: any;
            textColorGhostSuccess: any;
            textColorGhostHoverSuccess: any;
            textColorGhostPressedSuccess: any;
            textColorGhostFocusSuccess: any;
            colorLighterSuccess: any;
            textColorLighterSuccess: any;
            textColorLighterHoverSuccess: any;
            textColorLighterPressedSuccess: any;
            textColorLighterFocusSuccess: any;
            borderLighterHoverSuccess: string;
            borderLighterPressedSuccess: string;
            borderLighterFocusSuccess: string;
            colorStrokeHoverSuccess: any;
            colorStrokePressedSuccess: any;
            colorStrokeFocusSuccess: any;
            textColorStrokeSuccess: any;
            textColorStrokeHoverSuccess: any;
            textColorStrokePressedSuccess: any;
            textColorStrokeFocusSuccess: any;
            borderStrokeSuccess: string;
            borderStrokeHoverSuccess: string;
            borderStrokePressedSuccess: string;
            borderStrokeFocusSuccess: string;
            borderSuccess: string;
            borderHoverSuccess: string;
            borderPressedSuccess: string;
            borderFocusSuccess: string;
            rippleColorSuccess: any;
            colorWarning: any;
            colorHoverWarning: any;
            colorPressedWarning: any;
            colorFocusWarning: any;
            textColorWarning: string;
            textColorHoverWarning: string;
            textColorPressedWarning: string;
            textColorFocusWarning: string;
            textColorTextWarning: any;
            textColorTextHoverWarning: any;
            textColorTextPressedWarning: any;
            textColorTextFocusWarning: any;
            colorGhostHoverWarning: any;
            textColorGhostWarning: any;
            textColorGhostHoverWarning: any;
            textColorGhostPressedWarning: any;
            textColorGhostFocusWarning: any;
            colorLighterWarning: any;
            textColorLighterWarning: any;
            textColorLighterHoverWarning: any;
            textColorLighterPressedWarning: any;
            textColorLighterFocusWarning: any;
            borderLighterHoverWarning: string;
            borderLighterPressedWarning: string;
            borderLighterFocusWarning: string;
            colorStrokeHoverWarning: any;
            colorStrokePressedWarning: any;
            colorStrokeFocusWarning: any;
            textColorStrokeWarning: any;
            textColorStrokeHoverWarning: any;
            textColorStrokePressedWarning: any;
            textColorStrokeFocusWarning: any;
            borderStrokeWarning: string;
            borderStrokeHoverWarning: string;
            borderStrokePressedWarning: string;
            borderStrokeFocusWarning: string;
            borderWarning: string;
            borderHoverWarning: string;
            borderPressedWarning: string;
            borderFocusWarning: string;
            rippleColorWarning: any;
            colorError: any;
            colorHoverError: any;
            colorPressedError: any;
            colorFocusError: any;
            textColorError: string;
            textColorHoverError: string;
            textColorPressedError: string;
            textColorFocusError: string;
            textColorTextError: any;
            textColorTextHoverError: any;
            textColorTextPressedError: any;
            textColorTextFocusError: any;
            colorGhostHoverError: any;
            textColorGhostError: any;
            textColorGhostHoverError: any;
            textColorGhostPressedError: any;
            textColorGhostFocusError: any;
            colorLighterError: any;
            textColorLighterError: any;
            textColorLighterHoverError: any;
            textColorLighterPressedError: any;
            textColorLighterFocusError: any;
            borderLighterHoverError: string;
            borderLighterPressedError: string;
            borderLighterFocusError: string;
            colorStrokeHoverError: any;
            colorStrokePressedError: any;
            colorStrokeFocusError: any;
            textColorStrokeError: any;
            textColorStrokeHoverError: any;
            textColorStrokePressedError: any;
            textColorStrokeFocusError: any;
            borderStrokeError: string;
            borderStrokeHoverError: string;
            borderStrokePressedError: string;
            borderStrokeFocusError: string;
            borderError: string;
            borderHoverError: string;
            borderPressedError: string;
            borderFocusError: string;
            rippleColorError: any;
            waveOpacity: string;
            fontWeight: string;
            fontWeightStrong: string;
            opacityDisabled: string;
            colorDisabled: any;
            textColorDisabled: any;
            iconColorDisabled: any;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            paddingRoundTiny: string;
            paddingRoundSmall: string;
            paddingRoundMedium: string;
            paddingRoundLarge: string;
            iconMarginTiny: string;
            iconMarginSmall: string;
            iconMarginMedium: string;
            iconMarginLarge: string;
            iconSizeTiny: string;
            iconSizeSmall: string;
            iconSizeMedium: string;
            iconSizeLarge: string;
            rippleDuration: string;
        }, any>;
        Input: import("../../_mixins").Theme<"Input", {
            fontWeight: string;
            countTextColorDisabled: string;
            countTextColor: string;
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            lineHeight: string;
            lineHeightTextarea: string;
            borderRadius: string;
            iconSize: string;
            groupLabelColor: string;
            groupLabelTextColor: any;
            textColor: any;
            textColorDisabled: string;
            textDecorationColor: any;
            caretColor: any;
            placeholderColor: string;
            placeholderColorDisabled: string;
            color: string;
            colorDisabled: string;
            colorFocus: string;
            colorHover: any;
            groupLabelBorder: string;
            border: string;
            borderHover: string;
            borderDisabled: string;
            borderFocus: string;
            boxShadowFocus: string;
            loadingColor: any;
            loadingColorWarning: any;
            borderWarning: string;
            borderHoverWarning: string;
            colorFocusWarning: string;
            borderFocusWarning: string;
            boxShadowFocusWarning: string;
            caretColorWarning: any;
            loadingColorError: any;
            borderError: string;
            borderHoverError: string;
            colorFocusError: string;
            borderFocusError: string;
            boxShadowFocusError: string;
            caretColorError: any;
            clearColor: string;
            clearColorHover: string;
            clearColorPressed: string;
            iconColor: string;
            iconColorDisabled: string;
            iconColorHover: string;
            iconColorPressed: string;
            suffixTextColor: string;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            clearSize: string;
        }, any>;
    }>>;
    themeOverrides: PropType<import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"TimePicker", {
        panelColor: string;
        panelBoxShadow: string;
        panelDividerColor: any;
        itemTextColor: string;
        itemTextColorActive: any;
        itemColorHover: string;
        itemOpacityDisabled: string;
        itemBorderRadius: string;
        borderRadius: string;
        iconColor: string;
        iconColorDisabled: string;
        itemFontSize: string;
        itemHeight: string;
        itemWidth: string;
        panelActionPadding: string;
    }, {
        Scrollbar: import("../../_mixins").Theme<"Scrollbar", {
            height: string;
            width: string;
            borderRadius: string;
            color: string;
            colorHover: string;
            railInsetHorizontalBottom: string;
            railInsetHorizontalTop: string;
            railInsetVerticalRight: string;
            railInsetVerticalLeft: string;
            railColor: string;
        }, any>;
        Button: import("../../_mixins").Theme<"Button", {
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            borderRadiusTiny: string;
            borderRadiusSmall: string;
            borderRadiusMedium: string;
            borderRadiusLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            colorPrimary: any;
            colorHoverPrimary: any;
            colorPressedPrimary: any;
            colorFocusPrimary: any;
            textColorPrimary: any;
            textColorHoverPrimary: any;
            textColorPressedPrimary: any;
            textColorFocusPrimary: any;
            textColorTextPrimary: any;
            textColorTextHoverPrimary: any;
            textColorTextPressedPrimary: any;
            textColorTextFocusPrimary: any;
            colorGhostHoverPrimary: any;
            textColorGhostPrimary: any;
            textColorGhostHoverPrimary: any;
            textColorGhostPressedPrimary: any;
            textColorGhostFocusPrimary: any;
            colorLighterPrimary: any;
            colorHoverLighterPrimary: any;
            colorPressedLighterPrimary: any;
            colorFocusLighterPrimary: any;
            textColorLighterPrimary: any;
            textColorLighterHoverPrimary: any;
            textColorLighterPressedPrimary: any;
            textColorLighterFocusPrimary: any;
            borderLighterHoverPrimary: string;
            borderLighterPressedPrimary: string;
            borderLighterFocusPrimary: string;
            colorStrokeHoverPrimary: any;
            colorStrokePressedPrimary: any;
            colorStrokeFocusPrimary: any;
            textColorStrokePrimary: any;
            textColorStrokeHoverPrimary: any;
            textColorStrokePressedPrimary: any;
            textColorStrokeFocusPrimary: any;
            borderStrokePrimary: string;
            borderStrokeHoverPrimary: string;
            borderStrokePressedPrimary: string;
            borderStrokeFocusPrimary: string;
            borderPrimary: string;
            borderHoverPrimary: string;
            borderPressedPrimary: string;
            borderFocusPrimary: string;
            rippleColorPrimary: any;
            colorNeutral: any;
            colorHoverNeutral: any;
            colorPressedNeutral: any;
            colorFocusNeutral: any;
            textColorNeutral: string;
            textColorHoverNeutral: string;
            textColorPressedNeutral: string;
            textColorFocusNeutral: string;
            textColorTextNeutral: any;
            textColorTextHoverNeutral: any;
            textColorTextPressedNeutral: any;
            textColorTextFocusNeutral: any;
            colorGhostHoverNeutral: any;
            colorPressedNeutralGhost: any;
            colorFocusNeutralGhost: any;
            textColorGhostNeutral: any;
            textColorGhostHoverNeutral: any;
            textColorGhostPressedNeutral: any;
            textColorGhostFocusNeutral: any;
            colorLighterNeutral: any;
            colorPressedNeutralLighter: any;
            colorFocusNeutralLighter: any;
            textColorLighterNeutral: any;
            textColorLighterHoverNeutral: any;
            textColorLighterPressedNeutral: any;
            textColorLighterFocusNeutral: any;
            borderLighterHoverNeutral: string;
            borderLighterPressedNeutral: string;
            borderLighterFocusNeutral: string;
            colorStrokeHoverNeutral: any;
            colorStrokePressedNeutral: any;
            colorStrokeFocusNeutral: any;
            textColorStrokeNeutral: any;
            textColorStrokeHoverNeutral: any;
            textColorStrokePressedNeutral: any;
            textColorStrokeFocusNeutral: any;
            borderStrokeNeutral: string;
            borderStrokeHoverNeutral: string;
            borderStrokePressedNeutral: string;
            borderStrokeFocusNeutral: string;
            borderNeutral: string;
            borderHoverNeutral: string;
            borderPressedNeutral: string;
            borderFocusNeutral: string;
            rippleColorNeutral: any;
            colorSuccess: any;
            colorHoverSuccess: any;
            colorPressedSuccess: any;
            colorFocusSuccess: any;
            textColorSuccess: string;
            textColorHoverSuccess: string;
            textColorPressedSuccess: string;
            textColorFocusSuccess: string;
            textColorTextSuccess: any;
            textColorTextHoverSuccess: any;
            textColorTextPressedSuccess: any;
            textColorTextFocusSuccess: any;
            colorGhostHoverSuccess: any;
            textColorGhostSuccess: any;
            textColorGhostHoverSuccess: any;
            textColorGhostPressedSuccess: any;
            textColorGhostFocusSuccess: any;
            colorLighterSuccess: any;
            textColorLighterSuccess: any;
            textColorLighterHoverSuccess: any;
            textColorLighterPressedSuccess: any;
            textColorLighterFocusSuccess: any;
            borderLighterHoverSuccess: string;
            borderLighterPressedSuccess: string;
            borderLighterFocusSuccess: string;
            colorStrokeHoverSuccess: any;
            colorStrokePressedSuccess: any;
            colorStrokeFocusSuccess: any;
            textColorStrokeSuccess: any;
            textColorStrokeHoverSuccess: any;
            textColorStrokePressedSuccess: any;
            textColorStrokeFocusSuccess: any;
            borderStrokeSuccess: string;
            borderStrokeHoverSuccess: string;
            borderStrokePressedSuccess: string;
            borderStrokeFocusSuccess: string;
            borderSuccess: string;
            borderHoverSuccess: string;
            borderPressedSuccess: string;
            borderFocusSuccess: string;
            rippleColorSuccess: any;
            colorWarning: any;
            colorHoverWarning: any;
            colorPressedWarning: any;
            colorFocusWarning: any;
            textColorWarning: string;
            textColorHoverWarning: string;
            textColorPressedWarning: string;
            textColorFocusWarning: string;
            textColorTextWarning: any;
            textColorTextHoverWarning: any;
            textColorTextPressedWarning: any;
            textColorTextFocusWarning: any;
            colorGhostHoverWarning: any;
            textColorGhostWarning: any;
            textColorGhostHoverWarning: any;
            textColorGhostPressedWarning: any;
            textColorGhostFocusWarning: any;
            colorLighterWarning: any;
            textColorLighterWarning: any;
            textColorLighterHoverWarning: any;
            textColorLighterPressedWarning: any;
            textColorLighterFocusWarning: any;
            borderLighterHoverWarning: string;
            borderLighterPressedWarning: string;
            borderLighterFocusWarning: string;
            colorStrokeHoverWarning: any;
            colorStrokePressedWarning: any;
            colorStrokeFocusWarning: any;
            textColorStrokeWarning: any;
            textColorStrokeHoverWarning: any;
            textColorStrokePressedWarning: any;
            textColorStrokeFocusWarning: any;
            borderStrokeWarning: string;
            borderStrokeHoverWarning: string;
            borderStrokePressedWarning: string;
            borderStrokeFocusWarning: string;
            borderWarning: string;
            borderHoverWarning: string;
            borderPressedWarning: string;
            borderFocusWarning: string;
            rippleColorWarning: any;
            colorError: any;
            colorHoverError: any;
            colorPressedError: any;
            colorFocusError: any;
            textColorError: string;
            textColorHoverError: string;
            textColorPressedError: string;
            textColorFocusError: string;
            textColorTextError: any;
            textColorTextHoverError: any;
            textColorTextPressedError: any;
            textColorTextFocusError: any;
            colorGhostHoverError: any;
            textColorGhostError: any;
            textColorGhostHoverError: any;
            textColorGhostPressedError: any;
            textColorGhostFocusError: any;
            colorLighterError: any;
            textColorLighterError: any;
            textColorLighterHoverError: any;
            textColorLighterPressedError: any;
            textColorLighterFocusError: any;
            borderLighterHoverError: string;
            borderLighterPressedError: string;
            borderLighterFocusError: string;
            colorStrokeHoverError: any;
            colorStrokePressedError: any;
            colorStrokeFocusError: any;
            textColorStrokeError: any;
            textColorStrokeHoverError: any;
            textColorStrokePressedError: any;
            textColorStrokeFocusError: any;
            borderStrokeError: string;
            borderStrokeHoverError: string;
            borderStrokePressedError: string;
            borderStrokeFocusError: string;
            borderError: string;
            borderHoverError: string;
            borderPressedError: string;
            borderFocusError: string;
            rippleColorError: any;
            waveOpacity: string;
            fontWeight: string;
            fontWeightStrong: string;
            opacityDisabled: string;
            colorDisabled: any;
            textColorDisabled: any;
            iconColorDisabled: any;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            paddingRoundTiny: string;
            paddingRoundSmall: string;
            paddingRoundMedium: string;
            paddingRoundLarge: string;
            iconMarginTiny: string;
            iconMarginSmall: string;
            iconMarginMedium: string;
            iconMarginLarge: string;
            iconSizeTiny: string;
            iconSizeSmall: string;
            iconSizeMedium: string;
            iconSizeLarge: string;
            rippleDuration: string;
        }, any>;
        Input: import("../../_mixins").Theme<"Input", {
            fontWeight: string;
            countTextColorDisabled: string;
            countTextColor: string;
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            lineHeight: string;
            lineHeightTextarea: string;
            borderRadius: string;
            iconSize: string;
            groupLabelColor: string;
            groupLabelTextColor: any;
            textColor: any;
            textColorDisabled: string;
            textDecorationColor: any;
            caretColor: any;
            placeholderColor: string;
            placeholderColorDisabled: string;
            color: string;
            colorDisabled: string;
            colorFocus: string;
            colorHover: any;
            groupLabelBorder: string;
            border: string;
            borderHover: string;
            borderDisabled: string;
            borderFocus: string;
            boxShadowFocus: string;
            loadingColor: any;
            loadingColorWarning: any;
            borderWarning: string;
            borderHoverWarning: string;
            colorFocusWarning: string;
            borderFocusWarning: string;
            boxShadowFocusWarning: string;
            caretColorWarning: any;
            loadingColorError: any;
            borderError: string;
            borderHoverError: string;
            colorFocusError: string;
            borderFocusError: string;
            boxShadowFocusError: string;
            caretColorError: any;
            clearColor: string;
            clearColorHover: string;
            clearColorPressed: string;
            iconColor: string;
            iconColorDisabled: string;
            iconColorHover: string;
            iconColorPressed: string;
            suffixTextColor: string;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            clearSize: string;
        }, any>;
    }>>>;
    builtinThemeOverrides: PropType<import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"TimePicker", {
        panelColor: string;
        panelBoxShadow: string;
        panelDividerColor: any;
        itemTextColor: string;
        itemTextColorActive: any;
        itemColorHover: string;
        itemOpacityDisabled: string;
        itemBorderRadius: string;
        borderRadius: string;
        iconColor: string;
        iconColorDisabled: string;
        itemFontSize: string;
        itemHeight: string;
        itemWidth: string;
        panelActionPadding: string;
    }, {
        Scrollbar: import("../../_mixins").Theme<"Scrollbar", {
            height: string;
            width: string;
            borderRadius: string;
            color: string;
            colorHover: string;
            railInsetHorizontalBottom: string;
            railInsetHorizontalTop: string;
            railInsetVerticalRight: string;
            railInsetVerticalLeft: string;
            railColor: string;
        }, any>;
        Button: import("../../_mixins").Theme<"Button", {
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            borderRadiusTiny: string;
            borderRadiusSmall: string;
            borderRadiusMedium: string;
            borderRadiusLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            colorPrimary: any;
            colorHoverPrimary: any;
            colorPressedPrimary: any;
            colorFocusPrimary: any;
            textColorPrimary: any;
            textColorHoverPrimary: any;
            textColorPressedPrimary: any;
            textColorFocusPrimary: any;
            textColorTextPrimary: any;
            textColorTextHoverPrimary: any;
            textColorTextPressedPrimary: any;
            textColorTextFocusPrimary: any;
            colorGhostHoverPrimary: any;
            textColorGhostPrimary: any;
            textColorGhostHoverPrimary: any;
            textColorGhostPressedPrimary: any;
            textColorGhostFocusPrimary: any;
            colorLighterPrimary: any;
            colorHoverLighterPrimary: any;
            colorPressedLighterPrimary: any;
            colorFocusLighterPrimary: any;
            textColorLighterPrimary: any;
            textColorLighterHoverPrimary: any;
            textColorLighterPressedPrimary: any;
            textColorLighterFocusPrimary: any;
            borderLighterHoverPrimary: string;
            borderLighterPressedPrimary: string;
            borderLighterFocusPrimary: string;
            colorStrokeHoverPrimary: any;
            colorStrokePressedPrimary: any;
            colorStrokeFocusPrimary: any;
            textColorStrokePrimary: any;
            textColorStrokeHoverPrimary: any;
            textColorStrokePressedPrimary: any;
            textColorStrokeFocusPrimary: any;
            borderStrokePrimary: string;
            borderStrokeHoverPrimary: string;
            borderStrokePressedPrimary: string;
            borderStrokeFocusPrimary: string;
            borderPrimary: string;
            borderHoverPrimary: string;
            borderPressedPrimary: string;
            borderFocusPrimary: string;
            rippleColorPrimary: any;
            colorNeutral: any;
            colorHoverNeutral: any;
            colorPressedNeutral: any;
            colorFocusNeutral: any;
            textColorNeutral: string;
            textColorHoverNeutral: string;
            textColorPressedNeutral: string;
            textColorFocusNeutral: string;
            textColorTextNeutral: any;
            textColorTextHoverNeutral: any;
            textColorTextPressedNeutral: any;
            textColorTextFocusNeutral: any;
            colorGhostHoverNeutral: any;
            colorPressedNeutralGhost: any;
            colorFocusNeutralGhost: any;
            textColorGhostNeutral: any;
            textColorGhostHoverNeutral: any;
            textColorGhostPressedNeutral: any;
            textColorGhostFocusNeutral: any;
            colorLighterNeutral: any;
            colorPressedNeutralLighter: any;
            colorFocusNeutralLighter: any;
            textColorLighterNeutral: any;
            textColorLighterHoverNeutral: any;
            textColorLighterPressedNeutral: any;
            textColorLighterFocusNeutral: any;
            borderLighterHoverNeutral: string;
            borderLighterPressedNeutral: string;
            borderLighterFocusNeutral: string;
            colorStrokeHoverNeutral: any;
            colorStrokePressedNeutral: any;
            colorStrokeFocusNeutral: any;
            textColorStrokeNeutral: any;
            textColorStrokeHoverNeutral: any;
            textColorStrokePressedNeutral: any;
            textColorStrokeFocusNeutral: any;
            borderStrokeNeutral: string;
            borderStrokeHoverNeutral: string;
            borderStrokePressedNeutral: string;
            borderStrokeFocusNeutral: string;
            borderNeutral: string;
            borderHoverNeutral: string;
            borderPressedNeutral: string;
            borderFocusNeutral: string;
            rippleColorNeutral: any;
            colorSuccess: any;
            colorHoverSuccess: any;
            colorPressedSuccess: any;
            colorFocusSuccess: any;
            textColorSuccess: string;
            textColorHoverSuccess: string;
            textColorPressedSuccess: string;
            textColorFocusSuccess: string;
            textColorTextSuccess: any;
            textColorTextHoverSuccess: any;
            textColorTextPressedSuccess: any;
            textColorTextFocusSuccess: any;
            colorGhostHoverSuccess: any;
            textColorGhostSuccess: any;
            textColorGhostHoverSuccess: any;
            textColorGhostPressedSuccess: any;
            textColorGhostFocusSuccess: any;
            colorLighterSuccess: any;
            textColorLighterSuccess: any;
            textColorLighterHoverSuccess: any;
            textColorLighterPressedSuccess: any;
            textColorLighterFocusSuccess: any;
            borderLighterHoverSuccess: string;
            borderLighterPressedSuccess: string;
            borderLighterFocusSuccess: string;
            colorStrokeHoverSuccess: any;
            colorStrokePressedSuccess: any;
            colorStrokeFocusSuccess: any;
            textColorStrokeSuccess: any;
            textColorStrokeHoverSuccess: any;
            textColorStrokePressedSuccess: any;
            textColorStrokeFocusSuccess: any;
            borderStrokeSuccess: string;
            borderStrokeHoverSuccess: string;
            borderStrokePressedSuccess: string;
            borderStrokeFocusSuccess: string;
            borderSuccess: string;
            borderHoverSuccess: string;
            borderPressedSuccess: string;
            borderFocusSuccess: string;
            rippleColorSuccess: any;
            colorWarning: any;
            colorHoverWarning: any;
            colorPressedWarning: any;
            colorFocusWarning: any;
            textColorWarning: string;
            textColorHoverWarning: string;
            textColorPressedWarning: string;
            textColorFocusWarning: string;
            textColorTextWarning: any;
            textColorTextHoverWarning: any;
            textColorTextPressedWarning: any;
            textColorTextFocusWarning: any;
            colorGhostHoverWarning: any;
            textColorGhostWarning: any;
            textColorGhostHoverWarning: any;
            textColorGhostPressedWarning: any;
            textColorGhostFocusWarning: any;
            colorLighterWarning: any;
            textColorLighterWarning: any;
            textColorLighterHoverWarning: any;
            textColorLighterPressedWarning: any;
            textColorLighterFocusWarning: any;
            borderLighterHoverWarning: string;
            borderLighterPressedWarning: string;
            borderLighterFocusWarning: string;
            colorStrokeHoverWarning: any;
            colorStrokePressedWarning: any;
            colorStrokeFocusWarning: any;
            textColorStrokeWarning: any;
            textColorStrokeHoverWarning: any;
            textColorStrokePressedWarning: any;
            textColorStrokeFocusWarning: any;
            borderStrokeWarning: string;
            borderStrokeHoverWarning: string;
            borderStrokePressedWarning: string;
            borderStrokeFocusWarning: string;
            borderWarning: string;
            borderHoverWarning: string;
            borderPressedWarning: string;
            borderFocusWarning: string;
            rippleColorWarning: any;
            colorError: any;
            colorHoverError: any;
            colorPressedError: any;
            colorFocusError: any;
            textColorError: string;
            textColorHoverError: string;
            textColorPressedError: string;
            textColorFocusError: string;
            textColorTextError: any;
            textColorTextHoverError: any;
            textColorTextPressedError: any;
            textColorTextFocusError: any;
            colorGhostHoverError: any;
            textColorGhostError: any;
            textColorGhostHoverError: any;
            textColorGhostPressedError: any;
            textColorGhostFocusError: any;
            colorLighterError: any;
            textColorLighterError: any;
            textColorLighterHoverError: any;
            textColorLighterPressedError: any;
            textColorLighterFocusError: any;
            borderLighterHoverError: string;
            borderLighterPressedError: string;
            borderLighterFocusError: string;
            colorStrokeHoverError: any;
            colorStrokePressedError: any;
            colorStrokeFocusError: any;
            textColorStrokeError: any;
            textColorStrokeHoverError: any;
            textColorStrokePressedError: any;
            textColorStrokeFocusError: any;
            borderStrokeError: string;
            borderStrokeHoverError: string;
            borderStrokePressedError: string;
            borderStrokeFocusError: string;
            borderError: string;
            borderHoverError: string;
            borderPressedError: string;
            borderFocusError: string;
            rippleColorError: any;
            waveOpacity: string;
            fontWeight: string;
            fontWeightStrong: string;
            opacityDisabled: string;
            colorDisabled: any;
            textColorDisabled: any;
            iconColorDisabled: any;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            paddingRoundTiny: string;
            paddingRoundSmall: string;
            paddingRoundMedium: string;
            paddingRoundLarge: string;
            iconMarginTiny: string;
            iconMarginSmall: string;
            iconMarginMedium: string;
            iconMarginLarge: string;
            iconSizeTiny: string;
            iconSizeSmall: string;
            iconSizeMedium: string;
            iconSizeLarge: string;
            rippleDuration: string;
        }, any>;
        Input: import("../../_mixins").Theme<"Input", {
            fontWeight: string;
            countTextColorDisabled: string;
            countTextColor: string;
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            lineHeight: string;
            lineHeightTextarea: string;
            borderRadius: string;
            iconSize: string;
            groupLabelColor: string;
            groupLabelTextColor: any;
            textColor: any;
            textColorDisabled: string;
            textDecorationColor: any;
            caretColor: any;
            placeholderColor: string;
            placeholderColorDisabled: string;
            color: string;
            colorDisabled: string;
            colorFocus: string;
            colorHover: any;
            groupLabelBorder: string;
            border: string;
            borderHover: string;
            borderDisabled: string;
            borderFocus: string;
            boxShadowFocus: string;
            loadingColor: any;
            loadingColorWarning: any;
            borderWarning: string;
            borderHoverWarning: string;
            colorFocusWarning: string;
            borderFocusWarning: string;
            boxShadowFocusWarning: string;
            caretColorWarning: any;
            loadingColorError: any;
            borderError: string;
            borderHoverError: string;
            colorFocusError: string;
            borderFocusError: string;
            boxShadowFocusError: string;
            caretColorError: any;
            clearColor: string;
            clearColorHover: string;
            clearColorPressed: string;
            iconColor: string;
            iconColorDisabled: string;
            iconColorHover: string;
            iconColorPressed: string;
            suffixTextColor: string;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            clearSize: string;
        }, any>;
    }>>>;
}>, {
    focus: () => void;
    blur: () => void;
    mergedStatus: import("vue").ComputedRef<FormValidationStatus | undefined>;
    mergedBordered: import("vue").ComputedRef<boolean>;
    mergedClsPrefix: import("vue").Ref<string, string>;
    namespace: import("vue").ComputedRef<string | undefined>;
    uncontrolledValue: import("vue").Ref<number | null, number | null>;
    mergedValue: import("vue").ComputedRef<number | null>;
    isMounted: Readonly<import("vue").Ref<boolean, boolean>>;
    inputInstRef: import("vue").Ref<{
        wrapperElRef: HTMLElement | null;
        textareaElRef: HTMLTextAreaElement | null;
        inputElRef: HTMLInputElement | null;
        isCompositing: boolean;
        blur: () => void;
        clear: () => void;
        focus: () => void;
        select: () => void;
        activate: () => void;
        deactivate: () => void;
        scrollTo: (options: ScrollToOptions) => void;
    } | null, {
        wrapperElRef: HTMLElement | null;
        textareaElRef: HTMLTextAreaElement | null;
        inputElRef: HTMLInputElement | null;
        isCompositing: boolean;
        blur: () => void;
        clear: () => void;
        focus: () => void;
        select: () => void;
        activate: () => void;
        deactivate: () => void;
        scrollTo: (options: ScrollToOptions) => void;
    } | {
        wrapperElRef: HTMLElement | null;
        textareaElRef: HTMLTextAreaElement | null;
        inputElRef: HTMLInputElement | null;
        isCompositing: boolean;
        blur: () => void;
        clear: () => void;
        focus: () => void;
        select: () => void;
        activate: () => void;
        deactivate: () => void;
        scrollTo: (options: ScrollToOptions) => void;
    } | null>;
    panelInstRef: import("vue").Ref<{
        $el: HTMLElement;
        hourScrollRef?: {
            $el: HTMLElement;
            containerRef: HTMLElement | null;
            contentRef: HTMLElement | null;
            containerScrollTop: number;
            syncUnifiedContainer: () => void;
            scrollTo: import("../../_internal/scrollbar/src/Scrollbar").ScrollTo;
            scrollBy: import("../../_internal/scrollbar/src/Scrollbar").ScrollBy;
            sync: () => void;
            handleMouseEnterWrapper: () => void;
            handleMouseLeaveWrapper: () => void;
        } | undefined;
        minuteScrollRef?: {
            $el: HTMLElement;
            containerRef: HTMLElement | null;
            contentRef: HTMLElement | null;
            containerScrollTop: number;
            syncUnifiedContainer: () => void;
            scrollTo: import("../../_internal/scrollbar/src/Scrollbar").ScrollTo;
            scrollBy: import("../../_internal/scrollbar/src/Scrollbar").ScrollBy;
            sync: () => void;
            handleMouseEnterWrapper: () => void;
            handleMouseLeaveWrapper: () => void;
        } | undefined;
        secondScrollRef?: {
            $el: HTMLElement;
            containerRef: HTMLElement | null;
            contentRef: HTMLElement | null;
            containerScrollTop: number;
            syncUnifiedContainer: () => void;
            scrollTo: import("../../_internal/scrollbar/src/Scrollbar").ScrollTo;
            scrollBy: import("../../_internal/scrollbar/src/Scrollbar").ScrollBy;
            sync: () => void;
            handleMouseEnterWrapper: () => void;
            handleMouseLeaveWrapper: () => void;
        } | undefined;
        amPmScrollRef?: {
            $el: HTMLElement;
            containerRef: HTMLElement | null;
            contentRef: HTMLElement | null;
            containerScrollTop: number;
            syncUnifiedContainer: () => void;
            scrollTo: import("../../_internal/scrollbar/src/Scrollbar").ScrollTo;
            scrollBy: import("../../_internal/scrollbar/src/Scrollbar").ScrollBy;
            sync: () => void;
            handleMouseEnterWrapper: () => void;
            handleMouseLeaveWrapper: () => void;
        } | undefined;
    } | null, PanelRef | {
        $el: HTMLElement;
        hourScrollRef?: {
            $el: HTMLElement;
            containerRef: HTMLElement | null;
            contentRef: HTMLElement | null;
            containerScrollTop: number;
            syncUnifiedContainer: () => void;
            scrollTo: import("../../_internal/scrollbar/src/Scrollbar").ScrollTo;
            scrollBy: import("../../_internal/scrollbar/src/Scrollbar").ScrollBy;
            sync: () => void;
            handleMouseEnterWrapper: () => void;
            handleMouseLeaveWrapper: () => void;
        } | undefined;
        minuteScrollRef?: {
            $el: HTMLElement;
            containerRef: HTMLElement | null;
            contentRef: HTMLElement | null;
            containerScrollTop: number;
            syncUnifiedContainer: () => void;
            scrollTo: import("../../_internal/scrollbar/src/Scrollbar").ScrollTo;
            scrollBy: import("../../_internal/scrollbar/src/Scrollbar").ScrollBy;
            sync: () => void;
            handleMouseEnterWrapper: () => void;
            handleMouseLeaveWrapper: () => void;
        } | undefined;
        secondScrollRef?: {
            $el: HTMLElement;
            containerRef: HTMLElement | null;
            contentRef: HTMLElement | null;
            containerScrollTop: number;
            syncUnifiedContainer: () => void;
            scrollTo: import("../../_internal/scrollbar/src/Scrollbar").ScrollTo;
            scrollBy: import("../../_internal/scrollbar/src/Scrollbar").ScrollBy;
            sync: () => void;
            handleMouseEnterWrapper: () => void;
            handleMouseLeaveWrapper: () => void;
        } | undefined;
        amPmScrollRef?: {
            $el: HTMLElement;
            containerRef: HTMLElement | null;
            contentRef: HTMLElement | null;
            containerScrollTop: number;
            syncUnifiedContainer: () => void;
            scrollTo: import("../../_internal/scrollbar/src/Scrollbar").ScrollTo;
            scrollBy: import("../../_internal/scrollbar/src/Scrollbar").ScrollBy;
            sync: () => void;
            handleMouseEnterWrapper: () => void;
            handleMouseLeaveWrapper: () => void;
        } | undefined;
    } | null>;
    adjustedTo: import("vue").ComputedRef<string | HTMLElement>;
    mergedShow: import("vue").ComputedRef<boolean>;
    localizedClear: import("vue").ComputedRef<string>;
    localizedNow: import("vue").ComputedRef<string>;
    localizedPlaceholder: import("vue").ComputedRef<string>;
    localizedNegativeText: import("vue").ComputedRef<string>;
    localizedPositiveText: import("vue").ComputedRef<string>;
    hourInFormat: import("vue").ComputedRef<boolean>;
    minuteInFormat: import("vue").ComputedRef<boolean>;
    secondInFormat: import("vue").ComputedRef<boolean>;
    mergedAttrSize: import("vue").ComputedRef<number>;
    displayTimeString: import("vue").Ref<string, string>;
    mergedSize: import("vue").ComputedRef<"small" | "medium" | "large">;
    mergedDisabled: import("vue").ComputedRef<boolean>;
    isValueInvalid: import("vue").ComputedRef<boolean>;
    isHourInvalid: import("vue").ComputedRef<boolean>;
    isMinuteInvalid: import("vue").ComputedRef<boolean>;
    isSecondInvalid: import("vue").ComputedRef<boolean>;
    transitionDisabled: import("vue").Ref<boolean, boolean>;
    hourValue: import("vue").ComputedRef<number | null>;
    minuteValue: import("vue").ComputedRef<number | null>;
    secondValue: import("vue").ComputedRef<number | null>;
    amPmValue: import("vue").ComputedRef<"am" | "pm" | null>;
    handleInputKeydown: (e: KeyboardEvent) => void;
    handleTimeInputFocus: (e: FocusEvent) => void;
    handleTimeInputBlur: (e: FocusEvent) => void;
    handleNowClick: () => void;
    handleConfirmClick: () => void;
    handleTimeInputUpdateValue: (v: string) => void;
    handleMenuFocusOut: (e: FocusEvent) => void;
    handleCancelClick: () => void;
    handleClickOutside: (e: MouseEvent) => void;
    handleTimeInputActivate: () => void;
    handleTimeInputDeactivate: () => void;
    handleHourClick: (hour: ItemValue) => void;
    handleMinuteClick: (minute: ItemValue) => void;
    handleSecondClick: (second: ItemValue) => void;
    handleAmPmClick: (amPm: ItemValue) => void;
    handleTimeInputClear: (e: MouseEvent) => void;
    handleFocusDetectorFocus: () => void;
    handleMenuKeydown: (e: KeyboardEvent) => void;
    handleTriggerClick: (e: MouseEvent) => void;
    mergedTheme: import("vue").ComputedRef<{
        common: import("../..").ThemeCommonVars;
        self: {
            panelColor: string;
            panelBoxShadow: string;
            panelDividerColor: any;
            itemTextColor: string;
            itemTextColorActive: any;
            itemColorHover: string;
            itemOpacityDisabled: string;
            itemBorderRadius: string;
            borderRadius: string;
            iconColor: string;
            iconColorDisabled: string;
            itemFontSize: string;
            itemHeight: string;
            itemWidth: string;
            panelActionPadding: string;
        };
        peers: {
            Scrollbar: import("../../_mixins").Theme<"Scrollbar", {
                height: string;
                width: string;
                borderRadius: string;
                color: string;
                colorHover: string;
                railInsetHorizontalBottom: string;
                railInsetHorizontalTop: string;
                railInsetVerticalRight: string;
                railInsetVerticalLeft: string;
                railColor: string;
            }, any>;
            Button: import("../../_mixins").Theme<"Button", {
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                borderRadiusTiny: string;
                borderRadiusSmall: string;
                borderRadiusMedium: string;
                borderRadiusLarge: string;
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                colorPrimary: any;
                colorHoverPrimary: any;
                colorPressedPrimary: any;
                colorFocusPrimary: any;
                textColorPrimary: any;
                textColorHoverPrimary: any;
                textColorPressedPrimary: any;
                textColorFocusPrimary: any;
                textColorTextPrimary: any;
                textColorTextHoverPrimary: any;
                textColorTextPressedPrimary: any;
                textColorTextFocusPrimary: any;
                colorGhostHoverPrimary: any;
                textColorGhostPrimary: any;
                textColorGhostHoverPrimary: any;
                textColorGhostPressedPrimary: any;
                textColorGhostFocusPrimary: any;
                colorLighterPrimary: any;
                colorHoverLighterPrimary: any;
                colorPressedLighterPrimary: any;
                colorFocusLighterPrimary: any;
                textColorLighterPrimary: any;
                textColorLighterHoverPrimary: any;
                textColorLighterPressedPrimary: any;
                textColorLighterFocusPrimary: any;
                borderLighterHoverPrimary: string;
                borderLighterPressedPrimary: string;
                borderLighterFocusPrimary: string;
                colorStrokeHoverPrimary: any;
                colorStrokePressedPrimary: any;
                colorStrokeFocusPrimary: any;
                textColorStrokePrimary: any;
                textColorStrokeHoverPrimary: any;
                textColorStrokePressedPrimary: any;
                textColorStrokeFocusPrimary: any;
                borderStrokePrimary: string;
                borderStrokeHoverPrimary: string;
                borderStrokePressedPrimary: string;
                borderStrokeFocusPrimary: string;
                borderPrimary: string;
                borderHoverPrimary: string;
                borderPressedPrimary: string;
                borderFocusPrimary: string;
                rippleColorPrimary: any;
                colorNeutral: any;
                colorHoverNeutral: any;
                colorPressedNeutral: any;
                colorFocusNeutral: any;
                textColorNeutral: string;
                textColorHoverNeutral: string;
                textColorPressedNeutral: string;
                textColorFocusNeutral: string;
                textColorTextNeutral: any;
                textColorTextHoverNeutral: any;
                textColorTextPressedNeutral: any;
                textColorTextFocusNeutral: any;
                colorGhostHoverNeutral: any;
                colorPressedNeutralGhost: any;
                colorFocusNeutralGhost: any;
                textColorGhostNeutral: any;
                textColorGhostHoverNeutral: any;
                textColorGhostPressedNeutral: any;
                textColorGhostFocusNeutral: any;
                colorLighterNeutral: any;
                colorPressedNeutralLighter: any;
                colorFocusNeutralLighter: any;
                textColorLighterNeutral: any;
                textColorLighterHoverNeutral: any;
                textColorLighterPressedNeutral: any;
                textColorLighterFocusNeutral: any;
                borderLighterHoverNeutral: string;
                borderLighterPressedNeutral: string;
                borderLighterFocusNeutral: string;
                colorStrokeHoverNeutral: any;
                colorStrokePressedNeutral: any;
                colorStrokeFocusNeutral: any;
                textColorStrokeNeutral: any;
                textColorStrokeHoverNeutral: any;
                textColorStrokePressedNeutral: any;
                textColorStrokeFocusNeutral: any;
                borderStrokeNeutral: string;
                borderStrokeHoverNeutral: string;
                borderStrokePressedNeutral: string;
                borderStrokeFocusNeutral: string;
                borderNeutral: string;
                borderHoverNeutral: string;
                borderPressedNeutral: string;
                borderFocusNeutral: string;
                rippleColorNeutral: any;
                colorSuccess: any;
                colorHoverSuccess: any;
                colorPressedSuccess: any;
                colorFocusSuccess: any;
                textColorSuccess: string;
                textColorHoverSuccess: string;
                textColorPressedSuccess: string;
                textColorFocusSuccess: string;
                textColorTextSuccess: any;
                textColorTextHoverSuccess: any;
                textColorTextPressedSuccess: any;
                textColorTextFocusSuccess: any;
                colorGhostHoverSuccess: any;
                textColorGhostSuccess: any;
                textColorGhostHoverSuccess: any;
                textColorGhostPressedSuccess: any;
                textColorGhostFocusSuccess: any;
                colorLighterSuccess: any;
                textColorLighterSuccess: any;
                textColorLighterHoverSuccess: any;
                textColorLighterPressedSuccess: any;
                textColorLighterFocusSuccess: any;
                borderLighterHoverSuccess: string;
                borderLighterPressedSuccess: string;
                borderLighterFocusSuccess: string;
                colorStrokeHoverSuccess: any;
                colorStrokePressedSuccess: any;
                colorStrokeFocusSuccess: any;
                textColorStrokeSuccess: any;
                textColorStrokeHoverSuccess: any;
                textColorStrokePressedSuccess: any;
                textColorStrokeFocusSuccess: any;
                borderStrokeSuccess: string;
                borderStrokeHoverSuccess: string;
                borderStrokePressedSuccess: string;
                borderStrokeFocusSuccess: string;
                borderSuccess: string;
                borderHoverSuccess: string;
                borderPressedSuccess: string;
                borderFocusSuccess: string;
                rippleColorSuccess: any;
                colorWarning: any;
                colorHoverWarning: any;
                colorPressedWarning: any;
                colorFocusWarning: any;
                textColorWarning: string;
                textColorHoverWarning: string;
                textColorPressedWarning: string;
                textColorFocusWarning: string;
                textColorTextWarning: any;
                textColorTextHoverWarning: any;
                textColorTextPressedWarning: any;
                textColorTextFocusWarning: any;
                colorGhostHoverWarning: any;
                textColorGhostWarning: any;
                textColorGhostHoverWarning: any;
                textColorGhostPressedWarning: any;
                textColorGhostFocusWarning: any;
                colorLighterWarning: any;
                textColorLighterWarning: any;
                textColorLighterHoverWarning: any;
                textColorLighterPressedWarning: any;
                textColorLighterFocusWarning: any;
                borderLighterHoverWarning: string;
                borderLighterPressedWarning: string;
                borderLighterFocusWarning: string;
                colorStrokeHoverWarning: any;
                colorStrokePressedWarning: any;
                colorStrokeFocusWarning: any;
                textColorStrokeWarning: any;
                textColorStrokeHoverWarning: any;
                textColorStrokePressedWarning: any;
                textColorStrokeFocusWarning: any;
                borderStrokeWarning: string;
                borderStrokeHoverWarning: string;
                borderStrokePressedWarning: string;
                borderStrokeFocusWarning: string;
                borderWarning: string;
                borderHoverWarning: string;
                borderPressedWarning: string;
                borderFocusWarning: string;
                rippleColorWarning: any;
                colorError: any;
                colorHoverError: any;
                colorPressedError: any;
                colorFocusError: any;
                textColorError: string;
                textColorHoverError: string;
                textColorPressedError: string;
                textColorFocusError: string;
                textColorTextError: any;
                textColorTextHoverError: any;
                textColorTextPressedError: any;
                textColorTextFocusError: any;
                colorGhostHoverError: any;
                textColorGhostError: any;
                textColorGhostHoverError: any;
                textColorGhostPressedError: any;
                textColorGhostFocusError: any;
                colorLighterError: any;
                textColorLighterError: any;
                textColorLighterHoverError: any;
                textColorLighterPressedError: any;
                textColorLighterFocusError: any;
                borderLighterHoverError: string;
                borderLighterPressedError: string;
                borderLighterFocusError: string;
                colorStrokeHoverError: any;
                colorStrokePressedError: any;
                colorStrokeFocusError: any;
                textColorStrokeError: any;
                textColorStrokeHoverError: any;
                textColorStrokePressedError: any;
                textColorStrokeFocusError: any;
                borderStrokeError: string;
                borderStrokeHoverError: string;
                borderStrokePressedError: string;
                borderStrokeFocusError: string;
                borderError: string;
                borderHoverError: string;
                borderPressedError: string;
                borderFocusError: string;
                rippleColorError: any;
                waveOpacity: string;
                fontWeight: string;
                fontWeightStrong: string;
                opacityDisabled: string;
                colorDisabled: any;
                textColorDisabled: any;
                iconColorDisabled: any;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                paddingRoundTiny: string;
                paddingRoundSmall: string;
                paddingRoundMedium: string;
                paddingRoundLarge: string;
                iconMarginTiny: string;
                iconMarginSmall: string;
                iconMarginMedium: string;
                iconMarginLarge: string;
                iconSizeTiny: string;
                iconSizeSmall: string;
                iconSizeMedium: string;
                iconSizeLarge: string;
                rippleDuration: string;
            }, any>;
            Input: import("../../_mixins").Theme<"Input", {
                fontWeight: string;
                countTextColorDisabled: string;
                countTextColor: string;
                heightTiny: string;
                heightSmall: string;
                heightMedium: string;
                heightLarge: string;
                fontSizeTiny: string;
                fontSizeSmall: string;
                fontSizeMedium: string;
                fontSizeLarge: string;
                lineHeight: string;
                lineHeightTextarea: string;
                borderRadius: string;
                iconSize: string;
                groupLabelColor: string;
                groupLabelTextColor: any;
                textColor: any;
                textColorDisabled: string;
                textDecorationColor: any;
                caretColor: any;
                placeholderColor: string;
                placeholderColorDisabled: string;
                color: string;
                colorDisabled: string;
                colorFocus: string;
                colorHover: any;
                groupLabelBorder: string;
                border: string;
                borderHover: string;
                borderDisabled: string;
                borderFocus: string;
                boxShadowFocus: string;
                loadingColor: any;
                loadingColorWarning: any;
                borderWarning: string;
                borderHoverWarning: string;
                colorFocusWarning: string;
                borderFocusWarning: string;
                boxShadowFocusWarning: string;
                caretColorWarning: any;
                loadingColorError: any;
                borderError: string;
                borderHoverError: string;
                colorFocusError: string;
                borderFocusError: string;
                boxShadowFocusError: string;
                caretColorError: any;
                clearColor: string;
                clearColorHover: string;
                clearColorPressed: string;
                iconColor: string;
                iconColorDisabled: string;
                iconColorHover: string;
                iconColorPressed: string;
                suffixTextColor: string;
                paddingTiny: string;
                paddingSmall: string;
                paddingMedium: string;
                paddingLarge: string;
                clearSize: string;
            }, any>;
        };
        peerOverrides: {
            Scrollbar?: {
                peers?: {
                    [x: string]: any;
                } | undefined;
            } | undefined;
            Button?: {
                peers?: {
                    [x: string]: any;
                } | undefined;
            } | undefined;
            Input?: {
                peers?: {
                    [x: string]: any;
                } | undefined;
            } | undefined;
        };
    }>;
    triggerCssVars: import("vue").ComputedRef<{
        '--n-icon-color-override': string;
        '--n-icon-color-disabled-override': string;
        '--n-bezier': string;
    }> | undefined;
    triggerThemeClass: import("vue").Ref<string, string> | undefined;
    triggerOnRender: (() => void) | undefined;
    cssVars: import("vue").ComputedRef<{
        '--n-bezier': string;
        '--n-border-radius': string;
        '--n-item-color-hover': string;
        '--n-item-font-size': string;
        '--n-item-height': string;
        '--n-item-opacity-disabled': string;
        '--n-item-text-color': string;
        '--n-item-text-color-active': any;
        '--n-item-width': string;
        '--n-panel-action-padding': string;
        '--n-panel-box-shadow': string;
        '--n-panel-color': string;
        '--n-panel-divider-color': any;
        '--n-item-border-radius': string;
    }> | undefined;
    themeClass: import("vue").Ref<string, string> | undefined;
    onRender: (() => void) | undefined;
    clearSelectedValue: () => void;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    to: {
        type: PropType<HTMLElement | string | boolean>;
        default: undefined;
    };
    bordered: {
        type: PropType<boolean | undefined>;
        default: undefined;
    };
    actions: PropType<Array<"clear" | "now" | "confirm"> | null>;
    defaultValue: {
        type: PropType<number | null>;
        default: null;
    };
    defaultFormattedValue: StringConstructor;
    placeholder: StringConstructor;
    placement: {
        type: PropType<FollowerPlacement>;
        default: string;
    };
    value: PropType<number | null>;
    format: {
        type: StringConstructor;
        default: string;
    };
    valueFormat: StringConstructor;
    formattedValue: PropType<string | null>;
    isHourDisabled: PropType<IsHourDisabled>;
    size: PropType<Size>;
    isMinuteDisabled: PropType<IsMinuteDisabled>;
    isSecondDisabled: PropType<IsSecondDisabled>;
    inputReadonly: BooleanConstructor;
    clearable: BooleanConstructor;
    status: PropType<FormValidationStatus>;
    'onUpdate:value': PropType<MaybeArray<OnUpdateValue>>;
    onUpdateValue: PropType<MaybeArray<OnUpdateValue>>;
    'onUpdate:show': PropType<MaybeArray<(show: boolean) => void>>;
    onUpdateShow: PropType<MaybeArray<(show: boolean) => void>>;
    onUpdateFormattedValue: PropType<MaybeArray<OnUpdateFormattedValue>>;
    'onUpdate:formattedValue': PropType<MaybeArray<OnUpdateFormattedValue>>;
    onBlur: PropType<MaybeArray<(e: FocusEvent) => void>>;
    onConfirm: PropType<MaybeArray<(value: number & null, formattedValue: string & null) => void>>;
    onClear: PropType<() => void>;
    onFocus: PropType<MaybeArray<(e: FocusEvent) => void>>;
    timeZone: StringConstructor;
    showIcon: {
        type: BooleanConstructor;
        default: boolean;
    };
    disabled: {
        type: PropType<boolean | undefined>;
        default: undefined;
    };
    show: {
        type: PropType<boolean | undefined>;
        default: undefined;
    };
    hours: {
        type: PropType<MaybeArray<number>>;
        validator: (value: MaybeArray<number>) => boolean;
    };
    minutes: {
        type: PropType<MaybeArray<number>>;
        validator: (value: MaybeArray<number>) => boolean;
    };
    seconds: {
        type: PropType<MaybeArray<number>>;
        validator: (value: MaybeArray<number>) => boolean;
    };
    use12Hours: BooleanConstructor;
    stateful: {
        type: BooleanConstructor;
        default: boolean;
    };
    onChange: PropType<MaybeArray<OnUpdateValue> | undefined>;
    theme: PropType<import("../../_mixins").Theme<"TimePicker", {
        panelColor: string;
        panelBoxShadow: string;
        panelDividerColor: any;
        itemTextColor: string;
        itemTextColorActive: any;
        itemColorHover: string;
        itemOpacityDisabled: string;
        itemBorderRadius: string;
        borderRadius: string;
        iconColor: string;
        iconColorDisabled: string;
        itemFontSize: string;
        itemHeight: string;
        itemWidth: string;
        panelActionPadding: string;
    }, {
        Scrollbar: import("../../_mixins").Theme<"Scrollbar", {
            height: string;
            width: string;
            borderRadius: string;
            color: string;
            colorHover: string;
            railInsetHorizontalBottom: string;
            railInsetHorizontalTop: string;
            railInsetVerticalRight: string;
            railInsetVerticalLeft: string;
            railColor: string;
        }, any>;
        Button: import("../../_mixins").Theme<"Button", {
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            borderRadiusTiny: string;
            borderRadiusSmall: string;
            borderRadiusMedium: string;
            borderRadiusLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            colorPrimary: any;
            colorHoverPrimary: any;
            colorPressedPrimary: any;
            colorFocusPrimary: any;
            textColorPrimary: any;
            textColorHoverPrimary: any;
            textColorPressedPrimary: any;
            textColorFocusPrimary: any;
            textColorTextPrimary: any;
            textColorTextHoverPrimary: any;
            textColorTextPressedPrimary: any;
            textColorTextFocusPrimary: any;
            colorGhostHoverPrimary: any;
            textColorGhostPrimary: any;
            textColorGhostHoverPrimary: any;
            textColorGhostPressedPrimary: any;
            textColorGhostFocusPrimary: any;
            colorLighterPrimary: any;
            colorHoverLighterPrimary: any;
            colorPressedLighterPrimary: any;
            colorFocusLighterPrimary: any;
            textColorLighterPrimary: any;
            textColorLighterHoverPrimary: any;
            textColorLighterPressedPrimary: any;
            textColorLighterFocusPrimary: any;
            borderLighterHoverPrimary: string;
            borderLighterPressedPrimary: string;
            borderLighterFocusPrimary: string;
            colorStrokeHoverPrimary: any;
            colorStrokePressedPrimary: any;
            colorStrokeFocusPrimary: any;
            textColorStrokePrimary: any;
            textColorStrokeHoverPrimary: any;
            textColorStrokePressedPrimary: any;
            textColorStrokeFocusPrimary: any;
            borderStrokePrimary: string;
            borderStrokeHoverPrimary: string;
            borderStrokePressedPrimary: string;
            borderStrokeFocusPrimary: string;
            borderPrimary: string;
            borderHoverPrimary: string;
            borderPressedPrimary: string;
            borderFocusPrimary: string;
            rippleColorPrimary: any;
            colorNeutral: any;
            colorHoverNeutral: any;
            colorPressedNeutral: any;
            colorFocusNeutral: any;
            textColorNeutral: string;
            textColorHoverNeutral: string;
            textColorPressedNeutral: string;
            textColorFocusNeutral: string;
            textColorTextNeutral: any;
            textColorTextHoverNeutral: any;
            textColorTextPressedNeutral: any;
            textColorTextFocusNeutral: any;
            colorGhostHoverNeutral: any;
            colorPressedNeutralGhost: any;
            colorFocusNeutralGhost: any;
            textColorGhostNeutral: any;
            textColorGhostHoverNeutral: any;
            textColorGhostPressedNeutral: any;
            textColorGhostFocusNeutral: any;
            colorLighterNeutral: any;
            colorPressedNeutralLighter: any;
            colorFocusNeutralLighter: any;
            textColorLighterNeutral: any;
            textColorLighterHoverNeutral: any;
            textColorLighterPressedNeutral: any;
            textColorLighterFocusNeutral: any;
            borderLighterHoverNeutral: string;
            borderLighterPressedNeutral: string;
            borderLighterFocusNeutral: string;
            colorStrokeHoverNeutral: any;
            colorStrokePressedNeutral: any;
            colorStrokeFocusNeutral: any;
            textColorStrokeNeutral: any;
            textColorStrokeHoverNeutral: any;
            textColorStrokePressedNeutral: any;
            textColorStrokeFocusNeutral: any;
            borderStrokeNeutral: string;
            borderStrokeHoverNeutral: string;
            borderStrokePressedNeutral: string;
            borderStrokeFocusNeutral: string;
            borderNeutral: string;
            borderHoverNeutral: string;
            borderPressedNeutral: string;
            borderFocusNeutral: string;
            rippleColorNeutral: any;
            colorSuccess: any;
            colorHoverSuccess: any;
            colorPressedSuccess: any;
            colorFocusSuccess: any;
            textColorSuccess: string;
            textColorHoverSuccess: string;
            textColorPressedSuccess: string;
            textColorFocusSuccess: string;
            textColorTextSuccess: any;
            textColorTextHoverSuccess: any;
            textColorTextPressedSuccess: any;
            textColorTextFocusSuccess: any;
            colorGhostHoverSuccess: any;
            textColorGhostSuccess: any;
            textColorGhostHoverSuccess: any;
            textColorGhostPressedSuccess: any;
            textColorGhostFocusSuccess: any;
            colorLighterSuccess: any;
            textColorLighterSuccess: any;
            textColorLighterHoverSuccess: any;
            textColorLighterPressedSuccess: any;
            textColorLighterFocusSuccess: any;
            borderLighterHoverSuccess: string;
            borderLighterPressedSuccess: string;
            borderLighterFocusSuccess: string;
            colorStrokeHoverSuccess: any;
            colorStrokePressedSuccess: any;
            colorStrokeFocusSuccess: any;
            textColorStrokeSuccess: any;
            textColorStrokeHoverSuccess: any;
            textColorStrokePressedSuccess: any;
            textColorStrokeFocusSuccess: any;
            borderStrokeSuccess: string;
            borderStrokeHoverSuccess: string;
            borderStrokePressedSuccess: string;
            borderStrokeFocusSuccess: string;
            borderSuccess: string;
            borderHoverSuccess: string;
            borderPressedSuccess: string;
            borderFocusSuccess: string;
            rippleColorSuccess: any;
            colorWarning: any;
            colorHoverWarning: any;
            colorPressedWarning: any;
            colorFocusWarning: any;
            textColorWarning: string;
            textColorHoverWarning: string;
            textColorPressedWarning: string;
            textColorFocusWarning: string;
            textColorTextWarning: any;
            textColorTextHoverWarning: any;
            textColorTextPressedWarning: any;
            textColorTextFocusWarning: any;
            colorGhostHoverWarning: any;
            textColorGhostWarning: any;
            textColorGhostHoverWarning: any;
            textColorGhostPressedWarning: any;
            textColorGhostFocusWarning: any;
            colorLighterWarning: any;
            textColorLighterWarning: any;
            textColorLighterHoverWarning: any;
            textColorLighterPressedWarning: any;
            textColorLighterFocusWarning: any;
            borderLighterHoverWarning: string;
            borderLighterPressedWarning: string;
            borderLighterFocusWarning: string;
            colorStrokeHoverWarning: any;
            colorStrokePressedWarning: any;
            colorStrokeFocusWarning: any;
            textColorStrokeWarning: any;
            textColorStrokeHoverWarning: any;
            textColorStrokePressedWarning: any;
            textColorStrokeFocusWarning: any;
            borderStrokeWarning: string;
            borderStrokeHoverWarning: string;
            borderStrokePressedWarning: string;
            borderStrokeFocusWarning: string;
            borderWarning: string;
            borderHoverWarning: string;
            borderPressedWarning: string;
            borderFocusWarning: string;
            rippleColorWarning: any;
            colorError: any;
            colorHoverError: any;
            colorPressedError: any;
            colorFocusError: any;
            textColorError: string;
            textColorHoverError: string;
            textColorPressedError: string;
            textColorFocusError: string;
            textColorTextError: any;
            textColorTextHoverError: any;
            textColorTextPressedError: any;
            textColorTextFocusError: any;
            colorGhostHoverError: any;
            textColorGhostError: any;
            textColorGhostHoverError: any;
            textColorGhostPressedError: any;
            textColorGhostFocusError: any;
            colorLighterError: any;
            textColorLighterError: any;
            textColorLighterHoverError: any;
            textColorLighterPressedError: any;
            textColorLighterFocusError: any;
            borderLighterHoverError: string;
            borderLighterPressedError: string;
            borderLighterFocusError: string;
            colorStrokeHoverError: any;
            colorStrokePressedError: any;
            colorStrokeFocusError: any;
            textColorStrokeError: any;
            textColorStrokeHoverError: any;
            textColorStrokePressedError: any;
            textColorStrokeFocusError: any;
            borderStrokeError: string;
            borderStrokeHoverError: string;
            borderStrokePressedError: string;
            borderStrokeFocusError: string;
            borderError: string;
            borderHoverError: string;
            borderPressedError: string;
            borderFocusError: string;
            rippleColorError: any;
            waveOpacity: string;
            fontWeight: string;
            fontWeightStrong: string;
            opacityDisabled: string;
            colorDisabled: any;
            textColorDisabled: any;
            iconColorDisabled: any;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            paddingRoundTiny: string;
            paddingRoundSmall: string;
            paddingRoundMedium: string;
            paddingRoundLarge: string;
            iconMarginTiny: string;
            iconMarginSmall: string;
            iconMarginMedium: string;
            iconMarginLarge: string;
            iconSizeTiny: string;
            iconSizeSmall: string;
            iconSizeMedium: string;
            iconSizeLarge: string;
            rippleDuration: string;
        }, any>;
        Input: import("../../_mixins").Theme<"Input", {
            fontWeight: string;
            countTextColorDisabled: string;
            countTextColor: string;
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            lineHeight: string;
            lineHeightTextarea: string;
            borderRadius: string;
            iconSize: string;
            groupLabelColor: string;
            groupLabelTextColor: any;
            textColor: any;
            textColorDisabled: string;
            textDecorationColor: any;
            caretColor: any;
            placeholderColor: string;
            placeholderColorDisabled: string;
            color: string;
            colorDisabled: string;
            colorFocus: string;
            colorHover: any;
            groupLabelBorder: string;
            border: string;
            borderHover: string;
            borderDisabled: string;
            borderFocus: string;
            boxShadowFocus: string;
            loadingColor: any;
            loadingColorWarning: any;
            borderWarning: string;
            borderHoverWarning: string;
            colorFocusWarning: string;
            borderFocusWarning: string;
            boxShadowFocusWarning: string;
            caretColorWarning: any;
            loadingColorError: any;
            borderError: string;
            borderHoverError: string;
            colorFocusError: string;
            borderFocusError: string;
            boxShadowFocusError: string;
            caretColorError: any;
            clearColor: string;
            clearColorHover: string;
            clearColorPressed: string;
            iconColor: string;
            iconColorDisabled: string;
            iconColorHover: string;
            iconColorPressed: string;
            suffixTextColor: string;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            clearSize: string;
        }, any>;
    }>>;
    themeOverrides: PropType<import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"TimePicker", {
        panelColor: string;
        panelBoxShadow: string;
        panelDividerColor: any;
        itemTextColor: string;
        itemTextColorActive: any;
        itemColorHover: string;
        itemOpacityDisabled: string;
        itemBorderRadius: string;
        borderRadius: string;
        iconColor: string;
        iconColorDisabled: string;
        itemFontSize: string;
        itemHeight: string;
        itemWidth: string;
        panelActionPadding: string;
    }, {
        Scrollbar: import("../../_mixins").Theme<"Scrollbar", {
            height: string;
            width: string;
            borderRadius: string;
            color: string;
            colorHover: string;
            railInsetHorizontalBottom: string;
            railInsetHorizontalTop: string;
            railInsetVerticalRight: string;
            railInsetVerticalLeft: string;
            railColor: string;
        }, any>;
        Button: import("../../_mixins").Theme<"Button", {
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            borderRadiusTiny: string;
            borderRadiusSmall: string;
            borderRadiusMedium: string;
            borderRadiusLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            colorPrimary: any;
            colorHoverPrimary: any;
            colorPressedPrimary: any;
            colorFocusPrimary: any;
            textColorPrimary: any;
            textColorHoverPrimary: any;
            textColorPressedPrimary: any;
            textColorFocusPrimary: any;
            textColorTextPrimary: any;
            textColorTextHoverPrimary: any;
            textColorTextPressedPrimary: any;
            textColorTextFocusPrimary: any;
            colorGhostHoverPrimary: any;
            textColorGhostPrimary: any;
            textColorGhostHoverPrimary: any;
            textColorGhostPressedPrimary: any;
            textColorGhostFocusPrimary: any;
            colorLighterPrimary: any;
            colorHoverLighterPrimary: any;
            colorPressedLighterPrimary: any;
            colorFocusLighterPrimary: any;
            textColorLighterPrimary: any;
            textColorLighterHoverPrimary: any;
            textColorLighterPressedPrimary: any;
            textColorLighterFocusPrimary: any;
            borderLighterHoverPrimary: string;
            borderLighterPressedPrimary: string;
            borderLighterFocusPrimary: string;
            colorStrokeHoverPrimary: any;
            colorStrokePressedPrimary: any;
            colorStrokeFocusPrimary: any;
            textColorStrokePrimary: any;
            textColorStrokeHoverPrimary: any;
            textColorStrokePressedPrimary: any;
            textColorStrokeFocusPrimary: any;
            borderStrokePrimary: string;
            borderStrokeHoverPrimary: string;
            borderStrokePressedPrimary: string;
            borderStrokeFocusPrimary: string;
            borderPrimary: string;
            borderHoverPrimary: string;
            borderPressedPrimary: string;
            borderFocusPrimary: string;
            rippleColorPrimary: any;
            colorNeutral: any;
            colorHoverNeutral: any;
            colorPressedNeutral: any;
            colorFocusNeutral: any;
            textColorNeutral: string;
            textColorHoverNeutral: string;
            textColorPressedNeutral: string;
            textColorFocusNeutral: string;
            textColorTextNeutral: any;
            textColorTextHoverNeutral: any;
            textColorTextPressedNeutral: any;
            textColorTextFocusNeutral: any;
            colorGhostHoverNeutral: any;
            colorPressedNeutralGhost: any;
            colorFocusNeutralGhost: any;
            textColorGhostNeutral: any;
            textColorGhostHoverNeutral: any;
            textColorGhostPressedNeutral: any;
            textColorGhostFocusNeutral: any;
            colorLighterNeutral: any;
            colorPressedNeutralLighter: any;
            colorFocusNeutralLighter: any;
            textColorLighterNeutral: any;
            textColorLighterHoverNeutral: any;
            textColorLighterPressedNeutral: any;
            textColorLighterFocusNeutral: any;
            borderLighterHoverNeutral: string;
            borderLighterPressedNeutral: string;
            borderLighterFocusNeutral: string;
            colorStrokeHoverNeutral: any;
            colorStrokePressedNeutral: any;
            colorStrokeFocusNeutral: any;
            textColorStrokeNeutral: any;
            textColorStrokeHoverNeutral: any;
            textColorStrokePressedNeutral: any;
            textColorStrokeFocusNeutral: any;
            borderStrokeNeutral: string;
            borderStrokeHoverNeutral: string;
            borderStrokePressedNeutral: string;
            borderStrokeFocusNeutral: string;
            borderNeutral: string;
            borderHoverNeutral: string;
            borderPressedNeutral: string;
            borderFocusNeutral: string;
            rippleColorNeutral: any;
            colorSuccess: any;
            colorHoverSuccess: any;
            colorPressedSuccess: any;
            colorFocusSuccess: any;
            textColorSuccess: string;
            textColorHoverSuccess: string;
            textColorPressedSuccess: string;
            textColorFocusSuccess: string;
            textColorTextSuccess: any;
            textColorTextHoverSuccess: any;
            textColorTextPressedSuccess: any;
            textColorTextFocusSuccess: any;
            colorGhostHoverSuccess: any;
            textColorGhostSuccess: any;
            textColorGhostHoverSuccess: any;
            textColorGhostPressedSuccess: any;
            textColorGhostFocusSuccess: any;
            colorLighterSuccess: any;
            textColorLighterSuccess: any;
            textColorLighterHoverSuccess: any;
            textColorLighterPressedSuccess: any;
            textColorLighterFocusSuccess: any;
            borderLighterHoverSuccess: string;
            borderLighterPressedSuccess: string;
            borderLighterFocusSuccess: string;
            colorStrokeHoverSuccess: any;
            colorStrokePressedSuccess: any;
            colorStrokeFocusSuccess: any;
            textColorStrokeSuccess: any;
            textColorStrokeHoverSuccess: any;
            textColorStrokePressedSuccess: any;
            textColorStrokeFocusSuccess: any;
            borderStrokeSuccess: string;
            borderStrokeHoverSuccess: string;
            borderStrokePressedSuccess: string;
            borderStrokeFocusSuccess: string;
            borderSuccess: string;
            borderHoverSuccess: string;
            borderPressedSuccess: string;
            borderFocusSuccess: string;
            rippleColorSuccess: any;
            colorWarning: any;
            colorHoverWarning: any;
            colorPressedWarning: any;
            colorFocusWarning: any;
            textColorWarning: string;
            textColorHoverWarning: string;
            textColorPressedWarning: string;
            textColorFocusWarning: string;
            textColorTextWarning: any;
            textColorTextHoverWarning: any;
            textColorTextPressedWarning: any;
            textColorTextFocusWarning: any;
            colorGhostHoverWarning: any;
            textColorGhostWarning: any;
            textColorGhostHoverWarning: any;
            textColorGhostPressedWarning: any;
            textColorGhostFocusWarning: any;
            colorLighterWarning: any;
            textColorLighterWarning: any;
            textColorLighterHoverWarning: any;
            textColorLighterPressedWarning: any;
            textColorLighterFocusWarning: any;
            borderLighterHoverWarning: string;
            borderLighterPressedWarning: string;
            borderLighterFocusWarning: string;
            colorStrokeHoverWarning: any;
            colorStrokePressedWarning: any;
            colorStrokeFocusWarning: any;
            textColorStrokeWarning: any;
            textColorStrokeHoverWarning: any;
            textColorStrokePressedWarning: any;
            textColorStrokeFocusWarning: any;
            borderStrokeWarning: string;
            borderStrokeHoverWarning: string;
            borderStrokePressedWarning: string;
            borderStrokeFocusWarning: string;
            borderWarning: string;
            borderHoverWarning: string;
            borderPressedWarning: string;
            borderFocusWarning: string;
            rippleColorWarning: any;
            colorError: any;
            colorHoverError: any;
            colorPressedError: any;
            colorFocusError: any;
            textColorError: string;
            textColorHoverError: string;
            textColorPressedError: string;
            textColorFocusError: string;
            textColorTextError: any;
            textColorTextHoverError: any;
            textColorTextPressedError: any;
            textColorTextFocusError: any;
            colorGhostHoverError: any;
            textColorGhostError: any;
            textColorGhostHoverError: any;
            textColorGhostPressedError: any;
            textColorGhostFocusError: any;
            colorLighterError: any;
            textColorLighterError: any;
            textColorLighterHoverError: any;
            textColorLighterPressedError: any;
            textColorLighterFocusError: any;
            borderLighterHoverError: string;
            borderLighterPressedError: string;
            borderLighterFocusError: string;
            colorStrokeHoverError: any;
            colorStrokePressedError: any;
            colorStrokeFocusError: any;
            textColorStrokeError: any;
            textColorStrokeHoverError: any;
            textColorStrokePressedError: any;
            textColorStrokeFocusError: any;
            borderStrokeError: string;
            borderStrokeHoverError: string;
            borderStrokePressedError: string;
            borderStrokeFocusError: string;
            borderError: string;
            borderHoverError: string;
            borderPressedError: string;
            borderFocusError: string;
            rippleColorError: any;
            waveOpacity: string;
            fontWeight: string;
            fontWeightStrong: string;
            opacityDisabled: string;
            colorDisabled: any;
            textColorDisabled: any;
            iconColorDisabled: any;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            paddingRoundTiny: string;
            paddingRoundSmall: string;
            paddingRoundMedium: string;
            paddingRoundLarge: string;
            iconMarginTiny: string;
            iconMarginSmall: string;
            iconMarginMedium: string;
            iconMarginLarge: string;
            iconSizeTiny: string;
            iconSizeSmall: string;
            iconSizeMedium: string;
            iconSizeLarge: string;
            rippleDuration: string;
        }, any>;
        Input: import("../../_mixins").Theme<"Input", {
            fontWeight: string;
            countTextColorDisabled: string;
            countTextColor: string;
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            lineHeight: string;
            lineHeightTextarea: string;
            borderRadius: string;
            iconSize: string;
            groupLabelColor: string;
            groupLabelTextColor: any;
            textColor: any;
            textColorDisabled: string;
            textDecorationColor: any;
            caretColor: any;
            placeholderColor: string;
            placeholderColorDisabled: string;
            color: string;
            colorDisabled: string;
            colorFocus: string;
            colorHover: any;
            groupLabelBorder: string;
            border: string;
            borderHover: string;
            borderDisabled: string;
            borderFocus: string;
            boxShadowFocus: string;
            loadingColor: any;
            loadingColorWarning: any;
            borderWarning: string;
            borderHoverWarning: string;
            colorFocusWarning: string;
            borderFocusWarning: string;
            boxShadowFocusWarning: string;
            caretColorWarning: any;
            loadingColorError: any;
            borderError: string;
            borderHoverError: string;
            colorFocusError: string;
            borderFocusError: string;
            boxShadowFocusError: string;
            caretColorError: any;
            clearColor: string;
            clearColorHover: string;
            clearColorPressed: string;
            iconColor: string;
            iconColorDisabled: string;
            iconColorHover: string;
            iconColorPressed: string;
            suffixTextColor: string;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            clearSize: string;
        }, any>;
    }>>>;
    builtinThemeOverrides: PropType<import("../../_mixins/use-theme").ExtractThemeOverrides<import("../../_mixins").Theme<"TimePicker", {
        panelColor: string;
        panelBoxShadow: string;
        panelDividerColor: any;
        itemTextColor: string;
        itemTextColorActive: any;
        itemColorHover: string;
        itemOpacityDisabled: string;
        itemBorderRadius: string;
        borderRadius: string;
        iconColor: string;
        iconColorDisabled: string;
        itemFontSize: string;
        itemHeight: string;
        itemWidth: string;
        panelActionPadding: string;
    }, {
        Scrollbar: import("../../_mixins").Theme<"Scrollbar", {
            height: string;
            width: string;
            borderRadius: string;
            color: string;
            colorHover: string;
            railInsetHorizontalBottom: string;
            railInsetHorizontalTop: string;
            railInsetVerticalRight: string;
            railInsetVerticalLeft: string;
            railColor: string;
        }, any>;
        Button: import("../../_mixins").Theme<"Button", {
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            borderRadiusTiny: string;
            borderRadiusSmall: string;
            borderRadiusMedium: string;
            borderRadiusLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            colorPrimary: any;
            colorHoverPrimary: any;
            colorPressedPrimary: any;
            colorFocusPrimary: any;
            textColorPrimary: any;
            textColorHoverPrimary: any;
            textColorPressedPrimary: any;
            textColorFocusPrimary: any;
            textColorTextPrimary: any;
            textColorTextHoverPrimary: any;
            textColorTextPressedPrimary: any;
            textColorTextFocusPrimary: any;
            colorGhostHoverPrimary: any;
            textColorGhostPrimary: any;
            textColorGhostHoverPrimary: any;
            textColorGhostPressedPrimary: any;
            textColorGhostFocusPrimary: any;
            colorLighterPrimary: any;
            colorHoverLighterPrimary: any;
            colorPressedLighterPrimary: any;
            colorFocusLighterPrimary: any;
            textColorLighterPrimary: any;
            textColorLighterHoverPrimary: any;
            textColorLighterPressedPrimary: any;
            textColorLighterFocusPrimary: any;
            borderLighterHoverPrimary: string;
            borderLighterPressedPrimary: string;
            borderLighterFocusPrimary: string;
            colorStrokeHoverPrimary: any;
            colorStrokePressedPrimary: any;
            colorStrokeFocusPrimary: any;
            textColorStrokePrimary: any;
            textColorStrokeHoverPrimary: any;
            textColorStrokePressedPrimary: any;
            textColorStrokeFocusPrimary: any;
            borderStrokePrimary: string;
            borderStrokeHoverPrimary: string;
            borderStrokePressedPrimary: string;
            borderStrokeFocusPrimary: string;
            borderPrimary: string;
            borderHoverPrimary: string;
            borderPressedPrimary: string;
            borderFocusPrimary: string;
            rippleColorPrimary: any;
            colorNeutral: any;
            colorHoverNeutral: any;
            colorPressedNeutral: any;
            colorFocusNeutral: any;
            textColorNeutral: string;
            textColorHoverNeutral: string;
            textColorPressedNeutral: string;
            textColorFocusNeutral: string;
            textColorTextNeutral: any;
            textColorTextHoverNeutral: any;
            textColorTextPressedNeutral: any;
            textColorTextFocusNeutral: any;
            colorGhostHoverNeutral: any;
            colorPressedNeutralGhost: any;
            colorFocusNeutralGhost: any;
            textColorGhostNeutral: any;
            textColorGhostHoverNeutral: any;
            textColorGhostPressedNeutral: any;
            textColorGhostFocusNeutral: any;
            colorLighterNeutral: any;
            colorPressedNeutralLighter: any;
            colorFocusNeutralLighter: any;
            textColorLighterNeutral: any;
            textColorLighterHoverNeutral: any;
            textColorLighterPressedNeutral: any;
            textColorLighterFocusNeutral: any;
            borderLighterHoverNeutral: string;
            borderLighterPressedNeutral: string;
            borderLighterFocusNeutral: string;
            colorStrokeHoverNeutral: any;
            colorStrokePressedNeutral: any;
            colorStrokeFocusNeutral: any;
            textColorStrokeNeutral: any;
            textColorStrokeHoverNeutral: any;
            textColorStrokePressedNeutral: any;
            textColorStrokeFocusNeutral: any;
            borderStrokeNeutral: string;
            borderStrokeHoverNeutral: string;
            borderStrokePressedNeutral: string;
            borderStrokeFocusNeutral: string;
            borderNeutral: string;
            borderHoverNeutral: string;
            borderPressedNeutral: string;
            borderFocusNeutral: string;
            rippleColorNeutral: any;
            colorSuccess: any;
            colorHoverSuccess: any;
            colorPressedSuccess: any;
            colorFocusSuccess: any;
            textColorSuccess: string;
            textColorHoverSuccess: string;
            textColorPressedSuccess: string;
            textColorFocusSuccess: string;
            textColorTextSuccess: any;
            textColorTextHoverSuccess: any;
            textColorTextPressedSuccess: any;
            textColorTextFocusSuccess: any;
            colorGhostHoverSuccess: any;
            textColorGhostSuccess: any;
            textColorGhostHoverSuccess: any;
            textColorGhostPressedSuccess: any;
            textColorGhostFocusSuccess: any;
            colorLighterSuccess: any;
            textColorLighterSuccess: any;
            textColorLighterHoverSuccess: any;
            textColorLighterPressedSuccess: any;
            textColorLighterFocusSuccess: any;
            borderLighterHoverSuccess: string;
            borderLighterPressedSuccess: string;
            borderLighterFocusSuccess: string;
            colorStrokeHoverSuccess: any;
            colorStrokePressedSuccess: any;
            colorStrokeFocusSuccess: any;
            textColorStrokeSuccess: any;
            textColorStrokeHoverSuccess: any;
            textColorStrokePressedSuccess: any;
            textColorStrokeFocusSuccess: any;
            borderStrokeSuccess: string;
            borderStrokeHoverSuccess: string;
            borderStrokePressedSuccess: string;
            borderStrokeFocusSuccess: string;
            borderSuccess: string;
            borderHoverSuccess: string;
            borderPressedSuccess: string;
            borderFocusSuccess: string;
            rippleColorSuccess: any;
            colorWarning: any;
            colorHoverWarning: any;
            colorPressedWarning: any;
            colorFocusWarning: any;
            textColorWarning: string;
            textColorHoverWarning: string;
            textColorPressedWarning: string;
            textColorFocusWarning: string;
            textColorTextWarning: any;
            textColorTextHoverWarning: any;
            textColorTextPressedWarning: any;
            textColorTextFocusWarning: any;
            colorGhostHoverWarning: any;
            textColorGhostWarning: any;
            textColorGhostHoverWarning: any;
            textColorGhostPressedWarning: any;
            textColorGhostFocusWarning: any;
            colorLighterWarning: any;
            textColorLighterWarning: any;
            textColorLighterHoverWarning: any;
            textColorLighterPressedWarning: any;
            textColorLighterFocusWarning: any;
            borderLighterHoverWarning: string;
            borderLighterPressedWarning: string;
            borderLighterFocusWarning: string;
            colorStrokeHoverWarning: any;
            colorStrokePressedWarning: any;
            colorStrokeFocusWarning: any;
            textColorStrokeWarning: any;
            textColorStrokeHoverWarning: any;
            textColorStrokePressedWarning: any;
            textColorStrokeFocusWarning: any;
            borderStrokeWarning: string;
            borderStrokeHoverWarning: string;
            borderStrokePressedWarning: string;
            borderStrokeFocusWarning: string;
            borderWarning: string;
            borderHoverWarning: string;
            borderPressedWarning: string;
            borderFocusWarning: string;
            rippleColorWarning: any;
            colorError: any;
            colorHoverError: any;
            colorPressedError: any;
            colorFocusError: any;
            textColorError: string;
            textColorHoverError: string;
            textColorPressedError: string;
            textColorFocusError: string;
            textColorTextError: any;
            textColorTextHoverError: any;
            textColorTextPressedError: any;
            textColorTextFocusError: any;
            colorGhostHoverError: any;
            textColorGhostError: any;
            textColorGhostHoverError: any;
            textColorGhostPressedError: any;
            textColorGhostFocusError: any;
            colorLighterError: any;
            textColorLighterError: any;
            textColorLighterHoverError: any;
            textColorLighterPressedError: any;
            textColorLighterFocusError: any;
            borderLighterHoverError: string;
            borderLighterPressedError: string;
            borderLighterFocusError: string;
            colorStrokeHoverError: any;
            colorStrokePressedError: any;
            colorStrokeFocusError: any;
            textColorStrokeError: any;
            textColorStrokeHoverError: any;
            textColorStrokePressedError: any;
            textColorStrokeFocusError: any;
            borderStrokeError: string;
            borderStrokeHoverError: string;
            borderStrokePressedError: string;
            borderStrokeFocusError: string;
            borderError: string;
            borderHoverError: string;
            borderPressedError: string;
            borderFocusError: string;
            rippleColorError: any;
            waveOpacity: string;
            fontWeight: string;
            fontWeightStrong: string;
            opacityDisabled: string;
            colorDisabled: any;
            textColorDisabled: any;
            iconColorDisabled: any;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            paddingRoundTiny: string;
            paddingRoundSmall: string;
            paddingRoundMedium: string;
            paddingRoundLarge: string;
            iconMarginTiny: string;
            iconMarginSmall: string;
            iconMarginMedium: string;
            iconMarginLarge: string;
            iconSizeTiny: string;
            iconSizeSmall: string;
            iconSizeMedium: string;
            iconSizeLarge: string;
            rippleDuration: string;
        }, any>;
        Input: import("../../_mixins").Theme<"Input", {
            fontWeight: string;
            countTextColorDisabled: string;
            countTextColor: string;
            heightTiny: string;
            heightSmall: string;
            heightMedium: string;
            heightLarge: string;
            fontSizeTiny: string;
            fontSizeSmall: string;
            fontSizeMedium: string;
            fontSizeLarge: string;
            lineHeight: string;
            lineHeightTextarea: string;
            borderRadius: string;
            iconSize: string;
            groupLabelColor: string;
            groupLabelTextColor: any;
            textColor: any;
            textColorDisabled: string;
            textDecorationColor: any;
            caretColor: any;
            placeholderColor: string;
            placeholderColorDisabled: string;
            color: string;
            colorDisabled: string;
            colorFocus: string;
            colorHover: any;
            groupLabelBorder: string;
            border: string;
            borderHover: string;
            borderDisabled: string;
            borderFocus: string;
            boxShadowFocus: string;
            loadingColor: any;
            loadingColorWarning: any;
            borderWarning: string;
            borderHoverWarning: string;
            colorFocusWarning: string;
            borderFocusWarning: string;
            boxShadowFocusWarning: string;
            caretColorWarning: any;
            loadingColorError: any;
            borderError: string;
            borderHoverError: string;
            colorFocusError: string;
            borderFocusError: string;
            boxShadowFocusError: string;
            caretColorError: any;
            clearColor: string;
            clearColorHover: string;
            clearColorPressed: string;
            iconColor: string;
            iconColorDisabled: string;
            iconColorHover: string;
            iconColorPressed: string;
            suffixTextColor: string;
            paddingTiny: string;
            paddingSmall: string;
            paddingMedium: string;
            paddingLarge: string;
            clearSize: string;
        }, any>;
    }>>>;
}>> & Readonly<{}>, {
    to: string | boolean | HTMLElement;
    disabled: boolean | undefined;
    show: boolean | undefined;
    format: string;
    bordered: boolean | undefined;
    showIcon: boolean;
    placement: FollowerPlacement;
    clearable: boolean;
    defaultValue: number | null;
    stateful: boolean;
    use12Hours: boolean;
    inputReadonly: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
