import type { ThemeCommonVars } from '../../_styles/common';
export declare function self(vars: ThemeCommonVars): {
    fontSize: string;
    lineHeight: string;
    borderRadius: string;
    draggerColor: string;
    draggerBorder: string;
    draggerBorderHover: string;
    itemColorHover: string;
    itemColorHoverError: string;
    itemTextColor: string;
    itemTextColorError: any;
    itemTextColorSuccess: any;
    itemIconColor: string;
    itemDisabledOpacity: string;
    itemBorderImageCardError: string;
    itemBorderImageCard: string;
};
export type UploadThemeVars = ReturnType<typeof self>;
declare const uploadLight: import("../../_mixins").Theme<"Upload", {
    fontSize: string;
    lineHeight: string;
    borderRadius: string;
    draggerColor: string;
    draggerBorder: string;
    draggerBorderHover: string;
    itemColorHover: string;
    itemColorHoverError: string;
    itemTextColor: string;
    itemTextColorError: any;
    itemTextColorSuccess: any;
    itemIconColor: string;
    itemDisabledOpacity: string;
    itemBorderImageCardError: string;
    itemBorderImageCard: string;
}, {
    Button: import("../../_mixins").Theme<"Button", {
        heightTiny: string;
        heightSmall: string;
        heightMedium: string;
        heightLarge: string;
        borderRadiusTiny: string;
        borderRadiusSmall: string;
        borderRadiusMedium: string;
        borderRadiusLarge: string;
        fontSizeTiny: string;
        fontSizeSmall: string;
        fontSizeMedium: string;
        fontSizeLarge: string;
        colorPrimary: any;
        colorHoverPrimary: any;
        colorPressedPrimary: any;
        colorFocusPrimary: any;
        textColorPrimary: any;
        textColorHoverPrimary: any;
        textColorPressedPrimary: any;
        textColorFocusPrimary: any;
        textColorTextPrimary: any;
        textColorTextHoverPrimary: any;
        textColorTextPressedPrimary: any;
        textColorTextFocusPrimary: any;
        colorGhostHoverPrimary: any;
        textColorGhostPrimary: any;
        textColorGhostHoverPrimary: any;
        textColorGhostPressedPrimary: any;
        textColorGhostFocusPrimary: any;
        colorLighterPrimary: any;
        colorHoverLighterPrimary: any;
        colorPressedLighterPrimary: any;
        colorFocusLighterPrimary: any;
        textColorLighterPrimary: any;
        textColorLighterHoverPrimary: any;
        textColorLighterPressedPrimary: any;
        textColorLighterFocusPrimary: any;
        borderLighterHoverPrimary: string;
        borderLighterPressedPrimary: string;
        borderLighterFocusPrimary: string;
        colorStrokeHoverPrimary: any;
        colorStrokePressedPrimary: any;
        colorStrokeFocusPrimary: any;
        textColorStrokePrimary: any;
        textColorStrokeHoverPrimary: any;
        textColorStrokePressedPrimary: any;
        textColorStrokeFocusPrimary: any;
        borderStrokePrimary: string;
        borderStrokeHoverPrimary: string;
        borderStrokePressedPrimary: string;
        borderStrokeFocusPrimary: string;
        borderPrimary: string;
        borderHoverPrimary: string;
        borderPressedPrimary: string;
        borderFocusPrimary: string;
        rippleColorPrimary: any;
        colorNeutral: any;
        colorHoverNeutral: any;
        colorPressedNeutral: any;
        colorFocusNeutral: any;
        textColorNeutral: string;
        textColorHoverNeutral: string;
        textColorPressedNeutral: string;
        textColorFocusNeutral: string;
        textColorTextNeutral: any;
        textColorTextHoverNeutral: any;
        textColorTextPressedNeutral: any;
        textColorTextFocusNeutral: any;
        colorGhostHoverNeutral: any;
        colorPressedNeutralGhost: any;
        colorFocusNeutralGhost: any;
        textColorGhostNeutral: any;
        textColorGhostHoverNeutral: any;
        textColorGhostPressedNeutral: any;
        textColorGhostFocusNeutral: any;
        colorLighterNeutral: any;
        colorPressedNeutralLighter: any;
        colorFocusNeutralLighter: any;
        textColorLighterNeutral: any;
        textColorLighterHoverNeutral: any;
        textColorLighterPressedNeutral: any;
        textColorLighterFocusNeutral: any;
        borderLighterHoverNeutral: string;
        borderLighterPressedNeutral: string;
        borderLighterFocusNeutral: string;
        colorStrokeHoverNeutral: any;
        colorStrokePressedNeutral: any;
        colorStrokeFocusNeutral: any;
        textColorStrokeNeutral: any;
        textColorStrokeHoverNeutral: any;
        textColorStrokePressedNeutral: any;
        textColorStrokeFocusNeutral: any;
        borderStrokeNeutral: string;
        borderStrokeHoverNeutral: string;
        borderStrokePressedNeutral: string;
        borderStrokeFocusNeutral: string;
        borderNeutral: string;
        borderHoverNeutral: string;
        borderPressedNeutral: string;
        borderFocusNeutral: string;
        rippleColorNeutral: any;
        colorSuccess: any;
        colorHoverSuccess: any;
        colorPressedSuccess: any;
        colorFocusSuccess: any;
        textColorSuccess: string;
        textColorHoverSuccess: string;
        textColorPressedSuccess: string;
        textColorFocusSuccess: string;
        textColorTextSuccess: any;
        textColorTextHoverSuccess: any;
        textColorTextPressedSuccess: any;
        textColorTextFocusSuccess: any;
        colorGhostHoverSuccess: any;
        textColorGhostSuccess: any;
        textColorGhostHoverSuccess: any;
        textColorGhostPressedSuccess: any;
        textColorGhostFocusSuccess: any;
        colorLighterSuccess: any;
        textColorLighterSuccess: any;
        textColorLighterHoverSuccess: any;
        textColorLighterPressedSuccess: any;
        textColorLighterFocusSuccess: any;
        borderLighterHoverSuccess: string;
        borderLighterPressedSuccess: string;
        borderLighterFocusSuccess: string;
        colorStrokeHoverSuccess: any;
        colorStrokePressedSuccess: any;
        colorStrokeFocusSuccess: any;
        textColorStrokeSuccess: any;
        textColorStrokeHoverSuccess: any;
        textColorStrokePressedSuccess: any;
        textColorStrokeFocusSuccess: any;
        borderStrokeSuccess: string;
        borderStrokeHoverSuccess: string;
        borderStrokePressedSuccess: string;
        borderStrokeFocusSuccess: string;
        borderSuccess: string;
        borderHoverSuccess: string;
        borderPressedSuccess: string;
        borderFocusSuccess: string;
        rippleColorSuccess: any;
        colorWarning: any;
        colorHoverWarning: any;
        colorPressedWarning: any;
        colorFocusWarning: any;
        textColorWarning: string;
        textColorHoverWarning: string;
        textColorPressedWarning: string;
        textColorFocusWarning: string;
        textColorTextWarning: any;
        textColorTextHoverWarning: any;
        textColorTextPressedWarning: any;
        textColorTextFocusWarning: any;
        colorGhostHoverWarning: any;
        textColorGhostWarning: any;
        textColorGhostHoverWarning: any;
        textColorGhostPressedWarning: any;
        textColorGhostFocusWarning: any;
        colorLighterWarning: any;
        textColorLighterWarning: any;
        textColorLighterHoverWarning: any;
        textColorLighterPressedWarning: any;
        textColorLighterFocusWarning: any;
        borderLighterHoverWarning: string;
        borderLighterPressedWarning: string;
        borderLighterFocusWarning: string;
        colorStrokeHoverWarning: any;
        colorStrokePressedWarning: any;
        colorStrokeFocusWarning: any;
        textColorStrokeWarning: any;
        textColorStrokeHoverWarning: any;
        textColorStrokePressedWarning: any;
        textColorStrokeFocusWarning: any;
        borderStrokeWarning: string;
        borderStrokeHoverWarning: string;
        borderStrokePressedWarning: string;
        borderStrokeFocusWarning: string;
        borderWarning: string;
        borderHoverWarning: string;
        borderPressedWarning: string;
        borderFocusWarning: string;
        rippleColorWarning: any;
        colorError: any;
        colorHoverError: any;
        colorPressedError: any;
        colorFocusError: any;
        textColorError: string;
        textColorHoverError: string;
        textColorPressedError: string;
        textColorFocusError: string;
        textColorTextError: any;
        textColorTextHoverError: any;
        textColorTextPressedError: any;
        textColorTextFocusError: any;
        colorGhostHoverError: any;
        textColorGhostError: any;
        textColorGhostHoverError: any;
        textColorGhostPressedError: any;
        textColorGhostFocusError: any;
        colorLighterError: any;
        textColorLighterError: any;
        textColorLighterHoverError: any;
        textColorLighterPressedError: any;
        textColorLighterFocusError: any;
        borderLighterHoverError: string;
        borderLighterPressedError: string;
        borderLighterFocusError: string;
        colorStrokeHoverError: any;
        colorStrokePressedError: any;
        colorStrokeFocusError: any;
        textColorStrokeError: any;
        textColorStrokeHoverError: any;
        textColorStrokePressedError: any;
        textColorStrokeFocusError: any;
        borderStrokeError: string;
        borderStrokeHoverError: string;
        borderStrokePressedError: string;
        borderStrokeFocusError: string;
        borderError: string;
        borderHoverError: string;
        borderPressedError: string;
        borderFocusError: string;
        rippleColorError: any;
        waveOpacity: string;
        fontWeight: string;
        fontWeightStrong: string;
        opacityDisabled: string;
        colorDisabled: any;
        textColorDisabled: any;
        iconColorDisabled: any;
        paddingTiny: string;
        paddingSmall: string;
        paddingMedium: string;
        paddingLarge: string;
        paddingRoundTiny: string;
        paddingRoundSmall: string;
        paddingRoundMedium: string;
        paddingRoundLarge: string;
        iconMarginTiny: string;
        iconMarginSmall: string;
        iconMarginMedium: string;
        iconMarginLarge: string;
        iconSizeTiny: string;
        iconSizeSmall: string;
        iconSizeMedium: string;
        iconSizeLarge: string;
        rippleDuration: string;
    }, any>;
    Progress: import("../../_mixins").Theme<"Progress", {
        fontSize: string;
        fontSizeCircle: string;
        fontWeightCircle: string;
        railColor: string;
        railHeight: string;
        iconSizeCircle: string;
        iconSizeLine: string;
        iconColor: any;
        iconColorInfo: any;
        iconColorSuccess: any;
        iconColorWarning: any;
        iconColorError: any;
        textColorCircle: string;
        textColorLineInner: string;
        textColorLineOuter: string;
        fillColor: any;
        fillColorInfo: any;
        fillColorSuccess: any;
        fillColorWarning: any;
        fillColorError: any;
        lineBgProcessing: string;
    }, any>;
}>;
export default uploadLight;
export type UploadTheme = typeof uploadLight;
